<?php
/* 
	Fonctions de scurit lors de la connexion
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
/* majSecurite
Fonction  lancer aprs chaque connexion infructueuse. 
*/
function majSecurite($h,$ip, $login,$ban_oubli,$ban_tentatives)
{
	query("DELETE FROM acces WHERE TIMESTAMPDIFF(MINUTE,dt_acces, NOW())>=$ban_oubli AND ban=0",$h);
	if (!isset($ip) || $ip=='') return;
	$login=@mysqli_real_escape_string($h,$login);
	$r=query("SELECT tentatives FROM acces WHERE ip='$ip'",$h);
	$ban=0;
	if ($r) {
		$row=@mysqli_fetch_row($r);
		if (isset($row)) {
			$tentatives=$row[0]+1;
			if($tentatives < $ban_tentatives)
				query("UPDATE acces SET tentatives=$tentatives, login='$login', dt_acces=NOW() WHERE IP='$ip'",$h);
			else {
				query("UPDATE acces SET tentatives=$tentatives, login='$login', ban=1, dt_acces=NOW() WHERE IP='$ip'",$h);
				prevenirAdmin($h,$ip);
			}
		}
		else {
			query("INSERT INTO acces(IP,tentatives,dt_acces, login,ban) VALUES('$ip',1,NOW(),'$login', 0)",$h);
		}
	}
	if ($ban) {
		header('Location: erreur.php?erreur=ban');
		exit;
	}
}
// Function to get the client IP address
// retourne chane vide si rien n'a t trouv
function getClientIp() {
    $ipaddress = '';
    if (getenv('HTTP_CLIENT_IP'))
        $ipaddress = getenv('HTTP_CLIENT_IP');
    else if(getenv('HTTP_X_FORWARDED_FOR'))
        $ipaddress = getenv('HTTP_X_FORWARDED_FOR');
    else if(getenv('HTTP_X_FORWARDED'))
        $ipaddress = getenv('HTTP_X_FORWARDED');
    else if(getenv('HTTP_FORWARDED_FOR'))
        $ipaddress = getenv('HTTP_FORWARDED_FOR');
    else if(getenv('HTTP_FORWARDED'))
       $ipaddress = getenv('HTTP_FORWARDED');
    else if(getenv('REMOTE_ADDR'))
        $ipaddress = getenv('REMOTE_ADDR');
    return $ipaddress;
}
//  lancer au dbut de index
function testSecurite($h,$ip,$ban_duree)
{
	if (!$ip) return;
	query("DELETE FROM acces WHERE TIMESTAMPDIFF(MINUTE,dt_acces, NOW())>=$ban_duree AND ban=1",$h);
	if (!isset($ip) || $ip=='') return;
	$ban=queryValue("SELECT ban FROM acces WHERE IP='$ip'",$h);
	if ($ban) {
		header('Location: erreur.php?erreur=ban');
		exit;
	}
}

function prevenirAdmin($h,$ip)
{
	global $url_site;
	$courriel_admin=queryValue("SELECT courriel FROM general",$h);
	$row=queryRow("SELECT courriel, ban_duree FROM general",$h);
	$courriel_admin=$row[0];
	$ban_duree=$row[1];
	if (!isset($row[0]) || !$courriel_admin) return false;
	
	$head="From: \"Circon'script\" <$courriel_admin>\r\n";
	$head.="Reply-To: $courriel_admin\r\n";
	$q="SELECT login, dt_acces FROM acces WHERE IP='$ip'";
	$r=query($q,$h);
	if (!$r || @mysqli_num_rows($r)==0) return false;
	$row=@mysqli_fetch_row($r);
	$login=$row[0];
	$date=$row[1];
	$obj="[Circon'script] scurit: bannissement IP";
	if (extension_loaded('mbstring')) {
		mb_internal_encoding('iso-8859-1');
		$obj=mb_encode_mimeheader($obj, 'ISO-8859-1','Q',"\r\n");
	}
	// url du site...
	if(!isset($url_site) ||$url_site=='') {
		$domaine=$_SERVER['HTTP_HOST'];
		$path=$_SERVER['SCRIPT_NAME'];
		$t=explode('/',$path);
		if (sizeof($t)>1) {
			unset($t[sizeof($t)-1]);
			$path=implode('/',$t);
		}
		else $path='';
		$http='http';
		if (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS']=='on') $http='https';
		$site="$http://$domaine$path";
	}
	else $site=$url_site;
	
	$msg='';
	$msg.="Date/heure : $date\n";
	$msg.="Dernier identifiant utilis : $login\n";
	$msg.="Adresse bannie : $ip\n";
	$msg.="Le banissement dure $ban_duree minutes. Modifiez la table 'acces' pour le supprimer.\n\n";
	$msg.="Adresse du site : $site\n";
	$msg.="Cordialement,\n";
	$msg.="Circon'script.\n";
	return @mail($courriel_admin,$obj,$msg,$head);
}
?>
