<?php
/* 
	Ajout et modification des coles
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_adm_ecoles_transfert=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_adm_ecoles_transfert']=$url_ret_adm_adm_ecoles_transfert;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_adm_ecoles_transfert'])) {
		$url_ret_adm_adm_ecoles_transfert=$_SESSION['circonscript7_url_ret_adm_adm_ecoles_transfert'];
	}
	else $url_ret_adm_adm_ecoles_transfert="administration.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$erreur='';
	$h=connect();
	debugInit();
	if (isset($_SESSION['adm_adm_ecoles_transfert_id_circo_org'])) $id_circo_org=$_SESSION['adm_adm_ecoles_transfert_id_circo_org'];
	else $id_circo_org=0;
	if (isset($_SESSION['adm_adm_ecoles_transfert_id_circo_dest'])) $id_circo_dest=$_SESSION['adm_adm_ecoles_transfert_id_circo_dest'];
	else $id_circo_dest=0;
	if (isset($_POST['commande2'])) {
		while ($_POST['commande2']=='CircoChange') {
			if (isset($_POST['circo_org'])) $id_circo_org=intval($_POST['circo_org']);
			else $id_circo_org=0;
			if ($id_circo_org==0) {
				$erreur="Veuillez dfinir une circo de d'orgine. ";
				break;
			}
			$_SESSION['adm_adm_ecoles_transfert_id_circo_org']=$id_circo_org;
			break;
		}
	}
	if (isset($_POST['commande']) && $_POST['commande']=='transferer') while(1) {
		$id_circo_dest=0;
		if (isset($_POST['circo_dest'])) $id_circo_dest=intval($_POST['circo_dest']);
		if ($id_circo_dest==0 ) {
			$erreur.="Veuillez dfinir une circo de destination. ";
			break;
		}
		$_SESSION['adm_adm_ecoles_transfert_id_circo_dest']=$id_circo_dest;
		if ($id_circo_org==0) {
			$erreur="Veuillez dfinir une circo de dpart. ";
			break;
		}
		$_SESSION['adm_adm_ecoles_transfert_id_circo_org']=$id_circo_org;
		if ($id_circo_org==$id_circo_dest) {
			$erreur.="Pas de transfert dans la mme circo! ";
			break;
		}
		$nb_ecoles=0;
		if (isset($_POST['selection'])) foreach($_POST['selection'] as $id_ecole) {
			if ($erreur) break;
			$id_ecole=intval($id_ecole);
			if ($id_ecole=='') $id_ecole='0';
			// vrification
			$id_circo=queryValue("SELECT id_circo FROM ecoles WHERE id_ecole=$id_ecole",$h);
			if ($id_circo!=$id_circo_org) {
				$erreur="Problme dans l'origine d'une cole (donnes entrantes incorrectes ?).";
				break;
			}
			// teste le rne de l'cole d'arrive: si elle existe dj, il faut la reprendre.
			$id_ecole_dest=queryValue("SELECT e2.id_ecole FROM ecoles AS e1, ecoles AS e2 WHERE e1.id_circo=$id_circo_org AND e2.id_circo=$id_circo_dest AND e1.rne=e2.rne",$h);
			if (!$id_ecole_dest) {
				query("UPDATE ecoles SET id_circo=$id_circo_dest WHERE id_ecole=$id_ecole",$h);
				query("UPDATE stagiaires SET id_groupe=0 WHERE id_ecole=$id_ecole",$h);
			}
			else {
				query("UPDATE stagiaires SET id_ecole=$id_ecole_dest, id_groupe=0 WHERE id_ecole=$id_ecole",$h);
				query("DELETE FROM ecoles WHERE id_ecole=$id_ecole",$h);
			}
			// supprimer les absences, convocations, inscriptions des stagiaires
			query("DELETE inscriptions FROM inscriptions,stagiaires WHERE inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=$id_ecole",$h);
			query("DELETE convocations FROM convocations,stagiaires WHERE convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=$id_ecole",$h);
			query("DELETE absences FROM absences,stagiaires WHERE absences.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=$id_ecole",$h);
			++$nb_ecoles;
		
		}
		if ($nb_ecoles>1)
			$erreur.=" $nb_ecoles coles traites. ";
		else
			$erreur.=" $nb_ecoles cole traite. ";
		break;
	}

function afficheCircos($id_circo,$h)
{
	$r=query("SELECT id_circo, libelle FROM circos WHERE type_circo=0 ORDER BY libelle",$h);
	if ($id_circo==0) {
		print '<option value="0" selected="selected">Choisissez une circo</option>';
		print "\n";
	}
	while ($row=@mysqli_fetch_row($r)) {
		$id_circo_cour=$row[0];
		$libelle=tronque($row[1],60);
		print "<option value=\"$id_circo_cour\"";
		if ($id_circo==$id_circo_cour) print " selected=\"selected\" ";
		print">$libelle</option>\n";
	}
}
function afficheEcoles($id_circo,$h)
{
	if ($id_circo==0) return;
	$r=query("SELECT id_ecole, rne, nom FROM ecoles WHERE id_circo=$id_circo ORDER BY nom ASC",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_ecole=$row[0];
		$rne=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		$nom=htmlentities($row[2],ENT_COMPAT,'ISO-8859-15');
		print "<tr>\n";
		print "<td>$rne</td>\n";
		print "<td>$nom</td>\n";
		print "<td><input name=\"selection[]\" value=\"$id_ecole\" type=\"checkbox\" /></td>\n";
		print "</tr>\n";
	}

}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
		<script type="text/javascript">
		<!--			
			function circochange()
			{
				document.form1.commande2.value="CircoChange";
				document.form1.submit();
			}
			function envoie2(event)
			{
				if (event.keyCode==13) {
					document.formulaire.commande.value="auto";
					document.formulaire.submit();
				}
			}
			function envoie(event)
			{
				if (event.keyCode==13) {
					document.formulaire.commande.value="valider";
					document.formulaire.submit();
				}
			}
			function cocheTout(obj)
			{
			  // on rcupre le formulaire des objets  modifier
			  leForm = obj.form
			
			  laListe = leForm["selection[]"]
			
			  if (laListe != null){
				if (laListe.length != null){
				  // on modifie tous les lments
				  for(i=0; i < laListe.length; i++) {
					laListe[i].checked = obj.checked
				  }
				} else {
				  laListe.checked = obj.checked
				}
			  }
			}
			function confirme()
			{
			  
			  leForm = document.formulaire;
			  laListe = leForm["selection[]"];
				if (leForm.circo_dest.value==0) {
					alert("Il faut indiquer une circo de destination");
					return;
				}
				n=0;
				if (laListe != null) {
					if (laListe.length != null) {
						for (i=0;i<laListe.length; ++i) if (laListe[i].checked) ++n;
					}
					else {
						if (laListe.checked) ++n;
					}
				}
				if (n==0) alert("Il faut cocher les coles  transfrer");
				else {
					b=window.confirm("Voulez-vous vraiment transfrer les coles coches ? Cela aura pour effet de supprimer les inscriptions, convocations, absences aux animations pdagogiques des stagiaires concerns.");
					if (b) {	
						document.formulaire.commande.value="transferer";
						document.formulaire.submit();
					}
				}				
			}
		//-->	
		</script>					
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_adm_ecoles_transfert?>">retour</a></li>
					<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 

			  <h1>Transfert d'&eacute;coles d'une circonscription relle &agrave; une autre</h1>
		     
			  <h3 class="important">ATTENTION ! Ceci va supprimer toutes les inscriptions, convocations, absences, groupes des stagiaires ainsi transf&eacute;r&eacute;s ! </h3>

			    <?php if ($erreur) print"<p class=\"erreur\">$erreur</p>";
			
			?>

		    <form id="form1" name="form1" method="post" action="">
              <p>
                <input name="commande2" type="hidden" id="commande2" value="0" />
                Circo d'origine :
                <select name="circo_org" id="circo_org" onchange="javascript:circochange()" >
                  <?php afficheCircos($id_circo_org,$h); ?>
                </select>
              </p>
              </form>
	          <form name="formulaire" method="post" action="">
				<p>
				  <input name="commande" type="hidden" id="commande" value="0" />
				  Transf&eacute;rer les &eacute;coles coch&eacute;es vers la circo :
                  <select name="circo_dest" id="circo_dest">
                    <?php afficheCircos($id_circo_dest,$h); ?>
                    </select>
                  <input name="transferer" type="button" class="bouton_standard" id="transferer" value="Transf&eacute;rer" onclick="javascript:confirme()" />
                </p>
				<table>
      <tr class="table_entete">
        <td>RNE</td>
        <td>Nom</td>
        <td>Sel.
		  <input type="checkbox" name="cochetout" value="0" onclick="cocheTout(this)" /></td>
      </tr>
      <?php
	 	afficheEcoles($id_circo_org,$h);
	 ?>
    </table>
	<div align="center"></div>
	</form>
		<?php if ($erreur) print"<p class=\"erreur\">$erreur</p>";?>
		  </div>
		  <div class="menu_secondaire"><ul class="menu2"><li><a href="<?php print $url_ret_adm_adm_ecoles_transfert?>">retour</a></li>
<li><a href="#haut">haut</a></li>
</ul>
		  </div>
			<a name="bas" id="bas"></a>	
	<?php if (isset($_POST['valider'])||isset($_GET['editer'])) { ?>
	<script language="javascript" type="text/javascript">
		document.location.href="#bas";
		document.formulaire.rne.select();
	</script>
	<?php } ?>
		</div>
</body>
</html>