<?php
/* 
	Tableau des tats des circos (ouvert, ferm, etc) pour l'admin
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_adm_etat_circos=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_adm_etat_circos']=$url_ret_adm_adm_etat_circos;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_adm_etat_circos'])) {
		$url_ret_adm_adm_etat_circos=$_SESSION['circonscript7_url_ret_adm_adm_etat_circos'];
	}
	else $url_ret_adm_adm_etat_circos="administration.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$h=connect();
	debugInit();
	$errType='';
	if (isset($_POST['valider'])) {
		if (isset($_POST['etat'])) foreach($_POST['etat'] as $id_circo => $stag_etat) {
			$id_circo=intval($id_circo);
			if (!$id_circo) continue;
			$stag_etat=intval($stag_etat);
			if ($stag_etat<0||$stag_etat>3) continue;
			$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
			if (!$type_circo) $type_circo=0;
			$type_circo_lu=0;
			if (isset($_POST['type'][$id_circo])) $type_circo_lu=intval($_POST['type'][$id_circo]);
			if ($type_circo_lu<0||$type_circo_lu>2) $type_circo_lu=0;
			if($type_circo_lu!=$type_circo){
				$n=0;
				$err='';
				if ($type_circo_lu>0) {
					$n=queryValue("SELECT COUNT(*) FROM inscriptions, stagiaires,ecoles WHERE inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
					if ($n) $err.="Il reste des inscriptions. ";
					$n=queryValue("SELECT COUNT(*) FROM convocations, stagiaires,ecoles WHERE convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
					if ($n) $err.="Il reste des convocations. ";
					$n=queryValue("SELECT COUNT(*) FROM absences, stagiaires,ecoles WHERE absences.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
					if ($n) $err.="Il reste des absences. ";
					$n=queryValue("SELECT COUNT(*) FROM stagiaires,ecoles WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
					if ($n)
						if ($type_circo_lu==2) $avertissement="Attention: il y a des stagiaires. Il devront se transfrer vers une autre circo.";
						else $err="Il reste des stagiaires. ";
					$n=queryValue("SELECT COUNT(*) FROM partages,seances, animations WHERE partages.id_circo=$id_circo AND partages.accepte<>0 AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo<>$id_circo",$h);
					if ($n) $err.="Il reste des importations. ";
					
				}
				if(!$err) $type_circo=$type_circo_lu;	
				else {
					$libelle=queryValue("SELECT libelle_court FROM circos WHERE id_circo=$id_circo",$h);
					$errType.="[$libelle] : $err<br/>";
				}
			}
			if (isset($_POST['enreg'][$id_circo])) $stag_enregistrement=intval($_POST['enreg'][$id_circo]);
			else $stag_enregistrement=0;
			if ($stag_enregistrement<0 || $stag_enregistrement>1) $stag_enregistrement=0;
			if (isset($_POST['export'][$id_circo])) $exportations_autorisees=intval($_POST['export'][$id_circo]);
			else $exportations_autorisees=0;
			if (isset($_POST['futur'][$id_circo])) $autoriser_plan_futur=intval($_POST['futur'][$id_circo]);
			else $autoriser_plan_futur=0;
			if ($exportations_autorisees<0 || $exportations_autorisees>1) $exportations_autorisees=0;
			if ($autoriser_plan_futur<0 || $autoriser_plan_futur>1) $autoriser_plan_futur=0;
			if ($type_circo>0) {
				$stag_etat=0;
				$stag_enregistrement=0;
			}
			$anc_stag_etat=queryValue("SELECT stag_etat FROM circos WHERE id_circo=$id_circo",$h);
			$q="UPDATE circos SET stag_etat=$stag_etat,stag_enregistrement=$stag_enregistrement,exportations_autorisees=$exportations_autorisees, type_circo=$type_circo";
			if ($stag_etat!=$anc_stag_etat) 
				$q.=",dt_ouverture=NULL,dt_fermeture=NULL";
			$q.=" WHERE id_circo=$id_circo";
			query($q,$h);
		}
		if (!$erreur) $erreur="Modifications effectues";
	}
	
function afficherCircos($h)
{
	$r2=query("SELECT id_circo,type_circo FROM circos ORDER BY type_circo ASC,libelle ASC",$h);
	while ($row1=@mysqli_fetch_row($r2)) {
		$id_circo=$row1[0];
		$type_circo=$row1[1];
		automatisationCirco($id_circo,$h);
		$q="SELECT libelle, exportations_autorisees, stag_etat,stag_enregistrement,autoriser_plan_futur,dt_ouverture,dt_fermeture FROM circos WHERE id_circo=$id_circo";
		$r=query($q,$h);
		$pair=1;
		while ($row=@mysqli_fetch_array($r)) {
			if ($pair) print "<tr class=\"seance_paire\">\n";
			else print "<tr class=\"seance_impaire\">\n";
			$t='';
			switch($type_circo){
				case 1: $t= "[Virtuelle] ";break;
				case 2: $t= "[Transfert] ";break;
			}
			printf("<td class=\"bordure_droite\">%s%s</td>\n",$t,tronque($row['libelle'],60));
			printf("<td class=\"centre\"><input type=\"radio\" name=\"type[%d]\" %s value=\"0\" /></td>\n",$id_circo,$type_circo==0?'checked="checked"':'');
			printf("<td class=\"centre\"><input type=\"radio\" name=\"type[%d]\" %s value=\"1\" /></td>\n",$id_circo,$type_circo==1?'checked="checked"':'');
			printf("<td class=\"centre bordure_droite\"><input type=\"radio\" name=\"type[%d]\" %s value=\"2\" /></td>\n",$id_circo,$type_circo==2?'checked="checked"':'');
			printf("<td class=\"centre\"><input type=\"radio\" name=\"etat[%d]\" %s value=\"0\" /></td>\n",$id_circo,$row['stag_etat']==0?'checked="checked"':'');
			if ($type_circo==0) {
				printf("<td class=\"centre\"><input type=\"radio\" name=\"etat[%d]\" %s value=\"1\" />%s</td>\n",$id_circo,$row['stag_etat']==1?'checked="checked"':'',dateSqlEnSaisie(substr($row['dt_ouverture'],0,10)).' '.horaireSqlEnHeure(substr($row['dt_ouverture'],10),true));
				printf("<td class=\"centre\"><input type=\"radio\" name=\"etat[%d]\" %s value=\"2\" />%s</td>\n",$id_circo,$row['stag_etat']==2?'checked="checked"':'',dateSqlEnSaisie(substr($row['dt_fermeture'],0,10)).' '.horaireSqlEnHeure(substr($row['dt_fermeture'],10),true));
				printf("<td class=\"centre bordure_droite\"><input type=\"radio\" name=\"etat[%d]\" %s value=\"3\" /></td>\n",$id_circo,$row['stag_etat']==3?'checked="checked"':'');
			}
			else {
				print"<td class=\"centre\">-</td>\n";
				print"<td class=\"centre\">-</td>\n";
				print"<td class=\"centre bordure_droite\">-</td>\n";
			}
			printf("<td class=\"centre\"><input type=\"radio\" name=\"export[%d]\" %s value=\"0\" /></td>\n",$id_circo,$row['exportations_autorisees']==0?'checked="checked"':'');
			printf("<td class=\"centre bordure_droite\"><input type=\"radio\" name=\"export[%d]\" %s value=\"1\" /></td>\n",$id_circo,$row['exportations_autorisees']==1?'checked="checked"':'');
			printf("<td class=\"centre\"><input type=\"radio\" name=\"enreg[%d]\" %s value=\"0\" /></td>\n",$id_circo,$row['stag_enregistrement']==0?'checked="checked"':'');
			if ($type_circo==0) 
				printf("<td class=\"centre bordure_droite\"><input type=\"radio\" name=\"enreg[%d]\" %s value=\"1\" /></td>\n",$id_circo,$row['stag_enregistrement']==1?'checked="checked"':'');
			else 
				print"<td class=\"centre bordure_droite\">-</td>\n";
				
			printf("<td class=\"centre \"><input type=\"radio\" name=\"futur[%d]\" %s value=\"0\" /></td>\n",$id_circo,$row['autoriser_plan_futur']==0?'checked="checked"':'');
			printf("<td class=\"centre bordure_droite\"><input type=\"radio\" name=\"futur[%d]\" %s value=\"1\" /></td>\n",$id_circo,$row['autoriser_plan_futur']==1?'checked="checked"':'');
			print "</tr>\n";
			$pair=!$pair;
		}
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function clicEtat(nom,num)
			{
				l=nom.length;
				var elements=document.getElementById("form1").getElementsByTagName('input');
				for (i=0;i<elements.length;++i) {
					if(elements[i].name.substr(0,l)==nom) {
						if (elements[i].value!=num) continue;
						elements[i].checked=true;
					}
				}
			}
		//-->	
		</script>		
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_adm_etat_circos?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
				<?php if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));
						if ($errType) print"<p class=\"erreur\">Changement de type non fait pour les circos suivantes:<br/>$errType</p>\n";
				?> 
			  <h1>Types, &eacute;tat des sites des diff&eacute;rentes circonscriptions</h1>
				<p>En cas d'automatisation les dates seront effac&eacute;es s'il y a un changement dans les colonnes de la rubrique &quot;Etat du site&quot; pour les circos concern&eacute;es uniquement. </p>
			    <form name="form1" id="form1" method="post" action="">
			      <table width="100%" border="0">
                    <tr class="table_entete">
                      <td>&nbsp;</td>
                      <td colspan="3">Type de circo</td>
                      <td colspan="4">Etat du site </td>
                      <td colspan="2">Export&deg; des anims </td>
                      <td colspan="2">inscr&deg; par les stagiaires</td>
                      <td colspan="2">Plan futur </td>
                    </tr>
                    <tr class="table_entete">
                      <td>Circo</td>
                      <td>Relle <input type="radio" name="etat[0]" value="0" onclick="javascript:clicEtat('type',0)" /></td>
                      <td>Virtuelle <input type="radio" name="etat[0]" value="0" onclick="javascript:clicEtat('type',1)" /></td>
                      <td>Transfert <input type="radio" name="etat[0]" value="0" onclick="javascript:clicEtat('type',2)" /></td>
					  <td>Ferm&eacute;e
                    <input type="radio" name="etat[0]" value="0" onclick="javascript:clicEtat('etat',0)" /></td>
                      <td>Inscr&deg;
                      <input type="radio" name="etat[0]" value="1" onclick="javascript:clicEtat('etat',1)" /></td>
                      <td>Conv&deg;<br/>en cours 
                      <input type="radio" name="etat[0]" value="2" onclick="javascript:clicEtat('etat',2)" /></td>
                      <td>Conv&deg;<br/>publi&eacute;es 
                      <input type="radio" name="etat[0]" value="3" onclick="javascript:clicEtat('etat',3)" /></td>
                      <td>non
                      <input type="radio" name="export[0]" value="0" onclick="javascript:clicEtat('export',0)" /></td>
                      <td>oui
                      <input type="radio" name="export[0]" value="1" onclick="javascript:clicEtat('export',1)" /></td>
                      <td>non
                      <input type="radio" name="enreg[0]" value="0" onclick="javascript:clicEtat('enreg',0)" /></td>
                      <td>oui
                      <input type="radio" name="enreg[0]" value="1" onclick="javascript:clicEtat('enreg',1)" /></td>
                      <td>non
                      <input type="radio" name="futur[0]" value="0" onclick="javascript:clicEtat('futur',0)" /></td>
                      <td>oui
                      <input type="radio" name="futur[0]" value="1" onclick="javascript:clicEtat('futur',1)" /></td>
                    </tr>
                    <?php afficherCircos($h) ?>
                  </table>
                  <div align="center">
                    <input name="valider" type="submit" class="bouton_standard" value="Valider" />
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
			        <input name="retablir" type="reset" class="bouton_standard" id="retablir" value="R&eacute;tablir" />
                  </div>
			    </form>
		    </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_adm_etat_circos?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>