<?php
/* 
	Edition des stagiaires pour l'admin principal	
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	$erreur='';
	$remarque='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_mdp.inc.php';
	require '_fonctions_stagiaire.inc.php';	
	
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_adm_stagiaire_edite=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_adm_stagiaire_edite']=$url_ret_adm_adm_stagiaire_edite;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_adm_stagiaire_edite'])) {
		$url_ret_adm_adm_stagiaire_edite=$_SESSION['circonscript7_url_ret_adm_adm_stagiaire_edite'];
	}
	else $url_ret_adm_adm_stagiaire_edite="adm_stagiaire_tous_liste.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}
	if (isset($_GET['id_stagiaire'])) {
		$id_stagiaire=abs(intval($_GET['id_stagiaire']));
		$_SESSION['circonscript7_adm_adm_stagiaire_edite_id_stagiaire']=$id_stagiaire;
	}
	else if (isset($_SESSION['circonscript7_adm_adm_stagiaire_edite_id_stagiaire'])) {
		$id_stagiaire=$_SESSION['circonscript7_adm_adm_stagiaire_edite_id_stagiaire'];
	}
	else {
		header("Location: erreur.php?erreur=stagiaire_inexistant");
		exit;
	}
	$h=connect();
	debugInit();
	$q="SELECT quota, duree_seance FROM general";
	$r=query($q,$h);
	$row=@mysqli_fetch_row($r);
	$quota_circo=$row[0];
	$duree_seance=$row[1];
	$regle=1;
	$id_circo_stag=0;
	$creerMdp=$use_sso && ($sso_login!='' || $sso_usermail!='')&& $sso_bloque_exterieur;
	
	if ($id_stagiaire>0) {
		$q="SELECT stagiaires.nom, prenom, stagiaires.courriel, niveau, stagiaires.id_ecole, utilisateurs.mdp, quotite, quota,utilisateurs.codage, anonyme, id_circo,id_groupe,utilisateurs.login, stagiaires.id_uti, utilisateurs.dt_connexion,utilisateurs.sso_login, stagiaires.type_courriel FROM stagiaires, ecoles,utilisateurs WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND stagiaires.id_uti=utilisateurs.id_uti";
		$r=query($q,$h);
		$row=@mysqli_fetch_array($r);
		$nom=$row['nom'];
		$prenom=$row['prenom'];
		$courriel=$row['courriel'];
		$type_courriel=$row['type_courriel'];
		$niveau=strtoupper($row['niveau']);
		$id_ecole=$row['id_ecole'];
		$quotite=$row['quotite'];
		$quota=$row['quota'];
		$mdp=$row['mdp'];
		$codage=$row['codage'];
		$anonyme=$row['anonyme'];
		$id_circo_origine=$row['id_circo'];
		$id_groupe=$row['id_groupe'];
		$dtConnexion=$row['dt_connexion'];
		$sso_login=$row['sso_login'];
		$mdp_stag=$mdp;
		if ($codage!=0 && strlen($mdp)!=0) $mdp_stag='#'; 
		$login=htmlentities($row['login'],ENT_COMPAT,'ISO-8859-15');
		$loginAnc=$login;
		$id_uti_stag=$row['id_uti'];
		$regles=regles($id_circo_stag,$h);
		$quota_reel=quotaReelStagiaire($quota,$quotite,$duree_seance,$regle);

	}
	else {
		$quota=$quota_circo;
		$nom='';
		$prenom='';
		$courriel='';
		$couriel_raw='';
		$niveau='';
		$id_ecole=0;
		$nb_inscr=0;
		$duree_inscr=0;
		$nb_conv=0;
		$duree_conv=0;
		$quotite='';
		$mdp='';
		$codage=0;
		$anonyme=0;
		$id_circo_origine=0;
		$id_groupe=0;
		$mdp_stag=$creerMdp?getMdp():'';
		$login='';
		$loginAnc=$login;
		$id_uti_stag=0;
		$quota_reel=0.0;
		$dtConnexion='';
		$sso_login='';
		if (isset($_SESSION['circonscript7_adm_adm_stagiaire_edite_type_courriel'])) $type_courriel=$_SESSION['circonscript7_adm_adm_stagiaire_edite_type_courriel']; 
		else
			$type_courriel=0;
	}
	if (isset($_POST['commande'])&& $_POST['commande']=='EffacerNiveau') {
		lireFormulaire();
		$niveau='';
	}
	else if (isset($_POST['commande']) && $_POST['commande']=='supprimer' && $id_stagiaire>0) {
		header("location: adm_adm_stagiaire_supprime.php?id_stagiaire=$id_stagiaire&url_ret=adm_adm_stagiaire_edite.php&url_ret2=$url_ret_adm_adm_stagiaire_edite");
		exit;
	}
	else if (isset($_POST['commande']) && $_POST['commande']=='CalculAuto') {
		lireFormulaire();
		$regles=regles($id_circo_stag,$h);
		$quota=quotaReferenceStagiaire($id_ecole,$id_groupe,$niveau,$regles);
		if ($quota<0) $quota=$quota_circo;
		$quota_reel=sprintf("%.2f",quotaReelStagiaire($quota,$quotite,$duree_seance,$regle));
	} 
	else if (isset($_POST['commande']) && $_POST['commande']=='expedier') {
		lireFormulaire();
		if ($id_stagiaire) {
			$r=query("SELECT id_uti, courriel FROM stagiaires WHERE id_stagiaire=$id_stagiaire",$h);
			$row=@mysqli_fetch_row($r);
			$id_uti=$row[0];
			$courriel=$row[1]; 
			if ($id_uti) {
				publipostage($id_uti,$h,$courriel);
				if (!$erreur) $remarque="Courriel expdi.";
				
			}
			else 
				$erreur.=" Utilisateur introuvable. ";
		}
	}
	else if (isset($_POST['role'])) {
		if ($id_stagiaire>0) {
			$id_uti_lu=queryValue("SELECT id_uti FROM stagiaires WHERE id_stagiaire=$id_stagiaire",$h);
			if (!$id_uti_lu) {
				$erreur="Erreur sur l'identifiant du stagiaire.";
			}
			else {			
				detruireVariablesSession();
				$_SESSION['circonscript7_id_stagiaire']=$id_stagiaire;
				$_SESSION['circonscript7_id_uti']=$id_uti_lu;
				unset($_SESSION['circonscript7_administration']);
				header('Location: compte.php');
				exit;
			}
		}
	}
	else if (isset($_POST['valider']) || isset($_POST['valider1'])) {
		lireFormulaire();
		if (!nomValide($nom)) $erreur.=" Nom incorrect.";
		if (!nomValide($prenom)) $erreur.= " Prnom incorrect.";
		if ($courriel && !testeEmail($courriel)) $erreur.=" Courriel incorrect.";
		if ($id_circo_stag==0) $erreur.= ' Circo incorrecte.';
		$n=queryValue("SELECT COUNT(*) FROM circos WHERE id_circo= $id_circo_stag AND (type_circo=0 OR type_circo=2)",$h);
		if (!$n) 
			$erreur.=' Impossible de placer un stagiaire dans une circo virtuelle.';
		if ($id_ecole==0) $erreur.= ' Ecole incorrecte.';
		if ($type_courriel<0||$type_courriel>1) $type_courriel=0;
		$_SESSION['circonscript7_adm_adm_stagiaire_edite_type_courriel']=$type_courriel;
		if ($mdp_stag!='#') {
			if (!motDePasse($mdp_stag)) $erreur.=" Mot de passe incorrect.";
			else $mdp=$mdp_stag;
			$codage=0;
		}
		else $mdp='';
		if ($quotite=='') $erreur.=" Quotit incorrecte.";
		else if ($quotite<0 || $quotite >100) $erreur.=" La quotit doit tre comprise entre 0 et 100.";
		if (isset($_POST['sso_login'])) $sso_login=normaliseT($_POST['sso_login'],255);
		else $sso_login='';
		$b=settype($quota,"double");
		if (!$b||$quota<0) $erreur.=" Quota invalide. ";
		if ($id_groupe<0) $erreur.=' Groupe incorrect.';
		else if ($id_groupe>0) {
			$nb=queryValue("SELECT COUNT(*) FROM groupes WHERE id_groupe=$id_groupe AND id_circo=$id_circo_stag",$h);
			if ($nb==0) $erreur.=" Groupe incorrect.";
		}
		if (!$erreur) while(1){
			$nom_f=normaliseNom($nom);
			$prenom_f=normaliseNom($prenom);
			if ($id_stagiaire==0) { // ajout ?
				$q=sprintf("SELECT COUNT(*) FROM stagiaires WHERE nom_f LIKE '%s' AND prenom_f LIKE '%s' AND id_ecole='%d'", myEscapeString($h,$nom_f),myEscapeString($h,$prenom_f),$id_ecole);
				$n=queryValue($q,$h);
				if ($n>0) {
					$erreur.=" Il existe dj un stagiaire portant ce nom et ce prnom dans cette cole. Ajout annul.";
					break;
				}
				$regles=regles($id_circo_stag,$h);
				$quota_reel=quotaReelStagiaire($quota,$quotite,$duree_seance,$regle);
				$login=$courriel;
				$id_uti=attribuerCompte(0,$login,$mdp,$remarque,$h,0,false,$sso_login);
				if ($erreur) {
					if (!$id_uti) $login=$loginAnc;
					break;
				}
				if (!$id_uti) {
					$erreur.=" Impossible de crer le compte utilisateur.";
					break;
				}
				$q=sprintf("INSERT INTO stagiaires (nom, prenom, nom_f,prenom_f,niveau, courriel, id_ecole, quotite,quota,quota_reel,anonyme,id_groupe,id_uti,type_courriel) VALUES('%s','%s','%s','%s','%s','%s','%d','%.2f','%.2f','%.2f','%d','%d','%d','%d');",myEscapeString($h,$nom),myEscapeString($h,$prenom),myEscapeString($h,$nom_f),myEscapeString($h,$prenom_f),myEscapeString($h,$niveau),myEscapeString($h,$courriel),$id_ecole,$quotite,$quota,$quota_reel,$anonyme,$id_groupe,$id_uti,$type_courriel);
				query($q,$h);
				if ($erreur) break;
				$id_stagiaire=@mysqli_insert_id($h);
				if (isset($_POST['valider1']))  // enregistrer puis passer
					$id_stagiaire=0;
				$_SESSION['circonscript7_adm_adm_stagiaire_edite_id_stagiaire']=$id_stagiaire;
				header("Location: adm_adm_stagiaire_edite.php?id_stagiaire=$id_stagiaire");
				exit;
			}	
			else { //modifier le stagiaire existant
				$q=sprintf("SELECT COUNT(*) FROM stagiaires WHERE nom_f LIKE'%s' AND prenom_f LIKE '%s' AND id_ecole='%d' AND id_stagiaire<>$id_stagiaire", myEscapeString($h,$nom_f),myEscapeString($h,$prenom_f),$id_ecole);
				$n=queryValue($q,$h);
				if ($n>0) {
					$erreur.=" Il existe dj un stagiaire portant ce nom et ce prnom dans cette cole. Opration annule.";
					break;
				}
				changementCirco($h,$id_ecole,$id_circo_origine,$id_stagiaire); //si chngement de circo, ter les inscriptions et convocations non cmmunes
				if ($erreur) break;
				$regles=regles($id_circo_stag,$h);
				$quota_reel=quotaReelStagiaire($quota,$quotite,$duree_seance,$regle);
				// travail sur le compte utilisateur
				$id_uti=queryValue("SELECT id_uti FROM stagiaires WHERE id_stagiaire=$id_stagiaire",$h);
				if (!$id_uti) {
					$erreur.=" Utilisateur introuvable.";
					break;
				}
				$login=$courriel;
				if ($login=='') $login='utilisateur'.$id_uti;
				$id_uti=attribuerCompte($id_uti,$login,$mdp,$remarque,$h,0,false,$sso_login);
				if (!$id_uti || $erreur) {
					if (!$id_uti) $login=$loginAnc;	
					break;
				}
				$q=sprintf("UPDATE stagiaires SET nom='%s', prenom='%s', nom_f='%s',prenom_f='%s',niveau='%s', courriel='%s', id_ecole='%d', quota='%.2f', quotite='%.2f',quota_reel='%.2f', anonyme='%d',id_groupe='%d', id_uti='%d',type_courriel='%d' WHERE id_stagiaire=$id_stagiaire",myEscapeString($h,$nom),myEscapeString($h,$prenom),myEscapeString($h,$nom_f),myEscapeString($h,$prenom_f),myEscapeString($h,$niveau),myEscapeString($h,$courriel),$id_ecole, $quota, $quotite,$quota_reel,$anonyme,$id_groupe,$id_uti,$type_courriel);
				query($q,$h);
				$r=query("SELECT mdp, codage FROM utilisateurs WHERE id_uti=$id_uti",$h);
				$row=@mysqli_fetch_row($r);
				$mdp=$row[0];
				$codage=$row[1];
				$mdp_stag=$mdp;
				if ($codage!=0 && strlen($mdp)!=0) $mdp_stag='#'; 
				if (!$erreur) $erreur="Modifications enregistres. ";
			}
			break;
		}	
		
	} 
	else if (isset($_POST['commande'])&& $_POST['commande']=='circo' && isset($_POST['circos_stag'])) {
		lireFormulaire();
		if (!$id_circo_stag) $erreur="Circo incorrecte.";	
	}
	else if ($id_stagiaire>0) $id_circo_stag=queryValue("SELECT circos.id_circo FROM circos, ecoles, stagiaires WHERE stagiaires.id_stagiaire=$id_stagiaire AND ecoles.id_ecole=stagiaires.id_ecole AND circos.id_circo=ecoles.id_circo",$h);
	else $id_circo_stag=0;
	
	if ($id_circo_stag>0) {
		$q="SELECT circos.libelle,regle,circos.quota, duree_seance FROM circos WHERE id_circo=$id_circo_stag";
		$r=query($q,$h);
		$row=@mysqli_fetch_row($r);
		$circo=htmlentities($row[0],ENT_COMPAT,'ISO-8859-15');
		$regle=$row[1];
		$quota_circo=$row[2];
		$duree_seance=$row[3];
	}
	else {
		$q="SELECT quota, duree_seance FROM general";
		$r=query($q,$h);
		$row=@mysqli_fetch_row($r);
		$quota_circo=$row[0];
		$duree_seance=$row[1];
		$circo='';
		$regle=1;
	}
	
	if ($id_stagiaire>0) {
		$q="SELECT COUNT(*), SUM(dates.duree) FROM inscriptions, seances, dates WHERE id_stagiaire=$id_stagiaire AND inscriptions.id_seance=seances.id_seance AND dates.id_seance=seances.id_seance";
		$r=query($q,$h);
		$row=@mysqli_fetch_row($r);
		$nb_inscr=$row[0];
		$duree_inscr=$row[1];
		$q="SELECT COUNT(*), SUM(dates.duree) FROM convocations, seances, dates WHERE id_stagiaire=$id_stagiaire AND convocations.id_seance=seances.id_seance AND dates.id_seance=seances.id_seance";
		$r=query($q,$h);
		$row=@mysqli_fetch_row($r);
		$nb_conv=$row[0];
		$duree_conv=$row[1];
	}
	else {
		$nb_inscr=0;
		$duree_inscr=0;
		$nb_conv=0;
		$duree_conv=0;
	}

function changementCirco($h,$id_ecole,$id_circo_origine,$id_stagiaire)
{
	global $erreur,$remarque;
	$remarque='';
	if ($id_circo_origine==0) return;
	$id_circo_courante=queryValue("SELECT id_circo FROM ecoles WHERE id_ecole=$id_ecole",$h);
	if ($id_circo_courante==$id_circo_origine) return;
							//pas la mme circo: s'il y a des inscriptions ou des convocations, on va les supprimer
	$n1=queryValue( "SELECT COUNT(*) FROM inscriptions WHERE id_stagiaire=$id_stagiaire",$h);
	$n2=queryValue( "SELECT COUNT(*) FROM convocations WHERE id_stagiaire=$id_stagiaire",$h);
	if ($n1==0 && $n2==0 ) return;
	// il y a des inscriptions. Ne conserve que les inscriptions partages dans la nouvelle circo.	
	if ($n1) {
		$q="SELECT id_inscr, id_partage FROM inscriptions
			LEFT JOIN partages ON partages.id_seance=inscriptions.id_seance AND partages.accepte<>0 AND partages.id_circo=$id_circo_courante
			WHERE inscriptions.id_stagiaire=$id_stagiaire
			HAVING id_partage IS NULL";
		$r=query($q,$h);
		$nb_inscr=0;
		while ($row=@mysqli_fetch_row($r)) {
			$id_inscr=$row[0];
			query("DELETE FROM inscriptions WHERE id_inscr=$id_inscr",$h);
			++$nb_inscr;
		}
		if ($nb_inscr>0) $remarque="$nb_inscr inscriptions ont t supprimes car la nouvelle circo ne propose pas ces sances.";
	}
	if ($n2) {
		$q="SELECT id_convoc, id_partage FROM convocations
			LEFT JOIN partages ON partages.id_seance=convocations.id_seance AND partages.accepte<>0 AND partages.id_circo=$id_circo_courante
			WHERE convocations.id_stagiaire=$id_stagiaire
			HAVING id_partage IS NULL";
		$r=query($q,$h);
		$nb_convoc=0;
		while ($row=@mysqli_fetch_row($r)) {
			$id_convoc=$row[0];
			query("DELETE FROM convocations WHERE id_convoc=$id_convoc",$h);
			// Supprimer aussi les absences lies  ces convocations
			query("DELETE absences FROM absences,dates,convocations WHERE absences.id_stagiaire=$id_stagiaire AND absences.id_date=dates.id_date AND dates.id_seance=convocations.id_seance AND convocations.id_convoc=$id_convoc",$h);
			
			++$nb_convoc;
		}
		if ($nb_convoc>0) $remarque.=" $nb_convoc convocations ont t supprimes car la nouvelle circo ne propose pas ces sances.";
	}
	

}
function afficheEcoles($h,$id_circo,$id_ecole)
{
	global $erreur;
	if ($id_circo==0) {
		print "<option value=\"0\" selected=\"selected\">Choisissez d'abord une circo</option>\n";
		return;
	}
	$q="SELECT id_ecole, ecoles.nom as ecole FROM ecoles WHERE ecoles.id_circo=$id_circo ORDER BY ecole ASC";
	$r=query($q,$h);
	$trouve=false;
	$nb=@mysqli_num_rows($r);
	while($row=@mysqli_fetch_row($r)) {
		$id_ecole_courante=$row[0];
		$nom_ecole=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		if ($nb==1) $id_ecole=$id_ecole_courante;
		print "<option value=\"$id_ecole_courante\"";
		if (isset($id_ecole) && $id_ecole_courante==$id_ecole) {
			print " selected=\"selected\"";
			$trouve=true;
		}
		print ">";
		print "$nom_ecole</option>\n";
	}
	if (!$trouve) print "<option value=\"0\" selected=\"selected\">Choisissez une &eacute;cole</option>\n";
}
function afficheGroupes($h,$id_circo,$id_groupe)
{
	global $erreur;
	if ($id_circo==0) {
		print "<option value=\"0\" selected=\"selected\">Choisissez d'abord une circo</option>\n";
		return;
	}
	$q="SELECT id_groupe,libelle FROM groupes WHERE id_circo=$id_circo ORDER BY libelle ASC";
	$r=query($q,$h);
	if (@mysqli_num_rows($r)==0) {
		print "<option value=\"0\">Aucun groupe n'est d&eacute;fini</option>\n";
		return;
	}
	print "<option value=\"0\">Aucun</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$id_groupe_courant=$row[0];
		$gr=$row[1];
		if (strlen($gr)>=64) $gr=substr($gr,0,61).'...';
		$groupe=htmlentities($gr,ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_groupe_courant\"";
		if (isset($id_groupe) && $id_groupe_courant==$id_groupe) print " selected=\"selected\"";
		print ">$groupe</option>\n";
	}
}

function afficheCircos($h,$id_circo)
{
	$q="SELECT id_circo, libelle as circo,type_circo FROM circos WHERE type_circo=0 OR type_circo=2 ORDER BY type_circo ASC, circo ASC";
	$r=query($q,$h);
	$trouve=false;
	while($row=@mysqli_fetch_row($r)) {
		$id_circo_courante=$row[0];
		$circo=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		$type=$row[2];
		print "<option value=\"$id_circo_courante\"";
		
		if (isset($id_circo) && $id_circo==$id_circo_courante) {
			print " selected=\"selected\"";
			$trouve=true;
		}
		print ">";
	if ($type==2) print "[Transfert] ";
		print "$circo</option>\n";
	}
	if (!$trouve) print "<option value=\"0\" selected=\"selected\">Choisissez une circo</option>\n";
}

function afficheQuotites($h)
{
	global $quotite;
	$q="SELECT quotite FROM quotites ORDER BY quotite DESC";
	$r=query($q,$h);
	$trouve=false;
	if (!isset($quotite) ||$quotite==0) print "<option value=\"0\" selected=\"selected\">* Choisissez... *</option>\n";
	while($row=@mysqli_fetch_row($r)) {
		$quotite_courante=$row[0];;
		print "<option value=\"$quotite_courante\"";
		if (isset($quotite) && $quotite==$quotite_courante) {
			print " selected=\"selected\"";
			$trouve=true;
		}
		print ">$quotite_courante</option>\n";
	}
	if (!$trouve && isset($quotite) && $quotite>0 && $quotite<=100) {
		printf ("<option value=\"%3.2f\" selected=\"selected\">%3.2f</option>",$quotite,$quotite);
	}
}
function afficheNiveaux($h)
{
	global $niveau;
	$q="SELECT libelle, groupe FROM niveaux WHERE 1 ORDER BY groupe, tri";
	$r=query($q,$h);
	$col=-1;
	$lig=-1;
	$max_lig=0;
	$nv=array();
	$prec_groupe=-1;
	while ($row=@mysqli_fetch_row($r)) {
		if ($prec_groupe!=$row[1]) {
			$prec_groupe=$row[1];
			++$col;
			$lig=0;
		}
		else ++$lig;
		$nv[$col][$lig]=strtoupper($row[0]);
		if ($max_lig<$lig) $max_lig=$lig;
	}
	if ($prec_groupe==-1) return;
	$max_col=$col+1;
	++$max_lig;
	print "<table class=\"invisible\">\n";
	for ($lig=0;$lig<$max_lig;++$lig) {
		print "<tr>\n";
		for ($col=0;$col<$max_col;++$col) {
			print "<td>";
			if (isset($nv[$col][$lig])) {
				$chk='';
				if (!(strpos($niveau,'/'.$nv[$col][$lig].'/')===false)) $chk='checked="checked"';	
				$n=htmlentities($nv[$col][$lig],ENT_COMPAT,'ISO-8859-15');			
				printf("<input type=\"checkbox\" name=\"niveau_stag[]\" value=\"%s\" %s />%s\n",$n,$chk,$n);
			}
			else 
				print "&nbsp;";
			print "</td>\n";
		}
		print "</tr>\n";
	}
	print "</table>\n";
}
function lireFormulaire()
{
	global $nom, $prenom, $courriel, $niveau,$id_circo_stag,$id_ecole,$mdp,$mdp_stag,$codage,$quotite,$quota,$anonyme,$id_groupe,$sso_login,$h,$type_courriel;
	if (isset($_POST['sso_login'])) $sso_login=normaliseT($_POST['sso_login'],255);
	else $sso_login='';
	$nom=majuscule(normaliseT($_POST['nom_stag'],25));
	$prenom=majuscule(normaliseT($_POST['prenom_stag'],25));
	$courriel=normaliseT($_POST['courriel_stag'],100);
	// le niveau
	$nv='';
	if (isset($_POST['niveau_stag'])) {
		$q="SELECT libelle FROM niveaux WHERE 1 ORDER BY groupe, tri";
		$r=query($q,$h);
		$nvx=array();
		while ($row=@mysqli_fetch_row($r)) 
			$nvx[$row[0]]=0; //nv stocke les niveaux dans l'ordre
		foreach($_POST['niveau_stag'] as $n) {
			$niv=normaliseT($n,15);
			if (isset($nvx[$niv])) $nvx[$niv]=1;
		}
		foreach($nvx as $k=>$v) if ($v) $nv.='/'.$k;
	}
	if ($nv)
		$niveau=$nv.'/';
	else
		$niveau='';
	$id_circo_stag=normaliseT($_POST['circos_stag'],20);
	if (!is_numeric($id_circo_stag)) $id_circo_stag=0;
	$id_ecole=normaliseT($_POST['ecoles_stag'],20);
	if (!is_numeric($id_ecole)) $id_ecole=0;
	$mdp_stag=normaliseT($_POST['mdp_stag'],16);
	if ($mdp_stag!='#') {
		$mdp=$mdp_stag;
		$codage=0;
	}
	else $mdp='';
	$quotite=decimal(normaliseT($_POST['quotite_stag'],6));
	$quota=normaliseT($_POST['quota_stag'],7);
	if (isset($_POST['anonyme_stag'])) $anonyme=$_POST['anonyme_stag'];
	if ($anonyme<=0) $anonyme=0;
	else $anonyme=1;
	$id_groupe=abs(intval($_POST['groupes']));
	if (isset($_POST['type_courriel'])) $type_courriel=abs(intval($_POST['type_courriel']));
	else $type_couriel=0;
		
}
function afficherDtconnexion($dt)
{
	if ($dt) {
		$tableau=explode(' ',$dt);
		if (count($tableau)==2) printf ("<p>%s &agrave; %s</p>\n",dateSQLEnTexte($tableau[0]),horaireSqlEnHeure($tableau[1]));
		else print '&nbsp;';
	}
	else print '-';
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function confirmer()
			{
				b=window.confirm("Voulez-vous vraiment supprimer la fiche de ce stagiaire, ainsi que toutes ses inscriptions et convocations ventuelles ?");
				if (b) {	
					x=window.location.protocol+"//"+document.location.hostname+document.location.pathname+"?supprimer=<?php print $id_stagiaire?>";
					location.href=x;
				}
			}
			function circochange()
			{
				document.formulaire.commande.value='circo';
				document.formulaire.submit();	
			}
			function expedier()
			{
				b=window.confirm("Voulez-vous vraiment expdier les paramtres de connexion de ce stagiaire par un courriel automatique ?");
				if (b) {	
					document.formulaire.commande.value='expedier';
					document.formulaire.submit();
				}
			}
		function jsSupprimer()
		{
			document.formulaire.commande.value='supprimer';
			document.formulaire.submit();
		}
		function effacerNiveau()
		{
			document.formulaire.commande.value='EffacerNiveau';
			document.formulaire.submit();
		}
		function calculAuto()
		{
			document.formulaire.commande.value='CalculAuto';
			document.formulaire.submit();
		}			
	//-->	
		</script>
	<script type="text/javascript" src="genererMdp.js"></script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_adm_stagiaire_edite?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="adm_adm_stagiaire_edite.php?id_stagiaire=0&amp;url_ret=<?php print $url_ret_adm_adm_stagiaire_edite?>">ajout</a></li>
				</ul>
			</div>
			<div id="corps">	 
			  <div class="droite"></div>
				<h1>
			  <?php if ($id_stagiaire==0) print "Ajout d'un stagiaire"; else print "Edition d'un stagiaire";?>
			  </h1>
			  <div id="animation">
			    <form method="post" action="" name="formulaire">
                  <?php if ($erreur) printf ("<p class=\"erreur\">%s</p>\n",htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));
				  if ($remarque) printf ("<p class=\"erreur\">%s</p>\n",htmlentities($remarque,ENT_COMPAT,'ISO-8859-15'));
				  ?>
                  <table>
                    <tr class="table_entete">
                      <td>
					  	<?php if ($id_stagiaire>0) { ?>
					  <input name="supprimer" type="button" class="bouton_supprimer" id="supprimer" value="Supprimer" tabindex="20" onclick="javascript:jsSupprimer()" />
					  <?php } ?>					  </td>
                      <td colspan="2"><?php if ($id_stagiaire>0) printf("%s %s",htmlentities($nom,ENT_COMPAT,'ISO-8859-15'),htmlentities($prenom,ENT_COMPAT,'ISO-8859-15')); else print "Ajout d'un nouveau stagiaire"; ?></td>
                    </tr>
                    <tr class="survol">
                      <td>Nom</td>
                      <td colspan="2"><input name="nom_stag" type="text" id="nom_stag" value="<?php print htmlentities($nom,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="25" />
                      <input name="commande" type="hidden" id="commande" /></td>
                    </tr> 
                    <tr class="survol">
                      <td>Pr&eacute;nom</td>
                      <td colspan="2"><input name="prenom_stag" type="text" id="prenom_stag" value="<?php print htmlentities($prenom,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="25" />
                        <?php if ($id_stagiaire>0 && $debug) :?>
                        <span class="attention"><strong>[D&eacute;bogage] : se d&eacute;connecter  et </strong></span>
                        <input name="role" type="submit" class="bouton_standard" id="role" value="prendre le r&ocirc;le de ce stagiaire" />
<?php endif?></td>
                    </tr>
                    <tr class="survol">
                      <td>Courriel</td>
                      <td colspan="2"><input name="courriel_stag" type="text" id="courriel_stag" value="<?php print htmlentities($courriel,ENT_COMPAT,'ISO-8859-15')?>" size="90" maxlength="100" />
                      <?php 
							if ($id_stagiaire>0) {
								print "<p><a href=\"mailto:$courriel\">Lui &eacute;crire</a></p>\n";
								print "<p><a href=\"javascript:expedier()\">Lui exp&eacute;dier ses param&egrave;tres de connexion par un courriel automatique.</a>";
								if (!$courriel) print " Mais renseignez d'abord le champ \"courriel\"!\n";
								print "</p>\n";
							}
						
					?></td>
                    </tr>
                    <tr class="survol">
                      <td>Saisie du courriel pour ce stagiaire : </td>
                      <td colspan="2"><input name="type_courriel" type="radio" value="0" <?php if ($type_courriel==0) print 'checked="checked"'?>/>
tel que d&eacute;fini en circo, param&egrave;tres.<br />
<input name="type_courriel" type="radio" value="1" <?php if ($type_courriel==1) print 'checked="checked"'?>/>
libre: le stagiaire peut indiquer n'importe quelle adresse, acad&eacute;mique, non acad&eacute;mique, ou pas d'adresse de courriel. </td>
                    </tr>
                    <tr class="survol">
                      <td>Compte utilisateur </td>
                      <td colspan="2">
					  <?php
					  	if ($login && $id_uti_stag>0) print "<p>$login <a href=\"adm_utilisateur_edite.php?id_uti=$id_uti_stag&amp;url_ret=adm_adm_stagiaire_edite.php\" >[S'y rendre]</a></p>\n";
						else print "<p>&nbsp;</p>\n";
					  ?>					  </td>
                    </tr>
					<?php if ($use_sso) :?>
					<tr>
					<td>Identifiant SSO</td>
					<td>
					<input name="sso_login" type="text" id="sso_login" value="<?php print htmlentities($sso_login,ENT_COMPAT,'ISO-8859-15')?>" size="64" maxlength="255" />					</td>
					<td><em>Gnralement l'identifiant iProf. Facultatif. Uniquement si vous le connaissez. Ne pas l'inventer.</em></td>
					</tr>
					<?php endif?>
                    <tr class="survol">
                      <td>Derni&egrave;re connexion </td>
                      <td colspan="2"><?php afficherDtconnexion($dtConnexion)?></td>
                    </tr>
                    <tr class="survol">
                      <td>Niveau </td>
                      <td colspan="2"><?php print htmlentities(substr($niveau,1,strlen($niveau)-2),ENT_COMPAT,'ISO-8859-15') ?>
                      <input name="effacer" type="button" class="bouton_standard" value="Effacer niveau" onclick="effacerNiveau()" /></td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td colspan="2"><?php
				  	afficheNiveaux($h);
				?></td>
                    </tr>
                    <tr class="survol">
                      <td>Circo:</td>
                      <td colspan="2"><select name="circos_stag" id="circos_stag" onchange="javascript:circochange()">
						<?php afficheCircos($h,$id_circo_stag)?>
                        </select>
						<?php if ($nb_inscr >0 || $nb_conv>0) print "<p class=\"attention\">Attention en changeant la circo: risque de perte d'inscriptions ou de convocations.</p>\n" ?>						</td>
                    </tr>
                    <tr class="survol">
                      <td>Ecole</td>
                      <td colspan="2"><select name="ecoles_stag" id="ecoles_stag">
                        <?php afficheEcoles($h,$id_circo_stag,$id_ecole)?>
                      </select></td>
                    </tr>
                    <tr class="survol">
                      <td>Groupe</td>
                      <td colspan="2"><select name="groupes" id="groupes">
                          <?php afficheGroupes($h,$id_circo_stag,$id_groupe)?>
                      </select></td>
                    </tr>
                    <tr class="survol">
                      <td>Quotit&eacute;</td>
                      <td><select name="quotite_stag">
                        <?php afficheQuotites($h)?>
                      </select></td>
                      <td class="remarque"><p><em>(Quotit&eacute; de service en %) </em></p></td>
                    </tr>
                    <tr class="survol">
                      <td>Quota de r&eacute;f&eacute;rence </td>
                      <td>                        <input name="quota_stag" type="text" id="quota_stag" value="<?php print htmlentities($quota,ENT_COMPAT,'ISO-8859-15')?>" size="7" maxlength="7" />                                             <input name="calcul_auto" type="button" class="bouton_standard" id="calcul_auto" onclick="javascript:calculAuto()" value="Calcul auto d'apr&egrave;s les r&egrave;gles de gestion" /></td>
                      <td colspan="2"><span class="remarque">(Nombre d'heures d'animations pour une quotit&eacute; de 100, nombre d&eacute;cimal. Pensez &agrave; enregistrer) </span></td>
                    </tr>
                     <tr class="survol">
                      <td>Pour info: quota r&eacute;el  </td>
                      <td colspan="4"><?php printf("%.2f",$quota_reel)?></td>
                    </tr>
<tr class="survol">
                      <td>Mot de passe </td>
                      <td><input name="mdp_stag" type="text" id="mdp_stag" value="<?php print htmlentities($mdp_stag,ENT_COMPAT,'ISO-8859-15') ?>" size="17" maxlength="16" />
                      <input name="genere" type="button" class="bouton_standard" id="genere" value="G&eacute;n&eacute;rer au hasard" onclick="javascript:generer('mdp_stag')" /></td>
                      <td><p class="remarque">Le # signifie que le stagiaire a modifi&eacute; son mot de passe. Modifiez-le seulement en cas de r&eacute;initialisation. Pensez &agrave; enregistrer le nouveau mot de passe avant d'envoyer les param&egrave;tres de connexion. </p></td>
                    </tr>
                    <tr class="survol">
                      <td>Anonymat</td>
                      <td colspan="2"><p>
                        <input type="radio" name="anonyme_stag" value="0" <?php if ($anonyme==0) print "checked=\"checked\"" ?> />
                        <strong>non</strong>: nom, pr&eacute;nom, &eacute;cole de rattachement sont accessibles aux autres stagiaires s'ils cliquent sur une animation &agrave; laquelle ce stagiaire participe. </p>
                        <p>
                          <input type="radio" name="anonyme_stag" value="1"<?php if ($anonyme==1) print "checked=\"checked\"" ?>/>
                          <strong>oui</strong>: pas de publication des param&egrave;tres pour les autres stagiaires. </p></td>
                    </tr>
                  </table>
			      <table>
                    <tr class="table_entete">
                      <td>Animations</td>
                      <td>nb.</td>
                      <td>dur&eacute;e</td>
                    </tr>
                    <tr>
                      <td>inscriptions</td>
                      <td><div align="center"><?php print $nb_inscr?></div></td>
                      <td><div align="center"><?php print reelEnHeure($duree_inscr)?></div></td>
                    </tr>
                    <tr>
                      <td>convocations</td>
                      <td><div align="center"><?php print $nb_conv?></div></td>
                      <td><div align="center"><?php print reelEnHeure($duree_conv)?></div></td>
                    </tr>
                  </table>
			      <p>&nbsp;</p>
			      <div align="center">
                    <?php
						if ($id_stagiaire==0) {
							print "<input name=\"valider\" type=\"submit\" class=\"bouton_standard\" value=\"Enregistrer puis diter\" tabindex=\"1\" />";
							print "&nbsp;&nbsp;&nbsp;<input name=\"valider1\" type=\"submit\" class=\"bouton_standard\" value=\"Enregistrer puis passer\" tabindex=\"2\"/>";
						}
						else print "<input name=\"valider\" type=\"submit\" class=\"bouton_standard\" value=\"Enregistrer\" tabindex=\"1\" />";
					?>							
			      </div>
		        </form>
			  </div>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_adm_stagiaire_edite?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="adm_adm_stagiaire_edite.php?id_stagiaire=0&amp;url_ret=<?php print $url_ret_adm_adm_stagiaire_edite?>">ajout</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>