<?php
/* 
	Paramtrage compte admin 
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  

	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	require '_fonctions_mdp.inc.php';
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$erreur="";
	$resultat="";
	if (!isset($_SESSION['circonscript7_id_admin'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}
	$id_admin=$_SESSION['circonscript7_id_admin'];
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_admin=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_admin']=$url_ret_adm_admin;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_admin'])) {
		$url_ret_adm_admin=$_SESSION['circonscript7_url_ret_adm_admin'];
	}
	else $url_ret_adm_admin="compte.php";
	// si paramtres par GET, enregistre puis te le GET
	$login=' ';
	$id_uti_admin=0;
	$nom_admin='';
	$courriel_admin='';
	$r=query("SELECT utilisateurs.login,administrateurs.nom,administrateurs.courriel, administrateurs.id_uti FROM utilisateurs, administrateurs WHERE administrateurs.id_admin=$id_admin AND administrateurs.id_uti=utilisateurs.id_uti",$h);
	$row=@mysqli_fetch_array($r);
	$login=$row['login'];
	$nom_admin=$row['nom'];
	$courriel_admin=$row['courriel'];
	$id_uti_admin=$row['id_uti'];
	if (isset($_POST['valider'])) {
		$nom_admin=normaliseT($_POST['nom'],255);
		if (!nomValide($nom_admin)) $erreur.="Nom incorrect. ";
		$courriel_admin=normaliseT($_POST['courriel'],255);
		if (!testeEMail($courriel_admin)) $erreur.="Courriel incorrect. ";
		if (!$erreur) {
			$nom=myEscapeString($h,$nom_admin);
			query("UPDATE administrateurs SET nom='$nom',courriel='$courriel_admin' WHERE id_admin=$id_admin",$h);
			if (!$erreur) $erreur="Modifications enregistres. ";
		}

	}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--
		function jsRecopier()
		{
			document.form.courriel.value='<?php print htmlentities($login,ENT_COMPAT,'ISO-8859-15') ?>';
		}
		//-->	
		</script>
	</head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_admin?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps">	 
<?php
		if ($resultat) print "<p class=\"erreur\">$resultat</p>"; 
		if ($erreur) print "<p class=\"erreur\">$erreur</p>"; 
?>
	  <h1>Param&eacute;trage de votre compte admnistrateur </h1>
	  <form method="post" action="" name="form">
	    <table border="0">
          <tr>
            <td>Votre identifiant de connexion : <br /></td>
            <td><?php print htmlentities($login,ENT_COMPAT,'ISO-8859-15') ?></td>
            
          </tr>
          <tr>
            <td>Nom : <br />
              <em>Tel qu'il appara&icirc;tra dans le champ &quot;De&quot; des courriels publipost&eacute;s. </em></td>
            <td><input name="nom" type="text" id="nom" value="<?php print htmlentities($nom_admin,ENT_COMPAT,'ISO-8859-15') ?>" size="40" maxlength="255" /></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td>Courriel : <br />
              <em>Adresse de retour des courriels publipost&eacute;s. Peut &ecirc;tre diff&eacute;rent de l'identifiant de connexion. </em></td>
            <td><input name="courriel" type="text" id="courriel" value="<?php print htmlentities($courriel_admin,ENT_COMPAT,'ISO-8859-15') ?>" size="40" maxlength="255" /></td>
            <td><input name="recopier" type="button" class="bouton_standard" id="recopier" value="Recopier l'identifiant de connexion" onclick="javascript:jsRecopier()" /></td>
          </tr>
        </table>
      <p>
        <input name="valider" type="submit" class="bouton_standard" id="valider" value="Valider" />
      </p>
      </form>

	</div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_admin?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>