<?php
/* 
	Bilan des animations
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_animations_bilan=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_animations_bilan']=$url_ret_adm_animations_bilan;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_animations_bilan'])) {
		$url_ret_adm_animations_bilan=$_SESSION['circonscript7_url_ret_adm_animations_bilan'];
	}
	else $url_ret_adm_animations_bilan="adm_animations.php";
	$ancre='';
	if (isset($_SESSION['adm_animations_modif_ancre'])) $ancre=$_SESSION['adm_animations_modif_ancre'];
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions_animation.inc.php';
	require '_fonctions.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	$autoriser_plan_futur=queryValue("SELECT autoriser_plan_futur FROM circos WHERE id_circo=$id_circo",$h);
	if ($autoriser_plan_futur && isset($_SESSION['circonscript7_annee'])) $annee=$_SESSION['circonscript7_annee'];
	else $annee=0;
	if (isset($_GET['id_anim'])) {
		$id_anim=abs(intval($_GET['id_anim']));
	}
	else if (isset($_GET['AnimSuivante'])) {
		$id_anim=abs(intval($_GET['AnimSuivante']));
		while(1) {
			$q="SELECT positions.id_anim FROM positions, animations, domaines, themes WHERE positions.id_anim=animations.id_anim AND animations.id_circo=$id_circo AND domaines.id_domaine=positions.id_domaine  AND themes.id_theme= positions.id_theme AND domaines.id_circo=$id_circo AND domaines.annee=$annee ORDER BY domaines.tri, themes.tri, positions.tri";
			$r=query($q,$h);
			$anims=array();
			while ($row=@mysqli_fetch_row($r)) $anims[]=$row[0];
			if (count($anims)==0) break;
			$index=array_search($id_anim,$anims);
			if ($index===false) {
				$erreur="Animation non trouve";
				break;
			}
			++$index;
			if ($index >= count($anims)) 
				$index=0;
			$id_anim=$anims[$index];
			header("Location: adm_animations_modif.php?Modifier=$id_anim");
			exit;
		}
	}
	else {
		$id_anim=0;
		$erreur="Pas d'animation dfinie pour ce bilan";
	}
	$q="SELECT domaines.libelle, themes.libelle FROM positions, domaines,themes WHERE positions.id_anim=$id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND positions.id_theme=themes.id_theme AND themes.id_circo=$id_circo";
	$r=query($q,$h);
	$row=@mysqli_fetch_row($r);
	$titre1=$row[0];
	$titre2=$row[1];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> 
		<link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--
		function ouvreLien(url)
		{
			if (url) window.open(url);
		}
		//-->
		</script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_animations_bilan;
					if ($ancre) print "#$ancre";
					?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
	  				<li><a href="adm_animations_modif.php?Modifier=<?php print $id_anim?>">modifier</a></li>
	  				<li><a href="adm_animations_modif.php?Modifier=0">ajouter</a></li>
					<li><a href="adm_animations_bilan.php?AnimSuivante=<?php print $id_anim?>">animation suivante</a></li>
				</ul>
			</div>
			<div id="corps">	 
				<div id="animation">
				<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
				<h1>Bilan</h1>
				<?php 
					if ($titre1) print "<h2>".htmlentities($titre1,ENT_COMPAT,'ISO-8859-15')."</h2>\n";
					if ($titre2) print "<h3>".htmlentities($titre2,ENT_COMPAT,'ISO-8859-15')."</h3>\n";
				 	if ($id_anim>0) afficheUneAnimation($id_anim,$h,$impair,'');
				?>
				</div>
			</div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_animations_bilan;
					if ($ancre) print "#$ancre";
					?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
	  				<li><a href="adm_animations_modif.php?Modifier=<?php print $id_anim?>">modifier</a></li>
	  				<li><a href="adm_animations_modif.php?Modifier=0">ajouter</a></li>
					<li><a href="adm_animations_bilan.php?AnimSuivante=<?php print $id_anim?>">animation suivante</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>