<?php
/* 
	Niveaux d'enseignement	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_categorie=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_categorie']=$url_ret_adm_categorie;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_categorie'])) {
		$url_ret_adm_categorie=$_SESSION['circonscript7_url_ret_adm_categorie'];
	}
	else $url_ret_adm_categorie="administration.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';

	$modifications_possibles=1;		
	$h=connect();
	debugInit();
	$id_modifier=0;
	while (isset($_POST['Valider'])) {
		$codage=normaliseT($_POST['codage'],30);
		$tri=normalise($_POST['tri']);
		$libelle=normaliseT($_POST['libelle'],250);
		if (!is_numeric($tri)) {
			$erreur="Le tri doit tre un nombre";
			break;
		}
		if (!$libelle || !$codage) {
			$erreur="Opration annule: il faut renseigner tous les champs. ";
			break;
		}
		$libelle=myEscapeString($h,$libelle);
		$codage=myEscapeString($h,strtoupper($codage));	
		$q="SELECT COUNT(*) FROM categories WHERE codage LIKE \"$codage\"";
		$r=query($q,$h);
		if (!$r) break;
		$count=@mysqli_fetch_row($r);
		if ($count[0]>0) {
			$erreur="Opration annule: il existe dj un codage identique pour cet item.";
			break;
		
		}
		$q="SELECT COUNT(*) FROM categories WHERE libelle LIKE \"$libelle\"";
		$r=query($q,$h);
		if (!$r) break;
		$count=@mysqli_fetch_row($r);
		if ($count[0]>0) {
			$erreur="Opration annule: il existe dj un libell identique pour cet item.";
			break;
		
		}
		$q="SELECT COUNT(*) FROM categories";
		$r=query($q,$h);
		if (!$r) break;
		$count=@mysqli_fetch_row($r);
		if ($tri>$count[0]) $tri=$count[0]+1;
		else if ($tri<0) $tri=0;
		$q="UPDATE categories SET tri=tri+1 WHERE tri>=$tri";
		query($q,$h);
		$q="INSERT INTO categories(libelle,codage,tri) VALUES (\"$libelle\",\"$codage\",\"$tri\")";
		$r=query($q,$h);
		$modifications_possibles=0;
		$id_categorie=0;
		break;
	}
	if (!$erreur && isset($_POST['commande'])&& $_POST['commande']=='supprimer' && isset($_POST['supprime'])) {
		$modifications_possibles=0;
		$id_modifier=0;
		$ignores=0;
		$effectues=0;
		$circos=array();
		foreach($_POST['supprime'] as $id_categorie) {
			$id_categorie=intval($id_categorie);
			$count=1;
			if ($id_categorie!=0) {
				$r=query("SELECT COUNT(*) FROM animations WHERE id_categorie=$id_categorie",$h);
				$row=@mysqli_fetch_row($r);
				$count=$row[0];
			}
			if ($count>0) {
				++$ignores;
				$r=query("SELECT libelle_court FROM circos,animations WHERE animations.id_categorie=$id_categorie AND animations.id_circo=circos.id_circo GROUP BY circos.id_circo",$h); 
				while($row=@mysqli_fetch_row($r)) 
					if (!in_array($row[0],$circos)) $circos[]=$row[0];
				continue;
			} 
			$q="DELETE FROM categories WHERE id_categorie=$id_categorie";
			query($q,$h);
			++$effectues;
		}
		trier($h);
		if ($effectues) $erreur.="Nombre de catgories supprimes: $effectues. ";
		if ($ignores) $erreur.="Nombre de catgories non supprimes car des animations y font rfrence: $ignores. ";
		if ($erreur!='') {
			if (!empty($circos)) $erreur.=" Circos concernes: ".implode(', ',$circos); 
		}
		
	}
	else if(!$erreur && isset($_POST['Modifier'])) while(1){
		$modifications_possibles=0;
		$id_categorie=abs(intval($_POST['id_modifier']));
		if(!$id_categorie) {
			$erreur="Catgorie incorrecte.";
			break;
		}
		$q="SELECT * FROM categories WHERE id_categorie=$id_categorie";
		$r=query($q,$h);
		$row=@mysqli_fetch_array($r);
		if ($row['id_categorie']=='') {
			$erreur="Catgorie inconnue.";
			break;
		}
		$id_categorie=$row['id_categorie'];
		$tri_en_cours=$row['tri'];
		$codage=normaliseT(nettoyerApostrophes($_POST['codage']),30);
		$tri=normalise($_POST['tri']);
		$libelle=normaliseT(nettoyerApostrophes($_POST['libelle']),250);

		if (!is_numeric($tri)) {
			$erreur="Le tri doit tre un nombre";
			break;
		}
		if (!$libelle || !$codage) {
			$erreur="Opration annule: il faut renseigner tous les champs. ";
			break;
		}
		$libelle=myEscapeString($h,$libelle);
		$codage=myEscapeString($h,strtoupper($codage));	
		$q="SELECT COUNT(*) FROM categories WHERE codage LIKE \"$codage\" AND id_categorie<>$id_categorie";
		$r=query($q,$h);
		if (!$r) break;
		$count=@mysqli_fetch_row($r);
		if ($count[0]>0) {
			$erreur="Opration annule: il existe dj un codage identique pour cet item.";
			break;
		
		}
		$q="SELECT COUNT(*) FROM categories WHERE libelle LIKE \"$libelle\" AND id_categorie<>$id_categorie";
		$r=query($q,$h);
		if (!$r) break;
		$count=@mysqli_fetch_row($r);
		if ($count[0]>0) {
			$erreur="Opration annule: il existe dj un libell identique pour cet item.";
			break;
		
		}
		
		$q="SELECT COUNT(*) FROM categories";
		$r=query($q,$h);
		if (!$r) break;
		$count=@mysqli_fetch_row($r);
		if ($tri>$count[0]) $tri=$count[0]+1;
		else if ($tri<0) $tri=0;
		query("UPDATE categories SET libelle=\"$libelle\", codage=\"$codage\",tri=$tri WHERE id_categorie=$id_categorie",$h);
		if ($tri <$tri_en_cours) {
			$q="UPDATE categories SET tri=tri+1 WHERE id_categorie<>$id_categorie AND tri >= $tri AND tri<$tri_en_cours";
			query($q,$h);
		}
		else if ($tri >$tri_en_cours) {
			$q="UPDATE categories SET tri=tri-1 WHERE id_categorie<>$id_categorie AND tri <= $tri AND tri>$tri_en_cours";
			query($q,$h);
		}
		break;
	}
	else if (!$erreur && isset($_POST['undo'])) {
		$id_modifier=0;
	}
	else if (!$erreur && isset($_GET['Modifier'])) {
		$id_modifier=abs(intval($_GET['Modifier']));
	}
	
//---------------------Sous programmes

function trier($h)
{
	$q="SELECT id_categorie FROM categories ORDER BY tri";
	$r=query($q,$h);
	$tri=1;
	while($row=@mysqli_fetch_row($r)) {
		$id_categorie=$row[0];
		$q="UPDATE categories SET tri=$tri WHERE id_categorie=$id_categorie";
		query($q,$h);
		++$tri;
	}
}



?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
		<script type="text/javascript">
		<!--			
			function cocheTout(obj)
			{
			  // on rcupre le formulaire des objets  modifier
			  leForm = obj.form
			
			  laListe = leForm["supprime[]"]
			
			  if (laListe != null){
				if (laListe.length != null){
				  // on modifie tous les lments
				  for(i=0; i < laListe.length; i++) {
					laListe[i].checked = obj.checked
				  }
				} else {
				  laListe.checked = obj.checked
				}
			  }
			}
			function confirme()
			{
			  
			  leForm = document.formulaire;
			  laListe = leForm["supprime[]"];
				n=0;
				if (laListe != null) {
					if (laListe.length != null) {
						for (i=0;i<laListe.length; ++i) if (laListe[i].checked) ++n;
					}
					else {
						if (laListe.checked) ++n;
					}
				}
				if (n==0) alert("Il faut cocher les niveaux  supprimer");
				else {
					b=window.confirm("Voulez-vous vraiment suprimer les niveaux cochs ?");
					if (b) {	
						document.formulaire.commande.value='supprimer';
						document.formulaire.submit();
					}
				}				
			}
		//-->	
		</script>					
		
	</head>
	<body>
	<div id="conteneur">

	 <?php 
		include('menu_principal.inc.php');
		
	?>
	<div class="menu_secondaire">
	<ul class="menu2">
	  <li><a href="<?php print $url_ret_adm_categorie?>">retour</a></li>
	  <li><a href="#bas">bas</a></li>
	</ul>
	</div>
	<div id="corps">
	<h1>Les cat&eacute;gories </h1>
	<p>Entre parenth&egrave;ses, le nombre d'animations faisant r&eacute;f&eacute;rence &agrave; cette cat&eacute;gorie, toutes circonscriptions confondues. </p>
	<?php 	
		if ($erreur) printf("<p class=\"erreur\">%s</p>\r\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15')); 
	?>
	<form name="formulaire" method="post" action="" >
	<table>
      <tr class="table_entete">
        <td>Ordre</td>
        <td>Codage</td>
        <td>Libell&eacute;</td>
        <td>Modifie</td>
		<td>Suppr.<input type="checkbox" name="cochetout" value="0" onclick="cocheTout(this)" /></td>
      </tr>
      <?php
	$codage="";
	$tri=0;
	$count=0;
	$modifier=array();
	$q="SELECT * FROM categories ORDER BY tri ASC";
	$r=query($q,$h);                                                  
	while ($row=@mysqli_fetch_array($r)) {
		print "<tr class=\"survol\" >\r\n";
		print " <td>";
		$tri=$row['tri'];
		print $tri;
		print "</td>\r\n";
		print " <td>";
		$codage=$row['codage'];
		print htmlentities($codage,ENT_COMPAT,'ISO-8859-15');
		print "</td>\r\n";
		print " <td>";
		print htmlentities($row['libelle'],ENT_COMPAT,'ISO-8859-15');
		$nb=queryValue(sprintf("SELECT COUNT(*) FROM animations WHERE id_categorie=%d",$row['id_categorie']),$h);
		print " ($nb)";
		print "</td>\r\n";
		print " <td class=\"controle\">";
	  	printf ("<a href=\"adm_categories.php?Modifier=%s\"><img src=\"images/b_edit.png\" alt=\"edite\" /></a>",$row['id_categorie']);
		print "</td>\r\n";
		print " <td class=\"controle\">";
	  	printf ("<input type=\"checkbox\" name=\"supprime[]\" value=\"%s\" />",$row['id_categorie']);
		print "</td>\r\n";
		print "</tr>\r\n";
		if ($modifications_possibles && $id_modifier==$row['id_categorie']) 
			$modifier=$row;
		++$count;
	}
	// Ajoute une nouvelle ligne
	if (count($modifier)==0) 
		if ($count<100) {
			print "<tr>\r\n";
			print " <td>";
			printf ("<input type=\"text\" name=\"tri\" value=\"%s\" size=\"4\" maxlength=\"3\" />",$tri+1);
			print "</td>\r\n";
			print " <td>";
			print "<input type=\"text\" name=\"codage\" value=\"\" size=\"15\" maxlength=\"30\" />";
			print "</td>\r\n";
			print " <td>";
			print "<input type=\"text\" name=\"libelle\" size=\"100\" maxlength=\"250\" />";
			print "</td>\r\n";
			print " <td class=\"controle\">";
			print  "<input name=\"Valider\" class=\"bouton_ajoute\" type=\"submit\" value=\"Ajouter\"/>";
			print "</td>\r\n";			
		}
		else {
			print "<tr>\r\n";
			print " <td>";
			print "<h4>Limite maximale atteinte</h4>";
			print "</td>\r\n";
			print " <td>";
			print "<p>&nbsp;</p>";
			print "</td>\r\n";
			print " <td>";
			print "<p>&nbsp;</p>";
			print "</td>\r\n";
			print " <td>";
			print "<p>&nbsp;</p>";
			print "</td>\r\n";
		}
	else {
		print "<tr>\r\n";
		print " <td>";
		printf ("<input type=\"text\" name=\"tri\" value=\"%s\" size=\"4\" maxlength=\"3\" />",$modifier['tri']);
		print "</td>\r\n";
		print " <td>";
		printf ("<input type=\"text\" name=\"codage\" value=\"%s\" size=\"15\" maxlength=\"30\" />",htmlentities($modifier['codage'],ENT_COMPAT,'ISO-8859-1'));
		print "</td>\r\n";
		print " <td>";
		printf ("<input type=\"text\" name=\"libelle\" value=\"%s\" size=\"100\" maxlength=\"250\" />",htmlentities($modifier['libelle'],ENT_COMPAT,'ISO-8859-15'));
		print "</td>\r\n";
		print " <td class=\"controle\">";
		printf( "<input name=\"Modifier\" class=\"bouton_editer\" value=\"%s\" type=\"submit\" />",$modifier['id_categorie']);
		print "</td>\r\n";
	}
	print " <td class=\"controle\">";
	if (count($modifier)==0) print "<input name=\"supprimer\" type=\"button\" class=\"bouton_supprimer\" value=\"Supprimer\" onclick=\"confirme()\" />\n";
	else print "<input name=\"undo\" type=\"submit\" class=\"bouton_undo\" value=\"D&eacute;faire\" />\n";
	print "</td>\r\n";
	print "</tr>\r\n";
	 ?>
    </table>
	<?php
		if ($erreur) printf("<p class=\"erreur\">%s</p>\r\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15')); 
	?>
	<input type="hidden" name="id_modifier" value="<?php print htmlentities($id_modifier,ENT_COMPAT,'ISO-8859-15')?>" />
	<input name="commande" type="hidden" id="commande" value="0" />
	</form>
	
	</div>
	<div class="menu_secondaire">
	<ul class="menu2">
	  <li><a href="<?php print $url_ret_adm_categorie?>">retour</a></li>
	  <li><a href="#haut">haut</a></li>
	</ul>
	</div>
	<a name="bas" id="bas"></a></div>
	<?php if (isset($_POST['Valider'])||$id_modifier>0) { ?>
	<script language="javascript" type="text/javascript" >
		document.location.href="#bas";
		document.formulaire.niveau.select();
	</script>
	<?php } ?>
	</body>
</html>