<?php
/* 
	Menu circo - configuration gnrale 
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  

	require '_sqlconnect.inc.php';
	$h=connect();
	ejecteSiFerme($h);
	$erreur="";
	debugInit();
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_configuration=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_configuration']=$url_ret_adm_configuration;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_configuration'])) {
		$url_ret_adm_configuration=$_SESSION['circonscript7_url_ret_adm_configuration'];
	}
	else $url_ret_adm_configuration="adm_circo_bienvenue.php";
	$_SESSION['circonscript7_session_menu_page']=1;

	if (isset($_POST['cbCircos']) && isset($_SESSION['circonscript7_id_admin'])) {
		$id_circo_nouv=abs(intval($_POST['cbCircos']));
		$id_admin=$_SESSION['circonscript7_id_admin'];
		$n=queryValue("SELECT COUNT(*) FROM droits WHERE id_admin=$id_admin AND id_circo=$id_circo_nouv",$h);
		if ($n==0) $erreur="Vous n'avez pas le droit d'accder  cette circo";
		else {
			$id_circo=$id_circo_nouv;
			$_SESSION['circonscript7_id_circo']=$id_circo;
		}
	}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>"; 
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_configuration?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps">
	  <h1>La circo </h1>
	  <h2><a href="adm_circo.php?url_ret=adm_configuration.php">Param&egrave;tres </a></h2>
	  <p>Param&egrave;tres sp&eacute;cifiques &agrave; la circo: adresse, libell&eacute;, noms des responsables, etc. </p>
	  <h2><a href="adm_ecoles.php?url_ret=adm_configuration.php">Modifier la liste des &eacute;coles de la circo </a> ou <a href="adm_ecoles_importe.php">importer des &eacute;coles &agrave; partir d'un CSV</a> </h2>
	  <p>Ajout ou modification des &eacute;coles appartenant &agrave; la circo. </p>
	  <h2><a href="adm_circos_bassin.php">D&eacute;finir les circos favorites, vers lesquelles vous souhaitez exporter des animations </a></h2>
	  <p>Lorsque vous cr&eacute;ez une animation, le logiciel ne montre que les circos de ce bassin au lieu de les afficher toutes. </p>
	  <h1>Configuration du  site </h1>
	  <h2><a href="adm_site.php?url_ret=adm_configuration.php">Etat du site </a></h2>
	  <p>Ouvrir l'acc&egrave;s du site aux stagiaires, ouvrir les exportations d'animations vers les autres circos. </p>
	  <h2><a href="adm_raz.php?url_ret=adm_configuration.php">Remise &agrave; z&eacute;ro : initialisation des tables </a></h2>
	  <p>R&eacute;initialisations g&eacute;n&eacute;rales: supprimer le plan de formation, les convocations, les inscriptions, la liste des stagiaires. </p>
	  <h1>Courriels</h1>
	  <h2><a href="adm_courriels_admin.php?url_ret=adm_configuration.php">Envoi direct de courriels aux administrateurs</a></h2>
	  <p>A l'administrateur g&eacute;n&eacute;ral ou aux administrateurs de chaque circo. </p>
	  <h2><a href="adm_courriels_ecoles.php?url_ret=adm_configuration.php">Envoi direct de courriels aux &eacute;coles </a></h2>
	  <p>Concerne les &eacute;coles de la circo.</p>
	  <h1>Accueil</h1>
	  <h2>Retour <a href="adm_circo_bienvenue.php"> la page d'accueil circo.</a></h2>
	</div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_configuration?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>