<?php
/* 
	Recherche des doublons dans les convocations
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_convocations_doublons=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_convocations_doublons']=$url_ret_adm_convocations_doublons;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_convocations_doublons'])) {
		$url_ret_adm_convocations_doublons=$_SESSION['circonscript7_url_ret_adm_convocations_doublons'];
	}
	else $url_ret_adm_convocations_doublons="adm_convocations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo!=0 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		

	//diffrents tris en cours
	$tris=array(
		'nom_asc'=> 'nom_stagiaire ASC, nom_ecole ASC',
		'nom_desc' => 'nom_stagiaire DESC, nom_ecole ASC',
		'ecole_asc'=>'nom_ecole ASC, nom_stagiaire ASC',
		'ecole_desc'=>'nom_ecole DESC,nom_stagiaire ASC',
		'intitule1_asc'=>'intitule1 ASC, nom_stagiaire ASC',
		'intitule1_desc'=>'intitule1 DESC, nom_stagiaire ASC',
		'intitule2_asc'=>'intitule2 ASC, nom_stagiaire ASC',
		'intitule2_desc'=>'intitule2 DESC, nom_stagiaire ASC',
	);
	
		if (isset($_SESSION['circonscript7_adm_convocations_doublons_filtre_special'])) $adm_convocations_doublons_filtre_special=$_SESSION['circonscript7_adm_convocations_doublons_filtre_special'];
	else $adm_convocations_doublons_filtre_special=0;
	if (isset($_POST['page'])) { // test sur page pour savoir si on a fait un POST
		$f1=isset($_POST['filtre_spe1'])?1:0;
		$f2=isset($_POST['filtre_spe2'])?1:0;
		if ($f1==$f2) {
			if ($adm_convocations_doublons_filtre_special!=$f1) {
				$adm_convocations_doublons_filtre_special=$f1;
				$_SESSION['circonscript7_adm_convocations_doublons_filtre_special']=$adm_convocations_doublons_filtre_special;
			}
		}
		else {
			$adm_convocations_doublons_filtre_special=!$adm_convocations_doublons_filtre_special;
			$_SESSION['circonscript7_adm_convocations_doublons_filtre_special']=$adm_convocations_doublons_filtre_special;
		}
   }

	if (isset($_GET['tri'])) {
		$tri_adm_convocations_doublons=$tris[$_GET['tri']];
		if (!isset($tri_adm_convocations_doublons)) $tri_adm_convocations_doublons=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_convocations_doublons']=$tri_adm_convocations_doublons;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_convocations_doublons'])) {
		$tri_adm_convocations_doublons=$_SESSION['circonscript7_tri_adm_convocations_doublons'];
	}
	else {
		$tri_adm_convocations_doublons=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_convocations_doublons']=$tri_adm_convocations_doublons;
	}		
	if (isset($_SESSION['circonscript7_filtre_adm_convocations_doublons'])) 
		$filtre_adm_convocations_doublons=$_SESSION['circonscript7_filtre_adm_convocations_doublons'];
	else $filtre_adm_convocations_doublons='';
   
   if (isset($_POST['chercher'])) {
		if (isset($_POST['filtre1'])) {
			$filtre1=normalise($_POST['filtre1']);
		}
		else $filtre1='';
		if (isset($_POST['filtre2'])) {
			$filtre2=normalise($_POST['filtre2']);
		}
		else $filtre2='';
		if( $filtre1!=$filtre_adm_convocations_doublons) $filtre_adm_convocations_doublons=$filtre1;
		else $filtre_adm_convocations_doublons=$filtre2;
		$_SESSION['circonscript7_filtre_adm_convocations_doublons']=$filtre_adm_convocations_doublons;    		
   }
   elseif (isset($_POST['actualise'])) {
		$filtre_adm_convocations_doublons='';
		$_SESSION['circonscript7_filtre_adm_convocations_doublons']=$filtre_adm_convocations_doublons;
   	}
   	$taille=5;
	
	// La requete
	$q="SELECT COUNT(DISTINCT(c1.id_stagiaire))	
	FROM convocations as c1, convocations as c2, seances as s1,seances as s2, dates as d1, dates as d2, stagiaires AS stag, ecoles
	WHERE c1.id_convoc<c2.id_convoc AND c1.id_stagiaire=c2.id_stagiaire 
	AND c1.id_stagiaire=stag.id_stagiaire
	AND stag.id_ecole=ecoles.id_ecole
	AND ecoles.id_circo=$id_circo
	AND c1.id_seance=s1.id_seance AND d1.id_seance=s1.id_seance 
	AND d1.date<'9999-12-30'
	AND d1.date<>'0000-00-00'
	AND c2.id_seance=s2.id_seance AND d2.id_seance=s2.id_seance 
	AND d2.date=d1.date";
	
	
	if ($filtre_adm_convocations_doublons) {
		$filtre2=myLikeEscapeString($h,normaliseNom($filtre_adm_convocations_doublons));
		$q.= " AND (stag.nom_f LIKE '%$filtre2%' OR stag.prenom_f LIKE '%$filtre2%' OR CONCAT(stag.nom_f,' ',stag.prenom_f) LIKE '%$filtre2%')";
	}
	$nb_elements=queryValue($q,$h);	
	
	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	if (isset($_SESSION['circonscript7_adm_convocations_doublons_page'])) {
		$page=$_SESSION['circonscript7_adm_convocations_doublons_page'];
	}
	else $page=0;
	if (isset($_SESSION['circonscript7_filtre_bascule']) && $_SESSION['circonscript7_filtre_bascule']==1) {
		$page=0;
		$filtre_bascule=0;
		$_SESSION['circonscript7_filtre_bascule']=$filtre_bascule;
	}

	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
	
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   	if (--$page<0) $page=0;
   }
	$adm_convocations_doublons_page=$page;
	$_SESSION['circonscript7_adm_convocations_doublons_page']=$adm_convocations_doublons_page;
	/**********************
		Validation
	***********************/
	if (isset($_POST['valider']) && isset($_POST['id_stagiaire']) && isset($_POST['id_seance'])) {
		$otes=0;
	
		foreach($_POST['id_stagiaire'] as $i=>$id_stagiaire) {
			$i=intval($i);
			$id_stagiaire=intval($id_stagiaire);
			if (!isset($_POST['id_seance'][$i])) continue;
			$id_seance=intval($_POST["id_seance"][$i]);
			if (!isset($_POST['coche'][$i])) {
				$n=queryValue("SELECT COUNT(*) FROM convocations WHERE id_stagiaire=$id_stagiaire AND id_seance=$id_seance",$h);
				if ($n>0) {
					query("DELETE FROM convocations WHERE id_stagiaire=$id_stagiaire AND id_seance=$id_seance",$h);
					if (!$erreur) ++$otes;
					query("DELETE absences FROM absences,dates WHERE absences.id_stagiaire=$id_stagiaire AND absences.id_date=dates.id_date AND dates.id_seance=$id_seance",$h);
				}	
			} 
		}
		if ($otes>0)
			$erreur.="$otes convocation(s) retire(s).";
	}

		
   
function affichepages()
{
	global $nb_pages, $page,$id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_convocations_doublons.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}
function afficheListeStagiaires($h)
{
	global $tri_adm_convocations_doublons,$requete,$filtre_special_having,$filtre_special_having2, $adm_convocations_doublons_filtre_special,$id_circo,$filtre_adm_convocations_doublons,$page,$taille;
	$impair=0;
	$q="SELECT c1.id_stagiaire,s1.id_seance,s2.id_seance, d1.date, d1.horaire,d1.duree,d2.horaire,d2.duree 
FROM convocations as c1, convocations as c2, seances as s1,seances as s2, dates as d1, dates as d2, animations as a1, animations as a2, stagiaires AS stag, ecoles
WHERE c1.id_convoc<c2.id_convoc AND c1.id_stagiaire=c2.id_stagiaire 
AND c1.id_stagiaire=stag.id_stagiaire
AND stag.id_ecole=ecoles.id_ecole
AND ecoles.id_circo=$id_circo
AND c1.id_seance=s1.id_seance AND d1.id_seance=s1.id_seance 
AND c2.id_seance=s2.id_seance AND d2.id_seance=s2.id_seance 
AND d1.date=d2.date
AND d1.date<'9999-12-30'
AND d1.date<>'0000-00-00'
AND s1.id_anim=a1.id_anim
AND s2.id_anim=a2.id_anim
ORDER BY d1.date
";
	
	$r=query($q,$h);
	$seances=array();
	$stagiaires=array();
	$dates=array();
	
	while ($row=@mysqli_fetch_row($r)) {
		$id_stagiaire=$row[0];
		$horaire1=$row[4];
		$duree1=$row[5];
		$horaire2=$row[6];
		$duree2=$row[7];
		$date=$row[3];
		$b=false;
		if ($horaire1=='00:00:00' || $horaire2=='00:00:00') $b=true;
		else $b=intersectionHoraires($date,$horaire1,$duree1,$date,$horaire2,$duree2);
		if (!$b) continue;
		if (!in_array($id_stagiaire,$stagiaires)) {
			$stagiaires[]=$id_stagiaire;
			$seances[$id_stagiaire]=array();
			$dates[$id_stagiaire]=array();
		}		
	
		if (!in_array($row[1],$seances[$id_stagiaire])) {
			$seances[$id_stagiaire][]=$row[1];	
			$dates[$id_stagiaire][]=$date;
		}	
		if (!in_array($row[2],$seances[$id_stagiaire])) {
			$seances[$id_stagiaire][]=$row[2];	
			$dates[$id_stagiaire][]=$date;
		}	
	}
	
	
	if (empty($stagiaires)) return;
	$liste_stag=implode(',',$stagiaires);
	$lim=$page*$taille;
	$filtre2='';
	if ($filtre_adm_convocations_doublons) $filtre2='%'.myLikeEscapeString($h,normaliseNom($filtre_adm_convocations_doublons)).'%';

	$q="SELECT id_stagiaire,concat(stagiaires.nom,' ',stagiaires.prenom) as nom_stagiaire,ecoles.nom as nom_ecole, quota_reel, stagiaires.courriel as courriel_stag, ecoles.courriel as courriel_ec
	FROM stagiaires, ecoles
	WHERE stagiaires.id_stagiaire IN ($liste_stag) AND stagiaires.id_ecole=ecoles.id_ecole";
	if ($filtre2) $q.=" AND (stagiaires.nom_f LIKE '$filtre2' OR stagiaires.prenom_f LIKE '$filtre2' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '$filtre2' )";
	$q.=" ORDER BY $tri_adm_convocations_doublons LIMIT $lim , $taille";
	$r=query($q,$h);
	$i=0;
	$nb_stag=@mysqli_num_rows($r);
	while ($row=@mysqli_fetch_array($r)) {	
		$id_stagiaire=$row[0];
		$duree_convoc=queryValue("SELECT sum(dates.duree) FROM dates, seances,convocations WHERE convocations.id_stagiaire=$id_stagiaire AND seances.id_seance=convocations.id_seance AND dates.id_seance=seances.id_seance",$h);
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		print "<td>\n";
		// ajoute champ cach sur l'id du stagiaire
		printf("<p>%s</p>\n",htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		printf("<p><a href=\"adm_convocation_un_stagiaire.php?id_stagiaire=$id_stagiaire&amp;url_ret=adm_convocations_doublons.php\">Convoqu&eacute;(e)</a> &agrave; %s.</p>",reelEnHeure($duree_convoc));
		printf("<p>Quota : %s.</p>",reelEnHeure($row['quota_reel']));
		$courriel_stag=$row['courriel_stag'];
		$courriel_ec=$row['courriel_ec'];
		if ($courriel_stag) {
			print "<p><a href=\"javascript:envoieMail3('$courriel_stag','','')\">Courriel stagiaire</a></p>\n";
			if ($courriel_ec) print "<p><a href=\"javascript:envoieMail3('$courriel_stag','','$courriel_ec')\">Courriel stagiaire CC &eacute;cole</a></p>\n";
		}
		
		print "</td>\n";
		
		
		printf("<td><p>%s</p>\n",htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		if ($courriel_ec) print "<p><a href=\"javascript:envoieMail3('$courriel_ec','','')\">Courriel &eacute;cole</a></p>\n";
		print "</td>\n";
		print "<td><table>\n";
		$date_prec='';
		$j=0;
		foreach($seances[$id_stagiaire] as $id_seance) {
			$date=$dates[$id_stagiaire][$j];
			if ($date_prec=='') $date_prec=$date;
			if ($date!=$date_prec) print "<tr><td><hr/></td></tr>\n";
			$r=query("SElECT intitule, annule FROM animations, seances WHERE seances.id_seance=$id_seance AND seances.id_anim=animations.id_anim",$h);
			$row=@mysqli_fetch_row($r);
			$intitule=$row[0];
			if (strlen($intitule)>63) $intitule=substr($intitule,0,60).'...';
			$intitule=htmlentities($intitule,ENT_COMPAT,'ISO-8859-15');
			if ($row[1]) $intitule='[ANNUL] : '.$intitule;
			
			
			
			$nb_convoc=queryValue("SELECT COUNT(*) FROM convocations WHERE convocations.id_seance=$id_seance",$h);
			$max=queryValue("SELECT max FROM seances WHERE id_seance=$id_seance",$h);
			print "<tr><td>\n";
			print "<h4>$intitule</h4>\n";
			print "<p>Nombre de convoqu&eacute;s: $nb_convoc";
			if ($max>0) print " sur un maximum de $max";
			print ".</p>\n";
			$r2=query("SELECT date,  lieu, horaire FROM dates WHERE dates.id_seance=$id_seance",$h);
			$nb_dates=@mysqli_num_rows($r2);
			$duree=reelEnHeure(queryValue("SELECT SUM(duree) FROM dates WHERE dates.id_seance=$id_seance",$h));
			if ($nb_dates>1) print "<p>$nb_dates s&eacute;ances totalisant $duree</p>\n";
			else print "<p>$nb_dates s&eacute;ance de $duree</p>\n"; 
			print "<ul>\n";
			while ($row2=@mysqli_fetch_row($r2)) {
				$date_seance=$row2[0];
				$date_saisie=dateSQLEnTexte($date_seance);
				$lieu=$row2[1];
				if ($lieu!='') $lieu=" (".htmlentities($lieu,ENT_COMPAT,'ISO-8859-15').")";
				$horaire=horaireSqlEnHeure($row2[2]);
				if ($horaire) $horaire=' &agrave; '.$horaire;
				print "<li>\n";
				if ($date_seance==$date) {
					print "<p><input type=\"checkbox\" name=\"coche[$i]\" value=\"$id_seance\" checked=\"checked\"/>&nbsp;<b>$date_saisie$horaire</b> $lieu</p>\n";
					print "<input type=\"hidden\" name=\"id_stagiaire[$i]\" value=\"$id_stagiaire\"/>\n"; 
					print "<input type=\"hidden\" name=\"id_seance[$i]\" value=\"$id_seance\"/>\n";
					++$i; 
				}
				else print "<p>$date_saisie$lieu</p>\n";
				print "</li>\n";
			}
			print "</ul>\n";
			$date_prec=$date;
			print "</td></tr>\n";
			++$j;
		}
		print "</table></td>\n";
		print "</tr>\n";
		print "<tr><td colspan=\"3\"><hr/></td></tr>\n";
		++$i;
	}
}
	

	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	   <script type="text/javascript" src="envoiemail.js"></script> 
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form

  laListe = leForm["convoque[]"]

  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}
//-->
        </script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_convocations_doublons?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">
		    <h2>Liste des stagiaires de la circonscription convoqu&eacute;s &agrave; des animations qui se chevauchent le m&ecirc;me jour (<?php print $nb_elements?>)</h2>
		    <p>En gras, les dates et horaires qui posent probl&egrave;me.</p>
		    <p>Le calcul ne tient pas compte du temps qu'il faut pour passer d'une animation &agrave; l'autre: deux animations qui se suivent ne seront pas indiqu&eacute;es. </p>
		    <p>Cliquez sur le nom d'un stagiaire pour entrer dans son plan de formation.</p>
		    <p>Vous pouvez aussi d&eacute;cocher les convocations directement sur cette page. Notez les noms avant de valider, car ils dispara&icirc;tront de cette liste. Le quota d'heures pour ces stagiaires aura diminu&eacute;, il faudra peut-&ecirc;tre les convoquer &agrave; d'autres animations. </p>
		 
		      <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>
		    <form method="post" action="">
				  <input type="hidden" name="page" value="<?php print $page?>"/>
				  
				  <table align="center">
                  <tr align="center" valign="top">
                    <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                    <input name="filtre1" type="text" id="filtre1" value="<?php print htmlentities($filtre_adm_convocations_doublons,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                      </b></p></td>
                  </tr>
                </table>

 
			    <table>
                  <tr class="table_entete">
                    <td>Nom stagiaire&nbsp; <a href="adm_convocations_doublons.php?tri=nom_asc"><img src="images/fleche_haut.png" alt="tri par nom ascendant" width="11" height="11" border="0" /></a><a href="adm_convocations_doublons.php?tri=nom_desc"><img src="images/fleche_bas.png" alt="tri par nom descendant" width="11" height="11" border="0" /></a></td>
                    <td>Ecole&nbsp;<a href="adm_convocations_doublons.php?tri=ecole_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_convocations_doublons.php?tri=ecole_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a></td>
                    <td>Intitul&eacute;s</td>
                  </tr>
				<?php  afficheListeStagiaires($h) ?>
				</table>
				<?php if ($nb_elements==0) print "<h3>Aucune date en double trouv&eacute;e</h3>\n"; ?>
			    <table align="center">
                  <tr align="center" valign="top">
                    <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                    <input name="filtre2" type="text" id="filtre2" value="<?php print htmlentities($filtre_adm_convocations_doublons,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    
				    </td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                     </b></p></td>
                  </tr>
                </table>
			    <div align="center">
			    <?php if ($nb_elements>0) print "<input type=\"submit\" value=\"Valider les modifications de convocations effectu&eacute;es sur cette page\" class=\"bouton_standard\" name=\"valider\" />\n";
				else print '&nbsp;'; ?>
			  </div>
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_convocations_doublons?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
