<?php
/* 
	Exportation des convocations et des inscriptions sous forme de csv
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_convocations_export=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_convocations_export']=$url_ret_adm_convocations_export;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_convocations_export'])) {
		$url_ret_adm_convocations_export=$_SESSION['circonscript7_url_ret_adm_convocations_export'];
	}
	else $url_ret_adm_convocations_export="adm_convocations.php";
	if (isset($_SESSION['circonscript7_mail_minuscules'])) $minuscules=$_SESSION['circonscript7_mail_minuscules'];
	else $minuscules=true;
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	$id_anim=0;
	if (isset($_SESSION['circonscript7_adm_convocations_export_date_sql'])) 
		$adm_convocations_export_date_sql=$_SESSION['circonscript7_adm_convocations_export_date_sql'];
	else 
		$adm_convocations_export_date_sql='';
	if (isset($_POST['cbDate'])) {
		$adm_convocations_export_date_sql=normalise($_POST['cbDate']);
		$_SESSION['circonscript7_adm_convocations_export_date_sql']=$adm_convocations_export_date_sql;
		$id_anim=0;
		while ($adm_convocations_export_date_sql!='') {
			$q="SELECT seances.id_anim FROM partages, seances,  dates WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND dates.date='$adm_convocations_export_date_sql' AND dates.id_seance=seances.id_seance
		GROUP BY seances.id_anim";
			$r=query($q,$h);
			$nb_rows=@mysqli_num_rows($r);
			if ($nb_rows!=1) break;
			$row=@mysqli_fetch_row($r);
			$id_anim=$row[0];
			break;
		}
	}
	if (isset($_POST['hidMinuscules'])) {
		$minuscules=isset($_POST['chkMinuscules']);
		$_SESSION['circonscript7_mail_minuscules']=$minuscules;
	}
	if (isset($_POST['export_inscr'])) {
		if (isset($_POST['animations'])) $id_anim=abs(intval($_POST['animations']));
		exportInscriptions($h,$id_anim,$adm_convocations_export_date_sql);	
	
	
	}
	else 	if (isset($_POST['export_conv'])) {
		if (isset($_POST['animations'])) $id_anim=$_POST['animations'];
		exportConvocations($h,$id_anim,$adm_convocations_export_date_sql);	
	}
	else if (isset($_POST['export_conv2'])) {
		exportpublipostage($h);
	
	}
function exportpublipostage($h)
{
	global $erreur, $id_circo,$minuscules;
	$vide=";\"\";\"\";\"\";\"\"";
	while (!$erreur) {
		$q="SELECT COUNT(DISTINCT seances.id_anim) AS nb FROM convocations, stagiaires,ecoles,seances WHERE convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo AND convocations.id_seance=seances.id_seance GROUP BY convocations.id_stagiaire ORDER BY nb DESC";
		$max_anim=queryValue($q,$h);
		$q="SELECT COUNT(dates.id_date) AS nb FROM partages,dates WHERE partages.id_circo=$id_circo AND partages.accepte<>0 AND partages.id_seance=dates.id_seance GROUP BY partages.id_seance ORDER BY nb DESC";		
		$nb_max_dates_par_seance=queryValue($q,$h);
		$q="SELECT COUNT(seances.id_seance) AS nb FROM partages,seances WHERE partages.id_circo=$id_circo AND partages.accepte<>0 AND partages.id_seance=seances.id_seance GROUP BY seances.id_anim ORDER BY nb DESC";
		$nb_max_seances_par_anim=queryValue($q,$h);
		$max_dates=$nb_max_dates_par_seance;
		if ($nb_max_seances_par_anim>$max_dates) $max_dates=$nb_max_seances_par_anim;
		if ($max_dates==0) {
			$erreur="Le plan de formation n'est pas dfini";
			break;
		}
		if ($max_anim==0) {
			$erreur="Il n'y a pas de convocations";
			break;
		}
		// trouver le nombre de dates maxi pour chaque animation dans le tableau
		$tailles=array(); 
		$r1=query("SELECT id_stagiaire FROM (stagiaires, ecoles) WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
		while ($row=@mysqli_fetch_row($r1)) {
			$id_stagiaire=$row[0];
			$q="select animations.id_anim,COUNT(dates.id_date) FROM convocations,dates,seances,animations WHERE convocations.id_stagiaire=$id_stagiaire AND dates.id_seance=convocations.id_seance AND dates.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim GROUP BY animations.id_anim ORDER BY animations.id_anim";
			$r2=query($q,$h);
			$i=0;
			while ($row=@mysqli_fetch_row($r2)) {
				if (isset($tailles[$i])) {
					if ($tailles[$i]<$row[1]) $tailles[$i]=$row[1];
				}
				else $tailles[$i]=$row[1];
				++$i;
			}
		}
		$file=tempnam('./temp',"csv");		
		if (!$file) {
			$erreur="Impossible de crer un nom de fichier temporaire.";
			break;
		}
		$fp=fopen($file,'w');
		if (!$fp) {
			$erreur="Impossible de crer un fichier temporaire.";
			break;
		}
		fputs($fp,'"nom";"prenom";"courriel";"niveau";"groupe";"quotite";"quota";"ecole"');
		for ($ianim=0;$ianim<$max_anim;++$ianim) {
			fputs($fp,sprintf(";\"anim_%02d_\"",$ianim+1));
			for ($idate=0;$idate<$tailles[$ianim];++$idate) 
				fputs($fp,sprintf(";\"date_%02d_%02d\";\"horaire_%02d_%02d\";\"duree_%02d_%02d\";\"lieu_%02d_%02d\"",$ianim+1,$idate+1,$ianim+1,$idate+1,$ianim+1,$idate+1,$ianim+1,$idate+1));
		}
		fputs($fp,"\n");
		$r1=query("SELECT id_stagiaire, stagiaires.nom, prenom, stagiaires.courriel, niveau, groupes.libelle AS groupe, quotite, quota_reel, ecoles.nom as ecole  FROM (stagiaires, ecoles)
		LEFT JOIN groupes ON groupes.id_groupe=stagiaires.id_groupe
		WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo ORDER BY stagiaires.nom, stagiaires.prenom",$h);
		while ($row=@mysqli_fetch_array($r1)) {
			// Imprimer paramtre du stagiaire
			$id_stagiaire=$row['id_stagiaire'];
			$nom='"'.$row['nom'].'"';
			$prenom='"'.$row['prenom'].'"';
			if ($minuscules) 
				$courriel='"'.strtolower($row['courriel']).'"';
			else
				$courriel='"'.$row['courriel'].'"';
			$niveau='"'.$row['niveau'].'"';
			$groupe='"'.str_replace('"','""',$row['groupe']).'"';
			$quotite='"'.str_replace('.',',',$row['quotite']).'"';
			$quota_reel='"'.str_replace('.',',',$row['quota_reel']).'"';
			$ecole='"'.$row['ecole'].'"';
			fputs($fp,"$nom;$prenom;$courriel;$niveau;$groupe;$quotite;$quota_reel;$ecole");
			//Imprimer paramtres sances, animations.
			$q="select animations.id_anim,dates.date, dates.horaire, dates.duree,dates.lieu, animations.intitule AS animation FROM convocations,seances,dates,animations WHERE convocations.id_stagiaire=$id_stagiaire AND convocations.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND dates.id_seance=convocations.id_seance ORDER BY animations.id_anim, dates.date";
			$r2=query($q,$h);
			$id_anim=0;
			$ianim=0;
			$idate=0;
			while($row2=@mysqli_fetch_array($r2)) {
				if ($id_anim!=$row2['id_anim']) {
					$animation='"'.str_replace('"','""',$row2['animation']).'"';
					$id_anim=$row2['id_anim'];
					if ($ianim>0) while ($idate<$tailles[$ianim-1]) {
						fputs($fp,$vide);
						++$idate;
					}
					$idate=0;
					fputs($fp,";$animation");
					++$ianim;
					
					
				}
				$date='"'.dateSQLEnSaisie($row2['date']).'"';
				if ($date=='""') $date='" dfinir"';
				$horaire='"'.horaireSqlEnHeure($row2['horaire']).'"';
				$duree='"'.reelEnHeureTxt($row2['duree']).'"';
				$lieu='"'.str_replace('"','""',$row2['lieu']).'"';
				fputs($fp,";$date;$horaire;$duree;$lieu");
				++$idate;
				
			}
			if ($ianim>0) while ($idate<$tailles[$ianim-1]) {
				fputs($fp,$vide);
				++$idate;
			}
			$idate=0;
			while ($ianim<$max_anim) {
				fputs($fp,";\"\"");
				while ($idate<$tailles[$ianim]) {
					fputs($fp,$vide);
					++$idate;
				}
				$idate=0;
				++$ianim;
			}
			$ianim=0;
			fputs($fp,"\n");	
		}		
		exportFichier($file,'publipostage_');
		exit;	
	}

}
 
function exportInscriptions($h,$id_anim,$date_sql)
{
	global $erreur,$id_circo;
	while (!$erreur) {
		$file=tempnam('./temp',"csv");		
		if (!$file) {
			$erreur="Impossible de crer un nom de fichier temporaire.";
			break;
		}
		$fp=fopen($file,'w');
		if (!$fp) {
			$erreur="Impossible de crer un fichier temporaire.";
			break;
		}

		$q="SELECT stagiaires.nom, prenom,stagiaires.courriel,niveau,quotite,stagiaires.quota_reel,ecoles.nom as ecole, circos.libelle_court as circo, animations.intitule as animation, categories.codage, dates.date as date_seance, dates.duree, groupes.libelle as groupe, dates.horaire , dates.lieu, dates.remarque, animations.annule		
		FROM (stagiaires, ecoles,animations,seances,dates,inscriptions,circos,partages)
		LEFT JOIN groupes ON groupes.id_groupe=stagiaires.id_groupe
		LEFT JOIN categories ON categories.id_categorie=animations.id_categorie 
		WHERE partages.id_circo=$id_circo AND partages.accepte<>0 AND partages.id_seance=seances.id_seance AND dates.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND inscriptions.id_seance=seances.id_seance AND inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=circos.id_circo"; 
		if ($id_anim>0) $q.=" AND animations.id_anim=$id_anim";
	    if ($date_sql!='') $q.= " AND dates.date='$date_sql'";
		$q.=" ORDER BY stagiaires.nom, date_seance";
		$r=query($q,$h);
		exporte($fp,$r,$h);
		fclose($fp);
		exportFichier($file,"Inscriptions_");
		exit;
	}		
}

function exportConvocations($h,$id_anim,$date_sql)
{
	global $erreur,$id_circo;
	while (!$erreur) {
		$file=tempnam('./temp',"csv");		
		if (!$file) {
			$erreur="Impossible de crer un nom de fichier temporaire.";
			break;
		}
		$fp=fopen($file,'w');
		if (!$fp) {
			$erreur="Impossible de crer un fichier temporaire.";
			break;
		}
		$q="SELECT stagiaires.nom, prenom,stagiaires.courriel,niveau,quotite,stagiaires.quota_reel,ecoles.nom as ecole, circos.libelle_court as circo, animations.intitule as animation, categories.codage, dates.date as date_seance, dates.duree, groupes.libelle as groupe, dates.horaire , dates.lieu, dates.remarque,animations.annule		
		FROM (stagiaires, ecoles,animations,seances,dates,convocations,circos,partages)
		LEFT JOIN groupes ON groupes.id_groupe=stagiaires.id_groupe 
		LEFT JOIN categories ON categories.id_categorie=animations.id_categorie 
		WHERE partages.id_circo=$id_circo AND partages.accepte<>0 AND partages.id_seance=seances.id_seance AND dates.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND convocations.id_seance=seances.id_seance AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=circos.id_circo"; 
		if ($id_anim>0) $q.=" AND animations.id_anim=$id_anim";
		if ($date_sql!='') $q.= " AND dates.date='$date_sql'";
		$q.=" ORDER BY stagiaires.nom, date_seance";
		$r=query($q,$h);
		exporte($fp,$r,$h);
		fclose($fp);
		exportFichier($file,"Convocations_");
		exit;
	}		
}

function exporte($fp,$r,$h)
{
	global $erreur,$id_circo,$minuscules;
	$nb_groupes=queryValue("SELECT COUNT(*) FROM groupes WHERE id_circo=$id_circo",$h);
	
	fputs($fp,'"nom";"prnom";"courriel_stag";"niveau";');
	if ($nb_groupes>0) fputs($fp,'"groupe";');
	fputs($fp,'"quotit";"quota";"cole";"circo";"animation";"annule";"catgorie";"date_sance";"dure";"horaire";"lieu";"remarque"');		
	fputs($fp,"\n");
	while ($row=@mysqli_fetch_array($r)) {
		$nom='"'.$row['nom'].'"';
		$prenom='"'.$row['prenom'].'"';
		if ($minuscules) 
			$courriel='"'.strtolower($row['courriel']).'"';
		else
			$courriel='"'.$row['courriel'].'"';
		$niveau='"'.$row['niveau'].'"';
		$groupe='"'.str_replace('"','""',$row['groupe']).'"';
		$quotite='"'.str_replace('.',',',$row['quotite']).'"';
		$quota_reel='"'.str_replace('.',',',$row['quota_reel']).'"';
		$ecole='"'.$row['ecole'].'"';
		$circo='"'.$row['circo'].'"';
		$animation='"'.str_replace('"','""',$row['animation']).'"';
		$categorie='"'.str_replace('"','""',$row['codage']).'"';
		$date_seance='"'.dateSQLEnSaisie($row['date_seance']).'"';
		$duree='"'.str_replace('.',',',$row['duree']).'"';
		if ($row['horaire']!='00:00:00')
			$horaire='"'.substr($row['horaire'],0,5).'"';
		else
			$horaire='""';
		$lieu='"'.str_replace('"','""',$row['lieu']).'"';
		$remarque='"'.str_replace('"','""',$row['remarque']).'"';
		$annule=$row['annule']?'oui':'non';
		fputs($fp,"$nom;$prenom;$courriel;$niveau;");
		if ($nb_groupes>0) fputs($fp,"$groupe;");
		fputs($fp,"$quotite;$quota_reel;$ecole;$circo;$animation;$annule;$categorie;$date_seance;$duree;$horaire;$lieu;$remarque\n");
	}
	
}
function afficheAnims($h,$id_anim,$date_sql)
{
	global $id_circo;
	if ($date_sql=='')
		$q="SELECT animations.id_anim, animations.intitule,animations.annule FROM partages, seances, animations,positions,domaines WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.annee=0 AND domaines.id_circo=$id_circo GROUP BY animations.id_anim ORDER BY animations.annule DESC,animations.intitule";
	else
		$q="SELECT animations.id_anim, animations.intitule,animations.annule FROM partages, seances, animations,dates,positions,domaines WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND dates.id_seance=seances.id_seance AND dates.date='$date_sql' AND animations.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0 GROUP BY animations.id_anim ORDER BY animations.annule DESC, animations.intitule";
	
	
	$r=query($q,$h);
	$nb_anim=@mysqli_num_rows($r);
	if ($nb_anim>1)
		print "<option value=\"0\">Toutes</option>\n";
	
	while ($row=@mysqli_fetch_row($r)) {
		$id_anim_cour=$row[0];
		$intitule=tronque($row[1],130);
		$intitule=sprintf("%s%s",$row[2]?'[ANNUL&Eacute;]&nbsp;:&nbsp;':'', $intitule);
		if ($id_anim==$id_anim_cour)
			print "<option value=\"0\" selected=\"selected\">$intitule</option>\n";
		else
			print "<option value=\"$id_anim_cour\">$intitule</option>\n";
	}
}

function afficherDates($h,$date_sql)
{
	global $id_circo;

	$q="SELECT DISTINCT(dates.date) FROM seances,dates,partages,positions,domaines WHERE dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 AND dates.date<>'9999-12-31' AND dates.date<>'0000.00.00' AND positions.id_anim=seances.id_anim AND domaines.id_domaine=positions.id_domaine AND domaines.annee=0 ORDER BY dates.date ASC";
	$r=query($q,$h);
	$ok=false;
	print "<option value=\"\">Toutes</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$date=$row[0];
		$sel='';
		if ($date==$date_sql) {
			$ok=true;
			$sel=" selected=\"selected\"";
		}
		printf("<option value=\"$date\"$sel>%s",dateSqlEnSaisie($date));
		print "</option>\n";
	}
	if (!$ok) $sel=" selected=\"selected\"";
	else $sel='';
}	
	 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_convocations_export?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
			  <h1>Exportation des inscriptions ou des convocations au format csv </h1>
			      <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
			    <form method="post" action="">
			      Choix de la date:
			      <select name="cbDate" id="cbDate" onchange="javascript:submit()">
      <?php afficherDates($h,$adm_convocations_export_date_sql)?>
			      </select>
		      </form>
			    <form method="post" action="">
				<p><input name="chkMinuscules" type="checkbox" id="chkMinuscules" onclick="javascript:submit()" <?php if ($minuscules) print 'checked="checked"'?>/>
				Toujours &eacute;crire les adresses de courriel en minuscules
				<input name="hidMinuscules" type="hidden" id="hidMinuscules" />
				</p>
			    </form>
				<form method="post" action="">
			      Animations &agrave; exporter: 
			      <select name="animations" id="animations">
                        <?php afficheAnims($h,$id_anim,$adm_convocations_export_date_sql) ?>
		          </select>
                                <h2>Exporter les inscriptions 
                                  <input name="export_inscr" type="submit" class="bouton_standard" id="export_inscr" value="Exporter!" />
                  </h2>
                                <p>Pour chaque stagiaire<em> (de la circo ou exterieur) </em>, les animations auxquelles ils s'est inscrit. Une inscription par ligne. </p>
                                <h2>Exporter les convocations
                                  <input name="export_conv" type="submit" class="bouton_standard" id="export_conv" value="Exporter !" />
                  </h2>
                                <p>Pour chaque stagiaire <em>(de la circo ou ext&eacute;rieur) </em>, les animations auxquelles il est convoqu&eacute;. Une convocation par ligne. </p>
              </form>
            <h1>Exportation des convocations au format csv, pour publipostage &agrave; partir d'un traitement de textes</h1>
		        <p>Les convocations sont export&eacute;es sous la forme d'un fichier csv, &agrave; raison d'une ligne par stagiaire. Ceci permet la fusion/publipostage vers un traitement de textes, afin d'&eacute;diter des ordres de mission par exemple. Seuls les stagiaires de la circonscription sont concern&eacute;s. Utilisez les fichiers d'exemple ci-dessous pour cr&eacute;er votre propre fichier. </p>
		        <form id="form1" name="form1" method="post" action="">
		          <h2>Exporter les convocations pour publipostage 
		            sur traitement de textes
		            <input name="export_conv2" type="submit" class="bouton_standard" id="export_conv2" value="Exporter !" />
                  </h2>
	        </form>
	            <p>Pour vous aider, vous pouvez  t&eacute;l&eacute;charger un exemple sous Word: le fichier <em><a href="exemple.doc">exemple.doc</a></em> et le fichier <em><a href="exemple.csv">exemple.csv</a></em> doivent fonctionner ensemble. Vous devrez probablement param&eacute;trer le fichier <em>exemple.doc</em> pour qu'il acc&egrave;de au fichier <em>exemple.csv.</em> Vous pouvez modifier le fichier <em>exemple.doc</em> pour qu'il acc&egrave;de &agrave; votre propre extraction. Des connaissances en fusion/publipostage sont bien entendu n&eacute;cessaires. Si elles vous font d&eacute;faut, demandez &agrave; votre charg&eacute; de mission TICE. </p>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_convocations_export?>">retour</a></li>
		  			<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>