<?php
/* 
	Traitement global des convocations: effacer ou convoquer aux inscriptions
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_convocations_inscrits=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_convocations_inscrits']=$url_ret_adm_convocations_inscrits;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_convocations_inscrits'])) {
		$url_ret_adm_convocations_inscrits=$_SESSION['circonscript7_url_ret_adm_convocations_inscrits'];
	}
	else $url_ret_adm_convocations_inscrits="adm_convocations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	automatisationCirco($id_circo,$h);
	ejecteSiFerme($h);
	debugInit();
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo!=0 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	
	if (isset($_POST['_choix1'])|| isset($_POST['_choix2'])) {
		$msg='';
		if (isset($_POST['_choix1'])) {
			query("DELETE convocations FROM convocations,stagiaires,ecoles WHERE convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
			$n=@mysqli_affected_rows($h);
			$msg="$n convocation(s) supprime(s) ";
			query("DELETE absences FROM absences,stagiaires,ecoles WHERE absences.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
			query("UPDATE inscriptions INNER JOIN stagiaires ON stagiaires.id_stagiaire=inscriptions.id_stagiaire INNER JOIN ecoles ON ecoles.id_ecole=stagiaires.id_ecole AND  ecoles.id_circo=$id_circo SET traite=1",$h);
		}
		if (isset($_POST['_choix2'])) $msg=convoquerInscrits($id_circo,false,$h);
		if (!$erreur) $erreur=$msg;
	}
	$nb_conv=queryValue("SELECT COUNT(*) FROM convocations, stagiaires,ecoles WHERE convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	$nb_inscr=queryValue("SELECT COUNT(*) FROM inscriptions, stagiaires,ecoles WHERE inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	$phrase="Voulez-vous vraiment convoquer tous les stagiaires aux animations qu'ils ont choisies ";
	if ($nb_conv==0) $phrase.='?';
	else if ($nb_conv==1) $phrase.="(1 convocation en cours sera maintenue) ?";
	else $phrase.="($nb_conv convocations en cours seront maintenues) ?";

	if ($erreur) $erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function confirme()
			{
			  
			  	leForm = document.form;
			 	var b=0;
				if (leForm._choix1.checked && leForm._choix2.checked) 
					b=window.confirm("Voulez-vous effacer toutes les convocations puis convoquer les stagiaires aux animations qu'ils ont choisies ?");
				else if (leForm._choix1.checked)
				  	b=window.confirm("Voulez-vous vraiment effacer toutes les convocations ?");
				else if (leForm._choix2.checked)
					b=window.confirm("<?php print $phrase ?> ");
				else alert("Il faut cocher une action");
				if (b) leForm.submit();
			}
		//-->	
		</script>					
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_convocations_inscrits?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
				<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
				<h1>Traitement global des convocations</h1>
				<p>Valable pour tous les stagiaires de la circo et pour toutes les animations du plan de formation. </p>
				<p>Nombre d'inscriptions actuellement en cours: <?php print $nb_inscr?> </p>
				<p>Nombre de convocations actuellement en cours: <?php print $nb_conv?> </p>
				<form name="form" method="post" action="">
				  <h3>
  <input name="_choix1" type="checkbox" value="checkbox" />				    
				    Effacer toutes les	convocations</h3>
				  <p>Toutes les convocations actuelles des stagiaires sont supprim&eacute;es, leurs absences &eacute;ventuelles sont effac&eacute;es. </p>
				  <h3>
  <input name="_choix2" type="checkbox" value="checkbox" /> 
				    Convoquer les stagiaires aux animations qu'ils ont choisies</h3>
				  <p>Les convocations suppl&eacute;mentaires, s'il y en a, sont maintenues. </p>
				  <p align="center">
				    <input name="valider" type="button" class="bouton_standard" value="Valider" onclick="javascript:confirme()" />
				  </p>
			  </form>
				<p>&nbsp; </p>
			</div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_convocations_inscrits?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>