<?php
/* 
	Transfert manuel des convocations d'une sance  une autre: choix de la sance source et de la sance cible.	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_convocations_transfert2=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_convocations_transfert2']=$url_ret_adm_convocations_transfert2;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_convocations_transfert2'])) {
		$url_ret_adm_convocations_transfert2=$_SESSION['circonscript7_url_ret_adm_convocations_transfert2'];
	}
	else $url_ret_adm_convocations_transfert2="adm_convocations.php";
	
	$erreur='';
	$resultat='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo!=0 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	/********************
		Rcupration paramtres sessions
	***********************/
	
	//Sance source
	if (isset($_SESSION['circonscript7_adm_convocations_transfert2_id_seance'])) {
		$adm_convocations_transfert2_id_seance=$_SESSION['circonscript7_adm_convocations_transfert2_id_seance'];
		$id_anim=queryValue("SELECT id_anim FROM seances WHERE id_seance=$adm_convocations_transfert2_id_seance",$h);
		if ($id_anim) $id_circo_source=queryValue("SELECT id_circo FROM animations WHERE animations.id_anim=$id_anim",$h);
		else $id_circo_source=0;
	}
	else {
		$adm_convocations_transfert2_id_seance=0;
		$id_anim=0;
		$id_circo_source=0;
	}
	//sance cible
	if (isset($_SESSION['circonscript7_adm_convocations_transfert2_id_seance_cible'])) {
		$adm_convocations_transfert2_id_seance_cible=$_SESSION['circonscript7_adm_convocations_transfert2_id_seance_cible'];
		$id_anim_cible=queryValue("SELECT id_anim FROM seances WHERE id_seance=$adm_convocations_transfert2_id_seance_cible",$h);
		if ($id_anim_cible) $id_circo_cible=queryValue("SELECT id_circo FROM animations WHERE animations.id_anim=$id_anim_cible",$h);
		else $id_circo_cible=0;
	}
	else {
		$adm_convocations_transfert2_id_seance_cible=0;
		$id_anim_cible=0;
		$id_circo_cible=0;
	}
	if (isset($_SESSION['circonscript7_adm_convocations_transfert2_date_sql_source'])) 
		$adm_convocations_transfert2_date_sql_source=$_SESSION['circonscript7_adm_convocations_transfert2_date_sql_source'];
	else 
		$adm_convocations_transfert2_date_sql_source='';
	if (isset($_SESSION['circonscript7_adm_convocations_transfert2_date_sql_cible'])) 
		$adm_convocations_transfert2_date_sql_cible=$_SESSION['circonscript7_adm_convocations_transfert2_date_sql_cible'];
	else 
		$adm_convocations_transfert2_date_sql_cible='';
	/*********************** 
		SAISIES
	************************/
	if (isset($_POST['cbDate'])) {
		$adm_convocations_transfert2_date_sql_source=normalise($_POST['cbDate']);
		$_SESSION['circonscript7_adm_convocations_transfert2_date_sql_source']=$adm_convocations_transfert2_date_sql_source;
		$id_anim=0;
	}
	if (isset($_POST['cb_animations'])){
		$id_anim=abs(intval($_POST['cb_animations']));
		if($adm_convocations_transfert2_date_sql_source!='') 
			$q="SELECT seances.id_seance FROM seances,dates,partages WHERE seances.id_anim=$id_anim AND dates.date='$adm_convocations_transfert2_date_sql_source' AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 GROUP BY seances.id_seance";		
		else
			$q="SELECT seances.id_seance FROM seances,dates,partages WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 GROUP BY seances.id_seance";		
		$r=query($q,$h);
		$row=mysqli_fetch_row($r);
		$adm_convocations_transfert2_id_seance=$row[0];
		if ($adm_convocations_transfert2_id_seance=='') $adm_convocations_transfert2_id_seance=0;
	}
	if (isset($_POST['cb_seances'])) {
		$id_seance=abs(intval($_POST['cb_seances']));
		// vrifie que la sance correspond bien  l'anmation slectionne.
		$id_anim_cour=queryValue("SELECT id_anim FROM seances WHERE id_seance=$id_seance",$h);
		if ($id_anim_cour==$id_anim) 
			$adm_convocations_transfert2_id_seance=$id_seance;
		
		else $erreur="La sance demande ne correspond pas  l'animation en cours";	
	}
	//----------------------------------------------
	if (isset($_POST['cbDate_cible'])) {
		$adm_convocations_transfert2_date_sql_cible=normalise($_POST['cbDate_cible']);
		$_SESSION['circonscript7_adm_convocations_transfert2_date_sql_cible']=$adm_convocations_transfert2_date_sql_cible;
		$id_anim_cible=0;
	}
	if (isset($_POST['cb_animations_cible'])){
		$id_anim_cible=abs(intval($_POST['cb_animations_cible']));
		if($adm_convocations_transfert2_date_sql_cible!='') 
			$q="SELECT seances.id_seance FROM seances,dates,partages WHERE seances.id_anim=$id_anim_cible AND dates.date='$adm_convocations_transfert2_date_sql_cible' AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 GROUP BY seances.id_seance";		
		else
			$q="SELECT seances.id_seance FROM seances,dates,partages WHERE seances.id_anim=$id_anim_cible AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 GROUP BY seances.id_seance";		

		$r=query($q,$h);
		
		$row=mysqli_fetch_row($r);
		$adm_convocations_transfert2_id_seance_cible=$row[0];
		if ($adm_convocations_transfert2_id_seance_cible=='') $adm_convocations_transfert2_id_seance_cible=0;

	}
	if (isset($_POST['cb_seances_cible'])) {
		$id_seance=abs(intval($_POST['cb_seances_cible']));
		// vrifie que la sance correspond bien  l'anmation slectionne.
		$id_anim_cour=queryValue("SELECT id_anim FROM seances WHERE id_seance=$id_seance",$h);
		if ($id_anim_cour==$id_anim_cible) {
			$adm_convocations_transfert2_id_seance_cible=$id_seance;
		}
		else $erreur="La sance demande ne correspond pas  l'animation en cours";	
	}
	/**************************
	Validation
	***************************/
	while (isset($_POST['valider'])) {
		// si id_seance==0 on quitte...
		if ($adm_convocations_transfert2_id_seance==0) {
			$erreur="Animation d'origine non dfinie";
			break;
		}
		if ($adm_convocations_transfert2_id_seance_cible==0) {
			$erreur="Animation cible non dfinie";
			break;
		}
		// si c'est les mmes sances, on laisse tomber...
		if ($adm_convocations_transfert2_id_seance==$adm_convocations_transfert2_id_seance_cible) {
			$erreur="Les deux sances sont identiques!";
			break;
		}
		header("Location: adm_convocations_transfert_stagiaires.php?url_ret=$url_ret_adm_convocations_transfert2");
		exit;
	
	}
	/**********************
	Enregistrement des variables de session
	************************/
	$_SESSION['circonscript7_adm_convocations_transfert2_id_seance']=$adm_convocations_transfert2_id_seance;
	$_SESSION['circonscript7_adm_convocations_transfert2_id_seance_cible']=$adm_convocations_transfert2_id_seance_cible;
	
	/****************
	Nombre de convoqus et dures
	********************/
	$nb_conv_circo='0';
	$nb_conv_total='0';
	$duree=0;
	$nb_conv_circo_cible='0';
	$nb_conv_total_cible='0';
	$duree_cible=0;
	$autoriser_convoc_plafond_cible=0;
	$autoriser_convoc_plafond_source=0;
	
	if ($adm_convocations_transfert2_id_seance>0) {
		$nb_conv_circo=queryValue("SELECT COUNT(*) FROM convocations,stagiaires, ecoles WHERE convocations.id_seance=$adm_convocations_transfert2_id_seance AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole and ecoles.id_circo=$id_circo",$h);
		$nb_conv_total=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=$adm_convocations_transfert2_id_seance",$h);
		$duree=queryValue("SELECT SUM(duree) FROM dates WHERE dates.id_seance=$adm_convocations_transfert2_id_seance",$h);
		$max_source=queryValue("SELECT max FROM seances WHERE id_seance=$adm_convocations_transfert2_id_seance",$h);
		$autoriser_convoc_plafond_source=autoriserConvocPlafond($adm_convocations_transfert2_id_seance,$h); 
	}
	if ($adm_convocations_transfert2_id_seance_cible>0) {
		$nb_conv_circo_cible=queryValue("SELECT COUNT(*) FROM convocations,stagiaires, ecoles WHERE convocations.id_seance=$adm_convocations_transfert2_id_seance_cible AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole and ecoles.id_circo=$id_circo",$h);
		$nb_conv_total_cible=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=$adm_convocations_transfert2_id_seance_cible",$h);
		$duree_cible=queryValue("SELECT SUM(duree) FROM dates WHERE dates.id_seance=$adm_convocations_transfert2_id_seance_cible",$h);
		$max_cible=queryValue("SELECT max FROM seances WHERE id_seance=$adm_convocations_transfert2_id_seance_cible",$h);
		$autoriser_convoc_plafond_cible=autoriserConvocPlafond($adm_convocations_transfert2_id_seance_cible,$h);
	}

function afficheAnims($h,$id_anim,$date_sql)
{
	global $id_circo;
	if ($date_sql=='')
		$q="SELECT animations.id_anim, animations.intitule, animations.annule FROM partages, seances, animations,positions,domaines WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0 GROUP BY animations.id_anim ORDER BY animations.annule DESC, animations.intitule ASC";
	else
		$q="SELECT animations.id_anim, animations.intitule,animations.annule FROM partages, seances, animations,dates,positions,domaines WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND dates.id_seance=seances.id_seance AND dates.date='$date_sql' AND animations.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0 GROUP BY animations.id_anim ORDER BY animations.annule DESC,animations.intitule ASC";
	
	
	$r=query($q,$h);
	if ($id_anim==0) 
			print "<option value=\"0\" selected=\"selected\">Choisissez une animation</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$id_anim_cour=$row[0];
		$intitule=tronque($row[1],130);
		$intitule=sprintf("%s%s",$row[2]?'[ANNUL&Eacute;]&nbsp;:&nbsp;':'', $intitule);
		
		if ($id_anim==$id_anim_cour)
			print "<option value=\"0\" selected=\"selected\">$intitule</option>\n";
		else
			print "<option value=\"$id_anim_cour\">$intitule</option>\n";
	}
}
function afficheSeances($h,$id_anim,$id_seance_in)
{
	global $id_circo;
	if ($id_anim==0) {
		print "<option value=\"0\" selected=\"selected\">Choisissez d'abord une animation</option>\n";
		return;
	}
	$q="SELECT seances.id_seance FROM seances,dates,partages WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 GROUP BY seances.id_seance ORDER BY seances.tri";		
	$r=query($q,$h);
	$nb_seances=@mysqli_num_rows($r);
	if ($nb_seances>0)while($row=@mysqli_fetch_row($r)) {
		$id_seance=$row[0];
		$r2=query("SELECT date, lieu, duree, remarque FROM dates WHERE id_seance=$id_seance ORDER BY date ASC",$h);
		$nb_dates=@mysqli_num_rows($r2);// nombre de dates
		$d='';
		if ($nb_dates>1) $d="$nb_dates dates ";
		else if ($nb_dates==0) $d='Aucune date dfinie ';
		$dt=0;
		$d1='';
		while($row2=@mysqli_fetch_row($r2)) {
			$date=$row2[0];
			$date=dateSqlEnSaisie($row2[0]);
			if ($date=='')
				$date=' dfinir';
			$lieu=$row2[1];
			if (strlen($lieu)>28) $lieu=substr($lieu,0,25).'...';
			$d1.="$date";
			if ($lieu) $d1.=" ($lieu)";
			$dt+=doubleval($row2[2]);
			$remarque=tronque($row2[3],80);
			if ($remarque ) 
				$d1.=" [$remarque]";
			$d1.='; ';
		}
		if ($dt>0) $d.='['.reelEnHeureTxt($dt).']: ';
		$d.=$d1;
		$d=tronque($d,130);
		print "<option value=\"$id_seance\"";
		if ($id_seance_in==$id_seance) print " selected=\"selected\"";
		print">$d</option>\n";
		
	}	
	else		
		print "<option value=\"0\" selected=\"selected\">S&eacute;ance non disponible</option>\n";


}
function afficherDates($h,$date_sql)
{
	global $id_circo;
	$q="SELECT DISTINCT(dates.date) FROM seances,dates,partages,positions,domaines WHERE dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 AND dates.date<>'9999-12-31' AND dates.date<>'0000.00.00' AND seances.id_anim=positions.id_anim AND domaines.id_domaine=positions.id_domaine AND domaines.annee=0 ORDER BY dates.date ASC";
	$r=query($q,$h);
	$ok=false;
	print "<option value=\"\">Toutes</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$date=$row[0];
		$sel='';
		if ($date==$date_sql) {
			$ok=true;
			$sel=" selected=\"selected\"";
		}
		printf("<option value=\"$date\"$sel>%s",dateSqlEnSaisie($date));
		print "</option>\n";
	}
	if (!$ok) $sel=" selected=\"selected\"";
	else $sel='';
}	
	
if ($erreur) $erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> 
		<link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_convocations_transfert2?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
				<?php 
				if ($erreur) print "<p class=\"erreur\">$erreur</p>";
				if ($resultat) print "<p class=\"erreur\">$resultat</p>";
				?> 
			  <h1>Transfert manuel de convocations d'une s&eacute;ance &agrave; une autre</h1>
			  <p>La premi&egrave;re s&eacute;ance est plac&eacute;e &agrave; gauche, la seconde &agrave; droite. Les transferts peuvent fonctionner dans les deux sens.  </p>
			  <h2>S&eacute;ance de gauche </h2>
			  <form name="form7" method="post" action="">
			    Choix de la date:
			    <select name="cbDate" id="cbDate" onchange="javascript:submit()">
      <?php afficherDates($h,$adm_convocations_transfert2_date_sql_source)?>
    </select>
              </form>
			  <form name="form2" method="post" action="">
                  <p>Animation:
                    <select name="cb_animations" id="cb_animations" onchange="javascript:submit()">
                        <?php afficheAnims($h,$id_anim,$adm_convocations_transfert2_date_sql_source) ?>
                    </select>
                  </p>
			  </form>
				<form name="form3" method="post" action="">
                  <p>S&eacute;ance:
                    <select name="cb_seances" id="cb_seances" onchange="javascript:submit()">
                        <?php afficheSeances($h,$id_anim,$adm_convocations_transfert2_id_seance) ?>
                    </select>
                  </p>
			  </form>
			  <?php 
				if ($adm_convocations_transfert2_id_seance>0) {
					if ($max_source==0) 
						print "<p>Nombre de convoqu&eacute;s: $nb_conv_circo (circo), $nb_conv_total (total)</p>\n";
					else  {
						print "<p>Nombre de convoqu&eacute;s: $nb_conv_circo (circo), $nb_conv_total (total) sur un maximum de $max_source</p>\n";
						if ($autoriser_convoc_plafond_source==0) print "<h3>On ne peut convoquer &agrave; cette s&eacute;ance que les stagiaires qui y sont inscrits</h3>\n";
					
					}
					print "<p><a href=\"adm_convocations_faire.php?id_seance=$adm_convocations_transfert2_id_seance&amp;url_ret=adm_convocations_transfert2.php\">Modifier les convocations</a></p>\n";
					if (isset($id_anim) && $id_anim>0 && $id_circo_source==$id_circo) print "<p><a href=\"adm_animations_modif.php?Modifier=$id_anim&amp;url_ret=adm_convocations_transfert2.php\">Modifier l'animation</a></p>\n";
					printf ("<p>Dur&eacute;e: %s</p>\n",reelEnHeure($duree));
				}
				?>
			    <hr />
		    <h2>S&eacute;ance de droite </h2>
		    <form name="form4" method="post" action="">
		      Choix de la date:
		      <select name="cbDate_cible" id="cbDate_cible" onchange="javascript:submit()">
      <?php afficherDates($h,$adm_convocations_transfert2_date_sql_cible)?>
		      </select>
		    </form>
		    <form name="form5" method="post" action="">
			      <p>Animation:
			        <select name="cb_animations_cible" id="cb_animations_cible" onchange="javascript:submit()">
                        <?php afficheAnims($h,$id_anim_cible,$adm_convocations_transfert2_date_sql_cible) ?>
                    </select>
                  </p>
	        </form>
			    <form name="form6" method="post" action="">
                  <p>S&eacute;ance:
                    <select name="cb_seances_cible" id="select2" onchange="javascript:submit()">
                        <?php afficheSeances($h,$id_anim_cible,$adm_convocations_transfert2_id_seance_cible) ?>
                    </select>
                  </p>
	        </form>
			  <?php 
				if ($adm_convocations_transfert2_id_seance_cible>0) {
					if ($max_cible==0) 
						print "<p>Nombre de convoqu&eacute;s: $nb_conv_circo_cible (circo), $nb_conv_total_cible (total)</p>\n";
					else {
						print "<p>Nombre de convoqu&eacute;s: $nb_conv_circo_cible (circo), $nb_conv_total_cible (total) sur un maximum de $max_cible</p>\n";
						if ($autoriser_convoc_plafond_cible==0) print "<h3>On ne peut convoquer &agrave; cette s&eacute;ance que les stagiaires qui y sont inscrits</h3>\n";
					}	
					print "<p><a href=\"adm_convocations_faire.php?id_seance=$adm_convocations_transfert2_id_seance_cible&amp;url_ret=adm_convocations_transfert2.php\">Modifier les convocations</a></p>\n";
					if (isset($id_anim_cible) && $id_anim_cible>0 && $id_circo_cible==$id_circo) print "<p><a href=\"adm_animations_modif.php?Modifier=$id_anim_cible&amp;url_ret=adm_convocations_transfert2.php\">Modifier l'animation</a></p>\n";
				}
					printf ("<p>Dur&eacute;e: %s</p>\n",reelEnHeure($duree_cible));
				?>
		      <hr />
		      <?php
			  if ($duree!=$duree_cible) print"<p class=\"attention\"><b>ATTENTION ! Les dur&eacute;es ne sont pas les m&ecirc;mes !</b></p>\n";
			  if ($adm_convocations_transfert2_id_seance==$adm_convocations_transfert2_id_seance_cible && $adm_convocations_transfert2_id_seance>=0) print "<p class=\"attention\"><b>ATTENTION ! Les sances de gauche et de droite sont identiques !</b></p>\n";
			  if ( $adm_convocations_transfert2_id_seance>0 && $adm_convocations_transfert2_id_seance_cible>0  && $duree==$duree_cible) {
			  ?>
<form name="form1" method="post" action="">
			    <p align="center">
			      <input name="valider" type="submit" class="bouton_standard" value="Valider et passer &agrave; la page suivante" />
			    </p>
		    </form>
			<?php } ?>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_convocations_transfert2?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>