<?php
/* 
	Envoi de courriels aux stagiaires
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_courriels_anims=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_courriels_anims']=$url_ret_adm_courriels_anims;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_courriels_anims'])) {
		$url_ret_adm_courriels_anims=$_SESSION['circonscript7_url_ret_adm_courriels_anims'];
	}
	else $url_ret_adm_courriels_anims="adm_courriels.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	if (!isset($_SESSION['circonscript7_id_uti'])) {
		header('Location:erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	
	if (isset($_SESSION['circonscript7_adm_courriels_anims_id_seance'])) {
		$adm_courriels_anims_id_seance=$_SESSION['circonscript7_adm_courriels_anims_id_seance'];
		$id_anim=queryValue("SELECT id_anim FROM seances WHERE id_seance=$adm_courriels_anims_id_seance",$h);
	}
	else {
		$adm_courriels_anims_id_seance=0;
		$id_anim=0;
	}
	if (isset($_SESSION['circonscript7_adm_courriels_anims_inscriptions'])) $adm_courriels_anims_inscriptions=$_SESSION['circonscript7_adm_courriels_anims_inscriptions'];
	else {
		$adm_courriels_anims_inscriptions=1;
		$_SESSION['circonscript7_adm_courriels_anims_inscriptions']=1;
	}
	if (isset($_SESSION['circonscript7_adm_courriels_anims_objet'])) $adm_courriels_anims_objet=$_SESSION['circonscript7_adm_courriels_anims_objet'];
	else $adm_courriels_anims_objet='';
	//diffrents tris en cours
	$tris=array(
		'nom_asc'=> 'nom_stagiaire ASC, nom_ecole ASC',
		'nom_desc' => 'nom_stagiaire DESC, nom_ecole ASC',
		'ecole_asc'=>'nom_ecole ASC, nom_stagiaire ASC',
		'ecole_desc'=>'nom_ecole DESC,nom_stagiaire ASC',
		'niveau_asc'=>'niveau ASC, nom_stagiaire ASC',
		'niveau_desc'=>'niveau DESC, nom_stagiaire ASC',
		'circo_asc'=>'circo ASC, nom_stagiaire ASC',
		'circo_desc'=>'circo DESC, nom_stagiaire ASC',
		'quotite_desc'=>'quotite DESC, nom_stagiaire ASC',
		'quotite_asc'=>'quotite ASC, nom_stagiaire ASC',
		'groupe_asc'=>'groupe ASC, nom_stagiaire ASC',
		'groupe_desc'=>'groupe DESC, nom_stagiaire ASC'
	);
	if (isset($_SESSION['circonscript7_adm_courriels_anims_date_sql'])) 
		$adm_courriels_anims_date_sql=$_SESSION['circonscript7_adm_courriels_anims_date_sql'];
	else 
		$adm_courriels_anims_date_sql='';
	if (isset($_POST['cbDate'])) {
		$adm_courriels_anims_date_sql=normalise($_POST['cbDate']);
		$_SESSION['circonscript7_adm_courriels_anims_date_sql']=$adm_courriels_anims_date_sql;
		$id_anim=0;
		$adm_courriels_anims_id_seance=0;
		// s'il n'y a qu'une seule anim choisir automatiquement cette anim
		while ($adm_courriels_anims_date_sql!='') {
			$q="SELECT seances.id_anim FROM partages, seances,  dates WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND dates.date='$adm_courriels_anims_date_sql' AND dates.id_seance=seances.id_seance
		GROUP BY seances.id_anim";
			$r=query($q,$h);
			$nb_rows=@mysqli_num_rows($r);
			if ($nb_rows!=1) break;
			$row=@mysqli_fetch_row($r);
			$id_anim=$row[0];
			// il n'y a qu'une seule anim. Choisir auto. la	 sance de la date indique.
			$q="SELECT seances.id_seance FROM seances,dates WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND dates.date='$adm_courriels_anims_date_sql'";
			$r=query($q,$h);
			$nb_rows=@mysqli_num_rows($r);
			if ($nb_rows==0) break;
			$row=@mysqli_fetch_row($r);
			$adm_courriels_anims_id_seance=$row[0];
			break;
		}
		$_SESSION['circonscript7_adm_courriels_anims_id_seance']=$adm_courriels_anims_id_seance;
	}
	
	if (isset($_SESSION['circonscript7_filtre_courriel_where'])) $filtre_courriel_where=$_SESSION['circonscript7_filtre_courriel_where'];
	else $filtre_courriel_where='';
	if (isset($_SESSION['circonscript7_filtre_courriel_actif'])) $filtre_courriel_actif=$_SESSION['circonscript7_filtre_courriel_actif'];
	else $filtre_courriel_actif=0;
	if ($filtre_courriel_actif==1) {
		$adm_courriels_anims_filtre_courriel=1;
		$_SESSION['circonscript7_adm_courriels_anims_filtre_courriel']=$adm_courriels_anims_filtre_courriel;
		$filtre_courriel_actif=0;
		$_SESSION['circonscript7_filtre_courriel_actif']=$filtre_courriel_actif;
	}
	else if ($filtre_courriel_actif==2) { // supprimer filtre
		$adm_courriels_anims_filtre_courriel=0;
		$_SESSION['circonscript7_adm_courriels_anims_filtre_courriel']=$adm_courriels_anims_filtre_courriel;
		$filtre_courriel_actif=0;
		$_SESSION['circonscript7_filtre_courriel_actif']=$filtre_courriel_actif;
	}
	
	if (isset($_SESSION['circonscript7_adm_courriels_anims_filtre_courriel'])) $adm_courriels_anims_filtre_courriel=$_SESSION['circonscript7_adm_courriels_anims_filtre_courriel'];
	else $adm_courriels_anims_filtre_courriel=0;
	if (isset($_SESSION['circonscript7_adm_courriels_anims_coches'])) $adm_courriels_anims_coches=$_SESSION['circonscript7_adm_courriels_anims_coches'];
	else $adm_courriels_anims_coches=array();
	
	$_SESSION['circonscript7_liste_stagiaires_coches']=$adm_courriels_anims_coches; //pour adm_liste_stagiaires_popup
	
	if (isset($_POST['cb_animations'])){
		$id_anim=abs(intval($_POST['cb_animations']));
		if($adm_courriels_anims_date_sql!='') 
			$q="SELECT seances.id_seance FROM seances,dates,partages WHERE seances.id_anim=$id_anim AND dates.date='$adm_courriels_anims_date_sql' AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 GROUP BY seances.id_seance";		
		else
			$q="SELECT seances.id_seance FROM seances,dates,partages WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 GROUP BY seances.id_seance";		
		
		$r=query($q,$h);
		$row=mysqli_fetch_row($r);
		$adm_courriels_anims_id_seance=$row[0];
		if ($adm_courriels_anims_id_seance=='') $adm_courriels_anims_id_seance=0;
		$_SESSION['circonscript7_adm_courriels_anims_id_seance']=$adm_courriels_anims_id_seance;
	}
	if (isset($_POST['cb_seances'])) {
		$adm_courriels_anims_id_seance=abs(intval($_POST['cb_seances']));
		// vrifie qu'on a le droit de prendre cette sance
		$q="SELECT id_anim FROM seances,partages WHERE seances.id_seance=$adm_courriels_anims_id_seance AND partages.id_seance=seances.id_seance AND partages.accepte<>0 AND partages.id_circo=$id_circo";
		$r=query($q,$h);
		if (@mysqli_num_rows($r)!=1) 
			$erreur="Cette sance n'appartient pas  votre plan de formation";
		else {
			$row=@mysqli_fetch_row($r);
			$id_anim=$row[0];
			$_SESSION['circonscript7_adm_courriels_anims_id_seance']=$adm_courriels_anims_id_seance;
		}
	}
	if (isset($_POST['rb_inscrits'])) {
		$adm_courriels_anims_inscriptions=$_POST['rb_inscrits'];
		$_SESSION['circonscript7_adm_courriels_anims_inscriptions']=$adm_courriels_anims_inscriptions;
	}
	if (isset($_POST['page'])) { // test sur page pour savoir si on a fait un POST
		$f1=isset($_POST['filtre_spe1'])?1:0;
		$f2=isset($_POST['filtre_spe2'])?1:0;
		if ($f1==$f2) {
			if ($adm_courriels_anims_filtre_courriel!=$f1) {
				$adm_courriels_anims_filtre_courriel=$f1;
				$_SESSION['circonscript7_adm_courriels_anims_filtre_courriel']=$adm_courriels_anims_filtre_courriel;
			}
		}
		else {
			$adm_courriels_anims_filtre_courriel=!$adm_courriels_anims_filtre_courriel;
			$_SESSION['circonscript7_adm_courriels_anims_filtre_courriel']=$adm_courriels_anims_filtre_courriel;
		}
   }

	
	if (isset($_GET['tri'])) {
		$tri_adm_courriels_anims=$tris[$_GET['tri']];
		if (!isset($tri_adm_courriels_anims)) $tri_adm_courriels_anims=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_courriels_anims']=$tri_adm_courriels_anims;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_courriels_anims'])) {
		$tri_adm_courriels_anims=$_SESSION['circonscript7_tri_adm_courriels_anims'];
	}
	else {
		$tri_adm_courriels_anims=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_courriels_anims']=$tri_adm_courriels_anims;
	}		
	if (isset($_SESSION['circonscript7_filtre_adm_courriels_anims'])) 
		$filtre_adm_courriels_anims=$_SESSION['circonscript7_filtre_adm_courriels_anims'];
	else $filtre_adm_courriels_anims='';

	if (isset($_POST['chercher'])) {
		if (isset($_POST['filtre1'])) {
			$filtre1=normalise($_POST['filtre1']);
		}
		else $filtre1='';
		if (isset($_POST['filtre2'])) {
			$filtre2=normalise($_POST['filtre2']);
		}
		else $filtre2='';
		if( $filtre1!=$filtre_adm_courriels_anims) $filtre_adm_courriels_anims=$filtre1;
		else $filtre_adm_courriels_anims=$filtre2;
		$_SESSION['circonscript7_filtre_adm_courriels_anims']=$filtre_adm_courriels_anims;    		
   	}	
	$taille=30;

	// Nombre de pages
	if ($adm_courriels_anims_inscriptions==0)
		$q="SELECT COUNT(*) FROM stagiaires, inscriptions WHERE inscriptions.id_seance=$adm_courriels_anims_id_seance AND inscriptions.id_stagiaire=stagiaires.id_stagiaire";
	else
		$q="SELECT COUNT(*) FROM stagiaires, convocations WHERE convocations.id_seance=$adm_courriels_anims_id_seance AND convocations.id_stagiaire=stagiaires.id_stagiaire";
	if ($filtre_adm_courriels_anims) {
		$filtre2=myLikeEscapeString($h,normaliseNom($filtre_adm_courriels_anims));
		$q.= " AND (stagiaires.nom_f LIKE '%$filtre2%' OR stagiaires.prenom_f LIKE '%$filtre2%' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '%$filtre2%')";
	}
	$nb_elements=queryValue($q,$h);		//nombre maximal de stagiaires admissibles
   	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	
	$int_tous='';
	$int_dates='';
	
	if ($adm_courriels_anims_id_seance>0) {
		$max_stagiaires=queryValue("SELECT max FROM seances WHERE id_seance=$adm_courriels_anims_id_seance",$h);
		if ($max_stagiaires=='') {
			$max_stagiaires=0;
			$erreur="Problme d'accs  la base";
		}
		// courriel intervenants
		$r=query("SELECT concat(prenom,' ',nom) as nom, courriel,dates.date FROM intervenants,interventions,dates WHERE dates.id_seance=$adm_courriels_anims_id_seance AND interventions.id_date=dates.id_date AND intervenants.id_intervenant=interventions.id_intervenant ORDER BY dates.date ASC, intervenants.nom ASC",$h);
		$date_prec='';
		$noms='';
		$courriels='';
		$nb_rows=@mysqli_num_rows($r);
		$n=0;
		while ($row=@mysqli_fetch_array($r)) {
			$date=$row['date'];
			if ($n==0) $date_prec=$date;
			++$n;
			if ($date!=$date_prec ) {
				$d=dateSqlEnSaisie($date_prec);
				$date_prec=$date;
				if ($d=='') $d=' dfinir';
				if ($courriels)
					$int_dates.=sprintf("<p><b>%s</b> <a href=\"javascript:envoieMail3('%s',document.form.objet.value,'')\">%s</a></p>",htmlentities($d,ENT_COMPAT,'ISO-8859-15'),$courriels,htmlentities($noms,ENT_COMPAT,'ISO-8859-15'));
				else if ($noms) 
					$int_dates.=sprintf("<p><b>%s</b> %s</p>\n",htmlentities($d,ENT_COMPAT,'ISO-8859-15'),htmlentities($noms,ENT_COMPAT,'ISO-8859-15'));
				$courriels='';
				$noms='';
			}
			if ($row['courriel'] ) {
				if ($courriels) $courriels.=',';
				$courriels.=$row['courriel'];
				if (strpos($int_tous,$row['courriel'])===false) {
					if ($int_tous) $int_tous.=',';
					$int_tous.=$row['courriel'];
				}
			
			} 		
			if ($row['nom']) {
				if($noms) $noms.=', ';
				$noms.=$row['nom'];
			}
			if ($n==$nb_rows) {
				$date_prec=$date;
				$d=dateSqlEnSaisie($date);
				if ($d=='') $d=' dfinir';
				if ($courriels)
					$int_dates.=sprintf("<p><b>%s</b> <a href=\"javascript:envoieMail3('%s',document.form.objet.value,'')\">%s</a></p>",htmlentities($d,ENT_COMPAT,'ISO-8859-15'),$courriels,htmlentities($noms,ENT_COMPAT,'ISO-8859-15'));
				else if ($noms) 
					$int_dates.=sprintf("<p><b>%s</b> %s</p>\n",htmlentities($d,ENT_COMPAT,'ISO-8859-15'),htmlentities($noms,ENT_COMPAT,'ISO-8859-15'));
				$courriels='';
				$noms='';
			}
		}		
	}
	else {
		$max_stagiaires=0;	
	}
	// Nombre de pages

	$page=0;
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   	if (--$page<0) $page=0;
   }
   else if (isset($_POST['actualise'])) {
		$filtre_adm_courriels_anims='';
		$_SESSION['circonscript7_filtre_adm_courriels_anims']=$filtre_adm_courriels_anims;
   }
	if (isset($_POST['valider'])) {
		$adm_courriels_anims_stagiaires='';
		$adm_courriels_anims_ecoles='';
		$adm_courriels_anims_ecoles2='';
		$adm_courriels_anims_objet='';	
		$adm_courriels_anims_intervenants='';
		$adm_courriels_anims_coches=array();
		if (isset($_POST['objet'])) $adm_courriels_anims_objet=normaliseT($_POST['objet'],250);
		if (isset($_POST['selection'])) foreach($_POST['selection'] as $id_stagiaire) {
			$id_stagiaire=intval($id_stagiaire);
			$adm_courriels_anims_coches[]=$id_stagiaire;
			$r=query("SELECT stagiaires.courriel, ecoles.courriel FROM stagiaires, ecoles WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole",$h);
			if ($erreur) break;
			$row=@mysqli_fetch_row($r);
			if ($erreur) break;
			$c_stag=$row[0];
			$c_eco=$row[1];
			if ($c_stag) {
				if ($adm_courriels_anims_stagiaires) $adm_courriels_anims_stagiaires.=',';
				$adm_courriels_anims_stagiaires.=$c_stag;
			}
			else {
				if ($c_eco && strpos($adm_courriels_anims_ecoles2,$c_eco)===false) {
					if($adm_courriels_anims_ecoles2) $adm_courriels_anims_ecoles2.=',';
					$adm_courriels_anims_ecoles2.=$c_eco;
				}
			}
			if ($c_eco && strpos($adm_courriels_anims_ecoles,$c_eco)===false) {
				if($adm_courriels_anims_ecoles) $adm_courriels_anims_ecoles.=',';
				$adm_courriels_anims_ecoles.=$c_eco;
			}
		}
		// chercher les mails des intervenants 
		$r=query("SELECT courriel FROM intervenants,interventions,dates WHERE dates.id_seance=$adm_courriels_anims_id_seance AND interventions.id_date=dates.id_date AND intervenants.id_intervenant=interventions.id_intervenant ORDER BY intervenants.courriel ASC",$h);
		 while ($row=@mysqli_fetch_row($r)) {
		 	$courriel=$row[0];
			if( $courriel) {
				if($adm_courriels_anims_intervenants) $adm_courriels_anims_intervenants.=',';
				$adm_courriels_anims_intervenants.=$courriel;
		 	}
		}
		
		$_SESSION['circonscript7_adm_courriels_anims_intervenants']=$adm_courriels_anims_intervenants;
		$_SESSION['circonscript7_adm_courriels_anims_objet']=$adm_courriels_anims_objet;
		$_SESSION['circonscript7_adm_courriels_anims_coches']=$adm_courriels_anims_coches;
		$_SESSION['circonscript7_liste_stagiaires_coches']=$adm_courriels_anims_coches;
		$_SESSION['circonscript7_adm_courriels_anims_ecoles']=$adm_courriels_anims_ecoles;
		$_SESSION['circonscript7_adm_courriels_anims_ecoles2']=$adm_courriels_anims_ecoles2;
		$_SESSION['circonscript7_adm_courriels_anims_stagiaires']=$adm_courriels_anims_stagiaires;	
	}
	
	// trouve le nombre de stagiaires extrieur  la circo qui sont aussi inscrits et convoqus  la sance
	$inscrits_internes=queryValue("SELECT COUNT(*) FROM inscriptions,stagiaires,ecoles WHERE inscriptions.id_seance=$adm_courriels_anims_id_seance AND inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	$convoques_internes=queryValue("SELECT COUNT(*) FROM convocations,stagiaires,ecoles WHERE convocations.id_seance=$adm_courriels_anims_id_seance AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);

	$inscrits_externes=queryValue("SELECT COUNT(*) FROM inscriptions,stagiaires,ecoles WHERE inscriptions.id_seance=$adm_courriels_anims_id_seance AND inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo<>$id_circo",$h);
	$convoques_externes=queryValue("SELECT COUNT(*) FROM convocations,stagiaires,ecoles WHERE convocations.id_seance=$adm_courriels_anims_id_seance AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo<>$id_circo",$h);

function afficheAnims($h)
{
	global $id_circo, $id_anim,$adm_courriels_anims_date_sql;
	
	if ($adm_courriels_anims_date_sql=='') $q="SELECT animations.id_anim, animations.intitule, animations.annule FROM partages, seances, animations,positions, domaines WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0 GROUP BY animations.id_anim ORDER BY animations.annule DESC, animations.intitule ASC";
	else
		$q="SELECT animations.id_anim, animations.intitule,animations.annule FROM partages, seances, animations, positions,domaines,dates WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0 AND dates.date='$adm_courriels_anims_date_sql' AND dates.id_seance=seances.id_seance
		GROUP BY animations.id_anim ORDER BY animations.annule DESC, animations.intitule ASC";
	
	$r=query($q,$h);
	$n=@mysqli_num_rows($r);
	if ($id_anim==0 && $n>1) 
			print "<option value=\"0\" selected=\"selected\">Choisissez une animation</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$id_anim_cour=$row[0];
		$intitule=tronque($row[1],130);
		$intitule=sprintf("%s%s",$row[2]?'[ANNUL&Eacute;]&nbsp;:&nbsp;':'', $intitule);
		if ($id_anim==$id_anim_cour || ($id_anim==0 && $n==1) ) {
			print "<option value=\"0\" selected=\"selected\">$intitule</option>\n";
			$id_anim=$id_anim_cour;
		}
		else
			print "<option value=\"$id_anim_cour\">$intitule</option>\n";
	}
}


function afficheSeances($h,$id_anim)
{
	global $id_circo,$adm_courriels_anims_date_sql,$adm_courriels_anims_id_seance;
	if ($id_anim==0) {
		print "<option value=\"0\" selected=\"selected\">Choisissez d'abord une animation</option>\n";
		return;
	}
	$q="SELECT seances.id_seance FROM seances,dates,partages WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 GROUP BY seances.id_seance";		
	$r=query($q,$h);
	$date_lue='';
	if ($adm_courriels_anims_id_seance==0) {
		print "<option value=\"0\" selected=\"selected\">Choisissez une sance</option>\n";
	}
	while($row=@mysqli_fetch_row($r)) {
		$id_seance=$row[0];
		$r2=query("SELECT date, lieu, horaire, remarque FROM dates WHERE id_seance=$id_seance",$h);
		$nb_dates=@mysqli_num_rows($r2);// nombre de dates
		$d='';
		if ($nb_dates>1) $d="$nb_dates dates : ";
		else if ($nb_dates==0) $d='Aucune date dfinie';
		while($row2=@mysqli_fetch_row($r2)) {
			$date_lue=$row2[0];
			$date=dateSqlEnSaisie($date_lue);
			if ($date=='')
				$date=' dfinir';
			$d.="$date";
			$heure=horaireSqlEnHeure($row2[2]);
			if ($heure) $d.="  $heure";
			$lieu=$row2[1];
			if (strlen($lieu)>33) $lieu=substr($lieu,0,30).'...';
			if ($lieu) $d.=" ($lieu)";
			$remarque=tronque($row2[3],80);
			if ($remarque ) 
				$d.=" [$remarque]";
			$d.='; ';
			
		}
		if (strlen($d)>153) $d=substr($d,0,150).'...';
		$d=htmlentities($d,ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_seance\"";
		if ($adm_courriels_anims_id_seance==$id_seance) print " selected=\"selected\"";
		print">$d</option>\n";
		
	}	


}




	
function affichepages()
{
	global $nb_pages, $page,$adm_courriels_anims_id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_courriels_anims.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}	

function requete($h)
{

	global $adm_courriels_anims_inscriptions,$adm_courriels_anims_id_seance,$page,$tri_adm_courriels_anims,$taille,$filtre_courriel_where,$adm_courriels_anims_filtre_courriel,$filtre_adm_courriels_anims,$id_circo;
	$lim=$page*$taille;   
	$filtre2='';
	if ($filtre_adm_courriels_anims) $filtre2='%'.myLikeEscapeString($h,normaliseNom($filtre_adm_courriels_anims)).'%';
	$q="SELECT stagiaires.id_stagiaire, concat( stagiaires.nom, ' ', stagiaires.prenom ) AS nom_stagiaire, stagiaires.courriel as courriel_stag,ecoles.nom AS nom_ecole, ecoles.courriel as courriel_ec,circos.libelle_court as circo, circos.courriel AS courriel_circo, stagiaires.niveau, quotite, groupes.libelle as groupe";
	if ($adm_courriels_anims_inscriptions==0)
	 	$q.=" FROM (stagiaires, inscriptions as t, ecoles, circos)";
	else
		$q.=" FROM (stagiaires, convocations as t, ecoles, circos)";
	$q.=" LEFT JOIN groupes ON groupes.id_circo=$id_circo AND groupes.id_groupe=stagiaires.id_groupe"; // ne voir que les groupes de sa propre circo
	$q.=" WHERE stagiaires.id_stagiaire=t.id_stagiaire AND t.id_seance=$adm_courriels_anims_id_seance AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=circos.id_circo";
	if ($filtre_courriel_where && $adm_courriels_anims_filtre_courriel) $q.=" AND $filtre_courriel_where";
	if ($filtre2) 
		$q.=" AND (stagiaires.nom_f LIKE '$filtre2' OR stagiaires.prenom_f LIKE '$filtre2' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '$filtre2')";

	$q.=" ORDER BY $tri_adm_courriels_anims
		LIMIT $lim , $taille";
	return $q;
	
}	
	
function afficheListeStagiaires($h)
{
	global $adm_courriels_anims_coches;
	$impair=0;
	$r=query(requete($h),$h);
	if (($nb_stagiaires=@mysqli_num_rows($r))==0) {
		return;
	}
	while ($row=@mysqli_fetch_array($r)) {
		$id_stagiaire=$row['id_stagiaire'];
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		//print("<td>&nbsp;</td>\n");
		if ($row['courriel_stag'])
			printf("<td><a href=\"javascript:envoieMail3('%s',document.form.objet.value,'')\">%s</a></td>\n",$row['courriel_stag'],htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
			//printf("<td><a href=\"mailto:%s\">%s</a></td>\n",$row['courriel_stag'],htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		else
			printf("<td>%s</td>\n",htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		
		printf("<td>%s</td>\n",htmlentities(substr($row['niveau'],1,strlen($row['niveau'])-2),ENT_COMPAT,'ISO-8859-15'));
		if (!$row['courriel_ec'])
			printf("<td>%s</td>\n",htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		else 
			printf("<td><a href=\"javascript:envoieMail3('%s',document.form.objet.value,'')\">%s</a></td>\n",$row['courriel_ec'],htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));

		if (!$row['courriel_circo'])
			printf("<td>%s</td>\n",htmlentities($row['circo'],ENT_COMPAT,'ISO-8859-15'));
		else 
			printf("<td><a href=\"javascript:envoieMail3('%s',document.form.objet.value,'')\">%s</a></td>\n",$row['courriel_circo'],htmlentities($row['circo'],ENT_COMPAT,'ISO-8859-15'));
		$groupe=tronque($row['groupe'],32);
		if ($groupe)
			printf("<td>%s</td>\n",$groupe);
		else print "<td>&nbsp;</td>\n";
		printf("<td>%.2f</td>\n",$row['quotite']);
		print "<td class=\"centre\"><input type=\"checkbox\" name=\"selection[]\" value='$id_stagiaire' ";
		if (in_array($id_stagiaire,$adm_courriels_anims_coches)) print "checked=\"checked\" ";
		print "/></td>\n";
		print "</tr>\n";
	}

}
function afficheCourriels()
{
	global $adm_courriels_anims_stagiaires,$adm_courriels_anims_ecoles,$adm_courriels_anims_ecoles2,$adm_courriels_anims_objet,$adm_courriels_anims_coches,$int_tous,$int_dates,$adm_courriels_anims_intervenants;
	print "<tr>\n";
	if ($adm_courriels_anims_stagiaires) {
	 	print "<td class=\"centre\"><a href=\"javascript:envoieMail3('$adm_courriels_anims_stagiaires',document.form.objet.value,'')\" ><img src=\"images/internet-mail.png\" alt=\"courriel aux stagiaires\"/></a>\n";
		if ($adm_courriels_anims_intervenants) 
	 		print "<a href=\"javascript:envoieMail3('$adm_courriels_anims_stagiaires',document.form.objet.value,'$adm_courriels_anims_intervenants')\" ><img src=\"images/internet-mail-intervenants.png\" alt=\"courriel aux stagiaires CC intervenants\"/></a>\n";
		print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$adm_courriels_anims_stagiaires','console',600,500)\" ><img src=\"images/text.png\" alt=\"liste\" /></a>";
		if ($adm_courriels_anims_intervenants) 
			print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$adm_courriels_anims_stagiaires,$adm_courriels_anims_intervenants','console',600,500)\" ><img src=\"images/text-intervenants.png\" alt=\"liste avec intervenants\" /></a>\n";
		print "</td>\n";
	}
	else
		print "<td class=\"centre\">-</td>\n";
	if ($adm_courriels_anims_ecoles) { 
	 	print "<td class=\"centre\"><a href=\"javascript:envoieMail3('$adm_courriels_anims_ecoles',document.form.objet.value,'')\" ><img src=\"images/internet-mail.png\" alt=\"courriel aux coles\"/></a>\n";
		if ($adm_courriels_anims_intervenants) 
		 	print "<a href=\"javascript:envoieMail3('$adm_courriels_anims_ecoles',document.form.objet.value,'$adm_courriels_anims_intervenants')\" ><img src=\"images/internet-mail-intervenants.png\" alt=\"courriel aux coles, CC intervenants\"/></a>\n";
		print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$adm_courriels_anims_ecoles','console',600,500)\" ><img src=\"images/text.png\" alt=\"liste\" /></a>";
		if ($adm_courriels_anims_intervenants) 
			print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$adm_courriels_anims_ecoles,$adm_courriels_anims_intervenants','console',600,500)\" ><img src=\"images/text-intervenants.png\" alt=\"liste avec intervenants\" /></a>";
		
		print "</td>\n";
	}		
	else
		print "<td class=\"centre\">-</td>\n";
	if ($adm_courriels_anims_stagiaires && $adm_courriels_anims_ecoles) {
	 	print "<td class=\"centre\"><a href=\"javascript:envoieMail3('$adm_courriels_anims_stagiaires',document.form.objet.value,'$adm_courriels_anims_ecoles')\" ><img src=\"images/internet-mail.png\" alt=\"courriel\"/></a>\n";
		if ($adm_courriels_anims_intervenants) 
		 	print "<a href=\"javascript:envoieMail3('$adm_courriels_anims_stagiaires',document.form.objet.value,'$adm_courriels_anims_ecoles,$adm_courriels_anims_intervenants')\" ><img src=\"images/internet-mail-intervenants.png\" alt=\"courriel avec intervenants\"/></a>";
		print "</td>\n";
		
	
	}	
	else
		print "<td class=\"centre\">-</td>\n";
	if ($adm_courriels_anims_ecoles2) {
	 	print "<td class=\"centre\"><a href=\"javascript:envoieMail3('$adm_courriels_anims_ecoles2',document.form.objet.value,'')\" ><img src=\"images/internet-mail.png\" alt=\"courriel\"/></a>\n";
		if ($adm_courriels_anims_intervenants) 
		 	print "<a href=\"javascript:envoieMail3('$adm_courriels_anims_ecoles2',document.form.objet.value,'$adm_courriels_anims_intervenants')\" ><img src=\"images/internet-mail-intervenants.png\" alt=\"courriels coles CC intervenants\"/></a>\n";
		print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$adm_courriels_anims_ecoles2','console',600,500)\" ><img src=\"images/text.png\"alt=\"liste\"/></a>";
		if ($adm_courriels_anims_intervenants) 
			print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$adm_courriels_anims_ecoles2,$adm_courriels_anims_intervenants','console',600,500)\" ><img src=\"images/text-intervenants.png\"alt=\"liste\"/></a>";
		
		
		print "</td>\n";
	}
	else
		print "<td class=\"centre\">-</td>\n";

	if (isset($adm_courriels_anims_coches) && sizeof($adm_courriels_anims_coches>0) && ($adm_courriels_anims_stagiaires || $adm_courriels_anims_ecoles || $adm_courriels_anims_ecoles2)) 	 	
		print "<td class=\"centre\"><a href=\"javascript:popUp('adm_liste_stagiaires_popup.php','console',640,480)\" ><img src=\"images/text.png\"alt=\"liste\"/></a></td>\n";
	else
		print "<td class=\"centre\">-</td>\n";
	
	print "<td>";
	if ($int_dates!='') print $int_dates;
	if ($int_tous!='') print "<p><a href=\"javascript:envoieMail3('$int_tous',document.form.objet.value,'')\"><b>Tous</b></a></p>\n";
	//if ($int_tous=='' && $int_dates=='')print "-";
	print "</td>\n";
	
	print "</tr>\n";
	
	
}	
function afficheDates($h)
{
	global $id_circo,$adm_courriels_anims_date_sql;
	$q="SELECT DISTINCT(dates.date) FROM seances,dates,partages, domaines,positions WHERE dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 AND dates.date<>'9999-12-31' AND dates.date<>'0000.00.00' AND seances.id_anim=positions.id_anim AND domaines.id_domaine=positions.id_domaine AND domaines.annee=0 AND domaines.id_circo=$id_circo ORDER BY dates.date ASC";
	$r=query($q,$h);
	$ok=false;
	print "<option value=\"\">Toutes</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$date=$row[0];
		$sel='';
		if ($date==$adm_courriels_anims_date_sql) {
			$ok=true;
			$sel=" selected=\"selected\"";
		}
		printf("<option value=\"$date\"$sel>%s",dateSqlEnSaisie($date));
		print "</option>\n";
	}
	if (!$ok) $sel=" selected=\"selected\"";
	else $sel='';
}	
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	   <script type="text/javascript" src="envoiemail.js"></script> 
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form

  laListe = leForm["selection[]"]

  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}
//-->
        </script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_courriels_anims?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
			  </ul>
			</div>
		  <div id="corps">	 

			    <table>
                  <tr>
                    <td>
                      <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>\n";?>
<h1>Envoi de courriels aux stagiaires ou aux intervenants </h1>
<p>Copiez/collez le corps du message pour le reproduire  chaque lot de stagiaires.</p>
<form method="post" action="">
  <p>
<input type="radio" name="rb_inscrits" value="0" <?php if ($adm_courriels_anims_inscriptions==0) print 'checked="checked"' ?> onclick="javascript:submit()" />    
inscrits</p>
  <p>
    <input type="radio" name="rb_inscrits" value="1" <?php if ($adm_courriels_anims_inscriptions==1) print 'checked="checked"' ?> onclick="javascript:submit()" /> 
    convoqu&eacute;s</p>
</form>
<p>&nbsp;</p></td>
                    <td><table>
                      <tr class="table_entete">
                        <td>stagiaires </td>
                        <td> inscrits </td>
                        <td> convoqu&eacute;s </td>
                      </tr>
                      <tr>
                        <td>de&nbsp;la circo  </td>
                        <td class="centre"><?php print $inscrits_internes?></td>
                        <td class="centre"><?php print $convoques_internes?></td>
                      </tr>
                      <tr>
                        <td>hors&nbsp;circo </td>
                        <td class="centre"><?php print $inscrits_externes?></td>
                        <td class="centre"><?php print $convoques_externes?></td>
                      </tr>
                      <tr>
                        <td><strong>total</strong></td>
                        <td class="centre"><strong>
                        <?php print $inscrits_internes+$inscrits_externes?>
                        </strong></td>
                        <td class="centre"><strong>
                        <?php
							if ($max_stagiaires>0)
								printf("%d/%d",$convoques_internes+$convoques_externes,$max_stagiaires);
							else
								printf("%d",$convoques_internes+$convoques_externes);
							
						?>
                        </strong></td>
                      </tr>
                    </table></td>
                  </tr>
                  <tr>
                    <td colspan="2"><form method="post" action="">
                      <p>Choix de la date:
                        <select name="cbDate" id="cbDate" onchange="javascript:submit()">
                          <?php afficheDates($h)?>
                        </select>
                      </p>
                    </form>
                    <form name="form2" method="post" action="">
                     
					  <p>Animation:
                        <select name="cb_animations" id="cb_animations" onchange="javascript:submit()">
                            <?php afficheAnims($h) ?>
                        </select>
                      </p>
                    </form>
                      <form name="form3" method="post" action="">
                        <p>S&eacute;ance:
                          <select name="cb_seances" id="cb_seances" onchange="javascript:submit()">
                              <?php afficheSeances($h,$id_anim) ?>
                          </select>
                        </p>
                    </form></td>
                  </tr>
                  <tr>
                    <td colspan="2"><h4>L&eacute;gende des ic&ocirc;nes pour le tableau ci-dessous: </h4>
                      <table>
                        <tr>
                          <td><img src="images/internet-mail.png" alt="ic&ocirc;ne courriel" width="22" height="22" /> courriel comme indiqu&eacute; dans l'en-t&ecirc;te du tableau ci-dessous</td>
                          <td><img src="images/internet-mail-intervenants.png" alt="ic&ocirc;ne courriel + intervenants" width="22" height="22" />idem, avec copie aux intervenants. </td>
                        </tr>
                        <tr>
                          <td><img src="images/text.png" alt="liste des adresses au format texte" width="22" height="22" />Liste des adresses au format texte, &agrave; copier/coller </td>
                          <td><img src="images/text-intervenants.png" alt="liste des adresses au format texte, avec intervenants" width="22" height="22" /> idem, avec les adresses des intervenants en plus </td>
                        </tr>
                      </table>
                      <p>&nbsp;</p>
                      <table align="center">
                      <tr class="table_entete">
                        <td>&Agrave;: stagiaires</td>
                        <td>&Agrave;: &eacute;coles<br />
                            <em>concern&eacute;es</em></td>
                        <td>&Agrave;: stagiaires<br />
                          CC: &eacute;coles </td>
                        <td>&Agrave;: &eacute;coles <br />
                        <em>stag. sans courriel</em> </td>
                        <td>Liste stag. &agrave; <br />
                           copier/coller </td>
                        <td>&Agrave;: intervenants </td>
                      </tr>
                      <?php afficheCourriels()?>
                    </table></td>
                  </tr>
                </table>
				<form method="post" name="form"  action="">

				  <p>
				  <input type="hidden" name="page" value="<?php print $page?>"/>

				
				Objet: 
				<input name="objet" type="text" id="objet" value="<?php print htmlspecialchars($adm_courriels_anims_objet,ENT_COMPAT,'ISO-8859-15')?>" size="100" maxlength="250" />
				  </p>
				  <table align="center">
                  <tr align="center" valign="top">
                    <td><input name="filtre_spe1" type="checkbox" value="checkbox"  <?php if ($adm_courriels_anims_filtre_courriel) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                    <a href="javascript:popUp('adm_filtre_courriel_popup.php?url_ret=adm_courriels_anims.php','console',600,500);">Utiliser filtre</a></td>
                    <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                    <input name="filtre1" type="text" id="filtre1" value="<?php print htmlentities($filtre_adm_courriels_anims,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><input name="valider" type="submit" class="bouton_enregistre" value="Valider" /></td>
                    <td><p><b>
                         <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                    </b></p></td>
                  </tr>
                </table>

 
			    <table>
                  <tr class="table_entete">
                    <td>Nom stagiaire&nbsp; <a href="adm_courriels_anims.php?tri=nom_asc"><img src="images/fleche_haut.png" alt="tri par nom ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_anims.php?tri=nom_desc"><img src="images/fleche_bas.png" alt="tri par nom descendant" width="11" height="11" border="0" /></a></td>
                    <td>Niveau<br/><a href="adm_courriels_anims.php?tri=niveau_asc"><img src="images/fleche_haut.png" alt="tri par niveau ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_anims.php?tri=niveau_desc"><img src="images/fleche_bas.png" alt="tri par niveau descendant" width="11" height="11" border="0" /></a></td>
                    <td>Ecole&nbsp;<a href="adm_courriels_anims.php?tri=ecole_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_anims.php?tri=ecole_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a></td>
                    <td align="center">Circo&nbsp;<a href="adm_courriels_anims.php?tri=circo_asc"><img src="images/fleche_haut.png" alt="tri par circo ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_anims.php?tri=circo_desc"><img src="images/fleche_bas.png" alt="tri par circo descendant" width="11" height="11" border="0" /></a> </td>
                    <td align="center">Groupe<a href="adm_courriels_anims.php?tri=groupe_asc"><br />
                    <img src="images/fleche_haut.png" alt="tri par groupe ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_anims.php?tri=groupe_desc"><img src="images/fleche_bas.png" alt="tri par groupe  descendante" width="11" height="11" border="0" /></a></td>
                    <td align="center">Quotit&eacute;<br/>
                    <a href="adm_courriels_anims.php?tri=quotite_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_anims.php?tri=quotite_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a>&nbsp;</td>
                    <td>Courriel&nbsp;
                      <input type="checkbox" onclick="cocheTout(this)"/></td>
                  </tr>
				<?php  
				afficheListeStagiaires($h) ?>
				</table>
			    <table align="center">
                  <tr align="center" valign="top">
                    <td><input name="filtre_spe2" type="checkbox" id="filtre_spe2" value="checkbox"  <?php if ($adm_courriels_anims_filtre_courriel) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                      <a href="javascript:popUp('adm_filtre_courriel_popup.php?url_ret=adm_courriels_anims.php','console',600,500);">Utiliser filtre</a> </td>
                    <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                    <input name="filtre2" type="text" id="filtre2" value="<?php print htmlentities($filtre_adm_courriels_anims,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><input name="valider" type="submit" class="bouton_enregistre" value="Valider" /></td>
                    <td><p><b>
                         <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                    </b></p></td>
                  </tr>
                </table>
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_courriels_anims?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
