<?php
/* 
	Ajout et modification des domaines
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_domaines=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_domaines']=$url_ret_adm_domaines;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_domaines'])) {
		$url_ret_adm_domaines=$_SESSION['circonscript7_url_ret_adm_domaines'];
	}
	else $url_ret_adm_domaines="adm_animations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$modifications_possibles=1;		
	$h=connect();
	ejecteSiFerme($h);
	$autoriser_plan_futur=queryValue("SELECT autoriser_plan_futur FROM circos WHERE id_circo=$id_circo",$h);
	if ($autoriser_plan_futur && isset($_SESSION['circonscript7_annee'])) $annee=$_SESSION['circonscript7_annee'];
	else $annee=0;
	$id_modifier=0;
	if (isset($_POST['Valider'])) {
		$modifications_possibles=0;
		$tri=normalise($_POST['tri']);
		$libelle=normalise(nettoyerApostrophes($_POST['libelle']));
		if ($libelle=='') $erreur='Il faut indiquer un libell';
		else {
			$q="SELECT COUNT(*) FROM domaines WHERE id_circo=$id_circo AND annee=$annee";
			$r=query($q,$h);
			if ($r) {
				$count=@mysqli_fetch_row($r);
				if ($count[0]<99) {
					if ($tri>$count[0]) $tri=$count[0]+1;
					else if ($tri<0) $tri=0;
					$libelle=myEscapeString($h,$libelle);
					$tri=myEscapeString($h,$tri);
					$q="INSERT INTO domaines(id_circo,libelle,tri,annee) VALUES (\"$id_circo\",\"$libelle\",\"$tri\",\"$annee\")";
					$r=query($q,$h);
					if ($r) {
					// modifie le tri
						$q="SELECT id_domaine FROM domaines WHERE id_circo=$id_circo AND annee=$annee ORDER BY tri";
						$r=query($q,$h);
						$tri=1;
						while($domaines=@mysqli_fetch_row($r)) {
							$id_domaine=$domaines[0];
							$q="UPDATE domaines SET tri=$tri WHERE id_domaine=$id_domaine";
							query($q,$h);
							++$tri;
						}
					
					}
				}
			}
		}
	}
	else if (isset($_POST['commande'])&& $_POST['commande']=='supprimer' && isset($_POST['supprime'])) {
		$modifications_possibles=0;
		$nonfaits=0;
		$faits=0;
		$id_modifier=0;
		foreach($_POST['supprime'] as $id_domaine) {
			$id_domaine=abs(intval($id_domaine));
			$count=queryValue("SELECT COUNT(*) FROM domaines WHERE id_domaine=$id_domaine AND id_circo=$id_circo",$h);
			if ($count==0) {
				continue;
			}
			$count=queryValue("SELECT COUNT(*) FROM positions WHERE id_domaine=$id_domaine ",$h);
			if ($count>0) {
				++$nonfaits;
				continue;
			}
			$q="DELETE FROM domaines WHERE id_domaine=$id_domaine";
			query($q,$h);
			++$faits;
			if ($erreur!='') break;
			
		}
		if ($faits>>0) trier($h);
		if ($nonfaits>0) $erreur="$nonfaits domaine(s) n'ont pas t supprims car ils contiennent encore des animations";
	}
	else if(isset($_POST['Modifier'])) while(1){
		$modifications_possibles=0;
		$id_domaine=abs(intval($_POST['id_modifier']));
		$q="SELECT libelle, tri FROM domaines WHERE id_domaine=$id_domaine AND id_circo=$id_circo AND annee=$annee";
		$r=query($q,$h);
		$row=@mysqli_fetch_row($r);
		if ($row[0]=='') {
			$erreur="Domaine inconnu";
			break;
		}
		$libelle=normalise($_POST['libelle']);
		$tri=normalise($_POST['tri']);
		if ($libelle=='') {
			$erreur="Le libell ne peut tre vide";
			break;
		}
		if ($tri==''||!is_numeric($tri)) $tri=$row[1];
		$n=queryValue("SELECT COUNT(*) FROM domaines WHERE id_circo=$id_circo AND annee=$annee",$h);
		if ($n ) {
			if ($tri<1) $tri=1;
			else if ($tri>$n) $tri=$n;
			$q=sprintf("UPDATE domaines SET libelle='%s',tri='%s' WHERE id_domaine=$id_domaine",myEscapeString($h,$libelle),$tri);
			query($q,$h);
			if ($tri <$row[1]) {
				$q=sprintf("UPDATE domaines SET tri=tri+1 WHERE id_circo=$id_circo AND annee=$annee AND id_domaine<>$id_domaine AND tri >= $tri AND tri<%s",$row[1]);
				query($q,$h);
			
			}
			else if ($tri >$row[1]) {
				$q=sprintf("UPDATE domaines SET tri=tri-1 WHERE id_circo=$id_circo AND annee=$annee AND id_domaine<>$id_domaine AND tri <= $tri AND tri>%s",$row[1]);
				query($q,$h);
			}
		}

		break;
	}
	else if (isset($_POST['undo'])) {
		$id_modifier=0;
	}
	else if (isset($_POST['importer'])) while(1){
		if ($annee==0) {
			$erreur="Impossible d'importer dans le plan courant.";
			break;
		}
		$n=queryValue("SELECT COUNT(*) FROM domaines WHERE id_circo=$id_circo AND annee=1",$h);
		if ($n>0) {
			$erreur="Impossible d'importer: des domaines ont t dfinis";
			break;
		}
		query("INSERT INTO domaines(id_circo,libelle,tri,annee) SELECT $id_circo, libelle,tri,1 FROM domaines WHERE id_circo=$id_circo AND annee=0",$h);		
		break;
	}
	else if (isset($_GET['Modifier'])) {
		$id_modifier=abs(intval($_GET['Modifier']));
	}
	
//---------------------Sous programmes
function trier($h)
{
	global $id_circo,$annee;
	$q="SELECT id_domaine FROM domaines WHERE id_circo=$id_circo AND annee=$annee ORDER BY tri";
	$r=query($q,$h);
	$tri=1;
	while($domaines=@mysqli_fetch_row($r)) {
		$id_domaine=$domaines[0];
		$q="UPDATE domaines SET tri=$tri WHERE id_domaine=$id_domaine";
		query($q,$h);
		++$tri;
	}
}		
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
		<script type="text/javascript">
		<!--			
			function cocheTout(obj)
			{
			  // on rcupre le formulaire des objets  modifier
			  leForm = obj.form
			
			  laListe = leForm["supprime[]"]
			
			  if (laListe != null){
				if (laListe.length != null){
				  // on modifie tous les lments
				  for(i=0; i < laListe.length; i++) {
					laListe[i].checked = obj.checked
				  }
				} else {
				  laListe.checked = obj.checked
				}
			  }
			}
			function confirme()
			{
			  
			  leForm = document.formulaire;
			  laListe = leForm["supprime[]"];
				n=0;
				if (laListe != null) {
					if (laListe.length != null) {
						for (i=0;i<laListe.length; ++i) if (laListe[i].checked) ++n;
					}
					else {
						if (laListe.checked) ++n;
					}
				}
				if (n==0) alert("Il faut cocher les domaines  supprimer");
				else {
					b=window.confirm("Voulez-vous vraiment suprimer les domaines cochs ?");
					if (b) {	
						document.formulaire.commande.value='supprimer';
						document.formulaire.submit();
					}
				}				
			}
		//-->	
		</script>					
		
	</head>
	<body onload= "document.getElementById('libelle').focus()"  >
	<div id="conteneur">

	 <?php 
		include('menu_principal.inc.php');
		
	?>
	<div class="menu_secondaire">
	<ul class="menu2">
	  <li><a href="<?php print $url_ret_adm_domaines?>">retour</a></li>
	  <li><a href="#bas">bas</a></li>
	</ul>
	</div>
	<div id="corps">
	<h1>Les domaines <?php
		if ($annee>0) print 'futurs';
	?></h1>
	<form name="formulaire" method="post" action="">
	<?php 	
		if ($erreur) printf("<p class=\"erreur\">%s</p>\r\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15')); 
		$q="SELECT * FROM domaines WHERE id_circo=$id_circo AND annee=$annee ORDER BY tri";
		$r=query($q,$h);
		if ($annee>0 && @mysqli_num_rows($r)==0) print "<input type=\"submit\" name=\"importer\" value=\"Importer les domaines du plan pr&eacute;c&eacute;dent\" class=\"bouton_standard\" />\n";
	?>
	<table>
      <tr class="table_entete">
        <td>Ordre</td>
        <td>Libell&eacute;</td>
        <td>Modifie</td>
		<td>Suppr.<input type="checkbox" name="cochetout" value="0" onclick="cocheTout(this)" /></td>
      </tr>
      <?php
	$tri=0;
	$count=0;
	$modifier=array();
	while ($row=@mysqli_fetch_array($r)) {
	  	
		print "<tr class=\"survol\" >\r\n";
		print " <td>";
		$tri=$row['tri'];
		print $tri;
		print "</td>\r\n";
		print " <td>";
		print htmlentities($row['libelle'],ENT_COMPAT,'ISO-8859-15');
		print "</td>\r\n";
		print " <td class=\"controle\">";
	  	printf ("<a href=\"adm_domaines.php?Modifier=%s\"><img src=\"images/b_edit.png\" alt=\"editer\" /></a>",$row['id_domaine']);
		print "</td>\r\n";
		print " <td class=\"controle\">";
	  	printf ("<input type=\"checkbox\" name=\"supprime[]\" value=\"%s\" />",$row['id_domaine']);
		//print "<a href=\"\"><img src=\"images/b_supprime.png\" alt=\"supprimer\" /></a>";
		print "</td>\r\n";
		print "</tr>\r\n";
		if ($modifications_possibles && $id_modifier==$row['id_domaine']) 
			$modifier=$row;
		++$count;
	}
	// Ajoute une nouvelle ligne
	if (count($modifier)==0) 
		if ($count<99) {
			print "<tr>\r\n";
			print " <td>";
		 	printf ("<input type=\"text\" name=\"tri\" value=\"%s\" size=\"4\" maxlength=\"2\" />",intval($tri)+1);
			print "</td>\r\n";
			print " <td>";
		 	print "<input type=\"text\" name=\"libelle\" id=\"libelle\" size=\"50\" maxlength=\"100\" />";
			print "</td>\r\n";
			print " <td class=\"controle\">";
			print  "<input name=\"Valider\" class=\"bouton_ajoute\" type=\"submit\" value=\"Ajouter\"/>";
			print "</td>\r\n";
		}
		else {
			print "<tr>\r\n";
			print " <td>";
			print "<h4>Limite maximale atteinte</h4>";
			print "</td>\r\n";
			print " <td>";
			print "<p>&nbsp;</p>";
			print "</td>\r\n";
		}
	else {
		print "<tr>\r\n";
		print " <td>";
		printf ("<input type=\"text\" name=\"tri\" value=\"%s\" size=\"4\" maxlength=\"2\" />",htmlspecialchars($modifier['tri'],ENT_COMPAT,'ISO-8859-15'));
		print "</td>\r\n";
		print " <td>";
		printf( "<input type=\"text\" name=\"libelle\" value=\"%s\" size=\"50\" maxlength=\"100\" />",htmlspecialchars($modifier['libelle'],ENT_COMPAT,'ISO-8859-15'));
		print "</td>\r\n";
		print " <td class=\"controle\">";
		print  "<input name=\"Modifier\" class=\"bouton_editer\" type=\"submit\" value=\"Modifier\"/>";
		print "</td>\r\n";
	}
	print " <td class=\"controle\">";
	if (count($modifier)==0) print "<input type=\"button\" name=\"supprimer\" class=\"bouton_supprimer\" value=\"Supprimer\" onclick=\"confirme()\" />\n";
	else print "<input name=\"undo\" class=\"bouton_undo\" type=\"submit\" value=\"D&eacute;faire\" />\n";
	print "</td>\r\n";
	print "</tr>\r\n";
	 ?>
    </table>
	<input type="hidden" name="id_modifier" value="<?php print htmlentities($id_modifier,ENT_COMPAT,'ISO-8859-15')?>" />
	<input name="commande" type="hidden" id="commande" value="0" />
	</form>
	
	</div>
	<div class="menu_secondaire">
	<ul class="menu2">
	  <li><a href="<?php print $url_ret_adm_domaines?>">retour</a></li>
	  <li><a href="#haut">haut</a></li>
	</ul>
	</div>
	<a name="bas" id="bas"></a></div>
	<?php if (isset($_POST['Valider'])||$id_modifier>0) { ?>
	<script language="javascript" type="text/javascript">
		document.location.href="#bas";
	</script>
	<?php } ?>
	</body>
</html>