<?php
/* 
	Voir plan de formation
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_groupes_seances=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_groupes_seances']=$url_ret_adm_groupes_seances;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_groupes_seances'])) {
		$url_ret_adm_groupes_seances=$_SESSION['circonscript7_url_ret_adm_groupes_seances'];
	}
	else $url_ret_adm_groupes_seances="adm_animations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	$nb_groupes=0;	
	$autoriser_plan_futur=queryValue("SELECT autoriser_plan_futur FROM circos WHERE id_circo=$id_circo",$h);
	if ($autoriser_plan_futur && isset($_SESSION['circonscript7_annee'])) $annee=$_SESSION['circonscript7_annee'];
	else $annee=0;
	
	if (isset($_SESSION['circonscript7_adm_groupes_id_groupe'])) $id_groupe=$_SESSION['circonscript7_adm_groupes_id_groupe'];
	else $id_groupe=0;
	if (isset($_SESSION['circonscript7_adm_groupes_libelle'])) $libelle=$_SESSION['circonscript7_adm_groupes_libelle'];
	else $libelle='';
	if (isset($_SESSION['circonscript7_plan'])) $plan=$_SESSION['circonscript7_plan'];
	else $plan=12;
	if (isset($_SESSION['circonscript7_adm_groupes_seances_test_date'])) $test_date=$_SESSION['circonscript7_adm_groupes_seances_test_date'];
	else $test_date=0;
	if (isset($_SESSION['circonscript7_adm_groupes_seances_date'])) $date=$_SESSION['circonscript7_adm_groupes_seances_date'];
	else $date='';
	if (isset($_POST['btDate'])) {
		$test_date=0;
		if (isset($_POST['selDate'])) $test_date=intval($_POST['selDate']);
		if ($test_date<0) $test_date=0;
		else if ($test_date>5) $test_date=0;	
		$date='';
		if ($test_date>0 && $test_date<4) {
			if (isset($_POST['edDate'])) $date=$_POST['edDate'];
			if ($date!='') $date=dateSaisieEnSql($date);			
			if ($date=='') 
				$erreur.="Date incorrecte. ";
			
		}
		if($test_date>=4) $date='';
		else if ($date=='') $test_date=0;
		if (!$erreur) {
			$_SESSION['circonscript7_adm_groupes_seances_test_date']=$test_date;
			$_SESSION['circonscript7_adm_groupes_seances_date']=$date;
		}
	}
	if (isset($_POST['commande'])) {
		if (isset($_POST['libelle'])) $libelle=normaliseT($_POST['libelle'],255);
		else $libelle='';
		$_SESSION['circonscript7_adm_groupes_libelle']=$libelle;
		if (isset($_POST['groupes'])) $id_groupe=abs(intval($_POST['groupes']));
		else $id_groupe=0;
		if ($id_groupe>0) {
			$n=queryValue("SELECT COUNT(*) FROM groupes WHERE id_circo=$id_circo AND id_groupe=$id_groupe",$h);
			if ($n==0) {
				header("Location: erreur.php?erreur=id");
				exit;
			}
		}
		$_SESSION['circonscript7_adm_groupes_id_groupe']=$id_groupe;
		if (isset($_POST['montrer']) && $id_groupe>0) $plan=13;
		else $plan=12;
		$_SESSION['circonscript7_plan']=$plan;	
	
		if ($_POST['commande']=='supprimer') {
			if ($id_groupe) {
				query("DELETE FROM groupements WHERE id_groupe=$id_groupe",$h);
				query("DELETE FROM groupes WHERE id_groupe=$id_groupe",$h);
				query("DELETE FROM regles WHERE id_groupe=$id_groupe",$h);
			}
			$id_groupe=0;
			$_SESSION['circonscript7_adm_groupes_id_groupe']=0;
			$libelle='';
			$_SESSION['circonscript7_adm_groupes_libelle']='';
					
		}
		if (isset($_POST['importer'])) while(1){
			if ($annee==0) {
				$erreur="Impossible d'importer dans le plan courant.";
				break;
			}
			$n=queryValue("SELECT COUNT(*) FROM groupes WHERE id_circo=$id_circo AND annee=1",$h);
			if ($n>0) {
				$erreur="Impossible d'importer: des groupes ont t dfinis";
				break;
			}
			query("INSERT INTO groupes(id_circo,libelle,annee) SELECT $id_circo, libelle,1 FROM groupes WHERE id_circo=$id_circo AND annee=0",$h);		
			break;
		}
		else if (isset($_POST['valider'])) {
			// supprime toutes les prcdentes sances de ce groupe.
			$n=0;
			$lib=myEscapeString($h,$libelle);
			if ($id_groupe){
				query("DELETE FROM groupements WHERE id_groupe=$id_groupe",$h);
				$n=queryValue("SELECT libelle LIKE '$lib' FROM groupes WHERE id_groupe=$id_groupe",$h);
			}
			if (!$n) { // crer un nouveau groupe
				query("INSERT INTO groupes(id_circo,libelle,annee) VALUES($id_circo,'$lib',$annee)",$h);
				$id_groupe=@mysqli_insert_id($h);
				if (!$id_groupe) {
					header('Location: erreur.php?erreur=acces');
					exit;
				}
				if ($lib=='') {
					$n=queryValue("SELECT COUNT(*) FROM groupes WHERE id_circo=$id_circo",$h);
					$libelle="groupe $n";
					query("UPDATE groupes SET libelle='$libelle' WHERE id_groupe=$id_groupe",$h);
					$_SESSION['circonscript7_adm_groupes_libelle']=$libelle;
				}
			}
			if (isset($_POST['groupement'])) foreach ($_POST['groupement'] as $id_seance) {
				$id_seance=intval($id_seance);
				// vrifie qu'on a bien droit  cette sance
				$r=query("SELECT accepte FROM partages WHERE id_circo=$id_circo AND id_seance=$id_seance",$h);
				if (@mysqli_num_rows($r)==0) continue;
				$row=@mysqli_fetch_row($r);
				if ($row[0]==0) continue;
				// inscrire la sance dans le groupement
				query("INSERT INTO groupements(id_groupe,id_seance) VALUES ($id_groupe,$id_seance)",$h);
			}
			// vrifie les sances supplmentaires: aucune sance supplmentaire ne doit tre dans le groupe si la sance de dpart n'y est pas.
			$q=" SELECT id_partage, accepte, cond, max, CASE WHEN id_groupement IS NULL THEN 0 ELSE id_groupement END AS id_groupement, animations.id_anim 
	FROM (partages, seances, animations, positions,domaines)
	LEFT JOIN groupements ON groupements.id_seance = seances.id_seance AND groupements.id_groupe =$id_groupe
	WHERE partages.id_circo =$id_circo
	AND seances.id_seance = partages.id_seance
	AND seances.id_anim = animations.id_anim
	AND animations.id_anim=positions.id_anim
	AND positions.id_domaine = domaines.id_domaine AND domaines.annee =$annee AND domaines.id_circo=$id_circo
	ORDER BY animations.id_anim, seances.tri ASC";
			
			$r=query($q,$h);
			$accepte_prec=0;
			$max_prec=0;
			$id_groupement_prec=0;
			$partages_annules=0;
			$id_anim_prec=0;
			while($row=@mysqli_fetch_row($r)) {
				$id_partage=$row[0];
				$accepte=$row[1];
				$cond=$row[2];
				$max=$row[3];
				$id_groupement=$row[4];
				$id_anim=$id_anim_prec;
				if ($cond && $accepte && $id_groupement ) {
					if ($accepte_prec==0 || $max_prec==0 || $id_groupement_prec==0||$id_anim_prec!=$id_anim) {
						query("DELETE FROM groupements WHERE id_groupement=$id_groupement",$h);
						++$partages_annules;
						$id_groupement=0;
					}
				}
				$accepte_prec=$accepte;
				$max_prec=$max;
				$id_groupement_prec=$id_groupement;
				$id_anim_prec=$id_anim;
			}
			if ($partages_annules) $erreur.="$partages_annules choix ont t annuls parce que les sances supplmentaires ne se rfrent pas  une sance prcdente valide ou parce que la sance prcdente n'a pas t choisie. ";
		}
	}
function afficheGroupes($h)
{
	global $id_circo,$erreur,$id_groupe,$annee;
	$r=query("SELECT id_groupe,libelle FROM groupes WHERE id_circo=$id_circo AND annee=$annee ORDER BY libelle ASC",$h);
	print '<option value="0"';
	if ($id_groupe==0) print ' selected="selected"';
	print ">Nouveau groupe</option>\n";
	$n=0;
	while ($row=@mysqli_fetch_row($r)) {
		$id=$row[0];
		$lib=$row[1];
		if (strlen($lib)>40) $lib=substr($lib,0,37).'...';
		$lib=htmlentities($lib,ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id\"";
		if ($id_groupe==$id) print ' selected="selected"';
		print ">$lib</option>\n";
		++$n;
	}
	return $n;
}	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	    <script type="text/javascript" charset="ISO-8859-15">
<!--
function cocheTout(obj, inverse)
{

  // on rcupre le formulaire des objets  modifier
  leForm = obj.form
  laListe = leForm["groupement[]"]
  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		if (!inverse) laListe[i].checked = obj.checked
		else laListe[i].checked=!laListe[i].checked;
	  }
	} else {
	  if (!inverse) laListe.checked = obj.checked
	  else laListe.checked=!laListe.checked;
	}
  }

}
function groupechange()
{
	document.form1.libelle.value="";
	var index=document.form1.groupes.selectedIndex;
	if (index>0) 
		document.form1.libelle.value=document.form1.groupes.options[index].text;
	document.form1.submit();
}
function jsSupprimer(text)
{
	var s="Voulez-vous vraiment supprimer dfinitivement le groupe :\n"+text;
	var b=window.confirm(s);
	if (b) {
		document.form1.commande.value='supprimer';
		document.form1.submit();
	}
}
function ouvreLien(url)
{
	if (url) window.open(url);
}

//-->
        </script>	
		</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_groupes_seances?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
			  <h1>Cr&eacute;er, modifier  des groupes 
			    <?php
		if ($annee>0) print 'futurs';
	?>
			  </h1>
 
			    <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
			    <form method="post" action="">
			      <table border="0">
                    <tr>
                      <td>Surligner</td>
                      <td><select name="selDate" size="6" id="selDate">
                          <option value="0" <?php print $test_date==0? 'selected="selected"':''?>>aucune date</option>
                          <option value="1" <?php print $test_date==1? 'selected="selected"':''?>>dates &lt;=</option>
                          <option value="2" <?php print $test_date==2? 'selected="selected"':''?>>dates &gt;=</option>
                          <option value="3" <?php print $test_date==3? 'selected="selected"':''?>>dates = </option>
	                      <option value="5" <?php print $test_date==5? 'selected="selected"':''?>>formation &agrave; distance</option>
						  <option value="4" <?php print $test_date==4? 'selected="selected"':''?>>dates &agrave; d&eacute;finir </option>
                      </select></td>
                      <td>&agrave; date:
                        <input name="edDate" type="text" id="edDate" size="10" maxlength="10" value="<?php print dateSqlEnSaisie($date)?>"/></td>
                      <td><input name="btDate" type="submit" class="bouton_actualise" id="btDate" value="actualiser" /></td>
                      <td>&nbsp;
					  	
					  
					  
					  </td>
                    </tr>
                  </table>
		      </form>

			  	<form method="post" name="form1" action="">
					 
					    <table>
                          <tr>
                            <td><input name="commande" type="hidden" id="commande" />
                              Choix des groupes &agrave; editer:</td>
                            <td><select name="groupes" id="groupes" onchange="javascript:groupechange()">
                                <?php $nb_groupes=afficheGroupes($h) ?>
                                                        </select></td>
                            <td>Nom du groupe en cours:</td>
                            <td><input name="libelle" type="text" id="libelle" size="50" maxlength="255" value="<?php print htmlentities($libelle,ENT_COMPAT,'ISO-8859-15') ?>" /></td>
                            <td><?php 
						  if ($id_groupe>0) printf( "<input name=\"suppr\" type=\"button\" class=\"bouton_supprimer\" id=\"suppr\" value=\"Supprimer\" onclick=\"javascript:jsSupprimer('%s')\" />",str_replace("'","\'",htmlentities($libelle,ENT_COMPAT,'ISO-8859-15')));
						  if ($annee==1 && $nb_groupes==0) {
						  	if (queryValue("SELECT COUNT(*) FROM groupes WHERE id_circo=$id_circo AND annee=0",$h)>0)print '<input name="importer" type="submit" class="bouton_standard" value="Importer des intitul&eacute;s des groupes de l\'ann&eacute;e pr&eacute;c&eacute;dente" />';
						  }
						  
						  ?></td>
                          </tr>
                        </table>
					    <p>
					      <input type="checkbox" name="checkbox" value="checkbox" onclick="javascript:cocheTout(this,false)"/>
					      Cocher / d&eacute;cocher toutes les cases </p>
					    <p><a href="javascript:cocheTout(document.form1.checkbox,true)"><img src="images/b_inverse.png" alt="inverse" width="22" height="22" />&nbsp;Inverser les cases coch&eacute;es</a> </p>
					    <p>  
					      <input name="montrer" type="checkbox" id="montrer" value="tout" <?php if ($plan==13) print "checked=\"checked\""?> onclick="javascript:submit()" />
					      Montrer uniquement les s&eacute;ances qui font partie du groupe</p>
					    <div id="animation">
					      <?php 
						affichePlanFormation($id_circo,$h,$plan,0,'',$id_groupe,$test_date,$date,$annee) 
					?>
					  </div>
			  	</form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_groupes_seances?>">retour</a></li>
		  			<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>