<?php
/* 
	Signaler les absences injustifies	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_groupes_stagiaires=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_groupes_stagiaires']=$url_ret_adm_groupes_stagiaires;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_groupes_stagiaires'])) {
		$url_ret_adm_groupes_stagiaires=$_SESSION['circonscript7_url_ret_adm_groupes_stagiaires'];
	}
	else $url_ret_adm_groupes_stagiaires="adm_stagiaires.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$id_groupe=0;
	if (isset($_SESSION['circonscript7_adm_groupes_stagiaires_id_groupe'])) $id_groupe=$_SESSION['circonscript7_adm_groupes_stagiaires_id_groupe'];
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo==1 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	
	//diffrents tris en cours
	$tris=array(
		'nom_asc'=> 'nom_stagiaire ASC, nom_ecole ASC',
		'nom_desc' => 'nom_stagiaire DESC, nom_ecole ASC',
		'ecole_asc'=>'nom_ecole ASC, nom_stagiaire ASC',
		'ecole_desc'=>'nom_ecole DESC,nom_stagiaire ASC',
		'niveau_asc'=>'niveau ASC, nom_stagiaire ASC',
		'niveau_desc'=>'niveau DESC, nom_stagiaire ASC',
		'absent_asc'=>'absent ASC, nom_stagiaire ASC',
		'absent_desc'=>'absent DESC, nom_stagiaire ASC',
		'quotite_desc'=>'quotite DESC, nom_stagiaire ASC',
		'quotite_asc'=>'quotite ASC, nom_stagiaire ASC',
		'quota_desc'=>'quota_reel DESC, nom_stagiaire ASC',
		'quota_asc'=>'quota_reel ASC, nom_stagiaire ASC',
		'groupe_asc'=>'groupe ASC, nom_stagiaire ASC',
		'groupe_desc'=>'groupe DESC, nom_stagiaire ASC'
		
	);
	if (isset($_SESSION['circonscript7_filtre_special_where'])) $filtre_special_where=$_SESSION['circonscript7_filtre_special_where'];
	else $filtre_special_where='';
	if (isset($_SESSION['circonscript7_filtre_special_actif'])) $filtre_special_actif=$_SESSION['circonscript7_filtre_special_actif'];
	else $filtre_special_actif=0;
	if ($filtre_special_actif==1) {
		$adm_groupes_stagiaires_filtre_special=1;
		$_SESSION['circonscript7_adm_groupes_stagiaires_filtre_special']=$adm_groupes_stagiaires_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	else if ($filtre_special_actif==2) { // supprimer filtre
		$adm_groupes_stagiaires_filtre_special=0;
		$_SESSION['circonscript7_adm_groupes_stagiaires_filtre_special']=$adm_groupes_stagiaires_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	
	if (isset($_SESSION['circonscript7_adm_groupes_stagiaires_filtre_special'])) $adm_groupes_stagiaires_filtre_special=$_SESSION['circonscript7_adm_groupes_stagiaires_filtre_special'];
	else $adm_groupes_stagiaires_filtre_special=0;

	if (isset($_POST['page'])) { // test sur page pour savoir si on a fait un POST
		$f1=isset($_POST['filtre_spe1'])?1:0;
		$f2=isset($_POST['filtre_spe2'])?1:0;
		if ($f1==$f2) {
			if ($adm_groupes_stagiaires_filtre_special!=$f1) {
				$adm_groupes_stagiaires_filtre_special=$f1;
				$_SESSION['circonscript7_adm_groupes_stagiaires_filtre_special']=$adm_groupes_stagiaires_filtre_special;
			}
		}
		else {
			$adm_groupes_stagiaires_filtre_special=!$adm_groupes_stagiaires_filtre_special;
			$_SESSION['circonscript7_adm_groupes_stagiaires_filtre_special']=$adm_groupes_stagiaires_filtre_special;
		}
   }

	
	if (isset($_GET['tri'])) {
		$tri_adm_groupes_stagiaires=$tris[$_GET['tri']];
		if (!isset($tri_adm_groupes_stagiaires)) $tri_adm_groupes_stagiaires=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_groupes_stagiaires']=$tri_adm_groupes_stagiaires;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_groupes_stagiaires'])) {
		$tri_adm_groupes_stagiaires=$_SESSION['circonscript7_tri_adm_groupes_stagiaires'];
	}
	else {
		$tri_adm_groupes_stagiaires=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_groupes_stagiaires']=$tri_adm_groupes_stagiaires;
	}		
	if (isset($_SESSION['circonscript7_filtre_adm_groupes_stagiaires'])) 
		$filtre_adm_groupes_stagiaires=$_SESSION['circonscript7_filtre_adm_groupes_stagiaires'];
		else $filtre_adm_groupes_stagiaires='';

	if (isset($_POST['chercher'])) {
		if (isset($_POST['filtre1'])) {
			$filtre1=normalise($_POST['filtre1']);
		}
		else $filtre1='';
		if (isset($_POST['filtre2'])) {
			$filtre2=normalise($_POST['filtre2']);
		}
		else $filtre2='';
		if( $filtre1!=$filtre_adm_groupes_stagiaires) $filtre_adm_groupes_stagiaires=$filtre1;
		else $filtre_adm_groupes_stagiaires=$filtre2;
		$_SESSION['circonscript7_filtre_adm_groupes_stagiaires']=$filtre_adm_groupes_stagiaires; 
   	}	
	$taille=30;

	// Nombre de pages
	$q="SELECT COUNT(*) FROM stagiaires, ecoles WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo";
	if ($filtre_adm_groupes_stagiaires) {
		$filtre2=myLikeEscapeString($h,normaliseNom($filtre_adm_groupes_stagiaires));
		$q.= " AND (stagiaires.nom_f LIKE '%$filtre2%' OR stagiaires.prenom_f LIKE '%$filtre2%' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '%$filtre2%')";
	}
	$nb_elements=queryValue($q,$h);		//nombre maximal de stagiaires admissibles
   	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	// Nombre de pages

	$page=0;
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   		if (--$page<0) $page=0;
   }
   if (isset($_POST['cbGroupe'])) {
   		$id_groupe=abs(intval($_POST['cbGroupe']));
		$_SESSION['circonscript7_adm_groupes_stagiaires_id_groupe']=$id_groupe;
	}
   if (isset($_POST['enregistre']) ) while(1) {  
   		if ($id_groupe>0) {
			$nb=queryValue("SELECT COUNT(*)  FROM groupes WHERE id_groupe=$id_groupe AND id_circo=$id_circo AND annee=0",$h);
			if ($nb==0) {
				$erreur="Groupe incorrect.";
				break;
			}
		}
		if (isset($_POST['affecter'])) foreach($_POST['affecter'] as $id_stagiaire) {
		// vrifie id_stagiaire
			$id_stagiaire=intval($id_stagiaire);
			$nb=queryValue("SELECT COUNT(*) FROM stagiaires, ecoles WHERE id_stagiaire=$id_stagiaire AND stagiaires.id_ecole= ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
			if (!$nb) continue;
			query("UPDATE stagiaires SET id_groupe=$id_groupe WHERE id_stagiaire=$id_stagiaire",$h);
		}	
		break;
	}
   else if (isset($_POST['actualise'])) {
		$filtre_adm_groupes_stagiaires='';
		$_SESSION['circonscript7_filtre_adm_groupes_stagiaires']=$filtre_adm_groupes_stagiaires;
   }
	if ($erreur) $erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
	


function affichepages()
{
	global $nb_pages, $page;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_groupes_stagiaires.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}	
function requete($h)
{
	global $id_circo,$page,$taille,$tri_adm_groupes_stagiaires, $adm_groupes_stagiaires_id_date,$filtre_adm_groupes_stagiaires,$filtre_special_where,$adm_groupes_stagiaires_filtre_special;
	$lim=$page*$taille;   
	$filtre2='';
	if ($filtre_adm_groupes_stagiaires) $filtre2='%'.myLikeEscapeString($h,normaliseNom($filtre_adm_groupes_stagiaires)).'%';
	$q="SELECT stagiaires.id_stagiaire, concat( stagiaires.nom, ' ', stagiaires.prenom ) AS nom_stagiaire, ecoles.nom AS nom_ecole, stagiaires.niveau, quotite, quota_reel, groupes.libelle as groupe, stagiaires.id_groupe
		FROM stagiaires
		INNER JOIN ecoles ON stagiaires.id_ecole = ecoles.id_ecole AND ecoles.id_circo =$id_circo
		LEFT JOIN groupes ON groupes.id_groupe=stagiaires.id_groupe";
		$q1='';
		$q2='';
		if ($filtre2) 
			$q1="stagiaires.nom_f LIKE '$filtre2' OR stagiaires.prenom_f LIKE '$filtre2' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '$filtre2'";
		if ($adm_groupes_stagiaires_filtre_special && $filtre_special_where) 
			$q2="$filtre_special_where";
		if ($q1 && $q2) $q.=" WHERE ($q1) AND ($q2)";
		else if ($q1) $q.=" WHERE ($q1)";
		else if ($q2) $q.=" WHERE ($q2)";
		$q.=" GROUP BY stagiaires.id_stagiaire
			 ORDER BY $tri_adm_groupes_stagiaires
			LIMIT $lim , $taille";
	return $q;
}
	 
function afficheListeStagiaires($h)
{
	global $id_groupe;
	$impair=0;
	$r=query(requete($h),$h);
	
	if (($nb_stagiaires=@mysqli_num_rows($r))==0) {
		return;
	}
	
	while ($row=@mysqli_fetch_array($r)) {
		$id_stagiaire=$row['id_stagiaire'];
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		//print("<td>&nbsp;</td>\n");
			printf("<td>%s</td>\n",htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities(substr($row['niveau'],1,strlen($row['niveau'])-2),ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		$groupe=$row['groupe'];
		if (strlen($groupe)>=32) $groupe=substr($groupe,0,29).'...';
		printf("<td>%s</td>\n",htmlentities($groupe,ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%.2f</td>\n",$row['quotite']);
		printf("<td>%s&nbsp;</td>\n",reelEnHeure($row['quota_reel']));
		print "<td class=\"centre\">";
		printf ("<input type=\"checkbox\" name=\"affecter[]\" value='$id_stagiaire' %s/>", $row['id_groupe']==$id_groupe?'checked="checked"':'');
		//print "<input type=\"hidden\" name=\"affectation[$id_convoc]\" value='$id_stagiaire'/>";
		print "</td>\n";
		print "</tr>\n";
	}

}

function afficherGroupes($h)
{
	global $id_circo,$id_groupe;
	$q="SELECT id_groupe,libelle FROM groupes WHERE id_circo=$id_circo AND annee=0 ORDER BY libelle ASC";
	$r=query($q,$h);
	if (@mysqli_num_rows($r)==0) {
		print "<option value=\"0\">Aucun groupe n'est d&eacute;fini</option>\n";
		return;
	}
	print "<option value=\"0\">Aucun</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$id_groupe_courant=$row[0];
		$gr=$row[1];
		if (strlen($gr)>=64) $gr=substr($gr,0,61).'...';
		$groupe=htmlentities($gr,ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_groupe_courant\"";
		if (isset($id_groupe) && $id_groupe_courant==$id_groupe) print " selected=\"selected\"";
		print ">$groupe</option>\n";
	}
}
		
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
    	<script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form

  laListe = leForm["affecter[]"]

  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}

//-->
        </script>
	</head>
	<body>
	
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_groupes_stagiaires?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
		    <h1>Affecter des stagiaires &agrave; des groupes </h1>
		    <p>S&eacute;lectionnez le groupe, cochez les stagiaires qui doivent y &ecirc;tre affect&eacute;s, cliquez sur le bouton rouge, changez de page, recommencez. Pour &ocirc;ter une affectation, choisissez &quot;aucun&quot; groupe et affectez les stagiaires. </p>
		    <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 

			    <form name="form1" method="post" action="">
			      <p>Choix du groupe 
			        <select name="cbGroupe" onchange="javascript:submit()">
                      <?php afficherGroupes($h)?>
                    </select>
                  </p>


		          <input type="hidden" name="page" value="<?php print htmlentities($page,ENT_COMPAT,'ISO-8859-15')?>" />
		          <table align="center">
                    <tr align="center" valign="top">
                      <td><input name="filtre_spe1" type="checkbox" value="checkbox"  <?php if ($adm_groupes_stagiaires_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                        <a href="javascript:popUp('adm_filtre_simple_popup.php?url_ret=adm_groupes_stagiaires.php','console',600,500);">Utiliser filtre</a> </td>
                      <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                          <input name="filtre1" type="text"  value="<?php print htmlentities($filtre_adm_groupes_stagiaires,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                      <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                      <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                      <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />
                      </td>
                      <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />
                      </td>
                      <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />
                      </td>
                      <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />
                      </td>
                      <td><select name="menu_page" onchange="sauteMenu(this)">
                          <?php affichepages()?>
                        </select>
                      </td>
                      <td><input name="enregistre" type="submit" class="bouton_enregistre" value="enregistre" /></td>
                      <td><p><b>
                          <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                      </b></p></td>
                    </tr>
                  </table>
		          <table>
                    <tr class="table_entete">
                      <td>Nom stagiaire&nbsp; <a href="adm_groupes_stagiaires.php?tri=nom_asc"><img src="images/fleche_haut.png" alt="tri par nom ascendant" width="11" height="11" border="0" /></a><a href="adm_groupes_stagiaires.php?tri=nom_desc"><img src="images/fleche_bas.png" alt="tri par nom descendant" width="11" height="11" border="0" /></a></td>
                      <td>Niveau<br/>
                        <a href="adm_groupes_stagiaires.php?tri=niveau_asc"><img src="images/fleche_haut.png" alt="tri par niveau ascendant" width="11" height="11" border="0" /></a><a href="adm_groupes_stagiaires.php?tri=niveau_desc"><img src="images/fleche_bas.png" alt="tri par niveau descendant" width="11" height="11" border="0" /></a></td>
                      <td>Ecole&nbsp;<a href="adm_groupes_stagiaires.php?tri=ecole_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_groupes_stagiaires.php?tri=ecole_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a></td>
                    <td>Groupe<a href="adm_groupes_stagiaires.php?tri=groupe_asc"><br />
                    <img src="images/fleche_haut.png" alt="tri par groupe ascendant" width="11" height="11" border="0" /></a><a href="adm_groupes_stagiaires.php?tri=groupe_desc"><img src="images/fleche_bas.png" alt="tri par groupe  descendante" width="11" height="11" border="0" /></a></td>
                      <td align="center">Quotit&eacute;<br/>
                          <a href="adm_groupes_stagiaires.php?tri=quotite_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_groupes_stagiaires.php?tri=quotite_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a>&nbsp;</td>
                      <td align="center">Quota<a href="adm_groupes_stagiaires.php?tri=quota_asc"><br />
                          <img src="images/fleche_haut.png" alt="tri par quota ascendant" width="11" height="11" border="0" /></a><a href="adm_groupes_stagiaires.php?tri=quota_desc"><img src="images/fleche_bas.png" alt="tri par quota descendant" width="11" height="11" border="0" /></a></td>
                      <td>Affecter&nbsp;
                        <input name="checkbox" type="checkbox" onclick="cocheTout(this)"/></td>
                    </tr>

                    <?php  afficheListeStagiaires($h) ?>
                  </table>
		          <table align="center">
                    <tr align="center" valign="top">
                      <td><input name="filtre_spe2" type="checkbox" value="checkbox"  <?php if ($adm_groupes_stagiaires_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                        <a href="javascript:popUp('adm_filtre_simple_popup.php?url_ret=adm_groupes_stagiaires.php','console',600,500);">Utiliser filtre</a> </td>
                      <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                          <input name="filtre2" type="text" value="<?php print htmlentities($filtre_adm_groupes_stagiaires,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                      <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                      <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                      <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />
                      </td>
                      <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />
                      </td>
                      <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />
                      </td>
                      <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />
                      </td>
                      <td><select name="menu_page" onchange="sauteMenu(this)">
                          <?php affichepages()?>
                        </select>
                      </td>
                      <td><input name="enregistre" type="submit" class="bouton_enregistre" value="enregistre" /></td>
                      <td><p><b>
                          <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                      </b></p></td>
                    </tr>
                  </table>
            </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_groupes_stagiaires?>">retour</a></li>
		  			<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
