<?php
/* 
	Importation de toutes les coles pour admin
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_importe_toutes_ecoles=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_importe_toutes_ecoles']=$url_ret_adm_importe_toutes_ecoles;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_importe_toutes_ecoles'])) {
		$url_ret_adm_importe_toutes_ecoles=$_SESSION['circonscript7_url_ret_adm_importe_toutes_ecoles'];
	}
	else $url_ret_adm_importe_toutes_ecoles="administration.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions_stagiaire.inc.php';
	require '_fonctions.inc.php';
	@set_time_limit(0); // pas de limitation pour le calcul, qui peut tre long...
	
	$h=connect();
	debugInit();
	$fait=0;
	$nb_ecoles_inserees=0;
	$nb_ecoles_remplacees=0;

	while ( isset($_POST['upload']) ) // si formulaire soumis
	{
		$tmp_file = $_FILES['fichier']['tmp_name'];
		if( !is_uploaded_file($tmp_file) )
		{
			$erreur="Le fichier est introuvable";
			break;
		}
		$formater=false;
		$remplacer=false;
		if (isset($_POST['chk_formater'])) $formater=true;
		if (isset($_POST['chk_remplacer'])) $remplacer=true;
		$fp=fopen($tmp_file,"r");
		if ($fp==NULL) {
			$erreur="Impossible d'ouvrir le fichier";
			break;
		}
		// recherche les champs
		$ligne1=fgetcsv($fp,2000,";");
		$email=-1;
		$numrne=-1;
		$sig=-1;
		$denom=-1;
		$commu_ec=-1;
		$codcirco=-1;
		$suffixe_courriel=suffixeDefaut($h);
		if ($suffixe_courriel=='') {
			$erreur="suffixe courriel non dfini; allez dans le menu Administration, dfinir les suffixes.";
			break;
		
		}
		for($i=0;$i<count($ligne1);++$i) {
			$v=trim(strtolower($ligne1[$i]));
			if (strcmp($v,'numrne')==0) $numrne=$i;
			else if (strcmp($v,'email')==0) $email=$i;			
			else if (strcmp($v,'circo')==0) $circo=$i;
			else if (strcmp($v,'codcirco')==0) $codcirco=$i;
			else if (strcmp($v,'sig')==0) $sig=$i;
			else if (strcmp($v,'ecole')==0) $denom=$i;		
			else if (strcmp($v,'commu_ec')==0) $commu_ec=$i;		
		}
		if ($numrne<0) $erreur.="Champ RNE absent. ";
		if ($denom<0) $erreur.="Champ DENOM absent. ";
		if ($codcirco<0) $erreur.="Champ CODCIRCO absent. ";
		while (!$erreur && $ligne=fgetcsv($fp,2000,";")) {
			if ($codcirco>=0) {
				$rne_circo=myEscapeString($h,trim($ligne[$codcirco]));
				if ($rne_circo=='') continue;
				$id_circo=queryValue("SELECT id_circo FROM circos WHERE rne='$rne_circo'",$h);
				if (!$id_circo) continue;
			}	
			$rne=trim($ligne[$numrne]);
			if (!$rne) continue;
			if ($sig>=0)
				$sigle=trim($ligne[$sig]);
			else
				$sigle='';
			$nom_ec=trim($ligne[$denom]);
			if ($commu_ec>=0  ) {
				$nom_ec.=' ';
				$nom_ec.=trim($ligne[$commu_ec]);
			}
			if ($formater) $nom_ec=majusculeChiffresRomains(majuscule($nom_ec));
			if ($sigle) $nom_ec="$sigle $nom_ec";
			if ($nom_ec=='') continue;
			if ($email>=0)
				$courriel_ec=trim($ligne[$email]);
			else 
				$courriel_ec="ce.$rne@$suffixe_courriel";
			$nom_ec=myEscapeString($h,$nom_ec);
			$rne=myEscapeString($h,$rne);
			$courriel_stag=myEscapeString($h,strtolower($courriel_stag));
	
			$id_ecole=queryValue("SELECT id_ecole FROM ecoles WHERE id_circo=$id_circo AND rne LIKE '$rne'",$h);
			if ($id_ecole=='') {
				query("INSERT INTO ecoles(nom,id_circo,rne,courriel) VALUES('$nom_ec','$id_circo','$rne','$courriel_ec')",$h);
				$id_ecole=@mysqli_insert_id($h);
				if ($erreur) break;
				++$nb_ecoles_inserees;
			}
			else if ($remplacer) {
				query("UPDATE ecoles SET nom='$nom_ec', courriel='$courriel_ec' WHERE id_circo=$id_circo AND rne='$rne'",$h);
				if ($erreur) break;
				++$nb_ecoles_remplacees;
			}
						
		}
		fclose($fp);
		$fait=1;
		break;
	}
	if ($fait && !$erreur) {
		$erreur="$nb_ecoles_inserees coles insres, $nb_ecoles_remplacees coles remplaces";
		
	}	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" /></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_importe_toutes_ecoles?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
			
<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>				
	<h1>Importation des &eacute;coles sur toutes les circos programm&eacute;es </h1>
	<p>Les &eacute;coles sont pr&eacute;sentes dans un fichier CSV.  L'ordre des champs n'a pas d'importance. La casse (majuscules ou minuscules) dans le nom des champs n'a pas d'importance. Les champs sont s&eacute;par&eacute;s par des points-virgule. </p>
	<p>Renommez les champs de votre CSV s'ils ne correspondent pas &agrave; la syntaxe demand&eacute;e. Les autres champs seront ignor&eacute;s. </p>
	<h3>Les champs requis (en vert, les champs obligatoires) </h3>
	<table border="1" cellpadding="1" cellspacing="2">
      <tr>
        <td bgcolor="#33CC33">NUMRNE</td>
        <td><p>Num&eacute;ro RNE de l'&eacute;cole </p></td>
        <td><p>Doit &ecirc;tre renseign&eacute;. </p></td>
      </tr>
      <tr>
        <td>SIG</td>
        <td><p>Sigle (E.E.PU, E.M.PU, etc)</p></td>
        <td rowspan="3"><p>Les trois champs seront associ&eacute;s pour la d&eacute;nomination de l'&eacute;cole: </p>
            <p>SIG ECOLE COMMU_EC </p></td>
      </tr>
      <tr>
        <td bgcolor="#33CC33">ECOLE</td>
        <td><p>Nom de l'&eacute;cole </p></td>
      </tr>
      <tr>
        <td>COMMU_EC</td>
        <td><p>Commune de l'&eacute;cole </p></td>
      </tr>
      <tr>
        <td bgcolor="#33CC33">CODCIRCO</td>
        <td><p>RNE de la circo</p></td>
        <td>&nbsp;</td>
      </tr>
      
      <tr>
        <td>EMAIL</td>
        <td><p>Courriel de l'&eacute;cole. Si EMAIL est absent, ou si l'&eacute;cole n'a pas de courriel, un EMAIL acad&eacute;mique sera automatiquement calcul&eacute; &agrave; partir du RNE. V&eacute;rifiez que le champ <em>Suffixe par d&eacute;faut du courriel acad&eacute;mique </em>soit coch&eacute; en <a href="adm_circo.php?url_ret=adm_ecoles_importe.php">Configuration, la Circo</a>.</p></td>
        <td>&nbsp;</td>
      </tr>
    </table>
	<h2>NOTES IMPORTANTES: </h2>
	<ul><li>Les lignes incompl&egrave;tes du CSV seront ignor&eacute;es </li>
	  </ul>
	<form name="form1" method="post"  enctype="multipart/form-data" action="">
	  <h3>Option suppl&eacute;mentaire </h3>
	  <p>&nbsp;</p>
	  <p>
<input name="chk_formater" type="checkbox" id="chk_formater" value="1" checked="checked" /> 
Formater le nom de l'&eacute;cole (E.E.PU JEAN JAURES STRASBOURG devient &quot;E.E.PU. Jean Jaures Strasbourg&quot; - attention, le logiciel n'ajoute pas les accents!) </p>
	  <p>
	    <input name="chk_remplacer" type="checkbox" id="chk_remplacer" value="1" />
	    Remplacer les &eacute;coles existantes par celles provenant du fichier 
	  </p>
	  <h3>Chemin du fichier</h3>
	  <p>Indiquez ici le chemin du fichier csv ou cliquez sur Parcourir pour le charger.</p>
	  <p>Cliquez sur Valider pour lancer la proc&eacute;dure. </p>
	  <p>
	    <input name="fichier" type="file" class="bouton_standard" size="30" />
	    <input name="upload" type="submit" class="bouton_standard" value="Valider" />
</p>
	</form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_importe_toutes_ecoles?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>