<?php
/*	
	Edition des paramtres intervenants 
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	
	
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_intervenant_tout_edite=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_intervenant_tout_edite']=$url_ret_adm_intervenant_tout_edite;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_intervenant_tout_edite'])) {
		$url_ret_adm_intervenant_tout_edite=$_SESSION['circonscript7_url_ret_adm_intervenant_tout_edite'];
	}
	else $url_ret_adm_intervenant_tout_edite="adm_animations.php";
	
	$erreur='';
	$remarque='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	require '_fonctions_intervenants.inc.php';
	require '_fonctions_mdp.inc.php';
	
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$h=connect();
	//debugInit();
	debug('-------------------------');
	if (isset($_GET['id_intervenant'])) $id_intervenant=abs(intval($_GET['id_intervenant']));
	else if (isset($_SESSION['adm_intervenant_tout_edite_id_intervenant'])) $id_intervenant=$_SESSION['adm_intervenant_tout_edite_id_intervenant'];
	else $id_intervenant=0;
	$_SESSION['adm_intervenant_tout_edite_id_intervenant']=$id_intervenant;
	// si id_intervenant==0, alors mode "ajout".
	$r=query("SELECT civilite, nom, prenom, courriel, fonction, ouvert, login,sso_login, mdp, codage, intervenants.id_uti, ical_session FROM (intervenants,utilisateurs) WHERE intervenants.id_intervenant=$id_intervenant AND utilisateurs.id_uti=intervenants.id_uti",$h);
	if (!$id_intervenant || @mysqli_num_rows($r)==0) {
		$id_intervenant=0;
		$nom=$prenom=$courriel=$mdp=$fonction='';
		$civ=2;
		$ouvert=0;
		$codage=0;
		$mdp_int='';
		$login='';
		$id_uti=0;
		$ssoLogin='';
		$ical_session='';
	}
	else {
		$row=@mysqli_fetch_array($r);
		$civ=$row['civilite'];
		$nom=$row['nom'];
		$prenom=$row['prenom'];
		$courriel=$row['courriel'];
		$fonction=$row['fonction'];
		$mdp=$row['mdp'];
		$ouvert=$row['ouvert'];
		$codage=$row['codage'];
		if ($codage!=0 && strlen($mdp)!=0) $mdp_int='#';
		else $mdp_int=$mdp;
		$login=htmlentities($row['login'],ENT_COMPAT,'ISO-8859-15');
		$ssoLogin=htmlentities($row['sso_login'],ENT_COMPAT,'ISO-8859-15');
		$id_uti=$row['id_uti'];
		if (isset($row['ical_session']))$ical_session=$row['ical_session'];
		else $ical_session='';
	}
	if (isset($_POST['Commande']) && $_POST['Commande']=='expedier') while(1){
		if ($id_intervenant && $ouvert) {		
			publipostage($id_uti,$h,$courriel);
			if (!$erreur) {
				$remarque="Courriel expdi.";
			}
		}
		break;
	}
	else if (isset($_POST['Commande']) && $_POST['Commande']=='supprimer') while(1){
		if ($id_intervenant) {		
			query("DELETE from interventions WHERE id_intervenant=$id_intervenant",$h);
			query("DELETE from intervenants WHERE id_intervenant=$id_intervenant",$h);
			$id_intervenant=0;
			if (!$erreur) {
				header("Location: adm_intervenant_tout_edite.php?id_intervenant=0");
				exit;
			}
		}
		break;
	}
	else if (isset($_POST['enregistrer']) )  while(1) {
		if (!isset($_POST['selCiv'])) $civ=0;
		else $civ=intval($_POST['selCiv']);
		if ($civ<0) $civ=0;
		else if ($civ>2) $civ=2;
		if (!isset($_POST['edNom'])) $nom='';
		else $nom=$_POST['edNom'];
		if ($nom=='') $erreur.="Nom absent. ";
		if (!$erreur && !nomValide($nom)) $erreur.="Nom incorrect. Les caractres spciaux sont interdits. ";
		if ($civ<2) $nom=majuscule(normaliseT($nom,25));
		else $nom=normaliseT($nom,25);
		$nom_f=normaliseNom($nom);
		if (isset($_POST['edPrenom'])) {
			$prenom=$_POST['edPrenom'];
			if ($prenom!='' && !$erreur && !nomValide($prenom)) 
				$erreur.="Prnom incorrect. Les caractres spciaux sont interdits. ";
		}
		else $prenom='';
		if ($civ<2) $prenom=majuscule(normaliseT($prenom,25));
		else $prenom=normaliseT($prenom,25);
		$prenom_f=normaliseNom($prenom);
		if (isset($_POST['edCourriel']) && $_POST['edCourriel']!='') {
			$courriel=strtolower(normaliseT($_POST['edCourriel'],255));
			if (!testeEmail($courriel)) 
				$erreur.="Courriel incorrect. ";
		}
		else $courriel='';
		if (isset($_POST['edFonction']) && $_POST['edFonction']!='') 
			$fonction=normaliseT($_POST['edFonction'],20);
		else $fonction='';
		if (isset($_POST['edMdp'])) {
			$mdp_int=normaliseT($_POST['edMdp'],16);
			if ($mdp_int!='#') {
				if ($mdp_int!='' && !motDePasse($mdp_int)) $erreur.="Mot de passe incorrect. ";
				else $mdp=$mdp_int;
				$codage=0;
			}
		}
		else {
			$mdp='';		
			$mdp_int='';
		}
		if (!isset($_POST['selOuvert'])) $ouvert=0;
		else $ouvert=intval($_POST['selOuvert']);
		if ($ouvert<0) $ouvert=0;
		else if ($ouvert>1) $ouvert=1;
		if ($ouvert && (strlen($mdp)==0||$courriel=='')) 
			$erreur.="Impossible d'ouvrir ce compte tant qu'il n'y a pas de mot de passe ou de courriel dfini. ";
		if ($erreur) break;
		$ical=isset($_POST['edIcal'])?myEscapeString($h,normaliseT($_POST['edIcal'],32)):'';
		if ($ical && strlen($ical)!=32) $ical='';
		// Enregistrement des paramtres. 
		//Vrification de l'unicit du courriel
		if ($courriel) {
			if ($id_intervenant>0)
				$nb=queryValue("SELECT COUNT(*) FROM intervenants WHERE courriel LIKE '$courriel' AND id_intervenant<>$id_intervenant",$h);
			else
				$nb=queryValue("SELECT COUNT(*) FROM intervenants WHERE courriel LIKE '$courriel'",$h);
				
			if ($nb>0) {
				$erreur="Il existe dj un compte intervenant avec cette adresse de courriel. Enregistrement annul.";
				break;
			}
		}
		// Compte utilisateur
		$id_uti=attribuerCompte($id_uti,$courriel,$mdp,$remarque,$h,$codage);
		if (!$id_uti) {
			$erreur.=" Impossible d'attribuer un compte utilisateur.";
			break;
		} 
		$login=queryValue("SELECT login FROM utilisateurs WHERE id_uti=$id_uti",$h);
		if ($id_intervenant>0) {
			$q=sprintf("UPDATE intervenants SET civilite=%d,nom='%s',prenom='%s',nom_f='%s',prenom_f='%s',fonction='%s',courriel='%s',id_circo=0, ouvert=$ouvert, id_uti=$id_uti, ical_session=%s WHERE id_intervenant=$id_intervenant",
				$civ,
				myEscapeString($h,$nom),
				myEscapeString($h,$prenom),
				myEscapeString($h,$nom_f),
				myEscapeString($h,$prenom_f),
				myEscapeString($h,$fonction),
				$courriel,
				$ical ? "'$ical'":"NULL"
			);
			query($q,$h);
			$r=query("SELECT mdp, codage FROM utilisateurs WHERE id_uti=$id_uti",$h);
			$row=@mysqli_fetch_row($r);
			$mdp=$row[0];
			$codage=$row[1];
			$mdp_int=$mdp;
			if ($codage!=0 && strlen($mdp)!=0) $mdp_int='#'; 
			if (isset($_POST['genere_ical'])) {
				updateIntervenantICAL($h,$id_intervenant,true);
			}
			if (!$erreur) {
				header("Location: adm_intervenant_tout_edite.php?id_intervenant=$id_intervenant&amp;url_ret=$url_ret_adm_intervenant_tout_edite");
				exit;
			}
			
		}
		else {
			$q=sprintf("INSERT INTO intervenants(civilite,nom,prenom,nom_f,prenom_f,fonction,courriel,id_circo,ouvert,id_uti) VALUES(%d,'%s','%s','%s','%s','%s','%s',%d,%d,%d)",
				$civ,
				myEscapeString($h,$nom),
				myEscapeString($h,$prenom),
				myEscapeString($h,$nom_f),
				myEscapeString($h,$prenom_f),
				myEscapeString($h,$fonction),
				$courriel,
				0,
				$ouvert,
				$id_uti
			);
			query($q,$h);
			$id_intervenant=@mysqli_insert_id($h);
			$r=query("SELECT mdp, codage FROM utilisateurs WHERE id_uti=$id_uti",$h);
			$row=@mysqli_fetch_row($r);
			$mdp=$row[0];
			$codage=$row[1];
			$mdp_int=$mdp;
			if ($codage!=0 && strlen($mdp)!=0) $mdp_int='#'; 
			if (isset($_POST['genere_ical'])) updateIntervenantICAL($h,$id_intervenant,true);
			if (!$erreur) {
				header("Location: adm_intervenant_tout_edite.php?id_intervenant=$id_intervenant&amp;url_ret=$url_ret_adm_intervenant_tout_edite");
				exit;
			}
		}
		break;
	}
function afficheFonctions($h)
{
	$q="SELECT fonction FROM intervenants GROUP BY fonction";
	$r=query($q,$h);
	while ($row=@mysqli_fetch_row($r)) {
		$fonction=htmlentities($row[0],ENT_COMPAT,'ISO-8859-15');
		if ($fonction=='') $fonction='&nbsp;';
		print "<option value=\"$fonction\">$fonction</option>\n";
	
	}
}	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
		function jsFonction(value)
		{
			if (value!='*') document.form1.edFonction.value=value;
		}
		function expedier()
		{
			b=window.confirm("Voulez-vous vraiment expdier les paramtres de connexion de cet intervenant par un courriel automatique ?");
			if (b) {	
				document.form1.Commande.value='expedier';
				document.form1.submit();
			}
		}
		function jsSupprimer()
		{
			b=window.confirm("Voulez-vous vraiment supprimer ce compte intervenant et l'ter de tous les plans de formations dans lesquels il intervient ?");
			if (b) {	
				document.form1.Commande.value='supprimer';
				document.form1.submit();
			}
		}
		function effacer()
		{
			document.form1.edIcal.value='';
		}
			
	//-->	
	</script>
	<script type="text/javascript" src="genererMdp.js"></script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_intervenant_tout_edite?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="adm_intervenant_tout_edite.php?id_intervenant=0&amp;url_ret=<?php print $url_ret_adm_intervenant_tout_edite?>">ajout</a></li>
				</ul>
			</div>
			<div id="corps">	 
				<h1>
				   <?php print $id_intervenant==0?"Ajout":"Edition";?> d'un intervenant</h1>
				<?php if($id_intervenant>0) { ?>
				<p>ATTENTION, tout changement se r&eacute;percute imm&eacute;diatement sur les plans de formation o&ugrave; intervient cette personne. Lorsqu'un intervenant cr&eacute;&eacute; par une circo est modifi&eacute; par l'administrateur, il ne peut plus &ecirc;tre modifi&eacute; par la circo. </p>
				<?php }
				if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));
				if ($remarque) printf("<p class=\"erreur\">%s</p>\n", htmlentities($remarque,ENT_COMPAT,'ISO-8859-15'));
				?>
				<form id="form1" name="form1" method="post" action="">
                  <table border="0">
                    <tr class="table_entete">
                      <td><?php if ($id_intervenant) print '<input name="supprimer" type="button" class="bouton_supprimer" id="supprimer" value="supprimer" onclick="javascript:jsSupprimer()" />'; ?></td>
                      <td>&nbsp;</td>
                    </tr>
                    <tr>
                      <td><p>Civ. :* </p></td>
                      <td><p>
                        <select name="selCiv" id="selCiv">
                          <option value="0" <?php if($civ==0) print "selected=\"selected\""?> >M.</option>
                          <option value="1" <?php if($civ==1) print "selected=\"selected\""?>>Mme/Mlle</option>
                          <option value="2" <?php if($civ==2) print "selected=\"selected\""?>>&nbsp;</option>
                        </select>
                        <input name="Commande" type="hidden" id="Commande" />
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>Nom :* </p></td>
                      <td><p>
                        <input name="edNom" type="text" id="edNom" value="<?php print htmlentities($nom,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="25" />
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>Pr&eacute;nom : </p></td>
                      <td><p>
                        <input name="edPrenom" type="text" id="edPrenom" value="<?php print htmlentities($prenom,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="25" />
                      </p></td>
                    </tr>
                    <?php
						if ($courriel !="" && $mdp_int!="" && $ouvert==1) {
							print '<tr><td>&nbsp;</td><td><p><a href="javascript:expedier()">Lui exp&eacute;dier ses param&egrave;tres de connexion par un courriel automatique.</a></p></td></tr>';
							print "\n";
						
						}
					?>
                    <tr>
                      <td><p>Fonction : </p></td>
                      <td><p>
                        <select name="fonctions" id="fonctions" onclick="javascript:jsFonction(fonctions.value)">
                          <option value="*">Fonctions d&eacute;j&agrave; disponibles (choisissez)</option>
                          <?php afficheFonctions($h) ?>
                        </select>
                        <img src="images/b_import.png" alt="transf&eacute;rer" width="22" height="22" />
                        <input name="edFonction" type="text" id="edFonction" value="<?php print htmlentities($fonction,ENT_COMPAT,'ISO-8859-15')?>" size="20" maxlength="20" />
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>Courriel : </p></td>
                      <td><p>
                          <input name="edCourriel" type="text" id="edCourriel" value="<?php print htmlentities($courriel,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="250" />
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>Identifiant : </p>                      </td>
                      <td><?php 
					  	if ($login && $id_uti>0) print "<p>$login <a href=\"adm_utilisateur_edite.php?id_uti=$id_uti&amp;url_ret=adm_intervenant_tout_edite.php\" >[S'y rendre]</a></p>\n";
						else print "<p>&nbsp;</p>\n";
					  	if ($ssoLogin && $id_uti>0) print "<p>login sso: $ssoLogin <a href=\"adm_utilisateur_edite.php?id_uti=$id_uti&amp;url_ret=adm_intervenant_tout_edite.php\" >[S'y rendre]</a></p>\n";
						else print "<p>&nbsp;</p>\n";
					?>					</td>
                    </tr>
                    <tr>
                      <td><p>Mot de passe : </p></td>
                      <td><p>
                        <input name="edMdp" type="text" id="edMdp" value="<?php print htmlentities($mdp_int,ENT_COMPAT,'ISO-8859-15')?>" size="17" maxlength="16" />
                        <input name="genere" type="button" class="bouton_standard" id="genere" value="R&eacute;initialiser" onclick="javascript:generer('edMdp')" />
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>ICAL : </p>
                      </td>
                      <td> 
					  <?php if ($ical_session!='') :?>
                      abonnement : <input name="edIcal" class="courrier" type="text" id="edIcal" value="<?php print $ical_session ?>" size="34" readonly="readonly" />
                        <input name="supprime_ical" type="button" class="bouton_standard" id="supprime_ical" value="Effacer" onclick="javascript:effacer()" />
						<?php else : ?>  
                        <input name="genere_ical" type="checkbox"  id="genere_ical" value="Gnrer" />Gnre une session ical lors de l'enregistrement.
					  <?php endif ?>
					  </td>
                    </tr>
                    <tr>
                      <td><p>Ouvert : </p></td>
                      <td><p>
                        <select name="selOuvert" id="selOuvert">
                          <option value="0" <?php if($ouvert==0) print "selected=\"selected\""?> >ferm&eacute;</option>
                          <option value="1" <?php if($ouvert==1) print "selected=\"selected\""?> >ouvert</option>
                        </select>
                      </p></td>
                    </tr>
      </table>
                  <p align="center">
                    <input name="enregistrer" type="submit" class="bouton_standard" id="enregistrer" value="Enregistrer puis &eacute;diter" />
                    <br />
                  </p>
			</form>				
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_intervenant_tout_edite?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="adm_intervenant_tout_edite.php?id_intervenant=0&amp;url_ret=<?php print $url_ret_adm_intervenant_tout_edite?>">ajout</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
