<?php
/*	
	Fusion des intervenants
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_intervenants_fusionne=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_intervenants_fusionne']=$url_ret_adm_intervenants_fusionne;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_intervenants_fusionne'])) {
		$url_ret_adm_intervenants_fusionne=$_SESSION['circonscript7_url_ret_adm_intervenants_fusionne'];
	}
	else $url_ret_adm_intervenants_fusionne="adm_animations.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	require '_fonctions_mdp.inc.php';
	$h=connect();
	debugInit();
	$nom=$prenom=$courriel=$fonction=$mdp=$login=$ssoLogin=$ical='';
	$civ=2;
	$ouvert=0;
	$id_utilisateur=0;// utilisateur de rfrence
	$id_intervenant=0;//intervenant de rfrence
	if (isset($_SESSION['circonscript7_id_intervenants'])) $id_intervenants=$_SESSION['circonscript7_id_intervenants'];
	else $id_intervenants=array();
	
	if (isset($_POST['fusionner'])) while(1) {
		if (!isset($_POST['selCiv'])) $civ=0;
		else $civ=intval($_POST['selCiv']);
		if ($civ<0) $civ=0;
		else if ($civ>2) $civ=2;
		if (!isset($_POST['edNom'])) $nom='';
		else $nom=$_POST['edNom'];
		if ($nom=='') $erreur.="Nom absent. ";
		if (!$erreur && !nomValide($nom)) $erreur.="Nom incorrect. Les caractres spciaux sont interdits. ";
		$nom=majuscule(normaliseT($nom,25));
		$nom_f=normaliseNom($nom);
		if (isset($_POST['edPrenom'])) {
			$prenom=$_POST['edPrenom'];
			if ($prenom!='' && !$erreur && !nomValide($prenom)) 
				$erreur.="Prnom incorrect. Les caractres spciaux sont interdits. ";
		}
		else $prenom='';
		$prenom=majuscule(normaliseT($prenom,25));
		$prenom_f=normaliseNom($prenom);
		if (isset($_POST['edCourriel']) && $_POST['edCourriel']!='') {
			$courriel=normaliseT($_POST['edCourriel'],255);
			if (!testeEmail($courriel)) 
				$erreur.="Courriel incorrect. ";
		}
		else $courriel='';
		if (isset($_POST['edFonction']) && $_POST['edFonction']!='') 
			$fonction=normaliseT($_POST['edFonction'],255);
		else $fonction='';
		if (isset($_POST['edMdp']) && $_POST['edMdp']!='') {
			$mdp=normaliseT($_POST['edMdp'],255);
			if (substr($mdp,0,3)=='id=') {
				$id=intval(substr($mdp,3));
				if ($id==0) {
					$erreur.="Mot de passe: identificateur d'intervenant (id=...) incorrect. ";
				}	
				else if (!in_array($id,$id_intervenants)) {
					$erreur.="Mot de passe: l'intervenant $id n'est pas dans la liste. ";
				}
				else {
					$r=query("SELECT mdp,codage FROM intervenants,utilisateurs WHERE intervenants.id_intervenant=$id AND utilisateurs.id_uti=intervenants.id_uti",$h);
					if (!$r) 
						$erreur.="Problme d'accs au mot de passe de l'intervenant $id.";
					else {
						$row=@mysqli_fetch_row($r);
						$mdp=$row[0];
						$codage=$row[1];
					}
				}
			}
			else {
				$codage=0;
				if (!motDePasse($mdp) || strlen($mdp)>16) $erreur.="Mot de passe incorrect. ";
			}
		}
		$ical='';
		if (isset($_POST['edIcal']) && $_POST['edIcal']!='') {
			$ical=normaliseT($_POST['edIcal'],255);
			if (substr($ical,0,3)=='id=') {
				$id=intval(substr($ical,3));
				if (!in_array($id,$id_intervenants)) {
					$erreur.="ICAL: l'intervenant $id n'est pas dans la liste. ";
				}
				else {
					$r=query("SELECT ical_session FROM intervenants,utilisateurs WHERE intervenants.id_intervenant=$id AND utilisateurs.id_uti=intervenants.id_uti",$h);
					if (!$r) 
						$erreur.="Problme d'accs  la session ical de l'intervenant $id.";
					else {
						$row=@mysqli_fetch_row($r);
						$ical=isset($row[0])?$row[0]:'';
					}
				}
			}
			else $ical='';
		}
		if (!isset($_POST['selOuvert'])) $ouvert=0;
		else $ouvert=intval($_POST['selOuvert']);
		if ($ouvert<0) $ouvert=0;
		else if ($ouvert>1) $ouvert=1;
		$login='';
		if (isset($_POST['edLogin'])) $login=normaliseT($_POST['edLogin'],255);
		if (isset($_POST['edssoLogin'])) $ssoLogin=normaliseT($_POST['edssoLogin'],255);
		if (!testeEmail($login) && !nomValide($login)) $erreur="Login incorrect. ";
		if ($ssoLogin && !nomValide($ssoLogin)) $erreur.="Login SSO incorrect. ";		
		if ($ouvert && ($mdp==''||$courriel==''||$login=='')) 
			$erreur.="Impossible d'ouvrir ce compte tant qu'il n'y a pas de mot de passe, de login ou de courriel dfini. ";
		if ($login) {
			$q=sprintf("SELECT IFNULL(intervenants.id_intervenant,0) FROM utilisateurs LEFT JOIN intervenants ON intervenants.id_uti=utilisateurs.id_uti WHERE utilisateurs.login='%s'",myEscapeString($h,$login));
			$r=query($q,$h);
			while ($row=@mysqli_fetch_row($r)) 
				if ( !in_array($row[0],$id_intervenants)) {
					$erreur=sprintf("Le login '%s' est dj utilis. Fusion annule.",htmlentities($login,ENT_COMPAT,'ISO-8859-15'));
					break;
				}
		}
		if ($ssoLogin) {
			$q=sprintf("SELECT IFNULL(intervenants.id_intervenant,0) FROM utilisateurs LEFT JOIN intervenants ON intervenants.id_uti=utilisateurs.id_uti WHERE utilisateurs.sso_login='%s'",myEscapeString($h,$ssoLogin));
			$r=query($q,$h);
			while ($row=@mysqli_fetch_row($r)) {
				$id_intervenant=$row[0];
				if ( !in_array($id_intervenant,$id_intervenants)) {
					$erreur=sprintf("Le login SSO '%s' est dj utilis. Fusion annule.",htmlentities($ssoLogin,ENT_COMPAT,'ISO-8859-15'));
					break;
				}
			}
		}
		if ($erreur) break;
		// liminer tous les intervenants qui ne peuvent pas fusionner car ils participent ensemble aux mmes formations : il s'agit donc de deux personnes distinctes
		$aut=$id_intervenants;
		if (count($aut)>1) {
			for ($i=0;$i<count($aut);++$i) {
				$id1=$aut[$i];
				if ($id1==0) continue;
				$autoriser=true;
				for ($j=$i+1;$j<count($aut)&&$autoriser;++$j) {
					$id2=$aut[$j];
					if ($id2==0) continue;
					$n=queryValue("SELECT COUNT(i1.id_intervention) FROM interventions AS i1, interventions AS i2 WHERE i1.id_intervention<i2.id_intervention AND i1.id_intervenant=$id1 AND i2.id_intervenant=$id2 AND i1.id_date=i2.id_date",$h); 
					if ($n>0) {
						$aut[$j]=0;
						$autoriser=false;
					}
				}
				if(!$autoriser) $aut[$i]=0;
			}
		}
		//$aut[] contient la liste des id_intervenants qui peuvent fusionner. Les autres doivent tre ignors.
		// effectuer la fusion
		$autorisations=array();
		foreach($aut as $id) if ($id>0) $autorisations[]=$id;
		$etat_update=false;
		$etat_fusion=0;
		// si on a dfini un id_intervenant par le sso_login, vrifie qu'il est bien dans la liste.
		if($id_intervenant && !in_array($id_intervenant,$autorisations)) {
			$erreur.="Fusion annule: l'utilisateur SSO $ssoLogin ne participe pas  la fusion car il partage des formations.";
			break;
		}
		if (count($id_intervenants)==count($autorisations)) {
			if (count($autorisations)>1) {
				if (!$id_intervenant) $id_intervenant=$autorisations[0];// si l'intervenant n'est pas dj dfini via ssoLogin, alors prendre le premier de la liste.
				$id_utilisateur=queryValue("SELECT id_uti FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
				if ($erreur) break;
				$q=sprintf("UPDATE intervenants SET civilite=%d,nom='%s',prenom='%s',nom_f='%s',prenom_f='%s',fonction='%s',courriel='%s',id_circo=0,ouvert=$ouvert, ical_session=%s, ical_timestamp=NULL, ical_cache=NULL WHERE id_intervenant=$id_intervenant",
						$civ,
						myEscapeString($h,$nom),
						myEscapeString($h,$prenom),
						myEscapeString($h,$nom_f),
						myEscapeString($h,$prenom_f),
						myEscapeString($h,$fonction),
						$courriel,
						$ical?"'$ical'":'NULL'
					);
				query($q,$h);
				if ($erreur) break;
				// donne au nouvel utilisateur le login de l'ancien: il se peut que nous ayons maintenant deux utilisateurs avec le mme login (si l'admin a repris le login d'un compte utilisateur sans le modifier. On va supprimer ou modifier ces comptes par la suite). On ne touche pas au login SSO car on a slectionn l'utilisateur qui possde ce login (de plus il n'est pas possible de dupliquer des sso_login dans la base).
				$q=sprintf("UPDATE utilisateurs SET login='%s', mdp='%s',codage=$codage WHERE id_uti=$id_utilisateur",myEscapeString($h,$login),myEscapeString($h,$mdp));
				query($q,$h);
				$etat_update=true;
				// fusionne toutes les fiches sur tous les plans de formations
				foreach($autorisations as $id_intervenant_anc) {
					if ($id_intervenant_anc==$id_intervenant) continue;
					//remplacer id_intervenant_anc par id_intervenant partout 
					$q="UPDATE interventions SET id_intervenant=$id_intervenant WHERE id_intervenant=$id_intervenant_anc";
					query($q,$h);
					$q="SELECT id_uti FROM intervenants WHERE id_intervenant=$id_intervenant_anc";
					$id_uti_anc=queryValue($q,$h);
					query("UPDATE stagiaires SET id_uti=$id_utilisateur WHERE id_uti=$id_uti_anc",$h);
					query("UPDATE administrateurs SET id_uti=$id_utilisateur WHERE id_uti=$id_uti_anc",$h);
					query("UPDATE intervenants SET id_uti=$id_utilisateur WHERE id_uti=$id_uti_anc",$h);

					// supprimer id_intervenant_anc
					query("DELETE FROM intervenants WHERE id_intervenant=$id_intervenant_anc",$h);

					// Si l'utilisateur est orphelin (on refait une vrification), supprimer le compte. Sinon, supprimer ce login et mettre un gnrique unique
					
					if ($id_uti_anc!=$id_utilisateur) {
						if (orphelin($id_uti_anc,$h)) query("DELETE FROM utilisateurs WHERE id_uti=$id_uti_anc",$h);
						else  {
							$unLogin=loginGeneriqueUnique($id_uti_anc,$h);
							query("UPDATE utilisateurs SET login='$unLogin' WHERE id_uti=$id_uti_anc",$h);
						}
					}
					if ($_SESSION['circonscript7_id_uti']==$id_uti_anc) $_SESSION['circonscript7_id_uti']=$id_utilisateur; // si l'admin courant est supprim, modifie
					++$etat_fusion;
				}
				query("UPDATE intervenants SET ical_timestamp=NULL, ical_cache=NULL WHERE id_intervenant=$id_intervenant",$h);
				$autorisations=array(); // toutes les autorisations ont t traites
				
			}		
			// rsultat.
			if ($etat_update) {
				$n=$etat_fusion+1;
				$erreur.="$n fiches ont t fusionnes. ";
			} 
			else $erreur.="Aucune fusion n'a eu lieu. ";	
		}
		else { 
			
			if (count($autorisations)>1)
				$erreur.=" Tous les intervenants ne peuvent pas fusionner. La liste a t mise  jour avec ceux qui peuvent fusionner. Recommencez la procdure de fusion.";
			else if (count($autorisations)==1)
				$erreur.=" La fusion n'est pas possible: UN SEUL intervenant est disponible (voir liste). Les autres partagent des sances les uns avec les autres.";
			else
				$erreur.=" La fusion n'est pas possible: les intervenants partagent tous des sances avec les uns ou avec les autres.";
			
		}
		$id_intervenants=$autorisations;
		$_SESSION['circonscript7_id_intervenants']=$id_intervenants;
		break;
	}
	
function afficherListeintervenants($h,$id_intervenants)
{
	if (count($id_intervenants)==0) return;
	foreach($id_intervenants as $id_intervenant) {
		$r=query("SELECT civilite, nom, prenom, courriel, fonction, utilisateurs.mdp, id_circo,ouvert, utilisateurs.codage, utilisateurs.login, utilisateurs.sso_login, ical_session FROM intervenants,utilisateurs WHERE id_intervenant=$id_intervenant AND intervenants.id_uti=utilisateurs.id_uti",$h);
		while($row=@mysqli_fetch_row($r)) {
			print "<tr>\n";
			$civ='';
			if ($row[0]==0) $civ='M.';
			else if($row[0]==1) $civ='Mme';
			print "<td><p><input type=\"radio\" name=\"rbCiv\" value=\"$civ\" onclick=\"javascript:recopie(this)\" />$civ</p></td>\n";
			$nom=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
			print "<td><p><input type=\"radio\" name=\"rbNom\" value=\"$nom\" onclick=\"javascript:recopie(this)\"/>$nom</p></td>\n";
			$prenom=htmlentities($row[2],ENT_COMPAT,'ISO-8859-15');
			print "<td><p><input type=\"radio\" name=\"rbPrenom\" value=\"$prenom\" onclick=\"javascript:recopie(this)\"/>$prenom</p></td>\n";
			$courriel=htmlentities($row[3],ENT_COMPAT,'ISO-8859-15');
			print "<td><p><input type=\"radio\" name=\"rbCourriel\" value=\"$courriel\" onclick=\"javascript:recopie(this)\"/>$courriel</p></td>\n";
			$fonction=htmlentities($row[4],ENT_COMPAT,'ISO-8859-15');
			print "<td><p><input type=\"radio\" name=\"rbFonction\" value=\"$fonction\" onclick=\"javascript:recopie(this)\"/>$fonction</p></td>\n";
			$login=htmlentities($row[9],ENT_COMPAT,'ISO-8859-15');
			print "<td><p><input type=\"radio\" name=\"rbLogin\" value=\"$login\" onclick=\"javascript:recopie(this)\"/>$login </p></td>\n";
			$ssoLogin=htmlentities($row[10],ENT_COMPAT,'ISO-8859-15');
			print "<td><p><input type=\"radio\" name=\"rbssoLogin\" value=\"$ssoLogin\" onclick=\"javascript:recopie(this)\"/>$ssoLogin </p></td>\n";
			$ical=isset($row[11])?"id=$id_intervenant":'non';
			$mdp=$row[5];
			$codage=$row[8];
			if ($codage==1||$codage==2) $mdp2="id=$id_intervenant";
			else $mdp2=htmlentities($mdp,ENT_COMPAT,'ISO-8859-15');
			print "<td><p><input type=\"radio\" name=\"rbMdp\" value=\"$mdp2\" onclick=\"javascript:recopie(this)\"/>$mdp2</p></td>\n";
			printf( "<td><p><input type=\"radio\" name=\"rbIcal\" value=\"$ical\" onclick=\"javascript:recopie(this)\"/>$ical</p></td>\n");
			
			
			$id_circo=$row[6];
			$circo='';
			if ($id_circo>0) $circo=htmlentities(queryValue("SELECT libelle_court FROM circos WHERE id_circo=$id_circo",$h),ENT_COMPAT,'ISO-8859-15');
			if ($circo=='') $circo='&nbsp;';
			print "<td><p>$circo</p></td>\n";
			
			$ouvert=$row[7]==0?'ferm&eacute;':'ouvert';
			print "<td><p><input type=\"radio\" name=\"rbOuvert\" value=\"$ouvert\" onclick=\"javascript:recopie(this)\" />$ouvert</p></td>\n";
			print "</tr>\n";
		}
	
	
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function recopie(obj)
			{
				form=obj.form;
				if (obj.name=='rbCiv') { // civiilit ?
					if (obj.value=='M.') form.selCiv.value=0;
					else if (obj.value=='Mme') form.selCiv.value=1;
					else form.selCiv.value=2;
				}	
				else if (obj.name=='rbOuvert') { //ouvert ?
					if (obj.value=='ouvert') form.selOuvert.value=1;
					else form.selOuvert.value=0;
				}
				else {
					var nom='ed'+obj.name.substring(2);
					document.getElementsByName(nom)[0].value=obj.value;
				}			
			}
		//-->	
		</script>					
	</head>
	
	<body>
		<div id="conteneur">
		  <?php 
				include('menu_principal.inc.php');
			?>
		  <div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_intervenants_fusionne?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
		  </div>
		  <div id="corps">	 
				<?php if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?> 
			  <h1>Fusion des doublons des fiches &quot;intervenants&quot;</h1>
			  <p>La fusion des fiches n'est possible que si des intervenants de cette liste n'animent pas ensemble des s&eacute;ances. </p>
			  <?php if (count($id_intervenants)>0) { ?>
			  <form id="form1" name="form1" method="post" action="">
				  <table border="0">
                    <tr class="table_entete">
                      <td>Civ.</td>
                      <td>Nom</td>
                      <td>Pr&eacute;nom</td>
                      <td>Courriel</td>
                      <td>Fonction</td>
                      <td>Login</td>
                      <td>Login SSO</td>
                      <td>Mot de passe </td>
                      <td>iCal</td>
                      <td>Circo </td>
                      <td>Ouvert</td>
                    </tr>
                    <?php afficherListeintervenants($h,$id_intervenants) ?>
                  </table>
                  <p>&nbsp;</p>
                  <table border="0">
                    <tr>
                      <td><p>Civ. * </p></td>
                      <td><p>
                        <select name="selCiv" id="selCiv">
                          <option value="0" <?php if($civ==0) print "selected=\"selected\""?> >M.</option>
                          <option value="1" <?php if($civ==1) print "selected=\"selected\""?>>Mme/Mlle</option>
                          <option value="2" <?php if($civ==2) print "selected=\"selected\""?>>&nbsp;</option>
                        </select>
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>Nom * </p></td>
                      <td><p>
                        <input name="edNom" type="text" id="edNom" value="<?php print htmlentities($nom,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="25" />
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>Pr&eacute;nom</p></td>
                      <td><p>
                        <input name="edPrenom" type="text" id="edPrenom" value="<?php print htmlentities($prenom,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="25" />
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>Courriel</p></td>
                      <td><p>
                        <input name="edCourriel" type="text" id="edCourriel" value="<?php print htmlentities($courriel,ENT_COMPAT,'ISO-8859-15')?>" size="40" maxlength="250" />
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>Fonction</p></td>
                      <td><p>
                        <input name="edFonction" type="text" id="edFonction" value="<?php print htmlentities($fonction,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="250" />
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>Login</p>
                      </td>
                      <td><p>
                        <input name="edLogin" type="text" id="edLogin" value="<?php print htmlentities($login,ENT_COMPAT,'ISO-8859-15')?>" size="40" maxlength="250" />
                      </p>
                      </td>
                    </tr>
                    <tr>
                      <td><p>Login SSO</p>
                      </td>
                      <td><p>
                        <input name="edssoLogin" type="text" id="edssoLogin" value="<?php print htmlentities($ssoLogin,ENT_COMPAT,'ISO-8859-15')?>" size="40" maxlength="250" readonly="readonly" />
                      </p>
                      </td>
                    </tr>
                    <tr>
                      <td><p>Mot de passe </p></td>
                      <td><p>
                        <input name="edMdp" type="text" id="edMdp" value="<?php print htmlentities($mdp,ENT_COMPAT,'ISO-8859-15')?>" size="40" maxlength="40" />
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>ICAL</p>
                      </td>
                      <td><p>
                        <input name="edIcal" type="text" id="edIval" value="<?php print htmlentities($ical,ENT_COMPAT,'ISO-8859-15')?>" size="40" maxlength="40" />
                      </p>
                      </td>
                    </tr>
                    <tr>
                      <td><p>Ouvert</p></td>
                      <td><p>
                        <select name="selOuvert" id="selOuvert">
                          <option value="0" <?php if($ouvert==0) print "selected=\"selected\""?> >ferm&eacute;</option>
                          <option value="1" <?php if($ouvert==1) print "selected=\"selected\""?> >ouvert</option>
                        </select>
                      </p></td>
                    </tr>
                </table>
                  <p align="center">
                    <input name="fusionner" type="submit" class="bouton_standard" id="fusionner" value="Effectuer la fusion" />
                  </p>
			</form>
			  <?php } ?>
			  <p>&nbsp;</p>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_intervenants_fusionne?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>
