<?php
/*	
	Affiche la liste des intervenants
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_intervenants_liste=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_intervenants_liste']=$url_ret_adm_intervenants_liste;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_intervenants_liste'])) {
		$url_ret_adm_intervenants_liste=$_SESSION['circonscript7_url_ret_adm_intervenants_liste'];
	}
	else $url_ret_adm_intervenants_liste="administration.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	require '_fonctions_mdp.inc.php';
	
	$h=connect();
	debugInit();
	//diffrents tris en cours
	$tris=array(
		'nom_asc'=> 'nom ASC, prenom ASC',
		'nom_desc' => 'nom DESC, prenom ASC',
		'fonction_asc'=>'fonction ASC, nom ASC',
		'fonction_desc'=>'fonction DESC,nom ASC',
		'circo_asc'=>'circo ASC, nom ASC',
		'circo_desc'=>'circo DESC,nom ASC',
		'ical_asc'=>'ical ASC, nom ASC',
		'ical_desc'=>'ical DESC,nom ASC',
		'courriel_asc'=>'courriel ASC, nom ASC',
		'courriel_desc'=>'courriel DESC, nom ASC',
		'ouvert_desc'=>'ouvert DESC, nom ASC',
		'ouvert_asc'=>'ouvert ASC, nom ASC',
		'nb_asc'=>'nb_interventions ASC, nom ASC',
		'nb_desc'=>'nb_interventions DESC, nom ASC',
		'nbp_asc'=>'nb_presentiel ASC, nom ASC',
		'nbp_desc'=>'nb_presentiel DESC, nom ASC'
	);
	
	if (isset($_GET['tri'])) {
		$tri_adm_intervenants_liste=$tris[$_GET['tri']];
		if (!isset($tri_adm_intervenants_liste)) $tri_adm_intervenants_liste=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_intervenants_liste']=$tri_adm_intervenants_liste;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_intervenants_liste'])) {
		$tri_adm_intervenants_liste=$_SESSION['circonscript7_tri_adm_intervenants_liste'];
	}
	else {
		$tri_adm_intervenants_liste=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_intervenants_liste']=$tri_adm_intervenants_liste;
	}	
	if (isset($_SESSION['circonscript7_filtre_adm_intervenants_liste'])) 
		$filtre_adm_intervenants_liste=$_SESSION['circonscript7_filtre_adm_intervenants_liste'];
	else $filtre_adm_intervenants_liste='';
  
   if (isset($_SESSION['circonscript7_id_intervenants'])) $id_intervenants=$_SESSION['circonscript7_id_intervenants'];
   else $id_intervenants=array();
   if (isset($_SESSION['circonscript7_adm_intervenants_liste_courriels'])) $courriels =$_SESSION['circonscript7_adm_intervenants_liste_courriels'];
	else $courriels='';
	if (isset($_SESSION['circonscript7_adm_intervenants_liste_similarite'])) $similarite=$_SESSION['circonscript7_adm_intervenants_liste_similarite'];
	else $similarite=80;
   
   if (isset($_POST['chercher'])) {
		if (isset($_POST['filtre1'])) {
			$filtre1=normalise($_POST['filtre1']);
		}
		else $filtre1='';
		if (isset($_POST['filtre2'])) {
			$filtre2=normalise($_POST['filtre2']);
		}
		else $filtre2='';
		if( $filtre1!=$filtre_adm_intervenants_liste) $filtre_adm_intervenants_liste=$filtre1;
		else $filtre_adm_intervenants_liste=$filtre2;
		$_SESSION['circonscript7_filtre_adm_intervenants_liste']=$filtre_adm_intervenants_liste;    		
   }
   else if (isset($_POST['actualise'])) {
		$filtre_adm_intervenants_liste='';
		$_SESSION['circonscript7_filtre_adm_intervenants_liste']=$filtre_adm_intervenants_liste;
   }
	if (isset($_SESSION['circonscript7_adm_intervenants_liste_taille'])) $taille=$_SESSION['circonscript7_adm_intervenants_liste_taille'];
	else $taille=50;
	// Commandes
	if (isset($_POST['commande']) && ($_POST['commande']==1 || $_POST['commande']==2)) {
		if ($_POST['commande']==1) $taille=50;
		else $taille=30;
		$_SESSION['circonscript7_adm_intervenants_liste_taille']=$taille;	
	}
	// Nombre de pages
	$q="SELECT COUNT(*) FROM intervenants";
	if ($taille==30) $q.=" WHERE courriel<>''";
	$nb_intervenants=queryValue($q,$h);
	if ($filtre_adm_intervenants_liste) {
		$filtre2=myLikeEscapeString($h,normaliseNom($filtre_adm_intervenants_liste));
		if ($taille==30) $q.=" AND";
		else $q.=" WHERE";
		$q.= " (intervenants.nom_f LIKE '%$filtre2%' OR intervenants.prenom_f LIKE '%$filtre2%' OR CONCAT(intervenants.nom_f,' ',intervenants.prenom_f) LIKE '%$filtre2%')";
	}
	$nb_elements=queryValue($q,$h);	
   	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	if (isset($_SESSION['circonscript7_adm_intervenants_liste_page'])) $page=$_SESSION['circonscript7_adm_intervenants_liste_page'];
	else $page=0;
	if (isset($_SESSION['circonscript7_filtre_bascule']) && $_SESSION['circonscript7_filtre_bascule']==1) {
		$page=0;
		$filtre_bascule=0;
		$_SESSION['circonscript7_filtre_bascule']=$filtre_bascule;
	}
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   		if (--$page<0) $page=0;
   }
	$adm_intervenants_liste_page=$page;
	$_SESSION['circonscript7_adm_intervenants_liste_page']=$adm_intervenants_liste_page;
	
	if (isset($_POST['commande'])) {
		if (isset($_POST['similarite'])) {
			$similarite=abs(intval($_POST['similarite']));
			if ($similarite<50) $similarite=50;
			if ($similarite>100) $similarite=100;

		}
		else $similarite=80;
		$_SESSION['circonscript7_adm_intervenants_liste_similarite']=$similarite;
		$id_intervenants=array();
		if (isset($_POST['selection'])) foreach($_POST['selection'] as $v) $id_intervenants[]=intval($v);
		if (isset($_POST['rb'])) { 
			if ($_POST['rb']=='courriel') {
				$courriels='';
				foreach($id_intervenants as $id_intervenant) {
					$mail=queryValue("SELECT courriel FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
					if ($mail=='') continue;
					if ($courriels) $courriels.=",$mail";
					else $courriels=$mail;		
				}
				$l=strlen($courriels);
				if ($l>=2040) $erreur="Attention: trop d'adresses de courriel sont slectionnes. Le lien risque de ne pas fonctionner. ";
				$_SESSION['circonscript7_adm_intervenants_liste_courriels']=$courriels;
			}
			else if ($_POST['rb']=='supprimer') {
				// Supprimer tous les intervenants cochs si possible.
				if (count($id_intervenants)>0) {
					$nb_supp=0;
					for ($i=0;$i<count($id_intervenants);++$i) {
						$id_intervenant=$id_intervenants[$i];
						$nb=queryValue("SELECT COUNT(*) FROM interventions WHERE id_intervenant=$id_intervenant",$h);
						if ($nb==0) {
							$id_uti_int=queryValue("SELECT id_uti FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
							query("DELETE FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
							if (orphelin($id_uti_int,$h)) query("DELETE FROM utilisateurs WHERE id_uti=$id_uti_int",$h);
							++$nb_supp;
							$id_intervenants[$i]=0;
						}
						if ($erreur) break;
					}
					if (!$erreur) $erreur="$nb_supp fiche(s) intervenant(s) supprime(s). ";
					$_SESSION['circonscript7_id_intervenants']=$id_intervenants;
				}
			}
			else if($_POST['rb']=='fusionner') {
				if (count($id_intervenants)>=2) {
					$_SESSION['circonscript7_id_intervenants']=$id_intervenants;
					header('Location: adm_intervenants_fusionne.php?url_ret=adm_intervenants_liste.php');
					exit;	
				}
				else $erreur="Il faut slectonner au moins DEUX intervenants pour effectuer une fusion !"; 
			
			}
			else if ($_POST['rb']=='ouvrir'||$_POST['rb']=='ouvrir_tous') {
				$nb=0;
				foreach($id_intervenants as $id_intervenant) {
					if($_POST['rb']=='ouvrir')
						$r=query("SELECT courriel, utilisateurs.mdp, utilisateurs.codage, COUNT(id_intervention) as nb_interventions,ouvert, utilisateurs.id_uti FROM intervenants, utilisateurs LEFT JOIN interventions ON interventions.id_intervenant =$id_intervenant WHERE intervenants.id_intervenant=$id_intervenant AND intervenants.id_uti=utilisateurs.id_uti GROUP BY id_intervention",$h);
					else
						$r=query("SELECT courriel, utilisateurs.mdp, utilisateurs.codage, 1 as nb_interventions,ouvert, utilisateurs.id_uti FROM intervenants, utilisateurs  WHERE intervenants.id_intervenant=$id_intervenant AND intervenants.id_uti=utilisateurs.id_uti",$h);
					
					if (!$r) continue;
					$row=@mysqli_fetch_row($r);
					$courriel=$row[0];
					$nb_interventions=$row[3];
					$ouvert=$row[4];
					if (!$courriel || $nb_interventions==0|| $ouvert==1) continue;
					$mdp=$row[1];
					$codage=$row[2];
					$id_uti_intervenant=$row[5];
					// Compter les interventions de l'anne en cours
					query("UPDATE intervenants SET ouvert=1 WHERE id_intervenant=$id_intervenant",$h);	
					if ($codage==0 && $mdp=='') {
						$mdp=getMdp();
						query("UPDATE utilisateurs SET mdp='$mdp' WHERE id_uti=$id_uti_intervenant",$h);
						
					}
					++$nb;
				}
				$erreur="Nombre de comptes ouverts: $nb";
			}
			else if ($_POST['rb']=='fermer') {
				$nb=0;
				foreach($id_intervenants as $id_intervenant) {
					query("UPDATE intervenants SET ouvert=0 WHERE id_intervenant=$id_intervenant",$h);	
					++$nb;
				}
				$erreur="Nombre de comptes ferms: $nb";
			}
			else if ($_POST['rb']=='ical') {
				$nb=0;
				foreach($id_intervenants as $id_intervenant) {
					query("UPDATE intervenants SET ical_session=NULL, ical_timestamp=NULL, ical_cache=NULL WHERE id_intervenant=$id_intervenant",$h);	
					++$nb;
				}
				$erreur="Nombre de sessions ical effaces : $nb";
			}
			
		}
	}
	
function affichepages()
{
	global $nb_pages, $page,$id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_intervenants_liste.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}

function afficheListeintervenants($h,$id_intervenants)
{
	global $tri_adm_intervenants_liste,$filtre_adm_intervenants_liste,$page,$taille,$similarite;
	$impair=0;
	$nom_anc=$prenom_anc='';
	$civ_anc=2;
	$q="SELECT intervenants.id_intervenant,civilite, nom, prenom, intervenants.courriel, fonction, ouvert, circos.libelle as circo, COUNT(id_intervention) as nb_interventions, COUNT(dates.id_date) AS nb_presentiel, nom_f, prenom_f, CASE WHEN ical_session IS NOT NULL AND ical_timestamp IS NOT NULL THEN ical_timestamp  WHEN ical_session IS NOT NULL THEN 'oui' ELSE '' END AS ical FROM (intervenants, utilisateurs)";
	$q.=" LEFT JOIN circos ON circos.id_circo=intervenants.id_circo";
	$q.=" LEFT JOIN interventions ON interventions.id_intervenant=intervenants.id_intervenant";
	$q.=" LEFT JOIN dates ON dates.id_date=interventions.id_date AND dates.date<'9999-12-30'";
	$q.=" WHERE intervenants.id_uti=utilisateurs.id_uti";
	if($taille==30) $q.=" AND intervenants.courriel<>''";
	if ($filtre_adm_intervenants_liste) { 
		$filtre=myLikeEscapeString($h,normaliseNom($filtre_adm_intervenants_liste));
		$q.=" AND ( intervenants.nom_f LIKE '%$filtre%' OR intervenants.prenom_f LIKE '%$filtre%' OR CONCAT(intervenants.nom_f,' ',intervenants.prenom_f) LIKE '%$filtre%')";
	}
	$q.=" GROUP BY id_intervenant";
	if ($tri_adm_intervenants_liste) $q.=" ORDER BY ".$tri_adm_intervenants_liste;
	$lim=$page*$taille;
	if ($taille==50)
		$t=$taille*2;
	else
		$t=$taille;
	$q.=" LIMIT $lim,$t";
	$r=query($q,$h);
	if (($nb_intervenants=@mysqli_num_rows($r))==0) {
		return;
	}
	while ($row=@mysqli_fetch_array($r)) {
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		//print("<td>&nbsp;</td>\n");
		$id_intervenant=$row['id_intervenant'];
		print"<td><input type=\"checkbox\" name=\"selection[]\" value=\"$id_intervenant\"";
		if (in_array($id_intervenant,$id_intervenants)) print" checked=\"checked\"";
		print " /></td>\n";
		$b=false;
		if ($row['civilite']==2 || $civ_anc==2 || $civ_anc==$row['civilite']) {
			$p1=$p2=0.0;
			if ($nom_anc) similar_text($row['nom_f'],$nom_anc,$p1);
			if ($prenom_anc) similar_text($row['prenom_f'],$prenom_anc,$p2);
			if ($prenom_anc && $row['prenom_f']) $b=$p1*$p2/100.0>=$similarite;
			else $b=$p1/100.0>=0.9;
		}
		$nom_anc=$row['nom_f'];
		$prenom_anc=$row['prenom_f'];
		$civ_anc=$row['civilite'];		
		if ($b) print "<td><p><img src=\"images/egale.png\" /></p></td>\n";
		else print "<td><p>&nbsp;</p></td>\n";
		printf("<td><p><a href=\"adm_intervenant_tout_edite.php?id_intervenant=$id_intervenant&amp;url_ret=adm_intervenants_liste.php\">%s</a></p></td>\n",formateIntervenant($row['civilite'],$row['nom'],$row['prenom']));
		
		printf("<td><p><a href=\"mailto:%s\">%s</a></p></td>\n",$row['courriel'],htmlentities($row['courriel'],ENT_COMPAT,'ISO-8859-15'));
		if ($row['fonction'])
			printf("<td><p>%s</p></td>\n",htmlentities($row['fonction'],ENT_COMPAT,'ISO-8859-15'));
		else print"<td><p>&nbsp;</p></td>\n";
		if ($row['circo'])
			printf("<td><p>%s</p></td>\n",htmlentities($row['circo'],ENT_COMPAT,'ISO-8859-15'));
		else print"<td><p>&nbsp;</p></td>\n";
		printf("<td><p>%s</p></td>\n",htmlentities($row['ical'],ENT_COMPAT,'ISO-8859-15'));
		if ($row['nb_interventions']==0)
			print "<td><p>0</p></td>\n";
		else
			printf("<td><p><a href=\"adm_interventions.php?url_ret=adm_intervenants_liste.php&amp;id_intervenant=$id_intervenant\">%d</a></p></td>\n",$row['nb_interventions']);
		if ($row['nb_presentiel']==0)
			print "<td><p>0</p></td>\n";
		else
			printf("<td><p><a href=\"adm_interventions.php?url_ret=adm_intervenants_liste.php&amp;id_intervenant=$id_intervenant\">%d</a></p></td>\n",$row['nb_presentiel']);
		
		printf("<td><p>%s</p></td>\n",$row['ouvert']?'oui':'non');

		print "</tr>\n";
		$impair=!$impair;
	}
}

function formateIntervenant($civ,$nom, $prenom)
{
	if ($nom=='' && $prenom=='') return'&nbsp;';
	$nom=htmlentities($nom,ENT_COMPAT,'ISO-8859-15');
	$prenom=htmlentities($prenom,ENT_COMPAT,'ISO-8859-15');
	$s='';
	if ($prenom=='') {
		if ($civ==0) $s.='M. ';
		else if ($civ==1) $s.='Mme ';
		$s.=$nom;
	}
	else $s.="$nom $prenom";
	return $s;

}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
		<script type="text/javascript" src="envoiemail.js"></script>
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form

  laListe = leForm["selection[]"]

  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}
function pages(val)
{
	document.formulaire.commande.value=val;
	document.formulaire.submit();
}
//-->
        </script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_intervenants_liste?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="adm_intervenant_tout_edite.php?id_intervenant=0&amp;url_ret=adm_intervenants_liste.php">ajout</a></li>
				</ul>
			</div>
		  <div id="corps">
		    <h2>Liste des intervenants (
	        <?php print $nb_intervenants?>)</h2>
		   
			  <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";
			if ($courriels) {
				print "<h3>Courriels: <a href=\"javascript:envoieMail3('$courriels','','')\"><img src=\"images/internet-mail.png\" alt=\"courriel\" /></a></h3>";
			}
		    ?>
		    <h2>Recherche de doublons</h2>
			 <p>&nbsp;</p>
			 <form method="post" action="" name="formulaire">
				  <input type="hidden" name="page" value="<?php print htmlentities($page,ENT_COMPAT,'ISO-8859-15')?>"/>
				  
				  <input name="commande" type="hidden" id="commande" value="0" />
				  <p>Indiquez ici l'indice de similarit&eacute; souhait&eacute;, en pourcentage, de 50 (recherche large) &agrave; 100 (doublons stricts) - 80 est l'id&eacute;al:
				    <input name="similarite" type="text" id="similarite" value="<?php print $similarite ?>" size="3" maxlength="3" />
				  </p>
<p>
				    <input type="radio" name="affichage" value="1"  onchange="javascript:pages(1)" <?php if ($taille==50) print "checked=\"checked\""?> />
			      Afficher 100 intervenants par page mais d&eacute;caler les pages de 50 intervenants. Pour passer de page en page sans redondance, utiliser les pages impaires. Utilisez la redondance entre pages pour la s&eacute;lection de doublons. </p>
				  <p>
<input type="radio" name="affichage" value="2" onchange="javascript:pages(2)" <?php if ($taille==30) print "checked=\"checked\""?>/>				    
Envoi de courriels: afficher 30 intervenants par page, n'afficher que les intervenants poss&eacute;dant une adresse de courriel. </p>
<p> Colonnes: nb interv: nombre d'interventions, en tout. nb pres: nombre de prsentiels dont les dates sont dfinies.</p>
				  <table align="center">
                  <tr align="center" valign="top">
                    <td><div align="right">Chercher sur nom/pr&eacute;nom: &nbsp;
                      <input name="filtre1" type="text" id="filtre1" value="<?php print htmlentities($filtre_adm_intervenants_liste,ENT_COMPAT,'ISO-8859-15')?>" />
                    </div></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><div align="right">
                      <input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" />
                    </div></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                    </select>                    </td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                    </b></p></td>
                  </tr>
              </table>

 
		          <table>
                  <tr class="table_entete">
                    <td>Sel&deg;
                    <input name="coche" type="checkbox" id="coche" value="checkbox" onclick="javascript:cocheTout(this)" /></td>
                    <td>doublon ?</td>
                    <td>Intervenant &nbsp; <a href="adm_intervenants_liste.php?tri=nom_asc"><img src="images/fleche_haut.png" alt="tri par nom ascendant" width="11" height="11" border="0" /></a><a href="adm_intervenants_liste.php?tri=nom_desc"><img src="images/fleche_bas.png" alt="tri par nom descendant" width="11" height="11" border="0" /></a></td>
                    <td>Courriel&nbsp;<a href="adm_intervenants_liste.php?tri=courriel_asc"><img src="images/fleche_haut.png" alt="tri par courriel ascendant" width="11" height="11" border="0" /></a><a href="adm_intervenants_liste.php?tri=courriel_desc"><img src="images/fleche_bas.png" alt="tri par courriel descendant" width="11" height="11" border="0" /></a></td>
                    <td>Fonction&nbsp;<br />
                    <a href="adm_intervenants_liste.php?tri=fonction_asc"><img src="images/fleche_haut.png" alt="tri par fonction ascendant" width="11" height="11" border="0" /></a><a href="adm_intervenants_liste.php?tri=fonction_desc"><img src="images/fleche_bas.png" alt="tri par fonction descendant" width="11" height="11" border="0" /></a></td>
                    <td>Circo<a href="adm_intervenants_liste.php?tri=circo_asc"><img src="images/fleche_haut.png" alt="tri par circo ascendant" width="11" height="11" border="0" /></a><a href="adm_intervenants_liste.php?tri=circo_desc"><img src="images/fleche_bas.png" alt="tri par circo descendant" width="11" height="11" border="0" /></a></td>
                    <td>iCal<a href="adm_intervenants_liste.php?tri=ical_asc"><img src="images/fleche_haut.png" alt="tri par ical ascendant" width="11" height="11" border="0" /></a><a href="adm_intervenants_liste.php?tri=ical_desc"><img src="images/fleche_bas.png" alt="tri par ical descendant" width="11" height="11" border="0" /></a></td>
                    <td>nb. interv&deg;<br />
                    <a href="adm_intervenants_liste.php?tri=nb_asc"><img src="images/fleche_haut.png" alt="tri par nombre ascendant" width="11" height="11" border="0" /></a><a href="adm_intervenants_liste.php?tri=nb_desc"><img src="images/fleche_bas.png" alt="tri par nombre descendant" width="11" height="11" border="0" /></a></td>
                    <td>nb. pres.<br />
                    <a href="adm_intervenants_liste.php?tri=nbp_asc"><img src="images/fleche_haut.png" alt="tri par prsentiel ascendant" width="11" height="11" border="0" /></a><a href="adm_intervenants_liste.php?tri=nbp_desc"><img src="images/fleche_bas.png" alt="tri par prsentiel descendant" width="11" height="11" border="0" /></a></td>
                    <td>Ouvert<br />
                    <a href="adm_intervenants_liste.php?tri=ouvert_asc"><img src="images/fleche_haut.png" alt="tri par ouvert ascendant" width="11" height="11" border="0" /></a><a href="adm_intervenants_liste.php?tri=ouvert_desc"><img src="images/fleche_bas.png" alt="tri par ouvert descendant" width="11" height="11" border="0" /></a></td>
                  </tr>
                  
				<?php  afficheListeintervenants($h,$id_intervenants) ?>
				</table>
				<p>Pour la s&eacute;lection : </p>
				<p>
				  <input type="radio" name="rb" value="supprimer" />
				supprimer les fiches (ne supprime pas les fiches impliqu&eacute;es dans les plans de formation)</p>
				<p>
				  <input type="radio" name="rb" value="fusionner" /> 
				  fusionner les doublons...  </p>
			  <p>
				  <input type="radio" name="rb" value="ouvrir" />
				ouvrir l'acc&egrave;s au site aux intervenants pourvus d'un courriel et participant &agrave; une s&eacute;ance au moins (plan actuel ou futur). G&eacute;n&egrave;rer un mot de passe al&eacute;atoire pour ceux qui n'en ont pas </p>
			  <p>
			    <input type="radio" name="rb" value="ouvrir_tous" />
			  ouvrir l'acc&egrave;s au site &agrave; <em>tous</em> les intervenants pourvus d'un courriel, g&eacute;n&eacute;rer un mot de passe al&eacute;atoire pour ceux qui n'en ont pas. </p>
			  <p>
				  <input type="radio" name="rb" value="fermer" />
				  fermer l'acc&egrave;s au site</p>
				<p>
				  <input type="radio" name="rb" value="courriel" /> 
			  envoyer des courriels &agrave; partir de mon client de messagerie (cr&eacute;e un lien sous forme d'enveloppe en haut de la page)</p>
				<p>
				  <input type="radio" name="rb" value="ical" />
				  effacer la session iCalendar	</p>
				<p>
				  <input name="Executer" type="submit" class="bouton_standard" id="Executer" value="Executer la commande" />
				</p>
				<table align="center">
                  <tr align="center" valign="top">
                    <td><div align="right">Chercher sur nom/pr&eacute;nom: &nbsp;
                      <input name="filtre2" type="text" id="filtre2" value="<?php print htmlentities($filtre_adm_intervenants_liste,ENT_COMPAT,'ISO-8859-15')?>" />
                    </div></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                     </b></p></td>
                  </tr>
                </table>
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_intervenants_liste?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="adm_intervenant_tout_edite.php?id_intervenant=0&amp;url_ret=adm_intervenants_liste.php">ajout</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
