<?php
/*	
	Oprations globales sur les intervenants
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_intervenants_operations=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_intervenants_operations']=$url_ret_adm_intervenants_operations;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_intervenants_operations'])) {
		$url_ret_adm_intervenants_operations=$_SESSION['circonscript7_url_ret_adm_intervenants_operations'];
	}
	else $url_ret_adm_intervenants_operations="administration.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$erreur='';
	require '_sqlconnect.inc.php';
	//require '_fonctions.inc.php';
	//require '_fonctions_stagiaire.inc.php';
	//require '_fonctions_mdp.inc.php';
	
	$h=connect();
	debugInit();
	$nb_intervenants=queryValue("SELECT COUNT(*) FROM intervenants",$h);
	$q='';
	if (isset($_POST['rb']))switch($_POST['rb']){
		case 'fermer': 
			$q="UPDATE intervenants SET ouvert=0";
			break;
		case 'moduler':
			$q="UPDATE intervenants 
left join interventions on interventions.id_intervenant=intervenants.id_intervenant
SET ouvert = CASE WHEN interventions.id_intervention IS NULL OR intervenants.courriel IS NULL OR intervenants.courriel='' THEN 0 ELSE 1 END";
			break;
		case 'moduler_sans_mail':
			$q="UPDATE intervenants 
LEFT JOIN interventions ON interventions.id_intervenant=intervenants.id_intervenant
SET ouvert = CASE WHEN interventions.id_intervention IS NULL THEN 0 ELSE 1 END";
			break;
		case 'effacer_ical':
			$q="UPDATE intervenants SET ical_session=NULL, ical_timestamp=NULL, ical_cache=NULL";
			break;
		case 'supprimer':
			$q="DELETE intervenants FROM intervenants LEFT JOIN interventions ON interventions.id_intervenant=intervenants.id_intervenant WHERE intervenants.ouvert=0 AND interventions.id_intervention IS NULL";
			break;
		case 'orphelins':
			$q="DELETE utilisateurs FROM utilisateurs 
LEFT JOIN stagiaires ON stagiaires.id_uti=utilisateurs.id_uti
LEFT JOIN intervenants ON intervenants.id_uti=utilisateurs.id_uti
LEFT JOIN administrateurs ON administrateurs.id_uti=utilisateurs.id_uti
WHERE stagiaires.id_stagiaire IS NULL AND intervenants.id_intervenant IS NULL and administrateurs.id_admin IS NULL";
		break;
		case 'publipostage':
		$q="UPDATE utilisateurs INNER JOIN intervenants ON intervenants.id_uti=utilisateurs.id_uti SET date_publipostage='9999-12-31'";
	}
	if ($q) {
		$r=query($q,$h);
		if (!$erreur) {
			$erreur=@mysqli_affected_rows($h)." enregistrement(s) affect(s)";
		}
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_intervenants_operations?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="adm_intervenant_tout_edite.php?id_intervenant=0&amp;url_ret=adm_intervenants_operations.php">ajout</a></li>
				</ul>
			</div>
		  <div id="corps">
		    <h1>Op&eacute;rations globales sur les intervenants  (
	        <?php print $nb_intervenants?>)</h1>
		    <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>
		    <h2>Choisissez une op&eacute;ration et validez. Aucune confirmation n'est demand&eacute;e. </h2>
		    <form method="post" action="" name="formulaire">
		      <p>
			  <input type="radio" name="rb" value="fermer" />
			Fermer le site pour l'ensemble des intervenants. L'acc&egrave;s &agrave; la partie &quot;intervenant&quot; n'est plus possible. La synchronisation iCalendar produit un message d'erreur mais n'est pas supprim&eacute;e. </p>
		      <p>
		        <input type="radio" name="rb" value="moduler" />
		      Ouvrir le site pour les intervenants faisant au moins une intervention ET qui poss&egrave;dent une adresse de courriel. Fermer le site pour les autres. </p>
		      <p>
		        <input type="radio" name="rb" value="moduler_sans_mail" />
	          Ouvrir le site pour les intervenants faisant au moins une intervention. Fermer le site pour les autres.</p>
		      <p>
		        <input type="radio" name="rb" value="effacer_ical" /> 
		        Effacer toutes les sessions iCalendar.</p>
		      <p>
		        <input type="radio" name="rb" value="supprimer" />
		        Supprimer tous les intervenants qui ne font aucune intervention ET dont l'acc&egrave;s est ferm&eacute;. 
		      Cette action est irr&eacute;versible. </p>
		      <p>
		        <input type="radio" name="rb" value="orphelins" />
		        Supprimer les utilisateurs orphelins (cette action est fournie ici par commodit&eacute;,	&eacute;tant	donn&eacute; que l'action pr&eacute;c&eacute;dente peut cr&eacute;er des utilisateurs orphelins). </p>
		      <p>
		        <input type="radio" name="rb" value="publipostage" />
	          Effacer les dates des publipostages en direction des intervenants.   Utile si vous conservez la liste des intervenants d'une ann&eacute;e &agrave; l'autre.   Ils seront marqu&eacute;s comme n'ayant jamais &eacute;t&eacute; destinataires de courriel   automatique.</p>
		      <p align="center">
		        <input name="valider" type="submit" class="bouton_standard" id="valider" value="Valider" />
		      </p>
		      <p>&nbsp; </p>
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_intervenants_operations?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="adm_intervenant_tout_edite.php?id_intervenant=0&amp;url_ret=adm_intervenants_operations.php">ajout</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
