<?php
/* 
	Menu circo - configuration gnrale 
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	
	$h=connect();
	ejecteSiFerme($h);
	$erreur="";
	debugInit();
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_lien_externe=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_lien_externe']=$url_ret_adm_lien_externe;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_lien_externe'])) {
		$url_ret_adm_lien_externe=$_SESSION['circonscript7_url_ret_adm_lien_externe'];
	}
	else $url_ret_adm_lien_externe="adm_animations.php";
	$_SESSION['circonscript7_session_menu_page']=2;
	$autoriser_plan_futur=queryValue("SELECT autoriser_plan_futur FROM circos WHERE id_circo=$id_circo",$h);
	if ($autoriser_plan_futur && isset($_SESSION['circonscript7_annee'])) $annee=$_SESSION['circonscript7_annee'];
	else $annee=0;
	
	$r=query("SELECT lien_externe$annee, legende_lien_externe$annee FROM circos WHERE id_circo=$id_circo",$h);
	$lien='';
	$legende='';
	if ($r) {
		$row=@mysqli_fetch_row($r);
		$lien=$row[0];
		$legende=$row[1];
	}
	while (isset($_POST['valider'])) {
		$lien='';
		$legende='';
		if (isset($_POST['lelien'])) $lien=normaliseT($_POST['lelien'],255);
		if (isset($_POST['letexte'])) $legende=nettoyerApostrophes(normaliseT($_POST['letexte'],255));
		$lien=trim($lien);
		if ($lien) {
			if (substr($lien,0,7)!='http://' && substr($lien,0,8)!='https://') $lien='http://'.$lien;
			if (!preg_match( URL_FORMAT,$lien)) {
				$erreur="Mauvaise URL dans le lien externe. ";
				break;
			}
		}
		$r=query(sprintf("UPDATE circos SET lien_externe$annee='%s', legende_lien_externe$annee='%s' WHERE id_circo=$id_circo",
			myEscapeString($h,$lien),
			myEscapeString($h,$legende)),$h);
		if ($r) $erreur="Modifications enregistres";
		else $erreur="Il y a eu un problme lors de l'enregistrement";
		break;
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--
		function testerLien(url)
		{
			if (url) {
				if (url.substr(0,7).toLowerCase()!='http://' && url.substr(0,8).toLowerCase()!='https://') url='http://'+url;
				window.open(url);
			}
		}

		//-->
		</script></head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_lien_externe?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps">
	<?php if ($erreur) printf("<p class=\"erreur\">%s</p>", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15')); ?>
	  <h1>D&eacute;finir un lien externe <?php if ($annee) print "(plan futur)"?></h1>
	  <p>Pour pr&eacute;senter votre plan de formation, il peut &ecirc;tre utile de cr&eacute;er une page web ou un fichier pdf que vous h&eacute;bergez sur votre propre site web. Ce lien vers votre document est alors visible en d&eacute;but de plan et s'ouvre dans une nouvelle fen&ecirc;tre.</p>
	  <p>Le lien que vous d&eacute;finissez ici est ind&eacute;pendant des liens que l'on peut cr&eacute;er pour chaque animation.   </p>
	  <form id="form1" name="form1" method="post" action="">
	    <table border="0">
          <tr>
            <td><p>Lien <br />
                <em>url - max 255 caract&egrave;res</em>.</p></td>
            <td><input name="lelien" type="text" id="lelien" value="<?php print htmlentities($lien,ENT_COMPAT,'ISO-8859-15')?>" size="80" maxlength="255" /></td>
            <td><span class="remarque"><a href="javascript:testerLien(document.form1.lelien.value)" title="S'ouvre dans une nouvelle fen&ecirc;tre">Tester le lien dans une nouvelle fen&ecirc;tre</a></span></td>
          </tr>
          <tr>
            <td><p>Description facultative<br />
                <em>limit&eacute;e &agrave; 255 signes. </em></p></td>
            <td><input name="letexte" type="text"  id="letexte" value="<?php print htmlentities($legende,ENT_COMPAT,'ISO-8859-15')?>" size="80" maxlength="255"/></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td><input name="valider" type="submit" class="bouton_standard" id="valider" value="Valider" /></td>
            <td>&nbsp;</td>
          </tr>
        </table>
	    <p>&nbsp; </p>
	  </form>
	  </div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_lien_externe?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>