<?php
/* 
	Niveaux d'enseignement	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_niveaux=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_niveaux']=$url_ret_adm_niveaux;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_niveaux'])) {
		$url_ret_adm_niveaux=$_SESSION['circonscript7_url_ret_adm_niveaux'];
	}
	else $url_ret_adm_niveaux="administration.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions_stagiaire.inc.php';
	$modifications_possibles=1;		
	$h=connect();
	debugInit();
	$id_modifier=0;
	while (isset($_POST['Restaurer'])) {
		$n=queryValue("SELECT COUNT(*) FROM niveaux",$h);
		if ($n!=0) {
			$erreur="La restauration des niveaux par dfaut n'est possible que si aucun niveau n'est dfini; effacez d'abord les niveaux existants.";
			break;
		}
		genereNiveaux($h);
		break;
	}
	while (isset($_POST['Valider'])) {
		$groupe=normalise($_POST['groupe']);
		$tri=normalise($_POST['tri']);
		$libelle=normaliseT($_POST['libelle'],15);
		if (!nomValide($libelle)) {
			$erreur='Libell incorrect';
			break;
		}
		$libelle=strtoupper($libelle);
		if (!is_numeric($tri) || !is_numeric($groupe)) {
			$erreur="Le groupe et le tri doivent tre des nombres";
			break;
		}
		$q="SELECT COUNT(*) FROM niveaux WHERE groupe=$groupe";
		$r=query($q,$h);
		if (!$r) break;
		$count=@mysqli_fetch_row($r);
		if ($tri>$count[0]) $tri=$count[0]+1;
		else if ($tri<0) $tri=0;
		$q="UPDATE niveaux SET tri=tri+1 WHERE groupe=$groupe AND tri>=$tri";
		query($q,$h);
		$libelle=myEscapeString($h,$libelle);
		$q="INSERT INTO niveaux(libelle,groupe,tri) VALUES (\"$libelle\",\"$groupe\",\"$tri\")";
		$r=query($q,$h);
		$id_niveau=@mysqli_insert_id($h);
		if (testeTaille($h)) {
			query("DELETE FROM niveaux WHERE id_niveau=$id_niveau",$h);
			trier($h);
		
		}
		$modifications_possibles=0;
		$id_niveau=0;
		break;
	}
	if (isset($_POST['commande'])&& $_POST['commande']=='supprimer' && isset($_POST['supprime'])) {
		$modifications_possibles=0;
		$id_modifier=0;
		foreach($_POST['supprime'] as $id_niveau) {
			$id_niveau=intval($id_niveau);
			$q="DELETE FROM niveaux WHERE id_niveau=$id_niveau";
			query($q,$h);
			if ($erreur!='') break;
		}
		trier($h);
	}
	else if(isset($_POST['Modifier'])) while(1){
		$modifications_possibles=0;
		$id_niveau=abs(intval($_POST['id_modifier']));
		$q="SELECT * FROM niveaux WHERE id_niveau=$id_niveau";
		$r=query($q,$h);
		$row=@mysqli_fetch_row($r);
		if ($row[0]=='') {
			$erreur="niveau inconnu";
			break;
		}
		$id_niveau=$row[0];
		$groupe=normalise($_POST['groupe']);
		$tri=normalise($_POST['tri']);
		$libelle=normaliseT($_POST['libelle'],15);
		if (!nomValide($libelle)) {
			$erreur='Libell incorrect';
			break;
		}
		$libelle=strtoupper($libelle);
		if (!is_numeric($tri) || !is_numeric($groupe)) {
			$erreur="Le groupe et le tri doivent tre des nombres";
			break;
		}
		query("DELETE FROM niveaux WHERE id_niveau=$id_niveau",$h);
		trier($h);
		$q="SELECT COUNT(*) FROM niveaux WHERE groupe=$groupe";
		$r=query($q,$h);
		if (!$r) break;
		$count=@mysqli_fetch_row($r);
		if ($tri>$count[0]) $tri=$count[0]+1;
		else if ($tri<0) $tri=0;
		$q="UPDATE niveaux SET tri=tri+1 WHERE groupe=$groupe AND tri>=$tri";
		query($q,$h);
		$libelle=myEscapeString($h,$libelle);
		$q="INSERT INTO niveaux(libelle,groupe,tri) VALUES (\"$libelle\",\"$groupe\",\"$tri\")";
		$r=query($q,$h);
		$id_niveau=@mysqli_insert_id($h);
		if (testeTaille($h)) {
			query("DELETE FROM niveaux WHERE id_niveau=$id_niveau",$h);
			trier($h);
		}
		break;
	}
	else if (isset($_POST['undo'])) {
		$id_modifier=0;
	}
	else if (isset($_GET['Modifier'])) {
		$id_modifier=abs(intval($_GET['Modifier']));
	}
	
//---------------------Sous programmes
function trier($h)
{
	global $id_circo;
	$q="SELECT id_niveau, groupe FROM niveaux WHERE 1 ORDER BY groupe,tri";
	$r=query($q,$h);
	$tri=1;
	$groupe=0;
	$prec_groupe='';
	while($row=@mysqli_fetch_row($r)) {
		$id_niveau=$row[0];
		if ($row[1]!=$prec_groupe) {
			$prec_groupe=$row[1];
			++$groupe;
			$tri=1;
		}
		$q="UPDATE niveaux SET groupe=$groupe, tri=$tri WHERE id_niveau=$id_niveau";
		query($q,$h);
		++$tri;
	}
}
function testeTaille($h)
{
	global $erreur;
	$r=query("SELECT sum(length(libelle)), COUNT(*) FROM niveaux",$h);
	$row=@mysqli_fetch_row($r);
	$n=$row[0];
	$nb=$row[1]; // nombre d'enregistrements. Il faut savoir que chaque niveau est entour par /.../ et qu'il y a / au dbut.
	$t=254-$nb;
	if ($n>$t) {
		$erreur="Entre supprime: la somme des longueurs des diffrents libells ne doit pas excder $t (elle est  $n)";
		return 1;
	}
	return 0;

}
function genereNiveaux($h)
{
		
	$niveaux=array('TPS','PS','MS','GS','-','CP','CE1','CE2','CM1','CM2','-','RASED','CLIN','CLIS','-','DIRECTION','AUTRE');
	$groupe=1;
	$tri=1;
	for ($i=0;$i<sizeof($niveaux);++$i) {
		$lib=$niveaux[$i];
		if ($lib!='-') {
			$q="INSERT INTO niveaux(libelle, groupe,tri) VALUES ('$lib',$groupe,$tri)";
			query($q,$h);
			++$tri;
		}
		else {
			++$groupe;
			$tri=1;
		}
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
		<script type="text/javascript">
		<!--			
			function cocheTout(obj)
			{
			  // on rcupre le formulaire des objets  modifier
			  leForm = obj.form
			
			  laListe = leForm["supprime[]"]
			
			  if (laListe != null){
				if (laListe.length != null){
				  // on modifie tous les lments
				  for(i=0; i < laListe.length; i++) {
					laListe[i].checked = obj.checked
				  }
				} else {
				  laListe.checked = obj.checked
				}
			  }
			}
			function confirme()
			{
			  
			  leForm = document.formulaire;
			  laListe = leForm["supprime[]"];
				n=0;
				if (laListe != null) {
					if (laListe.length != null) {
						for (i=0;i<laListe.length; ++i) if (laListe[i].checked) ++n;
					}
					else {
						if (laListe.checked) ++n;
					}
				}
				if (n==0) alert("Il faut cocher les niveaux  supprimer");
				else {
					b=window.confirm("Voulez-vous vraiment suprimer les niveaux cochs ?");
					if (b) {	
						document.formulaire.commande.value='supprimer';
						document.formulaire.submit();
					}
				}				
			}
		//-->	
		</script>					
		
	</head>
	<body>
	<div id="conteneur">

	 <?php 
		include('menu_principal.inc.php');
		
	?>
	<div class="menu_secondaire">
	<ul class="menu2">
	  <li><a href="<?php print $url_ret_adm_niveaux?>">retour</a></li>
	  <li><a href="#bas">bas</a></li>
	</ul>
	</div>
	<div id="corps">
	<h1>Les niveaux </h1>
	<form name="form1" method="post" action="">
      <input name="Restaurer" type="submit" class="bouton_standard" id="Restaurer" value="Restaurer les niveaux par d&eacute;faut" />
    </form>
	<?php 	
		if ($erreur) printf("<p class=\"erreur\">%s</p>\r\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15')); 
	?>
	<form name="formulaire" method="post" action="" >
	<table>
      <tr class="table_entete">
        <td>Groupe</td>
        <td>Ordre</td>
        <td>Libell&eacute;</td>
        <td>Modifie</td>
		<td>Suppr.<input type="checkbox" name="cochetout" value="0" onclick="cocheTout(this)" /></td>
      </tr>
      <?php
	$groupe=1;
	$tri=0;
	$count=0;
	$modifier=array();
	$q="SELECT * FROM niveaux ORDER BY groupe, tri";
	$r=query($q,$h);                                                  
	while ($row=@mysqli_fetch_array($r)) {
		print "<tr class=\"survol\" >\r\n";
		print " <td>";
		$groupe=$row['groupe'];
		print $groupe;
		print "</td>\r\n";
		print " <td>";
		$tri=$row['tri'];
		print $tri;
		print "</td>\r\n";
		print " <td>";
		print htmlentities($row['libelle'],ENT_COMPAT,'ISO-8859-15');
		print "</td>\r\n";
		print " <td class=\"controle\">";
	  	printf ("<a href=\"adm_niveaux.php?Modifier=%s\"><img src=\"images/b_edit.png\" alt=\"edite\" /></a>",$row['id_niveau']);
		print "</td>\r\n";
		print " <td class=\"controle\">";
	  	printf ("<input type=\"checkbox\" name=\"supprime[]\" value=\"%s\" />",$row['id_niveau']);
		//print "<a href=\"\"><img src=\"images/b_supprime.png\" alt=\"supprimer\" /></a>";
		print "</td>\r\n";
		print "</tr>\r\n";
		if ($modifications_possibles && $id_modifier==$row['id_niveau']) 
			$modifier=$row;
		++$count;
	}
	// Ajoute une nouvelle ligne
	if (count($modifier)==0) 
		if ($count<30) {
			print "<tr>\r\n";
			print " <td>";
			printf ("<input type=\"text\" name=\"groupe\" value=\"%s\" size=\"4\" maxlength=\"2\" />",$groupe);
			print "</td>\r\n";
			print " <td>";
			printf ("<input type=\"text\" name=\"tri\" value=\"%s\" size=\"4\" maxlength=\"2\" />",$tri+1);
			print "</td>\r\n";
			print " <td>";
			print "<input type=\"text\" name=\"libelle\" size=\"15\" maxlength=\"15\" />";
			print "</td>\r\n";
			print " <td class=\"controle\">";
			print  "<input name=\"Valider\" class=\"bouton_ajoute\" type=\"submit\" value=\"Ajouter\"/>";
			print "</td>\r\n";			
		}
		else {
			print "<tr>\r\n";
			print " <td>";
			print "<h4>Limite maximale atteinte</h4>";
			print "</td>\r\n";
			print " <td>";
			print "<p>&nbsp;</p>";
			print "</td>\r\n";
			print " <td>";
			print "<p>&nbsp;</p>";
			print "</td>\r\n";
			print " <td>";
			print "<p>&nbsp;</p>";
			print "</td>\r\n";
		}
	else {
		print "<tr>\r\n";
		print " <td>";
		printf ("<input type=\"text\" name=\"groupe\" value=\"%s\" size=\"4\" maxlength=\"2\" />",$modifier['groupe']);
		print "</td>\r\n";
		print " <td>";
		printf ("<input type=\"text\" name=\"tri\" value=\"%s\" size=\"4\" maxlength=\"2\" />",$modifier['tri']);
		print "</td>\r\n";
		print " <td>";
		printf ("<input type=\"text\" name=\"libelle\" value=\"%s\" size=\"15\" maxlength=\"15\" />",$modifier['libelle']);
		print "</td>\r\n";
		print " <td class=\"controle\">";
		printf( "<input name=\"Modifier\" class=\"bouton_editer\" value=\"%s\" type=\"submit\" />",$modifier['id_niveau']);
		print "</td>\r\n";
	}
	print " <td class=\"controle\">";
	if (count($modifier)==0) print "<input name=\"supprimer\" type=\"button\" class=\"bouton_supprimer\" value=\"Supprimer\" onclick=\"confirme()\" />\n";
	else print "<input name=\"undo\" type=\"submit\" class=\"bouton_undo\" value=\"D&eacute;faire\" />\n";
	print "</td>\r\n";
	print "</tr>\r\n";
	 ?>
    </table>
	<?php
		if ($erreur) printf("<p class=\"erreur\">%s</p>\r\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15')); 
	?>
	<input type="hidden" name="id_modifier" value="<?php print htmlentities($id_modifier,ENT_COMPAT,'ISO-8859-15')?>" />
	<input name="commande" type="hidden" id="commande" value="0" />
	</form>
	
	</div>
	<div class="menu_secondaire">
	<ul class="menu2">
	  <li><a href="<?php print $url_ret_adm_niveaux?>">retour</a></li>
	  <li><a href="#haut">haut</a></li>
	</ul>
	</div>
	<a name="bas" id="bas"></a></div>
	<?php if (isset($_POST['Valider'])||$id_modifier>0) { ?>
	<script language="javascript" type="text/javascript" >
		document.location.href="#bas";
		document.formulaire.niveau.select();
	</script>
	<?php } ?>
	</body>
</html>
