<?php
/* 
	Contrle des absences et envoi de courriels	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_presence_controle=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_presence_controle']=$url_ret_adm_presence_controle;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_presence_controle'])) {
		$url_ret_adm_presence_controle=$_SESSION['circonscript7_url_ret_adm_presence_controle'];
	}
	else $url_ret_adm_presence_controle="adm_courriels.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	if (!isset($_SESSION['circonscript7_id_uti'])) {
		header('Location:erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo!=0 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	//diffrents tris en cours
	$tris=array(
		'nom_asc'=> 'nom_stagiaire ASC, nom_ecole ASC',
		'nom_desc' => 'nom_stagiaire DESC, nom_ecole ASC',
		'ecole_asc'=>'nom_ecole ASC, nom_stagiaire ASC',
		'ecole_desc'=>'nom_ecole DESC,nom_stagiaire ASC',
		'niveau_asc'=>'niveau ASC, nom_stagiaire ASC',
		'niveau_desc'=>'niveau DESC, nom_stagiaire ASC',
		'quotite_desc'=>'quotite DESC, nom_stagiaire ASC',
		'quotite_asc'=>'quotite ASC, nom_stagiaire ASC',
		'bilan_asc'=>'duree_effectuee ASC, nom_stagiaire ASC',
		'bilan_desc'=>'duree_effectuee DESC, nom_stagiaire ASC',
		'exige_asc'=>'duree_demandee ASC, nom_stagiaire ASC',
		'exige_desc'=>'duree_demandee DESC, nom_stagiaire ASC',
		'convoc_asc'=>'duree_convoc ASC, nom_stagiaire ASC',
		'convoc_desc'=>'duree_convoc DESC, nom_stagiaire ASC',
		'absent_asc'=>'duree_inj ASC, nom_stagiaire ASC',
		'absent_desc'=>'duree_inj DESC, nom_stagiaire ASC',
		'exc_asc'=>'duree_exc ASC, nom_stagiaire ASC',
		'exc_desc'=>'duree_exc DESC, nom_stagiaire ASC',
		'difference_asc'=>'difference ASC, nom_stagiaire ASC',
		'difference_desc'=>'difference DESC, nom_stagiaire ASC',
		'nb_asc'=>'absences ASC, nom_stagiaire ASC',
		'nb_desc'=>'absences DESC, nom_stagiaire ASC'
	);
	if (isset($_SESSION['circonscript7_filtre_special_where'])) $filtre_special_where=$_SESSION['circonscript7_filtre_special_where'];
	else $filtre_special_where='';
	if (isset($_SESSION['circonscript7_filtre_special_actif'])) $filtre_special_actif=$_SESSION['circonscript7_filtre_special_actif'];
	else $filtre_special_actif=0;
	if ($filtre_special_actif==1) {
		$adm_presence_controle_filtre_special=1;
		$_SESSION['circonscript7_adm_presence_controle_filtre_special']=$adm_presence_controle_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	else if ($filtre_special_actif==2) { // supprimer filtre
		$adm_presence_controle_filtre_special=0;
		$_SESSION['circonscript7_adm_presence_controle_filtre_special']=$adm_presence_controle_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	
	if (isset($_SESSION['circonscript7_adm_presence_controle_filtre_special'])) $adm_presence_controle_filtre_special=$_SESSION['circonscript7_adm_presence_controle_filtre_special'];
	else $adm_presence_controle_filtre_special=0;
	
	if (isset($_POST['page'])) { // test sur page pour savoir si on a fait un POST
		$f1=isset($_POST['filtre_spe1'])?1:0;
		$f2=isset($_POST['filtre_spe2'])?1:0;
		if ($f1==$f2) {
			if ($adm_presence_controle_filtre_special!=$f1) {
				$adm_presence_controle_filtre_special=$f1;
				$_SESSION['circonscript7_adm_presence_controle_filtre_special']=$adm_presence_controle_filtre_special;
			}
		}
		else {
			$adm_presence_controle_filtre_special=!$adm_presence_controle_filtre_special;
			$_SESSION['circonscript7_adm_presence_controle_filtre_special']=$adm_presence_controle_filtre_special;
		}
   }
	
	if (isset($_GET['tri'])) {
		$tri_adm_presence_controle=$tris[$_GET['tri']];
		if (!isset($tri_adm_presence_controle)) $tri_adm_presence_controle=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_presence_controle']=$tri_adm_presence_controle;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_presence_controle'])) {
		$tri_adm_presence_controle=$_SESSION['circonscript7_tri_adm_presence_controle'];
	}
	else {
		$tri_adm_presence_controle=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_presence_controle']=$tri_adm_presence_controle;
	}		
	if (isset($_SESSION['circonscript7_filtre_adm_presence_controle'])) 
		$filtre_adm_presence_controle=$_SESSION['circonscript7_filtre_adm_presence_controle'];
		else $filtre_adm_presence_controle='';

	if (isset($_POST['chercher'])) {
		if (isset($_POST['filtre1'])) {
			$filtre1=normalise($_POST['filtre1']);
		}
		else $filtre1='';
		if (isset($_POST['filtre2'])) {
			$filtre2=normalise($_POST['filtre2']);
		}
		else $filtre2='';
		if( $filtre1!=$filtre_adm_presence_controle) $filtre_adm_presence_controle=$filtre1;
		else $filtre_adm_presence_controle=$filtre2;
		$_SESSION['circonscript7_filtre_adm_presence_controle']=$filtre_adm_presence_controle; 
   	}
	if (isset($_POST['reactualiser'])) {
		mettreAJourListeAbsents($h);
		if (!$erreur) $erreur="Table ractualise";
	}
	$taille=30;

	// Nombre de pages
	$q="SELECT COUNT(*) FROM tmp_absences WHERE  id_circo=$id_circo AND id_uti=$id_uti";
	if ($filtre_adm_presence_controle) {
		$filtre2=myLikeEscapeString($h,normaliseNom($filtre_adm_presence_controle));
		$q.= " AND (nom_stagiaire LIKE '%$filtre2%')";
	}
	$nb_elements=queryValue($q,$h);		//nombre maximal de stagiaires admissibles
   	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	// Nombre de pages

	$page=0;
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   		if (--$page<0) $page=0;
   }
   else if (isset($_POST['actualise'])) {
		$filtre_adm_presence_controle='';
		$_SESSION['circonscript7_filtre_adm_presence_controle']=$filtre_adm_presence_controle;
   }
	if (isset($_SESSION['circonscript7_adm_presence_controle_coches'])) $adm_presence_controle_coches=$_SESSION['circonscript7_adm_presence_controle_coches'];
	else $adm_presence_controle_coches=array();
	$_SESSION['circonscript7_liste_stagiaires_coches']=$adm_presence_controle_coches; // pour adm_liste_stagiaires_popup
	
	if (isset($_SESSION['circonscript7_adm_presence_controle_objet'])) $adm_presence_controle_objet=$_SESSION['circonscript7_adm_presence_controle_objet'];
	else $adm_presence_controle_objet='';
	if (isset($_POST['valider'])) {
		$adm_presence_controle_stagiaires='';
		$adm_presence_controle_ecoles='';
		$adm_presence_controle_ecoles2='';
		$adm_presence_controle_objet='';	
		$adm_presence_controle_coches=array();
		if (isset($_POST['objet'])) $adm_presence_controle_objet=normaliseT($_POST['objet'],250);
		if (isset($_POST['selection'])) foreach($_POST['selection'] as $id_stagiaire) {
			$id_stagiaire=intval($id_stagiaire);
			$adm_presence_controle_coches[]=$id_stagiaire;
			$r=query("SELECT stagiaires.courriel, ecoles.courriel FROM stagiaires, ecoles WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole",$h);
			if ($erreur) break;
			$row=@mysqli_fetch_row($r);
			if ($erreur) break;
			$c_stag=$row[0];
			$c_eco=$row[1];
			if ($c_stag) {
				if ($adm_presence_controle_stagiaires) $adm_presence_controle_stagiaires.=',';
				$adm_presence_controle_stagiaires.=$c_stag;
			}
			else {
				if ($c_eco && strpos($adm_presence_controle_ecoles2,$c_eco)===false) {
					if($adm_presence_controle_ecoles2) $adm_presence_controle_ecoles2.=',';
					$adm_presence_controle_ecoles2.=$c_eco;
				}
			}
			if ($c_eco && strpos($adm_presence_controle_ecoles,$c_eco)===false) {
				if($adm_presence_controle_ecoles) $adm_presence_controle_ecoles.=',';
				$adm_presence_controle_ecoles.=$c_eco;
			}
		}
		$_SESSION['circonscript7_adm_presence_controle_objet']=$adm_presence_controle_objet;
		$_SESSION['circonscript7_adm_presence_controle_coches']=$adm_presence_controle_coches;
		$_SESSION['circonscript7_liste_stagiaires_coches']=$adm_presence_controle_coches; // pour adm_liste_stagiaires_popup
		$_SESSION['circonscript7_adm_presence_controle_ecoles']=$adm_presence_controle_ecoles;
		$_SESSION['circonscript7_adm_presence_controle_ecoles']=$adm_presence_controle_ecoles;
		$_SESSION['circonscript7_adm_presence_controle_stagiaires']=$adm_presence_controle_stagiaires;	
	}
	
	if ($erreur) $erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
	

function affichepages()
{
	global $nb_pages, $page,$id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_presence_controle.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}	
function requete($h)
{
	global $id_circo,$id_uti,$page,$taille,$tri_adm_presence_controle,$id_seance, $adm_presence_controle_id_date,$filtre_adm_presence_controle,$filtre_special_where,$adm_presence_controle_filtre_special,$adm_presence_controle_presents;
	$lim=$page*$taille;   
	$filtre2='';
	if ($filtre_adm_presence_controle) $filtre2='%'.myLikeEscapeString($h,normaliseNom($filtre_adm_presence_controle)).'%';
	$q="SELECT * FROM tmp_absences WHERE id_circo=$id_circo AND id_uti=$id_uti";
	$q1='';
	$q2='';
	if ($filtre2) 
		$q1="nom_stagiaire LIKE '$filtre2'";
	if ($adm_presence_controle_filtre_special && $filtre_special_where) {
		$q2=$filtre_special_where;
		
	}
	if ($q1 && $q2) $q.=" AND ($q1) AND ($q2)";
	else if ($q1) $q.=" AND ($q1)";
	else if ($q2) $q.=" AND ($q2)";
	$q.=" ORDER BY $tri_adm_presence_controle LIMIT $lim , $taille";
	return $q;
}
function mettreAJourListeAbsents($h)
{
	global $id_circo,$id_uti,$erreur;
	if($erreur) return;
	query("DELETE FROM tmp_absences WHERE id_circo=$id_circo AND id_uti=$id_uti",$h);
	$q="INSERT INTO tmp_absences(id_circo, id_uti,id_stagiaire, nom_stagiaire, courriel_stagiaire, nom_ecole, id_ecole,courriel_ec, niveau, quotite, absences, duree_demandee) 
	SELECT $id_circo, $id_uti, stagiaires.id_stagiaire, concat( stagiaires.nom, ' ', stagiaires.prenom ), stagiaires.courriel, ecoles.nom, ecoles.id_ecole, ecoles.courriel, stagiaires.niveau, quotite, COUNT(absences.id_stagiaire), quota_reel
	FROM (stagiaires,ecoles)
	LEFT JOIN absences ON absences.id_stagiaire=stagiaires.id_stagiaire
	WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo
	GROUP BY stagiaires.id_stagiaire";
	query($q,$h);
	if ($erreur) return;
	$r=query("SELECT id_stagiaire, duree_demandee FROM tmp_absences WHERE id_circo=$id_circo AND id_uti=$id_uti",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_stagiaire=$row[0];
		$q="SELECT SUM(duree) FROM dates,convocations WHERE convocations.id_stagiaire=$id_stagiaire AND convocations.id_seance=dates.id_seance";
		$duree_convoc=queryValue($q,$h);
		$q="SELECT SUM(duree) FROM dates, absences WHERE absences.id_stagiaire=$id_stagiaire AND absences.id_date=dates.id_date AND excuse=0";
		$duree_inj=queryValue($q,$h); 
		if (!$duree_inj) $duree_inj='0.0';
		$q="SELECT SUM(duree) FROM dates, absences WHERE absences.id_stagiaire=$id_stagiaire AND absences.id_date=dates.id_date AND excuse=1";
		$duree_exc=queryValue($q,$h); 
		if (!$duree_exc) $duree_exc='0.0';
		$duree_demandee=$row[1];

		if (!$duree_convoc) $duree_convoc='0.0';
		$duree_effectuee=$duree_convoc-$duree_inj-$duree_exc;
		$difference=$duree_convoc-$duree_demandee-$duree_inj; // mme rsultat que ci-dessus
		if ($difference >0 && $duree_exc >0 ) { // retire tout ou partie du temps excus s'il y a un reliquat de temps
			$difference-=$duree_exc;
			if ($difference<0) $difference=0; //comme il s'agit d'absences excuses, pas de pnalit : on reste  l'quilibre
		}
		if (!$difference) $difference='0.0';
		query("UPDATE tmp_absences SET duree_convoc='$duree_convoc', duree_inj='$duree_inj', duree_effectuee='$duree_effectuee', difference='$difference', duree_exc='$duree_exc' WHERE id_stagiaire=$id_stagiaire AND id_uti=$id_uti AND id_circo=$id_circo",$h);	
		
	}


}	 
function afficheListeStagiaires($h)
{
	global $adm_presence_controle_coches,$id_circo;

	$impair=0;
	
	$r=query(requete($h),$h);
	if (($nb_stagiaires=@mysqli_num_rows($r))==0) {
		return;
	}
	while ($row=@mysqli_fetch_array($r)) {
		$id_stagiaire=$row['id_stagiaire'];
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		//print("<td>&nbsp;</td>\n");
		if ($row['courriel_stagiaire'])
			printf("<td><a href=\"javascript:envoieMail3('%s',document.form.objet.value,'')\">%s</a></td>\n",$row['courriel_stagiaire'],htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		else
			printf("<td>%s</td>\n",htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities(substr($row['niveau'],1,strlen($row['niveau'])-2),ENT_COMPAT,'ISO-8859-15'));
		if (!$row['courriel_ec'])
			printf("<td>%s</td>\n",htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		else 
			printf("<td><a href=\"javascript:envoieMail3('%s',document.form.objet.value,'')\">%s</a></td>\n",$row['courriel_ec'],htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td class=\"centre\">%.2f</td>\n",$row['quotite']);
		if ($row['absences']==0)
			printf("<td class=\"centre\"><a href=\"adm_absences_edite.php?id_stagiaire=%d&amp;url_ret=adm_presence_controle.php\">%d</a></td>\n",$id_stagiaire,$row['absences']);
		else
			printf("<td class=\"centre\"><a href=\"adm_absences_voir.php?id_stagiaire=%d&amp;url_ret=adm_presence_controle.php\">%d</a></td>\n",$id_stagiaire,$row['absences']);
		
		printf("<td class=\"centre\">%s</td>\n",reelEnHeure($row['duree_demandee']));
		printf("<td class=\"centre\">%s</td>\n",reelEnHeure($row['duree_convoc']));
		printf("<td class=\"centre\">%s</td>\n",reelEnHeure($row['duree_inj']));
		printf("<td class=\"centre\">%s</td>\n",reelEnHeure($row['duree_exc']));
		if ($row['difference']>=0.0) {
			printf("<td class=\"centre\">%s</td>\n",reelEnHeure($row['duree_effectuee']));
			if ($row['difference']>0)
				printf("<td class=\"centre\">+%s</td>\n",reelEnHeure($row['difference']));
			else
				printf("<td class=\"centre\"> %s</td>\n",reelEnHeure($row['difference']));
		}	
		else{
			printf("<td class=\"attention\">%s</td>\n",reelEnHeure($row['duree_effectuee']));
			printf("<td class=\"attention\">-%s</td>\n",reelEnHeure(abs($row['difference'])));
		}
		
		print "<td class=\"centre\"><input type=\"checkbox\" name=\"selection[]\" value='$id_stagiaire' ";
		if (in_array($id_stagiaire,$adm_presence_controle_coches)) print "checked=\"checked\" ";
		print "/></td>\n";
		print "</tr>\n";
	}

}
function afficheCourriels()
{
	global $adm_presence_controle_stagiaires,$adm_presence_controle_ecoles,$adm_presence_controle_ecoles2,$adm_presence_controle_objet,$adm_presence_controle_coches;
	print "<tr>\n";
	if ($adm_presence_controle_stagiaires) {
	 	print "<td class=\"centre\"><a href=\"javascript:envoieMail3('$adm_presence_controle_stagiaires',document.form.objet.value,'')\"><img src=\"images/internet-mail.png\" alt=\"courriel\" /></a>\n";
				print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$adm_presence_controle_stagiaires','console',600,500)\" ><img src=\"images/text.png\" alt=\"liste\" /></a></td>\n";
	}
	else
		print "<td class=\"centre\">-</td>\n";
	if ($adm_presence_controle_ecoles) { 
	 	print "<td class=\"centre\"><a href=\"javascript:envoieMail3('$adm_presence_controle_ecoles',document.form.objet.value,'')\"><img src=\"images/internet-mail.png\" alt=\"courriel\" /></a>\n";
				print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$adm_presence_controle_ecoles','console',600,500)\" ><img src=\"images/text.png\" alt=\"liste\" /></a></td>\n";
	}		
	else
		print "<td class=\"centre\">-</td>\n";
	if ($adm_presence_controle_stagiaires && $adm_presence_controle_ecoles) 
	 	print "<td class=\"centre\"><a href=\"javascript:envoieMail3('$adm_presence_controle_stagiaires',document.form.objet.value,'$adm_presence_controle_ecoles')\"><img src=\"images/internet-mail.png\" alt=\"courriel\" /></a></td>\n";
	else
		print "<td class=\"centre\">-</td>\n";
	if ($adm_presence_controle_ecoles2) {
	 	print "<td class=\"centre\"><a href=\"javascript:envoieMail3('$adm_presence_controle_ecoles2',document.form.objet.value,'')\"><img src=\"images/internet-mail.png\" alt=\"courriel\" /></a>\n";
						print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$adm_presence_controle_ecoles2','console',600,500)\" ><img src=\"images/text.png\" alt=\"liste\" /></a></td>\n";
	}
	else
		print "<td class=\"centre\">-</td>\n";

	if (isset($adm_presence_controle_coches) && sizeof($adm_presence_controle_coches>0) && ($adm_presence_controle_stagiaires || $adm_presence_controle_ecoles || $adm_presence_controle_ecoles2)) 	 	
		print "<td class=\"centre\"><a href=\"javascript:popUp('adm_liste_stagiaires_popup.php','console',640,480)\" ><img src=\"images/text.png\" alt=\"liste\" /></a></td>\n";
	else
		print "<td class=\"centre\">-</td>\n";
	
	print "</tr>\n";
}	
	

	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	   <script type="text/javascript" src="envoiemail.js"></script> 
    	<script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form

  laListe = leForm["selection[]"]

  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}
//-->
        </script></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_presence_controle?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
		    <h1>Contr&ocirc;le des absences et envoi de courriels : liste des stagiaires avec heures de pr&eacute;sence </h1>
		    <p>Important: les calculs &eacute;tant fort longs, nous stockons le r&eacute;sultat dans une table temporaire, qui n'est pas modifi&eacute;e entretemps. <strong>Vous devez r&eacute;actualiser cette table pour que les donn&eacute;es soient &agrave; jour.</strong></p>
		    <form name="form1" method="post" action="">
		      <div align="center">
		        <h4 align="left">Calcul du d&eacute;ficit ou de l'exc&eacute;dent</h4>
		        <p align="left">R&eacute;actualisez la table temporaire si vous avez modifi&eacute; des convocations ou des absences. </p>
		        <p align="left">
		          <input name="reactualiser" type="submit" class="bouton_standard" id="reactualiser" value="R&eacute;actualiser la table" />
                </p>
		      </div>
		    </form>
		      <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
		    <table>
              <tr class="table_entete">
                <td>&Agrave;: stagiaires</td>
                <td>&Agrave;: &eacute;coles<br />
                    <em>concern&eacute;es</em></td>
                <td>&Agrave;: stagiaires<br />
                  CC: &eacute;coles </td>
                <td>&Agrave;: &eacute;coles<br />
                    <em>stag. sans courriel</em> </td>
                <td>Liste stag. &agrave; <br />
copier/coller</td>
              </tr>
              <?php afficheCourriels()?>
            </table>
		    <form method="post" name="form"  action="">
                  <input type="hidden" name="page" value="<?php print htmlentities($page,ENT_COMPAT,'ISO-8859-15')?>" />
                  Objet: 
				  <input name="objet" type="text" id="objet" value="<?php print htmlspecialchars($adm_presence_controle_objet,ENT_COMPAT,'ISO-8859-15')?>" size="100" maxlength="250" />
				  <table align="center">
                    <tr align="center" valign="top">
                      <td><input name="filtre_spe1" type="checkbox" value="checkbox"  <?php if ($adm_presence_controle_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                        <a href="javascript:popUp('adm_filtre_absence_popup.php?url_ret=adm_presence_controle.php','console',600,500);">Utiliser filtre</a> </td>
                      <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                          <input name="filtre1" type="text" id="filtre1" value="<?php print htmlentities($filtre_adm_presence_controle,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                      <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                      <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                      <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />
                      </td>
                      <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />
                      </td>
                      <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />
                      </td>
                      <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />
                      </td>
                      <td><select name="menu_page" onchange="sauteMenu(this)">
                          <?php affichepages()?>
                        </select>
                      </td>
                      <td><input name="valider" type="submit" class="bouton_enregistre" value="valider" /></td>
                      <td><p><b>
                          <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                      </b></p></td>
                    </tr>
                  </table>
		          <table>
                    <tr class="table_entete">
                      <td rowspan="2">Nom stagiaire&nbsp; <br />
                      <a href="adm_presence_controle.php?tri=nom_asc"><img src="images/fleche_haut.png" alt="tri par nom ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_controle.php?tri=nom_desc"><img src="images/fleche_bas.png" alt="tri par nom descendant" width="11" height="11" border="0" /></a></td>
                      <td rowspan="2">Niveau<br/>
                      <a href="adm_presence_controle.php?tri=niveau_asc"><img src="images/fleche_haut.png" alt="tri par niveau ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_controle.php?tri=niveau_desc"><img src="images/fleche_bas.png" alt="tri par niveau descendant" width="11" height="11" border="0" /></a></td>
                      <td rowspan="2">Ecole&nbsp;<a href="adm_presence_controle.php?tri=ecole_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_controle.php?tri=ecole_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a></td>
                      <td rowspan="2" align="center">Quotit&eacute;<br/>
                      <a href="adm_presence_controle.php?tri=quotite_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_controle.php?tri=quotite_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a>&nbsp;</td>
                      <td rowspan="2">Nb. Absences<br/>
                        <a href="adm_presence_controle.php?tri=nb_asc"><img src="images/fleche_haut.png" alt="tri par pr&eacute;sence ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_controle.php?tri=nb_desc"><img src="images/fleche_bas.png" alt="tri par pr&eacute;sence descendant" width="11" height="11" border="0" /></a></td>
                      <td colspan="6">Dur&eacute;es</td>
                      <td rowspan="2">Courriel&nbsp;
                          <input name="checkbox" type="checkbox" onclick="cocheTout(this)"/></td>
                    </tr>
                    <tr class="table_entete">
                      <td>exig&eacute;e<br />
                      <a href="adm_presence_controle.php?tri=exige_asc"><img src="images/fleche_haut.png" alt="tri ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_controle.php?tri=exige_desc"><img src="images/fleche_bas.png" alt="tri descendant" width="11" height="11" border="0" /></a></td>
                      <td>convocations<br />
                        <a href="adm_presence_controle.php?tri=convoc_asc"><img src="images/fleche_haut.png" alt="tri ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_controle.php?tri=convoc_desc"><img src="images/fleche_bas.png" alt="tri descendant" width="11" height="11" border="0" /></a><br /></td>
                      <td>absences injustifi&eacute;es <br />
                      <a href="adm_presence_controle.php?tri=absent_asc"><img src="images/fleche_haut.png" alt="tri ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_controle.php?tri=absent_desc"><img src="images/fleche_bas.png" alt="tri descendant" width="11" height="11" border="0" /></a></td>
                      <td>absences excus&eacute;es<br />
                      <a href="adm_presence_controle.php?tri=exc_asc"><img src="images/fleche_haut.png" alt="tri ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_controle.php?tri=exc_desc"><img src="images/fleche_bas.png" alt="tri descendant" width="11" height="11" border="0" /></a></td>
                      <td>effectu&eacute;e<br />                        <a href="adm_presence_controle.php?tri=bilan_asc"><img src="images/fleche_haut.png" alt="tri par bilan ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_controle.php?tri=bilan_desc"><img src="images/fleche_bas.png" alt="tri par bilan descendant" width="11" height="11" border="0" /></a></td>
                      <td>D&eacute;ficit(-)<br />
                        Exc&eacute;dent(+)<a href="adm_presence_controle.php?tri=difference_asc"><br />
                      <img src="images/fleche_haut.png" alt="tri par bilan ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_controle.php?tri=difference_desc"><img src="images/fleche_bas.png" alt="tri par bilan descendant" width="11" height="11" border="0" /></a></td>
                    </tr>

                    <?php  afficheListeStagiaires($h) ?>
                  </table>
		          <table align="center">
                    <tr align="center" valign="top">
                      <td><input name="filtre_spe2" type="checkbox" id="filtre_spe2" value="checkbox"  <?php if ($adm_presence_controle_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                        <a href="javascript:popUp('adm_filtre_absence_popup.php?url_ret=adm_presence_controle.php','console',600,500);">Utiliser filtre</a> </td>
                      <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                          <input name="filtre2" type="text" id="filtre2" value="<?php print htmlentities($filtre_adm_presence_controle,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                      <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                      <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                      <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />
                      </td>
                      <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />
                      </td>
                      <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />
                      </td>
                      <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />
                      </td>
                      <td><select name="menu_page" onchange="sauteMenu(this)">
                          <?php affichepages()?>
                        </select>
                      </td>
                      <td><input name="valider" type="submit" class="bouton_enregistre" value="valider" /></td>
                      <td><p><b>
                          <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                      </b></p></td>
                    </tr>
                  </table>
            </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_presence_controle?>">retour</a></li>
		  			<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
