<?php
/* 
	Les quotits en vigueur
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_quotites=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_quotites']=$url_ret_adm_quotites;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_quotites'])) {
		$url_ret_adm_quotites=$_SESSION['circonscript7_url_ret_adm_quotites'];
	}
	else $url_ret_adm_quotites="administration.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	$modifications_possibles=1;		
	$h=connect();
	$id_modifier=0;

	while (isset($_POST['Restaurer'])) {
		$n=queryValue("SELECT COUNT(*) FROM quotites",$h);
		if ($n!=0) {
			$erreur="La restauration des quotits par dfaut n'est possible que si aucune quotit n'est dfinie; effacez d'abord les quotits existantes.";
			break;
		}
		genereQuotites($h);
		break;
	}
	if (isset($_POST['Valider'])) {
		$modifications_possibles=0;
		$quotite=normaliseQuot($_POST['quotite']);
		if ($quotite!='') {
			$q="SELECT COUNT(*) FROM quotites";
			$r=query($q,$h);
			if ($r) {
				$count=@mysqli_fetch_row($r);
				if ($count[0]<99) {
					$quotite=myEscapeString($h,$quotite);
					$q="INSERT INTO quotites(quotite) VALUES (\"$quotite\")";
					$r=query($q,$h);
				}
			}
		}
	}
	else if (isset($_POST['commande'])&& $_POST['commande']=='supprimer' && isset($_POST['supprime'])) {
		$modifications_possibles=0;
		$id_modifier=0;
		foreach($_POST['supprime'] as $id_quotite) {
			$id_quotite=intval($id_quotite);
			$q="DELETE FROM quotites WHERE id_quotite=$id_quotite";
			query($q,$h);
			if ($erreur!='') break;
			
		}
	}
	else if(isset($_POST['Modifier'])) while(1){
		$modifications_possibles=0;
		$id_quotite=abs(intval($_POST['id_modifier']));
		$q="SELECT quotite FROM quotites WHERE id_quotite=$id_quotite";
		$r=query($q,$h);
		$row=@mysqli_fetch_row($r);
		if ($row[0]=='') {
			$erreur="quotit inconnue";
			break;
		}
		$quotite=normaliseQuot($_POST['quotite']);
		if ($quotite=='') break;
		$n=queryValue("SELECT COUNT(*) FROM quotites",$h);
		if ($n ) {
			$q=sprintf("UPDATE quotites SET quotite='%3.2f' WHERE id_quotite=$id_quotite",$quotite);
			query($q,$h);
		}

		break;
	}
	else if (isset($_POST['undo'])) {
		$id_modifier=0;
	}
	else if (isset($_GET['Modifier'])) {
		$id_modifier=abs(intval($_GET['Modifier']));
	}
	
//---------------------Sous programmes
function normaliseQuot($q)
{
	global $erreur;
	$q=decimal(normaliseT($q,6));
	if ($q==''|| $q<=0 || $q>100) {
		$erreur.="Quotit incorrecte. ";
		$q="";
	}
	return $q;
}
function genereQuotites($h)
{
		
	$quotites=array('100.00','80.00','77.78','75.00','66.67','50.00');
	for ($i=0;$i<sizeof($quotites);++$i) {
		$lib=$quotites[$i];
		$q="INSERT INTO quotites(quotite) VALUES ('$lib')";
		query($q,$h);
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
		<script type="text/javascript">
		<!--			
			function cocheTout(obj)
			{
			  // on rcupre le formulaire des objets  modifier
			  leForm = obj.form
			
			  laListe = leForm["supprime[]"]
			
			  if (laListe != null){
				if (laListe.length != null){
				  // on modifie tous les lments
				  for(i=0; i < laListe.length; i++) {
					laListe[i].checked = obj.checked
				  }
				} else {
				  laListe.checked = obj.checked
				}
			  }
			}
			function confirme()
			{
			  
			  leForm = document.formulaire;
			  laListe = leForm["supprime[]"];
				n=0;
				if (laListe != null) {
					if (laListe.length != null) {
						for (i=0;i<laListe.length; ++i) if (laListe[i].checked) ++n;
					}
					else {
						if (laListe.checked) ++n;
					}
				}
				if (n==0) alert("Il faut cocher les quotites  supprimer");
				else {
					b=window.confirm("Voulez-vous vraiment suprimer les quotites cochs ?");
					if (b) {	
						document.formulaire.commande.value='supprimer';
						document.formulaire.submit();
					}
				}				
			}
		//-->	
		</script>					
		
	</head>
	<body>
	<div id="conteneur">

	 <?php 
		include('menu_principal.inc.php');
		
	?>
	<div class="menu_secondaire">
	<ul class="menu2">
	  <li><a href="<?php print $url_ret_adm_quotites?>">retour</a></li>
	  <li><a href="#bas">bas</a></li>
	</ul>
	</div>
	<div id="corps">
	<h1>Les quotit&eacute;s en vigueur </h1>
	<?php 	
		if ($erreur) printf("<p class=\"erreur\">%s</p>\r\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15')); 
		$q="SELECT * FROM quotites ORDER BY quotite DESC";
		$r=query($q,$h);                                                  
	?>
	<form name="form1" method="post" action="">
      <input name="Restaurer" type="submit" class="bouton_standard" id="Restaurer" value="Restaurer les quotit&eacute;s par d&eacute;faut" />
    </form>
	<form name="formulaire" method="post" action="" >
	<table>
      <tr class="table_entete">
        <td>Valeur</td>
        <td>Modifie</td>
		<td>Suppr.<input type="checkbox" name="cochetout" value="0" onclick="cocheTout(this)" /></td>
      </tr>
      <?php
	$tri=0;
	$count=0;
	$modifier=array();
	while ($row=@mysqli_fetch_array($r)) {
	  	
		print "<tr class=\"survol\" >\r\n";
		print " <td>";
		printf("%3.2f", $row['quotite']);
		print "</td>\r\n";
		print " <td class=\"controle\">";
	  	printf ("<a href=\"adm_quotites.php?Modifier=%s\"><img src=\"images/b_edit.png\" alt=\"Edite\" /></a>",$row['id_quotite']);
		print "</td>\r\n";
		print " <td class=\"controle\">";
	  	printf ("<input type=\"checkbox\" name=\"supprime[]\" value=\"%s\" />",$row['id_quotite']);
		//print "<a href=\"\"><img src=\"images/b_supprime.png\" alt=\"supprimer\" /></a>";
		print "</td>\r\n";
		print "</tr>\r\n";
		if ($modifications_possibles && $id_modifier==$row['id_quotite']) 
			$modifier=$row;
		++$count;
	}
	// Ajoute une nouvelle ligne
	if (count($modifier)==0) 
		if ($count<99) {
			print "<tr>\r\n";
			print " <td>";
		 	print "<input type=\"text\" name=\"quotite\" size=\"50\" maxlength=\"100\" />";
			print "</td>\r\n";
			print " <td class=\"controle\">";
			print  "<input name=\"Valider\" class=\"bouton_ajoute\" type=\"submit\" value=\"Ajouter\"/>";
			print "</td>\r\n";
		}
		else {
			print "<tr>\r\n";
			print " <td>";
			print "<h4>Limite maximale atteinte</h4>";
			print "</td>\r\n";
			print " <td>";
			print "<p>&nbsp;</p>";
			print "</td>\r\n";
		}
	else {
		print "<tr>\r\n";
		print " <td>";
		printf( "<input type=\"text\" name=\"quotite\" value=\"%s\" size=\"50\" maxlength=\"100\" />",htmlspecialchars($modifier['quotite'],ENT_COMPAT,'ISO-8859-15'));
		print "</td>\r\n";
		print " <td class=\"controle\">";
		print  "<input name=\"Modifier\" class=\"bouton_editer\" type=\"submit\" value=\"Modifier\"/>";
		print "</td>\r\n";
	}
	print " <td class=\"controle\">";
	if (count($modifier)==0) print "<input name=\"supprimer\" type=\"button\" class=\"bouton_supprimer\" value=\"Supprimer\" onclick=\"confirme()\" />\n";
	else print "<input name=\"undo\" type=\"submit\" class=\"bouton_undo\" value=\"D&eacute;faire\" />\n";
	print "</td>\r\n";
	print "</tr>\r\n";
	 ?>
    </table>
	<input type="hidden" name="id_modifier" value="<?php print htmlentities($id_modifier,ENT_COMPAT,'ISO-8859-15')?>" />
	<input name="commande" type="hidden" id="commande" value="0" />
	</form>
	
	</div>
	<div class="menu_secondaire">
	<ul class="menu2">
	  <li><a href="<?php print $url_ret_adm_quotites?>">retour</a></li>
	  <li><a href="#haut">haut</a></li>
	</ul>
	</div>
	<a name="bas" id="bas"></a></div>
	<?php if (isset($_POST['Valider'])||$id_modifier>0) { ?>
	<script language="javascript" type="text/javascript" >
		document.location.href="#bas";
		document.formulaire.quotite.select();
	</script>
	<?php } ?>
	</body>
</html>
