<?php
/* 
	Menu circo - configuration gnrale 
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  
	require('_fonctions_mdp.inc.php');
	require '_sqlconnect.inc.php';
	$h=connect();
	ejecteSiFerme($h);
	$erreur="";
	debugInit();
	
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo==1 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_stagiaire_confirme=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_stagiaire_confirme']=$url_ret_adm_stagiaire_confirme;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_stagiaire_confirme'])) {
		$url_ret_adm_stagiaire_confirme=$_SESSION['circonscript7_url_ret_adm_stagiaire_confirme'];
	}
	else $url_ret_adm_stagiaire_confirme="adm_circo_bienvenue.php";
	if (!isset($_SESSION['circonscript7_adm_stagiaire_edite_stagiaire'])) {
		header('Location: erreur.php?erreur=expiree');
		exit;
	}
	$t=$_SESSION['circonscript7_adm_stagiaire_edite_stagiaire'];
	$ecole=queryValue("SELECT ecoles.nom FROM ecoles WHERE id_ecole=".$t['id_ecole'],$h);
	if (isset($_POST['btNon'])) {
		unset($_SESSION['circonscript7_adm_stagiaire_edite_stagiaire']);
		header('Location: adm_stagiaire_edite.php');
		exit;
	}
	while (isset($_POST['btOui'])) {
		$info='';
		$id_uti=attribuerCompte(0,$t['login'],$t['mdp'],$info,$h,0,false,$sso_login);
		if ($erreur) break;
		if (!$id_uti) {
			$erreur.=" Impossible de crer le compte utilisateur.";
			break;
		}
		$q=sprintf("INSERT INTO stagiaires (nom, prenom, nom_f,prenom_f,niveau, courriel, id_ecole, quotite,quota,quota_reel,anonyme,id_groupe,id_uti) VALUES('%s','%s','%s','%s','%s','%s','%d','%.2f','%.2f','%.2f','%d','%d','%d');",myEscapeString($h,$t['nom']),myEscapeString($h,$t['prenom']),myEscapeString($h,$t['nom_f']),myEscapeString($h,$t['prenom_f']),myEscapeString($h,$t['niveau']),myEscapeString($h,$t['courriel']),$t['id_ecole'],$t['quotite'],$t['quota'],$t['quota_reel'],$t['anonyme'],$t['id_groupe'],$id_uti);
		query($q,$h);
		if ($erreur) break;
		$id_stagiaire=@mysqli_insert_id($h);
		if (!$t['valider'])  $id_stagiaire=0;
		
		$_SESSION['circonscript7_adm_stagiaire_edite_id_stagiaire']=$id_stagiaire;
		header("Location: adm_stagiaire_edite.php?id_stagiaire=$id_stagiaire");
		exit;

		
	}
	
function afficherCompte($id_uti,$h)
{
	if (!$id_uti) {
		header('Location: erreur.php?erreur=utilisateur');
		exit;
	}
	$login=queryValue("SELECT login FROM utilisateurs WHERE id_uti=$id_uti",$h);
	print "<h3>Identifiant: $login</h3>\n";
	$r=query("SELECT id_stagiaire FROM stagiaires WHERE id_uti=$id_uti",$h);
	$id_stagiaires=array();
	while ($row=@mysqli_fetch_row($r)) $id_stagiaires[]=$row[0];
	if (count($id_stagiaires>0)) {
		print "<h2>Acc&egrave;s enseignant</h2>\n";
		print "<ul class=\"fleche\">\n";
		foreach($id_stagiaires as $id_stagiaire) {
			$r=query("SELECT concat(stagiaires.nom,' ',stagiaires.prenom), ecoles.nom, circos.libelle FROM stagiaires, ecoles,circos WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=circos.id_circo",$h);
			$nbi=queryValue("SELECT COUNT(*) FROM inscriptions WHERE id_stagiaire=$id_stagiaire",$h);
			$nbc=queryValue("SELECT COUNT(*) FROM convocations WHERE id_stagiaire=$id_stagiaire",$h);
			while ($row=@mysqli_fetch_row($r)) {
				printf("<li><p>%s %s (%s) inscriptions: %d, convocations: %d</p></li>\n", htmlentities($row[0],ENT_COMPAT,'ISO-8859-15'),htmlentities($row[1],ENT_COMPAT,'ISO-8859-15'),htmlentities($row[2],ENT_COMPAT,'ISO-8859-15'),$nbi,$nbc);
			}
		}
		print "</ul>\n";
	}
	$r=query("SELECT id_intervenant FROM intervenants WHERE id_uti=$id_uti",$h);
	$id_intervenants=array();
	while ($row=@mysqli_fetch_row($r)) $id_intervenants[]=$row[0];
	if (count($id_intervenants)>0) {
		print "<h2>Acc&egrave;s intervenant</h2>\n";
		print "<ul class=\"fleche\">\n";
		foreach($id_intervenants as $id_intervenant) {
			$r=query("SELECT concat(intervenants.nom,' ',intervenants.prenom), ouvert FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
			while ($row=@mysqli_fetch_row($r)) {
				printf("<li><p>%s [accs %s]</p></li>\n", htmlentities($row[0],ENT_COMPAT,'ISO-8859-15'),$row[1]==1?'ouvert':'ferm');
			}
		}
		print "</ul>\n";
	}
	$r=query("SELECT id_admin FROM administrateurs WHERE id_uti=$id_uti",$h);
	$id_admins=array();
	while ($row=@mysqli_fetch_row($r)) $id_admins[]=$row[0];
	if (count($id_admins)>0) for ($i=0;$i<count($id_admins);++$i){
		$id_admin=$id_admins[$i];
		$type=queryValue("SELECT type_admin FROM administrateurs WHERE id_admin=$id_admin",$h);
		if ($type==1) { //admin principal 
			print "<h2>Acc&egrave;s administrateur principal</h2>\n";
			print "<ul class=\"fleche\">\n";
			print "<li><p>Administration gnrale</p></li>\n";
			print "</ul>\n";
		}	
		else {
			print "<h2>Acc&egrave;s administrateur de circos</h2>\n";
			print "<ul class=\"fleche\">\n";
			$r=query("SELECT circos.libelle FROM circos, droits WHERE droits.id_admin=$id_admin AND droits.id_circo=circos.id_circo ORDER BY circos.libelle",$h);
			while ($row=@mysqli_fetch_row($r)) 
				printf("<li><p>%s</p></li>\n", htmlentities($row[0],ENT_COMPAT,'ISO-8859-15'));
			print "</ul>\n";
		}
	}
	
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>"; 
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_stagiaire_confirme?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps">
	  <h1>Cet utilisateur existe dj...</h1>
	  <div class="alaffiche">
	  <?php afficherCompte($t['id_uti'],$h);?>
	  </div>
	<form name="form" method="post" action="">	  
	<h2>Voulez-vous vraiment lui affecter le nouvel acc&egrave;s &quot;enseignant&quot; (compte "stagiaire") ci-dessous ?</h2>
	<p>Le nouveau compte s'ajoute &agrave;  ceux qui existent d&eacute;j&agrave;. </p>
	<?php printf("<ul class=\"fleche\"><li>%s %s (%s)</li></ul>",$t['nom'],$t['prenom'],$ecole);?>
	<p><input type="submit" value="OUI, je valide" class="bouton_standard" name="btOui"/>
	&nbsp;&nbsp;
	  <input type="submit" value="NON, annuler cette affectation" class="bouton_standard" name="btNon"/>
	  </p>
	 <p><?php
		if (isset($t['valider'])) 
			print $t['valider']?"Si vous validez, vous passerez ensuite en mode d'dition. ":"Si vous validez, vous passerez ensuite en mode 'ajout'. ";
	?>	
	 Si vous annulez, vous retournerez  une fiche vierge. 
	 </p>
	  </form>
	</div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_stagiaire_confirme?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>