<?php
/*	
	Liste de tous les stagiaires
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_stagiaire_tous_liste=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_stagiaire_tous_liste']=$url_ret_adm_stagiaire_tous_liste;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_stagiaire_tous_liste'])) {
		$url_ret_adm_stagiaire_tous_liste=$_SESSION['circonscript7_url_ret_adm_stagiaire_tous_liste'];
	}
	else $url_ret_adm_stagiaire_tous_liste="administration.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	//diffrents tris en cours
	$tris=array(
		'nom_asc'=> 'nom_stagiaire ASC, nom_ecole ASC',
		'nom_desc' => 'nom_stagiaire DESC, nom_ecole ASC',
		'ecole_asc'=>'nom_ecole ASC, nom_stagiaire ASC',
		'ecole_desc'=>'nom_ecole DESC,nom_stagiaire ASC',
		'circo_asc'=>'circo ASC, nom_stagiaire ASC',
		'circo_desc'=>'circo DESC,nom_stagiaire ASC',
		'niveau_asc'=>'niveau ASC, nom_stagiaire ASC',
		'niveau_desc'=>'niveau DESC, nom_stagiaire ASC',
		'quotite_desc'=>'quotite DESC, nom_stagiaire ASC',
		'quotite_asc'=>'quotite ASC, nom_stagiaire ASC',
		'quota_desc'=>'quota_reel DESC, nom_stagiaire ASC',
		'quota_asc'=>'quota_reel ASC, nom_stagiaire ASC',
		'groupe_asc'=>'groupe ASC, nom_stagiaire ASC',
		'groupe_desc'=>'groupe DESC, nom_stagiaire ASC'
	);
	if (isset($_SESSION['circonscript7_filtre_tous_where'])) $filtre_tous_where=$_SESSION['circonscript7_filtre_tous_where'];
	else $filtre_tous_where='';
	if (isset($_SESSION['circonscript7_filtre_tous_actif'])) $filtre_tous_actif=$_SESSION['circonscript7_filtre_tous_actif'];
	else $filtre_tous_actif=0;
	if ($filtre_tous_actif==1) {
		$adm_stagiaire_tous_liste_filtre_tous=1;
		$_SESSION['circonscript7_adm_stagiaire_tous_liste_filtre_tous']=$adm_stagiaire_tous_liste_filtre_tous;
		$filtre_tous_actif=0;
		$_SESSION['circonscript7_filtre_tous_actif']=$filtre_tous_actif;
	}
	else if ($filtre_tous_actif==2) { // supprimer filtre
		$adm_stagiaire_tous_liste_filtre_tous=0;
		$_SESSION['circonscript7_adm_stagiaire_tous_liste_filtre_tous']=$adm_stagiaire_tous_liste_filtre_tous;
		$filtre_tous_actif=0;
		$_SESSION['circonscript7_filtre_tous_actif']=$filtre_tous_actif;
	}
	if (isset($_SESSION['circonscript7_adm_stagiaire_tous_liste_filtre_tous'])) $adm_stagiaire_tous_liste_filtre_tous=$_SESSION['circonscript7_adm_stagiaire_tous_liste_filtre_tous'];
	else $adm_stagiaire_tous_liste_filtre_tous=0;
	
	if (isset($_POST['page'])) { // test sur page pour savoir si on a fait un POST
		$f1=isset($_POST['filtre_spe1'])?1:0;
		$f2=isset($_POST['filtre_spe2'])?1:0;
		if ($f1==$f2) {
			if ($adm_stagiaire_tous_liste_filtre_tous!=$f1) {
				$adm_stagiaire_tous_liste_filtre_tous=$f1;
				$_SESSION['circonscript7_adm_stagiaire_tous_liste_filtre_tous']=$adm_stagiaire_tous_liste_filtre_tous;
			}
		}
		else {
			$adm_stagiaire_tous_liste_filtre_tous=!$adm_stagiaire_tous_liste_filtre_tous;
			$_SESSION['circonscript7_adm_stagiaire_tous_liste_filtre_tous']=$adm_stagiaire_tous_liste_filtre_tous;
		}
   }

	if (isset($_GET['tri'])) {
		$tri_adm_stagiaire_tous_liste=$tris[$_GET['tri']];
		if (!isset($tri_adm_stagiaire_tous_liste)) $tri_adm_stagiaire_tous_liste=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_stagiaire_tous_liste']=$tri_adm_stagiaire_tous_liste;
		$requete=1;
		if ($_GET['tri']=='inscrit_asc' || $_GET['tri']=='inscrit_desc') $requete=2;
		$_SESSION['circonscript7_requete']=$requete;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_stagiaire_tous_liste'])) {
		$tri_adm_stagiaire_tous_liste=$_SESSION['circonscript7_tri_adm_stagiaire_tous_liste'];
		$requete=$_SESSION['circonscript7_requete'];
	}
	else {
		$tri_adm_stagiaire_tous_liste=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_stagiaire_tous_liste']=$tri_adm_stagiaire_tous_liste;
		$requete=1;
		$_SESSION['circonscript7_requete']=$requete;
	}	
	if (isset($_SESSION['circonscript7_filtre_adm_stagiaire_tous_liste'])) 
		$filtre_adm_stagiaire_tous_liste=$_SESSION['circonscript7_filtre_adm_stagiaire_tous_liste'];
	else $filtre_adm_stagiaire_tous_liste='';
   
   if (isset($_POST['chercher'])) {
		if (isset($_POST['filtre1'])) {
			$filtre1=normalise($_POST['filtre1']);
		}
		else $filtre1='';
		if (isset($_POST['filtre2'])) {
			$filtre2=normalise($_POST['filtre2']);
		}
		else $filtre2='';
		if( $filtre1!=$filtre_adm_stagiaire_tous_liste) $filtre_adm_stagiaire_tous_liste=$filtre1;
		else $filtre_adm_stagiaire_tous_liste=$filtre2;
		$_SESSION['circonscript7_filtre_adm_stagiaire_tous_liste']=$filtre_adm_stagiaire_tous_liste;    		
   }
   else if (isset($_POST['actualise'])) {
		$filtre_adm_stagiaire_tous_liste='';
		$_SESSION['circonscript7_filtre_adm_stagiaire_tous_liste']=$filtre_adm_stagiaire_tous_liste;
   }
	$taille=30;
	// Nombre de pages
	$q="SELECT COUNT(*) FROM stagiaires";
	$nb_stagiaires=queryValue($q,$h);
	if ($filtre_adm_stagiaire_tous_liste) {
		$filtre2=myLikeEscapeString($h,normaliseNom($filtre_adm_stagiaire_tous_liste));
		$q.= " WHERE (stagiaires.nom_f LIKE '%$filtre2%' OR stagiaires.prenom_f LIKE '%$filtre2%' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '%$filtre2%' OR CONCAT(stagiaires.nom,' ',stagiaires.prenom) LIKE '%filtre2')";
	}
	$nb_elements=queryValue($q,$h);	
   	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	if (isset($_SESSION['circonscript7_adm_stagiaire_tous_liste_page'])) $page=$_SESSION['circonscript7_adm_stagiaire_tous_liste_page'];
	else $page=0;
	if (isset($_SESSION['circonscript7_filtre_bascule']) && $_SESSION['circonscript7_filtre_bascule']==1) {
		$page=0;
		$filtre_bascule=0;
		$_SESSION['circonscript7_filtre_bascule']=$filtre_bascule;
	}
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   	if (--$page<0) $page=0;
   }
	$adm_stagiaire_tous_liste_page=$page;
	$_SESSION['circonscript7_adm_stagiaire_tous_liste_page']=$adm_stagiaire_tous_liste_page;
	
function affichepages()
{
	global $nb_pages, $page,$id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_stagiaire_tous_liste.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}

function afficheListeStagiaires($h)
{
	global $tri_adm_stagiaire_tous_liste,$requete,$filtre_adm_stagiaire_tous_liste,$page,$taille, $filtre_tous_where,$adm_stagiaire_tous_liste_filtre_tous;
	$impair=0;
	$f=normaliseNom($filtre_adm_stagiaire_tous_liste);
	$q="SELECT stagiaires.id_stagiaire, concat( stagiaires.nom, ' ', stagiaires.prenom ) AS nom_stagiaire, ecoles.nom AS nom_ecole, circos.libelle as circo, stagiaires.niveau, quotite,quota_reel, groupes.libelle as groupe
	FROM (stagiaires,ecoles, circos)
	LEFT JOIN groupes ON stagiaires.id_groupe=groupes.id_groupe
	WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=circos.id_circo";
	if ($filtre_adm_stagiaire_tous_liste) 
	$q.=" AND (stagiaires.nom_f LIKE '%$f%' OR stagiaires.prenom_f LIKE '%$f%' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '%$f%')";
	if ($filtre_tous_where && $adm_stagiaire_tous_liste_filtre_tous) $q.=" AND $filtre_tous_where";
	if ($tri_adm_stagiaire_tous_liste) $q.=" ORDER BY ".$tri_adm_stagiaire_tous_liste;
	$lim=$page*$taille;
	$q.=" LIMIT $lim,$taille";
	$r=query($q,$h);
	if (($nb_stagiaires=@mysqli_num_rows($r))==0) {
		return;
	}
	while ($row=@mysqli_fetch_array($r)) {
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		//print("<td>&nbsp;</td>\n");
		$id_stagiaire=$row[0];
		printf("<td><a href=\"adm_adm_stagiaire_edite.php?id_stagiaire=$id_stagiaire&amp;url_ret=adm_stagiaire_tous_liste.php\">%s</a></td>\n",htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		
		//printf("<td>%s</td>\n",htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities(substr($row['niveau'],1,strlen($row['niveau'])-2),ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		$groupe=$row['groupe'];
		if (strlen($groupe)>=32) $groupe=substr($groupe,0,29).'...';
		printf("<td>%s</td>\n",htmlentities($groupe,ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities($row['circo'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%.2f</td>\n",$row['quotite']);
		printf("<td>%s</td>\n",reelEnHeure($row['quota_reel']));
		print "</tr>\n";
	}
}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form

  laListe = leForm["convoque[]"]

  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}
//-->
        </script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_stagiaire_tous_liste?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="adm_adm_stagiaire_edite.php?id_stagiaire=0">ajout</a></li>
				</ul>
			</div>
		  <div id="corps">
		    <h2>Liste des stagiaires  (
	        <?php print $nb_stagiaires?>)</h2>
		      <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>
		    <form method="post" action="">
				  <input type="hidden" name="page" value="<?php print htmlentities($page,ENT_COMPAT,'ISO-8859-15')?>"/>
				<table align="center">
                  <tr align="center" valign="top">
                    <td><input name="filtre_spe1" type="checkbox" value="checkbox"  <?php if ($adm_stagiaire_tous_liste_filtre_tous) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                      <a href="javascript:popUp('adm_filtre_tous_popup.php?url_ret=adm_stagiaire_tous_liste.php','console',600,500);">Utiliser filtre</a></td>
                    <td><div align="right">Chercher sur nom/pr&eacute;nom: &nbsp;
                      <input name="filtre1" type="text" id="filtre1" value="<?php print htmlentities($filtre_adm_stagiaire_tous_liste,ENT_COMPAT,'ISO-8859-15')?>" />
                    </div></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><div align="right">
                      <input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" />
                    </div></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                      </b></p></td>
                  </tr>
                </table>

 
			    <table>
                  <tr class="table_entete">
                    <td>Nom stagiaire&nbsp; <a href="adm_stagiaire_tous_liste.php?tri=nom_asc"><img src="images/fleche_haut.png" alt="tri par nom ascendant" width="11" height="11" border="0" /></a><a href="adm_stagiaire_tous_liste.php?tri=nom_desc"><img src="images/fleche_bas.png" alt="tri par nom descendant" width="11" height="11" border="0" /></a></td>
                    <td>Niveau&nbsp;<br />
                    <a href="adm_stagiaire_tous_liste.php?tri=niveau_asc"><img src="images/fleche_haut.png" alt="tri par niveau ascendant" width="11" height="11" border="0" /></a><a href="adm_stagiaire_tous_liste.php?tri=niveau_desc"><img src="images/fleche_bas.png" alt="tri par niveau descendant" width="11" height="11" border="0" /></a></td>
                    <td>Ecole&nbsp;<a href="adm_stagiaire_tous_liste.php?tri=ecole_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_stagiaire_tous_liste.php?tri=ecole_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a></td>
                    <td>Groupe<a href="adm_stagiaire_tous_liste.php?tri=groupe_asc"><br />
                    <img src="images/fleche_haut.png" alt="tri par groupe ascendant" width="11" height="11" border="0" /></a><a href="adm_stagiaire_tous_liste.php?tri=groupe_desc"><img src="images/fleche_bas.png" alt="tri par groupe  descendante" width="11" height="11" border="0" /></a></td>
                    <td>Circo<a href="adm_stagiaire_tous_liste.php?tri=circo_asc"><img src="images/fleche_haut.png" alt="tri par circo ascendant" width="11" height="11" border="0" /></a><a href="adm_stagiaire_tous_liste.php?tri=circo_desc"><img src="images/fleche_bas.png" alt="tri par circo descendant" width="11" height="11" border="0" /></a></td>
                    <td>Quotit&eacute;<br />
                    <a href="adm_stagiaire_tous_liste.php?tri=quotite_asc"><img src="images/fleche_haut.png" alt="tri par quotit&eacute; ascendante" width="11" height="11" border="0" /></a><a href="adm_stagiaire_tous_liste.php?tri=quotite_desc"><img src="images/fleche_bas.png" alt="tri par quotit&eacute; descendante" width="11" height="11" border="0" /></a></td>
                    <td>Quota&nbsp;<a href="adm_stagiaire_tous_liste.php?tri=quota_asc"><br />
                    <img src="images/fleche_haut.png" alt="tri par quota ascendant" width="11" height="11" border="0" /></a><a href="adm_stagiaire_tous_liste.php?tri=quota_desc"><img src="images/fleche_bas.png" alt="tri par quota descendant" width="11" height="11" border="0" /></a></td>
                  </tr>
				<?php  afficheListeStagiaires($h) ?>
				</table>
			    <table align="center">
                  <tr align="center" valign="top">
                    <td><input name="filtre_spe2" type="checkbox" id="filtre_spe2" value="checkbox"  <?php if ($adm_stagiaire_tous_liste_filtre_tous) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                      <a href="javascript:popUp('adm_filtre_tous_popup.php?url_ret=adm_stagiaire_tous_liste.php','console',600,500);">Utiliser filtre</a></td>
                    <td><div align="right">Chercher sur nom/pr&eacute;nom: &nbsp;
                      <input name="filtre2" type="text" id="filtre2" value="<?php print htmlentities($filtre_adm_stagiaire_tous_liste,ENT_COMPAT,'ISO-8859-15')?>" />
                    </div></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" id="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" id="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                     </b></p></td>
                  </tr>
                </table>
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_stagiaire_tous_liste?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="adm_adm_stagiaire_edite.php?id_stagiaire=0">ajout</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
