<?php
/*	
	Menu stagiaires
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');  
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_stagiaires=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_stagiaires']=$url_ret_adm_stagiaires;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_stagiaires'])) {
		$url_ret_adm_stagiaires=$_SESSION['circonscript7_url_ret_adm_stagiaires'];
	}
	else $url_ret_adm_stagiaires="adm_circo_bienvenue.php";
	$_SESSION['circonscript7_session_menu_page']=3;
	require '_sqlconnect.inc.php';
	$h=connect();
	ejecteSiFerme($h);
	$erreur="";
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
		<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>"; 
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_stagiaires?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps">	 
	  <h1>Les stagiaires	</h1>
	  <h2><a href="adm_stagiaire_liste.php?url_ret=adm_stagiaires.php">Editer la liste des</a><a href="adm_stagiaire_liste.php?url_ret=adm_stagiaires.php"> stagiaires </a></h2>
	  <p>Pour voir, modifier, ajouter ou supprimer des fiches stagiaires, et pour rechercher des doublons. </p>
	  <h2><a href="adm_stagiaire_edite.php?id_stagiaire=0&amp;url_ret=adm_stagiaires.php">Ajouter de nouveaux stagiaires</a></h2>
	  <h2><a href="adm_quota_modif.php">R&egrave;gles de gestion des heures dues </a></h2>
	  <p>Permet de moduler le nombre d'heures d'animations p&eacute;dagogiques &agrave; faire, selon certains crit&egrave;res (&eacute;cole, fonction, etc...) </p>
	  <?php if ($type_circo==0):?>
	  <h2><a href="adm_groupes_stagiaires.php?url_ret=adm_stagiaires.php">Affecter les stagiaires &agrave; des groupes</a> </h2>
	  <p>Traitement par lot. </p>
	  <?php endif?>
	  <h1>Courriels</h1>
	  <h2><a href="adm_courriels_stagiaires.php?url_ret=adm_stagiaires.php">Envoi direct de courriels aux stagiaires de la circo </a></h2>
	  <p>Ainsi qu'aux &eacute;coles o&ugrave; les stagiaires sont rattach&eacute;s.</p>
	  <h2><a href="adm_publi_parametres.php">Publipostage: envoi des param&egrave;tres de connexion aux stagiaires</a></h2>
	  <p>Sera envoy&eacute;: adresse du site, circonscription, nom, pr&eacute;nom, &eacute;cole de rattachement, mot de passe de connexion.</p>
	  <h2><a href="adm_publi_parametres_ecoles1.php">Publipostage: envoi, aux &eacute;coles, des param&egrave;tres de connexion des stagiaires</a></h2>
	  <p>Sera envoy&eacute;: nom, pr&eacute;nom, courriel, mot de passe &eacute;ventuel, de chaque enseignant rattach&eacute; &agrave; l'&eacute;cole. </p>
	  <h1>Exportations, importations </h1>
	  <h2><a href="adm_stagiaires_export.php">Exporter la liste des stagiaires </a></h2>
	  <h2><a href="adm_stagiaires_importe.php?url_ret=adm_stagiaires.php">Importer des stagiaires via un csv</a></h2>
	  <p>Importe aussi les &eacute;coles si souhait&eacute;. </p>
	</div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_stagiaires?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>