<?php
/*	
	Suivi des inscriptions et convocations
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_suivi=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_suivi']=$url_ret_suivi;
	}
	else if (isset($_SESSION['circonscript7_url_ret_suivi'])) {
		$url_ret_suivi=$_SESSION['circonscript7_url_ret_suivi'];
	}
	else $url_ret_suivi="adm_convocations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$_SESSION['circonscript7_annee']=0;
	$h=connect();
	ejecteSiFerme($h);
	automatisationCirco($id_circo,$h);
	$n_tot=queryValue("SELECT COUNT(*) FROM stagiaires, ecoles WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	$nb_inscr_mini=queryValue("SELECT COUNT(DISTINCT inscriptions.id_stagiaire) FROM inscriptions, stagiaires,ecoles WHERE inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	$nb_conv_mini=queryValue("SELECT COUNT(DISTINCT convocations.id_stagiaire) FROM convocations, stagiaires,ecoles WHERE convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	
	debugInit();
	if (isset($_SESSION['circonscript7_adm_suivi_test_date'])) $test_date=$_SESSION['circonscript7_adm_suivi_test_date'];
	else $test_date=0;
	if (isset($_SESSION['circonscript7_adm_suivi_date'])) $date=$_SESSION['circonscript7_adm_suivi_date'];
	else $date='';
	if (isset($_POST['btDate'])) {
		$test_date=0;
		if (isset($_POST['selDate'])) $test_date=intval($_POST['selDate']);
		if ($test_date<0) $test_date=0;
		else if ($test_date>5) $test_date=0;	
		$date='';
		if ($test_date>0&&$test_date<4) {
			if (isset($_POST['edDate'])) $date=$_POST['edDate'];
			if ($date!='') $date=dateSaisieEnSql($date);			
			if ($date=='') 
				$erreur.="Date incorrecte. ";
			
		}
		if ($test_date>=4) $date='';
		else if ($date=='') $test_date=0;
		if (!$erreur) {
			$_SESSION['circonscript7_adm_suivi_test_date']=$test_date;
			$_SESSION['circonscript7_adm_suivi_date']=$date;
		}
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function ouvre(adr)
			{
				win=window.open(adr,'Liste_des_stagiaires','toolbar=no,status=yes,menubar=no,scrollbars=yes,resizable=yes,width=700,height=580');	
				win.focus();
			}
			function ouvreLien(url)
			{
				if (url) window.open(url);
			}
		//-->	
		</script>
	</head>
	<body>

		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_suivi?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
				<?php if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?> 
				<h1>Statistiques</h1>
				<form method="post" action="">
				<table>
                  <tr class="table_entete">
                    <td>&nbsp;</td>
                    <td>Nombre</td>
                    <td>Pourcentage</td>
                    <td colspan="4">Surlignage des dates </td>
                  </tr>
                  <tr>
                    <td>Nombre de stagiaires </td>
                    <td class="centre"><?php print $n_tot?></td>
                    <td class="centre">&nbsp;</td>
                    <td rowspan="3" class="centre">Surligner</td>
                    <td rowspan="3" class="centre"><select name="selDate" size="6" id="selDate">
                          <option value="0" <?php print $test_date==0? 'selected="selected"':''?>>aucune date</option>
                          <option value="1" <?php print $test_date==1? 'selected="selected"':''?>>dates &lt;=</option>
                          <option value="2" <?php print $test_date==2? 'selected="selected"':''?>>dates &gt;=</option>
                          <option value="3" <?php print $test_date==3? 'selected="selected"':''?>>dates = </option>
	                      <option value="5" <?php print $test_date==5? 'selected="selected"':''?>>formation &agrave; distance</option>
						  <option value="4" <?php print $test_date==4? 'selected="selected"':''?>>dates &agrave; d&eacute;finir </option>
                    </select></td>
                    <td rowspan="3" class="centre">&agrave; date:
                    <input name="edDate" type="text" id="edDate" size="10" maxlength="10" value="<?php print dateSqlEnSaisie($date)?>"/></td>
                    <td rowspan="3" class="centre"><input name="btDate" type="submit" class="bouton_actualise" id="btDate" value="actualiser" /></td>
                  </tr>
                  <tr>
                    <td>Stagiaires inscrits &agrave; au moins une animation </td>
                    <td class="centre"><?php print $nb_inscr_mini?></td>
                    <td class="centre"><?php if ($n_tot>0) printf("%.2f",$nb_inscr_mini*100/$n_tot)?></td>
                  </tr>
                  <tr>
                    <td>Stagiaires convoqu&eacute;s &agrave; au moins une animation </td>
                    <td class="centre"><?php print $nb_conv_mini?></td>
                    <td class="centre"><?php if ($n_tot>0) printf("%.2f",$nb_conv_mini*100/$n_tot)?></td>
                  </tr>
                </table>
				</form>
				<h1>Etat des inscriptions et des convocations </h1>
				<div id="animation">
				  <?php 
						affichePlanFormation($id_circo,$h,8,0,'adm_suivi.php',0,$test_date,$date); 
					?>
			  </div>

		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_suivi?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>