<?php
/*	
	Importation des coles et des stagiaires
	Circon'script PHP Script
	Version 7.0.4
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_tout_importe=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_tout_importe']=$url_ret_adm_tout_importe;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_tout_importe'])) {
		$url_ret_adm_tout_importe=$_SESSION['circonscript7_url_ret_adm_tout_importe'];
	}
	else $url_ret_adm_tout_importe="administration.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}
	
	$erreur='';
	$errs_rne=0;
	$errs_circos=0;
	$errs_ecoles=0;
	$remarque='';
	require '_sqlconnect.inc.php';
	require '_fonctions_stagiaire.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_mdp.inc.php';
	@set_time_limit(0); // pas de limitation pour le calcul, qui peut tre long...
	
	$h=connect();
	debugInit();
	$taille_max=ini_get('upload_max_filesize');
	if ($taille_max=='') $taille_max="inconnue";
	$fait=0;
	$fout=NULL;
	$tempFich='';
	while ( isset($_POST['upload']) ) // si formulaire soumis
	{
		$r=query("SELECT  quota,duree_seance,horaire_defaut FROM general",$h);
		$general=@mysqli_fetch_array($r);
		$suffixe_courriel=suffixeDefaut($h);
		if ($suffixe_courriel=='') {
			$erreur="suffixe courriel non dfini dans les paramtres gnraux (par l'administrateur principal). Veuillez l'avertir. Opration annule.";
			break;
		}

		$r=query("SELECT id_circo,quota,duree_seance,regle FROM circos WHERE type_circo=0 OR type_circo=2",$h);
		$id_circos=array();
		$quota_circo=array();
		$duree_seance=array();
		$regle_circo=array();
		while($row=@mysqli_fetch_row($r)) {
			$id_circo=$row[0];	
			$id_circos[]=$id_circo;
			$quota_circo[$id_circo]=$row[1];
			$duree_seance[$id_circo]=$row[2];
			$regle_circo[$id_circo]=$row[3];
		}
		$r=query("SELECT libelle FROM niveaux",$h);
		$niveaux=array();
		while($row=@mysqli_fetch_row($r)) $niveaux[]=strtoupper($row[0]);
		$niv_incorrect='';
		
		$tmp_file = $_FILES['fichier']['tmp_name'];
		if( !is_uploaded_file($tmp_file) )
		{
			$erreur="Le fichier est introuvable";
			break;
		}
		$formater_stag=false;
		$formater_ec=false;
		$pas_ec=false;
		$forcer_ec=false;
		$remplacer=false;
		$ignores=false;
		if (isset($_POST['chk_formater_stag'])) $formater_stag=true;
		if (isset($_POST['chk_formater_ec'])) $formater_ec=true;
		if (isset($_POST['chk_ecoles'])) $pas_ec=true;
		if (isset($_POST['chk_forcer_ecoles'])) $forcer_ec=true;
		if (isset($_POST['chk_remplacer'])) $remplacer=true;
		if (isset($_POST['chk_ignores'])) $ignores=true;
		$fp=fopen($tmp_file,"r");
		if ($fp==NULL) {
			$erreur="Impossible d'ouvrir le fichier";
			break;
		}
		// recherche les champs
		$ligne1=fgetcsv($fp,2000,";");
		$icodcirco=-1;
		//$icirco=-1;
		$inumrne=-1;
		$iecole=-1;
		$icourriel_ec=-1;
		$inom=-1;
		$iprenom=-1;	
		$iemail=-1;
		$iniveau=-1;	
		$iquotserv=-1;	
		$iquota=-1;	
		$iquota_reel=-1;	
		$igroupe=-1;
		$imot_passe=-1;
		$isig=-1;
		$icommu_ec=-1;
		$icryptage=-1;
		$iident=-1;
		$id_ecoles=array();
		
		for($i=0;$i<count($ligne1);++$i) {
			$v=trim(strtolower($ligne1[$i]));
			if (strcmp($v,'codcirco')==0) $icodcirco=$i;
			//else if (strcmp($v,'circo')==0) $icirco=$i;
			else if (strcmp($v,'numrne')==0) $inumrne=$i;
			else if (strcmp($v,'sig')==0) $isig=$i;
			else if (strcmp($v,'commu_ec')==0) $icommu_ec=$i;
			else if (strcmp($v,'ecole')==0) $iecole=$i;
			else if (strcmp($v,'courriel_ec')==0) $icourriel_ec=$i;
			else if (strcmp($v,'nom')==0) $inom=$i;
			else if (strcmp($v,'prenom')==0) $iprenom=$i;
			else if (strcmp($v,'email')==0) $iemail=$i;
			else if (strcmp($v,'niveau')==0) $iniveau=$i;
			else if (strcmp($v,'quotserv')==0) $iquotserv=$i;
			else if (strcmp($v,'quota')==0) $iquota=$i;
			else if (strcmp($v,'quota_reel')==0) $iquota_reel=$i;
			else if (strcmp($v,'groupe')==0) $igroupe=$i;
			else if (strcmp($v,'mot_passe')==0) $imot_passe=$i;
			else if (strcmp($v,'cryptage')==0) $icryptage=$i;
			else if (strcmp($v,'ident')==0||strcmp($v,'sso_login')==0) $iident=$i;
		}
		//if ($icodcirco<0 && $icirco<0) $erreur.="Champ CODCIRCO ou CIRCO absents. ";
		if ($inumrne<0) $erreur.="Champ NUMRNE absent. ";
		if ($iecole<0) $erreur.="Champ ECOLE absent. ";
		if ($inom<0) $erreur.="Champ NOM absent. ";
		if ($iprenom<0) $erreur.="Champ PRENOM absent. ";
	
		$nb_ecoles=$nb_stagiaires=$nb_rempl=$nb_ecoles_rempl=0;
		//query("DELETE FROM groupements",$h); 
		// cration d'un fichier de sauvegarde des enregistrements errons
		if ($ignores) {
			$tempFich=tempnam('temp','ign');
			$fout=fopen($tempFich,'w+');
		}
		ecrire($fout,"ERREUR",$ligne1);
		while (!$erreur && $ligne=fgetcsv($fp,2000,";")) {
			// cole
			$numrne=myEscapeString($h,trim($ligne[$inumrne]));
			if (!testRNE($numrne)) {
				++$errs_rne;
				ecrire($fout,"NumRNE",$ligne);
				continue;
			}			//circo
			$codcirco='';
			if ($icodcirco>=0) $codcirco=myEscapeString($h,trim($ligne[$icodcirco]));
			$q='';
			if ($codcirco=='') { //ni circo ni codcirco ? Essaye de trouver la circo  partir du RNE de l'cole
				$q="SELECT id_circo FROM ecoles WHERE ecoles.rne LIKE '$numrne'";
			}
			else {
				$q="SELECT id_circo FROM circos WHERE rne='$codcirco'";
			}
			$r=query($q,$h);
			if (@mysqli_num_rows($r)==0) {
				++$errs_circos;
				ecrire($fout,"CodCirco",$ligne);
				continue;
			}
			$row=@mysqli_fetch_row($r);
			$id_circo=$row[0];
			if (!in_array($id_circo,$id_circos)) {
				++$errs_circos;
				ecrire($fout,"Circo virtuelle",$ligne);
				continue;
			}
			//stagiaire
			$nom=trim($ligne[$inom]);
			$prenom=trim($ligne[$iprenom]);
			$a=$nom=='' || !nomValide($nom);
			$b=$prenom=='' || !nomValide($prenom);
			if ($a || $b) {
				if ($a && $b)		
					ecrire($fout,"Nom-Prnom",$ligne);
				else if ($a)	
					ecrire($fout,"Nom",$ligne);
				else ecrire($fout,"Prnom",$ligne);
				continue;
			}
			if ($formater_stag) {
				$nom=majuscule($nom);
				$prenom=majuscule($prenom);
			}
			$nom_f=normaliseNom($nom);
			$prenom_f=normaliseNom($prenom);			
			$nom=myEscapeString($h,$nom);
			$prenom=myEscapeString($h,$prenom);
			$email='';
			if ($iemail>=0) {
				$email=strtolower(trim($ligne[$iemail]));
				if (!testeEMail($email)) $email='';
			}
			$ident='';
			if ($iident>=0) 
				$ident=myEscapeString($h,trim($ligne[$iident]));
			$niveau='';
			if ($iniveau>=0) {
				$niv_lu=explode('/',strtoupper(trim($ligne[$iniveau])));
				foreach($niv_lu as $niv) {
					$niv=trim($niv);
					if (!$niv) continue;
					if (in_array($niv,$niveaux)) $niveau.="$niv/";
					else $niv_incorrect.="$niv/";
				}
				if ($niveau!='') $niveau='/'.$niveau;
			}
			$niveau=myEscapeString($h,$niveau);
			$quotserv=100;
			if ($iquotserv>=0) {
				$quotserv=doubleval(str_replace(',','.',trim($ligne[$iquotserv])));
				if ($quotserv>0.0 && $quotserv <=1.0) $quotserv*=100.0;
				if ($quotserv<=0 ||$quotserv>100) $quotserv=100;
			}
			
			$quota=$quota_circo[$id_circo];
			if ($iquota>=0) {
				$quota=doubleval(str_replace(',','.',trim($ligne[$iquota])));
				if ($quota<=0 ||$quota>$quota_circo[$id_circo]) $quota=$quota_circo[$id_circo];
			}
			$quota_reel='';
			if ($iquota_reel>=0) {
				$quota_reel=doubleval(str_replace(',','.',trim($ligne[$iquota_reel])));
				if ($quota_reel<=0 ||$quota_reel>$quota_circo[$id_circo]) $quota_reel='';
			}
			if ($quota_reel=='') $quota_reel=decimal(quotaReelStagiaire($quota,$quotserv,$duree_seance[$id_circo],$regle_circo[$id_circo]));
			
			// Mot de passe
			$codage=0;
			if ($icryptage>=0) switch(strtolower(trim($ligne[$icryptage]))) {
				case 'non': $codage=0;break;
				case 'md5': $codage=1;break;
				case 'aes': $codage=2;break;
			}
			$mdp='';
			if ($imot_passe>=0)  
				$mdp=str_replace('"','',trim($ligne[$imot_passe]));
			
			controleMdp($mdp,$codage); 
			
			// groupe
			$id_groupe=0;
			$groupe='';
			if ($igroupe>=0) $groupe=myEscapeString($h,normaliseT(trim($ligne[$igroupe]),255));
			if ($groupe) {
				$id_groupe=queryValue("SELECT id_groupe FROM groupes WHERE id_circo=$id_circo AND libelle LIKE '$groupe'",$h);
				if ($id_groupe=='') {
					query("INSERT INTO groupes (id_circo,libelle) VALUES ('$id_circo','$groupe')",$h);
					$id_groupe=@mysqli_insert_id($h);
				}
			}

			if ($isig>=0)
				$sigle=trim($ligne[$isig]);
			else $sigle='';
			$ecole=trim($ligne[$iecole]);
			if ($icommu_ec>=0 ) {
				$ecole.=' ';
				$ecole.=trim($ligne[$icommu_ec]);
			}
			if ($formater_ec) $ecole=majusculeChiffresRomains(majuscule($ecole));
			if ($sigle) $ecole="$sigle $ecole";
			$ecole=myEscapeString($h,$ecole);
			
			$courriel_ec='';
			if ($icourriel_ec>=0) {
				$courriel_ec=strtolower($ligne[$icourriel_ec]);
				if (!testeEMail($courriel_ec)) $courriel_ec='';
			}
			if ($courriel_ec=='') $courriel_ec="ce.$numrne@".$suffixe_courriel;
			$id_ecole=queryValue("SELECT id_ecole FROM ecoles WHERE rne='$numrne' AND id_circo=$id_circo",$h);
			if ($id_ecole=='') {
				if ($ecole==''||$pas_ec==true) {
					ecrire($fout,"cole",$ligne);
					continue;
				}
				query("INSERT INTO ecoles (rne,id_circo,nom,courriel) VALUES('$numrne','$id_circo','$ecole','$courriel_ec')",$h);
				$id_ecole=@mysqli_insert_id($h);
				if (!$erreur) ++$nb_ecoles;		
			}
			else {
				if ($forcer_ec && $ecole!='' && !in_array($id_ecole,$id_ecoles) ) {
					query("UPDATE ecoles SET nom='$ecole', courriel='$courriel_ec' WHERE id_ecole=$id_ecole",$h);
					if (!$erreur) ++ $nb_ecoles_rempl;
					$id_ecoles[]=$id_ecole;
	
				}
			}
			if ($id_ecole==0) {
				++$errs_ecoles;
				ecrire($fout,"cole",$ligne);
				continue;
			}
			if ($erreur) break;
			if ($quota=='') $quota='0.0';
			if ($quota_reel=='') $quota_reel='0.0';
			if ($quotserv=='') $quotserv='0.0';
			$remarque='';
			
			$q="SELECT id_stagiaire,id_uti FROM stagiaires WHERE id_ecole=$id_ecole AND nom_f LIKE '$nom_f' AND prenom_f LIKE '$prenom_f'";
			$r=query($q,$h);
			$id_stagiaire=0;
			$id_uti=0;
			if ($row=@mysqli_fetch_row($r)) {
				$id_stagiaire=$row[0];
				$id_uti=$row[1];
			}
			if ($id_stagiaire) {
				if ($remplacer) {
					$id_uti=attribuerCompte($id_uti,$email,$mdp,$remarque,$h,$codage,false,$ident);
					if ($id_uti){
						query("UPDATE stagiaires SET nom='$nom', prenom='$prenom', courriel='$email',niveau='$niveau',avertissement_lu=0, quotite='$quotserv', quota='$quota',quota_reel='$quota_reel',id_uti='$id_uti',id_groupe='$id_groupe' WHERE id_stagiaire=$id_stagiaire",$h);
						++$nb_rempl;
					}
				}
			}
			else {
				$id_uti=attribuerCompte(0,$email,$mdp,$remarque,$h,$codage,false,$ident);
				if ($id_uti) {
					query("INSERT INTO stagiaires(nom,prenom,nom_f,prenom_f,courriel,niveau,quotite,quota,quota_reel,id_ecole,id_groupe,id_uti) VALUES ('$nom','$prenom','$nom_f','$prenom_f','$email','$niveau','$quotserv','$quota','$quota_reel','$id_ecole','$id_groupe','$id_uti')",$h);
					++$nb_stagiaires;
				}
			}
		}
		fclose($fp);
		$fait=1;
		break;
	}
	if ($fout) {
		fclose($fout);
		if ($tempFich) exportFichier($tempFich,"ignores_");
		exit;

	}
	if ($fait && !$erreur) {
		$erreur="$nb_ecoles coles insres, $nb_stagiaires stagiaires insrs, $nb_rempl stagiaires remplacs, $nb_ecoles_rempl coles remplaces.";
		if ($niv_incorrect) $erreur.=" Les niveaux suivants n'ont pas t pris en compte: ".$niv_incorrect;
		if ($errs_rne) $erreur.= " $errs_rne champs NUMRNE sont incorrects.";
		if ($errs_circos) $erreur.= " $errs_circos lignes n'ont pas t intgres car impossible de trouver la circo.";
		if ($errs_ecoles) $erreur.=" $errs_ecoles lignes n'ont pas t intgrees car impossible de trouver ou de crer l'cole.";
	}
		
	function ecrire ($fp,$err,$ligne)
	{
		if (!$fp || $fp===false) return;
		$s=implode(';',$ligne);
		if ($s||$err) {
			$s="$err;$s\n";
			fwrite($fp,$s);
		}
	}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" /></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_tout_importe?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
			
<?php if ($erreur) printf ("<p class=\"erreur\">$erreur</p>",htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?>				
	<h1>Importation des &eacute;coles et des stagiaires des circos programm&eacute;es </h1>
	<?php 
		if ($debug) print "<p class=\"attention\">Administrateur, attention ! Le mode de dbogage est actif ! L'importation risque d'tre trs longue ! Allez dans _parametres.inc.php et changez la valeur de la variable \$debug</p>";
	?>
	<p>Les &eacute;coles et les stagiaires sont pr&eacute;sents dans un fichier CSV.  L'ordre des champs n'a pas d'importance. La casse (majuscules ou minuscules) dans le nom des champs n'a pas d'importance. Les champs sont s&eacute;par&eacute;s par des points-virgules. </p>
	<p>Renommez les champs de votre CSV s'ils ne correspondent pas &agrave; la syntaxe demand&eacute;e. Les autres champs seront ignor&eacute;s. </p>
	<h3>Attention, cette version de Circon'script ne gnre plus de mot de passe  partir de la date de naissance.</h3>
	<h3>Cas des personnels non affect&eacute;s &agrave; des &eacute;coles ou regroup&eacute;s dans des &eacute;coles non r&eacute;f&eacute;renc&eacute;es dans Circon'script </h3>
	<p>Pr&eacute;parez le fichier csv pour affecter certains personnels dans une circo virtuelle de transfert. Ils seront ainsi r&eacute;f&eacute;renc&eacute;s dans Circon'script et invit&eacute;s, &agrave; la premi&egrave;re connexion, &agrave; rejoindre leur circo de rattachement. Pour cela, renseignez CODCIRCO et NUMRNE avec les codes RNE virtuels de la circo virtuelle de transfert et d'une de ses &eacute;coles. </p>
	<table border="1">
      <tr>
        <td>CODCIRCO</td>
        <td><p>RNE de la circonscription. ATTENTION: seules les circonscriptions <em>r&eacute;elles</em> ou <em>virtuelles avec transfert</em> sont prises en compte. Les circos <em>virtuelles</em> simples sont ignor&eacute;es. <br />
        </p></td>
        <td><p>Si le champ est absent le logiciel essaye de trouver le RNE de la circo &agrave; partir des &eacute;coles. Il sera cependant incapable d'ajouter de nouvelles &eacute;coles &agrave; une circo.</p></td>
      </tr>
      
      <tr>
        <td bgcolor="#00CC33">NUMRNE</td>
        <td><p>Num&eacute;ro RNE de l'&eacute;cole du stagaire </p></td>
        <td><p>Si l'&eacute;cole n'est pas pr&eacute;sente dans la base, elle sera cr&eacute;&eacute;e. Si elle existe d&eacute;j&agrave;, ses param&egrave;tres (nom, circo) ne seront pas modifi&eacute;s. </p></td>
      </tr>
      <tr>
        <td>SIG</td>
        <td><p>Sigle de l'&eacute;cole (E.E.PU. ...) </p></td>
        <td rowspan="3"><p>Les trois champs seront associ&eacute;s pour la d&eacute;nomination de l'&eacute;cole: </p>
        <p>SIG ECOLE COMMU_EC </p></td>
      </tr>
      <tr>
        <td bgcolor="#33CC33">ECOLE</td>
        <td><p>D&eacute;nomination de l'&eacute;cole </p></td>
      </tr>
      <tr>
        <td>COMMU_EC</td>
        <td><p>Commune de l'&eacute;cole </p></td>
      </tr>
      <tr>
        <td bgcolor="#00CC33">NOM</td>
        <td><p>Nom du stagiaire</p></td>
        <td><p>&nbsp;</p></td>
      </tr>
      <tr>
        <td bgcolor="#00CC33">PRENOM</td>
        <td><p>Pr&eacute;nom du stagiaire </p></td>
        <td><p>&nbsp;</p></td>
      </tr>
      <tr>
        <td>IDENT ou SSO_LOGIN</td>
        <td><p>Identifiant d'acc&egrave;s au portail de services.</p>
          <p>G&eacute;n&eacute;ralement, c'est l'identifiant iProf.  </p></td>
        <td><p>A utiliser  si vous interfacez Circon'script avec un portail de services acad&eacute;miques.</p>
        <p>Pour les enseignants, c'est l'identifiant iProf. Circon'script utilise cette information pour retrouver les personnes lorsqu'il fait partie des services du portail. </p></td>
      </tr>
      <tr>
        <td>EMAIL</td>
        <td><p>Courriel du stagiaire </p></td>
        <td><p>Si non renseign&eacute;, le stagaire n'aura pas d'adresse de courriel. <br />
        Le courriel permet de cr&eacute;er un compte utilisateur. Si le compte existe d&eacute;j&agrave;, le stagiaire sera rattach&eacute; &agrave; ce compte sans tenir compte du mot de passe. Si le stagiaire n'a pas d'adresse de courriel, il sera rattach&eacute; &agrave; un nouveau compte utilisateur g&eacute;n&eacute;rique: &quot;utilisateurXXX&quot;. </p></td>
      </tr>
      <tr>
        <td>NIVEAU</td>
        <td><p>Niveau du stagiaire </p></td>
        <td><p>Les niveaux doivent &ecirc;tre d&eacute;j&agrave; programm&eacute;s dans la base. Les niveaux non programm&eacute;s seront ignor&eacute;s. Ecrivez le niveau ainsi: /GS/CP/ ... </p></td>
      </tr>
      <tr>
        <td>QUOTSERV</td>
        <td><p>Quotit&eacute; de service </p></td>
        <td><p>Nombre d&eacute;cimal, pourcentage entre 0 et 100. Si absent, une quotit&eacute; de 100 sera attribu&eacute;e. </p>
          <p>Si QUOTSERV est un nombre d&eacute;cimal compris entre 0 et 1, le logiciel le multipliera par 100 pour obtenir un pourcentage. </p></td>
      </tr>
      <tr>
        <td>QUOTA</td>
        <td><p>Nombre d'heures d'animation &agrave; faire pour une quotit&eacute; de 100 </p></td>
        <td><p>Si absent, c'est le quota courant qui sera appliqu&eacute;. </p></td>
      </tr>
      <tr>
        <td>QUOTA_REEL</td>
        <td><p>Nombre d'heures effectives &agrave; faire par le stagaire </p></td>
        <td><p>Si absent, sera calcul&eacute; &agrave; partir du quota, de la quotit&eacute; et de la r&egrave;gle de gestion sp&eacute;cifique &agrave; la circo. </p></td>
      </tr>
      <tr>
        <td>GROUPE</td>
        <td><p>Groupe du stagiaire </p></td>
        <td><p>Si le groupe n'existe pas, il sera cr&eacute;&eacute;. </p></td>
      </tr>
      <tr>
        <td>CRYPTAGE</td>
        <td><p>Cryptage du mot de passe (tel qu'il r&eacute;sulte de l'exportation des stagiaires) :</p>
            <p>non: aucun cryptage</p>
          <p>aes: cryptage aes</p>
          <p>md5: cryptage md5 (version 3 de Circonscript) </p></td>
        <td><p>Si le champ CRYPTAGE est absent, tous les mots de passe seront consid&eacute;r&eacute;s comme non crypt&eacute;s et provisoires. <br />
        Attention, ce champ ne <em>crypte pas</em> le mot de passe. Il pemet de dire si le champ <em>mot_passe </em>est <em>d&eacute;j&agrave; crypt&eacute;, </em>et comment.  </p></td>
      </tr>
      <tr>
        <td>MOT_PASSE</td>
        <td><p>Mot de passe du stagiaire. Peut figurer entre guillemets (&quot;...&quot;), afin d'&eacute;viter le formatage automatique sous Excel (0 du d&eacute;but qui disparaissent...). Les mots de passe cod&eacute;s en hexac&eacute;dimal provenant de l'exportation sont accept&eacute;s. </p></td>
        <td><p>Si le mot de passe n'est pas d&eacute;fini, un mot de passe al&eacute;atoire sera attribu&eacute;. Le mot de passe attribu&eacute; est provisoire: le stagiaire devra le changer &agrave; la premi&egrave;re connexion. S'il existe d&eacute;j&agrave; un compte utilisateur pour ce stagiaire, le mot de passe sera ignor&eacute;. </p></td>
      </tr>
    </table>
	<p>&nbsp;</p>
	<h2>Options suppl&eacute;mentaires</h2>
	<form name="form1" method="post"  enctype="multipart/form-data" action="">
	  <p>
	    <input name="chk_ignores" type="checkbox" id="chk_ignores" value="1"  />
      Recevoir,  la fin du traitement, un fichier csv contenant toutes les lignes ignores. Dans ce cas, il n'y aura pas de bilan en rouge, en haut de la page, mais la colonne ERREUR du fichier csv contient une indication de l'erreur obtenue pour chaque ligne.</p>
	  <p>
	    <input name="chk_formater_stag" type="checkbox" id="chk_formater_stag" value="1" checked="checked" />
      Formater le nom du stagiaire (SCHMERZ AMELIE devient Schmerz Amelie  - attention, le logiciel n'ajoute pas les accents!) </p>
	  <p>
        <input name="chk_remplacer" type="checkbox" id="chk_remplace" value="1" />
Remplacer les stagiaires d&eacute;j&agrave; pr&eacute;sents par ceux provenant du fichier (les mots de passe seront r&eacute;initialis&eacute;s). </p>
	  <p>
	    <input name="chk_formater_ec" type="checkbox" id="chk_formater_ec" value="1" checked="checked" />
Formater le nom de l'&eacute;cole (E.E.PU JEAN JAURES STRASBOURG devient &quot;E.E.PU. Jean Jaures Strasbourg&quot; - attention, le logiciel n'ajoute pas les accents!).  </p>
	  <p>
	    <input name="chk_ecoles" type="checkbox" id="chk_ecoles" value="1" />
	  Ne pas ajouter d'&eacute;coles suppl&eacute;mentaires dans la base et ignorer les stagiaires rattach&eacute;s &agrave; ces &eacute;coles suppl&eacute;mentaires.</p>
	  <p>
	    <input name="chk_forcer_ecoles" type="checkbox" id="chk_forcer_ecoles" value="1" />
	    Remplacer les &eacute;coles d&eacute;j&agrave; pr&eacute;sentes par celles provenant du fichier. </p>
	  <h3>Chemin du fichier</h3>
	  <p>Indiquez ici le chemin du fichier csv ou cliquez sur Parcourir pour le charger.</p>
	  <p>Cliquez sur Valider pour lancer la proc&eacute;dure. </p>
	  <p>
	    <input name="fichier" type="file" class="bouton_standard" size="30" />
	    <input name="upload" type="submit" class="bouton_standard" value="Valider" />
(taille maximale des fichiers que vous pouvez t&eacute;l&eacute;charger sur ce serveur: <?php print $taille_max ?> ) </p>
	</form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_tout_importe?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>