<?php
/* 
	Restaurer les tables
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_mdp.inc.php';
	//debugInit();
	$erreur='';
	$h=connect();
	ejecteSiFerme($h);

	if (!isset($_SESSION['circonscript7_id_uti'])) {
		header('Location:erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];
	
	if (isset($_GET['url_ret'])) {
		$url_ret_compte_utilisateur=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_compte_utilisateur']=$url_ret_compte_utilisateur;
	}
	else if (isset($_SESSION['circonscript7_url_ret_compte_utilisateur'])) {
		$url_ret_compte_utilisateur=$_SESSION['circonscript7_url_ret_compte_utilisateur'];
	}
	
	if (!isset($_SESSION['circonscript7_nouveau_login'])) {
		header('Location: erreur.php?erreur=var_session');
		exit;
	}
	$nouveau_login=$_SESSION['circonscript7_nouveau_login'];
	
	if (isset($_SESSION['circonscript7_semence'])) $semence=$_SESSION['circonscript7_semence'];
	else $semence='';

	if (!isset($_SESSION['circonscript7_compte_utilisateur_etape'])) {
		$etape=0;
		$_SESSION['circonscript7_compte_utilisateur_etape']=$etape;
	}
	else $etape=$_SESSION['circonscript7_compte_utilisateur_etape'];
	if (isset($_SESSION['circonscript7_compte_utilisateur_login']) && $_SESSION['circonscript7_compte_utilisateur_login']!=$nouveau_login) {
		$_SESSION['circonscript7_compte_utilisateur']=$nouveau_login;
		if ($etape!=0) {
			$etape=0;
			$_SESSION['circonscript7_compte_utilisateur_etape']=$etape;
		}
	}
	// traitement des entres
	switch ($etape) {
		case 0:
			if (isset($_POST['oui'])) { // vrifier si on peut stocker le nouvel id dans la base
				$n=queryValue("SELECT COUNT(*) FROM utilisateurs WHERE login='$nouveau_login' AND id_uti<>$id_uti",$h);
				if ($n==0) {
					query("UPDATE utilisateurs SET login='$nouveau_login' WHERE id_uti=$id_uti",$h);
					if (!$erreur) changeMailComptes($id_uti,$nouveau_login,$h);
					if (!$erreur) $etape=2;
					else $etape=3;
				}
				else {
					$_SESSION['circonscript7_compte_utilisateur_tentatives']=3;
					$etape=4; // il existe dj un compte   ce nom.
				}
			}
			else if (isset($_POST['non'])) {
				$etape=1;
			}
			break;
		case 1:
		case 2:
		case 3:
		 	if (isset($_POST['ok'])) {
				$etape=0;
				$_SESSION['circonscript7_compte_utilisateur_etape']=$etape;
				header("Location: $url_ret_compte_utilisateur");
				exit;
			}
			break;
		case 4:
			while(1) {
				if (isset($_POST['annuler'])) {
					$etape=1;
				
				}
				else if (isset($_POST['commande']) && $_POST['commande']=='') {
					$tentatives=$_SESSION['circonscript7_compte_utilisateur_tentatives'];
					if ($tentatives<=0) {
						$erreur="Trop de tentatives pour accder au mot de passe. Opration annule. Veuillez cliquer sur le bouton 'Annuler'.";
						break;
					}
					if (!isset($_POST['mdp_hex']) || $_POST['mdp_hex']=='') {
						$erreur="Veuillez indiquer un mot de passe.";
						break;		
					}
					if (!$semence) break;				
					$mdp=decodeXor(normaliseT($_POST['mdp_hex'],32),$semence);
					if (!motDePasse($mdp)) {
						$erreur="Mot de passe invalide (n'utilisez pas de caractres spciaux).";
						break;
					}
					$r=query("SELECT id_uti,codage FROM utilisateurs WHERE login='$nouveau_login'",$h);
					if (@mysqli_num_rows($r)==0) {
						$erreur="Ce compte de connexion n'existe plus.";
						break;
					}
					$row=@mysqli_fetch_row($r);
					$nouv_uti=$row[0];
					$codage=$row[1];
					switch($codage) {
						case 0: 
							$n=queryValue("SELECT COUNT(*) FROM utilisateurs WHERE id_uti=$nouv_uti AND mdp='$mdp'",$h);
							break;
						case 1: // md5
							$n=queryValue("SELECT COUNT(*) FROM utilisateurs WHERE id_uti=$nouv_uti AND mdp=MD5('$mdp')",$h);
							break;
						case 2: //AES
							$n=queryValue("SELECT COUNT(*) FROM utilisateurs WHERE id_uti=$nouv_uti AND mdp=AES_ENCRYPT('$mdp','$cle_aes')",$h);
							break;
						default:
							$n=0;
							exit;
					}	
					if ($n==0) {
						--$tentatives;
						$erreur="Mot de passe incorrect. ";
						if ($tentatives==1) $erreur.="ATTENTION, DERNIERE TENTATIVE. ";
						else if ($tentatives>1) $erreur.=sprintf("Il vous reste %d tentatives.", $tentatives);
						else $erreur="Mot de passe incorrect. Le compte est d&eacute;sormais bloqu&eacute;.";
						$_SESSION['circonscript7_compte_utilisateur_tentatives']=$tentatives;
						break;
					}
					else {
						if ($nouv_uti >0 && $id_uti!=$nouv_uti && !$erreur) {
							$etait_superadmin=queryValue("SELECT type_admin FROM administrateurs WHERE id_uti=$id_uti GROUP BY id_uti HAVING type_admin=1",$h);
							query("UPDATE stagiaires SET id_uti=$nouv_uti WHERE id_uti=$id_uti",$h);
							query("UPDATE intervenants SET id_uti=$nouv_uti WHERE id_uti=$id_uti",$h);
							query("UPDATE administrateurs SET id_uti=$nouv_uti WHERE id_uti=$id_uti",$h);
							if ($etait_superadmin) query("UPDATE administrateurs SET type_admin=1 WHERE id_uti=$nouv_uti",$h);
							if (!$erreur) changeMailComptes($nouv_uti,$nouveau_login,$h);
					
						}
						if (!$erreur) {
							$id_uti=$nouv_uti;
							$_SESSION['circonscript7_id_uti']=$id_uti;	
							$etape=2;
						}
						else $etape=3;	
					
					}
				}
				else if (isset($_POST['commande']) && $_POST['commande']=='envoyer') {
					$nouv_uti=queryValue("SELECT id_uti FROM utilisateurs WHERE login='$nouveau_login'",$h);
					if ($nouv_uti=='') $erreur="Il n'existe pas d'utilisateur avec le login '$nouveau_login'";
					else {
						publipostage($nouv_uti,$h);
						if (!$erreur) $erreur="Courriel envoy  $nouveau_login";
					}
				}
				break;
			}
	}
	$_SESSION['circonscript7_compte_utilisateur_etape']=$etape;
	$semence=semence();
	$_SESSION['circonscript7_semence']=$semence;
	
	
	
// etape 0: demander si le compte doit changer.
function demander($h)
{
	global $erreur,$id_uti,$etape,$nouveau_login,$url_ret_compte_utilisateur;
	$anc_log=queryValue("SELECT login FROM utilisateurs WHERE id_uti=$id_uti",$h);
	if ($url_ret_compte_utilisateur!='compte.php') 
		print "<p class=\"erreur\">Vos param&egrave;tres ont &eacute;t&eacute; enregistr&eacute;s</p>\n";
	print "<h1>Modification de votre identifiant de connexion</h1>\n";
	printf("<p>Ancien identifiant: %s</p>\n",htmlentities($anc_log,ENT_COMPAT,'ISO-8859-15'));
	printf("<p>Nouvel identifiant: <b>%s</b></p>\n",htmlentities($nouveau_login,ENT_COMPAT,'ISO-8859-15'));
	print "<p>Acceptez-vous ce changement ?</p>";
	print "<div align=\"center\"><input type=\"submit\" name=\"oui\" value=\"OUI\" class=\"bouton_standard\" />&nbsp;&nbsp;&nbsp;";
	print "<input type=\"submit\" name=\"non\" value=\"NON\" class=\"bouton_standard\" /></div>";
	
}
// etape 1
function abandonner($h)
{
	global $erreur,$id_uti,$etape,$nouveau_login,$url_ret_compte_utilisateur;
	$anc_log=queryValue("SELECT login FROM utilisateurs WHERE id_uti=$id_uti",$h);
	print "<h1>Ancien identifiant de connexion conserv&eacute;</h1>\n";
	if ($nouveau_login !=$anc_log && $url_ret_compte_utilisateur!='compte.php') {
		print "<p class=\"attention\">Veuillez noter que votre adresse de courriel est d&eacute;sormais diff&eacute;rente de votre identifiant de connexion.</p>\n";
		print "<p>Adresse de courriel: <b>$nouveau_login</b></p>\n";
		printf("<p>Identifiant de connexion: <b>%s</b></p>\n",htmlentities($anc_log,ENT_COMPAT,'ISO-8859-15'));
	}
	else 
		printf("<p>Vous conservez votre ancien identifiant: <b>%s</b></p>\n",htmlentities($anc_log,ENT_COMPAT,'ISO-8859-15'));
	print "<div align=\"center\"><input type=\"submit\" name=\"ok\" value=\"OK\" class=\"bouton_standard\" /></div>";
}
//2
function confirmer($h)
{
	global $erreur,$id_uti,$etape,$nouveau_login;
	$log=queryValue("SELECT login FROM utilisateurs WHERE id_uti=$id_uti",$h);
	print "<h1>Votre identifiant de connexion a &eacute;t&eacute; chang&eacute;</h1>\n";
	printf("<p>Votre identifiant est maintenant: <b>%s</b></p>\n",htmlentities($log,ENT_COMPAT,'ISO-8859-15'));
	print "<div align=\"center\"><input type=\"submit\" name=\"ok\" value=\"OK\" class=\"bouton_standard\" /></div>";
}
//3		
function erreur($h)
{
	global $erreur,$id_uti,$etape,$nouveau_login;
	print "<h1>Une erreur s'est produite</h1>\n";
	$log=queryValue("SELECT login FROM utilisateurs WHERE id_uti=$id_uti",$h);
	printf("<p>Votre identifiant est: <b>%s</b></p>\n",htmlentities($log,ENT_COMPAT,'ISO-8859-15'));
	print "<div align=\"center\"><input type=\"submit\" name=\"ok\" value=\"OK\" class=\"bouton_standard\" /></div>";
}
//4		
function dejaCompte($h)
{
	global $erreur,$id_uti,$etape,$nouveau_login;
	print "<h1>Il existe d&eacute;j&agrave; un compte de connexion avec cet identifiant</h1>\n";
	$log=queryValue("SELECT login FROM utilisateurs WHERE id_uti=$id_uti",$h);
	print "<p>Indiquez le mot de passe de ce compte puis cliquez sur 'valider'.</p>\n";
	print "<p>Mot de passe: <input name=\"mdp\" type=\"password\" size=\"16\" maxlength=\"16\"/> <input type=\"button\" value=\"valider\" name=\"valider\" class=\"bouton_standard\" onclick=\"javascript:validation()\" /></p>\n";
	printf ("<p>Si vous ne vous souvenez pas du mot de passe, Circon'script peut l'envoyer par courriel  l'adresse suivante:  <b>%s</b>&nbsp;&nbsp;<input type=\"button\" name=\"envoyer\" class=\"bouton_standard\" value=\"Envoyer le courriel\" onclick=\"javascript:confirmer()\" /></p>",htmlentities($nouveau_login,ENT_COMPAT,'ISO-8859-15'));
	
	print "<p>En cas d'erreur, ou si vous changez d'avis, veuillez annuler l'utilisation du compte: <input type=\"submit\" name=\"annuler\" value=\"Annuler\" class=\"bouton_standard\" /></p>";
	print "<p class=\"remarque\">En cas d'annulation, pour revenir &agrave; cette page ult&eacute;rieurement, retournez dans vos param&egrave;tres et cliquez sur 'Enregistrer'.</p>\n";
}
// Change l'adresse mail dans tous les comptes de l'utilisateur, si elle est valide
function changeMailComptes($id_uti,$courriel,$h)
{
	global $erreur;
	if (!testeEmail($courriel)) return;
	if (!$id_uti) return;
	query("UPDATE stagiaires SET courriel='$courriel' WHERE id_uti=$id_uti",$h);
	query("UPDATE intervenants SET courriel='$courriel' WHERE id_uti=$id_uti",$h);
	query("UPDATE administrateurs SET courriel='$courriel' WHERE id_uti=$id_uti",$h);
}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="mdp.js"></script>
		<script type="text/javascript">
<!--
function confirmer()
{
	b=window.confirm("Envoyer un courriel  l'adresse : <?php print $nouveau_login?> ?");
	if (b) {
		document.form1.commande.value='envoyer';
		document.form1.submit();
	}
}
function validation()
{
	var mdp=document.form1.mdp.value;
	if (mdp=='') {
		alert("Veuillez indiquer un mot de passe.");
		return;
	}
	if (mdp.length>16) {
		alert("Le mot de passe est trop long.");
		return;
	}	
	var mdp_hex=encodeMdp('<?php print $semence ?>',mdp);
	if (mdp_hex=='') return;
	document.form1.mdp_hex.value=mdp_hex;
	document.form1.mdp.value='';
	document.form1.submit();
}
//-->
        </script>
		
		
</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">
		    <form id="form1" name="form1" method="post" action="">
		      <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";
				switch($etape) {
					case 0: demander($h); break;
					case 1: abandonner($h);break;
					case 2: confirmer($h);break;
					case 3: erreur($h);break;
					case 4: dejaCompte($h);break;
				}
				?>
              <input name="commande" type="hidden" id="commande" />
		      <input name="mdp_hex" type="hidden" id="mdp_hex" />
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
