<?php
/* 
	Modifier paramtres stagiaire
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';	
	require '_fonctions_identifiant.inc.php';
	
	if (isset($_GET['url_ret'])) {
		$url_ret_ins_form_mdp=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_ins_form_mdp']=$url_ret_ins_form_mdp;
	}
	else if (isset($_SESSION['circonscript7_url_ret_ins_form_mdp'])) {
		$url_ret_ins_form_mdp=$_SESSION['circonscript7_url_ret_ins_form_mdp'];
	}
	else $url_ret_ins_form_mdp="ins_menu.php";
	$id_circo=0;
	if (isset($_GET['id_circo'])) {
		$id_circo=intval(normaliseT($_GET['id_circo'],10));
		$_SESSION['circonscript7_ins_form_mdp_id_circo']=$id_circo;
	}
	$loc_id_circo=$id_circo;
	if (isset($_SESSION['circonscript7_ins_form_mdp_id_circo'])) $loc_id_circo=$_SESSION['circonscript7_ins_form_mdp_id_circo'];
	
	$motif=0;
	$mail_envoye=0;
	if (isset($_SESSION['circonscript7_ins_form_mdp_mail_envoye'])) $mail_envoye=$_SESSION['circonscript7_ins_form_mdp_mail_envoye'];
	$erreur='';
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
		
	$r=query("SELECT courriel, saisie_courriel FROM general",$h);
	$row=@mysqli_fetch_array($r);
	$courriel_admin='';
	if (isset($row['courriel'])) {
		$courriel_admin=$row['courriel'];
	}
	if ($courriel_admin=='') {
		header( 'Location: erreur.php?erreur=courriel_admin');
		exit;
	}
	$saisie_courriel=$row['saisie_courriel'];
	
	$nom='';
	$prenom='';
	$courriel='';
	$message='';
	$id_ecole=0;
	if (isset($_POST['commande']) && $_POST['commande']=='circo') {
		$nom=majuscule(normaliseT($_POST['nom_stag'],25));
		$prenom=majuscule(normaliseT($_POST['prenom_stag'],25));
		$courriel=strtolower(normaliseT($_POST['courriel_stag'],100));
		$id_circo_nouv=intval(normaliseT($_POST['circos_stag'],10));
		if ($id_circo_nouv!=$loc_id_circo) {
			$loc_id_circo=$id_circo_nouv;
			$id_ecole=0;
			$_SESSION['circonscript7_ins_form_mdp_id_circo']=$loc_id_circo;			
		}
		if (isset($_POST['ecoles'])) 
			$id_ecole=intval(normaliseT($_POST['ecoles'],10));
		else $id_ecole=0;
		if (isset($_POST['message'])) $message=normaliseT($_POST['message'],500);
		else $message='';
		$motif=0;
		if (isset($_POST['motif'])) $motif=intval(normaliseT($_POST['motif'],1));
	}	

	else while (isset($_POST['valider'])) {
		if ($mail_envoye){ 
			if ($mail_envoye==1) $erreur="Action annule: vous avez dj envoy un courriel  l'administrateur. Si vous voulez en envoyer un nouveau, fermez le navigateur et recommencez.";
			else $erreur="Action annule: Circon'script vous a dj envoy un courriel. Si vous souhaitez recevoir un nouveau courriel, fermez le navigateur et recommencez.";		
		}
		else {
			$nom=majuscule(normaliseT($_POST['nom_stag'],25));
			if (!nomValide($nom)) $erreur.="Nom invalide. ";
			$prenom=majuscule(normaliseT($_POST['prenom_stag'],25));
			if (!nomValide($prenom)) $erreur.= "Prnom invalide. ";
			$courriel=normaliseT($_POST['courriel_stag'],100);
			$courriel=strtolower($courriel);
			if ($saisie_courriel>=1) {
				if (!testeEmailAca($courriel,$h)) $erreur.="Vous devez indiquer votre adresse acadmique. ";
			}
			else {
				if (!testeEmail($courriel)) $erreur.="Courriel invalide. "		;
			}
			$loc_id_circo=intval(normaliseT($_POST['circos_stag'],10));
			$_SESSION['circonscript7_ins_form_mdp_id_circo']=$loc_id_circo;			
			$id_ecole=intval(normaliseT($_POST['ecoles'],10));
			if ($loc_id_circo==0) {
				$erreur="Choisissez une circonscription.";
				break;
			}
			if ($id_ecole==0) {
				$erreur="Choisissez une cole. ";
				break;
			}
			$motif=0;
			if (isset($_POST['motif'])) $motif=intval(normaliseT($_POST['motif'],1));
			if ($motif <2 || $motif >3) {
				$erreur="Veuillez cochez le motif de votre demande.";
				break;
			}
			
			$ecole='';
			$rne='';
			$courriel_ec='';
			$r=query("SELECT ecoles.rne, ecoles.nom,ecoles.courriel,circos.libelle FROM ecoles,circos WHERE id_ecole=$id_ecole AND ecoles.id_circo=circos.id_circo AND circos.id_circo=$loc_id_circo",$h); // controle volontaire intgrit
			if (@mysqli_num_rows($r)>0) {
				$row=@mysqli_fetch_row($r);
				$ecole=$row[1];
				$rne=$row[0];
				$courriel_ec=$row[2];
				$circo=$row[3];
			}
			if ($ecole=='' || $rne=='') $erreur.="Ecole invalide. ";
			if (isset($_POST['message'])) $message=normaliseT($_POST['message'],500);
			else $message='';
			if (($motif==2||$motif==3) && $message=='') $erreur.="Veuillez prciser dans un message le motif de votre demande. ";
			if ($erreur) break;
			envoieCourrielAdmin($courriel_admin, $nom, $prenom,$courriel, $ecole, $rne, $message,$circo,$motif,$courriel_ec);
			if (!$erreur) {
				$erreur="Un courriel a t envoy  l'administrateur. Vous pouvez retourner  la page d'accueil.";
				$mail_envoye=1;
				$_SESSION['circonscript7_ins_form_mdp_mail_envoye']=$mail_envoye;
			}
		}	
		break;
	}
/*
	retour: 
		1 envoyer demande  l'administrateur
		2 envoyer identifiants au stagiaire
*/
function afficheEcoles($h,$id_circo,$id_ecole)
{
	$q="SELECT id_ecole, nom FROM ecoles WHERE id_circo=$id_circo ORDER BY nom ASC";
	$r=query($q,$h);
	if ($id_ecole==0) print "<option value=\"0\" selected=\"selected\">Choisissez votre &eacute;cole</option>\n";
	while($row=@mysqli_fetch_row($r)) {
		$id_ecole_courante=$row[0];
		$nom_ecole=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_ecole_courante\"";
		if ($id_ecole_courante==$id_ecole) print " selected=\"selected\"";
		print ">$nom_ecole</option>\n";
	}
}
function afficheCircos($h,$id_circo)
{
	$q="SELECT id_circo, libelle as circo FROM circos ORDER BY circo ASC";
	$r=query($q,$h);
	$trouve=false;
	while($row=@mysqli_fetch_row($r)) {
		$id_circo_courante=$row[0];
		$circo=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_circo_courante\"";
		if (isset($id_circo) && $id_circo==$id_circo_courante) {
			print " selected=\"selected\"";
			$trouve=true;
		}
		print ">$circo</option>\n";
	}
	if (!$trouve) print "<option value=\"0\" selected=\"selected\">Choisissez d'abord votre circonscription</option>\n";
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function circochange()
			{
				document.formulaire.commande.value='circo';
				document.formulaire.submit();	
			}
	//-->	
		</script>
	    <style type="text/css">
<!--
.Style1 {color: #000000}
-->
        </style>
</head>
	<body>
		<div id="conteneur">
			<?php 
					include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
			<ul class="menu2">
		  		<li><a href="ins_envoi_courriel.php?id_circo=<?php print $id_circo?>">retour</a></li>
			  <li><a href="#bas">bas</a></li>
			</ul>
			</div>  
		  <div id="corps">
		    
		      <?php if ($erreur) printf ("<p class=\"erreur\">%s</p>\n",htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'))?>
	        <h1>Formulaire de contact avec l'administrateur </h1>
		    <p>Les param&egrave;tres suivis de * sont obligatoires. </p>
		    <p class="Style1"><span class="erreur">Avez-vous bien demand&eacute; &agrave; Circon'script de vous envoyer le mot de passe par courriel ?</span> </p>
		    <p class="Style1"><strong>NE PERDEZ PAS DE TEMPS !</strong> Si c'est un simple probl&egrave;me de mot de passe, revenez &agrave; la <a href="ins_envoi_courriel.php?url_ret=index.php&amp;id_circo=<?php print $id_circo?>">page pr&eacute;c&eacute;dente</a>. Circon'script vous envoie les informations !</p>
		    <p class="Style1">Si effectivement, vous avez rencontr&eacute; un probl&egrave;me particulier, utilisez le formulaire.  </p>
		    <form action="" method="post" name="formulaire" id="formulaire">
		      <input name="commande" type="hidden" id="commande" value="0" />
                  <table>
                    <tr class="table_entete">
                      <td>&nbsp;</td>

                      <td width="60%" colspan="2">&nbsp;</td>
                    </tr>
                    <tr class="survol">
                      <td>Nom * : </td>
                      <td width="60%" colspan="2"><input name="nom_stag" type="text" id="nom_stag" value="<?php print htmlentities($nom,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="25" /></td>
                    </tr>
                    <tr class="survol">
                      <td>Pr&eacute;nom * : </td>
                      <td width="60%" colspan="2"><input name="prenom_stag" type="text" id="prenom_stag" value="<?php print htmlentities($prenom,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="25" /></td>
                    </tr>
                    <tr class="survol">
                      <td><?php 
					  	if ($saisie_courriel==1|| $saisie_courriel==2) print "Courriel <em>acad&eacute;mique</em> pour la r&eacute;ponse *:<br/><em>(Les autres adresses seront refus&eacute;es.)</em>";
						else print "Courriel *:";
						?>	
						<br/></td>
                      <td width="30%">
                        <input name="courriel_stag" type="text" id="courriel_stag" value="<?php print htmlentities($courriel,ENT_COMPAT,'ISO-8859-15')?>" size="30" maxlength="100" />
                        <p>&nbsp;</p></td>
                      <td width="30%">
					  <?php if ($saisie_courriel==1 || $saisie_courriel==2) { ?>
					  <p><strong>AVANT TOUT : <u>V&Eacute;RIFIEZ VOTRE ADRESSE ACAD&Eacute;MIQUE!</u> </strong></p>
                        <p>Utilisez votre messagerie, envoyez un courriel <strong>&agrave; vous-m&ecirc;me</strong>, patientez un peu puis voyez si vous le recevez. Si vous ne recevez rien, <em>inutile de continuer le formulaire...</em>puisque vous ne pouvez pas recevoir de r&eacute;ponse ! </p>
                      </td>
                    <?php } ?>
					</tr>
                    <tr class="survol">
                      <td>Circonscription * :</td>
                      <td width="60%" colspan="2"><select name="circos_stag" id="circos_stag" onchange="javascript:circochange()">
                        <?php afficheCircos($h,$loc_id_circo)?>
                      </select></td>
                    </tr>
                    <tr class="survol">
                      <td>Ecole * : <em>ne pas confondre les E.M.PU et les E.E.PU ! </em></td>
                      <td width="60%" colspan="2"><select name="ecoles" id="ecoles">
                          <?php afficheEcoles($h,$loc_id_circo,$id_ecole)?>
                      </select></td>
                    </tr>
                    <tr class="survol">
                      <td>Motif de la demande (cochez) : * </td>
                      <td colspan="2"><p>
                        <input type="radio" name="motif" value="2" <?php if ($motif==2) print 'checked="checked"'?>/>
                        Veuillez v&eacute;rifier mon compte.  <em>Pr&eacute;cisez  le probl&egrave;me SVP.</em></p>
                        <p>
                          <input type="radio" name="motif" value="3" <?php if ($motif==3) print 'checked="checked"'?>/> 
                          Autre...
<em>pr&eacute;cisez ci-dessous. </em></p></td>
                    </tr>
                    <tr class="survol">
                      <td>Message  pour l'administrateur:<br /></td>
                      <td colspan="2"><p>&nbsp;</p>
                        <p>
                          <textarea name="message" cols="50" rows="10" id="message"><?php print htmlentities($message,ENT_COMPAT,'ISO-8859-15') ?></textarea>
                        </p></td>
                    </tr>
                  </table>
      <p class="remarque">
			        <input name="valider" type="submit" class="bouton_standard" value="Soumettre ma demande..." />
	        </p>
			      <p class="remarque">Votre demande sera soumise &agrave; l'administrateur. </p>
			</form>
	      </div>
			<a name="bas" id="bas"></a>	
		<div class="menu_secondaire">
		<ul class="menu2">
		  		<li><a href="ins_envoi_courriel.php?id_circo=<?php print $id_circo?>">retour</a></li>
		  <li><a href="#haut">haut</a></li>
		</ul>
		</div>		
	</div>
	</body>
</html>