<?php
/* 
	Modifier paramtres stagiaire
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';	
	if (isset($_GET['url_ret'])) {
		$url_ret_ins_parametres_modifier=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_ins_parametres_modifier']=$url_ret_ins_parametres_modifier;
	}
	else if (isset($_SESSION['circonscript7_url_ret_ins_parametres_modifier'])) {
		$url_ret_ins_parametres_modifier=$_SESSION['circonscript7_url_ret_ins_parametres_modifier'];
	}
	else $url_ret_ins_parametres_modifier="ins_menu.php";
	if (isset($_GET['verifier'])) $verif=1;
	else $verif=0;
	
	$erreur='';
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	if (!isset($_SESSION['circonscript7_id_stagiaire'])||$_SESSION['circonscript7_id_stagiaire']==0) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_stagiaire=$_SESSION['circonscript7_id_stagiaire'];
	if (!isset($_SESSION['circonscript7_id_uti'])) {
		header('Location:erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];
	$q="Select stagiaires.nom, prenom, stagiaires.courriel, niveau, ecoles.id_ecole, quotite, ecoles.nom as ecole, circos.id_circo, circos.libelle as circo, saisie_courriel, saisie_quotite, anonyme,circos.type_circo, stagiaires.type_courriel FROM stagiaires,ecoles, circos WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=circos.id_circo";
	$r=query($q,$h);
	$row=@mysqli_fetch_array($r);
	$nom=$row['nom'];
	$prenom=$row['prenom'];
	$courriel=$row['courriel'];
	$niveau=$row['niveau'];
	$id_ecole=$row['id_ecole'];
	$quotite=$row['quotite'];
	$ecole=htmlentities($row['ecole'],ENT_COMPAT,'ISO-8859-15');
	$id_circo=$row['id_circo'];
	$circo=$row['circo'];
	$type_circo=$row['type_circo'];
	$saisie_courriel=$row['saisie_courriel'];
	$type_courriel=$row['type_courriel'];
	if ($type_courriel==1) $saisie_courriel=0;
	$saisie_quotite=$row['saisie_quotite'];
	$suffixe_courriel=suffixeDefaut($h);
	if (!$suffixe_courriel) {
		header('Location: erreur.php?erreur=suffixe');
		exit;
	}
	$anonyme=$row['anonyme'];
	$r=query("SELECT duree_seance, regle, refuser_courriel_ecole FROM circos WHERE id_circo=$id_circo",$h);
	$row=@mysqli_fetch_row($r);
	$duree_seance=$row[0];
	$regle=$row[1];
	$refuser_courriel_ecole=$row[2];
	if (isset($_POST['effacer'])) {
		$niveau='';
		$nom=$_POST['nom_stag'];
		$prenom=$_POST['prenom_stag'];
		$courriel=$_POST['courriel_stag'];
		$quotite=$_POST['quotite_stag'];
		$id_ecole=normaliseT($_POST['ecoles'],20);
		if (isset($_POST['anonyme_stag'])) $anonyme=$_POST['anonyme_stag'];
		else $anonyme=0;
	}
	else if (isset($_POST['commande'])) {
		$nom=majuscule(normaliseT($_POST['nom_stag'],25));
		if (!nomValide($nom)) $erreur.="Nom invalide. ";
		$prenom=majuscule(normaliseT($_POST['prenom_stag'],25));
		if (!nomValide($prenom)) $erreur.= "Prnom invalide. ";
		$courriel=strtolower(normaliseT($_POST['courriel_stag'],255));
		switch($saisie_courriel) {
			case 1:
				if (!$courriel) $erreur="Courriel manquant. ";
				else if (!testeEmail($courriel)) $erreur.="Courriel invalide. ";
				break;
			case 2: // courriel acadmique obligatoire 
				if (!$courriel) $erreur="Courriel manquant. ";
				else if (strpos($courriel,'@')!==false) {
					if (!testeEmailAca($courriel,$h)) $erreur="Adresse de courriel acadmique requis. ";
				}
				else {
					$courriel.='@'.$suffixe_courriel;
					if (!testeEmail($courriel)) $erreur.="Courriel invalide. ";
				}
				break;
			default:
				if ($courriel && !testeEmail($courriel)) $erreur.="Courriel invalide. ";
		}
		if (!$erreur && $courriel && $refuser_courriel_ecole) {
			if (testeEmailEcole($courriel,$h)) $erreur.="Votre circonscription interdit l'utilisation de l'adresse de courriel d'une cole  la place d'une adresse personnelle. ";
		
		}
		// refuser le courriel d'un autre utilisateur (attention, le stagiaire peut avoir plusieurs comptes et l, on accepte)
		if ($courriel) {
			$nb=queryValue("SELECT COUNT(*) FROM stagiaires WHERE id_uti<>$id_uti AND courriel LIKE '$courriel'",$h);
			if ($nb>0) $erreur.="L'adresse de courriel est dj utilise par un autre stagiaire. Contactez l'administrateur si vous souhaitez utiliser cette adresse.";
		}
		// le niveau
		$nv='';
		if (isset($_POST['niveau_stag'])) {
			$q="SELECT libelle FROM niveaux WHERE 1 ORDER BY groupe, tri";
			$r=query($q,$h);
			$nvx=array();
			while ($row=@mysqli_fetch_row($r)) 
				$nvx[$row[0]]=0; //nv stocke les niveaux dans l'ordre
			foreach($_POST['niveau_stag'] as $n) {
				$niv=normaliseT($n,15);
				if (isset($nvx[$niv])) $nvx[$niv]=1;
			}
			foreach($nvx as $k=>$v) if ($v) $nv.='/'.$k;
		}
		if ($nv=='') $erreur.="Niveau invalide. ";
		$niveau=$nv.'/';
	
		if (isset($_POST['quotite_stag']) && !$saisie_quotite) {
			$quotite=decimal(normaliseT($_POST['quotite_stag'],6));
			if ($quotite=='') $erreur.="Quotit invalide. ";
			else if ($quotite<=0) $erreur.="La quotit doit tre suprieure  0. ";
			else if ($quotite>100) $erreur.="La quotit doit tre 100 au maximum. ";
		}
		$id_ecole=normaliseT($_POST['ecoles'],20);
		if (!is_numeric($id_ecole)) $erreur.= 'Ecole invalide. ';
		$quota=calculerQuota($h,$id_ecole,$niveau);
		
		if ($quota=='' && $erreur=='') $erreur="Impossible de calculer le quota d'heures d'animation";
		if (isset($_POST['anonyme_stag'])) $anonyme=$_POST['anonyme_stag'];
		if ($anonyme<=0) $anonyme=0;
		else $anonyme=1;
		if ($erreur=='') {
			$nom_f=normaliseNom($nom);
			$prenom_f=normaliseNom($prenom);
			$q=sprintf("SELECT COUNT(*) FROM stagiaires WHERE nom_f LIKE '%s' AND prenom_f LIKE '%s' AND id_ecole='%d' AND id_stagiaire<>$id_stagiaire", myEscapeString($h,$nom_f),myEscapeString($h,$prenom_f),$id_ecole);
			$n=queryValue($q,$h);
			if ($n>0) $erreur="Il existe dj un stagiaire portant ce nom et ce prnom dans cette cole";
			else {
				$quota_reel=quotaReelStagiaire($quota,$quotite,$duree_seance,$regle);
				$q=sprintf("UPDATE stagiaires SET nom='%s', prenom='%s', nom_f='%s',prenom_f='%s',niveau='%s', courriel='%s', id_ecole='%d', quota='%.2f', quotite='%.2f',quota_reel='%.2f', anonyme='%d' WHERE id_stagiaire=$id_stagiaire",myEscapeString($h,$nom),myEscapeString($h,$prenom),myEscapeString($h,$nom_f),myEscapeString($h,$prenom_f),myEscapeString($h,$niveau),myEscapeString($h,$courriel),$id_ecole, $quota, $quotite,$quota_reel,$anonyme);

				query($q,$h);
				if (!$erreur) {
					if ($courriel) {
						$login=queryValue("SELECT login FROM utilisateurs WHERE id_uti=$id_uti",$h);
						if ($login!=$courriel) { 
							if (!$use_sso || !$sso_usermail) {//pas de chgt de login si on est dans le portail.
								$_SESSION['circonscript7_nouveau_login']=$courriel;
								$_SESSION['circonscript7_compte_utilisateur_etape']=0;
								header('Location: compte_utilisateur.php?url_ret=ins_menu.php');
								exit;
							}
						}
					}
					if (isset($url_ret) && $url_ret!='' ) header( "Location: $url_ret");
					else header("Location: ins_parametres.php");
					exit;
				}
			}
			
		}
	}
	
function afficheNiveaux($h)
{
	global $niveau;
	$q="SELECT libelle, groupe FROM niveaux WHERE 1 ORDER BY groupe, tri";
	$r=query($q,$h);
	$col=-1;
	$lig=-1;
	$max_lig=0;
	$nv=array();
	$prec_groupe=-1;
	while ($row=@mysqli_fetch_row($r)) {
		if ($prec_groupe!=$row[1]) {
			$prec_groupe=$row[1];
			++$col;
			$lig=0;
		}
		else ++$lig;
		$nv[$col][$lig]=strtoupper($row[0]);
		if ($max_lig<$lig) $max_lig=$lig;
	}
	if ($prec_groupe==-1) return;
	$max_col=$col+1;
	++$max_lig;
	print "<table class=\"invisible\">\n";
	for ($lig=0;$lig<$max_lig;++$lig) {
		print "<tr>\n";
		for ($col=0;$col<$max_col;++$col) {
			print "<td>";
			if (isset($nv[$col][$lig])) {
				$chk='';
				if (!(strpos($niveau,'/'.$nv[$col][$lig].'/')===false)) $chk='checked="checked"';	
				$n=htmlentities($nv[$col][$lig],ENT_COMPAT,'ISO-8859-15');			
				printf("<input type=\"checkbox\" name=\"niveau_stag[]\" value=\"%s\" %s />%s\n",$n,$chk,$n);
			}
			else 
				print "&nbsp;";
			print "</td>\n";
		}
		print "</tr>\n";
	}
	print "</table>\n";
}
function afficheEcoles($h,$id_circo,$id_ecole)
{
	//global $id_circo, $id_ecole;
//<option value="Ecole 1">01</option>	
	$q="SELECT id_ecole, nom FROM ecoles WHERE id_circo=$id_circo";
	$r=query($q,$h);
	while($row=@mysqli_fetch_row($r)) {
		$id_ecole_courante=$row[0];
		$nom_ecole=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_ecole_courante\"";
		if (isset($id_ecole) && $id_ecole_courante==$id_ecole) print " selected=\"selected\"";
		print ">$nom_ecole</option>\n";
	}
}
function afficheQuotites($h)
{
	global $quotite;
	$q="SELECT quotite FROM quotites ORDER BY quotite DESC";
	$r=query($q,$h);
	$trouve=false;
	if (!isset($quotite) ||$quotite==0) print "<option value=\"0\" selected=\"selected\">* Choisissez... *</option>\n";
	while($row=@mysqli_fetch_row($r)) {
		$quotite_courante=$row[0];;
		print "<option value=\"$quotite_courante\"";
		if (isset($quotite) && $quotite==$quotite_courante) {
			print " selected=\"selected\"";
			$trouve=true;
		}
		print ">$quotite_courante</option>\n";
	}
	if (!$trouve && isset($quotite) && $quotite>0 && $quotite<=100) {
		printf ("<option value=\"%3.2f\" selected=\"selected\">%3.2f</option>",$quotite,$quotite);
	}
}
function calculerQuota($h, $id_ecole_stag, $niveau_stag)
{
	global $erreur, $id_circo;
	// lire et interprter les rgles
	$regles=array();
	$r=query("SELECT quota,id_ecole,niveau FROM regles WHERE id_circo=$id_circo",$h);
	while ($row=@mysqli_fetch_array($r)) {
		$niveau=$row['niveau'];
		$nivs=array();
		if ($niveau) {
			$t=explode('/',$niveau);
			foreach($t as $v) if ($v) $nivs[]='/'.$v.'/';
		}
		$quota=$row['quota'];
		$id_ecole=$row['id_ecole'];
		$regles[]=array('quota'=>$quota,'id_ecole'=>$id_ecole,'niveaux'=>$nivs);
	}
	//lire quota standard
	$quota=queryValue("SELECT quota FROM circos WHERE id_circo=$id_circo",$h);
	if ($erreur) return;
	if ($quota=='') {
		$quota=queryValue("SELECT quota FROM general",$h);
		if ($erreur || $quota=='') return;
	}
	// appliquer les rgles  au stagiaire
	foreach($regles as $regle) {
		$ecole= true;
		if($regle['id_ecole']>0) $ecole=$id_ecole_stag==$regle['id_ecole'];
		if ($ecole==false) continue;
		if (count($regle['niveaux'])!=0) {
			if ($niveau_stag=='') continue;
			$ok=false;
			foreach($regle['niveaux'] as $niv) {
				if (!(strpos($niveau_stag,$niv)===false)) {
					$ok=true;
					break;
				}
			}
			if (!$ok) continue;
		}
		if ($regle['quota'] < $quota) $quota=$regle['quota'];
	}
	return $quota;	
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
<script type="text/JavaScript" charset="ISO-8859-15">
<!--
function effacer_niv()
{

	var leForm=document.form;
	var laListe=leForm["niveau_stag[]"];
	if (laListe!=null) 
		if (laListe.length!=0) 
			for(i=0;i<laListe.length;++i) 
				laListe[i].checked=false;
		else
			laListe.checked=false;
}
function envoyer()
{
	var f=document.form;
	if (f.nom_stag.value=='') {
		alert("Le nom n'est pas renseign");
		return;
	}
	if (f.prenom_stag.value=='') {
		alert("Le prnom n'est pas renseign");
		return;
	}
	<?php
	if ($saisie_courriel==1 || $saisie_courriel==2) {
		print"if (f.courriel_stag.value=='') {\n";
		print "alert(\"Le courriel n'est pas renseign\");\n";
		print "return;\n";
		print "}\n";	
	}
	?>
	
	liste=f["niveau_stag[]"];
	if (liste!=null) {
		var b=false;
		for (i=0;b==false && i<liste.length;++i) {
			if (liste[i].checked) b=true;
		}
		if (!b) {
			alert("Il faut cocher un niveau");
			return;
		}
	}
	if (f.ecoles.value==0) {
		alert("Il faut choisir une cole");
		return;
	}
	<?php
		if ($saisie_quotite==0) {
			print "if (f.quotite_stag.value==0) {\n";
			print "alert(\"Quotit non renseigne\");\n";
			print "return;\n";
			print "}\n";
		}	
	?>				
	f.submit();
}
//-->
</script>

	</head>
	<body>
		<div id="conteneur">
			<?php 
				if ($verif) include ('menu_principal_vide.inc.php');
				else
					include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
			<ul class="menu2">
		  <?php if (!$verif) print "<li><a href=\"$url_ret_ins_parametres_modifier\">retour</a></li>\n"; ?>
			  <li><a href="#bas">bas</a></li>
			</ul>
			</div>  
		  <div id="corps">	 
				<?php
					if (!$verif) 
						print "<h1>Mes param&egrave;tres - &eacute;dition </h1>\n";
					else {
						print "<h1>V&eacute;rification des param&egrave;tres</h1>\n";
						print "<p>Veuillez compl&eacute;ter les champs non renseign&eacute;s. Puis, validez en cliquant sur le bouton \"Enregistrer\" au bas de la page.<p>\n";
					}
				?>	
				<p class="remarque">Les param&egrave;tres suivis de * sont obligatoires. </p>
				<form method="post" action="" name="form">
                  <?php if ($erreur) printf ("<p class=\"erreur\">%s</p>\n",htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'))?>
                  <table>
                    <tr class="table_entete">
                      <td>&nbsp;</td>

                      <td width="60%"><?php print "$nom $prenom"; ?></td>
                    </tr>
                    <tr class="survol">
                      <td>Nom * : </td>
                      <td width="60%"><input name="nom_stag" type="text" id="nom_stag" value="<?php print htmlentities($nom,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="25" /></td>
                    </tr>
                    <tr class="survol">
                      <td>Pr&eacute;nom * : </td>
                      <td width="60%"><input name="prenom_stag" type="text" id="prenom_stag" value="<?php print htmlentities($prenom,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="25" /></td>
                    </tr>
                    <tr class="survol">
                      <td><?php switch($saisie_courriel) {
							case 1: print "Courriel * ";break;
							case 2: print "Courriel acad&eacute;mique * <br/><i>uniquement le pr&eacute;fixe si adresse en @$suffixe_courriel</i>";break;
							default: print "Courriel";
						}
						?></td>
                      <td width="60%">
					  <?php 
					  	$p=strpos($courriel,'@'.$suffixe_courriel);
						if (($courriel!='' || $p!==false) && $saisie_courriel==2) {
							print '<input name="courriel_stag" type="text" id="courriel_stag" value="';
							print htmlentities(substr($courriel,0,$p),ENT_COMPAT,'ISO-8859-15');
							print '" size="60" maxlength="255" />';
							print "@$suffixe_courriel";
						}
						else {
							print '<input name="courriel_stag" type="text" id="courriel_stag" value="';
							print htmlentities($courriel,ENT_COMPAT,'ISO-8859-15');
							print '" size="60" maxlength="255" />';
						}
						?>					  
					</td>
                    </tr>
                    <tr class="survol">
                      <td valign="top">Niveau * : 
                        <br />
                      <input name="effacer" type="button" class="bouton_standard" value="Effacer niveau" onclick="javascript:effacer_niv()" /></td>
                      <td width="60%"><?php
				  	afficheNiveaux($h);
				?></td>
                    </tr>
                    <tr class="survol">
                      <td>Circo * :</td>
                      <td width="60%"><?php print htmlentities($circo,ENT_COMPAT,'ISO-8859-15')?></td>
                    </tr>
                    <tr class="survol">
                      <td>Ecole * : </td>
                      <td width="60%"><select name="ecoles" id="ecoles">
                          <?php afficheEcoles($h,$id_circo,$id_ecole)?>
                      </select></td>
                    </tr>
                    <tr class="survol">
                      <td>Quotit&eacute;
					  <?php
					  	if ($saisie_quotite==0) print "* : <p class=\"remarque\">Mettez 100 pour travail &agrave; temps complet, 50 pour un mi-temps, etc. </p>";
						else print ' :';
						?>					  </td>
                      <td width="60%">
					  <?php if ($saisie_quotite==0) {
					  		print "<select name=\"quotite_stag\">\n";
                        	afficheQuotites($h);
                      		print "</select>\n";
						}
						else {
							print "<p>$quotite % <em>(Si inexact, pr&eacute;venez votre inspection)</em></p>\n";					
						}
						?>					  </td>
                    </tr>
                    <tr class="survol">
                      <td>Anonymat</td>
                      <td><p>
                          <input type="radio" name="anonyme_stag" value="0" <?php if ($anonyme==0) print "checked=\"checked\"" ?> />
                        J'accepte que les autres stagiaires puissent savoir si je suis inscrit ou convoqu&eacute; &agrave; une animation p&eacute;dagogique particuli&egrave;re. Mon nom, pr&eacute;nom et &eacute;cole de rattachement seront publi&eacute;s, uniquement pour les animations auxquelles je suis inscrit ou convoqu&eacute;. </p>
                          <p>
                            <input type="radio" name="anonyme_stag" value="1"<?php if ($anonyme==1) print "checked=\"checked\"" ?>/>
                            Je souhaite rester anonyme. Mon nom, pr&eacute;nom et &eacute;cole de rattachement ne seront pas publi&eacute;s dans les listes. Les autres stagiaires ne pourront pas savoir si je suis inscrit ou convoqu&eacute; &agrave; une animation particuli&egrave;re. </p></td>
                    </tr>
                  </table>
			      <p class="remarque">Si vous souhaitez changer de circonscription, ou effacer compl&egrave;tement vos donn&eacute;es: contactez votre animateur de circonscription. </p>
			      <div align="center">
                    <input name="commande" type="hidden" id="commande" />
                    <input name="valider" type="button" class="bouton_standard" value="Enregistrer" onclick="javascript:envoyer()" />
                  </div>
	        </form>
		      </div>
			<a name="bas" id="bas"></a>	
		<div class="menu_secondaire">
		<ul class="menu2">
		  <?php if (!$verif) print "<li><a href=\"$url_ret_ins_parametres_modifier\">retour</a></li>\n"; ?>
		  <li><a href="#haut">haut</a></li>
		</ul>
		</div>		
	</div>
	</body>
</html>
