<?php
/* 
	Edition des paramtres intervenant	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_int_edite=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_int_edite']=$url_ret_int_edite;
	}
	else if (isset($_SESSION['circonscript7_url_ret_int_edite'])) {
		$url_ret_int_edite=$_SESSION['circonscript7_url_ret_int_edite'];
	}
	else $url_ret_int_edite="int_accueil.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	if (!isset($_SESSION['circonscript7_id_intervenant'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_intervenant=$_SESSION['circonscript7_id_intervenant'];
	if (!isset($_SESSION['circonscript7_id_uti'])) {
		header('Location:erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];
	$_SESSION['circonscript7_session_menu_page']=2;
	$h=connect();
	ejecteSiFerme($h);
	// si id_intervenant==0, alors mode "ajout".
	$r=query("SELECT civilite, nom, prenom, courriel, fonction FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
	if (@mysqli_num_rows($r)==0) {
		header('Location: erreur.php?erreur=id_intervenant');
		exit;
	}
	else {
		$row=@mysqli_fetch_row($r);
		$civ=$row[0];
		$nom=$row[1];
		$prenom=$row[2];
		$courriel=$row[3];
		$fonction=$row[4];
	}
	if (isset($_POST['enregistrer'])) while(1) {
		if (!isset($_POST['selCiv'])) $civ=0;
		else $civ=intval($_POST['selCiv']);
		if ($civ<0) $civ=0;
		else if ($civ>2) $civ=2;
		if (!isset($_POST['edNom'])) $nom='';
		else $nom=$_POST['edNom'];
		if ($nom=='') $erreur.="Nom absent. ";
		if (!$erreur && !nomValide($nom)) $erreur.="Nom incorrect. Les caractres spciaux sont interdits. ";
		if ($civ<2)	$nom=majuscule(normaliseT($nom,25));
		else $nom=normaliseT($nom,25);
		$nom_f=normaliseNom($nom);
		if (isset($_POST['edPrenom'])) {
			$prenom=$_POST['edPrenom'];
			if ($prenom!='' && !$erreur && !nomValide($prenom)) 
				$erreur.="Prnom incorrect. Les caractres spciaux sont interdits. ";
		}
		else $prenom='';
		if ($civ<2)	$prenom=majuscule(normaliseT($prenom,25));
		else $prenom=normaliseT($prenom,25);
		$prenom_f=normaliseNom($prenom);
		if (isset($_POST['edCourriel']) && $_POST['edCourriel']!='') {
			$courriel=normaliseT($_POST['edCourriel'],255);
			if (!testeEmail($courriel)) 
				$erreur.="Courriel incorrect. ";
		}
		else $erreur.="Courriel absent. ";
		if (isset($_POST['edFonction']) && $_POST['edFonction']!='') 
			$fonction=normaliseT($_POST['edFonction'],20);
		else $fonction='';
		if ($erreur) break;
		// Enregistrement des paramtres. 
		//Vrification de l'unicit du courriel
		$nb=queryValue("SELECT COUNT(*) FROM intervenants WHERE courriel LIKE '$courriel' AND id_intervenant<>$id_intervenant",$h);
		if ($nb>0) {
			$erreur="Il existe dj un compte avec cette adresse de courriel. Enregistrement annul.";
			break;
		}
		$q=sprintf("UPDATE intervenants SET civilite=%d,nom='%s',prenom='%s',nom_f='%s',prenom_f='%s',fonction='%s',courriel='%s',id_circo=0 WHERE id_intervenant=$id_intervenant",
				$civ,
				myEscapeString($h,$nom),
				myEscapeString($h,$prenom),
				myEscapeString($h,$nom_f),
				myEscapeString($h,$prenom_f),
				myEscapeString($h,$fonction),
				$courriel
			);
		query($q,$h);
		if (!$erreur) 
			if ($courriel) {
				$login=queryValue("SELECT login FROM utilisateurs WHERE id_uti=$id_uti",$h);
				if ($login!=$courriel) { 
					if (!$use_sso || !$sso_usermail) {//pas de chgt de login si on est dans le portail.
						$_SESSION['circonscript7_nouveau_login']=$courriel;
						$_SESSION['circonscript7_compte_utilisateur_etape']=0;
						header('Location: compte_utilisateur.php?url_ret=int_accueil.php');
						exit;
					}
				}
			}
			$erreur="Enregistrement effectu avec succs.";	
		break;
	}
function afficheFonctions($h)
{
	$q="SELECT fonction FROM intervenants GROUP BY fonction";
	$r=query($q,$h);
	while ($row=@mysqli_fetch_row($r)) {
		$fonction=htmlentities($row[0],ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$fonction\">$fonction</option>\n";
	
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--
		function jsFonction(value)
		{
			if (value!='*') document.form1.edFonction.value=value;
		}
		//-->	
		</script></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_int_edite?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
				<h1>Edition de mes param&egrave;tres personnels </h1>
				<p>ATTENTION, tout changement se r&eacute;percute imm&eacute;diatement sur les plans de formation o&ugrave; vous intervenez.</p>
				<p>Pour changer le mot de passe ou l'identifiant de connexion, rendez-vous dans la rubrique <em><a href="compte.php">Mon compte</a>.</em></p>
				<?php 
				if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?>
				<form id="form1" name="form1" method="post" action="">
                  <table border="0">
                    <tr>
                      <td><p>Civilit&eacute; :* </p></td>
                      <td><p>
                        <select name="selCiv" id="selCiv">
                          <option value="0" <?php if($civ==0) print "selected=\"selected\""?> >M.</option>
                          <option value="1" <?php if($civ==1) print "selected=\"selected\""?>>Mme/Mlle</option>
                          <option value="2" <?php if($civ==2) print "selected=\"selected\""?>></option>
                        </select>
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>Nom :* </p></td>
                      <td><p>
                        <input name="edNom" type="text" id="edNom" value="<?php print htmlentities($nom,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="25" />
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>Pr&eacute;nom : </p></td>
                      <td><p>
                        <input name="edPrenom" type="text" id="edPrenom" value="<?php print htmlentities($prenom,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="25" />
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>Courriel :* </p></td>
                      <td><p>
                        <input name="edCourriel" type="text" id="edCourriel" value="<?php print htmlentities($courriel,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="250" />
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>Fonction : </p></td>
                      <td><p>
                        <select name="fonctions" id="fonctions" onclick="javascript:jsFonction(fonctions.value)">
                          <option value="*">Fonctions d&eacute;j&agrave; disponibles (choisissez)</option>
						  <?php afficheFonctions($h) ?>
                        </select>
                        <img src="images/b_import.png" width="22" height="22" />                        
                        <input name="edFonction" type="text" id="edFonction" value="<?php print htmlentities($fonction,ENT_COMPAT,'ISO-8859-15')?>" size="20" maxlength="20"  />
                      </p></td>
                    </tr>
      </table>
                  <p align="center">
                    <input name="enregistrer" type="submit" class="bouton_standard" id="enregistrer" value="Enregistrer" />
                  </p>
			</form>				
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_int_edite?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
