<?php
/* 
	Exportation du plan de formation au format csv
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_plan_export=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_plan_export']=$url_ret_adm_plan_export;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_plan_export'])) {
		$url_ret_adm_plan_export=$_SESSION['circonscript7_url_ret_adm_plan_export'];
	}
	else $url_ret_adm_plan_export="adm_animations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_intervenants.inc.php';
	if (!isset($_SESSION['circonscript7_id_intervenant'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_intervenant=$_SESSION['circonscript7_id_intervenant'];
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	if (isset($_POST['exporter'])) 
		exporter($h);
	
function exporter($h)
{
	global $erreur,$id_intervenant;
	while (!$erreur) {
		$file=tempnam("./temp","csv");
		if (!$file) {
			$erreur="Impossible de crer un nom de fichier temporaire.";
			break;
		}
		$fp=fopen($file,'w');
		if (!$fp) {
			$erreur="Impossible de crer un fichier temporaire.";
			break;
		}
		exporterInterventions($h,$fp,$id_intervenant);
		fclose($fp);
		exportFichier($file,"Interventions_");
		exit;
		
	}

};

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-155" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_plan_export?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
			  <h1>Exportation de vos interventions au format  csv			  </h1>
			    <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
			      <form name="form1" method="post" action="">
			        <h2>Exporter votre plan d'interventions  
			          <input name="exporter" type="submit" class="bouton_standard" id="exporter" value="Exporter!" />
                    </h2>
			        <p>Format csv, s'ouvre &agrave; l'aide d'un tableur. </p>
			        </form>
	      </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_plan_export?>">retour</a></li>
		  			<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
