<?php
/* 
	Menu circo - configuration gnrale 
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  

	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_mdp.inc.php';
	$h=connect();
	ejecteSiFerme($h);
	$erreur="";
	debugInit();
	if (isset($_GET['url_ret'])) {
		$url_ret_mdp_init=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_mdp_init']=$url_ret_mdp_init;
	}
	else if (isset($_SESSION['circonscript7_url_ret_mdp_init'])) {
		$url_ret_mdp_init=$_SESSION['circonscript7_url_ret_mdp_init'];
	}
	else $url_ret_mdp_init="index.php";
	$_SESSION['circonscript7_session_menu_page']=-1;
	if (isset($_SESSION['circonscript7_mdp_init_tentatives'])) $tentatives=$_SESSION['circonscript7_mdp_init_tentatives'];
	else $tentatives=0;
	if ($tentatives>=3) {
		header('Location: erreur.php?erreur=tentatives_courriel');
		exit;
	}
	$hash='';
	if (isset($_GET['ref'])) $hash=myEscapeString($h,$_GET['ref']);
	if (!$hash) {
		header('Location: index.php');
		exit;
	}
	$r=query("SELECT id_uti, login FROM utilisateurs WHERE hash='$hash'",$h);
	if (!$r) {
		header('Location: erreur.php?erreur=bdd2');
		exit;
	}
	$id_uti=0;
	$login='';
	if ($row=@mysqli_fetch_row($r)) {
		$id_uti=$row[0];
		$login=$row[1];
	} 
	if (!$id_uti) {
		header('Location: erreur.php?erreur=hash');
		exit;
	}
	// utilisateur trouv.
	while (isset($_POST['edCourriel'])) {
		$login_lu=trim($_POST['edCourriel']);
		if (!$login_lu) break;
		if (!testeEMail($login_lu)) {
			$erreur="Votre identifiant doit tre une adresse de courriel valide. Si ce n'est pas le cas, contactez l'admnistrateur.";
			break;
		}
		if ($login_lu!=$login) {
			$_SESSION['circonscript7_mdp_init_tentatives']=++$tentatives;
			if ($tentatives>=3) {
				header('Location: erreur.php?erreur=tentatives_courriel');
				exit;
			}
			$erreur="L'adresse de courriel saisie ne correspond pas  l'adresse enregistre.";
			break;			
		}
		if (!testeEMail($login)) {
			header('Location: erreur.php?erreur=identifiant_pas_courriel');
			exit;
		}
		// OK on a tout. On gnre un mot de passe un peu plus long que habituellement et on supprime le hash.
		$mdp=getMdp();
		query("UPDATE utilisateurs SET mdp='$mdp',codage=0,hash=NULL WHERE id_uti=$id_uti",$h);
		if (publipostage($id_uti,$h,$login,'','','','',true)) $erreur="Un courriel vient de vous tre adress  l'adresse suivante: $login";
		break;
	}
	if (isset($_POST['btAbandon'])) {
		query("UPDATE utilisateurs SET hash=NULL WHERE id_uti=$id_uti",$h);
		header('Location: index.php');
		exit;
	}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_mdp_init?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps">
	<?php if ($erreur) printf ("<p class=\"erreur\">%s</p>",htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));  ?>
	  <h1>R&eacute;initialisation du mot de passe</h1>
	  <p>Circon'script peut vous attribuer un nouveau mot de passe provisoire, que vous devrez changer &agrave; la prochaine connexion.</p>
	  <p>Afin de v&eacute;rifier votre compte, vous devez saisir l'adresse de courriel qui  permet de vous connecter &agrave; Circon'script. </p>
	  <p>Le nouveau mot de passe sera envoy&eacute; &agrave; cette adresse. La proc&eacute;dure d'initialisation sera termin&eacute;e et l'acc&egrave;s &agrave; cette page ne sera plus disponible. </p>
	  <form id="form1" name="form1" method="post" action="">
	    <table border="0">
          <tr>
            <td>Adresse de courriel : </td>
            <td><input name="edCourriel" type="text" id="edCourriel" size="80" maxlength="255" /></td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td><input name="Submit" type="submit" class="bouton_standard" value="Envoyer" /></td>
          </tr>
        </table>
      </form>
	  <h1>Abandon de la r&eacute;initialisation du mot de passe </h1>
	  <p>Peut-&ecirc;tre avez-vous retrouv&eacute; le mot de passe ? Vous pouvez abandonner la proc&eacute;dure de r&eacute;initialisation: l'adresse URL de cette page, pr&eacute;sente dans le message qui vous a &eacute;t&eacute; adress&eacute; par Circon'script, ne sera plus valable. Le mot de passe reste inchang&eacute;. Utilisez cette fonctionnalit&eacute; pour plus de s&eacute;curit&eacute;. Vous reviendrez ensuite &agrave; l'&eacute;cran d'accueil. </p>
	  <form id="form2" name="form2" method="post" action="">
	    <div align="center">
	      <input name="btAbandon" type="submit" class="bouton_standard" id="btAbandon" value="Abandonner" />
        </div>
	  </form>
	  </div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_mdp_init?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>