ALTER TABLE `circos` ADD `type_circo` TINYINT UNSIGNED NOT NULL DEFAULT '0', ADD `inscriptions_autorisees` TINYINT NOT NULL DEFAULT '0';
ALTER TABLE `stagiaires` ADD `type_courriel` TINYINT UNSIGNED NOT NULL DEFAULT '0' AFTER `courriel` ;
ALTER TABLE `general` ADD `avertissementChoix` TINYINT UNSIGNED NOT NULL DEFAULT '1',ADD `intervenants_ical` TINYINT NOT NULL DEFAULT '10', ADD `bannissement` TINYINT NOT NULL DEFAULT '1',
ADD `ban_duree` INT NOT NULL DEFAULT '30', 
ADD `ban_oubli` INT NOT NULL DEFAULT '10', 
ADD `ban_tentatives` INT NOT NULL DEFAULT '10';
ALTER TABLE `inscriptions` ADD `traite` TINYINT UNSIGNED NOT NULL DEFAULT '0';
ALTER TABLE `partages` DROP `nb_places`;
ALTER TABLE `animations` ADD `annule` TINYINT NOT NULL DEFAULT '0';
ALTER TABLE `intervenants` ADD `ical_session` VARCHAR( 50 ) NULL DEFAULT NULL, ADD `ical_timestamp` TIMESTAMP NULL DEFAULT NULL , ADD `ical_cache` BLOB NULL DEFAULT NULL, ADD INDEX ( `ical_session` )  ;
DROP TABLE IF EXISTS `acces`;
CREATE TABLE IF NOT EXISTS `acces` (
  `IP` varchar(15) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `dt_acces` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `tentatives` int(11) NOT NULL,
  `login` tinytext NOT NULL,
  `ban` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`IP`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
