<?php
/* 
	sso_info_login
	Circon'script PHP Script
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
	Entre lorsque: sso_usermail!=login de l'utilisateur
*/
require '_session.php';
require '_sqlconnect.inc.php';
require '_version.inc.php';
require '_fonctions.inc.php';

	if (!isset($_SESSION['circonscript7_id_uti'])) {
		header('Location:erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];

	$h=connect();
	
	if (isset($_POST['valider'])) {
		if (isset($_POST['modifauto'])) {
			query("UPDATE intervenants SET courriel='$sso_usermail' WHERE id_uti=$id_uti",$h);
			query("UPDATE administrateurs SET courriel='$sso_usermail' WHERE id_uti=$id_uti",$h);
			query("UPDATE stagiaires SET courriel='$sso_usermail' WHERE id_uti=$id_uti",$h);
		}
		header('Location: compte.php');
		exit;
}
// on utilise $sso_login et $sso_usermail de parametres.inc.php

$id_uti_anc=queryValue("SELECT id_uti FROM utilisateurs WHERE login LIKE '$sso_usermail'",$h);
// s'il existe un id_uti avec l'adresse sso_usermail alors abandonner: la situation est anormale, ne rien faire. (il se peut que l'utilisateur retourne sur cette page par backspace dans ce cas on retourne  compte)
if ($id_uti_anc!=0) {
	header("Location: compte.php");
	exit;
}
// et si d'aventure sso_usermail ne contient pas d'adresse mail valide, abandonner aussi...
if (empty($sso_usermail) || !testeEMail($sso_usermail)) {
	header("Location: compte.php");
	exit;
}
// vrifie s'il n'existe pas dj un utilisateur avec cette adresse mail.
	$nb=queryValue("SELECT COUNT(*) FROM utilisateurs WHERE id_uti<>$id_uti AND login='$sso_usermail'",$h);
	if($nb>0) {
		header("Location: compte.php");
		exit;
	}
	// mettre  jour l'identifiant 
	$loginAnc=queryValue("SELECT login FROM utilisateurs WHERE id_uti=$id_uti",$h);
	query("UPDATE utilisateurs SET login='$sso_usermail' WHERE id_uti=$id_uti",$h);

	function infoComptes($nomCompte, $table, $id_uti)
	{
		global $sso_usermail,$h;
		$r=query("SELECT courriel FROM $table WHERE id_uti=$id_uti",$h);
		$b=0;
		$n=0;
		$nb=@mysqli_num_rows($r);
		while ($row=@mysqli_fetch_row($r)) {
			++$n;
			$courriel=$row[0];
			debug($courriel,$sso_usermail);
			if ($sso_usermail!=$courriel) {
				$num='';
				if ($nb>1) $num=" N$n ";
				print "<p><b>Avertissement</b> : le compte \"$nomCompte\"$num possde une adresse de courriel diffrente: \"$courriel\".</p>\n";
				++$b;
			}
			
		}
		return $b;
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15')?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" />  <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal_vide.inc.php');
			?>
		  <div id="corps" class="fond">	 
				<h1>Information: changement de l'identifiant de connexion</h1>
				<p>Votre identifiant de connexion <b>"<?php print htmlentities($loginAnc,ENT_COMPAT,'ISO-8859-15')?>"</b> a &eacute;t&eacute; remplac&eacute; par <b>"<?php print htmlentities($sso_usermail,ENT_COMPAT,'ISO-8859-15')?>"</b>.</p>
				<p>Cet identifiant est utilis dans la connexion avec Circon'script en acc&egrave;s direct.</p>
				<?php
					$b=0;
					$b+=infoComptes('enseignant', 'stagiaires',$id_uti);
					$b+=infoComptes('intervenant', 'intervenants',$id_uti);
					$b+=infoComptes('administrateur', 'administrateurs',$id_uti);
					if ($b>1) print "<p>Il vous appartient, le cas chant, de modifier vous-mme l'adresse de courriel dans chacun de ces comptes.</p>\n";
					else if ($b==1) print "<p>Il vous appartient, le cas chant, de modifier vous-mme l'adresse de courriel dans ce compte.</p>\n";
					if ($b) {
						print "<p>Vous pouvez aussi cocher la case ci-dessous si vous souhaitez que Circon'script mette  jour automatiquement ";
						if ($b>1) print "ces comptes.</p>\n";
						else print "ce compte.</p>\n";
					}
				?>
				<form method="post" action="">
				  <?php
					if ($b>0) {
						$m="mon compte";
						if($b>1) $m='mes comptes';
						print "<p><input type=\"checkbox\" name=\"modifauto\"/> Mettre  jour automatiquement $m avec l'adresse de courriel \"$sso_usermail\".</p>\n";
					}
				  ?>
				  <div align="center">
				    <input type="submit" value=" OK " name="valider" class="bouton_standard"/>
			        </div>
				</form>
				
				
		</div>

			<div class="menu_secondaire">
		  </div>
		  
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>