<?php
/*	
	Captcha
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

class Captcha
{
	public $enonce;
	public $reponse;
	
	public function testReponse($rep)
	{
		$accents="o";
		$rempl=  "aaaaeeeeiioooouuuc";
		$bonnes_reponses=explode('|',strtr(strtolower($this->reponse),$accents,$rempl));
		if (count($bonnes_reponses)==0) return false;
		$rep=str_replace(' ','',trim(strtr(strtolower($rep),$accents,$rempl)));
		if ($rep=='') return false;
		return in_array($rep,$bonnes_reponses);
		
	}
	public function produireEnonce()
	{
		$n=rand(1,6);
		switch($n) {
			case 1: $this->enonce1(); return;
			case 2: $this->enonce2(); return;
			case 3: $this->enonce3(); return;
			case 4: $this->enonce4(); return;
			case 5: $this->enonce5(); return;
			case 6: $this->enonce6(); return;
			default: $this->enonce1(); return;
		}
	}
	
	public function enonce1() // ans et cadets
	{
		$noms1=array('Jean','Pierre','Stphane','Luc','Robert','Marc','Herv','Didier');
		$noms2=array('Jeanne','Catherine','Stphanie','Lucie','Sylvie','Martine','Denise','Julie');
		$noms=array();
		$masc=rand(0,1);
		if ($masc==1) $noms=$noms1;
		else $noms=$noms2;
		
		// mlange les noms
		for ($i=0;$i<count($noms);++$i) {
			$r=rand(0,count($noms)-1);
			if ($r!=$i)  {
				$nom=$noms[$i];
				$noms[$i]=$noms[$r];
				$noms[$r]=$nom;
			}
				
		}
		
		$r=rand(0,11);
		switch($r) {
			case 0: 
				if ($masc) $this->enonce=sprintf("%s est plus g que %s. Qui est l'an ?",$noms[0],$noms[1]);
				else $this->enonce=sprintf("%s est plus ge que %s. Qui est l'ane ?",$noms[0],$noms[1]);
				$this->reponse=$noms[0];
				return;
			case 1:
				if ($masc) $this->enonce=sprintf("%s est plus jeune que %s. Qui est le cadet ?",$noms[0],$noms[1]);
				else $this->enonce=sprintf("%s est plus jeune que %s. Qui est la cadette ?",$noms[0],$noms[1]);
				$this->reponse=$noms[0];
				return;
			case 2:
				if ($masc) $this->enonce=sprintf("%s est plus jeune que %s. Qui est l'an ?",$noms[0],$noms[1]);
				else $this->enonce=sprintf("%s est plus jeune que %s. Qui est l'ane ?",$noms[0],$noms[1]);
				$this->reponse=$noms[1];
				return;
			case 3:
				if ($masc) $this->enonce=sprintf("%s est plus g que %s. Qui est le cadet ?",$noms[0],$noms[1]);
				else $this->enonce=sprintf("%s est plus ge que %s. Qui est la cadette ?",$noms[0],$noms[1]);
				$this->reponse=$noms[1];
				return;
			case 4;
				if ($masc) $this->enonce=sprintf("%s est l'an et %s le cadet. Qui est le plus vieux ?",$noms[0],$noms[1]);
				else $this->enonce=sprintf("%s est l'ane et %s la cadette. Qui est la plus vieille ?",$noms[0],$noms[1]);
				$this->reponse=$noms[0];
				return;
			case 5;
				if ($masc) $this->enonce=sprintf("%s est l'an et %s le cadet. Qui est le plus jeune ?",$noms[0],$noms[1]);
				else $this->enonce=sprintf("%s est l'ane et %s la cadette. Qui est la plus jeune ?",$noms[0],$noms[1]);
				$this->reponse=$noms[1];
				return;
			case 6;
				if ($masc) $this->enonce=sprintf("%s est le cadet et %s l'an. Qui est le plus vieux ?",$noms[0],$noms[1]);
				else $this->enonce=sprintf("%s est la cadette et %s l'ane. Qui est la plus vieille ?",$noms[0],$noms[1]);
				$this->reponse=$noms[1];
				return;
			case 7;
				if ($masc) $this->enonce=sprintf("%s est le cadet et %s l'an. Qui est le plus jeune ?",$noms[0],$noms[1]);
				else $this->enonce=sprintf("%s est la cadette et %s l'ane. Qui est la plus jeune ?",$noms[0],$noms[1]);
				$this->reponse=$noms[0];
				return;
			case 8:
				$n1=rand(4,15);
				$n2=rand(4,15);
				if ($n1==$n2) ++$n1;
				if ($masc)
					$this->enonce=sprintf("%s a %d ans et %s en a %d. Qui est l'an ?",$noms[0],$n1,$noms[1],$n2);
				else
					$this->enonce=sprintf("%s a %d ans et %s en a %d. Qui est l'ane ?",$noms[0],$n1,$noms[1],$n2);
				
				$this->reponse= $n1>$n2? $noms[0]:$noms[1];
				return;
			case 9:
				$n1=rand(4,15);
				$n2=rand(4,15);
				if ($n1==$n2) --$n1;
				if ($masc)
					$this->enonce=sprintf("%s a %d ans et %s en a %d. Qui est le cadet ?",$noms[0],$n1,$noms[1],$n2);
				else
					$this->enonce=sprintf("%s a %d ans et %s en a %d. Qui est la cadette ?",$noms[0],$n1,$noms[1],$n2);
				$this->reponse= $n1<$n2? $noms[0]:$noms[1];
				return;
			case 10:
				$n1=rand(4,15);
				$n2=rand(4,15);
				if ($n1==$n2) ++$n1;
				if ($masc)
					$this->enonce=sprintf("%s a %d ans et %s en a %d. Qui est le plus vieux ?",$noms[0],$n1,$noms[1],$n2);
				else
					$this->enonce=sprintf("%s a %d ans et %s en a %d. Qui est la plus vieille ?",$noms[0],$n1,$noms[1],$n2);
				
				$this->reponse= $n1>$n2? $noms[0]:$noms[1];
				return;
			case 11:
				$n1=rand(4,15);
				$n2=rand(4,15);
				if ($n1==$n2) --$n1;
				if ($masc)
					$this->enonce=sprintf("%s a %d ans et %s en a %d. Qui est le plus jeune ?",$noms[0],$n1,$noms[1],$n2);
				else
					$this->enonce=sprintf("%s a %d ans et %s en a %d. Qui est la plus jeune ?",$noms[0],$n1,$noms[1],$n2);
				$this->reponse= $n1<$n2? $noms[0]:$noms[1];
				return;
			
			
				
		}
	}
	public function enonce2() // oprations 
	{
		$nombres=array('zro','un','deux','trois','quatre','cinq','six','sept','huit','neuf','dix');
		$r=rand(0,2);
		$n1=rand(1,10);
		$n2=rand(1,10);
		switch($r) {
			case 0: // addition
				if (rand(0,1)==0)
					$this->enonce=sprintf("Quelle est, en chiffres, la somme de %s et %s ?",$nombres[$n1],$nombres[$n2]);
				else
					$this->enonce=sprintf("Quel est, en chiffres, le rsultat de l'addition de %s et %s ?",$nombres[$n1],$nombres[$n2]);
				$this->reponse=$n1+$n2;
				return;
			case 1: // soustraction
				if ($n2>$n1) {
					$n=$n2;
					$n2=$n1;
					$n1=$n;
				}
				if (rand(0,1)==0)
					$this->enonce=sprintf("Quelle est, en chiffres, la diffrence entre %s et %s ?",$nombres[$n1],$nombres[$n2]);
				else
					$this->enonce=sprintf("Quel est, en chiffres, le rsultat de la soustraction entre %s et %s ?",$nombres[$n1],$nombres[$n2]);
				
				$this->reponse=$n1-$n2;
				return;
			default: // produit
				if (rand(0,1)==0)
					$this->enonce=sprintf("Quel est, en chiffres, le produit de %s et %s ?",$nombres[$n1],$nombres[$n2]);
				else
					$this->enonce=sprintf("Quel est, en chiffres, le rsultat de la multiplication entre %s et %s ?",$nombres[$n1],$nombres[$n2]);
				
				$this->reponse=$n1*$n2;
				return;
		}
	}
	public function enonce3() // conversions 
	{
		$nombres1=array('zro','un','deux','trois','quatre','cinq','six','sept','huit','neuf','dix','onze','douze','treize','quatorze','quinze','seize','dix-sept','dix-huit','dix-neuf','vingt');
		$nombres2=array('0','I','II','III','IV','V','VI','VII','VIII','IX','X','XI','XII','XIII','XIV','XV','XVI','XVII','XVIII','XIX','XX');
		$nombres=array();
		$romain=rand(0,1);
		if ($romain) $nombres=$nombres2;
		else $nombres=$nombres1;
		$n=rand(2,20);
		$this->enonce=sprintf("Ecrivez le nombre %s en chiffres: %s",$romain ?'romain':'suivant',$nombres[$n]);
		$this->reponse=$n;
	}


	public function enonce4() // connaissances
	{
		
		$questions=array(
			"Insecte butineur que l'on lve pour son miel. C'est une...","abeille",
			"Il fut surnomm le roi Soleil. ","LouisXIV|Louis14",
			"Prnom d'un grand empereur franais, d'origine corse, qui finit ses jours exil sur l'le de Sainte-Hlne :","Napolon|NapolonI|Napoleon1",
			"Animal domestique qui aboie: c'est un... ","chien",
			"Animal domestique qui miaule; c'est un... ","chat",
			"Chane montagneuse qui spare la France et l'Espagne : les...","Pyrnes",
			"Chane montagneuse europenne contenant le Mont Blanc : les... ","Alpes",
			"Astre qui nous claire et nous rchauffe: le...","soleil",
			"Astre qui brille la nuit et qui passe par diffrentes phases: la ... ", "Lune",
			"Arbre fruitier donnant des pommes: un...", "pommier",
			"Arbre fruitier donnant des poires: un...", "poirier",
			"Capitale de la France: ","Paris",
			"Pays des pharaons: l'...","Egypte",
			"Livre contenant les dfinitions des mots: c'est un... ","dictionnaire",
			"Artisan qui fabrique le pain: le ...", "boulanger",
			"Artisan qui rpare les fuites d'eau et les canalisations: le...", "plombier",
			"Lors d'un anniversaire, on souffle les ...","bougies",
			"Lorsqu'il est midi moins le quart, combien de minutes se sont coules depuis 11 heures (rponse en chiffres) ?","45",
			"Lorsqu'il est treize heures et quart, combien de minutes se sont coules depuis 13 heures (rponse en chiffres) ?","15",
			
		);
		$n=rand(0,count($questions)/2-1);
		$this->enonce=$questions[$n*2];
		$this->reponse=$questions[$n*2+1];
	}	
	public function enonce5() //cycles et sries
	{
		$jours=array('lundi','mardi','mercredi','jeudi','vendredi','samedi','dimanche');
		$mois=array('janvier','fvrier','mars','avril','mai','juin','juillet','aot','septembre','octobre','novembre','dcembre');
		$saisons=array('printemps','t','automne','hiver');
		$n=rand(0,9);
		switch($n)
		{
		case 0:
			$n1=rand(1,10000);
			$n2=$n1+1;
			$this->enonce=sprintf("Quel nombre entier suit %d ?",$n1);
			$this->reponse=$n2;
			return;
		case 1:
			$n1=rand(1,10000);
			$n2=$n1-1;
			$this->enonce=sprintf("Quel nombre entier prcde %d ?",$n1);
			$this->reponse=$n2;
			return;
		case 2:
			$n1=rand(0,count($jours)-1);
			$n2=$n1+1;
			if ($n2>=count($jours)) $n2=0;
			$this->enonce=sprintf("Quel jour suit %s ?",$jours[$n1]);
			$this->reponse=$jours[$n2];
			return;
		case 3:
			$n1=rand(0,count($jours)-1);
			$n2=$n1-1;
			if ($n2<0) $n2=count($jours)-1;
			$this->enonce=sprintf("Quel jour prcde %s ?",$jours[$n1]);
			$this->reponse=$jours[$n2];
			return;
		case 4:
			$n1=rand(0,count($mois)-1);
			$n2=$n1+1;
			if ($n2>=count($mois)) $n2=0;
			$this->enonce=sprintf("Quel mois suit %s ?",$mois[$n1]);
			$this->reponse=$mois[$n2];
			return;
		case 5:
			$n1=rand(0,count($mois)-1);
			$n2=$n1-1;
			if ($n2<0) $n2=count($mois)-1;
			$this->enonce=sprintf("Quel mois prcde %s ?",$mois[$n1]);
			$this->reponse=$mois[$n2];
			return;
		
		case 6:
			$n1=rand(0,count($saisons)-1);
			$n2=$n1+1;
			if ($n2>=count($saisons)) $n2=0;
			$this->enonce=sprintf("Quelle saison suit %s%s ? (ne pas crire de dterminant)",$n1==0?'le ':"l'",$saisons[$n1]);
			$this->reponse=$saisons[$n2];
			return;
		case 7:
			$n1=rand(0,count($saisons)-1);
			$n2=$n1-1;
			if ($n2<0) $n2=count($saisons)-1;
			$this->enonce=sprintf("Quelle saison prcde %s%s ? (ne pas crire de dterminant)",$n1==0?'le ':"l'",$saisons[$n1]);
			$this->reponse=$saisons[$n2];
			return;
		case 8:
			$n1=rand(0,24);
			$c1=chr(65+$n1);
			$c2=chr(66+$n1);
			$this->enonce=sprintf("Quelle lettre suit le %s dans l'alphabet ?",$c1);
			$this->reponse=$c2;
			return;
		case 9:
			$n1=rand(0,24);
			$c1=chr(66+$n1);
			$c2=chr(65+$n1);
			$this->enonce=sprintf("Quelle lettre prcde le %s dans l'alphabet ?",$c1);
			$this->reponse=$c2;
			return;
		
		}
	}
	public function enonce6() // les contraires
	{
		$contraires=array('froid','chaud','haut','bas','grand','petit','plus','moins','maximum','minimum','fort','faible','juste|exact','faux|erron','rapide','lent','vieux|ancien|g','neuf|rcent|jeune','long','court','lourd','lger','humide|mouill','sec','monte','descente');
		$n1=rand(0,count($contraires)-1);
		$reps=explode('|',$contraires[$n1]);
		$this->enonce=sprintf("Quel est le contraire de \"%s\" ?",$reps[rand(0,count($reps)-1)]);
		if ($n1%2) $this->reponse=$contraires[$n1-1];
		else $this->reponse=$contraires[$n1+1];		
	}
}
/* 
// Pour les tests...
$c=new Captcha;
$c->produireEnonce();
//$c->enonce1();
print $c->enonce;
print "<br/>\n";
$reps=explode('|',$c->reponse);
printf("%s, vrit=%s", $c->reponse,$c->testReponse($reps[0])?'vrai':'faux');
*/
?>