<?php
/* 
	Envoi de courriel  l'admin
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

function envoieCourrielAdmin($courriel_admin,$nom,$prenom,$courriel,$ecole,$rne,$message,$circo,$action,$courriel_ec)
{
	global $erreur;
	// PARAMETRES STAGIAIRE
	$header=implode(file('_header.inc.txt'));
	if ($header=='') {
		$erreur="fichier _header.inc.txt non trouv ou incorrect sur le site";
		return;
	}
	$objet='';
	switch($action) {
		case 1:
			$header=str_replace('<title></title>','<title>Demande de rinitialisation de mot de passe</title>',$header);
			$objet="Circon'script - reinitalisation de mot de passe";
			break;
		case 2:
			$header=str_replace('<title></title>',"<title>Demande de v&eacute;rification</title>",$header);
			$objet="Circon'script - verification";
			break;
		default:
			$objet="Circon'script - autre demande";
			$header=str_replace('<title></title>',"<title>Autre demande</title>",$header);
	}
	// URL DU SITE
	// CREATION DU MESSAGE
	$frontiere='----='.md5(uniqid(mt_rand()));
	
	$utilisateur='';
	if (extension_loaded('mbstring')) {
		mb_internal_encoding('ISO-8859-15');
		$utilisateur=mb_encode_mimeheader("$nom $prenom",'ISO-8859-15','Q',"\r\n");
	}
	
	// ---------------HEADER
	if ($utilisateur)
		$head="From: \"$utilisateur\" <$courriel>\r\n";
	else
		$head="From: $courriel\r\n";
	$head.="Reply-To: $courriel\r\n";
	$head.="MIME-Version: 1.0\r\n";
	$head.="Content-Type: multipart/alternative;\r\n";
	$head.="  boundary=\"$frontiere\";\r\n";
	//--------MESSAGE TEXTE
	$msg_final= "This is a multi-part message in MIME format.\n\n";
	$msg_final.='--'.$frontiere."\n";
	$msg_final.="Content-Type: text/plain; charset=\"ISO-8859-15\"\n";
	$msg_final.="Content-Transfer-Encoding: 8bit\n\n";
	switch ($action) {
		case 1:
			$msg_final.="DEMANDE DE REINITIALISATION DE MOT DE PASSE\n\n";
			break;
		case 2:
			$msg_final.="DEMANDE DE VERIFICATION\n\n";
			break;
		default:
			$msg_final.="AUTRE DEMANDE\n\n";
	}			
	$msg_final.="Nom:  $nom\n";
	$msg_final.="Prnom: $prenom\n";
	$msg_final.="Ecole de rattachement: $ecole ($rne) $courriel_ec\n";
	$msg_final.="Circonscription: $circo\n";
	$msg_final.="Courriel:  $courriel\n";
	if($message) {
		$msg_final.="Message:\n";
		$msg_final.="$message\n";	
	}	
	//----------MESSAGE HTML
	$msg_final.='--'.$frontiere."\n";
	$msg_final.="Content-Type: text/html; charset=ISO-8859-15\n";
	$msg_final.="Content-Transfer-Encoding: 7bit\n\n";
	$msg_final.=$header; // header html
	$msg_final.="<body>\n<div id=\"conteneur\">\n";
	switch ($action) {
		case 1:
			$msg_final.="<h1>Demande de r&eacute;initialisation du mot de passe</h1>\n";
			break;
		case 2:
			$msg_final.="<h1>Demande de v&eacute;rification</h1>\n";
			break;
		default:
			$msg_final.="<h1>Demande sp&eacute;ciale</h1>\n";
	}			
	$msg_final.=sprintf("<p>Nom: %s</p>\n",htmlentities($nom,ENT_COMPAT,'ISO-8859-15'));
	$msg_final.=sprintf("<p>Pr&eacute;nom: %s</p>\n",htmlentities($prenom,ENT_COMPAT,'ISO-8859-15'));
	if ($courriel_ec)
		$msg_final.=sprintf("<p>&Eacute;cole de rattachement: <a href=\"mailto:%s\">%s</a> (%s)</p>\n",$courriel_ec,htmlentities($ecole,ENT_COMPAT,'ISO-8859-15'),$rne);
	else
		$msg_final.=sprintf("<p>&Eacute;cole de rattachement: %s (%s)</p>\n",htmlentities($ecole,ENT_COMPAT,'ISO-8859-15'),$rne);
	$msg_final.=sprintf("<p>Circonscription: %s</p>\n",htmlentities($circo,ENT_COMPAT,'ISO-8859-15'));
	$msg_final.=sprintf("<p>Courriel: <a href=\"mailto:%s\">%s</a></p>\n",$courriel,htmlentities($courriel,ENT_COMPAT,'ISO-8859-15'));
	if ($message) $msg_final.=sprintf("<p>Message :</p>\n<p>%s</p>\n",str_replace("\n","<br/>\n",htmlentities($message,ENT_COMPAT,'ISO-8859-15')));
	$msg_final.="</div>\n</body>\n</html>\n\n";
	$msg_final.='--'.$frontiere."--\n";
	
	if (extension_loaded('mbstring')) {
		mb_internal_encoding('ISO-8859-15');
		$obj=mb_encode_mimeheader($objet, 'ISO-8859-15','Q',"\r\n");
	}
	else $obj=$objet;
	
	
	$b=@mail($courriel_admin,$obj,$msg_final,$head);
	if (!$b) $erreur.="Problme d'envoi de courriels. Processus interrompu.";
}

?>