<?php
/* 
	Menu circo - configuration gnrale 
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  

	require '_sqlconnect.inc.php';
	$h=connect();

	$erreur="";
	debugInit();
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}	
	if (isset($_SESSION['circonscript7_id_circo'])) $id_circo=$_SESSION['circonscript7_id_circo'];		
	else $id_circo=0;
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_adm_autorisations=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_adm_autorisations']=$url_ret_adm_adm_autorisations;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_adm_autorisations'])) {
		$url_ret_adm_adm_autorisations=$_SESSION['circonscript7_url_ret_adm_adm_autorisations'];
	}
	else $url_ret_adm_adm_autorisations="administration.php";
	$_SESSION['circonscript7_session_menu_page']=0;
	$nb_autorisations=2;

	$autorisations=queryValue("SELECT autorisations FROM general",$h);
	if (strlen($autorisations)<$nb_autorisations) $autorisations.=str_repeat("0",$nb_autorisations-strlen($autorisations));
	if (isset($_POST['valider'])) {
		foreach($_POST['autorisation'] as $k=>$v) {
			$k=intval($k);
			$v=intval($v);
			if ($k>=0 && $k<$nb_autorisations) $autorisations[$k]=$v==1?'1':'0';
		}
		query("UPDATE general SET autorisations='$autorisations'",$h);
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" /></head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>"; 
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_adm_autorisations?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps">
	  <h1>Gestion des autorisations sp&eacute;ciales pour les circonscriptions</h1>
	  <form id="form1" name="form1" method="post" action="">
	    <table>
          <tr class="table_entete">
            <td>Action </td>
            <td><div align="center">autoris&eacute;</div></td>
            <td><div align="center">interdit</div></td>
          </tr>
          <tr>
            <td><h2><strong>Supprimer toutes les convocations</strong></h2>
              <p><em>Se trouve dans:
                <?php if ($id_circo) { ?>
                    <a href="adm_raz.php?url_ret=adm_adm_autorisations.php">Circo,Remise &agrave; z&eacute;ro: initialisation des tables</a>
                    <?php } else {?>
                Circo,Remise &agrave; z&eacute;ro: initialisation des tables
  <?php } ?>
              </em></p>
              <p>Autorise une circo &agrave; supprimer l'ensemble des convocations de ses propres stagiaires. Vous pouvez autoriser cette action en d&eacute;but et en fin d'ann&eacute;e, lorsqu'il faut cr&eacute;er les nouveaux plans de formation. En cours d'ann&eacute;e, vous pouvez l'autoriser aussi, sauf si vous projetez de cr&eacute;er un historique des convocations des stagiaires. Dans ce cas, interdisez la suppression des convocations jusqu'&agrave; ce que vous ayez pris une &quot;photo&quot; des convocations avec les absences, g&eacute;n&eacute;ralement en fin d'ann&eacute;e scolaire (NB: une circo peut toujours modifier individuellement les convocations). </p>
              <p><em>Remarque:  la case &agrave; cocher &laquo;<strong>Supprimer toutes les convocations </strong>&raquo; dans Circo, remise &agrave; z&eacute;ro, sera  toujours visible pour vous et marqu&eacute;e 'Superadmin'. </em></p></td>
            <td><div align="center">
              <input type="radio" name="autorisation[1]" value="1" <?php if ($autorisations[1]=='1') print 'checked="checked"' ?> />
            autoris&eacute;</div></td>
            <td><div align="center">
              <input type="radio" name="autorisation[1]" value="0" <?php if ($autorisations[1]=='0') print 'checked="checked"' ?> />
            interdit</div></td>
          </tr>
          <tr>
            <td><h2>Supprimer les inscriptions et convocations des stagiaires ext&eacute;rieurs &agrave; la circo. </h2>
              <p><em>Se trouve dans: 
                  <?php if ($id_circo) { ?>
                  <a href="adm_raz.php?url_ret=adm_adm_autorisations.php">Circo,Remise &agrave; z&eacute;ro: initialisation des tables</a><?php } else {?>
              Circo,Remise &agrave; z&eacute;ro: initialisation des tables
              <?php } ?>
			  </em></p>
              <p>Cette action a pour effet de supprimer les inscriptions/convocations des stagiaires des autres circos aux animations que la circo exporte. La circo agit donc sur des inscriptions/convocations qui ne rel&egrave;vent pas de son territoire.  Ceci permet, en d&eacute;but d'ann&eacute;e scolaire, de supprimer l'ancien plan et de mettre en place le nouveau plan, sans attendre que tout le monde soit coordonn&eacute;. Autrement, il faut attendre que toutes les circos qui importent des animations aient supprim&eacute; leurs propres convocations. En d&eacute;but d'ann&eacute;e, mettre <em>autoris&eacute;.</em></p>
              <p>En cours d'ann&eacute;e, lorsque les plans fonctionnent, il faut mettre <em>interdit</em> afin d'&eacute;viter une destruction massive d'inscriptions ou de convocations.</p>
              <p><em>Remarque:  la case &agrave; cocher &laquo;<strong>Supprimer les inscriptions et convocations des stagiaires ext&eacute;rieurs &agrave; la circo</strong>&raquo; dans Circo, remise &agrave; z&eacute;ro, sera  toujours visible pour vous et marqu&eacute;e 'Superadmin'. </em></p></td>
            <td><div align="center">
              <input type="radio" name="autorisation[0]" value="1" <?php if ($autorisations[0]=='1') print 'checked="checked"' ?> />
              autoris&eacute;</div></td>
            <td><div align="center">
              <input type="radio" name="autorisation[0]" value="0" <?php if ($autorisations[0]=='0') print 'checked="checked"' ?> />
              interdit</div></td>
          </tr>
        </table>
		<div align="center">
		  <input name="valider" type="submit" class="bouton_standard" id="valider" value="Valider" />
        </div>
	  </form>
	  </div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_adm_autorisations?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>