<?php
/* 
	Importation des plans de formation au format xml
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2012 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
 	class Animation {
		var $id_circo;
		var $domaine;
		var $theme;
		var $categorie;
		var $id_categorie;
		var $intitule;
		var $description;
		var $remarque;
		var $seances;
		var $annule;
		public function __construct()
		{
			$this->id_circo=0;
			$this->id_domaine=0;
			$this->id_theme=0;
			$this->id_cat=0;
			$this->seances=array();
			$this->annule=0;
		}
	};
	class Seance
	{
		var $max;
		var $public;
		var $condition_ouverture;
		var $id_circos_concernees;
		var $dates;
		public function __construct()
		{
			$max=0;
			$dates=array();
			$id_circos_concernees=array();
		}
	};
	class Date 
	{
		var $date_seance;
		var  $horaire;
		var $duree;
		var $lieu;
		var $remarque;
		var $intervenants;
		public function __construct()
		{
			$intervenants=array();
			$date_seance='9999-12-31';
		}
	};
	class Intervenant
	{
		var $civ;
		var $nom;
		var $prenom;
		var $nom_f;
		var $prenom_f;
		var $courriel;
		var $fonction;
		public function __construct()
		{
		}
	};
    class MyDOMDocument {
        private $_delegate;
        private $_validationErrors;
       
        public function __construct (DOMDocument $pDocument) {
            $this->_delegate = $pDocument;
            $this->_validationErrors = array();
        }
       
        public function __call ($pMethodName, $pArgs) {
            if ($pMethodName == "validate") {
                $eh = set_error_handler(array($this, "onValidateError"));
                $rv = $this->_delegate->validate();
                if ($eh) {
                    set_error_handler($eh);
                }
                return $rv;
            }
			else if ($pMethodName == "load") {
                $eh = set_error_handler(array($this, "onValidateError"));
                $rv = $this->_delegate->load($pArgs[0]);
                if ($eh) {
                    set_error_handler($eh);
                }
                return $rv;
			}
            else {
                return call_user_func_array(array($this->_delegate, $pMethodName), $pArgs);
            }
        }
        public function __get ($pMemberName) {
            if ($pMemberName == "errors") {
                return $this->_validationErrors;
            }
            else {
                return $this->_delegate->$pMemberName;
            }
        }
        public function __set ($pMemberName, $pValue) {
            $this->_delegate->$pMemberName = $pValue;
        }
        public function onValidateError($pNo, $pString, $pFile = null, $pLine = null, $pContext = null) {
            $this->_validationErrors[] = preg_replace("/^.+: */", "", $pString);
        }
    };

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_adm_plan_export_xml=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_adm_plan_export_xml']=$url_ret_adm_adm_plan_export_xml;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_adm_plan_export_xml'])) {
		$url_ret_adm_adm_plan_export_xml=$_SESSION['circonscript7_url_ret_adm_adm_plan_export_xml'];
	}
	else $url_ret_adm_adm_plan_export_xml="administration.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	require '_fonctions_stagiaire.inc.php';
	require '_fonctions_mdp.inc.php';
	
	$dtd=true;
	$version=1;
	if (isset($_SESSION['adm_adm_plan_import_xml_dtd'])) $dtd=$_SESSION['adm_adm_plan_import_xml_dtd'];
	if (isset($_SESSION['adm_adm_plan_import_xml_version'])) $annee=$_SESSION['adm_adm_plan_import_xml_version'];
	
	debugInit();
	$h=connect();
	$annee=0;
	$operation=0;
	if (isset($_SESSION['adm_adm_plan_import_xml_annee'])) $annee=$_SESSION['adm_adm_plan_import_xml_annee'];
	$listeCircos=array();
	$r=query("SELECT id_circo, libelle_court FROM circos",$h);
	while ($row=@mysqli_fetch_row($r)) $listeCircos[$row[1]]=$row[0];
	$formater=true;
	
	while ( isset($_POST['upload']) ) {// si formulaire soumis
	
		if (isset($_POST['annee'])) {
			$annee=abs(intval($_POST['annee']));
			if ($annee!=0) $annee=1;
			$_SESSION['adm_adm_plan_import_xml_annee']=$annee;
		}
		else $annee=0;
		if (isset($_POST['version'])) {
			$version=abs(intval($_POST['version']));
			if ($version!=1) $version=2;
		}
		else $version=1;
		$_SESSION['adm_adm_plan_import_xml_version']=$version;

		if (isset($_POST['operation'])) {
			$operation=intval($_POST['operation'])!=0;

		}
		else {
			$erreur="Veuillez cocher une case 'opration'";
			break;
		}
		$dtd=isset($_POST['dtd']);
		$_SESSION['adm_adm_plan_import_xml_dtd']=$dtd;
		$tmp_file = $_FILES['fichier']['tmp_name'];
		if( !is_uploaded_file($tmp_file) )
		{
			$erreur="Le fichier est introuvable";
			break;
		}
		/*
		// URL de la dtd
		
		$domaine=$_SERVER['HTTP_HOST'];
		$path=$_SERVER['SCRIPT_NAME'];
		$t=explode('/',$path);
		if (sizeof($t)>1) {
			unset($t[sizeof($t)-1]);
			$path=implode('/',$t);
		}
		else $path='';
		$http='http';
		if (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS']=='on') $http='https';
		$url_dtd="$http://$domaine$path/plan.dtd";
		*/
		$doc= new DomDocument();
		$doc->formatOutput=true;
		$doc->encoding="UTF-8";

		$dom= new MyDomDocument($doc);
		$dom->preserveWhiteSpace=false;	
		if (!$dom->load($tmp_file)) {
			$erreur="Impossible de charger le fichier .xml. Les erreurs suivantes ont t d&eacute;tect&eacute;es:<br/>\n";
			foreach($dom->errors as $err) $erreur.=$err."<br/>\n";
			$formater=false;
			break;
		}
		if ($dtd && !$dom->validate()) {
			$erreur="Erreur de validation du fichier .xml. Les erreurs suivantes ont t d&eacute;tect&eacute;es:<br/>\n";
			foreach($dom->errors as $err) $erreur.=$err."<br/>\n";
			$formater=false;
			break;
		}
			
		$plan=$dom->documentElement;
		if ($plan->nodeName!="plan") $erreur="Balise <plan> absente";
		$listeAnimations=$plan->getElementsByTagName('animation');
		$nbErreurs=0;
		$nbAjouts=0;
		if( $listeAnimations->length==0) {
			$erreur="Aucune animtion dfinie";
			break;
		}
		$num=0;
		foreach($listeAnimations as $a) {
			enregistrerUneAnimation($a, $nbErreurs,$nbAjouts,++$num,$annee,$h,$operation,$version);
			if ($nbErreurs>=10)break;
		}
		if (!$operation) {
			if (!$erreur) $erreur="Le fichier xml semble correct.";
		}
		else 
		   if (!$erreur) $erreur="L'importation est termine.";
		break;
	}
	if($formater) $erreur=str_replace("\n","<br/>\n",htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));


function enregistrerUneAnimation(&$anim_lue, &$nbErreurs, &$nbAjouts,$num,$annee,$h,$operation,$version)
{
	global $erreur;
	if (!$anim_lue->hasAttribute("circo")) {
		 $erreur.=sprintf("Animation %d: attribut 'circo' non dfini\n",$num);
		 ++$nbErreurs;
		 return false;
	}	
	// circo
	$circo=utf8_decode($anim_lue->getAttribute("circo"));
	$s=myEscapeString($h,$circo);
	$r=query("SELECT id_circo FROM circos WHERE libelle_court LIKE '$s'",$h);
	if (!$r || @mysqli_num_rows($r)==0) {
		 $erreur.=sprintf("Animation %d: attribut 'circo' ('%s') non prsent dans les libells courts des circos\n",$num,htmlentities($circo,ENT_COMPAT,'ISO-8859-15'));
		 ++$nbErreurs;
		 return false;
	}
	$row=@mysqli_fetch_row($r);
	$id="";
	if ($anim_lue->hasAttribute("id_anim")) {
		$id=sprintf( "id_anim=%s ",  $anim_lue->getAttribute("id_anim"));
	}
	$animation= new Animation;
	$animation->id_circo=$row[0];
	if ($anim_lue->hasAttribute("annule") && $anim_lue->getAttribute("annule")=="oui")$animation->annule=1; 
	if ($annee) {
		$ok=queryValue(sprintf("SELECT autoriser_plan_futur FROM circos WHERE id_circo=%d",$animation->id_circo),$h);
		if (!$ok) {
			 $erreur.=sprintf("Animation %d: la circo '%s' n'autorise pas le plan futur. Veuillez autoriser le plan futur.\n",$num,htmlentities($circo,ENT_COMPAT,'ISO-8859-15'));
			 ++$nbErreurs;
			 return false;
		} 
	}
	
	// domaine
	if ($version==1) {
		$e=$anim_lue->getElementsByTagName('domaine');
		if (!$e->length) {
			 $erreur.=sprintf("Animation %d $id: attribut 'domaine' non dfini\n",$num);
			 ++$nbErreurs;
			 return false;
		}	
		$animation->domaine=decode($e->item(0)->nodeValue );
		if ($animation->domaine=='') {
			 $erreur.=sprintf("Animation %d $id: balise 'domaine' vide\n",$num);
			 ++$nbErreurs;
			 return false;
		}
		// theme
		$e=$anim_lue->getElementsByTagName('theme');
		if (!$e->length) {
			 $erreur.=sprintf("Animation %d $id: attribut 'theme' non dfini\n",$num);
			 ++$nbErreurs;
			 return false;
		}	
		$animation->theme=decode($e->item(0)->nodeValue );
		if ($animation->theme=='') {
			 $erreur.=sprintf("Animation %d $id: balise 'theme' vide\n",$num);
			 ++$nbErreurs;
			 return false;
		}
	}
	else { // version 2 du fichier xml
		$theme_lu=$anim_lue->parentNode;
		if (!$theme_lu) {
			 $erreur.=sprintf("Animation %d $id: attribut parent 'theme' non dfini\n",$num);
			 ++$nbErreurs;
			 return false;
		}
		$e=$theme_lu->getElementsByTagName('theme_nom');
		if (!$e->length) {
			 $erreur.=sprintf("Animation %d $id: attribut 'theme_nom' du parent 'theme' non dfini\n",$num);
			 ++$nbErreurs;
			 return false;
		}	
		$animation->theme=decode($e->item(0)->nodeValue );
		if ($animation->theme=='') {
			 $erreur.=sprintf("Animation %d $id: la balise 'theme_nom' du parent 'theme' est vide\n",$num);
			 ++$nbErreurs;
			 return false;
		}
		// domaine
		$domaine_lu=$theme_lu->parentNode;
		if (!$domaine_lu) {
			 $erreur.=sprintf("Animation %d $id: attribut grand-parent 'domaine' non dfini\n",$num);
			 ++$nbErreurs;
			 return false;
		}
		$e=$domaine_lu->getElementsByTagName('domaine_nom');
		if (!$e->length) {
			 $erreur.=sprintf("Animation %d $id: attribut 'domaine_nom' du grand-parent 'domaine' non dfini\n",$num);
			 ++$nbErreurs;
			 return false;
		}	
		$animation->domaine=decode($e->item(0)->nodeValue );
		if ($animation->theme=='') {
			 $erreur.=sprintf("Animation %d $id: la balise 'domaine_nom' du grand-parent 'domaine' est vide\n",$num);
			 ++$nbErreurs;
			 return false;
		}
		
	
	}
	// catgorie
	$e=$anim_lue->getElementsByTagName('categorie');
	if ($e->length) $animation->categorie=decode($e->item(0)->nodeValue );
	$animation->id_categorie=0;
	if ($animation->categorie) {
		$r=query(sprintf("SELECT id_categorie FROM categories WHERE codage LIKE '%s'",myEscapeString($h,$animation->categorie)),$h);
		if (@mysqli_num_rows($r)==0) {
			 $erreur.=sprintf("Animation %d $id: balise categorie: ce codage n'existe pas dans la base\n",$num);
			 ++$nbErreurs;
			 return false;
		}
		$row=@mysqli_fetch_row($r);
		$animation->id_categorie=$row[0];
	}
	// intitule
	$e=$anim_lue->getElementsByTagName('intitule');
	if ($e->length) $animation->intitule=decode($e->item(0)->nodeValue );
	if(!$animation->intitule) {
		 $erreur.=sprintf("Animation %d $id: intitul absent.\n",$num);
		 ++$nbErreurs;
		 return false;
	}
	//annule
	
	//descriptionu
	$e=$anim_lue->getElementsByTagName('description');
	if ($e->length) $animation->description=decode($e->item(0)->nodeValue );
	//remarque
	$e=$anim_lue->getElementsByTagName('remarque');
	if ($e->length) $animation->remarque=decode($e->item(0)->nodeValue );
	// sances
	$listeSeances=$anim_lue->getElementsByTagName('seance');
	if( $listeSeances->length==0) {
		$erreur.=sprintf("Animation %d $id: balise <seance> absente.\n",$num);
		++$nbErreurs;
		return false;
	}
	foreach($listeSeances as $s) {
		if (!lireUneSeance($s, $animation, $nbErreurs,$num,$id,$h)) return false;
		if ($nbErreurs>=10)break;
	}
	if ($operation==0 || $nbErreurs>0) return true; // si nous sommes en mode validation ou s'il y a des erreurs, on n'enregistre rien
	
	// ------------enregistrer animation dans base car il n'y a pas d'erreurs
	if (!enregistrer($animation,$annee,$h)) return false;
	return true;	
}
function lireUneSeance(&$seance_lue, &$animation, &$nbErreurs, $num,$id, $h)
{
	global $erreur, $listeCircos;
	$seance= new Seance;
	$id_seance="";
	if ($seance_lue->hasAttribute("id_seance")) {
		$id_seance=sprintf( "id_seance=%s ",  $seance_lue->getAttribute("id_seance"));
	}
	//max
	$e=$seance_lue->getElementsByTagName('max');
	if ($e->length) $seance->max=intval($e->item(0)->nodeValue );
	// public
	$e=$seance_lue->getElementsByTagName('public');
	if ($e->length) $seance->public=decode($e->item(0)->nodeValue );
	// circos_concernees
	$e=$seance_lue->getElementsByTagName('circos_concernees');
	if ($e->length) {
		$cc= explode(',',utf8_decode(trim($e->item(0)->nodeValue)));
		foreach($cc as $libelle_court) {
			if (!isset($listeCircos[$libelle_court])) {
				$erreur.=sprintf("Animation %d $id, seance $id_seance: libelle de circo inexistant (%s)\n",$num,$libelle_court);
				++$nbErreurs;
				return false;
			}
			$seance->id_circos_concernees[]=$listeCircos[$libelle_court];
		}
		
	}
	// condition ouverture sous la forme max, max-1, max-2 etc... 
	$e=$seance_lue->getElementsByTagName('condition_ouverture');
	if ($e->length) {
		$s=$e->item(0)->nodeValue;
		$x=0;
		if ($s) {
			if (substr($s,0,3)!='max') {
					$erreur.=sprintf("Animation %d $id, seance $id_seance, condition_ouverture: erreur de syntaxe\n",$num,$libelle_court);
					++$nbErreurs;
					return false;
			}
			if (strlen($s)>3) {
				if ($s[3]!='-' || strlen($s)==4) {
					$erreur.=sprintf("Animation %d $id, seance $id_seance, condition_ouverture: symbole '-' absent\n",$num,$libelle_court);
					++$nbErreurs;
					return false;
				}
				$x=intval(substr($s,4));
				if ($x<0 || $x>20) {
					$erreur.=sprintf("Animation %d $id, seance $id_seance, condition_ouverture: valeur numrique incorrecte (doit tre entre 0 et 20)\n",$num,$libelle_court);
					++$nbErreurs;
					return false;
				}
				++$x;
			}
		}
		$seance->condition_ouverture=$x;
		if ($x) { // vrifier si on peut mettre une condition
			$n=count($animation->seances);
			if ($n==0) {
				$erreur.=sprintf("Animation %d $id, seance $id_seance, condition_ouverture: vous ne pouvez pas dfinir une condition d'ouverture car il n'y a pas de sance prcdente.\n", $num, $libelle_court);
				++$nbErreurs;
				return false;		
			}
			if ($animation->seances[$n-1]->max==0) {
				$erreur.=sprintf("Animation %d $id, seance $id_seance, condition_ouverture: vous ne pouvez pas dfinir une condition d'ouverture car la sance qui prcde n'a pas dfini de maximum.\n",$num, $libelle_court);
				++$nbErreurs;
				return false;
			}
			
		}
	}
	// dates
	$listeDates=$seance_lue->getElementsByTagName('date');
	if( $listeDates->length==0) {
		$erreur.=sprintf("Animation %d $id, seance $id_seance: balise <date> absente.\n",$num);
		++$nbErreurs;
		return false;
	}
	foreach($listeDates as $d) 
		if (!lireUneDate($d, $seance, $nbErreurs,$num,$id,$h)) return false;
	$animation->seances[]=$seance;
	return true;
}
function lireUneDate(&$date_lue, &$seance, &$nbErreurs, $num, $id,$h)
{
	global $erreur;
	$date = new Date;
	$id_date="";
	if ($date_lue->hasAttribute("id_date")) {
		$id_date=sprintf( "id_date=%s ",  $date_lue->getAttribute("id_date"));
	}
	//date_seance
	$e=$date_lue->getElementsByTagName('date_seance');
	if ($e->length) {
		$s=$e->item(0)->nodeValue;
		if ($s=='0000-00-00') $s='9999-12-31';
		if (!strcmp(strtolower(utf8_decode($s)),'tlformation')) $s='9999-12-30';
		$t=explode("-",$s);
		if (count($t)!=3 || !checkdate($t[1],$t[2],$t[0])) {
			$erreur.=sprintf("Animation %d $id, date $id_date: date_seance incorrecte (format demand: aaaa-mm-jj).\n",$num);
			++$nbErreurs;
			return false;
		}
		if (strlen($t[1])==1) $t[1]='0'.$t[1];
		if (strlen($t[0])==1) $t[0]='0'.$t[0];
		$date->date_seance=sprintf( "$t[0]-$t[1]-$t[2]");	
	}
	if ($date->date_seance=='0000-00-00'||$date->date_seance=='') $date->date_seance='9999-12-31';
	// horaire
	$e=$date_lue->getElementsByTagName('horaire');
	if ($e->length) {
		$t=explode(":",$e->item(0)->nodeValue);
		while (count($t)<2) $t[]=0;
		$t[0]=intval($t[0]);
		$t[1]=intval($t[1]);
		if ($t[0]<0 | $t[0]>=24) $t[0]=0;
		if ($t[1]<0 || $t[1]>=60) $t[1]=0;
		$date->horaire=sprintf("%02d:%02d:00",$t[0],$t[1]);			
	}
	else $date->horaire='00:00:00';
	//dure
	$date->duree=0;
	$e=$date_lue->getElementsByTagName('duree');
	if ($e->length) $date->duree=doubleval( str_replace(',','.',$e->item(0)->nodeValue));
	if ($date->duree<=0.0) {
		$erreur.=sprintf("Animation %d $id, date $id_date: dure incorrecte ou non spcifie.\n",$num);
		++$nbErreurs;
		return false;
	} 	
	// lieu	
	$e=$date_lue->getElementsByTagName('lieu');
	if ($e->length) 
		$date->lieu=decode($e->item(0)->nodeValue);
	// remarque_seance	
	$e=$date_lue->getElementsByTagName('remarque_seance');
	if ($e->length) 
		$date->remarque=decode($e->item(0)->nodeValue);
	// intervenants
	$e=$date_lue->getElementsByTagName('intervenant');
	if ($e->length) 
		foreach($e as $i) 
			if (!lireUnIntervenant($i, $date, $nbErreurs,$num,$id_date,$h)) return false;
	$seance->dates[]=$date;
	return true;	
}

function lireUnIntervenant(&$int_lu, &$date,&$nbErreurs, $num, $id_date,$h)
{
	$int= new Intervenant;
	// civilit
	$e=$int_lu->getElementsByTagName('civ');
	$int->civ=2;
	if ($e->length) {
		$civ=strtolower(decode($e->item(0)->nodeValue));
		if ($civ=='m.') $int->civ=0;
		else if ($civ=='mme') $int->civ=1;
	}
	// nom
	$e=$int_lu->getElementsByTagName('nom');
	$int->nom='';
	if ($e->length) 
		$int->nom=decode($e->item(0)->nodeValue);
	if (!$int->nom) {
		$erreur.=sprintf("Animation %d $id, date $id_date, intervenant: un intervenant n'a pas de nom.\n",$num);
		++$nbErreurs;
		return false;
	}
	if (!nomValide($int->nom)) {
		$erreur.=sprintf("Animation %d $id, date $id_date, intervenant: un intervenant n'a pas de nom valide (%s).\n",$num,$int->nom);
		++$nbErreurs;
		return false;
	}
	$int->nom_f=normaliseNom($int->nom);
	// prenom
	$e=$int_lu->getElementsByTagName('prenom');
	$int->prenom='';
	if ($e->length) $int->prenom=decode($e->item(0)->nodeValue);
	if ($int->prenom && !nomValide($int->prenom)) {
		$erreur.=sprintf("Animation %d $id, date $id_date, intervenant: un interenant n'a pas de prnom valide (%s).\n",$num,$int->prenom);
		++$nbErreurs;
		return false;
	}
	$int->prenom_f=normaliseNom($int->prenom);
	// courriel
	$e=$int_lu->getElementsByTagName('courriel');
	$int->courriel='';
	if ($e->length) {
		$int->courriel=decode($e->item(0)->nodeValue);
		if (!testeEmail($int->courriel)) {
			$erreur.=sprintf("Animation %d $id, date $id_date, intervenant: un intervenant a une adresse de courriel incorrecte (%s).\n",$num,$int->courriel);
			++$nbErreurs;
			return false;
		
		}
	}
	// fonction
	$e=$int_lu->getElementsByTagName('fonction');
	$int->fonction='';
	if ($e->length) $int->fonction=decode($e->item(0)->nodeValue);

	$date->intervenants[]=$int;	
	return true;	
}
function decode( $s, $maxlen=0)
{
	if ($maxlen) return substr(iconv('UTF-8','ISO-8859-15',trim($s)),0,$maxlen);
	return iconv('UTF-8','ISO-8859-15',trim($s)); 
}
function enregistrer(&$animation, $annee,$h)
{
	global $erreur;
	// domaine
	$dom=myEscapeString($h,$animation->domaine);
	$id_domaine=queryValue(sprintf("SELECT id_domaine FROM domaines WHERE id_circo=%d AND annee=%d AND libelle LIKE '%s'",$animation->id_circo, $annee,$dom),$h);	
	if (!$id_domaine) {
		$nb=queryValue(sprintf("SELECT MAX(tri) FROM domaines WHERE id_circo=%d AND annee=%d",$animation->id_circo, $annee),$h);
		if (!$nb) $nb=0;
		query(sprintf("INSERT INTO domaines (libelle, id_circo, annee,tri) VALUES('%s','%d','%d','%d')",$dom,$animation->id_circo,$annee,$nb+1),$h);
		$id_domaine=@mysqli_insert_id($h);
		if (!$id_domaine) {
			$erreur.="Enregistrement du domaine impossible";
			return false;
		}
	}
	//theme
	$theme=myEscapeString($h,$animation->theme);
	$id_theme=queryValue(sprintf("SELECT id_theme FROM themes WHERE id_circo=%d AND annee=%d AND libelle LIKE '%s'",$animation->id_circo, $annee,$theme),$h);	
	if (!$id_theme) {
		$nb=queryValue(sprintf("SELECT MAX(tri) FROM themes WHERE id_circo=%d AND annee=%d",$animation->id_circo, $annee),$h);
		if (!$nb) $nb=0;
		query(sprintf("INSERT INTO themes (libelle, id_circo, annee,tri) VALUES('%s','%d','%d','%d')",$theme,$animation->id_circo,$annee,$nb+1),$h);
		$id_theme=@mysqli_insert_id($h);
		if (!$id_theme) {
			$erreur.="Enregistrement du thme impossible";
			return false;
		}
	}
	// insrer l'animation
	$r=query(sprintf("INSERT INTO animations(id_circo, id_categorie,intitule, description, remarque,annule) VALUES ('%d','%d','%s','%s','%s','%d')",$animation->id_circo, $animation->id_categorie,myEscapeString($h,$animation->intitule),myEscapeString($h,$animation->description), myEscapeString($h,$animation->remarque),$animation->annule),$h);
	if (!$r) {
		$erreur.="Enregistrement d'une animation impossible";
		return false;
	}
	$id_anim=@mysqli_insert_id($h);
	// insrer la position
	$tri=queryValue("SELECT MAX(tri) FROM positions WHERE id_domaine=$id_domaine AND id_theme=$id_theme",$h)+1;
	$r=query("INSERT INTO positions(id_domaine,id_theme, id_anim,tri) VALUES ($id_domaine,$id_theme,$id_anim,$tri)",$h);
	if (!$r) {
		$erreur.="Enregistrement d'une position impossible";
		nettoyage($id_anim,$h);
		return false;
	}
	// les sances
	$tri=queryValue("SELECT MAX(tri) FROM seances WHERE id_anim=$id_anim",$h);
	foreach ($animation->seances as $seance) {
		$r=query(sprintf("INSERT INTO seances(id_anim, max,public, tri, cond) VALUES( '%d','%d','%s','%d','%d')",$id_anim,$seance->max, myEscapeString($h,$seance->public),++$tri,$seance->condition_ouverture),$h);
		if (!$r) {
			$erreur.="Enregistrement d'une sance impossible";
			nettoyage($id_anim,$h);
			return false;
		}
		$id_seance=@mysqli_insert_id($h);
		// les dates
		$tri2=queryValue("SELECT MAX(tri) FROM dates WHERE id_seance=$id_seance",$h);
		foreach($seance->dates as $date) {
			$r=query(sprintf("INSERT INTO dates(id_seance,date,horaire,lieu,remarque,duree,tri) VALUES ('%d','%s','%s','%s','%s','%s','%d')",$id_seance,$date->date_seance,$date->horaire,myEscapeString($h,$date->lieu),myEscapeString($h,$date->remarque), $date->duree, ++$tri2),$h);
			if (!$r) {
				$erreur.="Enregistrement d'une date impossible";
				nettoyage($id_anim,$h);
				return false;
			}
			$id_date=@mysqli_insert_id($h);
			// les intervenants
			if (isset($date->intervenants)) foreach($date->intervenants as $intervenant) {
				if (!enregistrerIntervenant($intervenant, $id_date,$animation->id_circo,$h)) {
					$erreur.="Enregistrement d'une date impossible";
					nettoyage($id_anim,$h);
					return false;
				}
			}	
		}
		// les partages
		if (isset($seance->id_circos_concernees))foreach( $seance->id_circos_concernees as $id_circo_partagee) {
			$r=query(sprintf("INSERT INTO partages (id_circo,id_seance,accepte) VALUES ('%d','%d','%d')",
					$id_circo_partagee,
					$id_seance,
					$animation->id_circo==$id_circo_partagee ? 1: 0),$h);
			if (!$r) {
				$erreur.="Enregistrement d'un partage impossible";
				nettoyage($id_anim,$h);
				return false;
			}
		}		
	}
	return true;
}
function rechercherIntervenant($int,$h)	
{
	global $erreur;
	$id_int=0;
	if ($int->courriel) {
		$id_int=queryValue(sprintf("SELECT id_intervenant FROM intervenants WHERE courriel LIKE '%s'",$int->courriel),$h);
		if ($id_int) return $id_int;
	}
	$q=sprintf("SELECT id_intervenant, civilite, fonction FROM intervenants WHERE nom_f LIKE '%s'",$int->nom_f);
	if ($int->prenom_f) 
		$q.= sprintf(" AND prenom_f LIKE '%s'",$int->prenom_f);
	$r=query($q,$h);
	$n=@mysqli_num_rows($r);
	if (!$n) return 0;
	else if ($n==1) {
		$row=@mysqli_fetch_row($r);
		return $row[0];
	}
	// plusieurs intervenants. Observe civilit et fonction
	$nb_prec=0;
	while ($row=@mysqli_fetch_row($r)) {
		$id_int_lu=$row[0]; 
		$trouve1=$int->civ==$row[1]; 
		$trouve2=$int->fonction==$row[2];
		if ($trouve1 && $trouve2) return $id_int_lu;
		if ($id_int==0) {
			$id_int=$id_int_lu;
			$nb_prec=$trouve1 + $trouve2;
		}
		else if ($nb_prec==0 && ($trouve1 || $trouve2)) {
			$id_int=$id_int_lu;
			$nb_prec=1;
		}		
	}
	return $id_int;	
}
function enregistrerIntervenant($int, $id_date,$id_circo,$h)	
{
	global $erreur;
	$id_int=rechercherIntervenant($int,$h);
	if (!$id_int) {
		// d'abord crer un utilisateur;
		$mdp=getMdp();
		$info='';
		$id_uti=attribuerCompte(0,'',$mdp,$info,$h);
		if (!$id_uti) {
			$erreur.="Enregistrement d'un nouvel utilisateur impossible. ";
			return false;
		}
		
		$r=query(sprintf("INSERT INTO intervenants (civilite, nom, prenom, nom_f, prenom_f, courriel, fonction,ouvert, id_circo, id_uti) VALUES('%d','%s','%s','%s','%s','%s','%s',0,'%d','%d')",$int->civ,myEscapeString($h,$int->nom), myEscapeString($h,$int->prenom), $int->nom_f, $int->prenom_f, $int->courriel, myEscapeString($h,$int->fonction), $id_circo,$id_uti   ),$h);
		if (!$r) {
			$erreur.="Enregistrement d'un intervenant impossible.";
			return false;
		}
		$id_int=@mysqli_insert_id($h);
	}
	// crer une intervention
	$r=query("INSERT INTO interventions (id_intervenant, id_date) VALUES ('$id_int','$id_date')",$h);
	if (!$r) {
		$erreur.="Enregistrement d'une intervention impossible.";
		return false;
	}
	return true;
}
function nettoyage($id_anim, $h)
{
	$r1=query("SELECT id_seance FROM seances WHERE id_anim=$id_anim",$h);
	while ($row=@mysqli_fetch_row($r1)) {
		$id_seance=$row[0];
		$r2=query("SELECT id_date FROM dates WHERE id_seance=$id_seance",$h);
		while ($row=@mysqli_fetch_row($r2)) {
			$id_date=$row[0];
			// Le nettoyage ne se produit qu'en cas d'erreur. On ne touche pas aux calendriers des intervenants dans ce cas (ils seront mis  jour au bout de 12h maxi)
			query("DELETE FROM interventions WHERE id_date=$id_date",$h);
			
		}
		query("DELETE FROM dates WHERE id_seance=$id_seance",$h);
		query("DELETE FROM partages WHERE id_seance=$id_seance",$h);
	}
	query("DELETE FROM seances WHERE id_anim=$id_anim",$h);
	query("DELETE FROM positions WHERE id_anim=$id_anim",$h);
	query("DELETE FROM animations WHERE id_anim=$id_anim",$h);
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-155" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" /></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_adm_plan_export_xml?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
			  <h1>Importation des plans de formation au format XML</h1>
			  <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>
			  <h3>Avertissements tr&egrave;s importants - &agrave; lire absolument ! </h3>
			  <p>Lisez  d'abord le mode d'emploi dans le manuel de l'administrateur. </p>
			  <p>Les animations import&eacute;es sont <em>ajout&eacute;es</em> aux plans existants. L'importation ne <em>modifie pas des animations d&eacute;j&agrave; en place.</em> Si vous avez fait une premi&egrave;re importation qui ne convient pas et que vous souhaitez recommencer,<em> supprimez d'abord les animations import&eacute;es pr&eacute;c&eacute;demment, </em>sans quoi vous aurez des doublons. </p>
			  <p>Vous <em>devez</em>  d'abord v&eacute;rifier la conformit&eacute; du fichier xml. Si Circon'script valide le fichier, alors vous pouvez l'importer. Si vous faites une importation sans v&eacute;rifier la conformit&eacute;, le logiciel enregistrera les animations et s'interrompra &agrave; la premi&egrave;re erreur rencontr&eacute;e, avec pour cons&eacute;quence un plan partiellement import&eacute;. </p>
			  <p>Vous pouvez ajouter des attributs &quot;id&quot; dans les balises &lt;animation&gt; et  &lt;seance&gt;; elles  sont toutes ignor&eacute;es mais peuvent servir &agrave; identifier facilement des animations dans les messages d'erreur. </p>
			  <form name="form1" method="post"  enctype="multipart/form-data" action="">
		        <h2>Importer dans ...  </h2>
		        <p>
<input type="radio" name="annee" value="0" <?php if($annee==0) print 'checked="checked" '?>/>	            
plans actuels </p>
		        <p>
		          <input type="radio" name="annee" value="1" <?php if($annee==1) print 'checked="checked" '?>/>
		        plans futurs (l'importation sera annul&eacute;e si des animations doivent s'importer dans des circonscriptions qui n'autorisent pas  la cr&eacute;ation du plan futur) </p>
		        <h2>Op&eacute;ration &agrave; faire </h2>
		        <p>
		          <input type="radio" name="operation" value="0" checked="checked"/>
		          <strong>Contr&ocirc;ler</strong> la conformit&eacute; du fichier XML d'importation <em>mais ne rien importer:</em> aucune modification ne sera faite dans la base.</p>
		        <p>
		          <input type="radio" name="operation" value="1" />
		          <strong>Importer</strong> le plan	&agrave;	partir du fichier XML: la base sera modif&eacute;e. Il est <em>tr&egrave;s vivement conseill&eacute;</em> d'avoir fait une sauvegarde pr&eacute;alable ! </p>
		        <h2>Type de contr&ocirc;le </h2>
		        <p>
		          <input name="dtd" type="checkbox" id="dtd" value="checkbox" <?php if ($dtd) print 'checked="checked" '?> />
		        Utiliser la DTD pour v&eacute;rifier le fichier (contr&ocirc;le beaucoup plus strict; l'adresse de la DTD doit &ecirc;tre incluse dans le fichier). Option conseill&eacute;e. </p>
		        <h2>Version du fichier </h2>
		        <p>
                  <input type="radio" name="version" value="1" <?php if ($version==1) print 'checked="checked"'?> />
Version 1: liste des animations, chacune contient son domaine et son th&egrave;me (r&eacute;f&eacute;rence &agrave; plan.dtd) </p>
		        <p>
                  <input type="radio" name="version" value="2" <?php if ($version==2) print 'checked="checked"'?> />
		          Version 2: organisation hi&eacute;rachique conforme &agrave; l'organisation du plan, en domaines, th&egrave;mes, animations (r&eacute;f&eacute;rence &agrave; plan2.dtd). </p>
		        Fichier xml d'importation:
	            <input name="fichier" type="file" class="bouton_standard" size="30" />
			    <input name="upload" type="submit" class="bouton_standard" value="Importer !" />
			  </form>
	      </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_adm_plan_export_xml?>">retour</a></li>
		  			<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>