<?php
/* 
	Remise  0 des tables pour l'admin principal
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_adm_raz=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_adm_raz']=$url_ret_adm_adm_raz;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_adm_raz'])) {
		$url_ret_adm_adm_raz=$_SESSION['circonscript7_url_ret_adm_adm_raz'];
	}
	else $url_ret_adm_adm_raz="administration.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}

	$erreur='';
	$resultat='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	$h=connect();
	debugInit();
	if (isset($_POST['fermer']) && $_POST['fermer']=='fermer') {
		query("UPDATE circos SET stag_etat=0",$h);
	}
	while (isset($_POST['supprimer'])) {
		$conf=0;
		if (isset($_POST['confirmer']) && $_POST['confirmer']=='oui') $conf=1;
		if (!$conf) {
			$erreur="Confirmation absente.";
			break;
		}
		$r=query("SELECT stag_etat, libelle_court FROM circos WHERE 1",$h);
		while ($row=@mysqli_fetch_row($r)) if ($row[0]!=0) $erreur.=$row[1].'; ';
		if ($erreur) {
			$erreur="Les sites suivants ne sont pas ferms: ".$erreur;
			break;
		}
		$resultat='';
		foreach($_POST['supprimer'] as $v) 
			switch ($v) {
				case 'convoc': supprimerConvoc($h);break;
				case 'inscr': supprimerInscr($h); break;
				case 'stag': supprimerStag($h);break;
				case 'plan': 
					if (isset($_POST['inclure']))
						supprimerPlan($h,1,0);
					else
						supprimerPlan($h,0,0);
					break;
				case 'plan_futur':
					if (isset($_POST['inclure2']))
						supprimerPlan($h,1,1);
					else
						supprimerPlan($h,0,1);
					break;
				
				case 'regles': supprimerRegles($h);break;
				case 'ecoles': supprimerEcoles($h);break;
				case 'circos': supprimerCircos($h);break;
				case 'intervenants': supprimerIntervenants($h);break;
				case 'admin': supprimerAdmins($h);break;
				case 'groupes': supprimerGroupes($h,0);break;
				case 'groupes_futurs':supprimerGroupes($h,1);break;
				case 'orphelins': supprimerOrphelins($h);break;
				case 'dates_publipostage':supprimerDatesPublipostageintervenants($h);break;
			}
		break;
	}
	if ($erreur) $erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');

function supprimerDatesPublipostageintervenants($h)
{
	global $erreur;
	$r=query("SELECT utilisateurs.id_uti FROM utilisateurs, intervenants WHERE utilisateurs.id_uti=intervenants.id_uti",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_uti=$row[0];
		query("UPDATE utilisateurs SET date_publipostage='9999-12-31' WHERE id_uti=$id_uti",$h);
	}
	$erreur.="Dates des publipostages des intervenants rinitialises. ";
}

function supprimerOrphelins($h)
{
	global $erreur;
	$r=query("SELECT utilisateurs.id_uti, COUNT(stagiaires.id_stagiaire) + COUNT(intervenants.id_intervenant) + COUNT(administrateurs.id_admin) AS somme FROM `utilisateurs`
LEFT JOIN stagiaires ON stagiaires.id_uti =utilisateurs.id_uti
LEFT JOIN intervenants ON intervenants.id_uti=utilisateurs.id_uti
LEFT JOIN administrateurs ON administrateurs.id_uti=utilisateurs.id_uti
GROUP BY utilisateurs.id_uti
HAVING somme=0",$h);
	$n=0;
	while (!$erreur && $row=@mysqli_fetch_row($r)) {
		$q="DELETE FROM utilisateurs WHERE id_uti=".$row[0];
		query($q,$h);
		++$n;
	}
	$erreur.="$n utilisateur(s) supprim(s). ";
}
function supprimerGroupes($h,$annee)
{
	global $erreur,$resultat;
	query("DELETE groupements FROM groupements,groupes WHERE groupements.id_groupe=groupes.id_groupe AND groupes.annee=$annee",$h);
	if ($erreur) return;
	query("DELETE FROM groupes WHERE annee=$annee",$h);
	if ($annee==0) query("UPDATE stagiaires SET id_groupe=0",$h);
	if (!$erreur) 
		if ($annee==0) $resultat.="Groupes actuels supprims. ";
		else $resultat="Groupes futurs supprims. ";

}
function supprimerCircos($h)
{
	global $erreur,$resultat;
	if ($erreur) return;
	$n=queryValue("SELECT COUNT(*) FROM ecoles",$h);
	if ($n!='0') {
		$erreur="Supprimer les circos:  impossible car il y a des coles.";
		return;
	}
	$n=queryValue("SELECT COUNT(*) FROM domaines",$h);
	if ($n!='0') {
		$erreur="Supprimer les circos:  impossible car il y a des domaines.";
		return;
	}
	$n=queryValue("SELECT COUNT(*) FROM themes",$h);
	if ($n!='0') {
		$erreur="Supprimer les circos:  impossible car il y a des thmes.";
		return;
	}
	query("TRUNCATE regles",$h);
	query("TRUNCATE circos",$h);
	query("TRUNCATE droits",$h);
	if (!$erreur) $resultat.="Circos supprimes. ";
	
}
function supprimerRegles($h)
{
	global $erreur,$resultat;
	if ($erreur) return;
	query("TRUNCATE regles",$h);
	if (!$erreur) $resultat.="Regles supprimes. ";


}
function supprimerEcoles($h)
{
	global $erreur,$resultat;
	if ($erreur) return;
	$q="SELECT COUNT(*) FROM stagiaires";
	$n=queryValue($q,$h);
	if ($n!='0') {
		$erreur="Supprimer les coles: impossible car il y a des stagiaires";
		return;
	}
	$q="SELECT COUNT(*) FROM regles";
	$n=queryValue($q,$h);
	if ($n!='0') {
		$erreur="Supprimer les coles: impossible car il y a des rgles de modification du quota";
		return;
	}
	query("TRUNCATE ecoles",$h);
	if (!$erreur) $resultat.="Ecoles supprimes. ";
}


function supprimerConvoc($h)
{
	global $erreur,$resultat;
	if ($erreur) return;
	$q="TRUNCATE absences";
	query($q,$h); 
	if ($erreur) return; 
	$q="TRUNCATE convocations";
	query($q,$h); 
	if (!$erreur) 
		$resultat.="Convocations supprimes - absences rinitialises. ";
	query("UPDATE inscriptions SET traite=0",$h);

}
function supprimerInscr($h)
{
	global $erreur,$resultat;
	if ($erreur) return;
	$n=queryValue("SELECT COUNT(*) FROM convocations",$h);
	if ($n<>0) {
		$erreur.=" Inscriptions non supprimes car il reste des convocations.";
		return;
	}
	$q="TRUNCATE inscriptions";
	query($q,$h); 
	if (!$erreur) 
		$resultat.="Inscriptions supprimes. ";

}
function supprimerStag($h)
{
	global $erreur,$resultat;
	if ($erreur) return;
	$n=queryValue("SELECT COUNT(*) FROM absences",$h);
	$n+=queryValue("SELECT COUNT(*) FROM inscriptions",$h);
	$n+=queryValue("SELECT COUNT(*) FROM convocations",$h);
	if ($n>0) {
		$erreur.=" Stagiaires non supprims car il reste des convocations, des inscriptions ou des absences.";
		return;
	}
	$q="TRUNCATE stagiaires";
	query($q,$h); 
	if (!$erreur) { 
		$resultat.="Stagiaires supprims. ";
	}
}

function supprimerPlan($h,$inclure_domaines,$annee)
{
	global $erreur,$resultat;
	if ($erreur) return;
	if ($annee==0) {
		$n=queryValue("SELECT COUNT(*) FROM convocations,inscriptions",$h);
		if ($n!=0) {
			$erreur.=" Plans de formation non supprims car il reste des convocations ou des inscriptions.";
			return;
		}
	}
	query("DELETE groupements FROM groupements,groupes WHERE groupements.id_groupe=groupes.id_groupe AND groupes.annee=$annee",$h);
	query("DELETE partages FROM partages,seances,animations,positions,domaines WHERE partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_anim=positions.id_anim AND  positions.id_domaine=domaines.id_domaine AND domaines.annee=$annee AND domaines.id_circo=animations.id_circo",$h);
	query("DELETE interventions FROM interventions,dates,seances,animations,positions,domaines WHERE interventions.id_date=dates.id_date AND dates.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.annee=$annee AND domaines.id_circo=animations.id_circo",$h);
	query("DELETE dates FROM dates,seances,animations,positions,domaines WHERE dates.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.annee=$annee AND domaines.id_circo=animations.id_circo",$h);
	query("DELETE seances FROM seances,animations,positions,domaines WHERE seances.id_anim=animations.id_anim AND animations.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.annee=$annee AND domaines.id_circo=animations.id_circo",$h);
	query("DELETE animations FROM animations,positions,domaines WHERE animations.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.annee=$annee AND domaines.id_circo=animations.id_circo",$h);
	query("DELETE positions FROM positions,domaines WHERE positions.id_domaine=domaines.id_domaine AND domaines.annee=$annee",$h);
	if (!$erreur && $inclure_domaines) {
		query("DELETE FROM domaines WHERE annee=$annee",$h);
		if (!$erreur) query("DELETE FROM themes WHERE annee=$annee",$h);
	}
	if ($annee==0) {
		query("TRUNCATE items",$h);
		query("TRUNCATE listes",$h);
	}
	if (!$erreur) switch($annee) {
			case 1:
				if (!$inclure_domaines)
					$resultat.="Plans de formation futurs supprims. ";
				else
					$resultat="Plans de formations, thmes et domaines futurs supprims.";
				break;
			case 0:
				if (!$inclure_domaines)
					$resultat.="Plans de formation actuels supprims. ";
				else
					$resultat="Plans de formations, thmes et domaines actuels supprims.";
	}		
}


function supprimerIntervenants($h)
{
	global $erreur,$resultat;
	if ($erreur) return;
	$n=queryValue("SELECT COUNT(*) FROM interventions",$h);
	if ($n<>0) {
		$erreur.=" Intervenants non supprims car il reste des interventions.";
		return;
	}
	query("TRUNCATE intervenants",$h);
	if (!$erreur) $resultat.="Intervenants supprims. ";
}
function supprimerAdmins($h)
{
	global $erreur,$resultat;
	query("TRUNCATE droits",$h);
	query("DELETE FROM administrateurs WHERE type_admin=0",$h);
	if (!$erreur) $resultat.="Administrateurs dlgus supprims. ";

}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function confirme()
			{
			  
			  leForm = document.formulaire;
			  laListe = leForm["supprimer[]"];
				n=0;
				if (laListe != null) {
					if (laListe.length != null) {
						for (i=0;i<laListe.length; ++i) if (laListe[i].checked) ++n;
					}
					else {
						if (laListe.checked) ++n;
					}
				}
				if (leForm.fermer.checked)++n;
				if (n==0) alert("Rien n'est coch !");
				else {
					leConfirme=leForm["confirmer"];
					if (leConfirme.value!="oui") 
						alert("Vous devez confirmer vos choix");
					else {
						b=window.confirm("Voulez-vous vraiment rinitialiser les lments cochs ?");
						if (b) 	
							document.formulaire.submit();
					}				
				}
			}
		//-->	
		</script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_adm_raz?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
			  </ul>
			</div>
		  <div id="corps">
		  <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>\n";		  	 
		  	if ($resultat) print "<p class=\"erreur\">$resultat</p>\n";?>
		    <h1>Remise &agrave; Z&eacute;ro g&eacute;n&eacute;rale: initialisation des  tables pour toutes les circos. </h1>
		    <p>Pour que les initialisations puissent avoir lieu, les acc&egrave;s aux sites doivent &ecirc;tre ferm&eacute;s. </p>
		    <p>Dans chaque section, les &eacute;tapes  doivent &ecirc;tre effectu&eacute;es dans l'ordre. Pour passer &agrave; l'&eacute;tape suivante, il faut que l'&eacute;tape pr&eacute;c&eacute;dente ait &eacute;t&eacute; r&eacute;alis&eacute;e. </p>
		    <form id="formulaire" name="formulaire" method="post" action="">
		      <h2>Les circos </h2>
		      <p>
<input name="fermer" type="checkbox" value="fermer" />	          
Fermer les acc&egrave;s aux sites de toutes les circos.	 </p>
		      <h2>Les stagiaires </h2>
		      <p>
               <input name="supprimer[]" type="checkbox" value="convoc" />
             Supprimer toutes les convocations de tous les stagiaires et r&eacute;initialiser les absences </p>
		      <p>
		        <input name="supprimer[]" type="checkbox" value="inscr" />
		      Supprimer toutes les inscriptions de tous les stagiaires </p>
		      <p>
		        <input name="supprimer[]" type="checkbox" id="supprimer[]" value="stag" />
Supprimer les comptes des stagiaires de toutes les circos. <em>NB: les comptes utilisateurs ne sont pas supprim&eacute;s. Rendez-vous dans la rubrique 'Utilisateurs orphelins' ci-dessous. </em></p>
		      <h2>Les r&egrave;gles</h2>
		      <p><span class="remarque">
		        <input name="supprimer[]" type="checkbox" value="regles" />
		      </span> Supprimer toutes les r&egrave;gles de modification des quotas </p>
		      <h2>Les &eacute;coles </h2>
		      <p><span class="remarque">
		        <input name="supprimer[]" type="checkbox" value="ecoles" />
              </span>Supprimer la liste des &eacute;coles de toutes les circos </p>
		      <hr />
		      <h2>Les animations (plans actuels uniquement) </h2>
		      <p class="remarque">Pr&eacute;-requis: les inscriptions et les convocations aux animations doivent &ecirc;tre supprim&eacute;es (y compris celles des stagiaires relevant d'une autre circo.) </p>
		      <p>
		        
	            <input name="supprimer[]" type="checkbox" id="supprimer[]" value="groupes" />
Supprimer tous les groupes actuels (<em>les stagiaires verront l'int&eacute;gralit&eacute; du plan de formation) </em></p>
		      <p>
		        <input name="supprimer[]" type="checkbox" id="supprimer[]" value="plan" />
		        Supprimer tous les plans de formation. </p>
		      <blockquote>
		        <p>
		          	<input name="inclure" type="checkbox" id="inclure" value="domaines" />
		          Inclure	dans	la suppression des plans, les domaines et les th&egrave;mes (cocher la case ci-dessus). </p>
	          </blockquote>
		      <hr />
		      <h2>Les animations (plans futurs)</h2>
		      <p>
		        <input name="supprimer[]" type="checkbox" id="supprimer[]" value="groupes_futurs" />
Supprimer tous les groupes futurs (<em>les stagiaires verront l'int&eacute;gralit&eacute; du plan de formation) </em></p>
		      <p>
                <input name="supprimer[]" type="checkbox" id="supprimer[]" value="plan_futur" />
Supprimer tous les plans de formation futurs </p>
		      <blockquote>
                <p>
                  <input name="inclure2" type="checkbox" id="inclure2" value="domaines" />
                  Inclure	dans	la suppression des plans futurs, les domaines et les th&egrave;mes (cocher la case ci-dessus). </p>
	          </blockquote>
		      <hr />
		      <h2>Les intervenants</h2>
		      <p>
		        <input name="supprimer[]" type="checkbox" id="supprimer[]" value="dates_publipostage" />
		      Supprimer les dates des publipostages en direction des intervenants. Utile si vous conservez la liste des intervenants d'une ann&eacute;e &agrave; l'autre. Ils seront marqu&eacute;s comme n'ayant jamais &eacute;t&eacute; destinataires de courriel automatique. </p>
		      <p>
		        <input name="supprimer[]" type="checkbox" id="supprimer[]" value="intervenants" />
Supprimer la liste de tous les intervenants<em> (Pr&eacute;-requis: il faut que leurs interventions aient &eacute;t&eacute; effac&eacute;es, par exemple en supprimant les plans de formation actuels ET futurs). NB: ne supprime pas le compte &quot;utilisateur&quot; de ces intervenants. </em><em>Rendez-vous dans la rubrique 'Utilisateurs orphelins' ci-dessous. </em></p>
		      <hr />
		      <h2>Les circos</h2>
		      <p class="remarque">Pr&eacute;-requis: les stagiaires, les &eacute;coles, les animations doivent &ecirc;tre supprim&eacute;es, y compris domaines et th&egrave;mes.</p>
		      <p>
		        <input name="supprimer[]" type="checkbox" value="circos" /> 
	          Supprimer les circonscriptions</p>
		      <hr />
		      <h2>Les administrateurs d&eacute;l&eacute;gu&eacute;s </h2>
		      <p>
		        <input name="supprimer[]" type="checkbox" id="supprimer[]" value="admin" /> 
	          Supprimer les comptes des administrateurs d&eacute;l&eacute;gu&eacute;s. <em>NB: ne supprime pas le compte &quot;utilisateur&quot; de ces administrateurs. Rendez-vous dans la rubrique 'Utilisateurs orphelins' ci-dessous. </em></p>
		      <hr />
		      <h2>Les utilisateurs orphelins </h2>
		      <p>
		        <input name="supprimer[]" type="checkbox" id="supprimer[]" value="orphelins" />
		      Supprimer tous les comptes utilisateurs qui ne se r&eacute;f&egrave;rent &agrave; aucune personne (ni stagiaire, ni intervenant, ni admin, ni superadmin) </p>
		      <hr />
		      <p>Cochez vos choix et validez en &eacute;crivant &quot;oui&quot; en minuscules, dans le champ suivant:</p>
		      <p>
		        <input name="confirmer" type="text" size="3" maxlength="3" />
                <input name="Submit" type="button" class="bouton_standard" value="Valider" onclick="javascript:confirme()"/>
		      </p>
		    </form>
		    </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_adm_raz?>">retour</a></li>
	  				<li><a href="#haut">haut</a></li>
			  </ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>