<?php
/* 
	Remise  0 des tables pour l'admin principal
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_adm_raz_stag=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_adm_raz_stag']=$url_ret_adm_adm_raz_stag;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_adm_raz_stag'])) {
		$url_ret_adm_adm_raz_stag=$_SESSION['circonscript7_url_ret_adm_adm_raz_stag'];
	}
	else $url_ret_adm_adm_raz_stag="administration.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}

	$erreur='';
	$resultat='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	$h=connect();
	debugInit();
	$id_circos=array();
	$n=0;
	while (isset($_POST['circos'])) {
		$conf=0;
		if (isset($_POST['confirmer']) && $_POST['confirmer']=='oui') $conf=1;
		if (!$conf) {
			$erreur="Confirmation absente.";
			break;
		}
		foreach($_POST['circos'] as $id_circo) {
			$id_circo=intval($id_circo);
			if (!$id_circo) continue;
			$nb=queryValue("SELECT COUNT(*) FROM circos WHERE id_circo=$id_circo",$h);
			if ($nb!=1) continue;
			query("UPDATE circos SET stag_etat=0 WHERE id_circo=$id_circo",$h);
			query("DELETE inscriptions FROM inscriptions,stagiaires,ecoles WHERE inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);			
			query("DELETE convocations FROM convocations,stagiaires,ecoles WHERE convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
			query("DELETE absences FROM absences,stagiaires,ecoles WHERE absences.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
			query("DELETE stagiaires FROM stagiaires, ecoles WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
			$r=query("SELECT utilisateurs.id_uti, COUNT(stagiaires.id_stagiaire) + COUNT(intervenants.id_intervenant) + COUNT(administrateurs.id_admin) AS somme FROM `utilisateurs`
			LEFT JOIN stagiaires ON stagiaires.id_uti =utilisateurs.id_uti
			LEFT JOIN intervenants ON intervenants.id_uti=utilisateurs.id_uti
			LEFT JOIN administrateurs ON administrateurs.id_uti=utilisateurs.id_uti
			GROUP BY utilisateurs.id_uti
			HAVING somme=0",$h);
			$id_utis=array();
			while ($row=@mysqli_fetch_row($r))$id_utis[]=$row[0];
			if (count($id_utis) >0) {
				$n+=count($id_utis);
				$q="DELETE FROM utilisateurs WHERE id_uti IN (".implode(",",$id_utis).")";
				query($q,$h);
			}
		}
		
		$erreur.="$n utilisateur(s) supprim(s). ";
		break;		
	}

function afficherCircos($h,$id_circos)
{
	$q="SELECT id_circo, libelle,type_circo FROM circos WHERE type_circo=0 OR type_circo=2 ORDER BY type_circo,libelle";
	$r=query($q,$h);
	$s='';
	$circos=array();
	if ($r) while ($row=@mysqli_fetch_row($r)) {
		$id_circo_courante=$row[0];
		$type_circo=$row[2];
		$nb_stag=queryValue("SELECT COUNT(*) FROM stagiaires,ecoles WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo_courante",$h);
		$c=sprintf("<input type=\"checkbox\" name=\"circos[]\" value=\"%s\" ",$id_circo_courante);
		if (isset($id_circos) && in_array($id_circo_courante,$id_circos)) $c.=" checked=\"checked\"";
		$c.= "/>";
		if ($type_circo==1) $c.='[Virtuelle] ';
		else if ($type_circo==2) $c.='[Transfert] ';
		$c.= htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		$c.=" (nb. stagiaires=$nb_stag)";
		$circos[]=$c;
	}
	$n=count($circos);
	if ($n>0)  {
		if ($n<=3) $lim=$n;
		else if ($n<=6) $lim=3;
		else $lim=floor(($n+2)/3);
		print "<table class=\"invisible\">\n";
		for ($i=0;$i<$lim;++$i) {
			$c=$circos[$i];
			print "<tr><td>$c</td>\n";
			if ($i+$lim<$n) $c=$circos[$i+$lim];
			else $c='&nbsp;';
			print "<td>$c</td>\n";
			if ($i+$lim+$lim<$n) $c=$circos[$i+$lim+$lim];
			else $c='&nbsp;';
			print "<td>$c</td></tr>\n";
		}
		print "</table>\n";
	}
	
}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
		function cocheTout(obj)
			{
			  // on rcupre le formulaire des objets  modifier
			  changement=1;
			  leForm = obj.form
			
			  laListe = leForm["circos[]"]
			
			  if (laListe != null){
				if (laListe.length != null){
				  // on modifie tous les lments
				  for(i=0; i < laListe.length; i++) {
					laListe[i].checked = obj.checked
				  }
				} else {
				  laListe.checked = obj.checked
				}
			  }
			}			
		function confirme()
			{
			  
			  leForm = document.formulaire;
			  laListe = leForm["circos[]"];
				n=0;
				if (laListe != null) {
					if (laListe.length != null) {
						for (i=0;i<laListe.length; ++i) if (laListe[i].checked) ++n;
					}
					else {
						if (laListe.checked) ++n;
					}
				}
				if (n==0) alert("Rien n'est coch !");
				else {
					leConfirme=leForm["confirmer"];
					if (leConfirme.value!="oui") 
						alert("Vous devez confirmer vos choix");
					else {
						b=window.confirm("Voulez-vous vraiment supprimer les stagiaires des circos coches ?");
						if (b) 	
							document.formulaire.submit();
					}				
				}
			}
		//-->	
		</script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_adm_raz_stag?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
			  </ul>
			</div>
		  <div id="corps">
		  <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>\n";		  	 
		  	if ($resultat) print "<p class=\"erreur\">$resultat</p>\n";?>
		    <h1>Remise &agrave; Z&eacute;ro des stagiaires pour les circos s&eacute;lection&eacute;es </h1>
		    <p>Cette page permet de supprimer tous les comptes stagiaires pour les circos s&eacute;lectionn&eacute;es. Ce qui est effectu&eacute;:</p>
		    <ul>
		      <li>fermeture des circos s&eacute;lectionn&eacute;es</li>
	          <li>suppression des inscriptions, convocations, absences</li>
		      <li>suppression des comptes stagiaires</li>
	          <li>suppression des utilisateurs orphelins </li>
		    </ul>
		    <form id="formulaire" name="formulaire" method="post" action="">
		      <h2>Choix des circos pour lesquelles il faut supprimer les comptes stagiaires  (ainsi que les convocations, etc.) </h2>
		      <p>
		        <input name="cocher" type="checkbox" id="cocher" value="checkbox" onchange="javascript:cocheTout(this)" />
		      tout cocher/d&eacute;cocher </p>
		      <?php afficherCircos($h,$id_circos)?>
		      <p>Cochez vos choix et validez en &eacute;crivant &quot;oui&quot; en minuscules, dans le champ suivant:</p>
		      <p>
		        <input name="confirmer" type="text" size="3" maxlength="3" />
                <input name="valider" type="button" class="bouton_standard" id="valider" onclick="javascript:confirme()" value="Valider"/>
		      </p>
		    </form>
	      </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_adm_raz_stag?>">retour</a></li>
	  				<li><a href="#haut">haut</a></li>
			  </ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>