<?php
/* 
	Menu circo - configuration gnrale 
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  

	require '_sqlconnect.inc.php';
	$h=connect();
	ejecteSiFerme($h);
	$erreur="";
	debugInit();
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_adm_statistiques=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_adm_statistiques']=$url_ret_adm_adm_statistiques;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_adm_statistiques'])) {
		$url_ret_adm_adm_statistiques=$_SESSION['circonscript7_url_ret_adm_adm_statistiques'];
	}
	else $url_ret_adm_adm_statistiques="administration.php";
	$_SESSION['circonscript7_session_menu_page']=1;

function afficheCharge($h)
{
	$nb_uti=queryValue("SELECT COUNT(*) FROM utilisateurs",$h);
	$r=query("SELECT stagiaires.id_uti,intervenants.id_uti, administrateurs.id_uti FROM utilisateurs LEFT JOIN stagiaires ON stagiaires.id_uti=utilisateurs.id_uti LEFT JOIN intervenants ON intervenants.id_uti=utilisateurs.id_uti LEFT JOIN administrateurs ON administrateurs.id_uti=utilisateurs.id_uti HAVING stagiaires.id_uti IS NULL AND intervenants.id_uti IS NULL AND administrateurs.id_uti IS NULL",$h);
	$nb_orphelin=@mysqli_num_rows($r);
	$nb_stag=queryValue("SELECT COUNT(*) FROM stagiaires",$h);
	$r=query("SELECT COUNT(*) FROM circos GROUP BY type_circo ORDER BY type_circo ASC",$h);
	$circos=array(0,0,0);
	$nb_circ=0;
	$i=0;
	while ($row=@mysqli_fetch_row($r)) {
		$circos[$i++]=$row[0];
		$nb_circ+=$row[0];
	}
	$nb_connect=queryValue("SELECT COUNT(*) FROM utilisateurs WHERE dt_connexion > (NOW()-INTERVAL 30 MINUTE)",$h);
	$nb_distinct_inscr=queryValue("SELECT COUNT(DISTINCT id_stagiaire) FROM inscriptions",$h);
	$nb_distinct_conv=queryValue("SELECT COUNT(DISTINCT id_stagiaire) FROM convocations",$h);
	$nb_abs=queryValue("SELECT COUNT(DISTINCT id_stagiaire) FROM absences",$h);
	$n=queryValue("SELECT COUNT(*) FROM utilisateurs WHERE dt_connexion >= (NOW()-INTERVAL 1 DAY)",$h);
	$nb_int=queryValue("SELECT COUNT(*) FROM intervenants",$h);
	$nb_int_actifs=queryValue("SELECT COUNT(DISTINCT id_intervenant) FROM interventions",$h);
	$nb_admin=queryValue("SELECT COUNT(DISTINCT id_uti) FROM administrateurs",$h);
	print "<p>Nombre d'utilisateurs: $nb_uti</p>\n";
	print "<p>Nombre d'utilisateurs orphelins: $nb_orphelin</p>\n";
	if ($nb_stag>1) { 
		print "<p>Nombre de stagiaires : $nb_stag";
		print "</p>\n";
		printf ("<p>Nombre de stagiaires inscrits  des animations : %d (%.1f%%).</p>\n", $nb_distinct_inscr, 100.0*$nb_distinct_inscr/$nb_stag);
		printf ("<p>Nombre de stagiaires convoqus  des animations : %d (%.1f%%).</p>\n", $nb_distinct_conv, 100.0*$nb_distinct_conv/$nb_stag);
		printf ("<p>Nombre de stagiaires dclars absents : %d (%.1f%%).</p>\n", $nb_abs, 100.0*$nb_abs/$nb_stag);
	}
	if ($nb_circ>1)	print "<p>Le site r&eacute;f&eacute;rence $nb_circ circonscriptions d'inspection :</p>";
	else print "<p>Le site r&eacute;f&eacute;rence $nb_circ circonscription d'inspection :</p>";
	print "<ul>";	
	printf ("<li>relles: %d</li>\n",$circos[0]);
	printf ("<li>virtuelles: %d</li>\n",$circos[1]);
	printf ("<li>transfert: %d</li>\n",$circos[2]);
	print "</ul>\n";
	if ($n>1) print "<p>$n personnes se sont connect&eacute;es dans les derni&egrave;res 24 h.</p>\n";
	else if ($n==1) print "<p>$n personne s'est connect&eacute;e dans les derni&egrave;res 24 h.</p>\n";
	else print "<p>Personne ne s'est connect&eacute; dans les derni&egrave;res 24h.</p>\n";
	if ($nb_connect>1) 
		print "<p>$nb_connect personnes se sont connect&eacute;es dans la derni&egrave;re demi-heure.</p>\n";
	else if ($nb_connect==1)
		print "<p>$nb_connect personne s'est connect&eacute;e dans la derni&egrave;re demi-heure.</p>\n";
	else 
		print "<p>Personne ne s'est connect&eacute; dans la derni&egrave;re demi-heure</p>\n";
	print "<p>Nombre d'intervenants: $nb_int</p>\n";
	printf ("<p>Nombre d'intervenants participant  une animation pdagogique : %d (%.1f%%)</p>\n",$nb_int_actifs, $nb_int? $nb_int_actifs/$nb_int*100 : 0);
	print "<p>Nombre d'administrateurs: $nb_admin</p>\n";
}


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>"; 
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_adm_statistiques?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps">
	  <h1>Statistiques</h1>
	  <?php afficheCharge($h) ?>
	</div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_adm_statistiques?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>