<?php
/* 
	Menu animations	
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  

	require '_sqlconnect.inc.php';
	$h=connect();
	ejecteSiFerme($h);
	$erreur="";
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_animations=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_animations']=$url_ret_adm_animations;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_animations'])) {
		$url_ret_adm_animations=$_SESSION['circonscript7_url_ret_adm_animations'];
	}
	else $url_ret_adm_animations="adm_circo_bienvenue.php";
	$_SESSION['circonscript7_session_menu_page']=2;

	$autoriser_plan_futur=queryValue("SELECT autoriser_plan_futur FROM circos WHERE id_circo=$id_circo",$h);
	if ($autoriser_plan_futur && isset($_SESSION['circonscript7_annee'])) $annee=$_SESSION['circonscript7_annee'];
	else $annee=0;
	if ($autoriser_plan_futur && isset($_POST['annee_scolaire'])) {
		$annee=intval($_POST['annee_scolaire']);
		if ($annee<0 || $annee>1) $annee=0;
		$_SESSION['circonscript7_annee']=$annee;
	}
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>"; 
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_animations?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps">	 
	  <?php
	  	if ($autoriser_plan_futur) { ?>
	  <form id="form1" name="form1" method="post" action="">
	    
		<p>Cette page porte sur :        </p>
		<p>
          <input type="radio" name="annee_scolaire" value="0"  <?php if ($annee==0) print "checked=\"checked\""?>  onclick="javascript:submit()" />
        le plan actuel</p>
		<p>
		  <input type="radio" name="annee_scolaire" value="1" <?php if ($annee==1) print "checked=\"checked\""?>  onclick="javascript:submit()"/>
		  le plan futur <br /> 
        </p>
	  </form>
	  <?php } ?>
	  <h1>Conception des animations	<?php 
	  	if ($annee==1) print '(plan futur)';
	  ?>
	  </h1>
	  <h2><a href="adm_lien_externe.php?url_ret=adm_animations.php">D&eacute;finir un lien externe</a></h2>
	  <p>Pour pr&eacute;senter le plan de formation: lien vers une page web que vous g&eacute;rez vous-m&ecirc;me, un fichier pdf que vous stockez sur votre serveur, ...  </p>
	  <h2><a href="adm_domaines.php?url_ret=adm_animations.php">Organiser les domaines</a>, <a href="adm_themes.php?url_ret=adm_animations.php">organiser les th&egrave;mes</a>, <a href="adm_categories_voir.php?url_ret=adm_animations.php">consulter les cat&eacute;gories</a> </h2>
	  <p>Cr&eacute;er, modifier, trier les domaines ou les th&egrave;mes. Les cat&eacute;gories sont partag&eacute;es par toutes les circonscriptions, vous ne pouvez  que les consulter. </p>
	  <h2><a href="adm_plan_modif.php">Elaborer les animations propos&eacute;es par la circonscription </a></h2>
	  <p>Ces animations peuvent ensuite &ecirc;tre int&eacute;gr&eacute;es dans le plan de formation de la circo ou &ecirc;tre export&eacute;es vers d'autres circos. </p>
	  <?php if ($annee==0 && $type_circo==0) : ?>
	  <h2><a href="adm_import_choix_circo.php?url_ret=adm_animations.php">Importer des animations</a></h2>
		<p>importer des animations provenant d'autres circonscriptions dans le plan de formation. </p>
	  <?php endif; ?>	  
	  <h2>Organiser le plan de formation <em>(<a href="adm_plan_synthese.php?url_ret=adm_animations.php">vue synoptique </a>, <a href="adm_plan_organise.php?url_ret=adm_animations.php">vue compl&egrave;te</a>)</em> </h2>
	  <p>D&eacute;placer les animations, les r&eacute;partir entre domaines et th&egrave;mes. </p>
	  <h2><a href="adm_plan_supprime.php?url_ret=adm_animations.php">Supprimer des lots d'animations </a></h2>
	  <p>Supprimez en quelques clics les animations par lots, en cochant les th&egrave;mes, les domaines ou les animations. </p>
	  <h2><a href="adm_plan_voir.php?url_ret=adm_animations.php">Voir  le plan de formation final</a></h2>
	  <?php if ($annee==0) : ?>
	  <p>Le plan, tel qu'il sera propos&eacute; aux stagiaires de la circonscription. Trois vues possibles: <a href="adm_plan_voir.php?url_ret=adm_animations.php">standard</a>, <a href="adm_plan_voir_calendrier.php?url_ret=adm_animations.php">calendrier</a>, <a href="adm_lieux_voir.php?url_ret=adm_animations.php">lieux</a>. Publication des adresses de courriel des intervenants. </p>
	  <?php else : ?>
	  <p>Plan hors importations qu'il faut programmer en "plan actuel". Trois vues possibles: <a href="adm_plan_voir.php?url_ret=adm_animations.php">standard</a>, <a href="adm_plan_voir_calendrier.php?url_ret=adm_animations.php">calendrier</a>, <a href="adm_lieux_voir.php?url_ret=adm_animations.php">lieux</a>. Publication des adresses de courriel des intervenants. </p>
	  <?php endif
 ?>
	  <?php if ($type_circo==0) :?>
	  <h2><a href="adm_groupes_seances.php?url_ret=adm_animations.php">Cr&eacute;er les groupes</a></h2>
	  <p>D&eacute;finition de groupes et affectation des s&eacute;ances.</p>
	  
	  <?php if ($annee==0) : ?>
	  <h2><a href="adm_listes.php">Etablir des listes d'animations class&eacute;es par pr&eacute;f&eacute;rence </a> </h2>
	  <p>Etablissez des listes de pr&eacute;f&eacute;rences, pour le traitement automatique des convocations des stagiaires qui ne sont pas convoqu&eacute;s &agrave; suffisamment d'animations.</p>
	  <?php endif ?>
	  <?php endif
 ?>
	  <?php if ($annee==1 && $autoriser_plan_futur) :?>
	  <h1>Actualisation du plan futur</h1>
	  <h2><a href="adm_actualise_futur.php?url_ret=adm_animations.php">Actualiser le plan futur</a> </h2>
	  <p>Le plan "actuel" est supprim&eacute;, et remplac par le plan "futur" que vous avez cr ici.</p>
	  <?php endif?>
	  <h1>Intervenants</h1>
	  <h2><a href="adm_intervenants_liste_circo.php">Modifier ou supprimer  les fiches des intervenants</a></h2>
	  <p>G&eacute;rer les fiches des intervenants que vous avez programm&eacute;es.</p>
	  <h1>Exportations 
	    <?php if ($annee) print '(plan futur)'?>
	  </h1>
	  <h2><a href="adm_plan_export_ical.php?url_ret=adm_animations.php">Exporter au format iCalendar (ics)</a></h2>
	  <p>Pour r&eacute;cup&eacute;rer les donn&eacute;es dans un calendrier &eacute;lectronique (codage UTF-8) </p>
	  <h2><a href="adm_plan_export.php">Exporter au format csv </a></h2>
	  <p>Pour r&eacute;cup&eacute;rer les donn&eacute;es dans un tableur. </p>
	  <h2><a href="adm_plan_export_xml.php">Exporter au format XML en UTF-8 </a></h2>
	  <p>Pour r&eacute;cup&eacute;rer les donn&eacute;es dans toute application utilisant XML. Les caract&egrave;res sp&eacute;ciaux (accents, etc) sont cod&eacute;s en UTF-8. </p>
	</div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_animations?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>