<?php
/* 
	Validation de la suppression d'une animation	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_animations_supprime=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_animations_supprime']=$url_ret_adm_animations_supprime;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_animations_supprime'])) {
		$url_ret_adm_animations_supprime=$_SESSION['circonscript7_url_ret_adm_animations_supprime'];
	}
	else $url_ret_adm_animations_supprime="adm_animations.php";
	
	if (isset($_GET['url2_ret'])) {
		$url2_ret_adm_supprime_anim=strip_tags($_GET['url2_ret']);
		$_SESSION['circonscript7_url2_ret_adm_supprime_anim']=$url2_ret_adm_supprime_anim;
	}
	else if (isset($_SESSION['circonscript7_url2_ret_adm_supprime_anim'])) {
		$url2_ret_adm_supprime_anim=$_SESSION['circonscript7_url2_ret_adm_supprime_anim'];
	}
	else $url2_ret_adm_supprime_anim="adm_animations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions_animation.inc.php';
	require '_fonctions.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	
	if (isset($_GET['id_anim'])) {
		$id_anim=abs(intval($_GET['id_anim']));
		$_SESSION['circonscript7_id_anim']=$id_anim;
	}
	else if (isset($_SESSION['circonscript7_id_anim'])) $id_anim=$_SESSION['circonscript7_id_anim'];
	else {
		$id_anim=0;
		$erreur="Pas d'animation dfinie";
	}
	$h=connect();
	ejecteSiFerme($h);
	// vrifie l'id_anim il doit tre de la circo
	$q="SELECT id_circo FROM animations WHERE animations.id_anim=$id_anim";
	$r=query($q,$h);
	$row=@mysqli_fetch_row($r);
	if ($row[0]=='') {
		header('Location: erreur.php?erreur=anim_non_trouvee');
		exit;
	
	}
	if ($id_circo!=$row[0]) {
		header("Location: erreur.php?erreur=id_circo");
		exit;
	}
	$q="SELECT libelle FROM domaines, positions WHERE positions.id_anim=$id_anim AND domaines.id_domaine=positions.id_domaine";
	$titre1=queryValue($q,$h);
	$q="SELECT libelle FROM themes, positions WHERE positions.id_anim=$id_anim AND themes.id_theme=positions.id_theme";
	$titre2=queryValue($q,$h);
	if (isset($_POST['annuler'])) {
		header("Location: $url_ret_adm_animations_supprime");
		exit;
	}
	$url_retour=$url_ret_adm_animations_supprime;
	if (isset($_POST['supprimer'])) {
		$r=query("SELECT duree_seance, horaire_defaut FROM circos WHERE id_circo=$id_circo",$h);
		$row=@mysqli_fetch_row($r);
		$duree_seance=$row[0];
		$horaire=$row[1];
		if ($duree_seance=='' || $duree_seance==0) $duree_seance=3;
		$q="SELECT id_seance FROM seances WHERE id_anim=$id_anim";
		$r=query($q,$h);
		while ($row=@mysqli_fetch_row($r)) {
			$id_seance=$row[0];
			query("DELETE absences FROM absences,dates WHERE absences.id_date=dates.id_date AND dates.id_seance=$id_seance",$h);
			query("DELETE interventions FROM interventions, dates WHERE interventions.id_date=dates.id_date AND dates.id_seance=$id_seance",$h);
			query("DELETE FROM convocations WHERE id_seance=$id_seance",$h);
			query("DELETE FROM inscriptions WHERE id_seance=$id_seance",$h);
			query("DELETE FROM partages WHERE id_seance=$id_seance",$h);
			query("DELETE FROM dates WHERE id_seance=$id_seance",$h);
			query("DELETE FROM groupements WHERE id_seance=$id_seance",$h);
			query("DELETE FROM items WHERE id_seance=$id_seance",$h);
		}				
		query("DELETE FROM seances WHERE id_anim=$id_anim",$h);
		query("DELETE FROM positions WHERE id_anim=$id_anim",$h);
		query("DELETE FROM animations WHERE id_anim=$id_anim",$h);
		// Pour chaque alias contenant id_domaine_import, vrifier s'il reste des animations  importer. Sinon dtruire l'alias.
		$_SESSION['adm_animations_modif_ancre']=''; // supprimer l'ancre nomm pour revenir au plan
		
		if (!$erreur) $erreur="Animation supprime";

		$anim_vide=array('id_circo'=>$id_circo,'id_anim'=>'0','intitule'=>'', 'description'=>'', 'remarque'=>'','participation'=>'');
		$position_vide=array('id_position'=>0,'id_domaine'=>0,'id_theme'=>0,'tri'=>0,'id_anim'=>0);
		$datelieu_vide=array('id_date'=>0,'id_seance"'=>0,'date'=>'9999-12-31','horaire'=>"$horaire",'lieu'=>'','intervenants'=>array(),'remarque'=>'','duree'=>$duree_seance, 'tri'=>0);
		$seance_vide=array('id_seance'=>'0','id_anim'=>'0','public'=>'','max'=>'0','partage'=>array(),'datelieu'=>array(),'inscrits'=>0,'convoques'=>0,'tri'=>0,'cond'=>0);
		$seance_vide['partage'][]=-$id_circo; //ngatif car par dfaut, partage accept pour la circo en cours.
		$seance_vide['datelieu'][]=$datelieu_vide;
		
		$animation=$anim_vide;
		$seances=array();
		$seances[]=$seance_vide;
		$position=$position_vide;
		
		$_SESSION['circonscript7_animation']=$animation;
		$_SESSION['circonscript7_position']=$position;
		$_SESSION['circonscript7_seances']=$seances;
		$_SESSION['circonscript7_modifier']=false;
		$url_retour=$url2_ret_adm_supprime_anim;
	}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				
					<li><a href="<?php print $url_retour?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
			  <div id="animation">
				<?php 
					if ($erreur) print "<p class=\"erreur\">$erreur</p>";
					else {
						print "<h1>Supprimer une animation enregistr&eacute;e</h1>\n";
						if ($titre1) print "<h2>".htmlentities($titre1,ENT_COMPAT,'ISO-8859-15')."</h2>\n";
						if ($titre2) print "<h3>".htmlentities($titre2,ENT_COMPAT,'ISO-8859-15')."</h3>\n";
					 	if ($id_anim>0) afficheUneAnimation($id_anim,$h,$impair,'');
						?>
						<form name="form1" method="post" action="">
				  		<p align="center">
				    	<input name="supprimer" type="submit" class="bouton_standard" id="supprimer" value="Supprimer" />
					      &nbsp;&nbsp;&nbsp;
					      <input name="annuler" type="submit" class="bouton_standard" id="annuler" value="Annuler" />
				     	 </p>
						</form>
				<?php } ?>
				</div>
			</div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_retour?>">retour</a></li>
	  				<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>