<?php
/*	
	Checklist
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_checklist=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_checklist']=$url_ret_adm_checklist;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_checklist'])) {
		$url_ret_adm_checklist=$_SESSION['circonscript7_url_ret_adm_checklist'];
	}
	else $url_ret_adm_checklist="adm_documentation.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])|| $_SESSION['circonscript7_id_circo']==0) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$nb_items=45;
	$v=queryValue("SELECT checklist FROM circos WHERE id_circo=$id_circo",$h);
	$chk=array();
	for ($i=0;$i<$nb_items;++$i) $chk[$i]='0';
	if (isset($v)) {
		$n=strlen($v);
		if ($n>$nb_items) $n=$nb_items;
		for ($i=0;$i<$n;++$i) $chk[$i]=$v[$i];
	}
	if (isset($_POST['valider'])||isset($_POST['url'])) {
		for ($i=0;$i<$nb_items;++$i) $chk[$i]='0';
		if (isset($_POST['chk'])) {
			foreach($_POST['chk'] as $k=>$v) {
				$k=intval($k);
				if ($k>=0 && $k<$nb_items) $chk[$k]='1';
			}
			$v=implode('',$chk);
		}
		else $v='';
		query("UPDATE circos SET checklist='$v' WHERE id_circo=$id_circo",$h);
		
		if (isset($_POST['url'])) {
			$url=$_POST['url'];
			if ($url) {
				$url.='?url_ret=adm_checklist.php';
				header("Location: $url");
				exit;
			}
		
		}
	}
	if (isset($_POST['raz'])) {
		for ($i=0;$i<$nb_items;++$i) $chk[$i]='0';
		$v=implode('',$chk);
		query("UPDATE circos SET checklist='$v' WHERE id_circo=$id_circo",$h);
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function confirme()
			{
				b=window.confirm("Voulez-vous vraiment remettre toutes les cases  0 ?");
				if (b) document.form2.submit();
			}
			function postNGo(url)
			{
				document.form1.url.value=url;
				document.form1.submit();
			
			
			}
		//-->	
		</script></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_checklist?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">
			  <?php if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?>
			  <h1>La check-list de l'animateur de circo</h1>
				<p>Cette page est une aide &agrave; la maintenance du site; vous pouvez vous en servir pour utiliser Circonscript au mieux.</p>
				<p>Vous pouvez cocher les cases pour indiquer que vous avez effectu&eacute; l'action. Apr&egrave;s avoir coch&eacute; une case, cliquez sur le lien pour vous rendre sur la page concern&eacute;e. Les cases coch&eacute;es sont automatiquement valid&eacute;es puis la page point&eacute;e par le lien appara&icirc;t. Utlisez le lien&quot;<em>retour</em>&quot; sur la page pour revenir &agrave; cette checklist. </p>
				<p>Le bouton rouge permet de valider les cases coch&eacute;es sans quitter la page. </p>
				<p>Sur cette checklist nous avons volontairement omis les op&eacute;rations exceptionnelles, comme les transferts de convocations. </p>
				<form name="form2" method="post" action="">
				  <div align="center">
				    <input name="raz" type="hidden" id="raz" value="1" />
				    <input name="Submit" type="button" class="bouton_standard" value="Remise &agrave; z&eacute;ro de toutes les cases du formulaire" onclick="javascript:confirme()" />
			      </div>
				</form>
				<p>&nbsp;</p>
				<form name="form1" method="post" action="">
				  <input name="url" type="hidden" id="url" />
				  <h2>
				    <input name="valider" type="submit" class="bouton_enregistre" value="valider" />
			      Je pr&eacute;pare le travail </h2>
				  <p>Je ferme le site : </p>
				  <blockquote>
                    <p>
                      <input type="checkbox" name="chk[33]" value="1"  <?php if ($chk[33]=='1') print'checked="checked"'?>/>
                    <a href="javascript:postNGo('adm_site.php')">Circo, &eacute;tat du site </a></p>
				    <blockquote>
                      <p>o
                        
                        cocher <em>Fermer le site</em> </p>
				      <p>o	
				        
				        cocher <em>Les animations exportables ne sont pas visibles par d&rsquo;autres circos</em> </p>
				      <p>o	D&eacute;cocher <em>autoriser les convocations des stagiaires non inscrits aux animations</em></p>
			        </blockquote>
			      </blockquote>
				  <p>Je nettoie la base de donn&eacute;es et efface les donn&eacute;es qui datent de l'an dernier:</p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[0]" value="1" <?php if ($chk[0]=='1') print'checked="checked"'?> />
			          <a href="javascript:postNGo('adm_raz.php')">Circo, remise &agrave; z&eacute;ro: initialisation des tables</a>  </p>
			      </blockquote>
				  <p> Je v&eacute;rifie les param&egrave;tres de ma circo : </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[1]"  value="1" <?php if ($chk[1]=='1') print'checked="checked"'?> />
				      <a href="javascript:postNGo('adm_circo.php')"> Circo, param&egrave;tres </a></p>
			      </blockquote>
				  <p>Je v&eacute;rifie la liste des &eacute;coles : </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[2]" value="1" <?php if ($chk[2]=='1') print'checked="checked"'?> />
				      <a href="javascript:postNGo('adm_ecoles.php')">Circo, modifier la liste des &eacute;coles</a> ou </p>
				    <p>
				      <input type="checkbox" name="chk[3]" value="1" <?php if ($chk[3]=='1') print'checked="checked"'?> />
				      <a href="javascript:postNGo('adm_ecoles_importe.php')">Circo, importer des &eacute;coles &agrave; partir d&rsquo;un csv</a> </p>
			      </blockquote>
				  <h2>
				    <input name="valider" type="submit" class="bouton_enregistre" value="valider" />
			      Je programme mon plan de formation </h2>
				  <p>Je r&eacute;fl&eacute;chis &agrave; son organisation  g&eacute;n&eacute;rale. Voici  bref rappel de la hi&eacute;rarchie : </p>
				  <ul>
				    <li>Domaine
				      <ul>
				        <li>Th&egrave;me
				          <ul>
				            <li>Animation
				              <ul>
				                <li>S&eacute;ance </li>
			                  </ul>
			                </li>
			              </ul>
			            </li>
			          </ul>
			        </li>
			      </ul>
				  <p>Je coche dans la liste les circos avec lesquelles je vais &eacute;changer des animations. </p>
				  <blockquote>
				    <p>
			          <input type="checkbox" name="chk[4]" value="1" <?php if ($chk[4]=='1') print'checked="checked"'?> />
			          <a href="javascript:postNGo('adm_circos_bassin.php')">Circo, d&eacute;finir la liste des circos vers lesquelles vous souhaitez exporter des animations </a></p>
				  </blockquote>
				  <p>Je programme les domaines et les th&egrave;mes.</p>
				  <blockquote>
				    <p>
				      <input name="chk[42]" type="checkbox" value="1" <?php if ($chk[42]=='1') print'checked="checked"'?> />
			          <a href="javascript:postNGo('adm_domaines.php')">Animations, organiser les domaines</a></p>
				    <p>
				      <input name="chk[43]" type="checkbox" value="1" <?php if ($chk[43]=='1') print'checked="checked"'?> /> 
			          <a href="javascript:postNGo('adm_themes.php')">Animations, organiser les th&egrave;mes</a></p>
			      </blockquote>
				  <p>Je programme mes animations au fur et &agrave; mesure, d&egrave;s que j&rsquo;ai suffisamment d&rsquo;&eacute;l&eacute;ments ; <em>je limite les places partout o&ugrave; c&rsquo;est possible</em>. On peut toujours rajouter des s&eacute;ances &laquo;&agrave; la vol&eacute;e&raquo; si n&eacute;cessaire, pendant la p&eacute;riode des inscriptions. </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[5]" value="1" <?php if ($chk[5]=='1') print'checked="checked"'?> />
			          <a href="javascript:postNGo('adm_plan_modif.php')"> Animations, &eacute;laborer les animations propos&eacute;es par la circonscription</a> </p>
				    <blockquote>
				      <blockquote>
				        <p>o	Ajout ou </p>
                        <p>o	Cliquer sur un intitul&eacute; pour modifier une animation existante </p>
	                  </blockquote>
			        </blockquote>
				  </blockquote>
				  <p>J&rsquo;importe des animations en provenance des autres circos avec lesquelles je travaille : </p>
				  <blockquote>
				    <p>
			          <input type="checkbox" name="chk[6]" value="1" <?php if ($chk[6]=='1') print'checked="checked"'?> />	
		              <a href="javascript:postNGo('adm_import_choix_circo.php')">Animations, importer des animations</a></p>
				  </blockquote>
				  <p>Si j&rsquo;ai cr&eacute;&eacute; des animations en direction d&rsquo;autres circos, j'autorise leur exportation. Je le fais &agrave; temps, pour qu&rsquo;elles puissent &eacute;laborer leur plan dans les d&eacute;lais : </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[7]" value="1" <?php if ($chk[7]=='1') print'checked="checked"'?> />
			          <a href="javascript:postNGo('adm_site.php')">Circo, &eacute;tat du site</a>, cocher <em>les animations exportables sont visibles par les autres circonscriptions</em>. </p>
			      </blockquote>
				  <p>Je classe les animations :</p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[40]" value="1" <?php if ($chk[40]=='1') print'checked="checked"'?> /> 
			          <a href="javascript:postNGo('adm_plan_synthese.php')">Animations, organiser le plan de formation</a> (vue synth&eacute;tique)</p>
				  </blockquote>
				  <p>De temps en temps, je consulte le plan de formation, jusqu&rsquo;au moment o&ugrave; je suis satisfait(e) :</p>
				  <blockquote>
				    <p> 
				      <input type="checkbox" name="chk[8]" value="1" <?php if ($chk[8]=='1') print'checked="checked"'?> />
			        <a href="javascript:postNGo('adm_plan_voir.php')">Animations, voir le plan de formation final </a></p>
			      </blockquote>
				  <p>Si je travaillle avec des groupes, je cr&eacute;&eacute;e les groupes et je renseigne chaque groupe avec les s&eacute;ances du plan de formation.</p>
				  <blockquote>
				    <p>
                      <input name="chk[35]" type="checkbox" value="1" <?php if ($chk[35]=='1') print'checked="checked"'?> />
                      <a href="javascript:postNGo('adm_groupes_seances.php')">Animations, cr&eacute;er les groupes </a> </p>
			      </blockquote>
				  <h2>
				    <input name="valider" type="submit" class="bouton_enregistre" value="valider" />
			      Je pr&eacute;pare les listes de mes stagiaires </h2>
				  <p>Je peux renseigner la base avec  mes stagiaires &agrave; partir des listes acad&eacute;miques. Je pr&eacute;pare un fichier csv &agrave; partir de mon tableur, pour l&rsquo;importer dans Circon&rsquo;script (l&rsquo;administrateur g&eacute;n&eacute;ral peut s&rsquo;en occuper&hellip;)  Il est conseill&eacute; de supprimer les doublons, d&egrave;s ce stade (les doublons apparaissent g&eacute;n&eacute;ralement pour les enseignants ayant plusieurs affectations). </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[9]" value="1" <?php if ($chk[9]=='1') print'checked="checked"'?> />	
				      <a href="javascript:postNGo('adm_stagiaires_importe.php')">Stagiaires, importer des stagiaires via un csv</a>. </p>
			      </blockquote>
				  <p>Si j'utilise les groupes, je peux r&eacute;partir les stagiaires dans les diff&eacute;rents groupes:</p>
				  <blockquote>
				    <p>
				      <input name="chk[36]" type="checkbox" value="1" <?php if ($chk[36]=='1') print'checked="checked"'?> />
				      <a href="javascript:postNGo('adm_groupes_stagiaires.php')">Stagiaires, affecter les stagiaires &agrave; des groupes</a>. </p>
			      </blockquote>
				  <p>Je v&eacute;rifie la liste de mes stagiaires et je recherche d&rsquo;&eacute;ventuels doublons, que je peux supprimer :</p>
				  <blockquote>
				    <p>
				      <input name="chk[34]" type="checkbox" value="1" <?php if ($chk[34]=='1') print'checked="checked"'?> /> 
			        <a href="javascript:postNGo('adm_stagiaire_liste.php')">Stagiaires,&eacute;diter la liste des stagiaires</a> </p>
				    <p> 
				      <input type="checkbox" name="chk[10]" value="1" <?php if ($chk[10]=='1') print'checked="checked"'?> />	
			          <a href="javascript:postNGo('adm_stagiaires_doublons.php')">Stagiaires, &eacute;diter la liste des stagiaires, doublons</a>. Cliquer sur le nom d&rsquo;un stagiaire pour &eacute;diter sa fiche et de l&agrave;, supprimer la fiche en double</p>
			      </blockquote>
				  <p>Naturellement, je peux aussi ne rien renseigner, et demander &agrave; mes stagiaires de s&rsquo;inscrire eux-m&ecirc;mes sur le site. Mais j&rsquo;&eacute;vite de m&ecirc;ler les deux possibilit&eacute;s.  Le cas &eacute;ch&eacute;ant, j&rsquo;attribue un quota d&rsquo;heures d&rsquo;animations diff&eacute;rent &agrave; certains stagiaires. Par d&eacute;faut, c&rsquo;est le quota que j&rsquo;ai indiqu&eacute; dans <em>Circo, param&egrave;tres</em> qui est pris en compte (18h en 2008/2009). </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[11]" value="1" <?php if ($chk[11]=='1') print'checked="checked"'?> />	
			          <a href="javascript:postNGo('adm_quota_modif.php')">Stagiaires, modifier le quota d&rsquo;heures d&rsquo;animations pour certaines cat&eacute;gories de stagiaires</a> </p>
			      </blockquote>
				  <h2>
				    <input name="valider" type="submit" class="bouton_enregistre" value="valider" />
			      J&rsquo;ouvre la campagne d&rsquo;inscriptions </h2>
				  <p>J&rsquo;ouvre le site : </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[12]" value="1" <?php if ($chk[12]=='1') print'checked="checked"'?> />
				      <a href="javascript:postNGo('adm_site.php')">Circo, &eacute;tat du site</a>.	Cocher <em>les stagiaires peuvent choisir leurs animations.</em> Si  je n&rsquo;ai pas d&eacute;fini de listes de stagiaires : cocher <em>les nouveaux stagiaires peuvent s&rsquo;inscrire  eux-m&ecirc;mes sur le site</em>.</p>
			      </blockquote>
				  <p> J&rsquo;envoie la bonne nouvelle aux stagiaires (si j&rsquo;ai cr&eacute;&eacute; les listes), en leur envoyant les  param&egrave;tres de connexion &agrave; leur adresse de courriel :  </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[13]" value="1" <?php if ($chk[13]=='1') print'checked="checked"'?> />
				      <a href="adm_publi_parametres.php?url_ret=adm_checklist.php">Stagiaires, Publipostage : envoi des param&egrave;tres de connexion aux stagiaires</a>. </p>
			      </blockquote>
				  <p>J&rsquo;envoie les param&egrave;tres de connexion des stagiaires (aussi) aux &eacute;coles : </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[14]" value="1" <?php if ($chk[14]=='1') print'checked="checked"'?> />
				      <a href="adm_publi_parametres_ecoles1.php?url_ret=adm_checklist.php">Stagiaires, Publipostage : envoi, aux &eacute;coles, des param&egrave;tres de connexion des stagiaires</a> </p>
			      </blockquote>
				  <h2>
				    <input name="valider" type="submit" class="bouton_enregistre" value="valider" />
			      Je suis la campagne d&rsquo;inscriptions </h2>
				  <p>Je suis les progr&egrave;s de la campagne au quotidien. Je fais particuli&egrave;rement attention aux animations dont le nombre de places est limit&eacute;.  Je peux toujours cr&eacute;er une nouvelle s&eacute;ance, &agrave; la vol&eacute;e, pour accueillir des stagiaires suppl&eacute;mentaires si besoin.  </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[15]" value="1" <?php if ($chk[15]=='1') print'checked="checked"'?> />
			          <a href="javascript:postNGo('adm_suivi.php')">Convocations, suivi des inscriptions et des convocations, statistiques</a> </p>
				    <p>	
				      <input type="checkbox" name="chk[16]" value="1" <?php if ($chk[16]=='1') print'checked="checked"'?> />
			          <a href="javascript:postNGo('adm_plan_modif.php')">Animations, &eacute;laborer les animations propos&eacute;es par la circonscription</a>.	Cliquer sur un intitul&eacute; pour modifier une animation existante et ajouter une s&eacute;ance, par exemple. </p>
			      </blockquote>
				  <h2>
				    <input name="valider" type="submit" class="bouton_enregistre" value="valider" />
			      Je ferme la campagne d&rsquo;inscriptions </h2>
				  <p>Une fois la p&eacute;riode des inscriptions pass&eacute;e, je ferme le site aux inscriptions (les stagiaires pourront toujours s&rsquo;y rendre mais ne pourront que consulter leurs choix) : </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[17]" value="1" <?php if ($chk[17]=='1') print'checked="checked"'?> /> 
				      <a href="adm_site.php?url_ret=adm_checklist.php">
			        Circo, &eacute;tat du site:</a> cocher <em>les convocations sont en cours de r&eacute;alisation</em> </p>
			      </blockquote>
				  <h2>
				    <input name="valider" type="submit" class="bouton_enregistre" value="valider" />
			      J&rsquo;&eacute;tablis les convocations </h2>
				  <p>Je convoque tout le monde aux animations choisies : </p>
				  <blockquote>
				    <p> <input type="checkbox" name="chk[18]" value="1" <?php if ($chk[18]=='1') print'checked="checked"'?> />
				    <a href="javascript:postNGo('adm_convocations_inscrits.php')">Convocations, traitement global des convocations </a> : convoquer les stagiaires aux animations qu&rsquo;ils ont choisies. </p>
			      </blockquote>
				  <p>Je peux ajouter des convocations l&agrave; o&ugrave;, manifestement, il y a un manque ; inversement, je peux aussi  supprimer quelques convocations. Pour cela, je d&eacute;braye le m&eacute;canisme qui interdit de convoquer les stagiaires lorsqu'il y a un plafond, s'ils ne sont pas inscrits.</p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[25]" value="1" <?php if ($chk[25]=='1') print'checked="checked"'?> />
			        <a href="javascript:postNGo('adm_site.php')">Circo, &eacute;tat du site,</a> cocher <em>autoriser les convocations des stagiaires non inscrits aux animations, lorsque le nombre de stagiaires est plafonn&eacute;</em>.</p>
			      </blockquote>
				  <p>Je v&eacute;rifie que tout le monde est bien convoqu&eacute;. Si des stagiaires n'atteignent pas leur quota, je peux les convoquer manuellement; je peux aussi cr&eacute;er des listes de convocations et les appliquer automatiquement.</p>
				  <blockquote>
				    <p>
				      
				      <input type="checkbox" name="chk[19]" value="1" <?php if ($chk[19]=='1') print'checked="checked"'?> />
                      <a href="adm_site.php?url_ret=adm_checklist.php"> Convocations, &eacute;tablir les convocations &agrave; partir des stagiaires </a>                    </p>
				    <p>&nbsp;</p>
				    <p>
				      <input name="chk[44]" type="checkbox" value="1" <?php if ($chk[19]=='1') print'checked="checked"'?> />
			          <a href="adm_listes.php?url_ret=adm_checklist.php">Animations, &eacute;tablir des listes de convocations class&eacute;es par pr&eacute;f&eacute;rence</a> </p>
			      </blockquote>
				  <p>Je peux aussi demander des explications aux int&eacute;ress&eacute;s  par courriel (je peux classer la liste en fonction du nombre d&rsquo;heures d&rsquo;animations p&eacute;dagogiques) : </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[20]" value="1" <?php if ($chk[20]=='1') print'checked="checked"'?> />
			        <a href="javascript:postNGo('adm_courriels_stagiaires.php')">Stagiaires, envoi direct de courriels aux stagiaires de la circo </a></p>
			      </blockquote>
				  <p>Je peux  voir la liste des stagiaires par animations : si  j&rsquo;ai organis&eacute; des animations sp&eacute;cifiques pour certains publics, je me rends &agrave; l&rsquo;animation et je v&eacute;rifie, au besoin je convoque, ceux qui sont cens&eacute;s y participer : </p>
				  <blockquote>
				    <p>	 
				      <input type="checkbox" name="chk[21]" value="1" <?php if ($chk[21]=='1') print'checked="checked"'?> /> <a href="javascript:postNGo('adm_convocations_anim.php')">
		            Convocations, &eacute;tablir les convocations &agrave; partir des animations </a></p>
			      </blockquote>
				  <h2>
				    <input name="valider" type="submit" class="bouton_enregistre" value="valider" />
			      Je publie les convocations </h2>
				  <p>Les stagiaires vont se rendre sur le site pour voir leur propre plan de formation :</p>
				  <blockquote>
				    <p> 				  
				      <input type="checkbox" name="chk[22]" value="1" <?php if ($chk[22]=='1') print'checked="checked"'?> />
			          <a href="javascript:postNGo('adm_site.php')">Circo, &eacute;tat du site</a>, cocher <em>les convocations sont publi&eacute;es</em> . </p>
			      </blockquote>
				  <p>Je peux envoyer le plan &agrave; chaque stagiaire :</p>
				  <blockquote>
				    <p> 
				      <input type="checkbox" name="chk[23]" value="1" <?php if ($chk[23]=='1') print'checked="checked"'?> />
				      <a href="javascript:postNGo('adm_publi_convocations.php')">Convocations, Publipostage: envoi de toutes les convocations aux stagiaires, par courriel personnalis&eacute;</a>. </p>
			      </blockquote>
				  <p>Je peux aussi envoyer  une pi&egrave;ce jointe aux &eacute;coles, avec les convocations de tous les stagiaires : </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[24]" value="1" <?php if ($chk[24]=='1') print'checked="checked"'?> />
				      <a href="javascript:postNGo('adm_publi_convocations_ecoles1.php')">Convocations, Publipostage: envoi de toutes les convocations aux &eacute;coles, par courriel personnalis&eacute;</a>.</p>
			      </blockquote>
				  <h2>
				    <input name="valider" type="submit" class="bouton_enregistre" value="valider" />
			      Je suis le plan de formation au cours de l&rsquo;ann&eacute;e </h2>
				  <p>Je peux rappeler aux stagiaires qu&rsquo;ils sont attendus &agrave; une animation, quelques jours avant la date : 				      </p>
			      <blockquote>
			        <p>
			          <input type="checkbox" name="chk[26]" value="1" <?php if ($chk[26]=='1') print'checked="checked"'?> />
			          <a href="javascript:postNGo('adm_courriels_anims.php')">Convocations, Envoi direct de courriels aux stagiaires inscrits ou convoques &agrave; une animation</a></p>
		          </blockquote>
				  <p> J&rsquo;imprime les feuilles de pr&eacute;sence avant chaque animation et je la transmets aux intervenants : </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[27]" value="1" <?php if ($chk[27]=='1') print'checked="checked"'?> />	
			          <a href="javascript:postNGo('adm_feuille_presence.php')">Convocations , Imprimer une feuille de pr&eacute;sence</a>. </p>
			      </blockquote>
				  <h2>
				    <input name="valider" type="submit" class="bouton_enregistre" value="valider" />
			      Je m&rsquo;occupe &eacute;ventuellement des absences </h2>
				  <p>Vous pouvez cocher les absences injustifi&eacute;es uniquement, ou les absences justifi&eacute;es et injustifi&eacute;es. </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[28]" value="1" <?php if ($chk[28]=='1') print'checked="checked"'?> />
				      <a href="javascript:postNGo('adm_presence_anim.php')">Absences, noter les absences injustifi&eacute;es &agrave; une s&eacute;ance</a>. </p>
			      </blockquote>
				  <p>Je peux  envoyer un courriel aux stagiaires absents  &agrave; une  s&eacute;ance :  </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[29]" value="1" <?php if ($chk[29]=='1') print'checked="checked"'?> />
				      <a href="javascript:postNGo('adm_courriels_absents.php')">Absences, Envoi direct de courriels aux stagiaires pr&eacute;sents ou absents &agrave; une s&eacute;ance</a>. </p>
			      </blockquote>
				  <p>Bien entendu, je peux convoquer le stagiaire &agrave; une autre s&eacute;ance ou &agrave; une autre animation, en remplacement de celle non faite : </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[30]" value="1" <?php if ($chk[30]=='1') print'checked="checked"'?> />
				      <a href="javascript:postNGo('adm_convocations_anim.php')">Convocations, &eacute;tablir les convocations &agrave; partir des animations</a> ou &agrave; <a href="javascript:postNGo('adm_convocations_stagiaires.php')">partir des stagiaires</a> </p>
			      </blockquote>
				  <p>Je risque de ne pas pouvoir convoquer le stagiaire &agrave; des s&eacute;ances pour lesquelles il n&rsquo;est pas inscrit, si le nombre de places est limit&eacute;. Pour d&eacute;bloquer Circon&rsquo;script et autoriser les convocations des stagiaires &agrave; ces s&eacute;ances (rappel) : </p>
				  <blockquote>
				    <p>
				      <input type="checkbox" name="chk[31]" value="1" <?php if ($chk[31]=='1') print'checked="checked"'?> />
				      <a href="javascript:postNGo('adm_site.php')">Circo, &eacute;tat du site</a>, cocher <em>autoriser les convocations des stagiaires non inscrits aux animations, lorsque le nombre de stagiaires est plafonn&eacute;</em>.</p>
			      </blockquote>
			      <p> Pour obtenir &agrave; tout moment un bilan de la participation de chaque stagiaire &agrave; l&rsquo;ensemble du plan de formation : </p>
			      <blockquote>
			        <p>
			          <input type="checkbox" name="chk[32]" value="1" <?php if ($chk[32]=='1') print'checked="checked"'?> />
			          <a href="javascript:postNGo('adm_presence_controle.php')">Absences, Contr&ocirc;ler les absences et envoi de courriels</a>. Pensez &agrave; cliquer sur le bouton &quot;r&eacute;actualiser la table&quot; avant de proc&eacute;der.</p>
		          </blockquote>
				  <h2>
                    <input name="valider2" type="submit" class="bouton_enregistre" value="valider" />
                    Je mets en place le futur plan de formation </h2>
				  <p>Je ne suis pas  pas oblig&eacute; d'attendre le d&eacute;but de la prochaine ann&eacute;e scolaire pour planifier les prochaines formations. Je peux le faire pendant que le plan actuel fonctionne, avec quelques restrictions cependant (impossible d'inscrire ou de convoquer les stagiaires). </p>
				  <p>Pour commencer, j'active la possibilit&eacute; de cr&eacute;er le plan futur: </p>
				  <blockquote>
				    <p>
				    <input name="chk[37]" type="checkbox" value="1" <?php if ($chk[37]=='1') print'checked="checked"'?> />
                    <a href="javascript:postNGo('adm_circo.php')">Circo, &eacute;tat du site </a></p>
				    <blockquote>
				      <p>o	
				        
	                  <strong>d&eacute;cocher</strong> <em>Les animations exportables ne sont pas visibles par d&rsquo;autres circos</em></p>
				      <p>o
				        
				        cocher<em> Autoriser la cr&eacute;ation d'un nouveau plan de formation... </em></p>
				    </blockquote>
			      </blockquote>
				  <p>Je ferme les acc&egrave;s des animations exportables pour emp&ecirc;cher les circonscriptions d'importer mes animations en cours d'&eacute;laboration (ceci emp&ecirc;chera aussi les circos d'importer des animations du plan actuel, mais celles qui sont d&eacute;j&agrave; import&eacute;es ne sont pas affect&eacute;es) </p>
				  <blockquote>
				    <p>
				      <input name="chk[38]" type="checkbox" value="1" <?php if ($chk[38]=='1') print'checked="checked"'?> />
				      <a href="javascript:postNGo('adm_animations.php')">Animations</a></p>
				    <p>Dans la liste d&eacute;roulante qui est maintenant affich&eacute;e, je choisis <em>cette page porte  <strong>sur le plan futur</strong></em>, dans la liste d&eacute;roulante. Puis, je programme mes animations p&eacute;dagogiques comme d'habitude. </p>
				    <p>Pour autoriser les autres circos &agrave; importer mes animations futures dans leur propre plan futur:</p>
				    <p>
                      <input name="chk[39]" type="checkbox" value="1" <?php if ($chk[39]=='1') print'checked="checked"'?> />
                      <a href="javascript:postNGo('adm_circo.php')">Circo, &eacute;tat du site </a></p>
				    <blockquote>
                      <p>o <strong>cocher</strong> <em>Les animations exportables ne sont pas visibles par d&rsquo;autres circos</em></p>
                    </blockquote>
		          </blockquote>
				  <p>Lorsque le plan actuel sera ferm&eacute;, recommencez les &eacute;tapes  comme elles sont d&eacute;crites au d&eacute;but de cette <em>checklist. </em>Dans <em>circo, &eacute;tat du site, </em>vous aurez la possibilit&eacute; de remplacer le plan actuel par le plan futur que vous avez &eacute;labor&eacute; ici.</p>
				</form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_checklist?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>		</div>
	</body>
</html>