<?php
/* 
	Confirmation de la suppression d'une circo
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_circo_ajoute=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_circo_ajoute']=$url_ret_adm_circo_ajoute;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_circo_ajoute'])) {
		$url_ret_adm_circo_ajoute=$_SESSION['circonscript7_url_ret_adm_circo_ajoute'];
	}
	else $url_ret_adm_circo_ajoute="administration.php";
	
	$erreur='';
	$resultat='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	require '_fonctions_mdp.inc.php';
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: administration.php');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	debugInit();
	$q="SELECT rne, libelle FROM circos WHERE id_circo=$id_circo";
	$row=queryArray($q,$h);
	$rne=$row['rne'];
	$libelle=$row['libelle'];

	while (isset($_POST['confirmer']) && $_POST['confirmer']=='oui') {
		query("DELETE groupements FROM groupements,seances,animations WHERE groupements.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo",$h); // dtruit les groupements faisant rf.  la circo, mme extrieurs
		query("DELETE groupements FROM groupements,groupes WHERE groupements.id_groupe=groupes.id_groupe AND groupes.id_circo=$id_circo",$h);// il reste  dtruire les groupements de la circo, faisant rfrence  des circos extrieures
		if ($erreur) break;	
		$q="DELETE FROM groupes WHERE id_circo=$id_circo";
		query($q,$h);
		if ($erreur) break;	
		query("DELETE interventions FROM interventions,dates,seances,animations WHERE interventions.id_date=dates.id_date AND dates.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo",$h);		
		if ($erreur) break;
		query("UPDATE intervenants SET id_circo=0 WHERE id_circo=$id_circo",$h); // conserve les intervenants
		if ($erreur) break;		
		query("DELETE absences FROM absences,dates,seances,animations WHERE absences.id_date=dates.id_date AND dates.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo",$h);
		if ($erreur) break;
		query("DELETE convocations FROM convocations,seances,animations WHERE convocations.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo",$h);
		if ($erreur) break;
		query("DELETE convocations FROM convocations, stagiaires,ecoles WHERE convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
		if ($erreur) break;
		query("DELETE inscriptions FROM inscriptions,seances,animations WHERE inscriptions.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo",$h);
		if ($erreur) break;
		query("DELETE inscriptions FROM inscriptions,stagiaires,ecoles WHERE inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
		if ($erreur) break;
		// stagiaires et utilisateurs
		$r=query("SELECT stagiaires.id_stagiaire, stagiaires.id_uti FROM stagiaires, ecoles WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
		while ($row=@mysqli_fetch_row($r)) {
			if ($erreur) break;
			$id_stagiaire=$row[0];
			$id_uti=$row[1];
			query("DELETE FROM stagiaires WHERE id_stagiaire=$id_stagiaire",$h);
			if (orphelin($id_uti,$h)) query("DELETE FROM utilisateurs WHERE id_uti=$id_uti",$h);
		}
		if ($erreur) break;
		$q="DELETE FROM partages WHERE id_circo=$id_circo;" ;
		query($q,$h);

		query("DELETE items FROM items,seances,animations WHERE items.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo",$h); // dtruire tous les items, mme extrieurs, faisant rfrence  une sance de la circo 
		query("DELETE items FROM items,listes WHERE listes.id_circo=$id_circo AND items.id_liste=listes.id_liste",$h);// dtruire tous les items restants de la circo (ceux-la font rfrence  des items extrieurs,puisqu'on a dj dtruit les items faisant rf.  la circo)
		query("DELETE FROM listes WHERE id_circo=$id_circo",$h);	

		query("DELETE partages FROM partages,seances,animations WHERE partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo",$h);
		if ($erreur) break;
		query("DELETE dates FROM animations,seances,dates WHERE animations.id_circo=$id_circo AND seances.id_anim=animations.id_anim AND dates.id_seance=seances.id_seance",$h);		
		if ($erreur) break;
		query("DELETE seances FROM animations,seances WHERE animations.id_circo=$id_circo AND seances.id_anim=animations.id_anim",$h);		
		if ($erreur) break;
		// dtruire toutes les positions de la circo (pour nos animations comme pour celles importes)
		query("DELETE positions FROM positions,domaines WHERE positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo",$h);
		// dtruire toutes les positions de tous les plans de formation faisant rfrence aux anims de la cico
		query("DELETE positions FROM positions,animations WHERE positions.id_anim=animations.id_anim AND animations.id_circo=$id_circo",$h);
		
		$q="DELETE FROM animations WHERE id_circo=$id_circo";
		query($q,$h);
		if ($erreur) break;
		$q="DELETE FROM domaines WHERE id_circo=$id_circo";
		query($q,$h);
		if ($erreur) break;
		$q="DELETE FROM themes WHERE id_circo=$id_circo";
		query($q,$h);
		if ($erreur) break;
		$q="DELETE FROM ecoles WHERE id_circo=$id_circo";
		query($q,$h);
		if ($erreur) break;
		$q="DELETE FROM bassin WHERE id_circo=$id_circo";
		query($q,$h);
		$q="DELETE FROM bassin WHERE id_circo_bassin=$id_circo";
		query($q,$h);
		$q="DELETE FROM regles WHERE id_circo=$id_circo";
		query($q,$h);
		if ($erreur) break;
		$q="DELETE FROM tmp_absences WHERE id_circo=$id_circo";
		query($q,$h);
		if ($erreur) break;	
		$q="DELETE FROM droits WHERE id_circo=$id_circo";
		query($q,$h);
		if ($erreur) break;
		$q="DELETE FROM circos WHERE id_circo=$id_circo";
		query($q,$h);
		if (!$erreur) $resultat="Circo entirement supprime.";
		break;
	
	}
	

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function car(event)
			{
				if (event.keyCode==13)  confirme();
			}			
			function confirme()
			{
				leForm = document.formulaire;
				leConfirme=leForm["confirmer"];
				if (leConfirme.value!="oui") 
					alert("Vous devez confirmer la suppression.");
				else {
					b=window.confirm("Voulez-vous vraiment effacer cette circonscription et toutes ses dpendances ?");
					if (b) 	
						document.formulaire.submit();
				}				
			}
		//-->	
		</script>					
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_circo_ajoute?>">retour</a></li>
                    <li><a href="#bas">bas</a></li>
</ul>
			</div>
		  <div id="corps">
		  <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>\n";		  	 
		  	if ($resultat) print "<p class=\"erreur\">$resultat</p>\n";?>
		    <h1>Supprimer une  circonscription </h1>
		    <form id="formulaire" name="formulaire" method="post" action="">
		      <p>La suppression de cette circonscription implique la suppression de l'ensemble des donn&eacute;es la concernant (liste des stagiaires, animations p&eacute;dagogiques, etc.) Les tables d'importation seront remises &agrave; jour et les animations export&eacute;es seront supprim&eacute;es.</p>
		      <p>Pour valider d&eacute;finitivement la suppression de cette circo, mettre &quot;oui&quot; dans le champ &quot;validation&quot; et valider. </p>

		      <hr />
			  <h2>La circo &agrave; supprimer: </h2>
			  <p>Circo:
			    <?php print htmlentities($libelle,ENT_COMPAT,'ISO-8859-15')?>
		      </p>
			  <p>RNE: <?php print htmlentities($rne,ENT_COMPAT,'ISO-8859-15')?></p>
			  <hr />
		      <p align="center">&eacute;crire 'oui' pour confirmer: 
		        <input name="confirmer" type="text" id="confirmer" size="3" maxlength="3" onkeypress="javascript:car(event)" />&nbsp; 
		        <input name="valider" type="button" class="bouton_standard" onclick="javascript:confirme()" value="Valider"/>
	          &nbsp;</p>
	        </form>

		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_circo_ajoute?>">retour</a></li>
                    <li><a href="#bas">bas</a></li>
                </ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
</body>
</html>