<?php
/* 
	Liste des derniers accs administrateur	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_circos_liste=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_circos_liste']=$url_ret_adm_circos_liste;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_circos_liste'])) {
		$url_ret_adm_circos_liste=$_SESSION['circonscript7_url_ret_adm_circos_liste'];
	}
	else $url_ret_adm_circos_liste="administration.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$h=connect();
	debugInit();
	$courriels='';
	$objet='';
	if (isset($_SESSION['adm_circos_liste_objet'])) $objet=$_SESSION['adm_circos_liste_objet'];
	if (isset($_POST['valider']) && isset($_POST['sel'])) {
		$objet='';
		if (isset($_POST['objet'])) $objet=normaliseT($_POST['objet'],250);
		$_SESSION['adm_circos_liste_objet']=$objet;
		foreach($_POST['sel'] as $id_admin) {
			$id_admin=abs(intval($id_admin));
			$courriel=queryValue("SELECT courriel FROM administrateurs WHERE id_admin=$id_admin",$h);
			if ($courriel) {
				if (strpos($courriels, $courriel)===false) {
					if ($courriels) $courriels.=',';
					$courriels.=$courriel;
				}
			}
		}
	}
function afficheCircos($h)
{
	global $erreur;
	$r=query("SELECT id_circo, rne, libelle, libelle_court, courriel, stag_etat,type_circo FROM circos ORDER BY type_circo,libelle",$h);
	while ($row=@mysqli_fetch_array($r)) {
		$id_circo=$row[0];
		$adm='';
		$r2=query("SELECT nom, courriel,administrateurs.id_admin FROM administrateurs, droits WHERE administrateurs.id_admin=droits.id_admin AND droits.id_circo=$id_circo",$h);
		while($row2=@mysqli_fetch_row($r2)) {
			if($adm) $adm.="<br/>\n";
			$id_admin=intval($row2[2]);
			if ($row2[1]) $adm.=sprintf("<input type=\"checkbox\" name=\"sel[]\" value=\"%d\"/> ", $id_admin);
			
			if ($row2[0]) $adm.=sprintf("<a href=\"adm_droits.php?id_admin=$id_admin&amp;url_ret=adm_circos_liste.php\">%s</a>\n", htmlentities($row2[0],ENT_COMPAT,'ISO-8859-15'));
			if ($row2[1]) $adm.=sprintf(" [<a href=\"mailto:%s\">courriel</a>]\n",htmlentities($row2[1],ENT_COMPAT,'ISO-8859-15'));
		}
		
		print "<tr class=\"seance_paire ligne_bas\">\n";
		printf( "<td>%s</td>\n", $id_circo);
		$t='';
		if ($row['type_circo']==1) $t='[Virtuelle] ';
		else if ($row['type_circo']==2) $t='[Transfert] ';
		printf( "<td>%s%s</td>\n", $t,tronque($row['libelle'],60));
		printf( "<td>%s</td>\n", htmlentities($row['libelle_court'],ENT_COMPAT,'ISO-8859-15'));
		printf( "<td>%s</td>\n", htmlentities($row['rne'],ENT_COMPAT,'ISO-8859-15'));
		$s='';
		switch($row['stag_etat']) {
			case 0: $s='ferme';break;
			case 1: $s='inscriptions ouvertes';break;
			case 2: $s='convocations en cours de ralisation';break;
			case 3: $s='convocations publies';break;
			default: $s='code inconnu ('.$row['stag_etat'].')';
		}	 
		printf( "<td>%s</td>\n", htmlentities($s,ENT_COMPAT,'ISO-8859-15'));
		if ($row['courriel'])
			printf("<td><a href=\"mailto:%s\">%s</a></td>\n",htmlentities($row['courriel'],ENT_COMPAT,'ISO-8859-15'),htmlentities($row['courriel'],ENT_COMPAT,'ISO-8859-15'));
		else	print"<td>&nbsp;</td>\n";
		if ($adm) print"<td><p>$adm</p></td>\n";
		else	print"<td>&nbsp;</td>\n";
		if ($adm) print "<td><input type=\"checkbox\" name=\"cocher[]\" onclick=\"javascript:cocheGroupe(this)\" /></td>\n";
		else	print"<td>&nbsp;</td>\n";
		
		print "</tr>\n";
	}
}
	
function afficheCourriels($courriels)
{
	if ($courriels) {
	 	print "<a href=\"javascript:envoieMail3('$courriels',document.form.objet.value,'')\" ><img src=\"images/internet-mail.png\" alt=\"courriel\" /></a>\n";
		print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$courriels','console',600,500)\" ><img src=\"images/text.png\"  alt=\"liste\" /></a>\n";
	}
	else
		print "-";
		
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	   <script type="text/javascript" src="envoiemail.js"></script> 
	   <script type="text/javascript" charset="ISO-8859-15">
	   <!--
	   function cocheGroupe(coche)
	   {
	   		var td=coche.parentNode.previousElementSibling.firstChild;
			for (var i=0;i<td.children.length;++i) {
				c=td.children[i];
				if (c.name=='sel[]') c.checked=coche.checked;
			}
	   }
		function cocheTout(obj)
		{
		  leForm = obj.form
		  laListe = leForm["sel[]"]
		  if (laListe != null){
			  for(i=0; i < laListe.length; i++) 
				laListe[i].checked = obj.checked
			} 
		  laListe = leForm["cocher[]"]
		  if (laListe != null){
			  for(i=0; i < laListe.length; i++) 
				laListe[i].checked = obj.checked
			} 
			
		  
		}
		//-->
	   </script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_circos_liste?>">retour</a></li>
					<li><a href="adm_courriels_admin.php?url_ret=administration.php">ordre alpha</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
				<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
				<h1>Liste des administrateurs par circonscriptions et envoi de courriels </h1>
				<form name="form" method="post" action="">
				<table>
                  <tr class="table_entete">
                          <td>Administrateurs</td>
		                  <td class="centre"> <?php afficheCourriels($courriels)?></td>
                  </tr>
		        </table>
				
				Objet : 
				<input name="objet" type="text" id="objet" value="<?php print htmlspecialchars($objet,ENT_COMPAT,'ISO-8859-15')?>" size="100" maxlength="250" />
				<table>
                  <tr class="table_entete">
                    <td>Id</td>
                    <td>Libel&eacute; long </td>
                    <td>Lib. court </td>
                    <td>RNE </td>
                    <td>Etat</td>
                    <td>Courriel contact </td>
                    <td>Administrateurs</td>
                    <td><input type="checkbox" name="cocher_tous" value="checkbox" onclick="javascript:cocheTout(this)"/>
                    <input name="valider" type="submit" class="bouton_standard" value="valider" /></td>
                  </tr>
				  <?php afficheCircos($h); ?>
            </table>
			</form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_circos_liste?>">retour</a></li>
					<li><a href="adm_courriels_admin.php?url_ret=administration.php">ordre alpha</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>