<?php
/* 
	Transfert manuel des convocations d'une sance  une autre: liste des stagiaires appartenenant aux deux sances source et cible
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_convocations_transfert_stagiaires=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_convocations_transfert_stagiaires']=$url_ret_adm_convocations_transfert_stagiaires;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_convocations_transfert_stagiaires'])) {
		$url_ret_adm_convocations_transfert_stagiaires=$_SESSION['circonscript7_url_ret_adm_convocations_transfert_stagiaires'];
	}
	else $url_ret_adm_convocations_transfert_stagiaires="adm_convocations.php";
	
	$erreur='';
	$resultat='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	require '_fonctions_stagiaire.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo!=0 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	//diffrents tris en cours
	$tris=array(
		'nom_asc'=> 'nom_stagiaire ASC',
		'nom_desc' => 'nom_stagiaire DESC',
		'ecole_asc'=>'nom_ecole ASC, i1 ASC',
		'ecole_desc'=>'nom_ecole DESC,i1 ASC',
		'niveau_asc'=>'niveau ASC, i1 ASC',
		'niveau_desc'=>'niveau DESC, i1 ASC',
		'duree_desc'=>'duree DESC, i1 ASC',
		'duree_asc'=>'duree ASC, i1 ASC',
		'quota_desc'=>'quota_reel DESC, i1 ASC',
		'quota_asc'=>'quota_reel ASC, i1 ASC',
		'inscrit_desc'=>'i1 DESC',
		'inscrit_asc'=>'i1 ASC',
		'source_desc'=>'source DESC, i1 ASC',
		'source_asc'=>'source ASC, i1 ASC',
		'cible_desc'=>'cible DESC, i1 ASC',
		'cible_asc'=>'cible ASC, i1 ASC',
		'inscrit2_desc'=>'i2 DESC',
		'inscrit2_asc'=>'i2 ASC',
		'groupe_asc'=>'groupe ASC, i1 ASC',
		'groupe_desc'=>'groupe DESC, i1 ASC'
		
	);
	/*******************************
		Rcupration des donnes de session
	************************************/
	// Donnes venant de la page prcdente
	if (isset($_SESSION['circonscript7_adm_convocations_transfert2_id_seance'])) $id_seance_source=$_SESSION['circonscript7_adm_convocations_transfert2_id_seance'];
	else {
		header('Location: adm_convocations_transfert2.php');
		exit;
	}
	if (isset($_SESSION['circonscript7_adm_convocations_transfert2_id_seance_cible'])) $id_seance_cible=$_SESSION['circonscript7_adm_convocations_transfert2_id_seance_cible'];
	else {
		header('Location: adm_convocations_transfert2.php');
		exit;
	}
	
	$max_source=queryValue("SELECT max FROM seances WHERE id_seance=$id_seance_source",$h);
	$autoriser_convoc_plafond_source=autoriserConvocPlafond($id_seance_source,$h); 
	$max_cible=queryValue("SELECT max FROM seances WHERE id_seance=$id_seance_cible",$h);
	$autoriser_convoc_plafond_cible=autoriserConvocPlafond($id_seance_cible,$h);

	// Donnes issues du filtre
	if (isset($_SESSION['circonscript7_filtre_special_where'])) $filtre_special_where=$_SESSION['circonscript7_filtre_special_where'];
	else $filtre_special_where='';
	if (isset($_SESSION['circonscript7_filtre_special_having'])) $filtre_special_having=$_SESSION['circonscript7_filtre_special_having'];
	else $filtre_special_having='';
	if (isset($_SESSION['circonscript7_filtre_special_having2'])) $filtre_special_having2=$_SESSION['circonscript7_filtre_special_having2'];
	else $filtre_special_having2='';
	if (isset($_SESSION['circonscript7_filtre_special_actif'])) $filtre_special_actif=$_SESSION['circonscript7_filtre_special_actif'];
	else $filtre_special_actif=0;
	if ($filtre_special_actif==1) {
		$adm_convocations_transfert_stagiaires_filtre_special=1;
		$_SESSION['circonscript7_adm_convocations_transfert_stagiaires_filtre_special']=$adm_convocations_transfert_stagiaires_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	else if ($filtre_special_actif==2) { // supprimer filtre
		$adm_convocations_transfert_stagiaires_filtre_special=0;
		$_SESSION['circonscript7_adm_convocations_transfert_stagiaires_filtre_special']=$adm_convocations_transfert_stagiaires_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	if (isset($_SESSION['circonscript7_adm_convocations_transfert_stagiaires_filtre_special'])) $adm_convocations_transfert_stagiaires_filtre_special=$_SESSION['circonscript7_adm_convocations_transfert_stagiaires_filtre_special'];
	else $adm_convocations_transfert_stagiaires_filtre_special=0;
	
	// page
	if (isset($_POST['page'])) { // test sur page pour savoir si on a fait un POST
		$f1=isset($_POST['filtre_spe1'])?1:0;
		$f2=isset($_POST['filtre_spe2'])?1:0;
		if ($f1==$f2) {
			if ($adm_convocations_transfert_stagiaires_filtre_special!=$f1) {
				$adm_convocations_transfert_stagiaires_filtre_special=$f1;
				$_SESSION['circonscript7_adm_convocations_transfert_stagiaires_filtre_special']=$adm_convocations_transfert_stagiaires_filtre_special;
			}
		}
		else {
			$adm_convocations_transfert_stagiaires_filtre_special=!$adm_convocations_transfert_stagiaires_filtre_special;
			$_SESSION['circonscript7_adm_convocations_transfert_stagiaires_filtre_special']=$adm_convocations_transfert_stagiaires_filtre_special;
		}
   }
	//tri
	if (isset($_GET['tri'])) {
		$tri_adm_convocations_transfert_stagiaires=$tris[$_GET['tri']];
		if (!isset($tri_adm_convocations_transfert_stagiaires)) $tri_adm_convocations_transfert_stagiaires=$tris['source_desc'];
		$_SESSION['circonscript7_tri_adm_convocations_transfert_stagiaires']=$tri_adm_convocations_transfert_stagiaires;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_convocations_transfert_stagiaires'])) {
		$tri_adm_convocations_transfert_stagiaires=$_SESSION['circonscript7_tri_adm_convocations_transfert_stagiaires'];
	}
	else {
		$tri_adm_convocations_transfert_stagiaires=$tris['source_desc'];
		$_SESSION['circonscript7_tri_adm_convocations_transfert_stagiaires']=$tri_adm_convocations_transfert_stagiaires;
	}	
	if (isset($_SESSION['circonscript7_filtre_adm_convocations_transfert_stagiaires'])) 
		$filtre_adm_convocations_transfert_stagiaires=$_SESSION['circonscript7_filtre_adm_convocations_transfert_stagiaires'];
	else $filtre_adm_convocations_transfert_stagiaires='';
   
   if (isset($_POST['chercher'])) {
		if (isset($_POST['filtre1'])) {
			$filtre1=normalise($_POST['filtre1']);
		}
		else $filtre1='';
		if (isset($_POST['filtre2'])) {
			$filtre2=normalise($_POST['filtre2']);
		}
		else $filtre2='';
		if( $filtre1!=$filtre_adm_convocations_transfert_stagiaires) $filtre_adm_convocations_transfert_stagiaires=$filtre1;
		else $filtre_adm_convocations_transfert_stagiaires=$filtre2;
		$_SESSION['circonscript7_filtre_adm_convocations_transfert_stagiaires']=$filtre_adm_convocations_transfert_stagiaires;    		
   }
   else if (isset($_POST['actualise'])) {
		$filtre_adm_convocations_transfert_stagiaires='';
		$_SESSION['circonscript7_filtre_adm_convocations_transfert_stagiaires']=$filtre_adm_convocations_transfert_stagiaires;
   }
	if (isset($_SESSION['circonscript7_adm_convocations_transfert_stagiaires_transfert'])) $adm_convocations_transfert_stagiaires_transfert=$_SESSION['circonscript7_adm_convocations_transfert_stagiaires_transfert'];
	else $adm_convocations_transfert_stagiaires_transfert=1;
	if (isset($_SESSION['circonscript7_verifier_dates'])) $verifier_dates=$_SESSION['circonscript7_verifier_dates'];
	else $verifier_dates=1;

	// Transfert ou recopie vers la droite ?
	if (isset($_POST['commande']) && $_POST['commande']==1) {
		$res1=$res2='';
		if (!isset($_POST['rb'])) {
			$erreur="Il faut prciser si vous souhaitez transfrer les convocations, ou les recopier";
		}
		if ($_POST['rb']=='copie') $adm_convocations_transfert_stagiaires_transfert=0;
		else $adm_convocations_transfert_stagiaires_transfert=1;
		if (isset($_POST['deja_conv'])) $verifier_dates=1;
		else $verifier_dates=0;
		if (!$erreur) {
			// si transferts dans les deux sens, on traite les maximum de manire diffrente
			if(isset($_POST['vers_droite']) &&$_POST['vers_droite']!='' && isset($_POST['vers_gauche']) &&$_POST['vers_gauche']!='' && $adm_convocations_transfert_stagiaires_transfert==1) {
				$resultat=transfertDoubleSens($id_seance_source,$id_seance_cible,$h,$autoriser_convoc_plafond_source,$autoriser_convoc_plafond_cible);
			}
			else {
				if(isset($_POST['vers_droite']) &&$_POST['vers_droite']!='') 
					$res1=transfert($id_seance_source,$id_seance_cible,$h,'vers_droite',$autoriser_convoc_plafond_cible);
				if (!$erreur && isset($_POST['vers_gauche']) &&$_POST['vers_gauche']!='' ) 
					$res2=transfert($id_seance_cible,$id_seance_source,$h,'vers_gauche',$autoriser_convoc_plafond_source);
				$resultat='';
				if ($res1) 
					$resultat.="Gauche  droite:<br/>".$res1."<br/>\n";
				if ($res2)	
					$resultat.="Droite  gauche: <br/>".$res2."<br/>\n";
			}
		}
	}
	// clic sur "ne pas transfrer les convoc pour les dates existantes
	else if (isset($_POST['commande']) && $_POST['commande']==2){
		$verifier_dates=isset($_POST['deja_conv']);
	}
	$_SESSION['circonscript7_adm_convocations_transfert_stagiaires_transfert']=$adm_convocations_transfert_stagiaires_transfert;
	$_SESSION['circonscript7_verifier_dates']=$verifier_dates;
	$taille=100;
	// Nombre de pages
	$q="SELECT COUNT(DISTINCT stagiaires.id_stagiaire) FROM convocations , stagiaires, ecoles WHERE convocations.id_seance IN ($id_seance_source,$id_seance_cible) AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo";
	
	if ($filtre_adm_convocations_transfert_stagiaires) {
		$filtre2=myLikeEscapeString($h,normaliseNom($filtre_adm_convocations_transfert_stagiaires));
		$q.= " AND (stagiaires.nom_f LIKE '%$filtre2%' OR stagiaires.prenom_f LIKE '%$filtre2%' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '%$filtre2%')";
	}
	$nb_elements=queryValue($q,$h);	
   	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	if (isset($_SESSION['circonscript7_adm_convocations_transfert_stagiaires_page'])) $page=$_SESSION['circonscript7_adm_convocations_transfert_stagiaires_page'];
	else $page=0;
	if (isset($_SESSION['circonscript7_filtre_bascule']) && $_SESSION['circonscript7_filtre_bascule']==1) {
		$page=0;
		$filtre_bascule=0;
		$_SESSION['circonscript7_filtre_bascule']=$filtre_bascule;
	}
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   	if (--$page<0) $page=0;
   }
	$adm_convocations_transfert_stagiaires_page=$page;
	$_SESSION['circonscript7_adm_convocations_transfert_stagiaires_page']=$adm_convocations_transfert_stagiaires_page;
	$duree_source=queryValue("SELECT SUM(duree) FROM dates WHERE dates.id_seance=$id_seance_source",$h);
	$duree_cible=queryValue("SELECT SUM(duree) FROM dates WHERE dates.id_seance=$id_seance_cible",$h);
function afficherSeances($h)
{
	global $id_seance_source,$id_seance_cible;
	print "<tr>\n";
	print "<td>\n";
	afficherUneSeance($id_seance_source,$h);
	print "</td>\n";
	print "<td>\n";
	afficherUneSeance($id_seance_cible,$h);
	print "</td>\n";
	print "</tr>\n";
}
function afficherUneSeance($id_seance,$h)
{
	global $id_circo;
	
	$r=query("SElECT intitule, annule FROM animations, seances WHERE seances.id_seance=$id_seance AND seances.id_anim=animations.id_anim",$h);
	$row=@mysqli_fetch_row($r);
	$intitule=$row[0];
	if (strlen($intitule)>63) $intitule=substr($intitule,0,60).'...';
	$intitule=htmlentities($intitule,ENT_COMPAT,'ISO-8859-15');
	if ($row[1]) $intitule='[ANNUL] : '.$intitule;
	print "<h3>$intitule</h3>\n";
	$r2=query("SELECT date, lieu FROM dates WHERE id_seance=$id_seance",$h);
	$nb_dates=@mysqli_num_rows($r2);// nombre de dates
	$d='';
	if ($nb_dates>1) $d="$nb_dates dates :";
	else if ($nb_dates==0) $d='Aucune date dfinie';
	while($row2=@mysqli_fetch_row($r2)) {
		$date=$row2[0];
		$date=dateSqlEnSaisie($row2[0]);
		if ($date=='')
			$date='date  dfinir';
		$lieu=$row2[1];
		if (strlen($lieu)>33) $lieu=substr($lieu,0,30).'...';
		$d.="$date";
		if ($lieu) $d.=" ($lieu)";
		$d.='; ';
	}
	if (strlen($d)>103) $d=substr($d,0,100).'...';
	$d=htmlentities($d,ENT_COMPAT,'ISO-8859-15');
	print "<p>$d</p>\n";
	$nb_conv_circo=queryValue("SELECT COUNT(*) FROM convocations,stagiaires, ecoles WHERE convocations.id_seance=$id_seance AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole and ecoles.id_circo=$id_circo",$h);
	$nb_conv_total=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=$id_seance",$h);
	$duree=queryValue("SELECT SUM(duree) FROM dates WHERE dates.id_seance=$id_seance",$h);
	$max_source=queryValue("SELECT max FROM seances WHERE id_seance=$id_seance",$h);
	$autoriser_convoc_plafond_source=queryValue("SELECT autoriser_convoc_plafond FROM circos,animations,seances WHERE seances.id_seance=$id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=circos.id_circo",$h);
	if ($max_source==0) 
		print "<p>Nombre de convoqu&eacute;s: $nb_conv_circo (circo), $nb_conv_total (total)</p>\n";
	else  {
		print "<p>Nombre de convoqu&eacute;s: $nb_conv_circo (circo), $nb_conv_total (total) sur un maximum de $max_source</p>\n";
		if ($autoriser_convoc_plafond_source==0) print "<h3>On ne peut convoquer &agrave; cette s&eacute;ance que les stagiaires qui y sont inscrits</h3>\n";
	
	}
	printf ("<p>Dur&eacute;e: %s</p>\n",reelEnHeure($duree));
	
		
}

function affichepages()
{
	global $nb_pages, $page,$id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_convocations_transfert_stagiaires.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}

function requete($id_seance1,$id_seance2,$h)
{
	global $id_circo,$page,$taille,$tri_adm_convocations_transfert_stagiaires,$id_seance, $filtre_adm_convocations_transfert_stagiaires,$filtre_special_where,$adm_convocations_transfert_stagiaires_filtre_special,$filtre_special_having2;
	$lim=$page*$taille;
	$filtre2='';
	if ($filtre_adm_convocations_transfert_stagiaires) $filtre2='%'.myLikeEscapeString($h,normaliseNom($filtre_adm_convocations_transfert_stagiaires)).'%';
	$max=queryValue("SELECT MAX(id_inscr) FROM inscriptions",$h)+1;
	
	$q="SELECT stagiaires.id_stagiaire, concat( stagiaires.nom, ' ', stagiaires.prenom ) AS nom_stagiaire, ecoles.nom AS nom_ecole,stagiaires.niveau, stagiaires.quota_reel, SUM(  CASE WHEN duree IS NULL THEN 0 ELSE duree END) as duree, CASE WHEN c1.id_convoc IS NULL THEN 0 ELSE 1 END as source, CASE WHEN c2.id_convoc IS NULL THEN 0 ELSE 1 END as cible ,CASE WHEN inscriptions.id_inscr IS NULL THEN 0 ELSE $max-inscriptions.id_inscr END as i1, convocations.id_convoc, CASE WHEN i2.id_inscr IS NULL THEN 0 ELSE $max-i2.id_inscr END as i2, groupes.libelle as groupe
	FROM (convocations,stagiaires,ecoles)
	LEFT JOIN convocations as source ON source.id_stagiaire=stagiaires.id_stagiaire
	INNER JOIN seances ON source.id_seance=seances.id_seance
	INNER JOIN dates ON dates.id_seance=seances.id_seance
	LEFT JOIN inscriptions ON inscriptions.id_stagiaire=stagiaires.id_stagiaire AND inscriptions.id_seance=$id_seance1
	LEFT JOIN convocations as c1 ON c1.id_seance=$id_seance1 AND c1.id_stagiaire=convocations.id_stagiaire
	LEFT JOIN convocations as c2 ON c2.id_seance=$id_seance2 AND c2.id_stagiaire=convocations.id_stagiaire
	LEFT JOIN inscriptions as i2 ON i2.id_seance=$id_seance2 AND i2.id_stagiaire=convocations.id_stagiaire
	LEFT JOIN groupes ON stagiaires.id_groupe=groupes.id_groupe
	WHERE convocations.id_seance IN ($id_seance1,$id_seance2) AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo";
	$q1='';
	$q2='';
	if ($filtre2) 
		$q1="stagiaires.nom_f LIKE '$filtre2' OR stagiaires.prenom_f LIKE '$filtre2' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '$filtre2'";
	if ($adm_convocations_transfert_stagiaires_filtre_special && $filtre_special_where) 
		$q2="$filtre_special_where";
	if ($q1 && $q2) $q.=" AND ($q1) AND ($q2)";
	else if ($q1) $q.=" AND ($q1)";
	else if ($q2) $q.=" AND ($q2)";
	$q.=" GROUP BY stagiaires.id_stagiaire";	
	if ($adm_convocations_transfert_stagiaires_filtre_special && $filtre_special_having2) 
		$q.=" HAVING $filtre_special_having2";
	$q.=" ORDER BY $tri_adm_convocations_transfert_stagiaires LIMIT $lim , $taille";
	return $q;
}	 	

function afficheListeStagiaires($h)
{
	global $id_seance_source,$id_seance_cible,$max_source,$max_cible,$autoriser_convoc_plafond_source,$autoriser_convoc_plafond_cible,$verifier_dates;
	
	// charge les dates des deux sances dans les tableaux, ignore les dates  dfinir ET LA TELEFORMATION
	$dates_source='';
	$dates_cible='';
	$r=query("SELECT dates.date FROM dates WHERE dates.id_seance=$id_seance_source",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$d=$row[0];
		if ($d!='9999-12-31' && $d!='9999-12-30' && $d!='0000-00-00') {
			if ($dates_source!='') $dates_source.=',';
			$dates_source.="'$d'";
		}
	}
	
	$r=query("SELECT dates.date FROM dates WHERE dates.id_seance=$id_seance_cible",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$d=$row[0];
		if ($d!='9999-12-31' && $d!='9999-12-30' && $d!='0000-00-00') {
			if($dates_cible!='') $dates_cible.=',';
			$dates_cible.="'$d'";
		}
	}
	
	$impair=0;
	$r=query(requete($id_seance_source,$id_seance_cible,$h),$h);
	if (($nb_stagiaires=@mysqli_num_rows($r))==0) {
		return;
	}
	//regarde les maxima pour les animations 
	
	
	while ($row=@mysqli_fetch_array($r)) {
		$id_stagiaire=$row['id_stagiaire'];
		$id_convoc=$row['id_convoc'];
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		printf("<td><a href=\"adm_convocation_un_stagiaire.php?id_stagiaire=$id_stagiaire&amp;url_ret=adm_convocations_transfert_stagiaires.php\">%s</a></td>\n",htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		
		printf("<td>%s</td>\n",htmlentities(substr($row['niveau'],1,strlen($row['niveau'])-2),ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities($row['groupe'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",reelEnHeure($row['quota_reel']));
		printf("<td>%s&nbsp;</td>\n",reelEnHeure($row['duree']));
		if ($row['i1']==0) print "<td>non inscrit</td>\n";
		else printf("<td>%d</td>\n",$row['i1']);
		printf("<td class=\"centre\">%s</td>\n",$row['source']>0?"<img src=\"images/transfert_droit_conv.png\" width=\"10\" height=\"10\" alt=\"transfert droit\" />":'&nbsp;' );
		if ($row['source']>0 && $row['cible']==0) { 
			if ($max_cible>0 && !$autoriser_convoc_plafond_cible && $row['i2']==0) 
				print "<td class=\"centre\"><img src=\"images/transfert_impossible.png\" width=\"13\" height=\"13\" alt=\"transfert impossible\" /></td>\n";
			else {
				if (!$verifier_dates || verifierDates($dates_cible,$id_stagiaire,$id_seance_cible,$id_seance_source,$h)==true)
					print "<td class=\"centre\"><img name=\"droite$id_convoc\" src=\"images/transfert_vide.png\" width=\"13\" height=\"13\" alt=\"transfert vers la droite\" onclick=\"javascript:changeDroite($id_convoc)\" /></td>\n";
				else
					print "<td class=\"centre\"><img src=\"images/transfert_exclame.png\" width=\"13\" height=\"13\" alt=\"transfert impossible\" /></td>\n";
			}
		}
		else if ($row['source']==0 && $row['cible']>0) {
			if ($max_source>0 && !$autoriser_convoc_plafond_source && $row['i1']==0) 
				print "<td class=\"centre\"><img src=\"images/transfert_impossible.png\" width=\"13\" height=\"13\" alt=\"transfert impossible\" /></td>\n";
			else {
				if (!$verifier_dates || verifierDates($dates_source,$id_stagiaire,$id_seance_source,$id_seance_cible,$h)==true)
					print "<td class=\"centre\"><img name=\"gauche$id_convoc\" src=\"images/transfert_vide.png\" width=\"13\" height=\"13\" alt=\"transfert vers la gauche\" onclick=\"javascript:changeGauche($id_convoc)\" /></td>\n";
				else
					print "<td class=\"centre\"><img src=\"images/transfert_exclame.png\" width=\"13\" height=\"13\" alt=\"transfert impossible\" /></td>\n";
			}
		}
		else {
			print "<td class=\"centre\"><img src=\"images/transfert_egale.png\" width=\"13\" height=\"13\" alt=\"transfert impossible\" /></td>\n";
		}
		printf("<td class=\"centre\">%s</td>\n",$row['cible']>0?"<img src=\"images/transfert_gauche_conv.png\" width=\"10\" height=\"10\" alt=\"transfert vers la gauche\" />":'&nbsp;' );
		if ($row['i2']==0) print "<td>non inscrit</td>\n";
		else printf("<td>%d</td>\n",$row['i2']);


		print "</tr>\n";
	}
}
/*
	transfertDoubleSens
	Permet de tenir compte du maximum de stagiaires dans les sances.
	Pour un transfert vers la droite, effectuer un transfert vers la gauche
	De cette faon, le maximum n'est pas dpass et les transferts sont effectus
	Appele uniquement en cs de transfert, pas pour les copies
*/

function transfertDoubleSens($id_seance1,$id_seance2,$h,$plafond1,$plafond2)
{
	global $_POST,$erreur,$adm_convocations_transfert_stagiaires_transfert,$verifier_dates,$id_circo;
	$convocations1=array();
	$convocations2=array();
	$convocations1=explode(',',$_POST['vers_droite']);
	$convocations2=explode(',',$_POST['vers_gauche']);
	$dates1='';
	$q="SELECT date FROM dates  WHERE dates.id_seance=$id_seance1";
	$r=query($q,$h);
	while ($row=@mysqli_fetch_row($r)) {
		$d=$row[0];
		if ($d!='0000-00-00' && $d!='9999-12-31' && $d!='9999-12-30') {
			if ($dates1!='') $dates1.=',';
			$dates1.="'$d'";
		}
	}
	$dates2='';
	$q="SELECT date FROM dates  WHERE dates.id_seance=$id_seance2";
	$r=query($q,$h);
	while ($row=@mysqli_fetch_row($r)) {
		$d=$row[0];
		if ($d!='0000-00-00' && $d!='9999-12-31'&& $d!='9999-12-30') {
			if ($dates2!='') $dates2.=',';
			$dates2.="'$d'";
		}
	}
	$nb_conv1=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=$id_seance1",$h);
	$nb_conv2=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=$id_seance2",$h);
	$max1=queryValue("SELECT max FROM seances WHERE seances.id_seance=$id_seance1",$h);
	$max2=queryValue("SELECT max FROM seances WHERE seances.id_seance=$id_seance2",$h);
	$nb_dates=0;
	$nb_gd=0;
	$nb_dg=0;
	// remplir les tableaux des convocations possibles (les autres sont ignores)
	$conv1=array();
	$conv2=array();
	foreach($convocations1 as $id_conv1) {
		if ($id_conv1=='') continue;
		if (transfertPossible($id_conv1,$id_seance1,$id_seance2,$dates1,$max2,$plafond2,$h)) $conv1[]=$id_conv1;
	}
	foreach($convocations2 as $id_conv2) {
		if ($id_conv2=='') continue;
		if (transfertPossible($id_conv2,$id_seance2,$id_seance1,$dates2,$max1,$plafond1,$h)) $conv2[]=$id_conv2;
		
	}

	//echanger les convocations tant que c'est possible;
	$n=count($conv1);
	if ($n>count($conv2)) $n=count($conv2);
	for ($i=0;!$erreur && $i<$n;++$i) {
		$id_conv1=$conv1[$i];
		$id_conv2=$conv2[$i];
		updateConvoc($id_conv1,$id_seance2,$h);
		updateConvoc($id_conv2,$id_seance1,$h);
		//query("UPDATE convocations SET id_seance=$id_seance2 WHERE id_convoc=$id_conv1",$h);
		//query("UPDATE convocations SET id_seance=$id_seance1 WHERE id_convoc=$id_conv2",$h);
		if (!$erreur) {
			++$nb_gd;
			++$nb_dg;
		}
	}
	// transfrer les convocations restantes
	$max1_atteint=false;
	$max2_atteint=false;
	// gauche  droite
	$nb_conv=0;
	for ($i=$n;!$erreur && $i<count($conv1) && ($max2==0 || $nb_conv2+$nb_conv<$max2);++$i) {
	 	$id_conv1=$conv1[$i];
		updateConvoc($id_conv1,$id_seance2,$h);
		//query("UPDATE convocations SET id_seance=$id_seance2 WHERE id_convoc=$id_conv1",$h);
	 	if (!$erreur) ++$nb_conv;
	}
	$nb_gd+=$nb_conv;
	if ($i<count($conv1)) $max1_atteint=true;
	//droite  gauche
	$nb_conv=0;
	for ($i=$n;!$erreur && $i<count($conv2) && ($max1==0 || $nb_conv1+$nb_conv<$max1);++$i) {
		$id_conv2=$conv2[$i];
	 	updateConvoc($id_conv2,$id_seance1,$h);
		//query("UPDATE convocations SET id_seance=$id_seance1 WHERE id_convoc=$id_conv2",$h);
	 	if (!$erreur) ++$nb_conv;
	}
	$nb_dg+=$nb_conv;
	if ($i<count($conv2)) $max2_atteint=true;
	if ($erreur) return "";
	else  {
		 $r="Gauche &agrave; droite: $nb_gd";
		 if ($max1_atteint) $r.= " (transfert partiel car maximum atteint)";
		 $r.="<br>\n";
		 $r.="<br>Droite &agrave; gauche: $nb_dg.";	
		 if ($max2_atteint) $r.= "(transfert partiel car maximum atteint)";
		 return $r;
	}
}
/*
	Verifie si un transfert est faisable (donnes correctes, pas de convocation  la cible, etc).
*/
function transfertPossible($id_convoc,$id_seance_source,$id_seance_cible,$dates,$max_cible,$autoriser_convoc_plafond,$h)
{
	global $erreur,$id_circo,$verifier_dates;
	if ($erreur) return false;
	if ($id_convoc=='') return false;
	// vrifications des donnes entres
	$q="SELECT stagiaires.id_stagiaire, id_circo, id_seance FROM convocations, stagiaires, ecoles WHERE convocations.id_convoc=$id_convoc AND stagiaires.id_stagiaire=convocations.id_stagiaire AND ecoles.id_ecole=stagiaires.id_ecole";
	$r=query($q,$h);
	if(@mysqli_num_rows($r)==0) return false;
	$row=@mysqli_fetch_array($r);
	if ($row['id_seance']!=$id_seance_source) return false;
	if ($row['id_circo']!=$id_circo) return false;
	$id_stagiaire= $row['id_stagiaire'];			
	// s'il n'existe pas de convocation  la sance cible, effectue;
	$n=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=$id_seance_cible AND id_stagiaire=$id_stagiaire",$h);
	if ($erreur) return false;
	if ($n=='' || $n>0) return false;

	// s'il y a un maximumm  la cible et qu'on n'autorise pas la convocation des non inscrits, vrifier si inscrit  la cible
	if ($max_cible>0 && !$autoriser_convoc_plafond) {
		$nb_inscr=queryValue("SELECT COUNT(*) FROM inscriptions WHERE id_seance=$id_seance_cible AND id_stagiaire=$id_stagiaire",$h);
		if ($erreur || $nb_inscr=='' ||$nb_inscr==0) return false;
	} 
	if ($verifier_dates && !verifierDates($dates, $id_stagiaire,$id_seance_source,$id_seance_cible,$h)) {
		return false;
	}
	return true;
}
function transfert($id_seance_source,$id_seance_cible,$h,$sens,$autoriser_convoc_plafond)
{
	global $_POST,$erreur,$adm_convocations_transfert_stagiaires_transfert,$verifier_dates,$id_circo;
	$convocations=explode(',',$_POST[$sens]);
	$dates='';
	$q="SELECT date FROM dates  WHERE dates.id_seance=$id_seance_cible";
	$r=query($q,$h);
	while ($row=@mysqli_fetch_row($r)) {
		$d=$row[0];
		if ($d!='0000-00-00' && $d!='9999-12-31'&& $d!='9999-12-30') {
			if ($dates!='') $dates.=',';
			$dates.="'$d'";
		}
	}
	$nb_dates=0;
	$nb_conv_depart=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=$id_seance_cible",$h);
	$nb_conv=0;
	$max=queryValue("SELECT max FROM seances WHERE seances.id_seance=$id_seance_cible",$h);
	foreach($convocations as $id_convoc) {
		if ($erreur) break;
		if ($id_convoc=='') continue;
		// vrifications des donnes entres
		$q="SELECT stagiaires.id_stagiaire, id_circo, id_seance FROM convocations, stagiaires, ecoles WHERE convocations.id_convoc=$id_convoc AND stagiaires.id_stagiaire=convocations.id_stagiaire AND ecoles.id_ecole=stagiaires.id_ecole";
		$r=query($q,$h);
		if(@mysqli_num_rows($r)==0) continue;
		$row=@mysqli_fetch_array($r);
		if ($row['id_seance']!=$id_seance_source) continue;
		if ($row['id_circo']!=$id_circo) continue;
		$id_stagiaire= $row['id_stagiaire'];			
		// s'il n'existe pas de convocation  la sance cible, effectue;
		$n=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=$id_seance_cible AND id_stagiaire=$id_stagiaire",$h);
		if ($erreur) break;
		if ($n=='' || $n>0) continue;
		//faut-il tester les dates ?
		if ($verifier_dates && !verifierDates($dates, $id_stagiaire,$id_seance_cible,$id_seance_source,$h)) {
			++$nb_dates;
			continue;
		}
		if ($max>0 && $nb_conv+$nb_conv_depart>=$max) continue;
		// s'il y a un maximumm et qu'on n'autorise pas la convocation des non inscrits, vrifier si inscrit  la cible
		if ($max>0 && !$autoriser_convoc_plafond) {
			$nb_inscr=queryValue("SELECT COUNT(*) FROM inscriptions WHERE id_seance=$id_seance_cible AND id_stagiaire=$id_stagiaire",$h);
			if($erreur) break;
			if ($nb_inscr=='' ||$nb_inscr==0) continue;
		} 
		if ($adm_convocations_transfert_stagiaires_transfert) 
			updateConvoc($id_convoc,$id_seance_cible,$h);
			//query("UPDATE convocations SET id_seance=$id_seance_cible WHERE id_convoc=$id_convoc",$h);
		else
			query("INSERT INTO convocations(id_seance,id_stagiaire) VALUES($id_seance_cible, $id_stagiaire)",$h);
		++$nb_conv;		
	}
	$resultat="$nb_conv convocation(s) ";
	if ($adm_convocations_transfert_stagiaires_transfert) $resultat.="transfre(s).";
	else $resultat.="recopie(s).";
	if ($max>0 && $nb_conv+$nb_conv_depart>=$max) $resultat.=" Le maximum de $max convocations est atteint.";
	if ($nb_dates>0) $resultat.=" $nb_dates stagiaire(s) participe(nt) dj  une animation le mme jour. ";
	return $resultat;
}
//Mise  jour des convocations et suppression des absences de la convocation source pour le stagiaire dont les convocations sont mises  jour

function updateConvoc($id_convoc,$id_seance,$h)
{
	$r=query("SELECT id_stagiaire, id_seance FROM convocations WHERE id_convoc=$id_convoc",$h);
	if ($r && @mysqli_num_rows($r)==1) {
		$row=mysqli_fetch_row($r);
		$id_stagiaire=$row[0];
		$id_seance_depart=$row[1];
		query("DELETE absences FROM absences,dates WHERE absences.id_stagiaire=$id_stagiaire AND absences.id_date=dates.id_date AND dates.id_seance=$id_seance_depart",$h);	
	}
	query("UPDATE convocations SET id_seance=$id_seance WHERE id_convoc=$id_convoc",$h);
}
/*
	retourne faux s'il existe des dates qui n'appartiennent pas  la sance source ou  la sance cible du stagiaire
	retourne true si pas de dates
	E: dates : tableau des dates de la sance source
	id_stagiaire: stagiaire en cours
	id_seance: seance SOURCE
*/
function verifierDates($dates, $id_stagiaire, $id_seance1,$id_seance2, $h)
{
	if ($dates=='') return true;
	$n=queryValue("SELECT COUNT(*) FROM convocations, seances, dates WHERE convocations.id_stagiaire=$id_stagiaire AND convocations.id_seance <> $id_seance1 AND convocations.id_seance <> $id_seance2 AND seances.id_seance=convocations.id_seance AND dates.id_seance=seances.id_seance AND dates.date IN ($dates)",$h);
	return $n==0;
}


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}

function cocheDroite()
{
	var i;
	var TousCoches=1;
	for (i=0;i<document.images.length;++i) 
		if (document.images[i].name.substr(0,6)=="droite" && document.images[i].src.substr(document.images[i].src.length-19)!="transfert_droit.png" )  {
			TousCoches=0;
			break;
		}
		//alert(TousCoches);
	var img="images/transfert_vide.png";
	if (!TousCoches) img="images/transfert_droit.png";
	for (i=0;i<document.images.length;++i) 
		if(document.images[i].name.substr(0,6)=="droite") document.images[i].src=img;
		
}
function cocheGauche()
{
	var i;
	var TousCoches=1;
	for (i=0;i<document.images.length;++i) 
		if (document.images[i].name.substr(0,6)=="gauche" && document.images[i].src.substr(document.images[i].src.length-20)!="transfert_gauche.png" )  {
			TousCoches=0;
			break;
		}
		//alert(TousCoches);
	var img="images/transfert_vide.png";
	if (!TousCoches) img="images/transfert_gauche.png";
	for (i=0;i<document.images.length;++i) 
		if(document.images[i].name.substr(0,6)=="gauche") document.images[i].src=img;
		
}
function cocheVide()
{
	var i;
	for (i=0;i<document.images.length;++i) 
		if(document.images[i].name.substr(0,6)=="gauche" || document.images[i].name.substr(0,6)=="droite") document.images[i].src="images/transfert_vide.png";
}
function changeDroite(id)
{
	var nom='droite'+id;
	var val=document.images[nom].src.substr(document.images[nom].src.length-18);
	if (val=="transfert_vide.png") 
		document.images[nom].src="images/transfert_droit.png";
	else
		document.images[nom].src="images/transfert_vide.png";

}
function changeGauche(id)
{
	var nom='gauche'+id;
	var val=document.images[nom].src.substr(document.images[nom].src.length-18);
	if (val=="transfert_vide.png") 
		document.images[nom].src="images/transfert_gauche.png";
	else
		document.images[nom].src="images/transfert_vide.png";

}
function validation()
{
	
	var v1=document.formulaire.rb[0].checked;
	var v2=document.formulaire.rb[1].checked;
	if (!v1 && !v2) {
		alert("Il faut prciser l'action  entreprendre: transfert ou copie");
		return;
	}
	if (v2) {
		b=window.confirm("Vous allez COPIER des convocations: les stagiaires slectionns seront convoqus aux DEUX sances. Vous ne pourrez pas revenir en arrire dans cette page. Confirmez-vous ?");
		if (!b) return;
	}
	var i;
	var res='';
	for (i=0;i<document.images.length;++i) {
		if (document.images[i].name.substr(0,6)=="gauche" && document.images[i].src.substr(document.images[i].src.length-20)=="transfert_gauche.png" )  
			res+=document.images[i].name.substr(6)+','
	}
	document.formulaire.vers_gauche.value=res;
	res='';
	for (i=0;i<document.images.length;++i) 
		if (document.images[i].name.substr(0,6)=="droite" && document.images[i].src.substr(document.images[i].src.length-19)=="transfert_droit.png" )  
			res+=document.images[i].name.substr(6)+','
	document.formulaire.vers_droite.value=res;
	document.formulaire.commande.value=1;
	document.formulaire.submit();		
}
function jsCommande()
{
	document.formulaire.commande.value=2;
	document.formulaire.submit();		
}
//-->
</script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_convocations_transfert_stagiaires?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="adm_convocations_transfert2.php">page pr&eacute;c&eacute;dente</a></li>
				</ul>
			</div>
		  <div id="corps">
		    <h2>Transfert manuel de convocations d'une s&eacute;ance &agrave; une autre </h2>
		        <?php 
					if ($erreur) print "<p class=\"erreur\">$erreur</p>\n";
		         	if ($resultat) print "<p class=\"erreur\">$resultat</p>\n";?>
		        <?php
			  if ($duree_source!=$duree_cible) print"<p class=\"attention\"><b>ATTENTION ! Les dur&eacute;es ne sont pas les m&ecirc;mes !</b></p>\n";
			  ?>
		        <table border="0" align="center">
                  <tr class="table_entete">
                    <td>Gauche</td>
                    <td>Droite</td>
                  </tr>
                  <?php afficherSeances($h) ?>
                </table>
		        <p class="remarque"><strong>L&eacute;gende:</strong></p>
		      <blockquote>
		        <p class="remarque"><img src="images/transfert_impossible.png" width="13" height="13" alt="transfert impossible" /> transfert impossible car il est interdit de convoquer des stagiaires non inscrits &agrave; la s&eacute;ance-cible  tant que les inscriptions sont ouvertes. Si la sance est importe par plusieurs circonscriptions, il faut que toutes les circonscriptions aient quitt l'tat "inscriptions en cours".<br />
	              <img src="images/transfert_egale.png" width="13" height="13" alt="transfert impossible" /> transfert impossible car il y a d&eacute;j&agrave; des convocations aux deux s&eacute;ances<br />
                <img src="images/transfert_exclame.png" width="13" height="13" alt="transfert impossible" /> transfert impossible car le stagiaire est d&eacute;j&agrave; convoqu&eacute; &agrave; une autre animation le m&ecirc;me jour (d&eacute;brayable) </p>
	        </blockquote>
		      <form name="formulaire" method="post" action="">
                <p>
                  <input type="radio" name="rb" value="transfert" <?php if ($adm_convocations_transfert_stagiaires_transfert=='1') print "checked=\"checked\"" ?> />
                  Transf&eacute;rer les convocations </p>
		        <p>
                  <input type="radio" name="rb" value="copie" <?php if ($adm_convocations_transfert_stagiaires_transfert=='0') print "checked=\"checked\"" ?>/>
		          Copier les convocations (le stagiaire sera convoqu&eacute; aux deux s&eacute;ances - la copie ne pourra plus &ecirc;tre modifi&eacute;e dans cette page) </p>
		        <p>
		          <input name="deja_conv" type="checkbox" id="deja_conv" value="1" onclick="javascript:jsCommande()" <?php if ($verifier_dates==1) print "checked=\"checked\"" ?> />
	            Ne pas transf&eacute;rer ou recopier les convocations pour les stagiaires qui seraient d&eacute;j&agrave; convoqu&eacute;s &agrave; une animation le m&ecirc;me jour. </p>
                <input name="page" type="hidden" id="page" value="<?php print $page?>" />
                <table align="center">
                  <tr align="center" valign="top">
                    <td><input name="filtre_spe1" type="checkbox" id="filtre_spe1" value="checkbox" <?php if ($adm_convocations_transfert_stagiaires_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                      <a href="javascript:popUp('adm_filtre_transfert2_popup.php?url_ret=adm_convocations_transfert_stagiaires.php','console',600,500);">Utiliser filtre </a></td>
                    <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                        <input name="filtre1" type="text" id="filtre1" value="<?php print htmlentities($filtre_adm_convocations_transfert_stagiaires,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />
                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />
                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />
                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />
                    </td>
                    <td><select name="select" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>
                    </td>
                    <td><p><b>
                        <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                    </b></p></td>
                  </tr>
                </table>
		        <table align="center">
                  <tr class="table_entete">
                    <td>Nom stagiaire&nbsp; <a href="adm_convocations_transfert_stagiaires.php?tri=nom_asc"><img src="images/fleche_haut.png" alt="tri par nom ascendant" width="11" height="11" border="0" /></a><a href="adm_convocations_transfert_stagiaires.php?tri=nom_desc"><img src="images/fleche_bas.png" alt="tri par nom descendant" width="11" height="11" border="0" /></a></td>
                    <td>Niveau&nbsp;<a href="adm_convocations_transfert_stagiaires.php?tri=niveau_asc"><img src="images/fleche_haut.png" alt="tri par niveau ascendant" width="11" height="11" border="0" /></a><a href="adm_convocations_transfert_stagiaires.php?tri=niveau_desc"><img src="images/fleche_bas.png" alt="tri par niveau descendant" width="11" height="11" border="0" /></a></td>
                    <td>Ecole&nbsp;<a href="adm_convocations_transfert_stagiaires.php?tri=ecole_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_convocations_transfert_stagiaires.php?tri=ecole_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a></td>
                    <td>Groupe&nbsp;<a href="adm_convocations_transfert_stagiaires.php?tri=groupe_asc"><img src="images/fleche_haut.png" alt="tri par groupe ascendant" width="11" height="11" border="0" /></a><a href="adm_convocations_transfert_stagiaires.php?tri=groupe_desc"><img src="images/fleche_bas.png" alt="tri par groupe descendant" width="11" height="11" border="0" /></a></td>
                    <td>Quota<a href="adm_convocations_transfert_stagiaires.php?tri=quota_asc"><br />
                          <img src="images/fleche_haut.png" alt="tri par quota ascendant" width="11" height="11" border="0" /></a><a href="adm_convocations_transfert_stagiaires.php?tri=quota_desc"><img src="images/fleche_bas.png" alt="tri par quota descendant" width="11" height="11" border="0" /></a></td>
                    <td>Duree Conv.<br />
                    <a href="adm_convocations_transfert_stagiaires.php?tri=duree_asc"><img src="images/fleche_haut.png" width="11" height="11" border="0" alt="tri par duree ascendant" /></a><a href="adm_convocations_transfert_stagiaires.php?tri=duree_desc"><img src="images/fleche_bas.png" alt="tri par duree descendant" width="11" height="11" border="0" /></a></td>
                    <td>Anciennet&eacute;<br /> 
                      inscr&deg; gauche <br />
                    <a href="adm_convocations_transfert_stagiaires.php?tri=inscrit_asc"><img src="images/fleche_haut.png" width="11" height="11" border="0" alt="tri de l'inscription la plus r&eacute;cente &agrave; la plus ancienne " /></a><a href="adm_convocations_transfert_stagiaires.php?tri=inscrit_desc"><img src="images/fleche_bas.png" alt="tri de l'inscription la plus ancienne  &agrave; la plus r&eacute;cente" width="11" height="11" border="0" /></a></td>
                    <td>Conv&deg;<br />
                      gauche <br />
                    <a href="adm_convocations_transfert_stagiaires.php?tri=source_asc"><img src="images/fleche_haut.png" width="11" height="11" border="0" alt="tri par convocations ascendant" /></a><a href="adm_convocations_transfert_stagiaires.php?tri=source_desc"><img src="images/fleche_bas.png" alt="tri par convocations descendant" width="11" height="11" border="0" /></a></td>
                    <td>Transfert<br />
                    <img src="images/transfert_droit.png" width="13" height="13" onclick="javascript:cocheDroite()" alt="transfert droit" /><img src="images/transfert_vide.png" width="13" height="13" onclick="javascript:cocheVide()" alt="" /><img src="images/transfert_gauche.png" width="13" height="13" onclick="javascript:cocheGauche()" alt="coche gauche" /></td>
                    <td>Conv&deg;<br />
                    droite
                    <br />
                    <a href="adm_convocations_transfert_stagiaires.php?tri=cible_asc"><img src="images/fleche_haut.png" width="11" height="11" border="0" alt="tri par convocations ascendant" /></a><a href="adm_convocations_transfert_stagiaires.php?tri=cible_desc"><img src="images/fleche_bas.png" alt="tri par convocations descendant" width="11" height="11" border="0" /></a></td>
                    <td>Anciennet&eacute;<br />
inscr&deg; droite <br />
<a href="adm_convocations_transfert_stagiaires.php?tri=inscrit2_asc"><img src="images/fleche_haut.png" width="11" height="11" border="0" alt="tri de l'inscription la plus r&eacute;cente &agrave; la plus ancienne " /></a><a href="adm_convocations_transfert_stagiaires.php?tri=inscrit2_desc"><img src="images/fleche_bas.png" alt="tri de l'inscription la plus ancienne  &agrave; la plus r&eacute;cente" width="11" height="11" border="0" /></a></td>
                  </tr>
                  <?php  afficheListeStagiaires($h) ?>
                </table>
		        <table align="center">
                  <tr align="center" valign="top">
                    <td><input name="filtre_spe2" type="checkbox" id="filtre_spe12" value="checkbox"  <?php if ($adm_convocations_transfert_stagiaires_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                      <a href="javascript:popUp('adm_filtre_transfert2_popup.php?url_ret=adm_convocations_transfert_stagiaires.php','console',600,500);">Utiliser filtre</a> </td>
                    <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                        <input name="filtre2" type="text" id="filtre2" value="<?php print htmlentities($filtre_adm_convocations_transfert_stagiaires,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />
                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" id="prec" value="  &lt;  " />
                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />
                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />
                    </td>
                    <td><select name="select" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>
                    </td>
                    <td><p><b>
                        <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                    </b></p></td>
                  </tr>
                </table>
	            <p align="center">
	              <input name="valider" type="button" class="bouton_standard" value="Valider des transferts ou les recopies"  onclick="javascript:validation()" />
	              <input name="vers_droite" type="hidden" id="vers_droite" />
	              <input name="vers_gauche" type="hidden" id="vers_gauche" />
	              <input name="commande" type="hidden" id="commande" value="0" />
	            </p>
		      </form>
	      </div>
		  <div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_convocations_transfert_stagiaires?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="adm_convocations_transfert2.php">page pr&eacute;c&eacute;dente</a></li>
				</ul>
		  </div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
