<?php
/* 
	Envoi de courriels aux coles
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_courriels_admin=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_courriels_admin']=$url_ret_adm_courriels_admin;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_courriels_admin'])) {
		$url_ret_adm_courriels_admin=$_SESSION['circonscript7_url_ret_adm_courriels_admin'];
	}
	else $url_ret_adm_courriels_admin="adm_configuration.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	if (!isset($_SESSION['circonscript7_id_uti'])) {
		header('Location:erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	if (isset($_SESSION['circonscript7_coches_adm_courriels_ecoles'])) 
		$coches_adm_courriels_ecoles=$_SESSION['circonscript7_coches_adm_courriels_ecoles'];
	else $coches_adm_courriels_ecoles=array();
	if (isset($_SESSION['circonscript7_tout_adm_courriels_ecoles'])) 
		$tout_adm_courriels_ecoles=$_SESSION['circonscript7_tout_adm_courriels_ecoles'];
	else $tout_adm_courriels_ecoles=0;
	if (isset($_SESSION['circonscript7_courriels_adm_courriels_ecoles'])) 
		$courriels_adm_courriels_ecoles=$_SESSION['circonscript7_courriels_adm_courriels_ecoles'];
	else $courriels_adm_courriels_ecoles='';
	if (isset($_SESSION['circonscript7_adm_courriels_ecoles_objet'])) $adm_courriels_ecoles_objet=$_SESSION['circonscript7_adm_courriels_ecoles_objet'];
	else $adm_courriels_ecoles_objet='';
	//diffrents tris en cours
	$tris=array(
		'ecole_asc'=>'nom ASC',
		'ecole_desc'=>'nom DESC',
	);
	if (isset($_GET['tri'])) {
		$tri_adm_courriels_ecoles=$tris[$_GET['tri']];
		if (!isset($tri_adm_courriels_ecoles)) $tri_adm_courriels_ecoles=$tris['ecole_asc'];
		$_SESSION['circonscript7_tri_adm_courriels_ecoles']=$tri_adm_courriels_ecoles;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_courriels_ecoles'])) {
		$tri_adm_courriels_ecoles=$_SESSION['circonscript7_tri_adm_courriels_ecoles'];
	}
	else {
		$tri_adm_courriels_ecoles=$tris['ecole_asc'];
		$_SESSION['circonscript7_tri_adm_courriels_ecoles']=$tri_adm_courriels_ecoles;
	}		
	if (isset($_POST['valider'])) {
		if (isset($_POST['cochetout'])) $tout_adm_courriels_ecoles=1;
		else $tout_adm_courriels_ecoles=0;
		$coches_adm_courriels_ecoles=array();
		$courriels_adm_courriels_ecoles='';
		$adm_courriels_ecoles_objet='';
		if (isset($_POST['objet'])) $adm_courriels_ecoles_objet=normaliseT($_POST['objet'],250);
		$n=0;
		if (isset($_POST['coche'])) foreach ($_POST['coche'] as $id_ecole_cochee) {
			$id_ecole_cochee=intval($id_ecole_cochee);
			$courriel=queryValue("SELECT courriel FROM ecoles WHERE id_ecole=$id_ecole_cochee",$h);
			if ($courriels_adm_courriels_ecoles!='') $courriels_adm_courriels_ecoles.=',';
			$courriels_adm_courriels_ecoles.=$courriel;				
			if (++$n==30) {
				$courriels_adm_courriels_ecoles.="\n";
				$n=0;
			}
			$coches_adm_courriels_ecoles[]=$id_ecole_cochee;				
		}
		$_SESSION['circonscript7_adm_courriels_ecoles_objet']=$adm_courriels_ecoles_objet;
		$_SESSION['circonscript7_coches_adm_courriels_ecoles']=$coches_adm_courriels_ecoles;
		$_SESSION['circonscript7_tout_adm_courriels_ecoles']=$tout_adm_courriels_ecoles;
		$_SESSION['circonscript7_courriels_adm_courriels_ecoles']=$courriels_adm_courriels_ecoles;
	}

function afficheListeEcoles($h)
{
	global $erreur,$coches_adm_courriels_ecoles,$id_circo,$tri_adm_courriels_ecoles;
	// administrateur
	$r=query("SELECT nom, courriel,id_ecole FROM ecoles WHERE id_circo=$id_circo ORDER BY $tri_adm_courriels_ecoles",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$nom=htmlentities($row[0],ENT_COMPAT,'ISO-8859-15');
		$courriel=$row[1];
		$id_ecole=$row[2];
		if ($nom=='') $nom='&nbsp;';
		print "<tr>\n";
		if($courriel) 
			printf("<td><a href=\"javascript:envoieMail3('%s',document.form.objet.value,'')\">%s</a></td>\n",$courriel,$nom);
		else print "<td>$nom</td>\n";
		if ($courriel) {
			print "<td><input type=\"checkbox\" name=\"coche[]\" value=\"$id_ecole\"";
			if (in_array($id_ecole,$coches_adm_courriels_ecoles)) print "checked=\"checked\"";
			print" /></td>\n";
		}
		else print "<td>&nbsp;</td>\n";		

		print "</tr>\n";
	}
}
function afficheCourriels()
{
	global $courriels_adm_courriels_ecoles,$adm_courriels_ecoles_objet;
	$objet=htmlentities($adm_courriels_ecoles_objet,ENT_COMPAT,'ISO-8859-15');
	if ($courriels_adm_courriels_ecoles=='') return;
	if (strlen($courriels_adm_courriels_ecoles)+strlen($objet)<1900)
		print "<a href=\"javascript:envoieMail3('$courriels_adm_courriels_ecoles',document.form.objet.value,'')\" ><img src=\"images/internet-mail.png\" alt=\"courriel\" /></a>\n";
	else {
		$n=1900-strlen($objet);
		
		$courriels=$courriels_adm_courriels_ecoles;
		while (strlen($courriels)>$n) {
			$p=strpos($courriels_adm_courriels_ecoles,',',$n);
			if ($p>0) {
				$c=substr($courriels,0,$p-1);
				print "<a href=\"javascript:envoieMail3('$c',document.form.objet.value,'')\" /><img src=\"images/internet-mail.png\"></a>\n";
				$courriels=substr($courriels,$p+1);
			}
			else break;
		}	
		print "<a href=\"javascript:envoieMail3('$courriels',document.form.objet.value,'')\" /><img src=\"images/internet-mail.png\"></a>\n";
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	   <script type="text/javascript" src="envoiemail.js"></script> 
		<script type="text/javascript">
		<!--			
			function cocheTout(obj)
			{
			  // on rcupre le formulaire des objets  modifier
			  leForm = obj.form
			
			  laListe = leForm["coche[]"]
			
			  if (laListe != null){
				if (laListe.length != null){
				  // on modifie tous les lments
				  for(i=0; i < laListe.length; i++) {
					laListe[i].checked = obj.checked
				  }
				} else {
				  laListe.checked = obj.checked
				}
			  }
			}
				
		//-->	
		</script>					
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_courriels_admin?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
				<h1>Envoi direct de courriels aux &eacute;coles </h1>
				<p>Cliquez sur le nom d'une &eacute;cole pour lancer imm&eacute;diatement votre client de messagerie.</p>
				<p>Cochez  plusieurs &eacute;coles, validez, puis cliquez sur l'enveloppe qui appara&icirc;t pour ouvrir votre client de messagerie avec plusieurs adresses. </p>
				<p>Si trop d'&eacute;coles sont coch&eacute;es, plusieurs enveloppes appara&icirc;tront. Utilisez le copier/coller pour reproduire le message.  </p>
				<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>
				  <table>
                    <tr class="table_entete">
                      <td>A: &eacute;coles </td>
                      <td><?php afficheCourriels()?></td>
                    </tr>
                  </table>
				  <form id="form" name="form" method="post" action="">
				    Objet: 
				      <input name="objet" type="text" id="objet" value="<?php print htmlspecialchars($adm_courriels_ecoles_objet,ENT_COMPAT,'ISO-8859-15')?>" size="100" maxlength="250" />
				      <table>
                      <tr class="table_entete">
                        <td>Ecoles &nbsp;<a href="adm_courriels_ecoles.php?tri=ecole_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_ecoles.php?tri=ecole_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a>&nbsp;<br /></td>
                        <td>Tout
                          <input type="checkbox" name="cochetout" value="0" onclick="cocheTout(this)" <?php if ($tout_adm_courriels_ecoles) print "checked=\"checked\""?> />
                          &nbsp;<a href="adm_stagiaire_liste.php?tri=ecole_asc"></a><a href="adm_stagiaire_liste.php?tri=ecole_desc"></a></td>
                        <td><input name="valider" type="submit" class="bouton_standard" value="Valider" /></td>
                      </tr>
                      <?php  afficheListeEcoles($h) ?>
                    <tr class="table_entete"><td>&nbsp;</td><td>&nbsp;</td><td> <input name="valider" type="submit" class="bouton_standard" value="Valider" /></td></tr>
					</table>
				  </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_courriels_admin?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>