<?php
/* 
	Popup filtre pour stagiaires absents	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	require '_sqlconnect.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur_popup.php?erreur=expiree');
		exit;
	}
	else $id_circo=$_SESSION['circonscript7_id_circo'];
	include('_fonctions.inc.php');		
	debugInit();
	$h=connect();
	if (isset($_SESSION['circonscript7_adm_filtre_absence_popup_id_ecole']))$adm_filtre_absence_popup_id_ecole=$_SESSION['circonscript7_adm_filtre_absence_popup_id_ecole'];
	else $adm_filtre_absence_popup_id_ecole=0;
	
	if (isset($_SESSION['circonscript7_adm_filtre_absence_popup_niveau']))$adm_filtre_absence_popup_niveau=$_SESSION['circonscript7_adm_filtre_absence_popup_niveau'];
	else $adm_filtre_absence_popup_niveau='';
	
	if (isset($_SESSION['circonscript7_adm_filtre_absence_popup_action_niveau']))$adm_filtre_absence_popup_action_niveau=$_SESSION['circonscript7_adm_filtre_absence_popup_action_niveau'];
	else $adm_filtre_absence_popup_action_niveau=0;
	
	if (isset($_SESSION['circonscript7_adm_filtre_absence_popup_action_ecole']))$adm_filtre_absence_popup_action_ecole=$_SESSION['circonscript7_adm_filtre_absence_popup_action_ecole'];
	else $adm_filtre_absence_popup_action_ecole=0;
	
	if (isset($_SESSION['circonscript7_adm_filtre_absence_popup_action_operateur']))$adm_filtre_absence_popup_action_operateur=$_SESSION['circonscript7_adm_filtre_absence_popup_action_operateur'];
	else $adm_filtre_absence_popup_action_operateur='OR';
	
	if (isset($_SESSION['circonscript7_adm_filtre_absence_popup_action_deficit']))$adm_filtre_absence_popup_action_deficit=$_SESSION['circonscript7_adm_filtre_absence_popup_action_deficit'];
	else $adm_filtre_absence_popup_action_deficit=0;
	if (isset($_SESSION['circonscript7_adm_filtre_absence_popup_action_absence']))$adm_filtre_absence_popup_action_absence=$_SESSION['circonscript7_adm_filtre_absence_popup_action_absence'];
	else $adm_filtre_absence_popup_action_absence=0;

	$action=1;
	
	while (isset($_POST['valider'])) {
		$q='';
		$q2='';
		$q3='';
		$cde_niveau='';
		if (isset($_POST['ensemble'])) $adm_filtre_absence_popup_action_operateur=$_POST['ensemble']=='et'?'AND':'OR';
		$adm_filtre_absence_popup_niveau='';
		if (isset($_POST['niveau_stag'])) {
			foreach($_POST['niveau_stag'] as $nv) {
				$nv=myEscapeString($h,$nv);
				$adm_filtre_absence_popup_niveau.='/'.$nv; // niveau est utilis pour rafficher les coches
				if ($cde_niveau=='') $cde_niveau="niveau LIKE '%/$nv/%'";
				else $cde_niveau.=" $adm_filtre_absence_popup_action_operateur niveau LIKE '%/$nv/%'";
			}
			if ($adm_filtre_absence_popup_niveau) $adm_filtre_absence_popup_niveau.='/';
		}
		//$_SESSION['circonscript7_adm_filtre_absence_popup_niveau']=$adm_filtre_absence_popup_niveau;
		if (isset($_POST['ecole_stag'])) {
			$id_ecole=abs(intval($_POST['ecole_stag']));
			// vrifie si l'cole appartient bien  la circo...
			if ($id_ecole>0) {
				$circ=queryValue("SELECT id_circo FROM ecoles WHERE id_ecole=$id_ecole",$h);
				if ($circ!=$id_circo) {
					$erreur="Ecole inconnue";
					break;
				}
			}
			$adm_filtre_absence_popup_id_ecole=$id_ecole;
		}
		if (isset($_POST['niveau_1']) && isset($_POST['ecole_1']))  {
			$adm_filtre_absence_popup_action_niveau=1;
			$adm_filtre_absence_popup_action_ecole=1;
			if ($adm_filtre_absence_popup_id_ecole==0) {
				$erreur="Il faut prciser une cole";
				break;
			}
			if ($cde_niveau=='') {
				$erreur="Il faut slectionner au moins un niveau";
				break;
			}
			$q="id_ecole='$adm_filtre_absence_popup_id_ecole' AND ($cde_niveau)";
		}
		else if (isset($_POST['niveau_1'])) {
			$adm_filtre_absence_popup_action_niveau=1;
			$adm_filtre_absence_popup_action_ecole=0;
			if ($cde_niveau=='') {
				$erreur="Il faut slectionner au moins un niveau";
				break;
			}
			$q="($cde_niveau)";
		}
		else if (isset($_POST['ecole_1'])) {
			$adm_filtre_absence_popup_action_niveau=0;
			$adm_filtre_absence_popup_action_ecole=1;
			if ($adm_filtre_absence_popup_id_ecole==0) {
				$erreur="Il faut prciser une cole";
				break;
			}
			$q="id_ecole='$adm_filtre_absence_popup_id_ecole'";		
		}
		else {
			$adm_filtre_absence_popup_action_niveau=0;
			$adm_filtre_absence_popup_action_ecole=0;
		}
		if (isset($_POST['absents_1'])) {
			$adm_filtre_absence_popup_action_absence=1;
			if ($q) $q.=" AND ";
			$q.="absences>0";
		}
		else $adm_filtre_absence_popup_action_absence=0;
		if (isset($_POST['deficit_1'])) {
			$adm_filtre_absence_popup_action_deficit=1;
			if ($q) $q.=" AND ";
			$q.="difference<0.0";
		}
		else $adm_filtre_absence_popup_action_deficit=0;
 
		$_SESSION['circonscript7_adm_filtre_absence_popup_action_absence']=$adm_filtre_absence_popup_action_absence;
		$_SESSION['circonscript7_adm_filtre_absence_popup_action_deficit']=$adm_filtre_absence_popup_action_deficit;
		$_SESSION['circonscript7_adm_filtre_absence_popup_niveau']=$adm_filtre_absence_popup_niveau;
		$_SESSION['circonscript7_adm_filtre_absence_popup_id_ecole']=$adm_filtre_absence_popup_id_ecole;
		$_SESSION['circonscript7_adm_filtre_absence_popup_action_niveau']=$adm_filtre_absence_popup_action_niveau;
		$_SESSION['circonscript7_adm_filtre_absence_popup_action_ecole']=$adm_filtre_absence_popup_action_ecole;
		$_SESSION['circonscript7_adm_filtre_absence_popup_action_operateur']=$adm_filtre_absence_popup_action_operateur;
		
		
		// Communications vers le parent
		$filtre_special_where=$q;
		$_SESSION['circonscript7_filtre_special_where']=$filtre_special_where; // le filtre  ajouter  WHERE
		$filtre_special_having=$q2;
		$filtre_special_having2=$q3;
		$_SESSION['circonscript7_filtre_special_having']=$filtre_special_having; // le filtre HAVING
		$_SESSION['circonscript7_filtre_special_having2']=$filtre_special_having2; // le filtre HAVING
		$filtre_special_actif= $adm_filtre_absence_popup_action_niveau||$adm_filtre_absence_popup_action_ecole||$adm_filtre_absence_popup_action_deficit||$adm_filtre_absence_popup_action_absence ?1:2;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;// 1 si un filtre doit tre slectionn dans la page parent
		break;
	}
	if (isset($_POST['raz'])) {
		$adm_filtre_absence_popup_niveau=0;
		$adm_filtre_absence_popup_id_ecole=0;
		$adm_filtre_absence_popup_action_niveau=0;
		$adm_filtre_absence_popup_action_ecole=0;
		$adm_filtre_absence_popup_action_operateur=0;
		$adm_filtre_absence_popup_action_absence=0;
		$adm_filtre_absence_popup_action_deficit=0;
		$filtre_special_where='';
		$filtre_special_having='';
		$filtre_special_having2='';
		$filtre_special_actif=2; // 2: le filtre doit tre dsactiv car tout est mis  0
		
		$_SESSION['circonscript7_adm_filtre_absence_popup_action_absence']=$adm_filtre_absence_popup_action_absence;
		$_SESSION['circonscript7_adm_filtre_absence_popup_action_deficit']=$adm_filtre_absence_popup_action_deficit;
		$_SESSION['circonscript7_adm_filtre_absence_popup_niveau']=$adm_filtre_absence_popup_niveau;
		$_SESSION['circonscript7_adm_filtre_absence_popup_id_ecole']=$adm_filtre_absence_popup_id_ecole;
		$_SESSION['circonscript7_adm_filtre_absence_popup_action_niveau']=$adm_filtre_absence_popup_action_niveau;
		$_SESSION['circonscript7_adm_filtre_absence_popup_action_ecole']=$adm_filtre_absence_popup_action_ecole;
		$_SESSION['circonscript7_adm_filtre_absence_popup_action_operateur']=$adm_filtre_absence_popup_action_operateur;
		$_SESSION['circonscript7_filtre_special_where']=$filtre_special_where; // le filtre  ajouter  WHERE
		$_SESSION['circonscript7_filtre_special_having']=$filtre_special_having; // le filtre HAVING
		$_SESSION['circonscript7_filtre_special_having2']=$filtre_special_having2; // le filtre HAVING
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;// 1 si un filtre doit tre slectionn dans la page parent
	}
	
function afficheNiveaux($h)
{
	global $adm_filtre_absence_popup_niveau;

	$q="SELECT libelle, groupe FROM niveaux WHERE 1 ORDER BY groupe, tri";
	$r=query($q,$h);
	$col=-1;
	$lig=-1;
	$max_lig=0;
	$nv=array();
	$prec_groupe=-1;
	while ($row=@mysqli_fetch_row($r)) {
		if ($prec_groupe!=$row[1]) {
			$prec_groupe=$row[1];
			++$col;
			$lig=0;
		}
		else ++$lig;
		$nv[$col][$lig]=strtoupper($row[0]);
		if ($max_lig<$lig) $max_lig=$lig;
	}
	if ($prec_groupe==-1) return;
	$max_col=$col+1;
	++$max_lig;
	print "<table class=\"invisible\">\n";
	for ($lig=0;$lig<$max_lig;++$lig) {
		print "<tr>\n";
		for ($col=0;$col<$max_col;++$col) {
			print "<td>";
			if (isset($nv[$col][$lig])) {
				$chk='';
				if (!(strpos($adm_filtre_absence_popup_niveau,'/'.$nv[$col][$lig].'/')===false)) $chk='checked="checked"';	
				$n=htmlentities($nv[$col][$lig],ENT_COMPAT,'ISO-8859-15');			
				printf("<input type=\"checkbox\" name=\"niveau_stag[]\" value=\"%s\" %s onclick=\"javascript:cocheNiveau()\" />%s\n",$n,$chk,$n);
			}
			else 
				print "&nbsp;";
			print "</td>\n";
		}
		print "</tr>\n";
	}
	print "</table>\n";
}
function afficheEcoles($h)
{
	global $erreur,$id_circo,$adm_filtre_absence_popup_id_ecole;
	$r=query("SELECT ecoles.id_ecole,ecoles.nom FROM ecoles WHERE ecoles.id_circo=$id_circo ORDER BY ecoles.nom",$h);
	$ok=false;
	while ($row=@mysqli_fetch_row($r)) {
		$id_ecole_cour=$row[0];
		$libelle=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_ecole_cour\"";
		if ($adm_filtre_absence_popup_id_ecole==$id_ecole_cour) print " selected=\"selected\" ";
		print">$libelle</option>\n";
		$ok=true;
	}
	if (!$ok) print "<option value=\"0\" selected=\"selected\">Aucune &eacute;cole ne correspond</option>\n";
}	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function cocheNiveau()
{
	c=false;
	laListe = document.form["niveau_stag[]"]

  	if (laListe != null){
		if (laListe.length != null){
	  		for(i=0; i < laListe.length; i++) 
				if (laListe[i].checked) {
					c=true;
					break;
				}
			
		}	 
		else c=laListe.checked;
	}
	document.form.niveau_1.checked=c;
}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form
  laListe = leForm["niveau_stag[]"]
  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
  leForm.niveau_1.checked=obj.checked;
}
//-->
</script>
</head>	
	<body class="popup" >
	<div id="conteneur_popup">
	<div id="header_popup">Filtre sp&eacute;cial </div>
	<div id="corps_popup">
	<?php 
		$erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>";
		else if (isset($_POST['annuler'])||isset($_POST['valider'])) {
			print "<script language=\"javascript\">\r\n";
			print "var x=window.opener.location.href;\r\n";
			print "var p=x.indexOf(\"?\");\r\n";
			print "if (p>0) x=x.substr(0,p);\r\n";
			print "window.opener.location=x;\r\n";
			print "self.close();\r\n"; 
			print "</script>"; 
		}
	?>
	<form name="form" method="post" action="">
				  <table align="center">
                    <tr>
                      <td colspan="2"><h1>filtrer les stagiaires: <br />
                      </h1></td>
                    </tr>
                    <tr>
                      <td rowspan="2" valign="top"><input name="niveau_1" type="checkbox" id="niveau_1" value="1" <?php if($adm_filtre_absence_popup_action_niveau) print 'checked="checked"'?> />
                        de niveau : </td>
                      <td><?php
				  	afficheNiveaux($h);
				?>
                      <input name="tout" type="checkbox" id="tout" value="checkbox" onclick="cocheTout(this)" />
                      Tout</td>
                    </tr>
                    <tr>
                      <td><p>
                        <input type="radio" name="ensemble" value="ou" <?php if ($adm_filtre_absence_popup_action_operateur=='OR') print "checked=\"checked\""?> />
                        S&eacute;lectionner les stagiaires qui poss&egrave;dent au moins un des niveaux coch&eacute;s</p>
                        <p>
                          <input type="radio" name="ensemble" value="et" <?php if ($adm_filtre_absence_popup_action_operateur=='AND') print "checked=\"checked\""?>/> 
                      S&eacute;lectionner les stagiaires qui poss&egrave;dent exactement tous les niveaux coch&eacute;s</p></td>
                    </tr>
                    <tr>
                      <td valign="top"><input name="ecole_1" type="checkbox" id="ecole_1" value="1" <?php if($adm_filtre_absence_popup_action_ecole) print 'checked="checked"'?> />                        
                      provenant de l'&eacute;cole: </td>
                      <td><select name="ecole_stag" id="ecole_stag" onchange="javascript:document.form.ecole_1.checked=true" >
                         <?php afficheEcoles($h); ?>
                      </select>                     </td>
                    </tr>
                    <tr>
                      <td colspan="2" valign="top"><input name="absents_1" type="checkbox" id="absents_1" value="1" <?php if($adm_filtre_absence_popup_action_absence) print 'checked="checked"'?>  />
                        ayant  &eacute;t&eacute; absents au moins une fois </td>
                    </tr>
                    <tr>
                      <td colspan="2" valign="top"><input name="deficit_1" type="checkbox" id="deficit_1" value="1" <?php if($adm_filtre_absence_popup_action_deficit) print 'checked="checked"'?>  />
                      qui sont en d&eacute;ficit d'heures </td>
                    </tr>
                    <tr>
                      <td colspan="2"><div align="center">
                        <input name="valider" type="submit" class="bouton_standard" value="Valider" />&nbsp;
                        <input name="raz" type="submit" class="bouton_standard" id="raz" value="R.A.Z." />
                        &nbsp; 
                        <input name="annuler" type="submit" class="bouton_standard" id="annuler" value="Fermer" />
                      </div></td>
                    </tr>
                  </table>
      </form>

	</div>
	</div>
	</body>
</html>