<?php
/* 
	Popup filtre complet stagiaires (permet aussi de filtrer par sance)
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	require '_sqlconnect.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur_popup.php?erreur=expiree');
		exit;
	}
	else $id_circo=$_SESSION['circonscript7_id_circo'];
	include('_fonctions.inc.php');		
	debugInit();
	$h=connect();

	if (isset($_SESSION['circonscript7_adm_filtre_special_popup_complet_id_ecole']))$adm_filtre_special_popup_complet_id_ecole=$_SESSION['circonscript7_adm_filtre_special_popup_complet_id_ecole'];
	else $adm_filtre_special_popup_complet_id_ecole=0;
	
	if (isset($_SESSION['circonscript7_adm_filtre_special_popup_complet_niveau']))$adm_filtre_special_popup_complet_niveau=$_SESSION['circonscript7_adm_filtre_special_popup_complet_niveau'];
	else $adm_filtre_special_popup_complet_niveau='';
	
	if (isset($_SESSION['circonscript7_adm_filtre_special_popup_complet_action_niveau']))$adm_filtre_special_popup_complet_action_niveau=$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_niveau'];
	else $adm_filtre_special_popup_complet_action_niveau=0;
	
	if (isset($_SESSION['circonscript7_adm_filtre_special_popup_complet_action_ecole']))$adm_filtre_special_popup_complet_action_ecole=$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_ecole'];
	else $adm_filtre_special_popup_complet_action_ecole=0;
	
	if (isset($_SESSION['circonscript7_adm_filtre_special_popup_complet_action_quota_inscr']))$adm_filtre_special_popup_complet_action_quota_inscr=$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_quota_inscr'];
	else $adm_filtre_special_popup_complet_action_quota_inscr=0;
	
	if (isset($_SESSION['circonscript7_adm_filtre_special_popup_complet_action_quota_conv']))$adm_filtre_special_popup_complet_action_quota_conv=$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_quota_conv'];
	else $adm_filtre_special_popup_complet_action_quota_conv=0;

	if (isset($_SESSION['circonscript7_adm_filtre_special_popup_complet_action_operateur']))$adm_filtre_special_popup_complet_action_operateur=$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_operateur'];
	else $adm_filtre_special_popup_complet_action_operateur='OR';

	if (isset($_SESSION['circonscript7_adm_filtre_special_popup_complet_action_seance_inscr']))$adm_filtre_special_popup_complet_action_seance_inscr=$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_seance_inscr'];
	else $adm_filtre_special_popup_complet_action_seance_inscr=0;

	if (isset($_SESSION['circonscript7_adm_filtre_special_popup_complet_action_seance_conv']))$adm_filtre_special_popup_complet_action_seance_conv=$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_seance_conv'];
	else $adm_filtre_special_popup_complet_action_seance_conv=0;

	if (isset($_SESSION['circonscript7_adm_filtre_special_popup_complet_id_seance'])) {
		$adm_filtre_special_popup_complet_id_seance=$_SESSION['circonscript7_adm_filtre_special_popup_complet_id_seance'];
		$id_anim=queryValue("SELECT id_anim FROM seances WHERE id_seance=$adm_filtre_special_popup_complet_id_seance",$h);
	}
	else {
		$adm_filtre_special_popup_complet_id_seance=0;
		$id_anim=0;
	}
	if (isset($_SESSION['circonscript7_adm_filtre_special_popup_complet_action_groupe']))$adm_filtre_special_popup_complet_action_groupe=$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_groupe'];
	else $adm_filtre_special_popup_complet_action_groupe=0;
	
	if (isset($_SESSION['circonscript7_adm_filtre_special_popup_complet_id_groupe']))$adm_filtre_special_popup_complet_id_groupe=$_SESSION['circonscript7_adm_filtre_special_popup_complet_id_groupe'];
	else $adm_filtre_special_popup_complet_id_groupe=0;

	if (isset($_SESSION['circonscript7_adm_filtre_special_popup_complet_date_sql'])) 
		$adm_filtre_special_popup_complet_date_sql=$_SESSION['circonscript7_adm_filtre_special_popup_complet_date_sql'];
	else 
		$adm_filtre_special_popup_complet_date_sql='';
	if (isset($_POST['commande']) && $_POST['commande']=='cbDate' && isset($_POST['cbDate'])) {
		$adm_filtre_special_popup_complet_date_sql=normalise($_POST['cbDate']);
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_date_sql']=$adm_filtre_special_popup_complet_date_sql;
		$id_anim=0;
		$adm_filtre_special_popup_complet_id_seance=0;
		// s'il n'y a qu'une seule anim choisir automatiquement cette anim
		while ($adm_filtre_special_popup_complet_date_sql!='') {
			$q="SELECT seances.id_anim FROM partages, seances,  dates WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND dates.date='$adm_filtre_special_popup_complet_date_sql' AND dates.id_seance=seances.id_seance
		GROUP BY seances.id_anim";
			$r=query($q,$h);
			$nb_rows=@mysqli_num_rows($r);
			if ($nb_rows!=1) break;
			$row=@mysqli_fetch_row($r);
			$id_anim=$row[0];
			// il n'y a qu'une seule anim. S'il n'y a qu'une seule sance, chosir auto. cette sance
			$q="SELECT id_seance FROM seances WHERE id_anim=$id_anim";
			$r=query($q,$h);
			$nb_rows=@mysqli_num_rows($r);
			if ($nb_rows!=1) break;
			$row=@mysqli_fetch_row($r);
			$adm_filtre_special_popup_complet_id_seance=$row[0];
			break;
		}
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_id_seance']=$adm_filtre_special_popup_complet_id_seance;
	}
	if (isset($_POST['commande']) && $_POST['commande']=='cb_animations' && isset($_POST['cb_animations'])){
		$id_anim=abs(intval($_POST['cb_animations']));
		if($adm_filtre_special_popup_complet_date_sql!='') 
			$q="SELECT seances.id_seance FROM seances,dates,partages WHERE seances.id_anim=$id_anim AND dates.date='$adm_filtre_special_popup_complet_date_sql' AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 GROUP BY seances.id_seance";		
		else
			$q="SELECT seances.id_seance FROM seances,dates,partages WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 GROUP BY seances.id_seance";		
		
		$r=query($q,$h);
		$row=mysqli_fetch_row($r);
		$adm_filtre_special_popup_complet_id_seance=$row[0];
		if ($adm_filtre_special_popup_complet_id_seance=='') $adm_filtre_special_popup_complet_id_seance=0;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_id_seance']=$adm_filtre_special_popup_complet_id_seance;
	}
	if (isset($_POST['commande']) && $_POST['commande']=='cb_seances' && isset($_POST['cb_seances'])) {
		$adm_filtre_special_popup_complet_id_seance=abs(intval($_POST['cb_seances']));
		// vrifie qu'on a le droit de prendre cette sance
		$q="SELECT id_anim FROM seances,partages WHERE seances.id_seance=$adm_filtre_special_popup_complet_id_seance AND partages.id_seance=seances.id_seance AND partages.accepte<>0 AND partages.id_circo=$id_circo";
		$r=query($q,$h);
		if (@mysqli_num_rows($r)!=1) 
			$erreur="Cette sance n'appartient pas  votre plan de formation";
		else {
			$row=@mysqli_fetch_row($r);
			$id_anim=$row[0];
			$_SESSION['circonscript7_adm_filtre_special_popup_complet_id_seance']=$adm_filtre_special_popup_complet_id_seance;
		}
	}
	$action=1;
	while (isset($_POST['commande'])) {
		$q='';
		$q2='';
		$q3='';
		
		$cde_niveau='';
		//$quota=queryValue("SELECT quota FROM general",$h);
		if (isset($_POST['ensemble'])) $adm_filtre_special_popup_complet_action_operateur=$_POST['ensemble']=='et'?'AND':'OR';
		$adm_filtre_special_popup_complet_niveau='';
		$adm_filtre_special_popup_complet_id_ecole=0;
		if (isset($_POST['niveau_stag'])) {
			foreach($_POST['niveau_stag'] as $nv) {
				$nv=myEscapeString($h,$nv);
				$adm_filtre_special_popup_complet_niveau.='/'.$nv; // niveau est utilis pour rafficher les coches
				if ($cde_niveau=='') $cde_niveau="niveau LIKE '%/$nv/%'";
				else $cde_niveau.=" $adm_filtre_special_popup_complet_action_operateur niveau LIKE '%/$nv/%'";
			}
			if ($adm_filtre_special_popup_complet_niveau) $adm_filtre_special_popup_complet_niveau.='/';
		}
		//$_SESSION['circonscript7_adm_filtre_special_popup_complet_niveau']=$adm_filtre_special_popup_complet_niveau;
		if (isset($_POST['ecole_stag'])) {
			$id_ecole=abs(intval($_POST['ecole_stag']));
+			// vrifie si l'cole appartient bien  la circo...
			$circ=queryValue("SELECT id_circo FROM ecoles WHERE id_ecole=$id_ecole",$h);
			if ($circ!=$id_circo) {
				$erreur="Ecole inconnue";
				break;
			}
			$adm_filtre_special_popup_complet_id_ecole=$id_ecole;
		}
		if (isset($_POST['groupe_stag'])) {
			$id_groupe=abs(intval($_POST['groupe_stag']));
			// vrifie si l'cole appartient bien  la circo...
			if ($id_groupe>0) {
				$circ=queryValue("SELECT id_circo FROM groupes WHERE id_groupe=$id_groupe",$h);
				if ($circ!=$id_circo) {
					$erreur="Groupe inconnu.";
					break;
				}
			}
			$adm_filtre_special_popup_complet_id_groupe=$id_groupe;
		}
		if (isset($_POST['niveau_1']) && isset($_POST['ecole_1']))  {
			$adm_filtre_special_popup_complet_action_niveau=1;
			$adm_filtre_special_popup_complet_action_ecole=1;
			if ($adm_filtre_special_popup_complet_id_ecole==0) {
				$erreur="Il faut prciser une cole";
				break;
			}
			if ($cde_niveau=='') {
				$erreur="Il faut slectionner au moins un niveau";
				break;
			}
			$q="stagiaires.id_ecole='$adm_filtre_special_popup_complet_id_ecole' AND ($cde_niveau)";
		}
		else if (isset($_POST['niveau_1'])) {
			$adm_filtre_special_popup_complet_action_niveau=1;
			$adm_filtre_special_popup_complet_action_ecole=0;
			if ($cde_niveau=='') {
				$erreur="Il faut slectionner au moins un niveau";
				break;
			}
			$q="($cde_niveau)";
		}
		else if (isset($_POST['ecole_1'])) {
			$adm_filtre_special_popup_complet_action_niveau=0;
			$adm_filtre_special_popup_complet_action_ecole=1;
			if ($adm_filtre_special_popup_complet_id_ecole==0) {
				$erreur="Il faut prciser une cole";
				break;
			}
			$q="stagiaires.id_ecole='$adm_filtre_special_popup_complet_id_ecole'";		
		}
		else {
			$adm_filtre_special_popup_complet_action_niveau=0;
			$adm_filtre_special_popup_complet_action_ecole=0;
		}
		if (isset($_POST['groupe_1'])) {
			$adm_filtre_special_popup_complet_action_groupe=1;
			if ($q) $q.=' AND ';
			$q.="stagiaires.id_groupe=$adm_filtre_special_popup_complet_id_groupe";
		}
		else $adm_filtre_special_popup_complet_action_groupe=0;
		if (isset($_POST['quota_inscr'])) {
			$q2="duree < quota_reel";
			$adm_filtre_special_popup_complet_action_quota_inscr=1;
		}
		else $adm_filtre_special_popup_complet_action_quota_inscr=0;
		if (isset($_POST['quota_conv'])) {
			$q3="duree < quota_reel";
			$adm_filtre_special_popup_complet_action_quota_conv=1;
		}
		else $adm_filtre_special_popup_complet_action_quota_conv=0;
		$adm_filtre_special_popup_complet_action_seance_inscr=isset($_POST['seance_inscrits']); 
		$adm_filtre_special_popup_complet_action_seance_conv=isset($_POST['seance_convoques']); 
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_niveau']=$adm_filtre_special_popup_complet_niveau;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_id_ecole']=$adm_filtre_special_popup_complet_id_ecole;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_niveau']=$adm_filtre_special_popup_complet_action_niveau;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_ecole']=$adm_filtre_special_popup_complet_action_ecole;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_quota_inscr']=$adm_filtre_special_popup_complet_action_quota_inscr;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_quota_conv']=$adm_filtre_special_popup_complet_action_quota_conv;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_operateur']=$adm_filtre_special_popup_complet_action_operateur;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_seance_inscr']=$adm_filtre_special_popup_complet_action_seance_inscr;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_seance_conv']=$adm_filtre_special_popup_complet_action_seance_conv;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_groupe']=$adm_filtre_special_popup_complet_action_groupe;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_id_groupe']=$adm_filtre_special_popup_complet_id_groupe;
		
		
		// Communications vers le parent
		if (isset($_POST['valider'])) {
			if ($adm_filtre_special_popup_complet_action_seance_inscr) {
				if ($adm_filtre_special_popup_complet_id_seance==0) {
					$erreur="Il faut choisir une sance";
					break;
				}
				if ($q) $q.=' AND ';
				$q.="inscriptions.id_seance=$adm_filtre_special_popup_complet_id_seance";
			}
			if ($adm_filtre_special_popup_complet_action_seance_conv) {
				if ($adm_filtre_special_popup_complet_id_seance==0) {
					$erreur="Il faut choisir une sance";
					break;
				}
				if ($q) $q.=' AND ';
				$q.="convocations.id_seance=$adm_filtre_special_popup_complet_id_seance";	
			}
			$filtre_special_where=$q;
			$_SESSION['circonscript7_filtre_special_where']=$filtre_special_where; // le filtre  ajouter  WHERE
			$filtre_special_having=$q2;
			$filtre_special_having2=$q3;
			$_SESSION['circonscript7_filtre_special_having']=$filtre_special_having; // le filtre HAVING
			$_SESSION['circonscript7_filtre_special_having2']=$filtre_special_having2; // le filtre HAVING
			$filtre_special_actif= $adm_filtre_special_popup_complet_action_niveau||$adm_filtre_special_popup_complet_action_ecole||$adm_filtre_special_popup_complet_action_quota_inscr||$adm_filtre_special_popup_complet_action_quota_conv||$adm_filtre_special_popup_complet_action_seance_inscr||$adm_filtre_special_popup_complet_action_seance_conv||$adm_filtre_special_popup_complet_action_groupe ?1:2;
			$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;// 1 si un filtre doit tre slectionn dans la page parent
			$filtre_bascule=1; // permet de savoir qu'une popup a t ouverte. Remis  0 par le parent.
			$_SESSION['circonscript7_filtre_bascule']=$filtre_bascule;
		}
		break;
	}
	if (isset($_POST['raz'])) {
		$adm_filtre_special_popup_complet_niveau=0;
		$adm_filtre_special_popup_complet_id_ecole=0;
		$adm_filtre_special_popup_complet_id_groupe=0;
		$adm_filtre_special_popup_complet_action_niveau=0;
		$adm_filtre_special_popup_complet_action_ecole=0;
		$adm_filtre_special_popup_complet_action_quota_inscr=0;
		$adm_filtre_special_popup_complet_action_quota_conv=0;
		$adm_filtre_special_popup_complet_action_operateur=0;
		$adm_filtre_special_popup_complet_action_seance_inscr=0;
		$adm_filtre_special_popup_complet_action_seance_conv=0;
		$adm_filtre_special_popup_complet_action_groupe=0;
		$filtre_special_where='';
		$filtre_special_having='';
		$filtre_special_having2='';
		$filtre_special_actif=2; // 2: le filtre doit tre dsactiv car tout est mis  0
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_niveau']=$adm_filtre_special_popup_complet_niveau;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_id_ecole']=$adm_filtre_special_popup_complet_id_ecole;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_id_groupe']=$adm_filtre_special_popup_complet_id_groupe;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_niveau']=$adm_filtre_special_popup_complet_action_niveau;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_ecole']=$adm_filtre_special_popup_complet_action_ecole;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_quota_inscr']=$adm_filtre_special_popup_complet_action_quota_inscr;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_quota_conv']=$adm_filtre_special_popup_complet_action_quota_conv;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_operateur']=$adm_filtre_special_popup_complet_action_operateur;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_groupe']=$adm_filtre_special_popup_complet_action_groupe;
		$_SESSION['circonscript7_filtre_special_where']=$filtre_special_where; // le filtre  ajouter  WHERE
		$_SESSION['circonscript7_filtre_special_having']=$filtre_special_having; // le filtre HAVING
		$_SESSION['circonscript7_filtre_special_having2']=$filtre_special_having2; // le filtre HAVING
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;// 1 si un filtre doit tre slectionn dans la page parent
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_seance_inscr']=$adm_filtre_special_popup_complet_action_seance_inscr;
		$_SESSION['circonscript7_adm_filtre_special_popup_complet_action_seance_conv']=$adm_filtre_special_popup_complet_action_seance_conv;
	}
	
function afficheNiveaux($h)
{
	global $adm_filtre_special_popup_complet_niveau;

	$q="SELECT libelle, groupe FROM niveaux WHERE 1 ORDER BY groupe, tri";
	$r=query($q,$h);
	$col=-1;
	$lig=-1;
	$max_lig=0;
	$nv=array();
	$prec_groupe=-1;
	while ($row=@mysqli_fetch_row($r)) {
		if ($prec_groupe!=$row[1]) {
			$prec_groupe=$row[1];
			++$col;
			$lig=0;
		}
		else ++$lig;
		$nv[$col][$lig]=strtoupper($row[0]);
		if ($max_lig<$lig) $max_lig=$lig;
	}
	if ($prec_groupe==-1) return;
	$max_col=$col+1;
	++$max_lig;
	print "<table class=\"invisible\">\n";
	for ($lig=0;$lig<$max_lig;++$lig) {
		print "<tr>\n";
		for ($col=0;$col<$max_col;++$col) {
			print "<td>";
			if (isset($nv[$col][$lig])) {
				$chk='';
				if (!(strpos($adm_filtre_special_popup_complet_niveau,'/'.$nv[$col][$lig].'/')===false)) $chk='checked="checked"';	
				$n=htmlentities($nv[$col][$lig],ENT_COMPAT,'ISO-8859-15');			
				printf("<input type=\"checkbox\" name=\"niveau_stag[]\" value=\"%s\" %s onclick=\"javascript:cocheNiveau()\" />%s\n",$n,$chk,$n);
			}
			else 
				print "&nbsp;";
			print "</td>\n";
		}
		print "</tr>\n";
	}
	print "</table>\n";
}
function afficheEcoles($h)
{
	global $erreur,$id_circo,$adm_filtre_special_popup_complet_id_ecole;
	$r=query("SELECT id_ecole, nom FROM ecoles WHERE id_circo=$id_circo ORDER BY nom",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_ecole_cour=$row[0];
		$libelle=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_ecole_cour\"";
		if ($adm_filtre_special_popup_complet_id_ecole==$id_ecole_cour) print " selected=\"selected\" ";
		print">$libelle</option>\n";
	}
}
function afficheDates($h)
{
	global $id_circo,$adm_filtre_special_popup_complet_date_sql;
	$q="SELECT DISTINCT(dates.date) FROM seances,dates,partages WHERE dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 AND dates.date<>'9999-12-31' AND dates.date<>'0000.00.00' ORDER BY dates.date ASC";
	$r=query($q,$h);
	$ok=false;
	print "<option value=\"\">Toutes</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$date=$row[0];
		$sel='';
		if ($date==$adm_filtre_special_popup_complet_date_sql) {
			$ok=true;
			$sel=" selected=\"selected\"";
		}
		printf("<option value=\"$date\"$sel>%s",dateSqlEnSaisie($date));
		print "</option>\n";
	}
	if (!$ok) $sel=" selected=\"selected\"";
	else $sel='';
}	
	

function afficheAnims($h)
{
	global $id_circo, $id_anim,$adm_filtre_special_popup_complet_date_sql;
	
	if ($adm_filtre_special_popup_complet_date_sql=='') $q="SELECT animations.id_anim, animations.intitule FROM partages, seances, animations, positions,domaines,themes WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND themes.id_theme=positions.id_theme GROUP BY animations.id_anim ORDER BY animations.intitule";
	else
		$q="SELECT animations.id_anim, animations.intitule FROM partages, seances, animations, domaines,themes,dates WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND themes.id_theme=positions.id_theme 
		AND dates.date='$adm_filtre_special_popup_complet_date_sql' AND dates.id_seance=seances.id_seance
		GROUP BY animations.id_anim ORDER BY animations.intitule";
	
	$r=query($q,$h);
	$n=@mysqli_num_rows($r);
	if ($id_anim==0 && $n>1) 
			print "<option value=\"0\" selected=\"selected\">Choisissez une animation</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$id_anim_cour=$row[0];
		$intitule=$row[1];
		if (strlen($intitule)>63) $intitule=substr($intitule,0,60).'...';
		$intitule=htmlentities($intitule,ENT_COMPAT,'ISO-8859-15');
		if ($id_anim==$id_anim_cour || ($id_anim==0 && $n==1) ) {
			print "<option value=\"0\" selected=\"selected\">$intitule</option>\n";
			$id_anim=$id_anim_cour;
		}
		else
			print "<option value=\"$id_anim_cour\">$intitule</option>\n";
	}
}


function afficheSeances($h,$id_anim)
{
	global $id_circo,$adm_filtre_special_popup_complet_date_sql,$adm_filtre_special_popup_complet_id_seance;
	if ($id_anim==0) {
		print "<option value=\"0\" selected=\"selected\">Choisissez d'abord une animation</option>\n";
		return;
	}
	$q="SELECT seances.id_seance FROM seances,dates,partages WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 GROUP BY seances.id_seance";		
	$r=query($q,$h);
	$date_lue='';
	if ($adm_filtre_special_popup_complet_id_seance==0) {
		print "<option value=\"0\" selected=\"selected\">Choisissez une sance</option>\n";
	}
	while($row=@mysqli_fetch_row($r)) {
		$id_seance=$row[0];
		$r2=query("SELECT date, lieu FROM dates WHERE id_seance=$id_seance",$h);
		$nb_dates=@mysqli_num_rows($r2);// nombre de dates
		$d='';
		if ($nb_dates>1) $d="$nb_dates dates :";
		else if ($nb_dates==0) $d='Aucune date dfinie';
		while($row2=@mysqli_fetch_row($r2)) {
			$date_lue=$row2[0];
			$date=dateSqlEnSaisie($date_lue);
			if ($date=='')
				$date=' dfinir';
			$lieu=$row2[1];
			if (strlen($lieu)>33) $lieu=substr($lieu,0,30).'...';
			$d.="$date";
			if ($lieu) $d.=" ($lieu)";
			$d.='; ';
		}
		if (strlen($d)>103) $d=substr($d,0,100).'...';
		$d=htmlentities($d,ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_seance\"";
		if ($adm_filtre_special_popup_complet_id_seance==$id_seance) print " selected=\"selected\"";
		print">$d</option>\n";
		
	}	


}
function afficheGroupes($h)
{
	global $id_circo,$adm_filtre_special_popup_complet_id_groupe;
	$q="SELECT id_groupe,libelle FROM groupes WHERE id_circo=$id_circo AND annee=0 ORDER BY libelle ASC";
	$r=query($q,$h);
	if (@mysqli_num_rows($r)==0) {
		print "<option value=\"0\">Aucun groupe n'est d&eacute;fini</option>\n";
		return;
	}
	print "<option value=\"0\">Aucun</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$id_groupe_courant=$row[0];
		$gr=$row[1];
		if (strlen($gr)>=64) $gr=substr($gr,0,61).'...';
		$groupe=htmlentities($gr,ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_groupe_courant\"";
		if (isset($adm_filtre_special_popup_complet_id_groupe) && $id_groupe_courant==$adm_filtre_special_popup_complet_id_groupe) print " selected=\"selected\"";
		print ">$groupe</option>\n";
	}
}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	    <script type="text/javascript" charset="ISO-8859-15">
<!--
function coche(obj)
{
	if (obj.checked) {
		leForm=obj.form;
		if (obj!=leForm.quota_inscr) leForm.quota_inscr.checked=false;
		if (obj!=leForm.quota_conv) leForm.quota_conv.checked=false;
		if (obj!=leForm.seance_inscrits) leForm.seance_inscrits.checked=false;
		if (obj!=leForm.seance_convoques) leForm.seance_convoques.checked=false;
	}
}
function cocheNiveau()
{
	c=false;
	laListe = document.form["niveau_stag[]"]

  	if (laListe != null){
		if (laListe.length != null){
	  		for(i=0; i < laListe.length; i++) 
				if (laListe[i].checked) {
					c=true;
					break;
				}
			
		}	 
		else c=laListe.checked;
	}
	document.form.niveau_1.checked=c;
}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form
  laListe = leForm["niveau_stag[]"]
  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
  leForm.niveau_1.checked=obj.checked;
}
function commander(valeur)
{
	document.form.commande.value =valeur;
	document.form.submit();
}
//-->
        </script>
	</head>
	<body class="popup" >
	<div id="conteneur_popup">
	<div id="header_popup">Filtre sp&eacute;cial </div>
	<div id="corps_popup">
	<?php 
		$erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>";
		else if (isset($_POST['annuler'])||isset($_POST['valider'])) {
			print "<script language=\"javascript\">\r\n";
			print "var x=window.opener.location.href;\r\n";
			print "var p=x.indexOf(\"?\");\r\n";
			print "if (p>0) x=x.substr(0,p);\r\n";
			print "window.opener.location=x;\r\n";
			print "self.close();\r\n"; 
			print "</script>"; 
		}
	?>
	<form name="form" method="post" action="">
				  <table align="center">
                    <tr>
                      <td colspan="2"><h1>filtrer les stagiaires: <br />
                      </h1></td>
                    </tr>
                    <tr>
                      <td rowspan="2" valign="top"><p>
                        <input name="niveau_1" type="checkbox" id="niveau_1" value="1" <?php if($adm_filtre_special_popup_complet_action_niveau) print 'checked="checked"'?> />
                        de niveau : </p></td>
                      <td><?php
				  	afficheNiveaux($h);
				?>
                        <input name="tout" type="checkbox" id="tout" value="checkbox" onclick="cocheTout(this)" />
                      Tout</td>
                    </tr>
                    <tr>
                      <td><p>
                        <input type="radio" name="ensemble" value="ou" <?php if ($adm_filtre_special_popup_complet_action_operateur=='OR') print "checked=\"checked\""?> />
                        S&eacute;lectionner les stagiaires qui poss&egrave;dent au moins un des niveaux coch&eacute;s</p>
                        <p>
                          <input type="radio" name="ensemble" value="et" <?php if ($adm_filtre_special_popup_complet_action_operateur=='AND') print "checked=\"checked\""?>/> 
                      S&eacute;lectionner les stagiaires qui poss&egrave;dent exactement tous les niveaux coch&eacute;s</p></td>
                    </tr>
                    <tr>
                      <td valign="top"><p>
                        <input name="ecole_1" type="checkbox" id="ecole_1" value="1" <?php if($adm_filtre_special_popup_complet_action_ecole) print 'checked="checked"'?> />
                      provenant de l'&eacute;cole: </p></td>
                      <td><select name="ecole_stag" id="ecole_stag" onchange="javascript:document.form.ecole_1.checked=true" >
                         <?php afficheEcoles($h); ?>
                      </select>                     </td>
                    </tr>
                    <tr>
                      <td valign="top"><p>
                        <input name="groupe_1" type="checkbox" id="groupe_1" value="1" <?php if($adm_filtre_special_popup_complet_action_groupe) print 'checked="checked"'?> />
                        appartenant au groupe </p></td>
                      <td><select name="groupe_stag" id="groupe_stag" onchange="javascript:document.form.groupe_1.checked=true" >
                        <?php afficheGroupes($h); ?>
                                            </select></td>
                    </tr>
                    <tr>
                      <td colspan="2" valign="top"><p>
                        <input name="quota_inscr" type="checkbox" id="quota_inscr" value="checkbox"  <?php if($adm_filtre_special_popup_complet_action_quota_inscr) print 'checked="checked"'?> onclick="javascript:coche(this);" />
                        qui ne sont pas <strong>inscrits </strong>&agrave; suffisamment d'animations </p></td>
                    </tr>
                    <tr> 
                      <td colspan="2"><p>
                        <input name="quota_conv" type="checkbox" id="quota_inscr2" value="checkbox"  <?php if($adm_filtre_special_popup_complet_action_quota_conv) print 'checked="checked"'?> onclick="javascript:coche(this);" />
                      qui ne sont pas <strong>convoqu&eacute;s </strong>&agrave; suffisamment d'animations </p></td>
                    </tr>
                    <tr>
                      <td colspan="2"> <p>
                        <input name="seance_inscrits" type="checkbox" id="seance_inscrits" value="checkbox" onclick="javascript:coche(this);" <?php if($adm_filtre_special_popup_complet_action_seance_inscr) print 'checked="checked"'?>  />
                        qui sont <strong>inscrits </strong>&agrave; la s&eacute;ance ci-dessous</p>
                      <p>
                        <input name="seance_convoques" type="checkbox" id="seance_convoques" value="checkbox" onclick="javascript:coche(this);" <?php if($adm_filtre_special_popup_complet_action_seance_conv) print 'checked="checked"'?> />
                      qui sont <strong>convoqu&eacute;s</strong> &agrave; la s&eacute;ance ci-dessous </p></td>
                    </tr>
                    <tr>
                      <td><p>
                        <input name="commande" type="hidden" id="commande" value="0" />
</p>                      </td>
                      <td><p>Choix de la date:
                        <select name="cbDate" id="cbDate" onchange="javascript:commander('cbDate')">
                              <?php afficheDates($h)?>
                         </select>
                      </p>
                        <p>Animation:
                          <select name="cb_animations" id="cb_animations" onchange="javascript:commander('cb_animations')">
                              <?php afficheAnims($h) ?>
                                                      </select>
                        </p>
                        <p>S&eacute;ance:
                          <select name="cb_seances" id="cb_seances" onchange="javascript:commander('cb_seances')">
                              <?php afficheSeances($h,$id_anim) ?>
                          </select>
                        </p></td>
                    </tr>
                    <tr>
                      <td colspan="2"><div align="center">
                        <input name="valider" type="submit" class="bouton_standard" value="Valider" />&nbsp;
                        <input name="raz" type="submit" class="bouton_standard" id="raz" value="R.A.Z." />
                        &nbsp; 
                        <input name="annuler" type="submit" class="bouton_standard" id="annuler" value="Fermer" />
                      </div></td>
                    </tr>
                  </table>
      </form>

	</div>
	</div>
	</body>
</html>