<?php
/* 
	Traitement global des convocations: effacer ou convoquer aux inscriptions
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_convocations_inscrits=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_convocations_inscrits']=$url_ret_adm_convocations_inscrits;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_convocations_inscrits'])) {
		$url_ret_adm_convocations_inscrits=$_SESSION['circonscript7_url_ret_adm_convocations_inscrits'];
	}
	else $url_ret_adm_convocations_inscrits="adm_inscriptions.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$row=queryRow("SELECT type_circo,inscriptions_autorisees FROM circos WHERE id_circo=$id_circo",$h);
	$type_circo=$row[0];
	$inscriptions_autorisees=$row[1];
	if (!$inscriptions_autorisees || $type_circo!=0) {
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}

	if (isset($_POST['_choix1'])|| isset($_POST['_choix2'])) {
		$msg='';
		if (isset($_POST['_choix1'])) {
			query("DELETE inscriptions FROM inscriptions,stagiaires,ecoles WHERE inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
			$n=@mysqli_affected_rows($h);
			$msg="$n inscription(s) supprime(s) ";
		}
		if (isset($_POST['_choix2'])) {
			@set_time_limit(0);
			$n=0;
			$ignores=0;
			$r=query("SELECT id_groupe FROM groupes WHERE id_circo=$id_circo AND annee=0",$h);
			while ($row=@mysqli_fetch_row($r)) {
				$id_groupe=$row[0];
				$r2=query("SELECT seances.id_seance, seances.max, COUNT(inscriptions.id_inscr) as nb FROM (groupements, seances) LEFT JOIN inscriptions ON inscriptions.id_seance=seances.id_seance WHERE groupements.id_groupe=$id_groupe AND seances.id_seance=groupements.id_seance GROUP BY seances.id_seance HAVING max=0 OR nb<max",$h);
				while($row=@mysqli_fetch_row($r2)) {
					$id_seance=$row[0];
					$max=$row[1];
					$nb_inscrits=$row[2];
					$r3=query("SELECT stagiaires.id_stagiaire, inscriptions.id_inscr FROM stagiaires LEFT JOIN inscriptions ON inscriptions.id_seance=$id_seance AND inscriptions.id_stagiaire=stagiaires.id_stagiaire WHERE stagiaires.id_groupe=$id_groupe GROUP BY id_stagiaire HAVING id_inscr IS NULL",$h);
					$nb_stag=@mysqli_num_rows($r3);
					while ($row=@mysqli_fetch_row($r3)) {
						if ($max>0 && $nb_inscrits>=$max) {
							$igores=1;
							break;
						}
						$id_stagiaire=$row[0];
						query("INSERT INTO inscriptions(id_stagiaire,id_seance) VALUES('$id_stagiaire','$id_seance')",$h);
						++$nb_inscrits;
						++$n;
					}
				}
			}
			$msg.="$n inscription(s) effectues. ";
			if ($ignores) $msg.="Des inscriptions ont t ignores car le maximum est dj atteint. "; 
			$n=queryValue("SELECT COUNT(*) FROM inscriptions,stagiaires,ecoles WHERE inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
			$msg.="Il y a maintenant $n inscription(s) dans la base. ";
		}
		if (!$erreur) $erreur=$msg;
	}
	if ($erreur) $erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function confirme()
			{
			  
			  	leForm = document.form;
			 	var b=0;
				if (leForm._choix1.checked || leForm._choix2.checked) {
					b=window.confirm("VOUS ALLEZ MODIFIER LES CHOIX DES STAGIAIRES !!!\nEn tes-vous VRAIMENT sr(e) ?");
					if (!b) return;
				}
				if (leForm._choix1.checked && leForm._choix2.checked) 
					b=window.confirm("CONFIRMEZ !\nVoulez-vous VRAIMENT effacer toutes les inscriptions puis inscrire les stagiaires aux animations du groupe dont ils dpendent ?");
				else if (leForm._choix1.checked)
				  	b=window.confirm("CONFIRMEZ!\nVoulez-vous VRAIMENT effacer toutes les inscriptions des stagiaires ?");
				else if (leForm._choix2.checked)
					b=window.confirm("CONFIRMEZ!\nVoulez-vous VRAIMENT inscrire tous les stagiaires aux animations du groupe dont ils dpendent, en conservant les ventuelles autres inscriptions ?");
				else alert("Il faut cocher une action");
				if (b) leForm.submit();
			}
		//-->	
		</script>					
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_convocations_inscrits?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
				<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
				<h1>Traitement global des inscriptions </h1>
				<p>Valable pour tous les stagiaires de la circo et pour toutes les animations du plan de formation. </p>
				<h2>ATTENTION: CECI MODIFIE LES CHOIX DES STAGIAIRES !!! </h2>
				<form name="form" method="post" action="">
				  <h3>
  <input name="_choix1" type="checkbox" value="checkbox" />				    
				    Effacer toutes les inscriptions	</h3>
				  <p>Toutes les inscriptions actuelles des stagiaires sont supprim&eacute;es. </p>
				  <h3>
  <input name="_choix2" type="checkbox" value="checkbox" /> 
				    Inscrire les stagiaires aux s&eacute;ances du groupe dont ils d&eacute;pendent </h3>
				  <p>Les inscriptions suppl&eacute;mentaires, s'il y en a, sont maintenues. Patientez, le processus peut &ecirc;tre long... </p>
				  <p align="center">
				    <input name="valider" type="button" class="bouton_standard" id="valider" value="Valider" onclick="javascript:confirme()" />
				  </p>
			  </form>
				<p>&nbsp; </p>
			</div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_convocations_inscrits?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>