<?php
/* 
	Voir plan de formation
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_lieux_voir=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_lieux_voir']=$url_ret_adm_lieux_voir;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_lieux_voir'])) {
		$url_ret_adm_lieux_voir=$_SESSION['circonscript7_url_ret_adm_lieux_voir'];
	}
	else $url_ret_adm_lieux_voir="adm_animations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_intervenants.inc.php';
	
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	$autoriser_plan_futur=queryValue("SELECT autoriser_plan_futur FROM circos WHERE id_circo=$id_circo",$h);
	if ($autoriser_plan_futur && isset($_SESSION['circonscript7_annee'])) $annee=$_SESSION['circonscript7_annee'];
	else $annee=0;

function afficheLieux($h)
{
	global $id_circo,$annee;
	$q="SELECT dates.id_date,dates.date,dates.horaire, dates.duree, dates.lieu, animations.intitule, circos.libelle_court
	FROM (dates, seances,animations, positions,domaines,circos) 
	WHERE dates.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND circos.id_circo=animations.id_circo AND domaines.annee=$annee ORDER BY dates.lieu ASC, dates.date ASC, dates.horaire ASC";
	 $r=query($q,$h);
	 $lieu_prec="::???::???::";
	 $date_prec="??";
	 $ul=false;
	 $sortie_anc=array();
	 while($row=@mysqli_fetch_array($r)) {
	 	$id_date=$row['id_date'];
		$lieu=$row['lieu'];
		if (strcasecmp($lieu,$lieu_prec)) {
			$lieu_prec=$lieu;
			$date_prec="";
			if ($lieu=="") $lieu="[lieu non dfini]";
			if ($ul) print "</ul>\n";
			$ul=false;
			printf("<h2>%s</h2>\n",htmlentities($lieu,ENT_COMPAT,'ISO-8859-15'));
			$sortie_anc=array();
		}
		if ($row['date']==''||$row['date']=='0000-00-00'||$row['date']=='9999-12-31') $date=htmlentities("date  dfinir",ENT_COMPAT,'ISO-8859-15');
		else 	$date=dateSQLEnTexte($row['date']);
	
		if ($date!=$date_prec) {
			if ($ul) print "</ul>\n";
			print "<h3>$date</h3>\n";
			$date_prec=$date;
			print "<ul>\n";
			$ul=true;
			$sortie_anc=array();
		}
		if ($row['date']!='9999-12-30') {
			$horaire=horaireSqlEnHeure($row['horaire']);
			if ($horaire) $horaire.=' - ';
			else $horaire="? - ";
			$duree=reelEnHeure($row['duree']);
			$sortie=sprintf("<li>%s%s (%s)\n",$horaire, htmlentities($row['intitule'],ENT_COMPAT,'ISO-8859-15'),$duree);
		}
		else { //FoAd
			$duree=reelEnHeure($row['duree']);
			$sortie=sprintf("<li>%s (%s)\n",htmlentities($row['intitule'],ENT_COMPAT,'ISO-8859-15'),$duree);
			
		}
		// traitement des intervenants
		$intervenants=intervenantsCourriel($id_date,0,$h);
		if ($intervenants)  $sortie.=sprintf(" %s",$intervenants);
	 	$sortie.=sprintf(" - Org: %s", htmlentities($row['libelle_court'],ENT_COMPAT,'ISO-8859-15'));
		$sortie.="</li>\n";
		$sortie_low=strtolower($sortie);
		if (!in_array($sortie_low,$sortie_anc)) {
			print $sortie;	
			$sortie_anc[]=$sortie_low;
		}
	}
	 if ($ul) print "</ul>\n";
}	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_lieux_voir?>">retour</a></li>
					<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
			  <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>
			  <h1>Liste des animations regroup&eacute;es par lieux   
		      <?php
			  	if ($annee>0) print '(plan futur)';
			  ?></h1>
	
		        <?php afficheLieux($h); ?>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_lieux_voir?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
