<?php
/* 
	Popup liste de stagiaires pour copier/coller	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	$erreur='';
	require '_sqlconnect.inc.php';
	//require '_fonctions.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur_popup.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	debugInit();
	$h=connect();
	$liste=array();
	if (isset($_SESSION['circonscript7_liste_stagiaires_coches'])) $liste=$_SESSION['circonscript7_liste_stagiaires_coches'];
	
	
function afficheStagiaires($h,$liste)
{
	if (empty($liste)) return;
	$in=implode(',',$liste);

	$q="SELECT COUNT(DISTINCT id_ecole) FROM stagiaires WHERE stagiaires.id_stagiaire IN ($in) ";
	$nb_ecoles=queryValue($q,$h);
	$q="SELECT CONCAT( stagiaires.nom,' ', stagiaires.prenom ) as nom_stag , stagiaires.niveau  ,ecoles.nom as ecole
		FROM stagiaires, ecoles
		WHERE stagiaires.id_stagiaire IN ($in) AND stagiaires.id_ecole=ecoles.id_ecole
		ORDER BY ecole ASC, nom_stag ASC";
	$r=query($q,$h);
	while ($row=@mysqli_fetch_row($r)) {
		$niv=$row[1];
		if (strlen($niv)<=2) $niv=' ';
		else $niv=' ('.htmlentities(substr($niv,1,strlen($niv)-2),ENT_COMPAT,'ISO-8859-15').') ';
		if ($nb_ecoles==''||$nb_ecoles>1)
			printf("%s%s%s\n",htmlentities($row[0],ENT_COMPAT,'ISO-8859-15'),$niv,htmlentities($row[2],ENT_COMPAT,'ISO-8859-15'));
		else
			printf("%s%s\n",htmlentities($row[0],ENT_COMPAT,'ISO-8859-15'),$niv);
		
	}
}
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body class="popup" >
	<a name="haut" id="haut"></a>	
	<div id="conteneur_popup">
		<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="javascript:close()">fermer</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
	  </div>
	<div id="corps_popup">
	<?php 
		$erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>";
	?>
	<h1>Copie vers le presse-papiers</h1>
	<form name="form1" method="post" action="">
  <div align="center">
    <input type="button" class="bouton_standard" value="Slectionner tout le texte" onclick="javascript:document.form1.texte.select()"/>
  </div>
  <p>Utilisez ensuite la combinaison de touches<strong> Ctrl-C </strong>pour copier le texte dans le presse-papiers, ou le bouton <strong>droit</strong> de la souris sur le texte, puis <em>Copier.</em></p>
  <p align="center">
      <textarea name="texte" cols="60" rows="32" readonly="readonly"><?php afficheStagiaires($h, $liste)?></textarea>
  </p>
  </form>
	</div>
		<div class="menu_secondaire">
			<ul class="menu2">
	  			<li><a href="javascript:close()">fermer</a></li>
				<li><a href="#haut">haut</a></li>
			</ul>
		</div>
		<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>