<?php
/* 
	Listes des animations
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_listes=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_listes']=$url_ret_adm_listes;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_listes'])) {
		$url_ret_adm_listes=$_SESSION['circonscript7_url_ret_adm_listes'];
	}
	else $url_ret_adm_listes="adm_animations.php";
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	automatisationCirco($id_circo,$h);
	$plan=25;
	if (isset($_SESSION['circonscript7_adm_listes_test_date'])) $test_date=$_SESSION['circonscript7_adm_listes_test_date'];
	else $test_date=0;
	if (isset($_SESSION['circonscript7_adm_listes_date'])) $date=$_SESSION['circonscript7_adm_listes_date'];
	else $date='';
	if (isset($_SESSION['circonscript7_adm_listes_id_liste'])) $id_liste=$_SESSION['circonscript7_adm_listes_id_liste'];
	else $id_liste=0;
	if (isset($_SESSION['circonscript7_adm_listes_id_groupe'])) $id_groupe=$_SESSION['circonscript7_adm_listes_id_groupe'];
	else $id_groupe=0;
	if (isset($_SESSION['circonscript7_adm_listes_libelle'])) $libelle=$_SESSION['circonscript7_adm_listes_libelle'];
	else $libelle='';
	if (isset($_SESSION['circonscript7_adm_listes_type_vue'])) $type_vue=$_SESSION['circonscript7_adm_listes_type_vue'];
	else $type_vue=0;
	if (isset($_SESSION['circonscript7_adm_listes_type_groupe'])) $type_groupe=$_SESSION['circonscript7_adm_listes_type_groupe'];
	else $type_groupe=0;
	if ($id_liste==0) $libelle='';
	
	if (isset($_POST['btDate'])) {
		$test_date=0;
		if (isset($_POST['selDate'])) $test_date=intval($_POST['selDate']);
		if ($test_date<0) $test_date=0;
		else if ($test_date>5) $test_date=0;	
		$date='';
		if ($test_date>0 && $test_date<4) {
			if (isset($_POST['edDate'])) $date=$_POST['edDate'];
			if ($date!='') $date=dateSaisieEnSql($date);			
			if ($date=='') 
				$erreur.="Date incorrecte. ";
			
		}
		if ($test_date>=4) $date='';
		else if ($date=='') $test_date=0;
		if (!$erreur) {
			$_SESSION['circonscript7_adm_listes_test_date']=$test_date;
			$_SESSION['circonscript7_adm_listes_date']=$date;
		}
	}

	if (isset($_POST['commande'])) {
		if (isset($_POST['libelle'])) $libelle=normaliseT($_POST['libelle'],255);
		else $libelle='';
		$_SESSION['circonscript7_adm_listes_libelle']=$libelle;
		if (isset($_POST['listes'])) $id_liste=abs(intval($_POST['listes']));
		else $id_liste=0;
		if ($id_liste>0) {
			$n=queryValue("SELECT COUNT(*) FROM listes WHERE id_circo=$id_circo AND id_liste=$id_liste",$h);
			if ($n==0) {
				header("Location: erreur.php?erreur=id");
				exit;
			}
		}
		$_SESSION['circonscript7_adm_listes_id_liste']=$id_liste;
		if (isset($_POST['groupes'])) $id_groupe=abs(intval($_POST['groupes']));
		else $id_groupe=0;
		if ($id_groupe>0) {
			$n=queryValue("SELECT COUNT(*) FROM groupes WHERE id_circo=$id_circo AND id_groupe=$id_groupe",$h);
			if ($n==0) {
				header("Location: erreur.php?erreur=id");
				exit;
			}
		}
		$_SESSION['circonscript7_adm_groupes_id_groupe']=$id_groupe;
		if (isset($_POST['type_vue'])) $type_vue=1;
		else $type_vue=0;
		if (!$id_liste) $type_vue=0;
		$_SESSION['circonscript7_adm_listes_type_vue']=$type_vue;
		if (isset($_POST['type_groupe'])) $type_groupe=1;
		else $type_groupe=0;
		if (!$id_groupe) $type_groupe=0;
		$_SESSION['circonscript7_adm_listes_type_groupe']=$type_groupe;
		if ($_POST['commande']=='supprimer') {
			if ($id_liste) {
				query("DELETE FROM items WHERE id_liste=$id_liste",$h);
				query("DELETE FROM listes WHERE id_liste=$id_liste",$h);
			}
			$id_liste=0;
			$_SESSION['circonscript7_adm_listes_id_liste']=0;
			$libelle='';
			$_SESSION['circonscript7_adm_listes_libelle']='';
					
		}
		if (isset($_POST['valider'])) {
			$n=0;
			$lib=myEscapeString($h,$libelle);
			if ($id_liste) {
				query("DELETE FROM items WHERE id_liste=$id_liste",$h);
				$n=queryValue("SELECT libelle LIKE '$lib' FROM listes WHERE id_liste=$id_liste",$h);
			}
			if (!$n) { // crer une nouvelle liste
				query("INSERT INTO listes(id_circo,libelle) VALUES($id_circo,'$lib')",$h);
				$id_liste=@mysqli_insert_id($h);
				if (!$id_liste) {
					header('Location: erreur.php?erreur=acces');
					exit;
				}
				if ($lib=='') {
					$n=queryValue("SELECT COUNT(*) FROM listes WHERE id_circo=$id_circo",$h);
					$libelle="Liste $n";
					query("UPDATE listes SET libelle='$libelle' WHERE id_liste=$id_liste",$h);
					$_SESSION['circonscript7_adm_listes_libelle']=$libelle;
				}
			}
			if (isset($_POST['tri'])) {
				foreach($_POST['tri'] as $id_seance=>$tri) {				
					if ($tri=='') continue;
					$id_seance=intval($id_seance);
					if (!$id_seance) $n=0;
					else $n=queryValue("SELECT COUNT(*) FROM partages WHERE id_seance=$id_seance AND id_circo=$id_circo AND accepte<>0",$h);
					if (!$n) {
						header('Location: erreur.php?erreur=id_seance_inconnu');
						exit; // on sort, id_seance est incorrect, cela ne devrait pas tre
					}
					$tri=intval($tri);
					if ($tri<0) {
						$erreur="N d'ordre incorrect ($tri): il ne doit pas tre infrieur  zro. Certains champs ont t ignors";
						continue;
					}
					query("INSERT INTO items(id_liste,id_seance,tri) VALUES ($id_liste,$id_seance,$tri)",$h);
				}
			}
		
		}
		
	}
	
function afficheListes($h)
{
	global $id_circo,$erreur,$id_liste;
	$r=query("SELECT id_liste,libelle FROM listes WHERE id_circo=$id_circo ORDER BY libelle ASC",$h);
	print '<option value="0"';
	if ($id_liste==0) print ' selected="selected"';
	print ">Nouvelle liste</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$id=$row[0];
		$lib=$row[1];
		if (strlen($lib)>40) $lib=substr($lib,0,37).'...';
		$lib=htmlentities($lib,ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id\"";
		if ($id_liste==$id) print ' selected="selected"';
		print ">$lib</option>\n";
	}
}	
function afficheGroupes($h)
{
	global $id_circo,$erreur,$id_groupe;
	$r=query("SELECT id_groupe,libelle FROM groupes WHERE id_circo=$id_circo ORDER BY libelle ASC",$h);
	print '<option value="0"';
	if ($id_groupe==0) print ' selected="selected"';
	print ">Aucun groupe</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$id=$row[0];
		$lib=$row[1];
		if (strlen($lib)>40) $lib=substr($lib,0,37).'...';
		$lib=htmlentities($lib,ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id\"";
		if ($id_groupe==$id) print ' selected="selected"';
		print ">$lib</option>\n";
	}
}	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	    <script type="text/javascript" charset="ISO-8859-15">
<!--
function cocheTout(obj)
{

  // on rcupre le formulaire des objets  modifier
  leForm = obj.form
  laListe = leForm["groupement[]"]
  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
  
}
function listechange()
{
	document.form1.libelle.value="";
	var index=document.form1.listes.selectedIndex;
	if (index>0) 
		document.form1.libelle.value=document.form1.listes.options[index].text;
	document.form1.submit();
}
function jsSupprimer(text)
{
	var s="Voulez-vous vraiment supprimer dfinitivement la liste :\n"+text;
	var b=window.confirm(s);
	if (b) {
		document.form1.commande.value='supprimer';
		document.form1.submit();
	}
}
function effacer()
{
	var b=window.confirm("Effacer tous les nombres ?");
	if (b) {
		for (i=0;i<document.form1.elements.length;++i) {
			type=document.form1.elements[i].type;
			if (type!='text') continue;
			name=document.form1.elements[i].name;
			if (name.substr(0,3)=="tri") document.form1.elements[i].value='';
		}
	}
}
function renumeroter()
{
	var b=window.confirm("Renumroter par pas de 10 en respectant l'ordre de tri actuel ?\n");
	if (b) renumeroterEnSilence();
}
function renumeroterEnSilence()
{
	var t=new Array();
	var elements=document.form1.getElementsByTagName('input');
	for(i=0;i<elements.length;++i) {
		if(elements[i].type!='text') continue;
		var name=elements[i].name;
		if (name.substr(0,3)!="tri") continue;
		var value=parseInt(elements[i].value);
		if (isNaN(value)) continue;
		t[name]=value;
		
	}

	var t2=array_sort(t);
	value_prec=0;
	value_increment=0;
	for (name in t2) {
		if (t2[name]!=value_prec) {
			value_increment+=10;
			value_prec=t2[name];
		}
		document.getElementsByName(name)[0].value=value_increment;
	}
	return value_increment;  
}
function selTout()
{
	var name,i;
	var b=window.confirm("Numroter tout le plan de formation affich ?\nLa numrotation actuelle, si elle existe, sera respecte bien que renumrote de 10 en 10.\nLes sances d'une mme animation reoivent le mme numro.");
	if (b) {
		var num=renumeroterEnSilence()+10; //s'il y a dj des nombres, les garder en les renumrotant puis continuer
		var num_utilise=false;
		// recherche du premier input tri
		for (i=0;i<document.form1.elements.length;++i) {
			if (document.form1.elements[i].type!='text') continue;
			name=document.form1.elements[i].name;
			if (name.substr(0,3)=="tri") break;
		}
		// on donne les mmes numros  chaque champ "tri", et ds qu'on rencontre un "submit", on incrmente de 10 si le nombre a t utilis.
		for (; i<document.form1.elements.length;++i) {
			if (document.form1.elements[i].type=='text') {
				name=document.form1.elements[i].name;
				if (name.substr(0,3)=="tri") {
					if (document.form1.elements[i].value=='') {
						document.form1.elements[i].value=num;
						num_utilise=true;
					}
				}
			}
			else if (document.form1.elements[i].type=='submit' && num_utilise) {
				num+=10;		
				num_utilise=false;
			}
		}
	}
}

function array_sort( arrayIn ) {

	var arrayCouplets = new Array();
	for( key in arrayIn ) {

		arrayCouplets.push({

			key: key,
			value: arrayIn[ key ]
		});
	}

	arrayCouplets.sort( sort_couplets );

	var arrayOut = new Array();
	for( i in arrayCouplets) {

		arrayOut[ arrayCouplets[ i ][ 'key' ] ] = arrayCouplets[ i ][ 'value' ];
	}

	return arrayOut;
}

function sort_couplets( coupletA, coupletB ) {

	return coupletA[ 'value' ] > coupletB[ 'value' ];
}
function transformer()
{
	var n1=parseInt(document.form1.num1.value);
	var n2=parseInt(document.form1.num2.value);
	if (isNaN(n1) || isNaN(n2) || n1<0 || n2<0) {
		alert("Veuillez renseigner les deux champs de part et d'autre du bouton avec des nombres entiers positifs");
		return;
	}
	if (n1==n2) {
		alert("Transformer toutes les occurences: choisissez deux nombres diffrents !");
		return;
	}
	var s="Transformer toutes les occurences de "+n1+" en "+n2+" ?";
	var b=window.confirm(s);
	if (b) {
		var elements=document.form1.getElementsByTagName('input');
		for(i=0;i<elements.length;++i) {
			if(elements[i].type!='text') continue;
			var name=elements[i].name;
			if (name.substr(0,3)!="tri") continue;
			var value=parseInt(elements[i].value);
			if (isNaN(value)) continue;
			if (value==n1) elements[i].value=n2;
		}
	}
	
}
function typeVue()
{
	document.form1.type_groupe.checked=false;
	document.form1.commande.value="typevue";
	document.form1.submit();
}
function typeGroupe()
{
	document.form1.type_vue.checked=false;
	<?php if ($id_groupe) { ?>
	document.form1.commande.value="typevue";
	document.form1.submit();
	<?php }  ?>
}

function ouvre(adr)
{
	win=window.open(adr,'Liste_des_stagiaires','toolbar=no,status=yes,menubar=no,scrollbars=yes,resizable=yes,width=700,height=580');	
	win.focus();
}
function ouvreLien(url)
{
	if (url) window.open(url);
}

//-->
        </script></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_listes?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
			  <h1>Cr&eacute;ation ou modification de listes de convocations class&eacute;es par pr&eacute;f&eacute;rence </h1>
 
			    <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
			    <h2>L&eacute;gende</h2>
			    <table border="0">
                  <tr>
                    <td class="cadre_actif">&nbsp;</td>
                    <td>Item dans la liste </td>
                  </tr>
                  <tr>
                    <td class="cadre_groupe_actif">&nbsp;&nbsp;&nbsp;&nbsp;</td>
                    <td>Item dans le groupe et dans la liste </td>
                  </tr>
                  <tr>
                    <td class="cadre_groupe_inactif">&nbsp;</td>
                    <td>Item dans le groupe, pas dans la liste </td>
                  </tr>
                </table>
			    <form method="post" action="">
			      <table border="0">
                    <tr>
                      <td>Surligner</td>
                      <td><select name="selDate" size="6" id="selDate">
                          <option value="0" <?php print $test_date==0? 'selected="selected"':''?>>aucune date</option>
                          <option value="1" <?php print $test_date==1? 'selected="selected"':''?>>dates &lt;=</option>
                          <option value="2" <?php print $test_date==2? 'selected="selected"':''?>>dates &gt;=</option>
                          <option value="3" <?php print $test_date==3? 'selected="selected"':''?>>dates = </option>
	                      <option value="5" <?php print $test_date==5? 'selected="selected"':''?>>formation &agrave; distance</option>
						  <option value="4" <?php print $test_date==4? 'selected="selected"':''?>>dates &agrave; d&eacute;finir </option>
                      </select></td>
                      <td>&agrave; date:
                        <input name="edDate" type="text" id="edDate" size="10" maxlength="10" value="<?php print dateSqlEnSaisie($date)?>"/></td>
                      <td><input name="btDate" type="submit" class="bouton_actualise" id="btDate" value="actualiser" /></td>
                      <td>&nbsp;</td>
                    </tr>
                  </table>
		      </form>
			   
			  	<form method="post" name="form1" action="">
						<table>
                          <tr>
                            <td><input name="commande" type="hidden" id="commande" />
                            Choix des listes &agrave; editer:</td>
                            <td><select name="listes" id="listes" onchange="javascript:listechange()">
                              <?php afficheListes($h) ?>
                            </select></td>
                            <td>Nom de la liste en cours:</td>
                            <td><input name="libelle" type="text" id="libelle" size="50" maxlength="255" value="<?php print htmlentities($libelle,ENT_COMPAT,'ISO-8859-15') ?>" /></td>
                            <td><?php 
						  if ($id_liste>0) printf( "<input name=\"suppr\" type=\"button\" class=\"bouton_supprimer\" id=\"suppr\" value=\"Supprimer\" onclick=\"javascript:jsSupprimer('%s')\" />",str_replace("'","\'",htmlentities($libelle,ENT_COMPAT,'ISO-8859-15')));
						  ?></td>
                          </tr>
                          <tr>
                            <td>Afficher le groupe: </td>
                            <td><select name="groupes" id="groupes" onchange="javascript:listechange()">
                              <?php afficheGroupes($h) ?>
                                                        </select></td>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                          </tr>
                        </table>
			
					    <p>
						  <input name="type_vue" type="checkbox" id="type_vue" value="checkbox" <?php if ($type_vue) print 'checked="checked"'?> onclick="javascript:typeVue()" />
						Montrer uniquement les s&eacute;ances qui font partie de la liste </p>
					    <p>
                          <input name="type_groupe" type="checkbox" id="type_groupe" value="checkbox" <?php if ($type_groupe) print 'checked="checked"'?> onclick="javascript:typeGroupe();" />
Montrer uniquement les s&eacute;ances qui font partie du groupe <em>(si validation, les &eacute;ventuels choix hors groupe seront supprim&eacute;s) </em></p>
					    <table>
                    <tr>
                      <td>Contr&ocirc;les (pensez &agrave; enregistrer): </td>
                      <td><input name="btEffacer" type="button" class="bouton_effacer" id="btEffacer" value="Effacer" onclick="javascript:effacer()" title="Effacer tout"/></td>
                      <td><input name="bt_renum" type="button" class="bouton_numerote10" id="bt_renum" value="Renum&eacute;rote" onclick="javascript:renumeroter()" title="Renumroter par pas de 10" /></td>
                      <td><input name="num1" type="text" id="num1" size="4" maxlength="4" /></td>
                      <td><input name="btTransformer" type="button" class="bouton_suiv" id="btTransformer" value="Transformer" onclick="javascript:transformer()" title="Transfomer un nombre en un autre" /></td>
                      <td><input name="num2" type="text" id="num2" size="4" maxlength="4" /></td>
                      <td><input name="btTout" type="button" class="bouton_numerote" id="btTout" onclick="javascript:selTout()" value="0" title="Renumroter tout"/></td>
                    </tr>
                  </table>
		                <div id="animation">       
		          <?php 

						affichePlanFormation($id_circo,$h,$type_vue?26:($type_groupe? 27:25),0,'',$id_groupe,$test_date,$date,0,0,$id_liste) 
					?>
			      </div>      
              </form>
			
			</div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_listes?>">retour</a></li>
		  			<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>