<?php
/* 
	Importation des animations pdagogiques provenant d'autres circos
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_organise_themes=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_organise_themes']=$url_ret_adm_organise_themes;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_organise_themes'])) {
		$url_ret_adm_organise_themes=$_SESSION['circonscript7_url_ret_adm_organise_themes'];
	}
	else $url_ret_adm_organise_themes="adm_animations.php";
	
	$erreur='';

	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	$ancre='';
	if (isset($_GET['ancre'])) $ancre=htmlentities(normalise($_GET['ancre']),ENT_COMPAT,'ISO-8859-15');
	
	//require '_fonctions_plan.inc.php';
	require '_fonctions_animation.inc.php';
	debugInit();
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	$autoriser_plan_futur=queryValue("SELECT autoriser_plan_futur FROM circos WHERE id_circo=$id_circo",$h);
	if ($autoriser_plan_futur && isset($_SESSION['circonscript7_annee'])) $annee=$_SESSION['circonscript7_annee'];
	else $annee=0;
	
	if (isset($_GET['id_theme'])) $id_theme=abs(intval($_GET['id_theme']));
	else if (isset($_SESSION['circonscript7_adm_organise_themes_id_theme'])) $id_theme=$_SESSION['circonscript7_adm_organise_themes_id_theme'];
	else {
		header('Location: erreur.php?erreur=id');
		exit;
	}
	if (isset($_GET['id_domaine'])) $id_domaine=abs(intval($_GET['id_domaine']));
	else if (isset($_SESSION['circonscript7_adm_organise_themes_id_domaine'])) $id_domaine=$_SESSION['circonscript7_adm_organise_themes_id_domaine'];
	else {
		header('Location: erreur.php?erreur=id');
		exit;
	}
	if (isset($_SESSION['circonscript7_adm_organise_themes_id_domaine_transfert'])) $id_domaine_transfert=$_SESSION['circonscript7_adm_organise_themes_id_domaine_transfert'];
	else $id_domaine_transfert=0;
	if (isset($_SESSION['circonscript7_adm_organise_themes_id_theme_transfert'])) $id_theme_transfert=$_SESSION['circonscript7_adm_organise_themes_id_theme_transfert'];
	else $id_theme_transfert=0;
	
	$id_position_editee=0;
	$libelle_anim='';
	$tri_position=0;
	$n=queryValue("SELECT COUNT(*) FROM themes,domaines WHERE domaines.id_domaine=$id_domaine AND domaines.id_circo=$id_circo AND themes.id_theme=$id_theme AND themes.id_circo=$id_circo",$h);
	if ($n==0) {
		header('Location: erreur.php?erreur=theme');
		exit;
	}
	$domaine=htmlentities(queryValue("SELECT libelle FROM domaines WHERE id_domaine=$id_domaine",$h),ENT_COMPAT,'ISO-8859-15');
	$theme=htmlentities(queryValue("SELECT libelle FROM themes WHERE id_theme=$id_theme",$h),ENT_COMPAT,'ISO-8859-15');
	
	if (isset($_POST['tri_bas'])) while(1){
		if (isset($_POST['domaines'])) {
			$id_domaine_transfert=abs(intval($_POST['domaines']));
			$_SESSION['circonscript7_adm_organise_themes_id_domaine_transfert']=$id_domaine_transfert;
		}
		if (isset($_POST['themes'])) {
			$id_theme_transfert=abs(intval($_POST['themes']));
			$_SESSION['circonscript7_adm_organise_themes_id_theme_transfert']=$id_theme_transfert;
		}
		$id_position=abs(intval($_POST['tri_bas']));
		$r=query("SELECT tri FROM positions WHERE id_position=$id_position AND id_domaine=$id_domaine AND id_theme=$id_theme",$h);
		$row=@mysqli_fetch_row($r);
		if (@mysqli_num_rows($r)==0){
			$erreur="Identifiant de position incorrect.";
			break;
		}
		$tri=$row[0];
		$r2=query("SELECT id_position,tri FROM positions WHERE id_domaine=$id_domaine AND id_theme=$id_theme AND tri > $tri ORDER BY tri ASC, id_position ASC",$h);
		$row=@mysqli_fetch_row($r2);
		if (!$row) break;
		$id_position2=$row[0];
		$tri2=$row[1];
		query("UPDATE positions SET tri=$tri2 WHERE id_position=$id_position",$h);
		query("UPDATE positions SET tri=$tri WHERE id_position=$id_position2",$h);
		break;
	}
	else if (isset($_POST['tri_haut'])) while(1){
		if (isset($_POST['domaines'])) {
			$id_domaine_transfert=abs(intval($_POST['domaines']));
			$_SESSION['circonscript7_adm_organise_themes_id_domaine_transfert']=$id_domaine_transfert;
		}
		if (isset($_POST['themes'])) {
			$id_theme_transfert=abs(intval($_POST['themes']));
			$_SESSION['circonscript7_adm_organise_themes_id_theme_transfert']=$id_theme_transfert;
		}
		$id_position=abs(intval($_POST['tri_haut']));
		$r=query("SELECT tri FROM positions WHERE id_position=$id_position AND id_domaine=$id_domaine AND id_theme=$id_theme",$h);
		$row=@mysqli_fetch_row($r);
		if (@mysqli_num_rows($r)==0){
			$erreur="Identifiant de position incorrect.";
			break;
		}
		$tri=$row[0];
		$r2=query("SELECT id_position,tri FROM positions WHERE id_domaine=$id_domaine AND id_theme=$id_theme AND tri < $tri ORDER BY tri DESC, id_position DESC",$h);
		$row=@mysqli_fetch_row($r2);
		if (!$row) break;
		$id_position2=$row[0];
		$tri2=$row[1];
		query("UPDATE positions SET tri=$tri2 WHERE id_position=$id_position",$h);
		query("UPDATE positions SET tri=$tri WHERE id_position=$id_position2",$h);
		break;
	}
	else if (isset($_POST['transferer'])) while(1){
		if (isset($_POST['domaines'])) {
			$id_domaine_transfert=abs(intval($_POST['domaines']));
			$_SESSION['circonscript7_adm_organise_themes_id_domaine_transfert']=$id_domaine_transfert;
		}
		else $id_domaine_transfert=0;
		if (isset($_POST['themes'])) {
			$id_theme_transfert=abs(intval($_POST['themes']));
			$_SESSION['circonscript7_adm_organise_themes_id_theme_transfert']=$id_theme_transfert;
		}
		else $id_theme_transfert=0;
		if ($id_domaine_transfert==0 || $id_theme_transfert==0) {
			$erreur="Veuillez prciser le domaine ou le thme.";
			break;
		}
		$n=queryValue("SELECT COUNT(*) FROM domaines WHERE id_domaine=$id_domaine_transfert AND domaines.id_circo=$id_circo",$h);
		if ($n==0) {
			$erreur="Domaine incorrect.";
			break;
		}
		$n=queryValue("SELECT COUNT(*) FROM themes WHERE id_theme=$id_theme_transfert AND themes.id_circo=$id_circo",$h);
		if ($n==0) {
			$erreur="Thme incorrect.";
			break;
		}
		if ($id_domaine==$id_domaine_transfert && $id_theme==$id_theme_transfert) {
			$erreur="Les domaines et les thmes sont inchangs. Transfert annul.";
			break;
		}
		if (isset($_POST['selection'])) { 
			$tri=queryValue("SELECT COUNT(*) FROM positions WHERE id_domaine=$id_domaine_transfert AND id_theme=$id_theme_transfert",$h)+1;
			foreach($_POST['selection'] as $id_position) {
				if ($erreur) break;
				$id_position=intval($id_position);
				$n=query("SELECT COUNT(*) FROM positions, domaines,themes WHERE id_position=$id_position AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND positions.id_theme=themes.id_theme AND themes.id_circo=$id_circo",$h);
				if (!$n) {
					$erreur="Un ID est incorrect. Opration annule.";
					break;
				}
				query("UPDATE positions SET id_domaine=$id_domaine_transfert,id_theme=$id_theme_transfert,tri=$tri WHERE id_position=$id_position",$h);
				++$tri;
			}
			$tri=1;
			$r=query("SELECT id_position FROM positions WHERE id_domaine=$id_domaine AND id_theme=$id_theme",$h);
			while ($row=@mysqli_fetch_row($r)) {
				$id_position=$row[0];
				query("UPDATE positions SET tri=$tri WHERE id_position=$id_position",$h);
				++$tri;
			}
		}
		break;
	}
	else if (isset($_POST['modifier'])) while(1) {
		if (isset($_POST['domaines'])) {
			$id_domaine_transfert=abs(intval($_POST['domaines']));
			$_SESSION['circonscript7_adm_organise_themes_id_domaine_transfert']=$id_domaine_transfert;
		}
		if (isset($_POST['themes'])) {
			$id_theme_transfert=abs(intval($_POST['themes']));
			$_SESSION['circonscript7_adm_organise_themes_id_theme_transfert']=$id_theme_transfert;
		}
		$id_position=abs(intval($_POST['modifier']));
		$n=query("SELECT COUNT(*) FROM positions, domaines,themes WHERE id_position=$id_position AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND positions.id_theme=themes.id_theme AND themes.id_circo=$id_circo",$h);
		if (!$n) {
			$erreur="Un ID est incorrect. Opration annule.";
			break;
		}
		$id_position_editee=$id_position;
		$r=query("SELECT intitule, tri FROM animations,positions WHERE positions.id_position=$id_position AND animations.id_anim=positions.id_anim",$h);
		$row=@mysqli_fetch_row($r);
		if (!$row) break;
		$libelle_anim=htmlentities($row[0],ENT_COMPAT,'ISO-8859-15');
		$tri_position=$row[1];
		break;
	
	}
	else if ((isset($_POST['editer']) ||(isset($_POST['commande2']) && $_POST['commande2']==1)) && isset($_POST['numero']) && isset($_POST['commande']) )while(1) {
		if (isset($_POST['domaines'])) {
			$id_domaine_transfert=abs(intval($_POST['domaines']));
			$_SESSION['circonscript7_adm_organise_themes_id_domaine_transfert']=$id_domaine_transfert;
		}
		if (isset($_POST['themes'])) {
			$id_theme_transfert=abs(intval($_POST['themes']));
			$_SESSION['circonscript7_adm_organise_themes_id_theme_transfert']=$id_theme_transfert;
		}
		$tri=abs(intval($_POST['numero']));
		$id_position=abs(intval($_POST['commande']));	
		$n=query("SELECT COUNT(*) FROM positions, domaines,themes WHERE id_position=$id_position AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND positions.id_theme=themes.id_theme AND themes.id_circo=$id_circo",$h);
		if (!$n) {
			$erreur="Un ID est incorrect. Opration annule.";
			break;
		}
		$r=query("SELECT id_position FROM positions WHERE id_domaine=$id_domaine AND id_theme=$id_theme ORDER BY tri ASC, id_position ASC",$h);
		$id_positions=array();
		while ($row=@mysqli_fetch_row($r)) $id_positions[]=$row[0];
		if ($tri<1) $tri=1;
		if ($tri>count($id_positions)) $tri=count($id_positions);
		$pos=array_search($id_position,$id_positions);
		if ($pos===FALSE) break;
		if ($pos==$tri-1) break;
		$id_positions[$pos]=$id_positions[$tri-1];
		$id_positions[$tri-1]=$id_position;
		$tri=1;
		foreach($id_positions as $id_position) {
			query("UPDATE positions SET tri=$tri WHERE id_position=$id_position",$h); 		
			++$tri;
		}
		$id_position_editee=0;
		break;
	}
	else if (isset($_POST['annuler']))  {
		if (isset($_POST['domaines'])) {
			$id_domaine_transfert=abs(intval($_POST['domaines']));
			$_SESSION['circonscript7_adm_organise_themes_id_domaine_transfert']=$id_domaine_transfert;
		}
		if (isset($_POST['themes'])) {
			$id_theme_transfert=abs(intval($_POST['themes']));
			$_SESSION['circonscript7_adm_organise_themes_id_theme_transfert']=$id_theme_transfert;
		}
		$id_position_editee=0;
	}
	else if (isset($_POST['renumeroter'])) while(1){
		$r=query("SELECT id_position FROM positions WHERE id_domaine=$id_domaine AND id_theme=$id_theme ORDER BY tri ASC, id_position ASC",$h);
		$tri=1;
		while (($row=@mysqli_fetch_row($r)) && !$erreur) {
			$id_position=$row[0];
			query("UPDATE positions SET tri='$tri' WHERE id_position='$id_position'",$h);
			++$tri;
		}
		break;
	}
function afficherAnimations($h,$id_domaine,$id_theme)
{
	global $erreur, $id_circo;
	$r=query("SELECT animations.id_anim, animations.intitule, positions.tri, positions.id_position, circos.libelle_court AS org  FROM seances, animations,positions,circos WHERE seances.id_anim=animations.id_anim AND animations.id_anim=positions.id_anim AND positions.id_domaine=$id_domaine AND positions.id_theme=$id_theme AND circos.id_circo=animations.id_circo GROUP BY animations.id_anim ORDER BY positions.tri ASC, positions.id_position ASC",$h);
	$compte=1;
	$nb=@mysqli_num_rows($r);
	while ($row=@mysqli_fetch_row($r)) {
		$id_anim=$row[0];
		$n=queryValue("SELECT COUNT(*) FROM partages,seances WHERE accepte=1 AND id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=$id_anim",$h);

		$libelle=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		$tri=$row[2];
		$id_position=$row[3];
		$org=htmlentities($row[4],ENT_COMPAT,'ISO-8859-15');
		$haut=false;
		$bas=false;
		if ($compte < $nb) $bas=true;
		if ($compte>1) $haut=true;
		print "<tr class=\"survol\">\n";
		print "<td>\n";
		print "<p>$tri</p>\n";
		print "</td>\n";
		
			
		print "<td><p>\n";
		if ($bas) print "<input name=\"tri_bas\" type=\"submit\" value=\"$id_position\" class=\"bouton_bas\" />";
		if (!$haut && !$bas) print '&nbsp;';
		if ($haut) print "<input name=\"tri_haut\" type=\"submit\" value=\"$id_position\" class=\"bouton_haut\" />";
		print "</p></td>\n";

		print "<td>\n";
		print "<p><input name=\"selection[]\" type=\"checkbox\" value=\"$id_position\" /></p>";
		print "</td>\n";
		print "<td>\n";
		print "<p><input name=\"modifier\" type=\"submit\" value=\"$id_position\" class=\"bouton_modifier\" /></p>";		
		print "</td>\n";
		print "<td>\n";
		if ($n==0) print "<p class=\"non_partage\">$org</p>\n";
		else print "<p>$org</p>\n";
		print "</td>\n";
		
		print "<td>\n";
		print "<p>$libelle</p>\n";
		print "</td>\n";
	
		
		print "</tr>\n";
		++$compte;

	}


}		
function afficherDomaines($h,$id_domaine)
{
	global $id_circo,$annee;
	$q="SELECT id_domaine, libelle FROM domaines WHERE id_circo=$id_circo AND annee=$annee ORDER BY tri;";
	$r=query($q,$h);
	if ($id_domaine==0) print"<option value=\"0\">Choisissez un domaine</option>\n";
	if ($r) 
		while ($row=mysqli_fetch_array($r)) {
		   	printf ("<option value=\"%s\"",$row['id_domaine']);
			if ($row['id_domaine']==$id_domaine) print ' selected="selected"';
			printf(">%s</option>\r\n",htmlentities($row['libelle'],ENT_COMPAT,'ISO-8859-15'));
		}
}	
	
function afficherThemes($h,$id_theme)
{
	global $id_circo,$annee;
	$q="SELECT id_theme, libelle FROM themes WHERE id_circo=$id_circo AND annee=$annee ORDER BY tri;";
	$r=query($q,$h);
	if ($id_theme==0) print"<option value=\"0\">Choisissez un th&egrave;me</option>\n";
	if ($r) 
		while ($row=mysqli_fetch_array($r)) {
		   	printf ("<option value=\"%s\"",$row['id_theme']);
			if ($row['id_theme']==$id_theme) print ' selected="selected"';
			printf(">%s</option>\r\n",htmlentities($row['libelle'],ENT_COMPAT,'ISO-8859-15'));
		}
}	


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form
  laListe = leForm["selection[]"]

  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}
function keyPress(event) {
	if (event.keyCode==13) {
		document.form1.commande2.value=1;
		document.form1.submit();
	}
}
//-->
        </script></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_organise_themes;
					if ($ancre) print "#$ancre";
					?>">retour</a></li>
					<li><a href="#bas">bas</a></li>
					
				</ul>
			</div>
			<div id="corps">	 
			  <h1>Organisation des animations &agrave; l'int&eacute;rieur d'un th&egrave;me  <?php
			  	if ($annee>0) print '(plan futur)';
			?></h1>
			  <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";
			  ?>
			  <p>Les animations programm&eacute;es dans la circo mais non propos&eacute;es aux stagiaires sont <span class="non_partage">marqu&eacute;es</span>. </p>
			  <div id="animation"><?php print "<h2>$domaine</h2>\n";
			  print "<h3>$theme</h3>\n";
				?></div>	
				<form name="form1" method="post" action="">
				  <table>
                  <tr class="table_entete">
                    <td>Pos&nbsp;
                    <input name="renumeroter" type="submit" class="bouton_croissant" value="" title="Renumroter correctement dans l'ordre croissant."/></td>
                    <td>H/B</td>
                    <td>Coche
                    <input type="checkbox" name="checkbox" value="1" onchange="javascript:cocheTout(this)" /></td>
                    <td>Edit.</td>
                    <td>Org.</td>
                    <td>Libell&eacute;</td>
                  </tr>
				  <?php afficherAnimations($h,$id_domaine,$id_theme); ?>
                </table>
<?php if ($id_position_editee) { ?>
<a name="ici" id="ici"></a>
<h5 align="left">Editer la position de l'animation</h5>
<table>
<tr>
  <td><input name="numero" type="text" id="numero" size="4" maxlength="4" value="<?php print $tri_position ?>" onkeypress="javascript:keyPress(event)"/></td>
  <td class="controle"><input name="editer" type="submit" class="bouton_editer" id="editer" value="Valider" /></td>
  <td class="controle"><input name="annuler" type="submit" class="bouton_undo" id="annuler" value="annuler" /></td>
  <td><input type="hidden" name="commande2" value="0" /><input type="hidden" name="commande" value="<?php print $id_position_editee ?>" /><?php print $libelle_anim ?>
	</td>
</tr>
</table>
<?php } ?>
<table>
  <tr>
    <td class="cadre"><h5>Transf&eacute;rer les animations coch&eacute;es vers:</h5>
        <p><em>Domaine:
          <select name="domaines" class="survol" id="domaines" onchange="javascript:change2()">
                <?php afficherDomaines($h,$id_domaine_transfert) ?>
              </select>
        </em></p>
      <p><em> Th&egrave;me:
        <select name="themes" class="survol" id="themes" onchange="javascript:change2()">
                <?php afficherThemes($h,$id_theme_transfert)?>
              </select>
        </em></p>
      <p align="center">
          <input name="transferer" type="submit" class="bouton_standard" id="transferer" value="Transf&eacute;rer" />
      </p></td>
    </tr>
</table>
<script language="javascript" type="text/javascript">
	document.location.href="#ici";
	document.form1.numero.select();
</script>
			  </form>
			</div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_organise_themes;
					if ($ancre) print "#$ancre";
					?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
