<?php
/* 
	Modification du plan de formation
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	require('_sqlconnect.inc.php');
	require('_fonctions.inc.php');
	require('_fonctions_animation.inc.php');
	// Url retour
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_plan_modif=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_plan_modif']=$url_ret_adm_plan_modif;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_plan_modif'])) {
		$url_ret_adm_plan_modif=$_SESSION['circonscript7_url_ret_adm_plan_modif'];
	}
	else $url_ret_adm_plan_modif="adm_animations.php";

	$erreur='';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	
	// oublie les modifications opres dans admi_seance_modif.php
	if (isset($_SESSION['circonscript7_animation'])) unset($_SESSION['circonscript7_animation']);
	if (isset($_SESSION['circonscript7_seances'])) unset($_SESSION['circonscript7_seances']);
	
	
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$autoriser_plan_futur=queryValue("SELECT autoriser_plan_futur FROM circos WHERE id_circo=$id_circo",$h);
	if ($autoriser_plan_futur && isset($_SESSION['circonscript7_annee'])) $annee=$_SESSION['circonscript7_annee'];
	else $annee=0;
	$impair=0;
	if (isset($_SESSION['circonscript7_adm_plan_modif_test_date'])) $test_date=$_SESSION['circonscript7_adm_plan_modif_test_date'];
	else $test_date=0;
	if (isset($_SESSION['circonscript7_adm_plan_modif_date'])) $date=$_SESSION['circonscript7_adm_plan_modif_date'];
	else $date='';
	$nb_anims=0;
	if ($annee) {
		$nb_anims=queryValue("SELECT COUNT(*) FROM animations, positions,domaines WHERE animations.id_circo=$id_circo AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.annee=1",$h);
	}
	if (isset($_POST['btDate'])) {
		$test_date=0;
		if (isset($_POST['selDate'])) $test_date=intval($_POST['selDate']);
		if ($test_date<0) $test_date=0;
		else if ($test_date>5) $test_date=0;	
		$date='';
		if ($test_date>0&& $test_date<4) {
			if (isset($_POST['edDate'])) $date=$_POST['edDate'];
			if ($date!='') $date=dateSaisieEnSql($date);			
			if ($date=='') 
				$erreur.="Date incorrecte. ";
			
		}
		if ($test_date>=4) $date='';
		else if ($date=='') $test_date=0;
		if (!$erreur) {
			$_SESSION['circonscript7_adm_plan_modif_test_date']=$test_date;
			$_SESSION['circonscript7_adm_plan_modif_date']=$date;
		}
	}
	else if (isset($_POST['importer'])) { // importer le plan d'une anne  l'autre 
		@set_time_limit(0);
		$taille_max_remarque=100;
		$taille_max_description=300;
		$r=query("SELECT taille_max_description, taille_max_remarque FROM general",$h);
		if ($r) {
			$row=@mysqli_fetch_row($r);
			$taille_max_description=intval($row[0]);
			$taille_max_remarque=intval($row[1]);
			if ($taille_max_description<=0) $taille_max_description=300;
			if ($taille_max_remarque<=0) $taille_max_remarque=100;
		}
		$r=query("SELECT animations.id_anim, domaines.id_domaine, themes.id_theme, positions.tri FROM animations,positions, domaines, themes WHERE animations.id_circo=$id_circo AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.annee=0 AND domaines.id_circo=$id_circo AND positions.id_theme= themes.id_theme AND themes.annee=0 AND themes.id_circo=$id_circo",$h);
		while ($row=@mysqli_fetch_row($r)) {
			$id_anim=$row[0];
			$id_domaine=$row[1];
			$id_theme=$row[2];
			$tri=$row[3];
			$id_domaine2=queryValue("SELECT d2.id_domaine FROM domaines as d1, domaines AS d2 WHERE d1.id_domaine=$id_domaine AND d2.annee=1 AND d2.id_circo=$id_circo AND d1.libelle=d2.libelle",$h);
			if (!$id_domaine2) {
				query("INSERT INTO domaines(id_circo,libelle,tri, annee) SELECT id_circo, libelle, tri, 1 FROM domaines WHERE id_domaine=$id_domaine",$h);
				$id_domaine2=@mysqli_insert_id($h);
			
			}
			$id_theme2=queryValue("SELECT d2.id_theme FROM themes as d1, themes AS d2 WHERE d1.id_theme=$id_theme AND d2.annee=1 AND d2.id_circo=$id_circo AND d1.libelle=d2.libelle",$h);
			if (!$id_theme2) {
				query("INSERT INTO themes(id_circo,libelle,tri, annee) SELECT id_circo, libelle, tri, 1 FROM themes WHERE id_theme=$id_theme",$h);
				$id_theme2=@mysqli_insert_id($h);
			
			}
			query("INSERT INTO animations(id_circo,intitule, description, remarque,lien) SELECT id_circo,intitule, substr(description,1,$taille_max_description), substr(remarque,1,$taille_max_remarque), lien FROM animations WHERE id_anim=$id_anim",$h);
			$id_anim2=@mysqli_insert_id($h);
			query("INSERT INTO positions(id_domaine,id_theme,tri,id_anim) VALUES ($id_domaine2,$id_theme2,$tri,$id_anim2)",$h);
			$r2=query("SELECT id_seance FROM seances WHERE id_anim=$id_anim",$h);
			while ($row2=@mysqli_fetch_row($r2)) {
				$id_seance=$row2[0];
				query("INSERT INTO seances(id_anim,max,public,tri,cond) SELECT $id_anim2,max,public,tri,cond FROM seances WHERE id_seance=$id_seance",$h);
				$id_seance2=@mysqli_insert_id($h);
				
				//query("INSERT INTO dates(id_seance,horaire,lieu,remarque,duree,tri) SELECT $id_seance2,horaire,lieu,remarque,duree,tri FROM dates WHERE dates.id_seance=$id_seance",$h);	
				// les dates et les intervenants
				$r3=query("SELECT id_date,horaire,lieu,remarque,duree,tri FROM dates WHERE id_seance=$id_seance",$h);
				while ($row3=@mysqli_fetch_array($r3)) {
					$id_date=$row3['id_date'];
					query(sprintf("INSERT INTO dates(id_seance,horaire,lieu,remarque,duree,tri) VALUES('$id_seance2','%s','%s','%s','%s',%d)",$row3['horaire'],myEscapeString($h,$row3['lieu']),myEscapeString($h,$row3['remarque']),$row3['duree'],$row3['tri']),$h);
					$id_date2=@mysqli_insert_id($h);
					if ($id_date2) query("INSERT INTO interventions(id_date,id_intervenant) SELECT $id_date2, id_intervenant FROM interventions WHERE id_date=$id_date",$h);
				
				}
				
				query("INSERT INTO partages(id_circo,id_seance,accepte) SELECT partages.id_circo, $id_seance2, CASE WHEN id_circo=$id_circo THEN 1 ELSE 0 END FROM partages WHERE partages.id_seance=$id_seance",$h);
				//groupemrent et groupe
				$r3=query("SELECT groupements.id_groupement, groupements.id_groupe FROM groupements, groupes WHERE groupements.id_seance=$id_seance AND groupements.id_groupe=groupes.id_groupe AND groupes.id_circo=$id_circo AND groupes.annee=0",$h);				
				while($row3=@mysqli_fetch_row($r3)) {
					$id_groupement=$row3[0];
					$id_groupe=$row3[1];
					$id_groupe2=queryValue("SELECT g1.id_groupe FROM groupes AS g1, groupes AS g2 WHERE g2.id_groupe=$id_groupe AND  g1.libelle = g2.libelle AND g1.id_groupe<> g2.id_groupe AND g1.annee=1 AND g1.id_circo=$id_circo",$h);
					if (!$id_groupe2) {
						query("INSERT INTO groupes(id_circo,libelle, annee) SELECT $id_circo, libelle, 1 FROM groupes WHERE id_groupe=$id_groupe",$h);
						$id_groupe2=@mysqli_insert_id($h);
					}
					query("INSERT INTO groupements (id_groupe,id_seance) VALUES ($id_groupe2, $id_seance2)",$h);
				}
			}
		}
		
		// rorganiser les domaines et les thmes le cas chant car il se peut qu'on ait modifi une liste existante.
		$tri=1;
		$r=query("SELECT id_domaine FROM domaines WHERE id_circo=$id_circo AND annee=1 ORDER BY tri ASC, id_domaine ASC",$h);
		while ($row=@mysqli_fetch_row($r)) {
			$id_domaine=$row[0];
			query("UPDATE domaines SET tri=$tri WHERE id_domaine=$id_domaine",$h);
			++$tri;
		}
		$tri=1;
		$r=query("SELECT id_theme FROM themes WHERE id_circo=$id_circo AND annee=1 ORDER BY tri ASC, id_theme ASC",$h);
		while ($row=@mysqli_fetch_row($r)) {
			$id_theme=$row[0];
			query("UPDATE themes SET tri=$tri WHERE id_theme=$id_theme",$h);
			++$tri;
		}
		//  importer maintenant les groupes qui n'ont pas de sance
		$r2=query("SELECT groupes.id_groupe, groupes.libelle, COUNT(groupements.id_groupement) AS nb FROM groupes LEFT JOIN groupements ON groupements.id_groupe=groupes.id_groupe WHERE groupes.annee=0 AND groupes.id_circo=$id_circo GROUP BY groupes.id_groupe HAVING nb=0",$h);
		while ($row2=@mysqli_fetch_row($r2)) {
			$id_groupe=$row2[0];
			$libelle=$row2[1];
			if (empty($libelle)) continue;
			$libelle=myEscapeString($h,$libelle);
			$n=queryValue("SELECT COUNT(*) FROM groupes WHERE annee=1 AND id_circo=$id_circo AND libelle LIKE '$libelle'",$h);
			if (!$n) query("INSERT INTO groupes(id_circo,libelle,annee) VALUES($id_circo,'$libelle',1)",$h);
		}
		$nb_anims=1;
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--
		function ouvreLien(url)
		{
			if (url) window.open(url);
		}
		//-->
		</script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_plan_modif?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="adm_plan_calendrier.php?url_ret=adm_plan_modif.php">calendrier</a></li>
					<li><a href="adm_animations_modif.php?Modifier=0&amp;url_ret=adm_plan_modif.php">ajout</a></li>
				</ul>
			</div>
			<div id="corps">
			  <h1>Elaboration des animations propos&eacute;es par la circonscription <?php
			  	if ($annee==1) print '(plan futur)';
			?></h1>
			    <form method="post" action="">
			      <table border="0">
                    <tr>
                      <td>Surligner</td>
                      <td><select name="selDate" size="6" id="selDate">
                          <option value="0" <?php print $test_date==0? 'selected="selected"':''?>>aucune date</option>
                          <option value="1" <?php print $test_date==1? 'selected="selected"':''?>>dates &lt;=</option>
                          <option value="2" <?php print $test_date==2? 'selected="selected"':''?>>dates &gt;=</option>
                          <option value="3" <?php print $test_date==3? 'selected="selected"':''?>>dates = </option>
	                      <option value="5" <?php print $test_date==5? 'selected="selected"':''?>>formation &agrave; distance</option>
						  <option value="4" <?php print $test_date==4? 'selected="selected"':''?>>dates &agrave; d&eacute;finir </option>
                      </select></td>
                      <td>&agrave; date:
                        <input name="edDate" type="text" id="edDate" size="10" maxlength="10" value="<?php print dateSqlEnSaisie($date)?>"/></td>
                      <td><input name="btDate" type="submit" class="bouton_actualise" id="btDate" value="actualiser" /></td>

					<?php if ($annee==1 && $nb_anims==0) print "<td><p><input type=\"submit\" class=\"bouton_standard\" value=\"Importer le plan de formation de l'ann&eacute;e pr&eacute;c&eacute;dente\" name=\"importer\" /></p><p>\n Sans les dates et sans les importations. Les groupes seront recopi&eacute;s aussi. Si les champs <i>description</i> et <i>remarque</i> sont trop longs, ils seront tronqu&eacute;s.</p></td>\n";
					?>
                    </tr>                  
				</table>
		      </form>
			    <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
		  <div id="animation">
		  <form method="post" action="">
			<?php affichePlanFormation($id_circo,$h,0,0,'adm_plan_modif.php',0, $test_date,$date,$annee) ?>
		</form>
		  </div>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_plan_modif?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="adm_plan_calendrier.php?url_ret=adm_plan_modif.php">calendrier</a></li>
					<li><a href="adm_animations_modif.php?Modifier=0&amp;url_ret=adm_plan_modif.php">ajout</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	
	</body>
</html>