<?php
/* 
	Voir plan de formation
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_plan_organise=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_plan_organise']=$url_ret_adm_plan_organise;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_plan_organise'])) {
		$url_ret_adm_plan_organise=$_SESSION['circonscript7_url_ret_adm_plan_organise'];
	}
	else $url_ret_adm_plan_organise="adm_animations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	
	if (isset($_SESSION['circonscript7_adm_plan_modif_test_date'])) $test_date=$_SESSION['circonscript7_adm_plan_modif_test_date'];
	else $test_date=0;
	if (isset($_SESSION['circonscript7_adm_plan_modif_date'])) $date=$_SESSION['circonscript7_adm_plan_modif_date'];
	else $date='';
	$autoriser_plan_futur=queryValue("SELECT autoriser_plan_futur FROM circos WHERE id_circo=$id_circo",$h);
	if ($autoriser_plan_futur && isset($_SESSION['circonscript7_annee'])) $annee=$_SESSION['circonscript7_annee'];
	else $annee=0;
	if (isset($_POST['btDate'])) {
		$test_date=0;
		if (isset($_POST['selDate'])) $test_date=intval($_POST['selDate']);
		if ($test_date<0) $test_date=0;
		else if ($test_date>4) $test_date=0;	
		$date='';
		if ($test_date>0&&$test_date!=4) {
			if (isset($_POST['edDate'])) $date=$_POST['edDate'];
			if ($date!='') $date=dateSaisieEnSql($date);			
			if ($date=='') 
				$erreur.="Date incorrecte. ";
			
		}
		if ($test_date==4) $date='';
		else if ($date=='') $test_date=0;
		if (!$erreur) {
			$_SESSION['circonscript7_adm_plan_modif_test_date']=$test_date;
			$_SESSION['circonscript7_adm_plan_modif_date']=$date;
		}
	}
		
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--
		function ouvreLien(url)
		{
			if (url) window.open(url);
		}
		//-->
		</script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_plan_organise?>">retour</a></li>
					<li><a href="#bas">bas</a></li>
					<li><a href="adm_plan_synthese.php">synopsis</a></li>
				</ul>
			</div>
			<div id="corps">	 
			  <h1>Organisation du plan de formation - plan complet
		      <?php
			  	if ($annee>0) print 'futur';
			  ?></h1>
			  <p>Cliquez sur un th&egrave;me pour acc&eacute;der &agrave; la r&eacute;organisation des animations. Les animations programm&eacute;es dans la circo mais qui ne sont pas visibles aux stagiaires de votre circo  sont <span class="non_partage">marqu&eacute;es</span>. </p>
			  <form method="post" action="">
			  <table border="0">
                <tr>
                  <td>Surligner</td>
                  <td><select name="selDate" size="6" id="selDate">
                          <option value="0" <?php print $test_date==0? 'selected="selected"':''?>>aucune date</option>
                          <option value="1" <?php print $test_date==1? 'selected="selected"':''?>>dates &lt;=</option>
                          <option value="2" <?php print $test_date==2? 'selected="selected"':''?>>dates &gt;=</option>
                          <option value="3" <?php print $test_date==3? 'selected="selected"':''?>>dates = </option>
	                      <option value="5" <?php print $test_date==5? 'selected="selected"':''?>>formation &agrave; distance</option>
						  <option value="4" <?php print $test_date==4? 'selected="selected"':''?>>dates &agrave; d&eacute;finir </option>
                  </select></td>
                  <td>&agrave; date:
                    <input name="edDate" type="text" id="edDate" size="10" maxlength="10" value="<?php print dateSqlEnSaisie($date)?>"/></td>
                  <td><input name="btDate" type="submit" class="bouton_actualise" id="btDate" value="actualiser" /></td>
                </tr>
              </table>
			  </form>
			    <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 

			  <div id="animation">
					 <form id="form1" name="form1" method="post" action="">
			    <?php affichePlanFormation($id_circo,$h,21,0,'adm_plan_organise.php',0,$test_date,$date,$annee) ?>
                     </form> 
			  </div>
			</div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_plan_organise?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="adm_plan_synthese.php">synopsis</a></li>				
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>