<?php
/* 
	Publipostage des convocations	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_publi_convocations=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_publi_convocations']=$url_ret_adm_publi_convocations;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_publi_convocations'])) {
		$url_ret_adm_publi_convocations=$_SESSION['circonscript7_url_ret_adm_publi_convocations'];
	}
	else $url_ret_adm_publi_convocations="adm_convocations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions_stagiaire.inc.php';
	require '_fonctions.inc.php';
	
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	if (!isset($_SESSION['circonscript7_id_admin'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_admin=$_SESSION['circonscript7_id_admin'];
	$h=connect();
	ejecteSiFerme($h);
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo!=0 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	$r=query("SELECT administrateurs.nom, administrateurs.courriel FROM administrateurs WHERE administrateurs.id_admin=$id_admin",$h);	
	$courriel_admin='';
	$nom_admin='';
	if ($r) {
		$row=@mysqli_fetch_row($r);
		$nom_admin=$row[0];
		$courriel_admin=$row[1];
	}
	if (isset($_SESSION['circonscript7_adm_publi_convocations_adr_de'])) $adm_publi_convocations_adr_de=$_SESSION['circonscript7_adm_publi_convocations_adr_de'];
	else $adm_publi_convocations_adr_de=$courriel_admin;
	if (isset($_SESSION['circonscript7_adm_publi_convocations_nom_de'])) $adm_publi_convocations_nom_de=$_SESSION['circonscript7_adm_publi_convocations_nom_de'];
	else 
		$adm_publi_convocations_nom_de=$nom_admin;
	if (isset($_SESSION['circonscript7_adm_publi_convocations_cci'])) $adm_publi_convocations_cci=$_SESSION['circonscript7_adm_publi_convocations_cci'];
	else $adm_publi_convocations_cci=false;
	if (isset($_SESSION['circonscript7_adm_publi_convocations_copie'])) $adm_publi_convocations_copie=$_SESSION['circonscript7_adm_publi_convocations_copie'];
	else $adm_publi_convocations_copie='';
	if (isset($_SESSION['circonscript7_adm_publi_convocations_adr_cci'])) $adm_publi_convocations_adr_cci=$_SESSION['circonscript7_adm_publi_convocations_adr_cci'];
	else $adm_publi_convocations_adr_cci=$adm_publi_convocations_adr_de;
	if (isset($_SESSION['circonscript7_adm_publi_convocations_objet'])) $adm_publi_convocations_objet=$_SESSION['circonscript7_adm_publi_convocations_objet'];
	else $adm_publi_convocations_objet='Vos convocations aux animations pdagogiques';
	if (isset($_POST['suivant'])) {
		if (isset($_POST['edAdrDe'])) {
			$adm_publi_convocations_adr_de=normaliseT($_POST['edAdrDe'],250);
			if ($adm_publi_convocations_adr_de && !testeEmail($adm_publi_convocations_adr_de)) $erreur.="Courriel invalide dans le champ 'De (courriel)'";
		}
		else $adm_publi_convocations_adr_de='';
		if ($adm_publi_convocations_adr_de=='') $erreur.="Champ 'De (courriel)' non renseign. ";
		
		
		if (isset($_POST['edNomDe'])) 
			$adm_publi_convocations_nom_de=normaliseT($_POST['edNomDe'],250);
		else $adm_publi_convocations_nom_de='';
		if ($adm_publi_convocations_nom_de=='') $erreur.="Champ 'De (nom de l'expditeur)' non renseign. ";
		
		 $adm_publi_convocations_cci=isset($_POST['chkCci']);
		 if (isset($_POST['rbCopie'])) {
		 	$adm_publi_convocations_copie=$_POST['rbCopie'];
			if ($adm_publi_convocations_copie!='tous' && $adm_publi_convocations_copie!='1')  $adm_publi_convocations_copie='';
		 }
		 if ($adm_publi_convocations_copie=='' && $adm_publi_convocations_cci==true) $erreur="Il faut prciser la frquence d'envoi de la copie invisible. "; 		 
			
		if (isset($_POST['edCci'])) {
			$adm_publi_convocations_adr_cci=normaliseT($_POST['edCci'],250);
			if ($adm_publi_convocations_adr_cci && !testeEmail($adm_publi_convocations_adr_cci)) $erreur.="Courriel invalide dans le champ 'adresse invisible'. ";
		}
		else $adm_publi_convocations_adr_cci='';
		if ($adm_publi_convocations_adr_cci=='' && $adm_publi_convocations_copie==true) $erreur.="Champ 'adresse invisible' non renseign. ";
		if (isset($_POST['edObjet'])) $adm_publi_convocations_objet=str_replace('\\','',normaliseT($_POST['edObjet'],250));
		else $adm_publi_convocations_objet='';
		if ($adm_publi_convocations_objet=='') $erreur="Champ 'Objet' non renseign. ";
		
		$_SESSION['circonscript7_adm_publi_convocations_adr_de']=$adm_publi_convocations_adr_de;
		$_SESSION['circonscript7_adm_publi_convocations_nom_de']=$adm_publi_convocations_nom_de;
		$_SESSION['circonscript7_adm_publi_convocations_copie']=$adm_publi_convocations_copie;
		$_SESSION['circonscript7_adm_publi_convocations_cci']=$adm_publi_convocations_cci;
		$_SESSION['circonscript7_adm_publi_convocations_adr_cci']=$adm_publi_convocations_adr_cci;
		$_SESSION['circonscript7_adm_publi_convocations_objet']=$adm_publi_convocations_objet;		 
		if (!$erreur) {
			header("Location: adm_publi_convocations_stag.php");
			exit;
		}
	}		 
	if ($erreur) $erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');	

	
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" /></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_publi_convocations?>">retour</a></li>
<li><a href="#bas">bas</a></li>
</ul>
			</div>
		  <div id="corps">	 
				<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
			  <h1>Publipostage des convocations </h1>
				<p>Envoi des convocations &agrave; chaque stagiaire pourvu d'une adresse courriel. Les autres recevront le courriel &agrave; l'&eacute;cole (si l'&eacute;cole poss&egrave;de une adresse courriel). </p>
				<p>Seuls les stagiaires convoqu&eacute;s &agrave; au moins une animation sont concern&eacute;s. Les autres ne figurent pas dans la liste de la page suivante. </p>
				<p>Le site doit &ecirc;tre dans l'&eacute;tat &quot;Les convocations sont publi&eacute;es&quot;. Si ce n'est pas fait, <a href="adm_site.php?url_ret=adm_publi_convocations.php">rendez-vous ici</a>. </p>
				<p>Les courriels sont envoy&eacute;s dans un format mixte: texte et html.</p>
				<form name="form1" method="post" action="">
				  <p>De <em>(courriel) </em>:
			        <input name="edAdrDe" type="text" id="edAdrDe" value="<?php print htmlentities($adm_publi_convocations_adr_de,ENT_COMPAT,'ISO-8859-15')?>" size="50" maxlength="250" />
	              <em>(adresse pour la r&eacute;ponse &eacute;ventuelle) </em></p>
				  <p>De <em>(nom de l'exp&eacute;diteur): </em>  
				    <input name="edNomDe" type="text" id="edNomDe" value="<?php print htmlentities($adm_publi_convocations_nom_de,ENT_COMPAT,'ISO-8859-15')?>" size="50" maxlength="250" />
				  <em>(ce qui appara&icirc;t dans le champ &quot;De&quot;)</em></p>
				  <p>
			        <input name="chkCci" type="checkbox" id="chkCci" value="checkbox" <?php if ($adm_publi_convocations_cci) print "checked=\"checked\"";?> /> 
			      M'envoyer une copie invisible (CCi)</p>
				  <blockquote>
				    <p>
				      <input type="radio" name="rbCopie" value="tous" <?php if ($adm_publi_convocations_copie=='tous') print "checked=\"checked\"";?> />
 pour chaque envoi </p>
				    <p>
				      <input type="radio" name="rbCopie" value="1" <?php if ($adm_publi_convocations_copie=='1') print "checked=\"checked\"";?> />
une seule fois pour un lot donn&eacute; </p>
				    <p>&nbsp;</p>
				    <p>&agrave; l'adresse invisible: 
				      <input name="edCci" type="text" id="edCci" value="<?php print htmlentities($adm_publi_convocations_adr_cci,ENT_COMPAT,'ISO-8859-15')?>" size="50" maxlength="250" />
				    </p>
				  </blockquote>
				  <p> Objet:
<input name="edObjet" type="text" id="edObjet" value="<?php print htmlentities($adm_publi_convocations_objet,ENT_COMPAT,'ISO-8859-15')?>" size="100" maxlength="250" />
		          </p>
				  <p align="center">
				    <input name="suivant" type="submit" class="bouton_standard" id="suivant" value="Suite &gt;&gt;" />
			      <em>(vers la liste des stagiaires) </em>				  </p>
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_publi_convocations?>">retour</a></li>
<li><a href="#haut">haut</a></li>
</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
</body>
</html>