<?php
/* 
	Publipostage des convocations aux stagiaires	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_publi_convocations_stag=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_publi_convocations_stag']=$url_ret_adm_publi_convocations_stag;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_publi_convocations_stag'])) {
		$url_ret_adm_publi_convocations_stag=$_SESSION['circonscript7_url_ret_adm_publi_convocations_stag'];
	}
	else $url_ret_adm_publi_convocations_stag="adm_convocations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo!=0 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	
	$stag_etat=queryValue("SELECT stag_etat FROM circos WHERE id_circo=$id_circo",$h);
	if ($stag_etat!=3) $erreur="ATTENTION: les convocations ne sont pas publies, l'envoi de courriels sera inhib. Rendez-vous en \"Circo\", \"tat du site\" et cochez la case \"Les convocations sont publies\".";
	if (isset($_SESSION['circonscript7_adm_publi_convocations_adr_de'])) $adm_publi_convocations_adr_de=$_SESSION['circonscript7_adm_publi_convocations_adr_de'];
	else {
		header ('Location: adm_publi_convocations.php');
		exit;
	}
	if (isset($_SESSION['circonscript7_adm_publi_convocations_nom_de'])) $adm_publi_convocations_nom_de=$_SESSION['circonscript7_adm_publi_convocations_nom_de'];
	else {
		header ('Location: adm_publi_convocations.php');
		exit;
	}
	if (isset($_SESSION['circonscript7_adm_publi_convocations_cci'])) $adm_publi_convocations_cci=$_SESSION['circonscript7_adm_publi_convocations_cci'];
	else {
		header ('Location: adm_publi_convocations.php');
		exit;
	}
	if (isset($_SESSION['circonscript7_adm_publi_convocations_copie'])) $adm_publi_convocations_copie=$_SESSION['circonscript7_adm_publi_convocations_copie'];
	else {
		header ('Location: adm_publi_convocations.php');
		exit;
	}
	if (isset($_SESSION['circonscript7_adm_publi_convocations_adr_cci'])) $adm_publi_convocations_adr_cci=$_SESSION['circonscript7_adm_publi_convocations_adr_cci'];
	else {
		header ('Location: adm_publi_convocations.php');
		exit;
	}
	if (isset($_SESSION['circonscript7_adm_publi_convocations_objet'])) $adm_publi_convocations_objet=$_SESSION['circonscript7_adm_publi_convocations_objet'];
	else {
		header ('Location: adm_publi_convocations.php');
		exit;
	}
	
	if (isset($_SESSION['circonscript7_adm_publi_convocations_stag_coches'])) $adm_publi_convocations_stag_coches=$_SESSION['circonscript7_adm_publi_convocations_stag_coches'];
	else $adm_publi_convocations_stag_coches=array();
	if (isset($_SESSION['circonscript7_adm_publi_convocations_stag_filtre_special'])) $adm_publi_convocations_stag_filtre_special=$_SESSION['circonscript7_adm_publi_convocations_stag_filtre_special'];
	else $adm_publi_convocations_stag_filtre_special=0;
	if (isset($_SESSION['circonscript7_adm_publi_convocations_stag_stagiaires'])) $adm_publi_convocations_stag_stagiaires=$_SESSION['circonscript7_adm_publi_convocations_stag_stagiaires'];
	else $adm_publi_convocations_stag_stagiaires='';
	if (isset($_SESSION['circonscript7_adm_publi_convocations_stag_ecoles'])) $adm_publi_convocations_stag_ecoles=$_SESSION['circonscript7_adm_publi_convocations_stag_ecoles'];
	else $adm_publi_convocations_stag_ecoles='';
	if (isset($_SESSION['circonscript7_adm_publi_convocations_stag_ecoles2'])) $adm_publi_convocations_stag_ecoles2=$_SESSION['circonscript7_adm_publi_convocations_stag_ecoles2'];
	else $adm_publi_convocations_stag_ecoles2='';
	//diffrents tris en cours
	$tris=array(
		'nom_asc'=> 'nom_stagiaire ASC, nom_ecole ASC',
		'nom_desc' => 'nom_stagiaire DESC, nom_ecole ASC',
		'ecole_asc'=>'nom_ecole ASC, nom_stagiaire ASC',
		'ecole_desc'=>'nom_ecole DESC,nom_stagiaire ASC',
		'niveau_asc'=>'niveau ASC, nom_stagiaire ASC',
		'niveau_desc'=>'niveau DESC, nom_stagiaire ASC',
		'date_asc'=>'date_publi_convoc ASC, nom_stagiaire ASC',
		'date_desc'=>'date_publi_convoc DESC, nom_stagiaire ASC',
		'groupe_asc'=>'groupe ASC, nom_stagiaire ASC',
		'groupe_desc'=>'groupe DESC, nom_stagiaire ASC'
	);
	if (isset($_SESSION['circonscript7_filtre_special_where'])) $filtre_special_where=$_SESSION['circonscript7_filtre_special_where'];
	else $filtre_special_where='';
	if (isset($_SESSION['circonscript7_filtre_special_having'])) $filtre_special_having=$_SESSION['circonscript7_filtre_special_having'];
	else $filtre_special_having='';
	if (isset($_SESSION['circonscript7_filtre_special_having2'])) $filtre_special_having2=$_SESSION['circonscript7_filtre_special_having2'];
	else $filtre_special_having2='';
	if (isset($_SESSION['circonscript7_filtre_special_actif'])) $filtre_special_actif=$_SESSION['circonscript7_filtre_special_actif'];
	else $filtre_special_actif=0;
	if ($filtre_special_actif==1) {
		$adm_publi_convocations_stag_filtre_special=1;
		$_SESSION['circonscript7_adm_publi_convocations_stag_filtre_special']=$adm_publi_convocations_stag_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	else if ($filtre_special_actif==2) { // supprimer filtre
		$adm_publi_convocations_stag_filtre_special=0;
		$_SESSION['circonscript7_adm_publi_convocations_stag_filtre_special']=$adm_publi_convocations_stag_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	if (isset($_SESSION['circonscript7_adm_publi_convocations_stag_date'])) $adm_publi_convocations_stag_date=$_SESSION['circonscript7_adm_publi_convocations_stag_date'];
	else {
		$d=getdate();
		$j=$d['mday'];
		$m=$d['mon'];
		$a=$d['year'];
		$adm_publi_convocations_stag_date=sprintf("%02d/%02d/%04d",$j,$m,$a);
	}
	$date_publipostage=dateSaisieEnSql($adm_publi_convocations_stag_date);
	
	if (isset($_POST['page'])) { // test sur page pour savoir si on a fait un POST
		$f1=isset($_POST['filtre_spe1'])?1:0;
		$f2=isset($_POST['filtre_spe2'])?1:0;
		if ($f1==$f2) {
			if ($adm_publi_convocations_stag_filtre_special!=$f1) {
				$adm_publi_convocations_stag_filtre_special=$f1;
				$_SESSION['circonscript7_adm_publi_convocations_stag_filtre_special']=$adm_publi_convocations_stag_filtre_special;
			}
		}
		else {
			$adm_publi_convocations_stag_filtre_special=!$adm_publi_convocations_stag_filtre_special;
			$_SESSION['circonscript7_adm_publi_convocations_stag_filtre_special']=$adm_publi_convocations_stag_filtre_special;
		}
   }

	if (isset($_GET['tri'])) {
		$tri_adm_publi_convocations_stag=$tris[$_GET['tri']];
		if (!isset($tri_adm_publi_convocations_stag)) $tri_adm_publi_convocations_stag=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_publi_convocations_stag']=$tri_adm_publi_convocations_stag;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_publi_convocations_stag'])) {
		$tri_adm_publi_convocations_stag=$_SESSION['circonscript7_tri_adm_publi_convocations_stag'];
	}
	else {
		$tri_adm_publi_convocations_stag=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_publi_convocations_stag']=$tri_adm_publi_convocations_stag;
	}	
	if (isset($_SESSION['circonscript7_filtre_adm_publi_convocations_stag'])) 
		$filtre_adm_publi_convocations_stag=$_SESSION['circonscript7_filtre_adm_publi_convocations_stag'];
	else $filtre_adm_publi_convocations_stag='';
   
   if (isset($_POST['chercher'])) {
		if (isset($_POST['filtre1'])) {
			$filtre1=normalise($_POST['filtre1']);
		}
		else $filtre1='';
		if (isset($_POST['filtre2'])) {
			$filtre2=normalise($_POST['filtre2']);
		}
		else $filtre2='';
		if( $filtre1!=$filtre_adm_publi_convocations_stag) $filtre_adm_publi_convocations_stag=$filtre1;
		else $filtre_adm_publi_convocations_stag=$filtre2;
		$_SESSION['circonscript7_filtre_adm_publi_convocations_stag']=$filtre_adm_publi_convocations_stag;    		
   }
   else if (isset($_POST['actualise'])) {
		$filtre_adm_publi_convocations_stag='';
		$_SESSION['circonscript7_filtre_adm_publi_convocations_stag']=$filtre_adm_publi_convocations_stag;
   }
	$taille=30;
	// Nombre de pages
	$q="SELECT COUNT( DISTINCT stagiaires.id_stagiaire) FROM convocations, stagiaires,ecoles WHERE convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo";
	$nb_stagiaires=queryValue($q,$h);
	if ($filtre_adm_publi_convocations_stag) {
		$filtre2=myLikeEscapeString($h,normaliseNom($filtre_adm_publi_convocations_stag));
		$q.= " AND (stagiaires.nom_f LIKE '%$filtre2%' OR stagiaires.prenom_f LIKE '%$filtre2%' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '%$filtre2%')";
	}
	$nb_elements=queryValue($q,$h);	
   	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	$page=0;
	if (isset($_SESSION['circonscript7_adm_publi_convocations_stag_page'])) $page=$_SESSION['circonscript7_adm_publi_convocations_stag_page'];
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   	if (--$page<0) $page=0;
   }
	$_SESSION['circonscript7_adm_publi_convocations_stag_page']=$page;
	if (isset($_POST['valider_date'])) {
		if (isset($_POST['edDate'])) $d=$_POST['edDate'];
		else $d='';
		$ds=dateSaisieEnSql($d);
		if ($ds=='') $erreur.="Format de date incorrect. ";
		$adm_publi_convocations_stag_date=$d;
		$_SESSION['circonscript7_adm_publi_convocations_stag_date']=$adm_publi_convocations_stag_date;
		$date_publipostage=$ds;
	 }
	while (isset($_POST['selection'])&& isset($_POST['valide_cache']) && $_POST['valide_cache']=='1') {
		if ($stag_etat!=3) {
			$erreur="L'envoi des convocations n'est pas possible car les convocations ne sont pas publies sur le site.";
			break;
		}
		$nb_publie=0;
		$nb_non_publie=0;
		$adm_publi_convocations_stag_stagiaires='';
		$adm_publi_convocations_stag_ecoles='';
		$adm_publi_convocations_stag_ecoles2='';	
		$adm_publi_convocations_stag_coches=array();
		$debut=true;
		$cci=$adm_publi_convocations_cci;
		$header=implode(file('_header.inc.txt'));
		if ($header=='') {
			$erreur="fichier _header.inc.txt non trouv ou incorrect sur le site";
			break;
		}
		$header=str_replace('<title></title>','<title>Convocations aux animations p&eacute;dagogiques</title>',$header);
		// url du site...
		if (!isset($url_site) || $url_site=='') {
			$domaine=$_SERVER['HTTP_HOST'];
			$path=$_SERVER['SCRIPT_NAME'];
			$t=explode('/',$path);
			if (sizeof($t)>1) {
				unset($t[sizeof($t)-1]);
				$path=implode('/',$t);
			}
			else $path='';
			$http='http';
			if (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS']=='on') $http='https';		
			$site="$http://$domaine$path/index.php";
		}
		else $site=$url_site.'/index.php';
		foreach($_POST['selection'] as $id_stagiaire) {
			$id_stagiaire=intval($id_stagiaire);
			$adm_publi_convocations_stag_coches[]=$id_stagiaire;
			$r=query("SELECT stagiaires.courriel, ecoles.courriel FROM stagiaires, ecoles WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole",$h);
			if ($erreur) break;
			$row=@mysqli_fetch_row($r);
			if ($erreur) break;
			$c_stag=$row[0];
			$c_eco=$row[1];
			if ($c_stag) {
				if ($adm_publi_convocations_stag_stagiaires) $adm_publi_convocations_stag_stagiaires.=',';
				$adm_publi_convocations_stag_stagiaires.=$c_stag;
			}
			else {
				if ($c_eco && strpos($adm_publi_convocations_stag_ecoles2,$c_eco)===false) {
					if($adm_publi_convocations_stag_ecoles2) $adm_publi_convocations_stag_ecoles2.=',';
					$adm_publi_convocations_stag_ecoles2.=$c_eco;
				}
			}
			if ($c_eco && strpos($adm_publi_convocations_stag_ecoles,$c_eco)===false) {
				if($adm_publi_convocations_stag_ecoles) $adm_publi_convocations_stag_ecoles.=',';
				$adm_publi_convocations_stag_ecoles.=$c_eco;
			}
			
			$n=publipostageStag($id_stagiaire,$c_eco,$adm_publi_convocations_adr_de,$adm_publi_convocations_nom_de,$cci,$adm_publi_convocations_copie,$adm_publi_convocations_adr_cci,$adm_publi_convocations_objet,$site,$header,$h);
			if ($erreur) break;
			if ($n>0 && $debut && $cci && $adm_publi_convocations_copie=='1') $cci=0;
			if ($n>0) {
				$debut=false;
				++$nb_publie;
			}
			else ++$nb_non_publie;
		}
		$_SESSION['circonscript7_adm_publi_convocations_stag_coches']=$adm_publi_convocations_stag_coches;
		$_SESSION['circonscript7_adm_publi_convocations_stag_ecoles']=$adm_publi_convocations_stag_ecoles;
		$_SESSION['circonscript7_adm_publi_convocations_stag_ecoles']=$adm_publi_convocations_stag_ecoles;
		$_SESSION['circonscript7_adm_publi_convocations_stag_stagiaires']=$adm_publi_convocations_stag_stagiaires;	
		$erreur.=" $nb_publie message(s) envoy(s)";
		if ($nb_non_publie>0) $erreur.=", $nb_non_publie stagiaire(s) ignor(s)";
		else $erreur.='.';
		break;
	}

function affichepages()
{
	global $nb_pages, $page,$id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_publi_convocations_stag.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}

function requete($h)
{
	global $id_circo,$page,$taille,$tri_adm_publi_convocations_stag,$id_seance, $filtre_adm_publi_convocations_stag,$filtre_special_where,$adm_publi_convocations_stag_filtre_special,$filtre_special_having, $date_publipostage;
	if ($date_publipostage=='') return '';
	$lim=$page*$taille;
	$filtre2='';
	if ($filtre_adm_publi_convocations_stag) $filtre2='%'.myLikeEscapeString($h,normaliseNom($filtre_adm_publi_convocations_stag)).'%';
	$q="SELECT stagiaires.id_stagiaire, concat( stagiaires.nom, ' ', stagiaires.prenom ) AS nom_stagiaire, stagiaires.courriel as courriel_stag, ecoles.nom AS nom_ecole, ecoles.courriel as courriel_ec, stagiaires.date_publi_convoc, stagiaires.niveau, groupes.libelle as groupe
	FROM (stagiaires,ecoles, convocations)
	LEFT JOIN groupes ON stagiaires.id_groupe=groupes.id_groupe
	WHERE ecoles.id_circo=$id_circo AND stagiaires.id_ecole=ecoles.id_ecole AND convocations.id_stagiaire=stagiaires.id_stagiaire AND (stagiaires.date_publi_convoc < '$date_publipostage' OR stagiaires.date_publi_convoc='9999-12-31')" ;
	$q1='';
	$q2='';
	if ($filtre2) 
		$q1="stagiaires.nom_f LIKE '$filtre2' OR stagiaires.prenom_f LIKE '$filtre2' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '$filtre2'";
	if ($adm_publi_convocations_stag_filtre_special && $filtre_special_where) 
		$q2="$filtre_special_where";
	if ($q1 && $q2) $q.=" AND ($q1) AND ($q2)";
	else if ($q1) $q.=" AND ($q1)";
	else if ($q2) $q.=" AND ($q2)";
	$q.=" GROUP BY stagiaires.id_stagiaire";
	if ($tri_adm_publi_convocations_stag) $q.=" ORDER BY $tri_adm_publi_convocations_stag";
	$q.=" LIMIT $lim , $taille";
	
	return $q;
}

function afficheListeStagiaires($h)
{
	global $tri_adm_publi_convocations_stag,$filtre_special_having,$filtre_special_having2, $adm_publi_convocations_stag_filtre_special,$adm_publi_convocations_stag_coches;
	

	$impair=0;
	$q=requete($h);
	if (!$q) return;
	$r=query($q,$h);
	if (($nb_stagiaires=@mysqli_num_rows($r))==0) {
		return;
	}
	while ($row=@mysqli_fetch_array($r)) {
		$id_stagiaire=$row['id_stagiaire'];
			if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		//print("<td>&nbsp;</td>\n");
		if ($row['courriel_stag'])
			printf("<td><a href=\"javascript:envoieMail3('%s','','')\">%s</a></td>\n",$row['courriel_stag'],htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		else
			printf("<td>%s</td>\n",htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		
		printf("<td>%s</td>\n",htmlentities(substr($row['niveau'],1,strlen($row['niveau'])-2),ENT_COMPAT,'ISO-8859-15'));
		if (!$row['courriel_ec'])
			printf("<td>%s</td>\n",htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		else 
			printf("<td><a href=\"javascript:envoieMail3('%s','','')\">%s</a></td>\n",$row['courriel_ec'],htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		$groupe=$row['groupe'];
		if (strlen($groupe)>=32) $groupe=substr($groupe,0,29).'...';
		if ($groupe)
			printf("<td>%s</td>\n",htmlentities($groupe,ENT_COMPAT,'ISO-8859-15'));
		else print "<td>&nbsp;</td>\n";
		printf("<td>%s</td>\n",dateSqlEnSaisie($row['date_publi_convoc']));
		print"<td class=\"centre\"><input type=\"checkbox\" name=\"selection[]\" value=\"$id_stagiaire\"";
		if (in_array($id_stagiaire,$adm_publi_convocations_stag_coches)) print" checked=\"checked\"";
		print " /></td>\n";
		print "</tr>\n";
	}
}

function publipostageStag($id_stagiaire, $courriel_ecole, $adr_de, $nom_de, $cci, $copie,$adr_cci, $objet,$site,$header,$h)
{
	global $id_circo,$erreur, $use_sso,$sso_portail,$sso_adresse_portail,$sso_bloque_exterieur;
	if (!$objet) return 0;
	//vrifie que le stagiaire est bien de la circo
	$r=query("SELECT stagiaires.nom,stagiaires.prenom, stagiaires.courriel as courriel_stag, utilisateurs.sso_login FROM stagiaires,utilisateurs WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_uti=utilisateurs.id_uti",$h);
	if (!$r) return 0;
	if (@mysqli_num_rows($r)==0) return 0;
	$row=@mysqli_fetch_array($r);
	$courriel_stag=$row['courriel_stag'];
	$sso_login=$row['sso_login'];
	if (!$courriel_stag) $couriel_stag=$courriel_ecole;
	if (!$courriel_stag) return 0;
	if ($adr_de==''||$nom_de=='') return 0;
	$frontiere='----='.md5(uniqid(mt_rand()));
	$msg_html='';
	$msg_txt='';                                  
	creerMessage($id_stagiaire,$h,$msg_html,$msg_txt);
	if ($msg_txt=='') return 0;
	if ($erreur) return 0;
	$nom=$row['nom'];
	$prenom=$row['prenom'];
	// Prparation du message texte
	$t="CONVOCATION AUX ANIMATIONS PEDAGOGIQUES\n\n";
	$t.="A l'attention de : $nom $prenom\n\n";
	$t.="Bonjour,\n";
	$t.="Ceci est un courriel automatique envoy par le logiciel Circon'script. Vous tes convoqu(e) aux animations pdagogiques ci-desssous.\n";
	if( $use_sso && $sso_adresse_portail) $t.="Accs via le portail $sso_portail: $sso_adresse_portail\n";
	if (!$use_sso || !$sso_login || !$sso_bloque_exterieur)
		$t.="Accs direct: $site.\n\n";
	$t.="\n";
	$msg_txt=$t.$msg_txt;
	// Prparation message html
	$t='';
	$t.="<body>\n<div id=\"conteneur\">\n<h1>Convocation aux animations p&eacute;dagogiques</h1>\n";
	$t.=sprintf("<p>&Agrave; l'attention de : %s %s</p>\n",htmlentities($nom,ENT_COMPAT,'ISO-8859-15'), htmlentities($prenom,ENT_COMPAT,'ISO-8859-15'));
	$t.="<p>Bonjour,</p>\n";
	$t.="<p>Ceci est un courriel automatique envoy&eacute; par le logiciel Circon'script. Vous &ecirc;tes convoqu&eacute;(e) aux animations p&eacute;dagogiques ci-dessous.</p>\n";
	if( $use_sso && $sso_adresse_portail) $t.="<p>Accs via le portail $sso_portail: <a href=\"$sso_adresse_portail\">$sso_adresse_portail</a></p>\n";
	if (!$use_sso || !$sso_login || !$sso_bloque_exterieur)
		$t.="<p>Accs direct: <a href=\"$site\">$site</a></p>\n";
	$t.="<p>&nbsp;</p>\n";

	$msg_html=$t.$msg_html."</div>\n</body>\n</html>";
	// ---------------HEADER
	$head="From: \"$nom_de\" <$adr_de>\r\n";
	$head.="Reply-To: $adr_de\r\n";
	if ($cci) $head.="Bcc: $adr_cci\r\n";
	$head.="MIME-Version: 1.0\r\n";
	$head.="Content-Type: multipart/alternative;\r\n";
	$head.="  boundary=\"$frontiere\";\r\n";
	//--------MESSAGE TEXTE
	$msg_final= "This is a multi-part message in MIME format.\n\n";
	$msg_final.='--'.$frontiere."\n";
	$msg_final.="Content-Type: text/plain; charset=\"ISO-8859-15\"\n";
	$msg_final.="Content-Transfer-Encoding: 8bit\n\n";
	$msg_final.=$msg_txt."\n\n";
	//----------MESSAGE HTML
	$msg_final.='--'.$frontiere."\n";
	$msg_final.="Content-Type: text/html; charset=ISO-8859-15\n";
	$msg_final.="Content-Transfer-Encoding: 7bit\n\n";
	$msg_final.=$header; // header html
	$msg_final.=$msg_html."\n";
	$msg_final.='--'.$frontiere."--\n";
	
	if (extension_loaded('mbstring')) {
		mb_internal_encoding('ISO-8859-15');
		$obj=mb_encode_mimeheader($objet, 'ISO-8859-15','Q',"\r\n");
	}
	else {
		$obj=$objet;
	}
	$b=@mail($courriel_stag,$obj,$msg_final,$head);
	if (!$b) {
		$erreur.="Problme d'envoi de courriels. Processus interrompu.";
		return 0;
	}
	$q="UPDATE stagiaires SET date_publi_convoc=NOW() WHERE id_stagiaire=$id_stagiaire";
	query($q,$h);
	return 1;
}

function creerMessage($id_stagiaire,$h,&$msg_htm,&$msg_txt)
{
	global $id_circo;
	$msg_htm='';
	$msg_txt='';
	$rd=query("SELECT id_domaine, libelle FROM domaines WHERE id_circo=$id_circo ORDER BY domaines.tri",$h);
	while ($domaine =@mysqli_fetch_array($rd)) {
		$id_domaine=$domaine['id_domaine'];
		$q="SELECT positions.id_anim, positions.id_theme FROM partages, seances, positions, domaines,themes,convocations WHERE partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=positions.id_anim AND positions.id_domaine=$id_domaine AND themes.id_theme=positions.id_theme AND seances.id_seance=convocations.id_seance AND convocations.id_stagiaire=$id_stagiaire GROUP BY positions.id_anim ORDER BY  themes.tri, positions.tri";
		$ra=query($q,$h); // toutes les animations partages par la circo en cours 
		$id_theme_courant=0;
		$id_domaine_courant=0;
		while ($row=@mysqli_fetch_array($ra)) {
			$htm='';
			$txt='';
			afficheUneAnimation($row['id_anim'],$id_stagiaire,$h,$htm,$txt);
			$msg_htm.=$htm;
			$msg_txt.=$txt;
		}
	}
}
function afficheUneAnimation($id_anim,$id_stagiaire,$h,&$htm,&$txt)
{
	global $id_circo;
	$htm='';
	$txt='';
	$q="SELECT intitule FROM animations WHERE id_anim=$id_anim";
	$intitule=queryValue($q,$h);
	if ($intitule=='') return'';
	$htm.="<h4>".htmlentities($intitule,ENT_COMPAT,'ISO-8859-15')."</h4>\n";
	$txt.="$intitule\n";
	$q="SELECT dates.date, dates.lieu, dates.duree, dates.horaire FROM dates,seances,convocations WHERE dates.id_seance=seances.id_seance AND seances.id_anim=$id_anim AND convocations.id_seance=seances.id_seance AND convocations.id_stagiaire=$id_stagiaire";
	$r=query($q,$h);
	$htm.='<p>';
	while ($row=@mysqli_fetch_row($r)) {
		$date=$row[0];
		if ($date==''||$date=='0000-00-00'|$date=='9999-12-31') $date='Date  dfinir';
		else $date=ucfirst(dateSQLEnTexteTxt($date));
		$horaire=horaireSqlEnHeure($row[3]);
		if ($horaire) $horaire="  $horaire";
		$htm.=sprintf("%s%s - %s (%s)<br/>\n",htmlentities($date,ENT_COMPAT,'ISO-8859-15'),htmlentities($horaire,ENT_COMPAT,'ISO-8859-15'),htmlentities($row[1],ENT_COMPAT,'ISO-8859-15'),reelEnHeure($row[2]));
		$txt.=sprintf("%s%s - %s (%s)\n",$date,$horaire,$row[1],reelEnHeureTxt($row[2], true));
	}
	$htm.="</p>\n";
	$txt.="\n";
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	   <script type="text/javascript" src="envoiemail.js"></script> 
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form

  laListe = leForm["selection[]"]

  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}
function confirmer()
{
	b=window.confirm("Confirmez l'envoi automatique des convocations vers les stagiaires slectionns");
	if (b) {
		document.formulaire.valide_cache.value="1";
		document.formulaire.submit();
	}

}
//-->
        </script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_publi_convocations_stag?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="adm_publi_convocations.php">pr&eacute;c&eacute;dent</a></li>
				</ul>
			</div>
		  <div id="corps">
            <h1>Publipostage: liste des stagiaires de la circonscription convoqu&eacute;s (<?php print $nb_stagiaires?>)</h1>
		      <?php if ($erreur) printf("<p class=\"erreur\">%s</p>",htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?>
		      <form name="form1" method="post" action="">
		        Montrer les stagiaires dont le dernier publipostage est ant&eacute;rieur &agrave; 
		        <input name="edDate" type="text" id="edDate" value="<?php print htmlentities($adm_publi_convocations_stag_date,ENT_COMPAT,'ISO-8859-15')?>" size="10" maxlength="10" />
                            <input name="valider_date" type="submit" class="bouton_standard" id="valider_date" value="Valider" />
		      </form>
		      <form method="post" name="formulaire"  action="">
				  <input type="hidden" name="page" value="<?php print htmlentities($page,ENT_COMPAT,'ISO-8859-15')?>"/>
				  <input name="valide_cache" type="hidden" id="valide_cache" value="0" />
				  <table align="center">
                  <tr align="center" valign="top">
                    <td><input name="filtre_spe1" type="checkbox" value="checkbox"  <?php if ($adm_publi_convocations_stag_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                      <a href="javascript:popUp('adm_filtre_simple_popup.php?url_ret=adm_publi_convocations_stag.php','console',600,500);">Utiliser filtre</a></td>
                    <td><div align="right">Chercher sur nom/pr&eacute;nom: &nbsp;
                      <input name="filtre1" type="text" id="filtre1" value="<?php print htmlentities($filtre_adm_publi_convocations_stag,ENT_COMPAT,'ISO-8859-15')?>" />
                    </div></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><div align="right">
                      <input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" />
                    </div></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><input name="valider" type="button" class="bouton_enregistre" value="valider" onclick="javascript:confirmer()"/></td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                      </b></p></td>
                  </tr>
                </table>
			    <table>
                  <tr class="table_entete">
                    <td>Nom stagiaire&nbsp; <a href="adm_publi_convocations_stag.php?tri=nom_asc"><img src="images/fleche_haut.png" alt="tri par nom ascendant" width="11" height="11" border="0" /></a><a href="adm_publi_convocations_stag.php?tri=nom_desc"><img src="images/fleche_bas.png" alt="tri par nom descendant" width="11" height="11" border="0" /></a></td>
                    <td>Niveau&nbsp;<br />
                    <a href="adm_publi_convocations_stag.php?tri=niveau_asc"><img src="images/fleche_haut.png" alt="tri par niveau ascendant" width="11" height="11" border="0" /></a><a href="adm_publi_convocations_stag.php?tri=niveau_desc"><img src="images/fleche_bas.png" alt="tri par niveau descendant" width="11" height="11" border="0" /></a></td>
                    <td>Ecole&nbsp;<a href="adm_publi_convocations_stag.php?tri=ecole_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_publi_convocations_stag.php?tri=ecole_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a></td>
                    <td>Groupe<a href="adm_publi_convocations_stag.php?tri=groupe_asc"><br />
                    <img src="images/fleche_haut.png" alt="tri par groupe ascendant" width="11" height="11" border="0" /></a><a href="adm_publi_convocations_stag.php?tri=groupe_desc"><img src="images/fleche_bas.png" alt="tri par groupe  descendante" width="11" height="11" border="0" /></a></td>
                    <td>Date dernier publiostage&nbsp;<a href="adm_publi_convocations_stag.php?tri=date_asc"><img src="images/fleche_haut.png" alt="tri par date ascendant" width="11" height="11" border="0" /></a><a href="adm_publi_convocations_stag.php?tri=date_desc"><img src="images/fleche_bas.png" alt="tri par date descendant" width="11" height="11" border="0" /></a> </td>
					<td>S&eacute;lection&nbsp;
                    <input type="checkbox" onclick="cocheTout(this)"/></td>
                  </tr>
				<?php  afficheListeStagiaires($h) ?>
				</table>
				<table align="center">
                  <tr align="center" valign="top">
                    <td><input name="filtre_spe2" type="checkbox" id="filtre_spe2" value="checkbox"  <?php if ($adm_publi_convocations_stag_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                      <a href="javascript:popUp('adm_filtre_simple_popup.php?url_ret=adm_publi_convocations_stag.php','console',600,500);">Utiliser filtre</a></td>
                    <td><div align="right">Chercher sur nom/pr&eacute;nom: &nbsp;
                      <input name="filtre2" type="text" id="filtre2" value="<?php print htmlentities($filtre_adm_publi_convocations_stag,ENT_COMPAT,'ISO-8859-15')?>" />
                    </div></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><input name="valider" type="button" class="bouton_enregistre" value="valider" onclick="javascript:confirmer()"/></td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                     </b></p></td>
                  </tr>
                </table>
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_publi_convocations_stag?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="adm_publi_convocations.php">pr&eacute;c&eacute;dent</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
