<?php
/* 
	Modification des quota
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');  
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_quota_modif=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_quota_modif']=$url_ret_adm_quota_modif;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_quota_modif'])) {
		$url_ret_adm_quota_modif=$_SESSION['circonscript7_url_ret_adm_quota_modif'];
	}
	else $url_ret_adm_quota_modif="adm_stagiaires.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo==1 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	if (isset($_SESSION['circonscript7_adm_quota_modif_niveau'])) $niveau=$_SESSION['circonscript7_adm_quota_modif_niveau'];
	else $niveau='';
	if (isset($_SESSION['circonscript7_adm_quota_modif_quota'])) $quota=$_SESSION['circonscript7_adm_quota_modif_quota'];
	else $quota='';
	if (isset($_SESSION['circonscript7_adm_quota_modif_id_ecole'])) $id_ecole=$_SESSION['circonscript7_adm_quota_modif_id_ecole'];
	else $id_ecole='';
	if (isset($_SESSION['circonscript7_adm_quota_modif_id_groupe'])) $id_groupe=$_SESSION['circonscript7_adm_quota_modif_id_groupe'];
	else $id_groupe='';
	while (isset($_POST['supprime'])) {
		foreach($_POST['supprime'] as $id_regle) {
			$id_regle=intval($id_regle);
			if ($erreur) break;
			if ($id_regle) {
				$n=queryValue("SELECT COUNT(*) FROM regles WHERE id_regle=$id_regle AND $id_circo=$id_circo",$h);
				if ($n==1) query("DELETE FROM regles WHERE id_regle=$id_regle",$h);
			}
		}
		break;
	}
	$r=query("SELECT quota,duree_seance,regle FROM circos WHERE id_circo=$id_circo",$h);
	$row=@mysqli_fetch_row($r);
	$quota_circo=$row[0];
	$duree_seance=$row[1];
	$regle_circo=$row[2];
	if (isset($_POST['ajouter'])) while(1) {
		if (!isset($_POST['quota'])) {
			$erreur='Quota non dfini';
			break;
		}
		$quota=decimal(normaliseT($_POST['quota'],7));
		if ($quota=='' || $quota<0 || $quota>999) {
			$erreur="Erreur sur le quota";
			break;
		}
		$niveau='';
		if (isset($_POST['coche_niveau'])) {
			if (isset($_POST['niveau_stag']))
				$niveau=trouveNiveau($h,$_POST['niveau_stag'],false);
			else if (isset($_POST['niveau_null']))
				$niveau=trouveNiveau($h,NULL,true);
			if ($niveau=='') {
				$erreur="Il faut dfinir un niveau";
				break;
			}
		}
		$id_ecole=0;
		if (isset($_POST['coche_ecole'])) {
			$id_ecole=trouveEcole($h,$_POST['ecoles']);
			if ($id_ecole==0) {
				$erreur="Il faut dfinir une cole";
				break;
			}
		}
		$id_groupe=0;
		if (isset($_POST['coche_groupe'])) {
			$id_groupe=trouveGroupe($h,$_POST['groupes']);
			if ($id_groupe<=0) {
				$erreur="Groupe incorrect.";
				break;
			}
		}
		if ($id_ecole>0 || $id_groupe>0 || $niveau!='')		
			ecrireRegle($h,$niveau,$id_ecole,$id_groupe,$quota);
		else
			$erreur="Il faut cocher une ou plusieurs cases.";
		$_SESSION['circonscript7_adm_quota_modif_niveau']=$niveau;
		$_SESSION['circonscript7_adm_quota_modif_quota']=$quota;
		$_SESSION['circonscript7_adm_quota_modif_id_ecole']=$id_ecole;
		$_SESSION['circonscript7_adm_quota_modif_id_groupe']=$id_groupe;
		// avertissement ventuel sur le quota ?
		$r=query("SELECT duree_seance, regle FROM circos WHERE id_circo=$id_circo",$h);
		if ($r) {
			$row=@mysqli_fetch_row($r);
			$duree_seance=$row[0];
			$regle=$row[1];
			$quota_nouv=quotaReelStagiaire($quota,100,$duree_seance,$regle);
			if ($quota !=$quota_nouv) $erreur.=sprintf(" AVERTISSEMENT: la nouvelle rgle est enregistre. Mais les rgles d'arrondi actuelles, dfinies en circo, paramtres, fixent le quota  %.02f au lieu de %.02f. ", $quota_nouv, $quota);
		}
		break;
	}
	
	
	
	
	while (isset($_POST['reinitialiser'])) {
		if (!isset($_POST['edoui']) || $_POST['edoui']!='oui') {
			$erreur="Il faut crire 'oui' dans le champ";
			break;
		}
		$q="SELECT id_stagiaire, quotite FROM stagiaires, ecoles WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo";
		$r=query($q,$h);
		$n=0;
		while ($row=@mysqli_fetch_row($r)) {
			$id_stagiaire=$row[0];
			$quotite=$row[1];
			$quota_reel=quotaReelStagiaire($quota_circo,$quotite,$duree_seance,$regle_circo);
			$q=sprintf("UPDATE stagiaires SET quota='%.2f', quota_reel='%.2f' WHERE id_stagiaire=$id_stagiaire",$quota_circo,$quota_reel);
			$r2=query($q,$h);
			if ($r2) ++$n;
		}
		$erreur.=" $n stagiaire(s) ont t rinitialiss.";
		break;
	} 
	// Appliquer les rgles aux stagiaires actuels
	while (isset($_POST['appliquer_a_tous'])) {
		$tout=false;
		if (isset($_POST['appliquer'])) 	$tout=$_POST['appliquer']=='tout';
		else {
			$erreur="Veuillez cocher une des deux cases, dans la section <em>Appliquer les rgles</em>.";
			break;
		}
		$regles=regles($id_circo,$h);
		if (count($regles)==0) {
			$erreur="Aucune rgle n'a t dfinie";
			break;
		}
		$q="SELECT id_stagiaire, quota, stagiaires.id_ecole, niveau, quotite, id_groupe FROM stagiaires,ecoles WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo";
		$r=query($q,$h);
		$nb=0;
		while (!$erreur && $row=@mysqli_fetch_array($r)) {
			$nb+=modifieQuotaStagiaire($h,$row, $regles,$duree_seance,$regle_circo, $quota_circo, $tout);
		}
		if (!$erreur) $erreur="$nb quota(s) modifi(s)";
		break;
	}
function modifieQuotaStagiaire($h,$stag,$regles,$duree_seance,$regle_circo, $quota_circo,$tout)
{
	$id_stagiaire=$stag['id_stagiaire'];
	$quota=quotaReferenceStagiaire($stag['id_ecole'],$stag['id_groupe'],$stag['niveau'],$regles);

	if ($quota>=0) {
		$quota_reel=sprintf("%.2f",quotaReelStagiaire($quota,$stag['quotite'],$duree_seance,$regle_circo));
		query("UPDATE stagiaires SET quota='$quota', quota_reel='$quota_reel' WHERE id_stagiaire=$id_stagiaire",$h);	
		return 1;
	}
	else if ($tout) {
		$quotite=$stag['quotite'];
		$quota_reel=quotaReelStagiaire($quota_circo,$quotite,$duree_seance,$regle_circo);
		$q=sprintf("UPDATE stagiaires SET quota='%.2f', quota_reel='%.2f' WHERE id_stagiaire=$id_stagiaire",$quota_circo,$quota_reel);
		query($q,$h);	
		return 1;
	}
	
	return 0;
	
}	
function ecrireRegle($h,$niveau,$id_ecole,$id_groupe,$quota)
{
	global $id_circo, $erreur;	
	$q="SELECT COUNT(*) FROM regles WHERE niveau LIKE '$niveau' AND id_ecole=$id_ecole AND quota='$quota' AND id_groupe=$id_groupe AND id_circo=$id_circo";
	$n=queryValue($q,$h);
	if ($n>0) {
		$erreur="Une rgle similaire a dj t dfinie";
		return;
	}
	$q="INSERT INTO regles(id_circo,id_ecole,niveau,quota,id_groupe) VALUES ('$id_circo','$id_ecole','$niveau','$quota','$id_groupe')";
	query($q,$h);
}	
function trouveNiveau($h,$niveau_stag, $niveau_null)
{

	$niveau='';
	if (isset($niveau_stag)) {
		$q="SELECT libelle FROM niveaux ORDER BY groupe, tri";
		$r=query($q,$h);
		$nvx=array();
		while ($row=@mysqli_fetch_row($r)) 
			$nvx[$row[0]]=0; //nv stocke les niveaux dans l'ordre
		foreach($niveau_stag as $n) {
			$niv=normaliseT($n,15);
			if (isset($nvx[$niv])) $nvx[$niv]=1;
		}
		foreach($nvx as $k=>$v) if ($v) $niveau.='/'.$k;
		if ($niveau=='') return '';
		else $niveau.='/';
	}
	else if (isset($niveau_null) && $niveau_null==true) {
		$niveau='//';
	}
	return $niveau;
}
function trouveEcole($h,$id_ecole) 
{
	global $id_circo;
	$id_ecole=intval($id_ecole);
	if (!isset($id_ecole)||$id_ecole==0) 
		return 0;
	$n=queryValue("SELECT COUNT(*) FROM ecoles WHERE id_ecole=$id_ecole AND id_circo=$id_circo",$h);
	return ($n!=1) ? 0: $id_ecole;
}
function trouveGroupe($h,$id_groupe)
{
	global $id_circo;
	$id_groupe=intval($id_groupe);
	if (!isset($id_groupe) || $id_groupe<=0) return 0;
	$n=queryValue("SELECT COUNT(*) FROM groupes WHERE id_groupe=$id_groupe AND id_circo=$id_circo",$h);
	if ($n!=1) return -1;
	return $id_groupe;
}
function afficheNiveaux($h)
{
	global $adm_quota_modif_niveau;
	$q="SELECT libelle, groupe FROM niveaux WHERE 1 ORDER BY groupe, tri";
	$r=query($q,$h);
	$col=-1;
	$lig=-1;
	$max_lig=0;
	$nv=array();
	$prec_groupe=-1;
	while ($row=@mysqli_fetch_row($r)) {
		if ($prec_groupe!=$row[1]) {
			$prec_groupe=$row[1];
			++$col;
			$lig=0;
		}
		else ++$lig;
		$nv[$col][$lig]=strtoupper($row[0]);
		if ($max_lig<$lig) $max_lig=$lig;
	}
	if ($prec_groupe==-1) return;
	$max_col=$col+1;
	++$max_lig;
	print "<table class=\"invisible\">\n";
	for ($lig=0;$lig<$max_lig;++$lig) {
		print "<tr>\n";
		for ($col=0;$col<$max_col;++$col) {
			print "<td>";
			if (isset($nv[$col][$lig])) {
				$chk='';
				if (!(strpos($adm_quota_modif_niveau,'/'.$nv[$col][$lig].'/')===false)) $chk='checked="1"';	
				$n=htmlentities($nv[$col][$lig],ENT_COMPAT,'ISO-8859-15');			
				printf("<input type=\"checkbox\" name=\"niveau_stag[]\" value=\"%s\" onclick=\"javascript:cocheNiveau()\" %s />%s\n",$n,$chk,$n);
			}
			else 
				print "&nbsp;";
			print "</td>\n";
		}
		print "</tr>\n";
	}
	print "<tr><td colspan=\"$max_col\"><input type=\"checkbox\" name=\"niveau_null\" value='0'  onclick=\"javascript:cocheNiveauNull()\" />niveau non d&eacute;fini (vide)</td></tr>\n"; 
	print "</table>\n";
}

function afficherregles($h)
{
	global $id_circo;
	$r=query("SELECT * FROM regles WHERE id_circo=$id_circo ORDER BY id_regle ASC",$h);
	$num=0;
	while ($row=@mysqli_fetch_array($r)) {
		++$num;
		$id_regle=$row['id_regle'];
		$niveau=$row['niveau'];
		$id_ecole=$row['id_ecole'];
		$quota=$row['quota'];
		$id_groupe=$row['id_groupe'];
		$regle='';
		if ($niveau) 
			$regle.=sprintf("Pour un niveau: %s",$niveau=='//'? "/vide/":$niveau); 
		if ($id_ecole) {
			$nom_ecole=queryValue("SELECT nom FROM ecoles WHERE id_ecole=$id_ecole",$h);
			if ($nom_ecole) {
				if (strlen($nom_ecole)>33) $nom_ecole=substr($nom_ecole,0,30).'...'; 
				if ($regle) $regle.=" ET p";
				else $regle='P';
				$regle.="our une cole: \"$nom_ecole\"";
			}
		}
		if ($id_groupe>0) {
			$nom_groupe=queryValue("SELECT libelle FROM groupes WHERE id_groupe=$id_groupe",$h);
			if ($nom_groupe) {
				if (strlen($nom_groupe)>33) $nom_groupe=substr($nom_groupe,0,30).'...';				
				if ($regle) $regle.=" ET p";
				else $regle='P';
				$regle.="our le groupe: \"$nom_groupe\"";
			}
		}
		$regle.=sprintf(" attribuer un quota de %.2f (%s)",$quota, reelEnHeureTxt($quota));
		$regle=htmlentities($regle,ENT_COMPAT,'ISO-8859-15');	
		print "<tr>\n";
		print "<td> $num </td>\n";
		print "<td>$regle</td>\n";
		print "<td class=\"centre\"><input type=\"checkbox\" name=\"supprime[]\" value=\"$id_regle\" /></td>\n";
		print "</tr>\n";
	
	}
}
function afficheEcoles($h)
{
	global $id_circo, $id_ecole;
//<option value="Ecole 1">01</option>	
	$q="SELECT id_ecole, nom FROM ecoles WHERE id_circo=$id_circo ORDER BY nom ASC";
	$r=query($q,$h);
	while($row=@mysqli_fetch_row($r)) {
		$id_ecole_courante=$row[0];
		$nom_ecole=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_ecole_courante\"";
		if (isset($id_ecole) && $id_ecole_courante==$id_ecole) print " selected=\"selected\"";
		print ">$nom_ecole</option>\n";
	}
}
function afficherGroupes($h)
{
	global $id_circo,$id_groupe;
	$q="SELECT id_groupe,libelle FROM groupes WHERE id_circo=$id_circo AND annee=0 ORDER BY libelle ASC";
	$r=query($q,$h);
	if (@mysqli_num_rows($r)==0) {
		print "<option value=\"0\">Aucun groupe n'est d&eacute;fini</option>\n";
		return;
	}
	while ($row=@mysqli_fetch_row($r)) {
		$id_groupe_courant=$row[0];
		$gr=$row[1];
		if (strlen($gr)>=64) $gr=substr($gr,0,61).'...';
		$groupe=htmlentities($gr,ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_groupe_courant\"";
		if (isset($id_groupe) && $id_groupe_courant==$id_groupe) print " selected=\"selected\"";
		print ">$groupe</option>\n";
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function effacerNiveaux(obj)
			{
			  leForm = obj.form;
			  laListe = leForm["niveau_stag[]"];
			
			  if (laListe != null) {
				if (laListe.length >0 ) {
				  for(i=0; i < laListe.length; i++) 
					laListe[i].checked = false;
				}
				else {
				  laListe.checked = false;
				 }
			  }
			  leForm.niveau_null.checked=false;	
			  leForm.coche_niveau.checked=false;
			}
			function cocheTout(obj)
			{
			  // on rcupre le formulaire des objets  modifier
			  leForm = obj.form
			
			  laListe = leForm["supprime[]"]
			
			  if (laListe != null)
				if (laListe.length != null)
				  // on modifie tous les lments
				  for(i=0; i < laListe.length; i++) 
					laListe[i].checked = obj.checked
				  
				 else 
				  laListe.checked = obj.checked
				
			  
			}
			function confirme()
			{
			  
			  leForm = document.formulaire;
			  laListe = leForm["supprime[]"];
				n=0;
				if (laListe != null) {
					if (laListe.length != null) {
						for (i=0;i<laListe.length; ++i) if (laListe[i].checked) ++n;
					}
					else {
						if (laListe.checked) ++n;
					}
				}
				if (n==0) alert("Il faut cocher les rgles  supprimer");
				else {
					b=window.confirm("Voulez-vous vraiment suprimer les rgles coches ?");
					if (b) {	
						document.formulaire.submit();
					}
				}				
			}
			function confirme2()
			{
				b=window.confirm("Voulez-vous vraiment appliquer les rgles aux stagiaires ?");
				if (b) 	
					document.form2.submit();
			}
		function cocheNiveauNull()
		{
			if (document.form1.niveau_null.checked==true) {
				laListe = document.form1["niveau_stag[]"];
				if (laListe != null)
					if (laListe.length >0 )
					  for(i=0; i < laListe.length; i++) 
						laListe[i].checked = false;
					else 
					  laListe.checked = false;
				document.form1.coche_niveau.checked=true;
			}
			else
				document.form1.coche_niveau.checked=false;
		}
		function cocheNiveau()
		{
			c=false;
			laListe = document.form1["niveau_stag[]"];
		
			if (laListe != null){
				if (laListe.length != null){
					for(i=0; i < laListe.length; i++) 
						if (laListe[i].checked) {
							c=true;
							break;
						}
					
				}	 
				else c=laListe.checked;
			}
			if (c) {
				document.form1.niveau_null.checked=false;
			}
			document.form1.coche_niveau.checked=c;
		}			
			
	//-->	
	</script></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_quota_modif?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
				<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
			  <h1>R&eacute;initialisation du quota d'heures pour tous les stagiaires</h1>
			  <p>Remettre le quota standard (<?php print reelEnHeure($quota_circo) ?>) &agrave; tous les stagiaires, sans application des r&egrave;gles &eacute;ventuelles ci-dessous. Le nombre d'heures de participation  d&ucirc; par chaque stagiaire sera recalcul&eacute; en fonction de sa quotit&eacute;. </p>
			  <p>Ecrire &quot;oui&quot; dans le champ ci-dessous, puis valider : </p>
			  <form id="form3" name="form3" method="post" action="">
			    <input name="edoui" type="text" id="edoui" size="3" maxlength="3" />
                            <input name="reinitialiser" type="submit" class="bouton_standard" id="reinitialiser" value="Effectuer la r&eacute;initialisation" />
			  </form>
			  <h1>Modification du quota d'heures pour certains stagiaires</h1>
			  <p>D&eacute;finissez les r&egrave;gles, cochez celles que vous voulez et cliquez sur le bouton 'Ajouter les r&egrave;gles coch&eacute;es'.  </p>
			  <p>Le nombre d'heures de participation aux animations p&eacute;dagogiques peut &ecirc;tre modul&eacute; en fonction de certains crit&egrave;res.</p>
			  <p><em>Exemple: certaines circonscriptions souhaitent que les directeurs ne participent qu'&agrave; 6 h d'animations p&eacute;dagogiques au lieu de 18h.</em></p>
				<p>Les crit&egrave;res forment des r&egrave;gles de gestion &eacute;num&eacute;r&eacute;es ci-dessous. </p>
				<p>Lorsqu'un nouveau stagiaire s'inscrit, le logiciel applique toutes les r&egrave;gles et prend celle qui donne le plus petit quota. L'ordre des r&egrave;gles n'a donc pas d'importance. Il est possible aussi d'appliquer les r&egrave;gles aux stagiaires d&eacute;j&agrave; inscrits. Si, au moment de l'inscription, aucune r&egrave;gle ne convient, alors c'est le quota par d&eacute;faut qui s'applique.  </p>
				<h2>Les r&egrave;gles : </h2>
                      <form id="form1" name="form1" method="post" action="">
				<table>
                  <tr>
                    <td>Attribuer un quota de : 
                      <input name="quota" type="text" id="quota" value="<?php print htmlentities($quota,ENT_COMPAT,'ISO-8859-15') ?>" size="7" maxlength="7" />                    
                      <em>valeur d&eacute;cimale indiquant le nombre d'heures</em></td>
                    <td>Exemple: 3.5 = 3h30mn </td>
                    <td>&nbsp;</td>
                  </tr>
                  <tr>
                    <td colspan="3"><hr /></td>
                  </tr>
                  <tr>
                    <td>&agrave; tous les stagiaires poss&eacute;dant un de ces niveaux<br /></td>
                    <td><?php afficheNiveaux($h)?>
                    <input name="effacer" type="button" class="bouton_standard" value="Effacer niveaux" onclick="javascript:effacerNiveaux(this)" /></td>
                    <td><input name="coche_niveau" type="checkbox" id="coche_niveau" value="checkbox" /></td>
                  </tr>
                  <tr>
                    <td colspan="3"><hr /></td>
                  </tr>
                  <tr>
                    <td>aux stagiaires de l'&eacute;cole </td>
                    <td><select name="ecoles" id="ecoles" onchange="javascript:document.form1.coche_ecole.checked=true" >
                      <?php afficheEcoles($h)?>
                    </select></td>
                    <td><input name="coche_ecole" type="checkbox" id="coche_ecole" value="checkbox" /></td>
                  </tr>
                  <tr>
                    <td colspan="3"><hr /></td>
                  </tr>
                  <tr>
                    <td>aux stagiaire du groupe</td>
                    <td><select name="groupes" id="groupes" onchange="javascript:document.form1.coche_groupe.checked=true">
                      <?php afficherGroupes($h)?>
                                        </select></td>
                    <td><input name="coche_groupe" type="checkbox" id="coche_groupe" value="checkbox" /></td>
                  </tr>
                  <tr>
                    <td colspan="3"><hr /></td>
                  </tr>
                </table>
                      <p align="center">
                        <input name="ajouter" type="submit" class="bouton_standard" id="ajouter" value="Ajouter les r&egrave;gles coch&eacute;es" />
                      </p>
                      <p align="center">Remarque: la r&egrave;gle ajout&eacute;e sera appliqu&eacute;e pour tout nouveau stagiaire que vous cr&eacute;&eacute;ez ou qui s'inscrit post&eacute;rieurement &agrave; la d&eacute;finition de la r&egrave;gle.</p>
                      <p align="center">Si vous voulez appliquer les r&egrave;gles &agrave; tous les stagiaires d&eacute;j&agrave; pr&eacute;sents dans la base, rendez-vous au paragraphe ci-dessous (&quot;Appliquer les r&egrave;gles...&quot;) </p>
                      </form>
				<form method="post" name="formulaire" action="" >
                  <table>
                    <tr class="table_entete">
                      <td>N&deg;</td>
                      <td>R&egrave;gle</td>
                      <td>Suppr.
                          <input type="checkbox" name="cochetout" value="0" onclick="cocheTout(this)" /></td>
                    </tr>
                    <?php afficherregles($h) ?>
					<tr>
					<td colspan="2"><div align="right">Supprimer les r&egrave;gles&nbsp;: </div></td>
					<td>
				  <p align="center">
				    <input name="effacer" type="button" class="bouton_supprimer" value="Supprimer" onclick="javascript:confirme()" />
				  </p>
          </td>
				</tr>
				  </table>
			</form>
				  <hr />
				  <form name="form2" method="post" action="">
				  <p align="left">&nbsp;</p>
				  <h3 align="left">Appliquer les r&egrave;gles...</h3>
				  <p align="left">
				    <input type="radio" name="appliquer" value="tout" /> 
				    A tous les stagiaires de la circo d&eacute;j&agrave; dans la base, sans exception. Tous les quotas sont recalcul&eacute;s en fonction de la quotit&eacute;, puis les r&egrave;gles sont appliqu&eacute;es.</p>
				  <p align="left">
				    <input type="radio" name="appliquer" value="partie" />
				  Aux stagiaires concern&eacute;s par les r&egrave;gles, et uniquement eux. Les autres ne sont pas modifi&eacute;s. </p>
				  <p align="left">&nbsp;</p>
				  <p align="center">
				    <input name="appliquer_a_tous" type="hidden" id="appliquer_a_tous" />
				    <input name="valider" type="button" class="bouton_standard" id="valider" value="Appliquer imm&eacute;diatement ces r&egrave;gles aux stagiaires d&eacute;j&agrave; enregistr&eacute;s" onclick="javascript:confirme2()" />
				  </p>
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_quota_modif?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
