<?php
/* 
	RAZ tables
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_raz=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_raz']=$url_ret_adm_raz;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_raz'])) {
		$url_ret_adm_raz=$_SESSION['circonscript7_url_ret_adm_raz'];
	}
	else $url_ret_adm_raz="adm_configuration.php";
	
	$erreur='';
	$resultat='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_mdp.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$nb_autorisations=2;
	$autorisations=queryValue("SELECT autorisations FROM general",$h);
	if (strlen($autorisations)<$nb_autorisations) $autorisations.=str_repeat("0",$nb_autorisations-strlen($autorisations));
	if (isset($_POST['fermer'])) {
		$q="UPDATE circos SET stag_etat=0, stag_enregistrement=0 WHERE id_circo=$id_circo";
		query($q,$h);
	}
	while (isset($_POST['supprimer'])) {
		@set_time_limit(0);
		$conf=0;
		if (isset($_POST['confirmer']) && $_POST['confirmer']=='oui') $conf=1;
		if (!$conf) {
			$erreur="Confirmation absente.";
			break;
		}
		$n=0;
		$resultat='';
		foreach($_POST['supprimer'] as $v) {
			if ($v=='plan_futur') supprimerPlanFutur($h);
			else ++$n;
		}
		if ($n==0) break;
		$stag_etat=queryValue("SELECT stag_etat FROM circos WHERE id_circo=$id_circo",$h);
		if ($stag_etat!=0) {
			$erreur="Le site n'est pas ferm. Opration annule.";
			break;
		}
		foreach($_POST['supprimer'] as $v) 
			switch ($v) {
				case 'convoc': supprimerConvoc($h);break;
				case 'inscr': supprimerInscr($h); break;
				case 'stag': supprimerStag($h);break;
				case 'imports': supprimerImport($h);break;
				case 'exports': supprimerExport($h);break;
				case 'plan': supprimerPlan($h);break;
				case 'appartenance': supprimerAppartenance($h);break;
				case 'groupes': supprimerGroupes($h);break;
				case 'actualiser': actualiserPlan($h);break;
			}
		break;
	}
	if ($erreur) $erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');

function supprimerPlanFutur($h)
{
	global $erreur,$id_circo,$resultat;                   
	$r=query("SELECT id_domaine FROM domaines WHERE id_circo=$id_circo AND annee=1",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_domaine=$row[0];
		$r2=query("SELECT animations.id_anim FROM (positions,animations) WHERE positions.id_domaine=$id_domaine AND positions.id_anim=animations.id_anim AND animations.id_circo=$id_circo",$h); //test inutile mais prsent pour future extensions (pas d'importation dans le plan futur pour le moment)
		while ($row2=@mysqli_fetch_row($r2)) {
			$id_anim=$row2[0];
			$r3=query("SELECT id_seance FROM seances WHERE seances.id_anim=$id_anim",$h);
			while ($row3=@mysqli_fetch_row($r3)) {
				$id_seance=$row3[0];
				$r4=query("SELECT id_date FROM dates WHERE id_seance=$id_seance",$h);
				while( $row4=@mysqli_fetch_row($r4)) {
					$id_date=$row4[0];
					query("UPDATE intervenants INNER JOIN interventions ON interventions.id_intervenant=intervenants.id_intervenant AND interventions.id_date=$id_date SET ical_timestamp=NULL, ical_cache=NULL",$h);
					query("DELETE FROM interventions WHERE id_date=$id_date",$h);
				}
				query("DELETE FROM groupements WHERE id_seance=$id_seance",$h);
				query("DELETE FROM partages WHERE id_seance=$id_seance",$h);
				query("DELETE FROM dates WHERE id_seance=$id_seance",$h);
			}	
			query("DELETE FROM seances WHERE id_anim=$id_anim",$h);
			query("DELETE FROM animations WHERE id_anim=$id_anim",$h);	
		}
		query("DELETE FROM positions WHERE id_domaine=$id_domaine",$h);
	}
	query("DELETE FROM groupes WHERE id_circo=$id_circo AND annee=1",$h);
	query("DELETE FROM domaines WHERE id_circo=$id_circo AND annee=1",$h);	
	query("DELETE FROM themes WHERE id_circo=$id_circo AND annee=1",$h);
	$resultat.="Plan futur supprim. ";
}

function actualiserPlan($h)
{
	global $erreur,$id_circo,$resultat;                   
	$n1=queryValue("SELECT COUNT(*) FROM domaines WHERE domaines.id_circo=$id_circo AND domaines.annee=0",$h);
	$n2=queryValue("SELECT COUNT(*) FROM themes WHERE themes.id_circo=$id_circo AND themes.annee=0",$h);
	$n3=queryValue("SELECT COUNT(*) FROM groupes WHERE groupes.id_circo=$id_circo AND groupes.annee=0",$h);
	
	if ($n1+$n2+$n3!=0) {
		$erreur="Plan non actualis car le plan actuel n'a pas t compltement supprim. ";
		if ($n1) $erreur.="Il reste des domaines. ";
		if ($n2) $erreur.="Il reste des thmes. ";
		if ($n3) $erreur.="Il reste des groupes. ";
		
		return;
	}
	query("UPDATE domaines SET annee=0 WHERE id_circo=$id_circo",$h);
	query("UPDATE themes SET annee=0 WHERE id_circo=$id_circo",$h);
	query("UPDATE groupes SET annee=0 WHERE id_circo=$id_circo",$h);
	query("UPDATE circos SET lien_externe0=lien_externe1, legende_lien_externe0=legende_lien_externe1, lien_externe1='',legende_lien_externe1=''",$h);
	$autoriser_plan_futur=queryValue("SELECT autoriser_plan_futur FROM circos WHERE id_circo=$id_circo",$h);
	if ($autoriser_plan_futur && isset($_SESSION['circonscript7_annee'])) $_SESSION['circonscript7_annee']=0;
	if (!$erreur) $resultat="Plan actualis";
}
function supprimerConvoc($h)
{
	global $erreur,$id_circo,$resultat;                   
	if ($erreur) return;
	query("DELETE absences FROM absences, stagiaires,ecoles WHERE absences.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h) ;
	if ($erreur) return;
	query("DELETE convocations from convocations,stagiaires,ecoles WHERE  convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	if (!$erreur) 
		$resultat.="Convocations supprimes - traitement des absences rinitialis. ";
	query("UPDATE inscriptions INNER JOIN stagiaires ON stagiaires.id_stagiaire=inscriptions.id_stagiaire INNER JOIN ecoles ON ecoles.id_ecole=stagiaires.id_ecole AND  ecoles.id_circo=$id_circo SET traite=1",$h);

}
function supprimerInscr($h)
{
	global $erreur,$id_circo,$resultat;
	if ($erreur) return;
	$n=queryValue("SELECT COUNT(*) FROM convocations, stagiaires, ecoles WHERE convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	if ($n!=0) {
		$erreur.=" Inscriptions non supprimes car il reste des convocations.";
		return;
	}
	query("DELETE inscriptions FROM inscriptions, stagiaires,ecoles WHERE inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	if (!$erreur) 
		$resultat.="Inscriptions supprimes. ";

}
function supprimerStag($h)
{
	global $erreur,$id_circo,$resultat;
	if ($erreur) return;
	$n=queryValue("SELECT COUNT(*) FROM inscriptions, stagiaires, ecoles WHERE inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	if (!$n)
		$n=queryValue("SELECT COUNT(*) FROM convocations, stagiaires, ecoles WHERE convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	if (!$n)
		$n=queryValue("SELECT COUNT(*) FROM absences, stagiaires, ecoles WHERE absences.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	if ($n!=0) {
		$erreur.=" Stagiaires non supprims car il reste des convocations ou des inscriptions ou des absences.";
		return;
	}
	// supprimer les stagiaires avec leurs comptes utilisateurs
	$r=query("SELECT id_stagiaire, id_uti FROM stagiaires,ecoles WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_stagiaire=$row[0];
		$id_uti=$row[1];
		query("DELETE FROM stagiaires WHERE id_stagiaire=$id_stagiaire",$h);
		if(orphelin($id_uti,$h))
			query("DELETE FROM utilisateurs WHERE id_uti=$id_uti",$h);
	}	
	if (!$erreur) 
		$resultat.="Stagiaires supprims. ";
}
function supprimerExport($h)
{
	global $erreur,$id_circo,$resultat,$autorisations;
	if ($erreur) return;
	if ($autorisations[0]=='0' && !isset($_SESSION['circonscript7_administration'])) {
		$erreur="Vous n'avez pas l'autorisation d'effectuer cette action";
		return;
	}	
	$r=query("SELECT partages.id_seance FROM partages,seances, animations, positions, domaines WHERE partages.id_circo<>$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo AND animations.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0 GROUP BY partages.id_seance",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_seance=$row[0];
		query("DELETE inscriptions FROM inscriptions,stagiaires,ecoles WHERE inscriptions.id_seance=$id_seance AND inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo<>$id_circo",$h);
		query("DELETE convocations FROM convocations,stagiaires,ecoles WHERE convocations.id_seance=$id_seance AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo<>$id_circo",$h);
		query("DELETE absences FROM absences,dates,stagiaires,ecoles WHERE absences.id_date=dates.id_date AND dates.id_seance=$id_seance AND absences.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo<>$id_circo",$h);
		query("DELETE groupements FROM groupements,groupes WHERE groupements.id_seance=$id_seance AND groupements.id_groupe=groupes.id_groupe AND groupes.id_circo<>$id_circo",$h); // dtruit les groupements extrieurs
		query("DELETE items FROM items,listes WHERE items.id_seance=$id_seance AND items.id_liste=listes.id_liste AND listes.id_circo<>$id_circo",$h);
	
	}
	if(!$erreur) $resultat.="Inscriptions, convocations, absences des stagiaires extrieurs supprimes. ";
}
function supprimerImport($h)
{
	global $erreur,$id_circo,$resultat;
	if ($erreur) return;
	$n=queryValue("SELECT COUNT(*) FROM convocations,inscriptions, stagiaires, ecoles WHERE convocations.id_stagiaire=stagiaires.id_stagiaire AND inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	if ($n<>0) {
		$erreur.=" Importations non supprimes car il reste des convocations ou des inscriptions.";
		return;
	}
	// mettre  0 les partages de l'anne en cours.
	$r=query("SELECT partages.id_partage,partages.id_seance FROM partages,seances,animations,positions,domaines WHERE accepte=1 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo<>$id_circo AND animations.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_partage=$row[0];
		$id_seance=$row[1];
		query("UPDATE partages SET accepte=0 WHERE id_partage=$id_partage",$h);
		query("DELETE positions FROM seances,positions,domaines WHERE seances.id_seance=$id_seance AND seances.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo",$h);
		query("DELETE groupements FROM groupements,groupes WHERE groupements.id_seance=$id_seance AND groupements.id_groupe=groupes.id_groupe AND groupes.id_circo=$id_circo",$h);
		query("DELETE items FROM items,listes WHERE items.id_seance=$id_seance AND items.id_liste=listes.id_liste AND listes.id_circo=$id_circo",$h);
	}
	if (!$erreur) $resultat.="Importations supprimes. ";

}
function supprimerPlan($h)
{
	global $erreur,$id_circo,$resultat;
	if ($erreur) return;

	$n=queryValue("SELECT COUNT(*) FROM convocations, seances, animations WHERE convocations.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo",$h);
	if (!$n) $n=queryValue("SELECT COUNT(*) FROM inscriptions, seances, animations WHERE inscriptions.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo",$h);
	if ($n) {
		$erreur.=" Plan non supprim car il reste des convocations ou des inscriptions (de la circo ou hors circo).";
		return;
	}
	$n=queryValue("SELECT COUNT(*) FROM partages, seances,animations WHERE partages.accepte=1 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo<>$id_circo",$h);
	if ($n) {
		$erreur.=" Plan non supprim car il reste des importations d'animations.";
		return;
	}

	query("DELETE groupements FROM groupements,seances,animations,groupes WHERE groupements.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo AND groupements.id_groupe=groupes.id_groupe AND groupes.annee=0",$h) ;// supprime tout groupement (mme extrieur) faisant rfrence  la circo
	query("DELETE groupements FROM groupements,groupes WHERE groupements.id_groupe=groupes.id_groupe AND groupes.id_circo=$id_circo AND groupes.annee=0",$h) ; // dtruire tout groupement de la circo (il reste les groupements sur sances importes)
	query("DELETE partages FROM partages, seances, animations,positions,domaines WHERE partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo AND animations.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.annee=0 ",$h) ;
	query("DELETE items FROM items, seances, animations WHERE items.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo",$h) ; // dtruire tout item, mme extrieur, faisant rfrence  la circo. On ne teste pas l'anne car les items sont valables uniquement dans l'anne en cours 
	query("DELETE items FROM items,listes WHERE listes.id_circo=$id_circo AND items.id_liste=listes.id_liste",$h) ; // dtruire le reste des items de la circo
	query("DELETE FROM listes WHERE id_circo=$id_circo",$h);
	if ($erreur) return;
	query("DELETE interventions FROM interventions,dates,seances,positions,animations,domaines WHERE interventions.id_date=dates.id_date AND dates.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0",$h) ;
	query("DELETE dates FROM dates,seances, animations, positions,domaines WHERE dates.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0",$h) ;
	if ($erreur) return;
	query("DELETE seances FROM seances,animations,positions,domaines WHERE seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0",$h) ;
	if ($erreur) return;
	$r=query("SELECT animations.id_anim FROM animations, positions, domaines WHERE animations.id_circo=$id_circo AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.annee=0 AND domaines.id_circo=$id_circo",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_anim=$row[0];
		query("DELETE FROM positions WHERE id_anim=$id_anim",$h);
		query("DELETE FROM animations WHERE id_anim=$id_anim",$h);
	}
	if ($erreur) return;
	query("DELETE themes FROM themes WHERE themes.id_circo=$id_circo AND themes.annee=0",$h) ;
	if ($erreur) return;
	query("DELETE domaines FROM domaines WHERE domaines.id_circo=$id_circo AND domaines.annee=0",$h) ;
	
	if (!$erreur) $resultat.="Plan de formation courant supprim. ";

}
function supprimerGroupes($h)
{
	global $erreur,$id_circo,$resultat;
	if ($erreur) return;
	$n=queryValue("SELECT COUNT(*) FROM stagiaires,ecoles WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo AND stagiaires.id_groupe!=0",$h);
	if ($n>0) {
		$erreur="Impossible de supprimer les groupes tant que des stagiaires y sont inscrits.";
		return;
	}
	query("DELETE groupements FROM groupements,groupes WHERE groupements.id_groupe=groupes.id_groupe AND groupes.id_circo=$id_circo AND groupes.annee=0",$h) ;
	query("DELETE regles FROM regles, groupes WHERE regles.id_groupe=groupes.id_groupe AND groupes.id_circo=$id_circo AND groupes.annee=0",$h);
	query("DELETE FROM groupes WHERE id_circo=$id_circo AND annee=0",$h);
	if (!$erreur) $resultat="Groupes supprims. ";
}
function supprimerAppartenance($h)
{
	global $erreur,$id_circo,$resultat;
	if ($erreur) return;
	$r=query("SELECT id_ecole FROM ecoles WHERE id_circo=$id_circo",$h);
	while (!$erreur && $row=@mysqli_fetch_row($r) ) {
		$id_ecole=$row[0];
		query("UPDATE stagiaires SET id_groupe=0 WHERE id_ecole=$id_ecole",$h);
	}
	if (!$erreur) $resultat="Rpartition des stagiaires dans les groupes supprime.";

}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
		<script type="text/javascript">
		<!--			
			function bascule1(obj)
			{
			  	if (!obj.checked) return;
			  	leForm = document.formulaire;
				laListe = leForm["supprimer[]"];
				for (i=0;i<laListe.length; ++i) if (laListe[i].value=='plan_futur') {
					laListe[i].checked=false;
					break;
				}
			  
			}
			function bascule2(obj)
			{
			  	if (!obj.checked) return;
				b=window.confirm("Vous allez perdre votre plan futur (plus possible de l'actualiser).\nVoulez-vous vraiment le supprimer ?");
				if (!b) {
					obj.checked=false;
					return;
				}
				
			  	leForm = document.formulaire;
				laListe = leForm["supprimer[]"];
				for (i=0;i<laListe.length; ++i) if (laListe[i].value=='actualiser') {
					if (laListe[i].checked) {
						b=window.confirm("Vous supprimez le plan de formation futur alors que vous aviez dcid de l'actualiser ! Vous allez perdre votre plan futur. Confirmez-vous la suppression du plan futur (plus possible de l'actualiser) ?");
						if (b) laListe[i].checked=false;
						else obj.checked=false;	
					}
					break;
				}

			}
			function car(event)
			{
				if (event.keyCode==13)  confirme();
			}
			function confirme()
			{
			  
			  leForm = document.formulaire;
			  laListe = leForm["supprimer[]"];
				n=0;
				if (laListe != null) {
					if (laListe.length != null) {
						for (i=0;i<laListe.length; ++i) if (laListe[i].checked) ++n;
					}
					else {
						if (laListe.checked) ++n;
					}
				}
				if (leForm.fermer.checked)++n;
				if (n==0) alert("Rien n'est coch !");
				else {
					leConfirme=leForm["confirmer"];
					if (leConfirme.value!="oui") 
						alert("Vous devez confirmer vos choix");
					else {
						b=window.confirm("Voulez-vous vraiment rinitialiser les lments cochs ?");
						if (b) 	
							document.formulaire.submit();
					}				
				}
			}
		//-->	
		</script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_raz?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">
		  <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>\n";		  	 
		  	if ($resultat) print "<p class=\"erreur\">$resultat</p>\n";?>
		    <h1>Remise &agrave; Z&eacute;ro: initialisation des tables</h1>
		    <p>Pour que les initialisations puissent avoir lieu, le site doit &ecirc;tre ferm&eacute;. </p>
		    <p>Dans chaque section, les &eacute;tapes  doivent &ecirc;tre effectu&eacute;es dans l'ordre. Pour passer &agrave; l'&eacute;tape suivante, il faut que l'&eacute;tape pr&eacute;c&eacute;dente ait &eacute;t&eacute; r&eacute;alis&eacute;e (sauf suppression du plan futur). </p>

			<form name="formulaire" method="post" action="">
		      <h2>Supprimer le plan futur <span class="attention">( ATTENTION !!! SEULEMENT si vous d&eacute;cidez de ne pas l'actualiser) </span></h2>
		      <p>
                <input name="supprimer[]" type="checkbox"   value="plan_futur" onclick="javascript:bascule2(this)" />
                <strong>Supprimer</strong> le plan futur (les animations, groupes, domaines et th&egrave;mes futurs sont tous supprim&eacute;s). Il n''est pas n&eacute;cessaire de fermer le site pour supprimer le plan futur. <strong>Attention dans ce cas vous ne pourrez plus actualiser le plan futur ! </strong></p>
		      <hr />
		      <h2>Le site </h2>
		      <p>
		        <input name="fermer" type="checkbox" id="fermer"  value="site" />
		        <strong>Fermer le site aux stagiaires</strong>. Si le site n'est pas ferm&eacute;, les op&eacute;rations ci-dessous ne peuvent avoir lieu (sauf suppression du plan futur). </p>
		      <h2>Les stagiaires </h2>
		      <p>
		        <?php 
					if ($autorisations[1]=='1') print '<input name="supprimer[]" type="checkbox" value="convoc" />';
              		else {
						print "<span class=\"nopadding`\"><input class=\"bouton_interdit\" type=\"button\" onclick=\"javascript:popUp('adm_expl_autorisations.php?autorisation=0','console',600,400)\" /></span>";
						print "\n";
						if (isset($_SESSION['circonscript7_administration'])) print '<input name="supprimer[]" type="checkbox" value="convoc" /><em>Superadmin</em> ';
					}	
			  	?>
	          <strong>Supprimer toutes les convocations</strong> des stagiaires de	la	circo et r&eacute;initialiser le traitement des absences </p>
		      <p>
		        <input name="supprimer[]" type="checkbox" value="inscr" />
		        <strong>Supprimer toutes les inscriptions</strong> des stagiaires de la circo </p>
		      
			  <p>
		        <?php 
					if ($autorisations[0]=='1') print '<input name="supprimer[]" type="checkbox" value="exports" />';
              		else {
						print "<span class=\"nopadding`\"><input class=\"bouton_interdit\" type=\"button\" onclick=\"javascript:popUp('adm_expl_autorisations.php?autorisation=0','console',600,400)\" /></span>";
						print "\n";
						if (isset($_SESSION['circonscript7_administration'])) print '<input name="supprimer[]" type="checkbox" value="exports" /><em>Superadmin</em> ';
					}	
			  	?>
			  <strong>Supprimer les inscriptions et convocations des stagiaires ext&eacute;rieurs &agrave; la circo</strong> aux animations que vous exportez <em>(plan actuel). </em><strong>Pr&eacute;venez les circos avec lesquelles vous travaillez</strong> car ceci va modifier les inscriptions, convocations et absences des autres circos. <em>Cette action peut &ecirc;tre interdite par l'administrateur. </em></p>
		      <p><strong>
              <input name="supprimer[]" type="checkbox" value="stag" />
Supprimer les stagiaires</strong> de la circo</p>
		      <hr />
		      <h2>Les groupes</h2>
		      <p>
		        <input name="supprimer[]" type="checkbox" value="appartenance" />
		        <strong>&Ocirc;ter l'affectation des stagiaires</strong> aux groupes		      </p>
		      <p>
		        <input name="supprimer[]" type="checkbox" value="groupes" />
                <strong>Supprimer les groupe</strong>s (plan actuel uniquement) </p>
		      <h2>Les animations</h2>
		      <p>
		        <input name="supprimer[]" type="checkbox" value="imports" />
		        <strong>Supprimer toutes les importations </strong>d'animations ext&eacute;rieures &agrave; la circo. Aucun stagiaire de votre circo ne doit y &ecirc;tre inscrit ou convoqu&eacute;.
		      <em>(uniquement pour le plan actuel) </em></p>
		      <p>
		        <input name="supprimer[]" type="checkbox"  value="plan" />
	          <strong>Supprimer tout le plan de formation</strong>. <em>(uniquement le plan actuel). </em>Les domaines et th&egrave;mes actuels seront supprim&eacute;s aussi, ainsi que toutes les exportations. </p>
		      <p class="remarque">Pr&eacute;-requis: il ne doit plus y avoir de convocation ou d'inscription, y compris de stagiaires hors de la circo. </p>
		      <h2>Le plan de formation futur <em>(si vous l'avez programm&eacute;)</em> </h2>
		      <p>
<input name="supprimer[]" type="checkbox"  value="actualiser" onclick="javascript:bascule1(this)"/>		        
Actualiser le plan de formation futur: il devient le plan de formation <strong>actuel</strong>; les domaines, th&egrave;mes et groupes futurs deviennent actuels, eux aussi. </p>
		      <hr />
		      <p>Cochez vos choix et validez en &eacute;crivant &quot;oui&quot; en minuscules, dans le champ suivant:</p>
		      <p>
		        <input name="confirmer" type="text" id="confirmer" size="3" maxlength="3" onkeypress="javascript:car(event)"/>
		        <input name="Submit" type="button" class="bouton_standard" value="Valider" onclick="javascript:confirme()"/>
		      </p>
			</form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_raz?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
