<?php
/*	
	Auto rparation de la base
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	require '_sqlconnect.inc.php';
	require('_fonctions_mdp.inc.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_reindexer=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_reindexer']=$url_ret_adm_reindexer;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_reindexer'])) {
		$url_ret_adm_reindexer=$_SESSION['circonscript7_url_ret_adm_reindexer'];
	}
	else $url_ret_adm_reindexer="administration.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}
	$id_admin=$_SESSION['circonscript7_administration'];	
	$id_uti=$_SESSION['circonscript7_id_uti'];
	
	$erreur='';
	$page='';
	debugInit();
	$temps=ini_get("max_execution_time");
	$h=connect();
	$max=0;
	$indice=testReindexation($h,$max);
	
	while (isset($_POST['edOui'])) {
		$oui='';
		$h=connect();
		$oui=$_POST['edOui'];
		if ($oui!='oui') $erreur="Vous devez crire oui en minuscules dans le champ de texte. ";
		$ferme=queryValue("SELECT ferme FROM general",$h);
		if (!$ferme) $erreur.="Il faut d'abord fermer le site. ";
		if ($erreur) break;
		@set_time_limit(0);
		$t=file('sql/reindex.sql');
		//$t=implode('',file('sql/reindex.sql'));
		if (sizeof($t)<10) {
			$erreur.="Impossible de lire le fichier 'sql/reindex.sql. '";
			break;
		}
	// sauvegarde de l'admin courant
		$login=queryValue("SELECT login FROM utilisateurs WHERE id_uti=$id_uti",$h);
		if (!$login) {
			$erreur="Impossible de retrouver votre login d'utilisateur  partir de l'id_uti: $id_uti";
			break;
		}
		$login=myEscapeString($h,$login);
		
		$r=query("SHOW TABLES",$h);
		$q='';
		while ($row=@mysqli_fetch_row($r)) {
			$table=$row[0];
			if (!$q) $q.="LOCK TABLES $table WRITE";		
			else $q.=", $table WRITE";
		}	
		while(1) {
			query($q,$h);
			if ($erreur) break;
			foreach($t as $q) {
				if ($q && $q[0]!='#') {
					query($q,$h);
					if ($erreur) break;
				}	
			}
			break;
	
		}
			// restaurer les paramtres administrateur
		query("UNLOCK TABLES",$h);	
		if (!$erreur) {
			$id_uti=queryValue("SELECT id_uti FROM utilisateurs WHERE login LIKE '$login'",$h);
			$id_admin=queryValue("SELECT id_admin FROM administrateurs WHERE id_uti=$id_uti AND type_admin=1",$h);
			foreach($_SESSION as $k=>$v) switch ($k) {
				case 'circonscript7_sso':
				continue;
				default:
					unset($_SESSION[$k]);	
			}
			$_SESSION['circonscript7_id_uti']=$id_uti;
			$_SESSION['circonscript7_id_admin']=$id_admin;
			$_SESSION['circonscript7_administration']=$id_admin;	
			$erreur.="Rindexation termine.";
		}
		$max=0;
		$indice=testReindexation($h,$max);
		break;
	}

// renvoie un petit nombre ( partir de 1) si pas de rindexation ncessaire. 	
function testReindexation($h,&$max)
{
	$r=query("SHOW TABLES",$h);
	$max=0;
	$nb=0;
	$somme=0;
	while ($row=@mysqli_fetch_row($r)) {
		$table=$row[0];
		$r1=query("SHOW INDEX FROM $table WHERE Key_name='PRIMARY'",$h);
		$row1=@mysqli_fetch_array($r1);
		$index=$row1['Column_name'];
		if (!isset($index)) continue;// table "general" n'a pas d'index.
		$r2=query("SELECT MAX($index), COUNT(*) FROM $table",$h);
		$row2=@mysqli_fetch_row($r2);
		$maxIndex=$row2[0];
		$nbEnr=$row2[1];
		$max2=$nbEnr>0? $maxIndex/$nbEnr:1;
		if ($maxIndex>$max) $max=$maxIndex;
		$somme+=$max2;
		++$nb;
	}
	return $nb>0?$somme/$nb:1;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
	function confirme()
	{
		if (document.form1.edOui.value!='oui') {
			alert('Vous devez crire "oui" dans le champ');
			return;
		}
		var b=window.confirm("tes-vous sr de lancer maintenant la rindexation de la base de donnes ?");
		if (b) document.form1.submit();	
	}

//-->
        </script></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_reindexer?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
				<?php if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?> 
				<h1>R&eacute;indexation de la base </h1>
				<p>Les index de Circon'script sont des entiers non sign&eacute;s. Au fil des ann&eacute;es, ils finissent par prendre des valeurs gigantesques.</p>
				<p>La <em>r&eacute;indexation</em> permet de placer de nouvelles valeurs dans les index, qui sont incr&eacute;ment&eacute;s &agrave; partir de 1, sans discontinuit&eacute;. </p>
				<p>Toutes les d&eacute;pendances sont recalcul&eacute;es. La r&eacute;indexation concerne toutes les tables de la base. </p>
				<p>La possibilit&eacute; de r&eacute;indexer est offerte aux d&eacute;veloppeurs, car nous pensons que la base de donn&eacute;es est plus facile &agrave; g&eacute;rer lorsque les index se suivent et que les trous sont bouch&eacute;s, surtout lorsque le logiciel est en cours de d&eacute;bogage (les index sont plus faciles &agrave; noter!)</p>
				<p>La r&eacute;indexation n'est en rien une n&eacute;cessit&eacute; si vos index sont encore loin du maximum (<?php print PHP_INT_MAX?>) </p>
				<h4><strong>IMPORTANT</strong>: ne faire une r&eacute;indexation que si la base est absolument intacte ! <a href="adm_test_integrite.php?url_ret=adm_reindexer.php">V&eacute;rifier l'&eacute;tat de la base</a>. </h4>
				<p>Pour que cette op&eacute;ration soit possible, le site <a href="adm_etat.php?url_ret=adm_reindexer.php">doit &ecirc;tre ferm&eacute;</a> et il est TRES vivement conseill&eacute; de faire <a href="adm_sauvegardes.php?url_ret=adm_reindexer.php">une sauvegarde</a> mais surtout aussi une <strong>sauvegarde ext&eacute;rieure</strong> (sous phpMyAdmin par exemple). En effet, si la r&eacute;indexation &eacute;choue, vous risquez de perdre votre compte 'administrateur' et de ne plus pouvoir vous connecter &agrave; Circon'script.</p>
				<p>Si vous faites une r&eacute;indexation, choisissez le moment propice: avant le d&eacute;marrage d'une nouvelle session, lorsque les stagiaires de l'ann&eacute;e courante ont &eacute;t&eacute; effac&eacute;s. </p>
				<p>L'utilit&eacute; de la r&eacute;indexation d&eacute;pend de l'<em>indice de r&eacute;indexation, </em>qui est la moyenne des rapports entre le dernier index et le nombre d'enregistrements dans chaque table de la base de donn&eacute;es. Ce nombre est calcul&eacute; &agrave; partir de <em>toutes</em> les tables de la base de donn&eacute;es, il n'a de sens que si la base de donn&eacute;es est r&eacute;serv&eacute;e &agrave; l'usage <strong>exclusif</strong> de Circon'script. </p>
				<p>Le second param&egrave;tre, le <em>taux d'&eacute;loignement, </em>mesure la distance qui s&eacute;pare le plus grand index de la base du maximum possible dans cette version de PHP. Plus le pourcentage est grand, plus la r&eacute;indexation peut devenir n&eacute;cessaire. </p>
				<p>Il faut un peu de temps au serveur pour ex&eacute;cuter la r&eacute;indexation. </p>
				<p>Pour information, le temps maximum d'ex&eacute;cution d'un script sur votre serveur est de :
				  <?php  print $temps ?>
				  secondes (0 = infini).
  <?php
					$x=@set_time_limit(0);
					if(!$x) print "Votre serveur refuse la modification de ce temps limite.\n";
					else print "Votre serveur accepte d'ex&eacute;cuter ce script sur une dur&eacute;e infinie.\n";
				?>
                </p>
				<h4>Indice de r&eacute;indexation actuel : <?php print round($indice,2);?></h4>
				<p> La valeur minimale est de 1. Si la valeur est proche de 1, la r&eacute;indexation est totalement inutile.</p>
				<h4>Taux d'&eacute;loignement par rapport au maximum : <?php print round($max*100/PHP_INT_MAX,3).'%'?></h4>
				<p>Une valeur proche de 0 indique que vous &ecirc;tes encore loin,  tr&egrave;s loin, du maximum possible. </p>
		
				<form name="form1" method="post" action="">
				  <div align="center">Ecrivez &quot;oui&quot; dans la case
				    <input name="edOui" size="3" maxlength="3"/>
				    <input name="Submit" type="button" class="bouton_standard" value="Lancer la r&eacute;indexation" onclick="javascript:confirme()"/>
				    
				  </div>
				</form>
				<?php print $page ?>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_reindexer?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
