<?php
/* 
	Restaurer les tables
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	require '_sqlconnect.inc.php';
	require '_fonctions_mdp.inc.php';
	require '_sauvegarde.inc.php';
	debugInit();
	$debug=false;
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_sauvegardes=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_sauvegardes']=$url_ret_adm_sauvegardes;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_sauvegardes'])) {
		$url_ret_adm_sauvegardes=$_SESSION['circonscript7_url_ret_adm_sauvegardes'];
	}
	else $url_ret_adm_sauvegardes="administration.php";
	
	$erreur='';
	$remarque='';
	$h=connect();
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}
	$taille_max=ini_get('upload_max_filesize');
	if ($taille_max=='') $taille_max="inconnue";

	$fich='';
	if (isset($_POST['fichiers'])) {
			$fich=$_POST['fichiers'];
			if ($fich=='') {
				$erreur="Il faut indiquer un fichier de sauvegarde";
			}
	}
	while(isset($_POST['valider']) && $_POST['valider']==1 && $fich!='') { // formulaire a t envoy
		$confirme=(isset($_POST['confirmer']) && $_POST['confirmer']=='oui');
		if (!$confirme) {
			$erreur="Il faut confirmer la restauration";
			break;
		}
		restaurer($fich);
		if (!$erreur) 
			$erreur="Restauration effectue";
		
		break;
	}
	while ( isset($_POST['upload']) ) // si formulaire soumis
	{
		$tmp_name = $_FILES['fichier']['tmp_name'];
		$name=$_FILES['fichier']['name'];
		$ext = pathinfo($name, PATHINFO_EXTENSION);

		if ($ext!='svg') {
			$erreur="L'extension 'svg' est obligatoire dans le nom du fichier.";
			break;
		}
			
		$b=@move_uploaded_file($tmp_name, "svg/$name");
		if ($b) {
			$fich=$name;
			$erreur="Tlchargement effectu. Fichier slectionnn.";
		}
		else $erreur="Erreur au chargement du fichier.";
		break;
	}
	$erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
	$remarque=htmlentities($remarque,ENT_COMPAT,'ISO-8859-15');



function afficheFichiers($fichIn)
{
	$d= dir('svg/');
	$liste=array();
	while ($fich=$d->read()) {
		if ($fich=='.' || $fich=='..' || strpos($fich,".svg")==0) continue;
		$liste[]= $fich;
	}
	$d->close();
	rsort($liste);	
	print "<option value=\"\">Choisissez...</option>\n";
	for ($i=0;$i<count($liste);++$i) {	
		printf ("<option value=\"%s\"",$liste[$i]);
		if ($fichIn==$liste[$i]) print " selected=\"selected\" ";
		printf (">%s</option>\n",$liste[$i]);
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function toucheEnfoncee(event)
			{
				if (event.keyCode==13) {
						confirme();
					}

			}
			function confirme()
			{
				leForm=document.form1;
				laListe=leForm["fichiers"];
				if (laListe.value=="") 
					alert("Vous devez choisir un fichier dans la liste");
				else {
					leConfirme=leForm["confirmer"];
					if (leConfirme.value!="oui") 
						alert("Vous devez confirmer votre choix en crivant 'oui' dans le champ");
					else {
						var host=window.location.host;
						var s="Vous tes sur : "+host+"\nVoulez-vous vraiment restaurer l'ensemble de la base de donnes ?";
						b=window.confirm(s);
						if (b) 	{
							s="Vous tes sur : "+host+"\nConfirmez une dernire fois en cliquant sur OK";
							b= window.confirm(s);
							if (b) {
									leForm.valider.value=1;
									document.form1.submit();
							}

						}
					}
				}				
			}
		//-->	
		</script></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_sauvegardes?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
				<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";
						if ($remarque) print "<p class=\"attention\">$remarque</p>";
				
				?> 
				<h1>Restauration</h1>
				<p>Choissisez le fichier &agrave; restaurer et cliquez sur Restaurer. Confirmez votre choix en &eacute;crivant &quot;oui&quot; dans la case.</p>
				<p class="important">Important: toutes les donn&eacute;es actuelles seront supprim&eacute;es et remplac&eacute;es par la sauvegarde! </p>
				<form name="form1" method="post" enctype="multipart/form-data" action="">
				  <div align="center">
				    <p>
				      <input name="valider" type="hidden" value="0" />
				      <select name="fichiers" id="fichiers">
				       <?php afficheFichiers($fich)?>
			          </select>
			        </p>
				    <p>
				      Confirmez en &eacute;crivant 'oui': 
				      <input name="confirmer" type="text" id="confirmer" size="3" maxlength="3" onkeypress="javascript:toucheEnfoncee(event)" />
				      &nbsp;
				      <input name="restaurer" type="button" class="bouton_standard" id="restaurer" value="Restaurer" onclick="javascript:confirme()" onkeypress="javascript:toucheEnfoncee(event)" />
		            </p>
				    <hr />
				    <h2 align="left">T&eacute;l&eacute;charger un fichier de votre ordinateur vers le serveur</h2>
				    <p align="left">et le placer dans la liste ci-dessus. V&eacute;rifiez que la taille maximale allou&eacute;e pour le t&eacute;l&eacute;chargement (upload) soit suffisante. </p>
				    <p align="left">
				      <input name="fichier" type="file" class="bouton_standard" id="fichier" size="30" />
                      <input name="upload" type="submit" class="bouton_standard" value="T&eacute;l&eacute;charger" />
(taille maximale des fichiers que vous pouvez t&eacute;l&eacute;charger sur ce serveur: <?php print $taille_max ?> ) </p>
				  </div>
			</form>
		    </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_sauvegardes?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
