<?php
/* 
	Sauvegarder les tables
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require '_session.php';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_mdp.inc.php';
	require '_sauvegarde.inc.php';
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_sauvegardes=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_sauvegardes']=$url_ret_adm_sauvegardes;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_sauvegardes'])) {
		$url_ret_adm_sauvegardes=$_SESSION['circonscript7_url_ret_adm_sauvegardes'];
	}
	else $url_ret_adm_sauvegardes="administration.php";
	debugInit();
	$debug=false;
	$erreur='';
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
		$d=getdate();
		$date=sprintf("Sur le site, nous sommes le  %02d/%02d/%04d, %02dh %02d' %02d\" ce qui donnerait un nom de fichier de                %04d-%02d-%02d_%02d%02d%02d.svg.",$d['mday'], $d['mon'],$d['year'], $d['hours'],$d['minutes'],$d['seconds'],$d['year'],$d['mon'],$d['mday'],$d['hours'],$d['minutes'],$d['seconds']);
	if (isset($_POST['sauvegarder'])) {
		sauvegarder();
		if (!$erreur) $erreur="Sauvegarde effectue.";
	}
	$fich='';
	while (isset($_POST['Telecharger'])) {
		if (!isset($_POST['fichiers'])||$_POST['fichiers']=="" ) {
			$erreur="Il faut choisir un fichier";
			break;
		}
		$fich=$_POST['fichiers'];
		$file='svg/'.$fich;
		header('Content-Transfer-Encoding: none');
		header("Content-Type: application/octetstream; name=\"$fich\"");
		header("Content-Disposition: attachment; filename=\"$fich\"");
		header('Content-length: '.filesize($file));
		@readfile($file);
		exit;
	}
	$erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');

/*
	Affiche la liste des sauvegardes.
	Conserve les  dernires seuelement, supprime les autres
*/
function afficheFichiers($fichIn)
{
	$d= dir('svg/');
	$liste=array();
	while ($fich=$d->read()) {
		if ($fich=='.' || $fich=='..' || strpos($fich,".svg")==0) continue;
		$liste[]= $fich;
	}
	$d->close();
	rsort($liste);	
	print "<option value=\"\">Choisissez...</option>\n";
	for ($i=0;$i<count($liste);++$i) {	
			printf ("<option value=\"%s\"",$liste[$i]);
			if ($fichIn==$liste[$i]) print " selected=\"selected\" ";
			printf (">%s</option>\n",$liste[$i]);
		}
	
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_sauvegardes?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
				<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
				<h1>Sauvegardes</h1>
				<p>Cliquez sur le bouton ci-contre pour effectuer une nouvelle sauvegarde des donn&eacute;es du site. Seules les 30 sauvegardes les plus r&eacute;centes sont conserv&eacute;es sur le site. </p>
				<p><?php print htmlentities($date,ENT_COMPAT,'ISO-8859-15') ?></p>
				<form name="form1" method="post" action="">
				  <div align="center">
				    <input name="sauvegarder" type="submit" class="bouton_standard" id="sauvegarder" value="Sauvegarder" />
		          </div>
				</form>
				<h2>Liste des 30 pr&eacute;c&eacute;dentes sauvegardes</h2>
				<p>Cliquez sur un fichier pour le t&eacute;l&eacute;charger. Le premier de la liste est le plus r&eacute;cent. </p>
				<form id="form2" name="form2" method="post" action="">
				  <select name="fichiers" id="fichiers">
                    <?php afficheFichiers($fich)?>
                  </select>
						<input name="Telecharger" type="submit" class="bouton_standard" id="Telecharger" value="T&eacute;l&eacute;charger le fichier de sauvegarde s&eacute;lectionn&eacute;" />
				</form>
			</div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_sauvegardes?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
