<?php
/* 
	Editer une sance
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	require '_sqlconnect.inc.php';
	require('_fonctions.inc.php');
	require('_fonctions_stagiaire.inc.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_seance_modif=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_seance_modif']=$url_ret_adm_seance_modif;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_seance_modif'])) {
		$url_ret_adm_seance_modif=$_SESSION['circonscript7_url_ret_adm_seance_modif'];
	}
	else $url_ret_adm_seance_modif="adm_animations.php";
	if (isset($_SESSION['circonscript7_adm_seance_modif_changement'])) $changement=$_SESSION['circonscript7_adm_seance_modif_changement'];
	else $changement=0;
	$erreur='';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$afficher_tout=false;

	if (isset($_SESSION['circonscript7_adm_seance_modif_afficher_tout'])) $afficher_tout=	$_SESSION['circonscript7_adm_seance_modif_afficher_tout'];
	

	// charge la sance  partir de la session
	$datelieu_vide=array('id_date'=>0,'id_seance"'=>0,'date'=>'9999-12-31','horaire'=>'','lieu'=>'','intervenants'=>array(),'remarque'=>'','duree'=>'3.00');
	$seance_vide=array('id_seance'=>'0','id_anim'=>'0','public'=>'','max'=>'0','partage'=>array(),'datelieu'=>array(),'cond'=>0);
	$seance_vide['partage'][]=-$id_circo;
	$seance_vide['datelieu'][]=$datelieu_vide;

	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$autoriser_plan_futur=queryValue("SELECT autoriser_plan_futur FROM circos WHERE id_circo=$id_circo",$h);
	if ($autoriser_plan_futur && isset($_SESSION['circonscript7_annee'])) $annee=$_SESSION['circonscript7_annee'];
	else $annee=0;

	/****************************
		Rcuprer les donnes de session
	*****************************/
	if (isset($_SESSION['circonscript7_seances'])) {
		$seances=$_SESSION['circonscript7_seances'];
	}
	else {
		header('Location: erreur.php?erreur=var_session');
		exit;
	}
	if (isset($_SESSION['circonscript7_animation'])) {
		$animation=$_SESSION['circonscript7_animation'];
	}
	else {
		header('Location: erreur.php?erreur=var_session');
		exit;
	}
	$taille_max_remarque=queryValue("SELECT taille_max_remarque FROM general",$h);
	
	/****************************
		Traiter les entres  
	*****************************/
	
	if (isset($_GET['modifier'])) {
		$index_seance=strip_tags($_GET['modifier']);
	
		if($index_seance>=sizeof($seances)||$index_seance<0) {
			header('Location: erreur.php?erreur=index');
			exit;
		}
		$seance=$seances[$index_seance];
		$index_date=strip_tags($_GET['index']);
		if ($index_date>=sizeof($seance['datelieu'])||$index_date<0 ) {
			header('Location: erreur.php?erreur=index');
			exit;
		}
		$datelieu=$seance['datelieu'][$index_date];
		//convertir la date en format humain
		$datelieu['date']=dateSqlEnSaisie($seances[$index_seance]['datelieu'][$index_date]['date']);
		$modifier=true;
	}
	else if (isset($_GET['dupliquer'])) {
		$index_seance=strip_tags($_GET['dupliquer']);
		if($index_seance>=sizeof($seances)||$index_seance<0) {
			header('Location: erreur.php?erreur=index');
			exit;
		}
		$seance=$seances[$index_seance];
		// modifier les partages accepts (qui sont <0)
		for ($i=0;$i<count($seance['partage']);++$i) $seance['partage'][$i]=abs($seance['partage'][$i]);
		$index_date=strip_tags($_GET['index']);
		if ($index_date>=sizeof($seance['datelieu'])||$index_date<0 ) {
			header('Location: erreur.php?erreur=index');
			exit;
		}
		$datelieu=$seance['datelieu'][$index_date];
		$datelieu['date']='';
		$datelieu['id_date']=0;
		$modifier=false;
	}
	else if (isset($_SESSION['circonscript7_index_seance']) && isset($_SESSION['circonscript7_datelieu']) && isset($_SESSION['circonscript7_index_date'])&&isset($_SESSION['circonscript7_seance']) &&isset($_SESSION['circonscript7_animation']) &&isset($_SESSION['circonscript7_modifier'])) {
		$index_seance=$_SESSION['circonscript7_index_seance'];
		$index_date=$_SESSION['circonscript7_index_date'];
		$seance=$_SESSION['circonscript7_seance'];
		$datelieu=$_SESSION['circonscript7_datelieu'];
		$modifier=$_SESSION['circonscript7_modifier'];
	}	
	else {
		header('Location: erreur.php?erreur=var_session');
		exit;
	}
	/*******************************************************
	mettre  jour le nombre d'inscrits ou de convoques
	car des nouvelles inscriptions ou convocations ont pu avoir lieu pdt le traitement
	***********************************************************/
	if ($seance['id_seance']>0) {
		$n=queryValue(sprintf("SELECT COUNT(*) FROM inscriptions WHERE id_seance=%d",$seance['id_seance']),$h);
		if ($n=='') {
			$erreur.="Impossible de lire le nombre d'inscriptions. ";
		}
		$seance['inscrits']=$n;
		$n=queryValue(sprintf("SELECT COUNT(*) FROM convocations WHERE id_seance=%d",$seance['id_seance']),$h);
		if ($n=='') {
			$erreur.="Impossible de lire le nombre de convocations. ";
		}
		$seance['convoques']=$n;
	}				
	else {
		$seance['inscrits']=0;
		$seance['convoques']=0;
	}
	/***************************
	Commandes POST
	****************************/
	//annulation
	if (isset($_POST['annuler'])){
		header("Location: $url_ret_adm_seance_modif"."#bas");
		exit;
	}
	//validation, traite si pas d'erreurs 
	else if(!$erreur && (isset($_POST['valider'])||isset($_POST['verifier']) || (isset($_POST['commande']) && $_POST['commande']=='valider'))) while (1) {
		$erreur='';
		// mise  jour des inscrits et convoques
		$id_seance=$seance['id_seance'];
		if ($id_seance>0) {
			$n=queryValue("SELECT COUNT(*) FROM inscriptions WHERE id_seance=$id_seance",$h);
			if ($n!='') $seance['inscrits']=$n;
			$n=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=$id_seance",$h);
			if ($n!='') $seance['convoques']=$n;
		}
		else {
			$seance['inscrits']=0;
			$seance['convoques']=0;
		}
		//if (isset($_SESSION['circonscript7_datelieu'])) $datelieu=$_SESSION['circonscript7_datelieu'];
		//else $datelieu=$datelieu_vide;
		// intervenants
		$datelieu['intervenants']=array();
		if (isset($_POST['intervenants'])) foreach($_POST['intervenants'] as $id_intervenant=>$v) {
			$id_intervenant=intval($id_intervenant);
			$n=queryValue("SELECT COUNT(*) FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
			if ($n==1) $datelieu['intervenants'][]=$id_intervenant;
		}		
		
		//Date
		$datelieu['date']=normalise($_POST['date']);
		if (!dateSaisieEnSql($datelieu['date'])) $erreur.="Date incorrecte. ";
		
		//horaire
		$datelieu['horaire']=normaliseT($_POST['horaire'],16);
		$horaire=horaireSaisiEnSql($datelieu['horaire']);
		if (!$horaire) $erreur.="Horaire incorrect.";
		else $datelieu['horaire']=$horaire;	
		
		//Dure
		$duree=decimal(normalise($_POST['duree']));
		if ($duree<0.1||$duree>24) $erreur.='La dure doit tre comprise entre 0.1 et 24.0';
		$datelieu['duree']=$duree;
		
		$datelieu['lieu']=normalise(nettoyerApostrophes($_POST['lieu']));
		if (strlen($datelieu['lieu'])>255) {
			$datelieu['lieu']=substr($datelieu['lieu'],0,255);
			$erreur.="Le lieu ne doit pas excder 255 caractres. ";
		} 
	
	
		$datelieu['remarque']=normaliseT(nettoyerApostrophes($_POST['remarque']),$taille_max_remarque);

		$seance['max']=intval(normalise($_POST['max']));
		if ($seance['max']=='') $seance['max']=0;
		if ($seance['max']<0) $erreur.='Maximum stagiaires incorrect. ';
		else if ($seance['max']>0) { // max ne peut tre infrieur au nombre rel d'inscrits ou de convoqus
			if ($seance['inscrits']>$seance['max']) $erreur.=sprintf("Le nombre maximal de stagiaires (%d) ne peut tre infrieur au nombre de stagiaires rellement inscrits (%d). ",$seance['max'],$seance['inscrits']);
			if ($seance['convoques']>$seance['max']) $erreur.=sprintf("Le nombre maximal de stagiaires (%d) ne peut tre infrieur au nombre de stagiaires rellement convoqus (%d). ",$seance['max'],$seance['convoques']);
		}
		
		$seance['public']=normalise($_POST['public']);
		if (strlen($seance['public'])>255) {
			$seance['public']=substr($seance['public'],255);
			$erreur.="Le champ 'public' doit contenir 255 caractres au maximum";
		}		
		//condition
		$seance['cond']=intval($_POST['cond']);
		if ($seance['cond']<0 ||$seance['cond']>21 ) $seance['cond']=0;
		// traitement des partages 
		$id_circos=array(); // liste des circos partageables coches par l'utilisateur
		if (isset($_POST['circos']))
			for ($i=0;$i<count($_POST['circos']);++$i) {
				$id_circos[]=$_POST['circos'][$i];
			}
		$id_circos2=array(); //liste des circos acceptes que l'utilisateur  coches
		if (isset($_POST['circos2']))
			for ($i=0;$i<count($_POST['circos2']);++$i) {
				$id_circos2[]=$_POST['circos2'][$i];
			}
		// vrifie si l'on a le droit de supprimer une circo partage
		$erreur_inscrits=0;
		$erreur_convoques=0;
		$erreur_accepte=0;
		if ($modifier==true) {
			$id_seance=$seance['id_seance'];
			if ($id_seance>0) {
				$r=query("SELECT id_circo FROM circos",$h);
				while($row=@mysqli_fetch_row($r)) {
					$id_circo_courante=$row[0];
					if (in_array($id_circo_courante,$id_circos)) continue;
					if (in_array($id_circo_courante,$id_circos2)) {
						$id_circos[]=-$id_circo_courante; 
						continue;
					}
					// la circo courante a t dcoche: autoris si aucun partage et aucun inscrit et aucun convoqu
					$nb_inscr=queryValue("SELECT COUNT(*) FROM inscriptions,stagiaires,ecoles WHERE inscriptions.id_seance=$id_seance AND inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo_courante",$h);
					if ($nb_inscr>0) {
						$id_circos[]=$id_circo_courante;
						$erreur_inscrits=1;
					}
					$nb_conv=queryValue("SELECT COUNT(*) FROM convocations,stagiaires,ecoles WHERE convocations.id_seance=$id_seance AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo_courante",$h);
					if ($nb_conv>0) {
						$id_circos[]=$id_circo_courante;
						$erreur_convoques=1;
					}
					if ($id_circo_courante!=$id_circo) {
						$n=queryValue("SELECT accepte FROM partages WHERE id_circo=$id_circo_courante AND id_seance=$id_seance",$h);
						if ($n=='1') {
							$erreur_accepte=1;
							$id_circos[]=-$id_circo_courante;
						}
					}
				}
			}
		}
		// si la circo est dans la liste, la mettre en accept d'office
		for ($i=0;$i<count($id_circos);++$i) if (abs($id_circos[$i])==$id_circo) {
			$id_circos[$i]=-$id_circo;
			break;
		}
		$seance['partage']=$id_circos;
		
		if ($erreur_accepte) $erreur.=" On ne peut supprimer le partage d'une sance qui est dj accepte par une autre circonscription.";
		if ($erreur_inscrits || $erreur_convoques) $erreur.=" On ne peut supprimer le partage d'une sance o des stagiaires sont dj inscrits ou convoqus.";

		//traiement final si tout va bien
		if (!$erreur) {

			if (!isset($_POST['verifier'])) {
				$datelieu['date']=dateSaisieEnSql($datelieu['date']);
				if ($modifier) { //modification 
					$seance['datelieu'][$index_date]=$datelieu;
					$seances[$index_seance]=$seance;
				}
				else {	// on duplique dans le groupe de dpart.		
						$seance['datelieu'][]=$datelieu;
						$seances[$index_seance]=$seance;
				}
				$_SESSION['circonscript7_seances']=$seances;
				$_SESSION['circonscript7_modifier']=true;
				header("Location: $url_ret_adm_seance_modif"."#bas");
				exit;
			}
			//Vrifier la date.
			$date_seance=dateSaisieEnSql($datelieu['date']);
			$id_seance=$seance['id_seance'];
			if ($id_seance==0 || $date_seance=='0000-00-00' || $date_seance>='9999-12-30' ) break;
			$deja_inscrits=rechercherDates($date_seance,$id_seance,'inscriptions',$h);
			$deja_convoques=rechercherDates($date_seance,$id_seance,'convocations',$h);
		}
		
		
		break;	
	} 
	//chercher un intervenant en tapant le nom et/ou le prnom
	else if (!$erreur && isset($_POST['chercher'] )) while(1) {
		// Lire le formulaire sans analyser particulirement
		lireFormulaire($h);
		$_SESSION['circonscript7_recherche_intervenants']=array();
		$nom=normalise($_POST['nom_intervenant']);
		if ($nom && !nomValide($nom)) {
			$erreur.="Nom de l'intervenant incorrect. ";
		}
		$prenom=normalise($_POST['prenom_intervenant']);
		if ($prenom && !nomValide($prenom)) {
			$erreur.="Prnom de l'intervenant incorrect. ";
		}
		if ($nom=='' && $prenom=='') break; 
		if ($erreur) break;
		$id_intervenants=array();
		$b=chercheintervenants($h,$nom,$prenom,$id_intervenants,$datelieu['intervenants']);
		if (count($id_intervenants)==0) {
			$erreur="Aucun intervenant trouv. ";
			break;
		}
		if ($b) {
			if (in_array($id_intervenants[0],$datelieu['intervenants'])) {
				$erreur="Cet intervenant est dj dans la liste.";
				break;
			}
			else 
				$datelieu['intervenants'][]=$id_intervenants[0];
			break;
		}
	
		// il y a plusieurs intervenants: il faut les afficher.
		$_SESSION['circonscript7_recherche_intervenants']=$id_intervenants;
		break;
	}
	else if (!$erreur && isset($_POST['commande']) && $_POST['commande']=='ajoute_intervenant' ) while(1){
		lireFormulaire($h);
		if (isset($_POST['recherche']))	$id_intervenant=abs(intval($_POST['recherche']));
		else $id_intervenant=0;
		if ($id_intervenant>0) {
			$n=queryValue("SELECT COUNT(*) FROM intervenants WHERE id_intervenant=$id_intervenant",$h);	
			if ($n==0) {
				$erreur="Cet intervenant n'existe pas/plus dans la base";
				break;
			}
			$datelieu['intervenants'][]=$id_intervenant;
			$changement=1;
			$_SESSION['circonscript7_adm_seance_modif_changement']=$changement;
		}
		$_SESSION['circonscript7_recherche_intervenants']=array();

		break;
	}
	else if (!$erreur && isset($_POST['nouveau'])) {
		lireFormulaire($h);
		$_SESSION['circonscript7_modifier']=$modifier;
		$_SESSION['circonscript7_index_seance']=$index_seance;
		$_SESSION['circonscript7_index_date']=$index_date;
		$_SESSION['circonscript7_seance']=$seance; //sance en cours de modif
		$_SESSION['circonscript7_datelieu']=$datelieu; //datelieu en cours de modif
		header("Location: adm_intervenant_ajoute.php?url_ret=adm_seance_modif.php");
		exit;		
	}
	else if (!$erreur && isset($_POST['commande']) && $_POST['commande']=="modifie_intervenant" && isset($_POST['id_intervenant'])) while(1){
		$id_intervenant=abs(intval($_POST['id_intervenant']));
		if ($id_intervenant==0) break;
		lireFormulaire($h);
		//vrifie qu'on a toujours le droit de modifier cet intervenant et vrifie si la commande n'a pas t trafique
		$q="SELECT ouvert, id_circo FROM intervenants WHERE id_intervenant=$id_intervenant";
		$r=query($q,$h);
		if (!$r || @mysqli_num_rows($r)==0) {
			$erreur="Cet intervenant n'existe pas/plus dans la base.";
			break;
		}
		$row=@mysqli_fetch_row($r);
		$ouvert=$row[0];
		if ($ouvert) {
			$erreur="Un accs personnel a t ouvert pour cet intervenant. Vous ne pouvez plus modifier ses paramtres.";
			break;
		}
		if ($id_circo!=$row[1]) {
			$erreur="Vous ne pouvez pas accder  la fiche de cet intervenant";
			break;
		}
		$nb=queryValue("SELECT COUNT(*) FROM interventions, dates,seances, animations WHERE interventions.id_intervenant=$id_intervenant AND interventions.id_date=dates.id_date AND dates.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo <>$id_circo",$h);
		if ($nb>0) {
			$erreur="Vous ne pouvez plus accder  la fiche de cet intervenant car une autre circonscription l'a inscrit dans son plan de formation";
			break;
		}
		// tout va bien: dition possible
		$_SESSION['circonscript7_modifier']=$modifier;
		$_SESSION['circonscript7_index_seance']=$index_seance;
		$_SESSION['circonscript7_index_date']=$index_date;
		$_SESSION['circonscript7_seance']=$seance; //sance en cours de modif
		$_SESSION['circonscript7_datelieu']=$datelieu; //datelieu en cours de modif
		header("Location: adm_intervenant_edite.php?url_ret=adm_seance_modif.php&id_intervenant=$id_intervenant");
		exit;		
	}
	else if (isset($_POST['commande']) && $_POST['commande']=='cocher') {
		lireFormulaire($h);
		if (isset($_POST['AfficherTout'])) $afficher_tout=true;
		else if (isset($_POST['AfficherBassin'])) $afficher_tout=false;
		
	
	}
	/*******************************
	Enregistre les variables de session
	*******************************/
	$_SESSION['circonscript7_adm_seance_modif_afficher_tout']=$afficher_tout;
	$_SESSION['circonscript7_modifier']=$modifier;
	$_SESSION['circonscript7_index_seance']=$index_seance;
	$_SESSION['circonscript7_index_date']=$index_date;
	$_SESSION['circonscript7_seance']=$seance; //sance en cours de modif
	$_SESSION['circonscript7_datelieu']=$datelieu; //datelieu en cours de modif
	$_SESSION['circonscript7_adm_seance_modif_changement']=$changement;
	
	
	if ($animation['intitule']=='') 
		$intitule_anim="Nouvelle animation";
	else 
		$intitule_anim="Animation: ".$animation['intitule'];
	
	/*******************************
	Sous-programmes
	*******************************/
function rechercherDates($date,$id_seance,$table,$h)
{
	$r=query("SELECT id_stagiaire FROM $table WHERE id_seance=$id_seance",$h);
	if (@mysqli_num_rows($r)==0) return array();
	$id_stag='';
	while ($row=@mysqli_fetch_row($r)) {
		if ($id_stag!='') $id_stag.=', ';
		$id_stag.=$row[0];
	}
	$q="SELECT concat(stagiaires.nom,' ',stagiaires.prenom) AS nom, ecoles.nom as ecole, circos.libelle_court as circo_stag, animations.intitule, org.libelle_court AS org, dates.horaire, dates.duree
		FROM stagiaires, ecoles,circos, circos as org, dates,seances, animations,$table
		WHERE dates.date='$date' AND dates.id_seance=seances.id_seance AND seances.id_seance<>$id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=org.id_circo AND $table.id_stagiaire IN ($id_stag) AND $table.id_seance=seances.id_seance AND stagiaires.id_stagiaire=$table.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=circos.id_circo ORDER BY nom";
	$r=query($q,$h);
	$tab=array();
	while($row=@mysqli_fetch_array($r)) $tab[]=$row;
	return $tab;

}

function lireFormulaire($h)
{
	global $datelieu,$seance;	
	$datelieu['date']=normalise($_POST['date']);
	$datelieu['duree']=decimal(normalise($_POST['duree']));
	$datelieu['lieu']=normalise(nettoyerApostrophes($_POST['lieu']));
	$horaire=horaireSaisiEnSql($_POST['horaire']);
	$datelieu['horaire']=$horaire;
	$datelieu['remarque']=normalise(nettoyerApostrophes($_POST['remarque']));
	$seance['max']=intval(normalise($_POST['max']));
	$seance['public']=normalise($_POST['public']);
	$datelieu['intervenants']=array();
	if (isset($_POST['intervenants'])) foreach($_POST['intervenants'] as $id_intervenant=>$v) {
		$id_intervenant=intval($id_intervenant);
		if ($id_intervenant=='') continue;
		$n=queryValue("SELECT COUNT(*) FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
		if ($n!=1) $erreur.="L'intervenant d'id: $id_intervenant n'existe pas/plus dans la base. ";
		else $datelieu['intervenants'][]=$id_intervenant;
	
	}
	$id_circos=array(); // liste des circos partageables coches par l'utilisateur
	if (isset($_POST['circos']))
		for ($i=0;$i<count($_POST['circos']);++$i) {
			$id_circos[]=$_POST['circos'][$i];
		}
	$id_circos2=array(); //liste des circos acceptes que l'utilisateur  coches
	if (isset($_POST['circos2']))
		for ($i=0;$i<count($_POST['circos2']);++$i) {
			$id_circos2[]=$_POST['circos2'][$i];
		}
	foreach($id_circos2 as $id_circo_courante) {
		if (!in_array($id_circo_courante, $id_circos)) $id_circos[]=-$id_circo_courante;
	}
	$seance['partage']=$id_circos;	

}


// Recherche  les intervenants par le nom et /ou le prnom 
// renvoie vrai s'il faut afficher immdiatement l'intervenant dans la liste dfinitive (parce que trouv)
function chercheintervenants($h,$nom, $prenom, &$id_intervenants, $id_intervenants_deja_presents)
{
	$nom_f=normaliseNom($nom);
	$prenom_f=normaliseNom($prenom);
	// premire recerche sur le nom et le prnom entiers
	$q='';

	if (!empty($nom_f) && !empty($prenom_f)) $q="SELECT id_intervenant FROM intervenants WHERE nom_f LIKE '$nom_f' AND prenom_f LIKE '$prenom_f' ORDER BY nom_f ASC, prenom_f ASC";
	else if (!empty($nom_f)) $q="SELECT id_intervenant FROM intervenants WHERE nom_f LIKE '$nom_f' ORDER BY nom_f ASC ";
	else if (!empty($prenom_f))$q="SELECT id_intervenant FROM intervenants WHERE prenom_f LIKE '$prenom_f' ORDER BY nom_f ASC ";
	if ($q) {
		$r=query($q,$h);
		if (!$r) return false;
		while($row=@mysqli_fetch_row($r))if (!in_array($row[0],$id_intervenants_deja_presents)) $id_intervenants[]=$row[0];
		$n=count($id_intervenants);
		if ($n>0) return $n==1;
	}
	$q='';
	if ($nom_f && $prenom_f) $q="SELECT id_intervenant FROM intervenants WHERE nom_f LIKE '$nom_f%' AND prenom_f LIKE '$prenom_f%'";
	else if ($nom_f) $q="SELECT id_intervenant FROM intervenants WHERE nom_f LIKE '$nom_f%'";
	else if ($prenom_f) $q="SELECT id_intervenant FROM intervenants WHERE prenom_f LIKE '$prenom_f%'";
	else return;
	$q.=" ORDER BY nom_f ASC, prenom_f ASC";
	$r=query($q,$h);
	if (!$r) return false;
	while($row=@mysqli_fetch_row($r))if (!in_array($row[0],$id_intervenants_deja_presents)) $id_intervenants[]=$row[0];
	return false;
}



/*
	Retourne vrai s'il y a des inscriptions, convocations ou si la sance est accepte par une autre circo
*/

function seanceVerrouillee($id_seance,$h)
{
	global $id_circo;
	if ($id_seance==0) return false;
	$n=queryValue("SELECT COUNT(*) FROM partages WHERE id_circo<>$id_circo AND id_seance=$id_seance AND accepte>0",$h);
	if ($n==0) {
		$n=queryValue("SELECT COUNT(*) FROM inscriptions WHERE id_seance=$id_seance",$h);
		if ($n==0) {
			$n=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=$id_seance",$h);
		}
	}
	return $n==0? false: true;
}

/*
	Sur le formulaire circos[] -> circos simples
	circos2[]: circos ayant accept le partage
*/
function afficherCircos($h, $id_circos,$id_seance,$afficher_tout=false)
{
	global $id_circo,$modifier;
	$bassin=array();	
	if (!$afficher_tout) {
		$q="SELECT id_circo_bassin FROM bassin WHERE id_circo=$id_circo";
		$r=query($q,$h);
		while ($row=@mysqli_fetch_row($r)) $bassin[]=$row[0];
	}
	$q="SELECT id_circo, libelle FROM circos ORDER BY libelle";
	$r=query($q,$h);
	$s='';
	$circos=array();
	if ($r) while ($row=@mysqli_fetch_row($r)) {
		$id_circo_courante=$row[0];
		$n=0; // 0 si non accepte, 1 si accepte par la circo_courante
		$nb_inscr=0;
		$nb_conv=0;
		$nb_partages=0;
		if ($id_seance>0 && $modifier==true) {
			if ($id_circo_courante!=$id_circo)
				$n=queryValue("SELECT COUNT(*) FROM partages WHERE id_circo=$id_circo_courante AND id_seance=$id_seance AND accepte>0",$h);
			else $n=0;
			$nb_inscr=queryValue("SELECT COUNT(*) FROM inscriptions,stagiaires,ecoles WHERE inscriptions.id_seance=$id_seance AND inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo_courante",$h);
			$nb_conv=queryValue("SELECT COUNT(*) FROM convocations,stagiaires,ecoles WHERE convocations.id_seance=$id_seance AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo_courante",$h);
		} 
		$c='';
		if ($n==0 &&  isset($id_circos) && (in_array($id_circo_courante,$id_circos)||in_array(-$id_circo_courante,$id_circos))) { // pas accepte mais partage: l'afficher mme si elle n'est pas dans les favoris
			$c=sprintf("<input type=\"checkbox\" name=\"circos[]\" value=\"%s\" onchange=\"javascript:change()\" ",$id_circo_courante);
			$c.=" checked=\"checked\"";
			$c.= "/>";
			$c.= htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
			if ($nb_inscr>0 || $nb_conv >0) $c.=" inscrits=$nb_inscr, convoqu&eacute;s=$nb_conv";
		}
		else if($n==0 && $nb_inscr==0 && $nb_conv==0) {
			if ($id_circo_courante==$id_circo || empty($bassin) || in_array($id_circo_courante,$bassin)) {
				$c=sprintf("<input type=\"checkbox\" name=\"circos[]\" value=\"%s\" onchange=\"javascript:change()\" ",$id_circo_courante);
				if (isset($id_circos) && (in_array($id_circo_courante,$id_circos)||in_array(-$id_circo_courante,$id_circos))) $c.=" checked=\"checked\"";
				$c.= "/>";
				$c.= htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
				if ($nb_inscr>0 || $nb_conv >0) $c.=" inscrits=$nb_inscr, convoqu&eacute;s=$nb_conv";
			}
		}		
		
		else { // si la sance a t accepts par une autre circo, ou s'il y a des inscrits ou des convoques par cette circo, alors on ne peut plus la dcocher. Les circos non dcochables s'appellent circos2
			$c=sprintf("<input type=\"checkbox\" name=\"circos2[]\" value=\"%s\" checked=\"checked\" onchange=\"javascript:change()\" />%s",$id_circo_courante,htmlentities($row[1],ENT_COMPAT,'ISO-8859-15'));
			if ($id_circo!=$id_circo_courante) $c.= " (accept&eacute;)";
			$c.= " inscrits=$nb_inscr, convoqu&eacute;s=$nb_conv";
		}
		
		if ($c) $circos[]=$c;
	}
	$n=count($circos);
	if ($n>0)  {
		if ($n<=3) $lim=$n;
		else if ($n<=6) $lim=3;
		else $lim=floor(($n+2)/3);
		print "<table class=\"invisible\">\n";
		for ($i=0;$i<$lim;++$i) {
			$c=$circos[$i];
			print "<tr><td>$c</td>\n";
			if ($i+$lim<$n) $c=$circos[$i+$lim];
			else $c='&nbsp;';
			print "<td>$c</td>\n";
			if ($i+$lim+$lim<$n) $c=$circos[$i+$lim+$lim];
			else $c='&nbsp;';
			print "<td>$c</td></tr>\n";
		}
		print "</table>\n";
	}
	
}
function afficherintervenants($h, $intervenants)
{
	global $id_circo;
	if (!isset($intervenants)) return;
	if (is_array($intervenants)) {
		foreach($intervenants as $id_intervenant) {
			$row='';
			if ($id_intervenant)
				$row=queryRow("SELECT civilite,nom, prenom, fonction,courriel, id_circo, ouvert FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
			if ($row=='') continue;
			// Peut-on modifier l'intervenant ? OUI si l'interveant a t cr par la circo et si intervenant pas utilis par une autre circo et si son compte n'est pas ouvert
			$modifier=false;
			$id_circo_int=$row[5];
			$ouvert=$row[6];
			if ($id_circo==$id_circo_int && $ouvert==0) {
				// vrifie si l'intervenant n'est pas utilis par d'autres circos		
				$nb=queryValue("SELECT COUNT(*) FROM interventions, dates,seances, animations WHERE interventions.id_intervenant=$id_intervenant AND interventions.id_date=dates.id_date AND dates.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo <>$id_circo",$h);
				$modifier=$nb==0;
			}
			print formateIntervenant($id_intervenant,$row[0],$row[1],$row[2],$row[3],$row[4],$modifier);
		}
	
	}

}
function afficherResultatRecherche($h)
{
	if (!isset($_SESSION['circonscript7_recherche_intervenants']) || count($_SESSION['circonscript7_recherche_intervenants'])==0) return;
	print "<table><tr><td>\n";
	print "<p><select name=\"recherche\" size=\"5\" ondblclick=\"javascript:ajouteIntervenant()\" >\n";
	foreach($_SESSION['circonscript7_recherche_intervenants'] as $id_intervenant) {
		$row=queryRow("SELECT nom, prenom, fonction, courriel FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
		if ($row=='') continue;
		$nom=htmlentities($row[0],ENT_COMPAT,'ISO-8859-15');
		$prenom=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		$fonction=htmlentities($row[2],ENT_COMPAT,'ISO-8859-15');
		$courriel=htmlentities($row[3],ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_intervenant\">";
		if ($nom && $prenom) print "$nom $prenom";
		else print "$nom";
		if ($fonction) print " ($fonction)";
		if ($courriel) print " [$courriel]";
		print "</option>\n";
	}
	print "</select></p>\n";
	print "</td><td>";
	print "<input type=\"button\" name=\"choix_intervenant\" value=\"Ajouter\" class=\"bouton_ajoute\" onclick=\"javascript:ajouteIntervenant()\" />";
	print "</td></tr></table>\n";
}
function formateIntervenant($id_intervenant,$civ,$nom, $prenom, $fonction,$courriel,$modifier)
{
	if ($nom=='' && $prenom=='') return'';
	$nom=htmlentities($nom,ENT_COMPAT,'ISO-8859-15');
	$prenom=htmlentities($prenom,ENT_COMPAT,'ISO-8859-15');
	$fonction=htmlentities($fonction,ENT_COMPAT,'ISO-8859-15');
	$courriel=htmlentities($courriel,ENT_COMPAT,'ISO-8859-15');
	
	$s="<p><input type=\"checkbox\" name=\"intervenants[$id_intervenant]\" checked=\"checked\" onchange=\"javascript:change()\" />";
	if ($prenom=='') {
		if ($civ==0) $s.='M ';
		else if ($civ==1) $s.='Mme ';
		$s.=$nom;
	}
	else $s.="$prenom $nom";
	if ($fonction) $s.=" ($fonction)";	
	if ($courriel) $s.=" <i><a href=\"mailto:$courriel\">[$courriel]</a></i>";
	if ($modifier) $s.= "&nbsp;<img src=\"images/b_edit.png\" width=\"16\" height=\"16\" class=\"img_survol\" onclick=\"javascript:editeIntervenant($id_intervenant)\" alt=\"editer un intervenant\" title=\"Editer l'intervenant\"/>";
	
	
	$s.="</p>\n";
	return $s;

}
function afficherConditions($index)
{
	$conditions=array( 'aucune condition','max','max-1','max-2','max-3','max-4','max-5','max-6','max-7','max-8','max-9','max-10','max-11','max-12','max-13','max-14','max-15','max-16','max-17','max-18','max-19','max-20');
	$i=0;
	foreach ($conditions as $cond) {
		print "<option value=\"$i\"";
		if ($index==$i) print ' selected="selected"';
		print ">$cond</option>\n";
		++$i;
	}
}
function afficherDeja($tab_in)
{
	
	print "<table>\n";
	print "<tr class=\"table_entete\"><td>Nom stag.</td><td>Ecole</td><td>Circo stag.</td><td>Horaire</td><td>Dur&eacute;e</td><td>Intitul&eacute; anim.</td><td>Org.</td></tr>\n";
	$count=0;
	foreach ($tab_in as $tab) {
		if ($count>10) break;
		print "<tr>\n";
		printf( "<td>%s</td>\n",htmlentities($tab['nom'],ENT_COMPAT,'ISO-8859-15'));
		printf( "<td>%s</td>\n",htmlentities($tab['ecole'],ENT_COMPAT,'ISO-8859-15'));
		printf( "<td>%s</td>\n",htmlentities($tab['circo_stag'],ENT_COMPAT,'ISO-8859-15'));
		printf( "<td>%s</td>\n",htmlentities(horaireSqlEnHeure($tab['horaire']),ENT_COMPAT,'ISO-8859-15'));
		printf( "<td>%s</td>\n",htmlentities($tab['duree'],ENT_COMPAT,'ISO-8859-15'));
		printf( "<td>%s</td>\n",htmlentities($tab['intitule'],ENT_COMPAT,'ISO-8859-15'));
		printf( "<td>%s</td>\n",htmlentities($tab['org'],ENT_COMPAT,'ISO-8859-15'));
		print "</tr\n>";
		++$count;
	}
	if ($count <count($tab_in)) {
		printf ("<tr><td colspan=\"4\">Il reste encore %d stagiaire(s)</td></tr>\n", count($tab_in)-$count);
	
	}
	print "</table>\n";

}

function afficherCochesCircos($h, $afficher_tout)
{
	global $id_circo;
	$n=queryValue("SELECT COUNT(*) FROM bassin WHERE id_circo=$id_circo",$h);
	if (!$n) return;
	if ($afficher_tout) print "<p><input type=\"radio\" name=\"AfficherBassin\" onchange=\"javascript:jsCocheCircos()\" />Afficher les  favorites</p><p><em>Les non favorites coch&eacute;es sont conserv&eacute;es</em></p>\n";
	else print "<p><input type=\"radio\" name=\"AfficherTout\" onchange=\"javascript:jsCocheCircos()\" />Afficher toutes</p>\n";  
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
		<script type="text/javascript">
		<!--
		var changement=<?php print $changement; ?>;
		function cocheTout(obj)
			{
			  // on rcupre le formulaire des objets  modifier
			  changement=1;
			  leForm = obj.form
			
			  laListe = leForm["circos[]"]
			
			  if (laListe != null){
				if (laListe.length != null){
				  // on modifie tous les lments
				  for(i=0; i < laListe.length; i++) {
					laListe[i].checked = obj.checked
				  }
				} else {
				  laListe.checked = obj.checked
				}
			  }
			}
		function ajouteIntervenant()
		{
			document.formulaire.commande.value='ajoute_intervenant';
			document.formulaire.submit();
		}
		function editeIntervenant(id_intervenant)
		{
			document.formulaire.commande.value='modifie_intervenant';
			document.formulaire.id_intervenant.value=id_intervenant;
			document.formulaire.submit();
		}
		function keyPress(event) {
			if (event.keyCode==13) {
				document.formulaire.commande.value='valider';
				document.formulaire.submit();
			}
		}
		function jsCocheCircos()
		{
			document.formulaire.commande.value='cocher';
			document.formulaire.submit();
		}
		function change()
		{
			changement=true;
		}
		function confirme()
		{
			var b=true;
			if (changement) 
				b=window.confirm("Si vous quittez maintenant, vous perdrez toutes les modifications car vous n'avez pas valid. CLiquez sur OK pour quitter cette page, ANNULER pour rester sur cette page (et pensez  valider).");
			if (b) 	
				location.href="<?php print $url_ret_adm_seance_modif?>";
		}
		function countChars(from,to,max) {
		  var len = from.value.length;
		  document.getElementById(to).innerHTML = len+"/"+max+" signes";
		  changement=true;
		}
	
	//-->
	</script></head>
	<body>
	<div id="conteneur">
	 <?php 
		include('menu_principal.inc.php');
		
	?>
	<div class="menu_secondaire">
	<ul class="menu2">
	  <li><a href="javascript:confirme()">retour</a></li>
	  <li><a href="#bas">bas</a></li>
	</ul>
	</div>
	<div id="corps">
	<?php
		if ($erreur) printf("<p class=\"erreur\">%s</p>\r\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15')); 
		if (isset($_SESSION['circonscript7_modifier']) && $_SESSION['circonscript7_modifier']==true) print "<h1>Modification d'une s&eacute;ance";
		else print "<h1>Duplication d'une s&eacute;ance";
		if ($annee>0) print ' (plan futur)';
		print "</h1>\r\n";
	?>
	<form name="formulaire" method="post" action="">
	<table>
      <tr class="table_entete">
        <td colspan="3"><h3 class="table_entete">
          <?php print htmlentities($intitule_anim,ENT_COMPAT,'ISO-8859-15')?></h3></td>
        </tr>
      <tr>
        <td colspan="3"><h1>Champs sp&eacute;cifiques &agrave; la s&eacute;ance </h1></td>
        </tr>
      <tr class="survol">
        <td><h4>Date</h4>
          <p><em>Tapez foad, tf ou t&eacute;l&eacute;formation pour formation &agrave; distance; laissez vide si la date est &agrave; d&eacute;finir. </em></p></td>
        <td><input name="date" type="text" class="survol" id="date" value="<?php print htmlentities($datelieu['date'],ENT_COMPAT,'ISO-8859-15')?>" size="15" maxlength="15" onkeypress="javascript:keyPress(event)" onchange="javascript:change()" />
		<?php
			if ($seance['inscrits']>0 || $seance['convoques']>0) print "<input type=\"submit\" name=\"verifier\" class=\"bouton_standard\" value=\"V&eacute;rifier\"  /> ... si les stagiaires ont une autre animation &agrave; cette date.";
		?></td>
        <td>Exemples de saisies:<br />
          11/09/2013 
          <br />
          11/9/2013<br />
          11/9/13 -&gt; 11/09/2013<br />
          11/9 -&gt; l'ann&eacute;e sera ajout&eacute;e automatiquement en fonction de la date du jour.</td>
      </tr>
<?php 
	if (isset($_POST['verifier']) && !$erreur) {
		print "<tr>\n";
		print "<td colspan=\"3\">\n";
		print "<h2>V&eacute;rification de la date</h2>\n";
		$nb_deja_inscr=0;
		if (isset($deja_inscrits)) $nb_deja_inscr=count($deja_inscrits);
		$nb_deja_conv=0;
		if (isset($deja_convoques)) $nb_deja_conv=count($deja_convoques);
		print "<h3>D&eacute;j&agrave; inscrits: $nb_deja_inscr</h3>\n";
		if ($nb_deja_inscr>0) afficherDeja($deja_inscrits);
		print "<h3>D&eacute;j&agrave; convoqu&eacute;s: $nb_deja_conv</h3>\n";
		if ($nb_deja_conv>0) afficherDeja($deja_convoques);
		
		
		print "</td>\n";
		print "</tr>\n";
	}
	  
?>	  
	  <tr class="survol">
        <td><h4>Horair<em>e</em></h4>
          <p><em>Ignor&eacute; si tlformation </em></p></td>
        <td colspan="2"><input name="horaire" type="text" class="survol" id="horaire" onchange="javascript:change()" onkeypress="javascript:keyPress(event)"  value="<?php print horaireSqlEnHeure($datelieu['horaire']) ?>" size="16" maxlength="16" /> 
          <em>(exemple: 8h30 ou 8:30)</em> </td>
      </tr>
      <tr class="survol">
        <td><h4>Lieu</h4>
          <p><em>Facultatif</em>. Si vide, il sera ignor&eacute; en tlformation et marqu&eacute; &quot;&agrave; d&eacute;finir&quot; en pr&eacute;sentiel. Si non vide, il sera toujours imprim&eacute;. </p></td>
        <td colspan="2"><input name="lieu" type="text" class="survol" id="lieu" value="<?php print htmlentities($datelieu['lieu'],ENT_COMPAT,'ISO-8859-15')?>" size="60" maxlength="255" onkeypress="javascript:keyPress(event)" onchange="javascript:change()" /></td>
        </tr>
      <tr class="survol">
        <td><h4>Dur&eacute;e </h4>
          <p><em>Requise. </em></p></td>
        <td colspan="2"><input name="duree" type="text" class="survol" id="duree" value="<?php print htmlentities($datelieu['duree'],ENT_COMPAT,'ISO-8859-15')?>" size="5" maxlength="5" onkeypress="javascript:keyPress(event)" onchange="javascript:change()"/>
          <em> Nombre d&eacute;cimal </em></td>
        </tr>
      <tr class="survol">
        <td>&nbsp;</td>
        <td colspan="2">&nbsp;</td>
      </tr>
      <tr class="survol">
        <td><h4>Intervenants</h4>
          <p><em>Facultatif</em></p></td>
        <td colspan="2">
		<?php afficherintervenants($h, $datelieu['intervenants']) ?>
			nom :
          <input name="nom_intervenant" type="text" id="nom_intervenant" /> 
          pr&eacute;nom: 
          <input name="prenom_intervenant" type="text" id="prenom_intervenant" />
          <input name="chercher" type="submit" class="bouton_standard" id="chercher" value="Chercher..." />
          <input name="nouveau" type="submit" class="bouton_standard" id="nouveau" value="Nouveau..." />
		  <?php afficherResultatRecherche($h) ?>		  </td>
      </tr>
      <tr class="survol">
        <td><h4>Remarque</h4>
          <p id="remarqueId"><em>Facultatif - <?php print $taille_max_remarque?> signes.</em><br />          
          </p></td>
        <td colspan="2"><input name="remarque" type="text" class="survol" id="remarque" value="<?php print htmlentities($datelieu['remarque'],ENT_COMPAT,'ISO-8859-15') ?>" size="<?php print $taille_max_remarque>=60? 60: $taille_max_remarque?>" maxlength="<?php print $taille_max_remarque?>" onkeyup="javascript:countChars(this,'remarqueId',<?php print $taille_max_remarque?>)"/></td>
      </tr>

      <tr>
        <td colspan="3"><h1>Champs appartenant &agrave; l'ensemble </h1></td>
        </tr>
      <tr class="survol">
        <td><h4>Max. stagiaires </h4>          </td>
        <td><p class="remarque">
          <input name="max" type="text" class="survol" id="max"  value="<?php print htmlentities($seance['max'],ENT_COMPAT,'ISO-8859-15')?>" size="5" maxlength="5" onkeypress="javascript:keyPress(event)" onchange="javascript:change()" /> 
          (0= illimit&eacute;) </p></td>
        <td>Pour info: inscrits= <?php print htmlentities($seance['inscrits'],ENT_COMPAT,'ISO-8859-15')?>, convoqu&eacute;s = <?php print htmlentities($seance['convoques'],ENT_COMPAT,'ISO-8859-15')?> </td>
      </tr>
      <tr class="survol">
        <td><h4>Public</h4>
          <p><em>Facultatif</em></p></td>
        <td colspan="2"><input name="public" type="text" class="survol" id="public"  value="<?php print htmlentities($seance['public'],ENT_COMPAT,'ISO-8859-15')?>" size="60" maxlength="255" onkeypress="javascript:keyPress(event)" onchange="javascript:change()" /></td>
        </tr>
      <tr class="survol">
        <td><h4>Condition d'ouverture </h4></td>
        <td colspan="2">La s&eacute;ance (ou l'ensemble de s&eacute;ances) pr&eacute;c&eacute;dente doit atteindre: 
          <select name="cond" onchange="javascript:change()">
          <?php afficherConditions($seance['cond']) ?>
        </select> 
          stagiaires pour ouvrir cette s&eacute;ance (ou cet ensemble de s&eacute;ances.) </td>
        </tr>
      <tr class="survol">
        <td><h4>Circonscriptions concern&eacute;es </h4><?php afficherCochesCircos($h,$afficher_tout) ?></td>
        <td colspan="2"><input name="toutes" type="checkbox" id="toutes" value="1" onclick="cocheTout(this)" />
toutes  <?php afficherCircos($h,$seance['partage'],$seance['id_seance'],$afficher_tout)?></td>
        </tr>
      <tr>
        <td colspan="3"><div align="center">
          <input name="id_intervenant" type="hidden" id="id_intervenant" value="0" />
          <input name="commande" type="hidden" id="commande" value="0" />
          <input name="valider" type="submit" class="bouton_standard" id="valider" value="Valider"  />
          &nbsp;
          <input name="annuler" type="submit" class="bouton_standard" id="annuler" value="Annuler" />
        </div></td>
        </tr>
	</table>
	</form>
	</div>
	<div class="menu_secondaire">
	<ul class="menu2">
	  <li><a href="javascript:confirme()">retour</a></li>
	  <li><a href="#haut">haut</a></li>
	</ul>
	</div>
	<a name="bas" id="bas"></a></div>
	</body>
</html>
