<?php
/* 
	Les suffixes en vigueur
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_suffixes=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_suffixes']=$url_ret_adm_suffixes;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_suffixes'])) {
		$url_ret_adm_suffixes=$_SESSION['circonscript7_url_ret_adm_suffixes'];
	}
	else $url_ret_adm_suffixes="administration.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	$modifications_possibles=1;		
	$h=connect();
	$id_modifier=0;
	$coche=false;
	$suffixe='';
	while (isset($_POST['Restaurer'])) {
		$n=queryValue("SELECT COUNT(*) FROM suffixes",$h);
		if ($n!=0) {
			$erreur="La restauration des suffixes par dfaut n'est possible que si aucun suffixe n'est dfini; effacez d'abord les suffixes existants.";
			break;
		}
		generesuffixes($h);
		break;
	}
	if (isset($_POST['Valider'])) while(1){
		$modifications_possibles=0;
		$suffixe=strtolower(normaliseT($_POST['suffixe'],250));
		if ($suffixe!='') {
			$b=preg_match("#^[\w.-]+\.[a-zA-Z]{2,6}$#",$suffixe);
			if (!$b) {
				$erreur="Suffixe incorrect.";
				break;
			}
			$nb=queryValue("SELECT COUNT(*) FROM suffixes WHERE suffixe='$suffixe'",$h);
			if ($nb) {
				$erreur="Ce suffixe existe dj";
				break;
			}
			$count=queryValue("SELECT COUNT(*) FROM suffixes",$h);
			$coche=isset($_POST['defaut'])?1:0;
			if ($count<99) {
				if ($coche) query("UPDATE suffixes SET defaut=0",$h);
				$q="INSERT INTO suffixes(suffixe,defaut) VALUES (\"$suffixe\",$coche)";
				$r=query($q,$h);
				$suffixe='';
			}
		}
		break;
	}
	else if (isset($_POST['commande'])&& $_POST['commande']=='supprimer' && isset($_POST['supprime'])) {
		$modifications_possibles=0;
		$id_modifier=0;
		foreach($_POST['supprime'] as $id_suffixe) {
			$id_suffixe=intval($id_suffixe);
			$q="DELETE FROM suffixes WHERE id_suffixe=$id_suffixe";
			query($q,$h);
			if ($erreur!='') break;
			
		}
	}
	else if(isset($_POST['Modifier'])) while(1){
		$modifications_possibles=0;
		$id_suffixe=abs(intval($_POST['id_modifier']));
		$q="SELECT COUNT(*) FROM suffixes WHERE id_suffixe=$id_suffixe";
		$nb=queryValue($q,$h);
		if (!$nb) {
			$erreur="suffixe inconnu";
			break;
		}
		$suffixe=strtolower(normaliseT($_POST['suffixe'],250));
		$b=preg_match("#^[\w.-]+\.[a-zA-Z]{2,6}$#",$suffixe);
		if (!$b) {
			$erreur="Suffixe incorrect.";
			break;
		}
		$nb=queryValue("SELECT COUNT(*) FROM suffixes WHERE suffixe='$suffixe' AND id_suffixe<>$id_suffixe",$h);
		if ($nb) {
			$erreur="Ce suffixe existe dj";
			break;
		}
		if ($suffixe=='') break;
		$coche=isset($_POST['defaut']);
		$n=queryValue("SELECT COUNT(*) FROM suffixes WHERE id_suffixe=$id_suffixe",$h);
		if ($n ) {
			if ($coche) {
				query("UPDATE suffixes SET defaut=0",$h);
				$q=sprintf("UPDATE suffixes SET suffixe='%s', defaut='1' WHERE id_suffixe=$id_suffixe",$suffixe);
			}
			else {
				$q=sprintf("UPDATE suffixes SET suffixe='%s' WHERE id_suffixe=$id_suffixe",$suffixe);
			}
			query($q,$h);
			$suffixe='';
		}

		break;
	}
	else if (isset($_POST['undo'])) {
		$id_modifier=0;
	}
	else if (isset($_GET['Modifier'])) {
		$id_modifier=abs(intval($_GET['Modifier']));
	}
	
//---------------------Sous programmes

function generesuffixes($h)
{
		
	$suffixes=array('ac-strasbourg.fr','.iufm.fr','iufm.unistra.fr');
	for ($i=0;$i<sizeof($suffixes);++$i) {
		$lib=$suffixes[$i];
		$coche=$i==0?1:0;
		$q="INSERT INTO suffixes(suffixe, defaut) VALUES ('$lib',$coche)";
		query($q,$h);
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
		<script type="text/javascript">
		<!--			
			function cocheTout(obj)
			{
			  // on rcupre le formulaire des objets  modifier
			  leForm = obj.form
			
			  laListe = leForm["supprime[]"]
			
			  if (laListe != null){
				if (laListe.length != null){
				  // on modifie tous les lments
				  for(i=0; i < laListe.length; i++) {
					laListe[i].checked = obj.checked
				  }
				} else {
				  laListe.checked = obj.checked
				}
			  }
			}
			function confirme()
			{
			  
			  leForm = document.formulaire;
			  laListe = leForm["supprime[]"];
				n=0;
				if (laListe != null) {
					if (laListe.length != null) {
						for (i=0;i<laListe.length; ++i) if (laListe[i].checked) ++n;
					}
					else {
						if (laListe.checked) ++n;
					}
				}
				if (n==0) alert("Il faut cocher les suffixes  supprimer");
				else {
					b=window.confirm("Voulez-vous vraiment suprimer les suffixes cochs ?");
					if (b) {	
						document.formulaire.commande.value='supprimer';
						document.formulaire.submit();
					}
				}				
			}
		//-->	
		</script>					
		
	</head>
	<body>
	<div id="conteneur">

	 <?php 
		include('menu_principal.inc.php');
		
	?>
	<div class="menu_secondaire">
	<ul class="menu2">
	  <li><a href="<?php print $url_ret_adm_suffixes?>">retour</a></li>
	  <li><a href="#bas">bas</a></li>
	</ul>
	</div>
	<div id="corps">
	<h1>Les suffixes en vigueur</h1>
	<p>Liste des suffixes (partie de l'adresse de courriel figurant apr&egrave;s le @...) autoris&eacute;s dans les adresses de courriel, lorsque les circonscriptions d&eacute;sirent utiliser les adresses acad&eacute;miques. Exemples: ac-strasbourg.fr, alsace.iufm.fr, etc. </p>
	<p>Ne mettez pas le '@'. Un point est n&eacute;cessaire. C'est la partie finale de l'adresse qui est prise en compte (ainsi, x@alsace.iufm.fr et y@aquitaine.iufm.fr seront accept&eacute;s si vous choisissez comme filtre &quot;.iufm.fr&quot;) </p>
	<?php 	
		if ($erreur) printf("<p class=\"erreur\">%s</p>\r\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15')); 
		$q="SELECT * FROM suffixes ORDER BY suffixe ASC";
		$r=query($q,$h);                                                  
	?>
	<form name="form1" method="post" action="">
      <input name="Restaurer" type="submit" class="bouton_standard" id="Restaurer" value="Restaurer les suffixes par d&eacute;faut" />
    </form>
	<form name="formulaire" method="post" action="" >
	<table>
      <tr class="table_entete">
        <td>Valeur</td>
        <td>D&eacute;faut</td>
		<td>Modifie</td>
		<td>Suppr.<input type="checkbox" name="cochetout" value="0" onclick="cocheTout(this)" /></td>
      </tr>
      <?php
	$tri=0;
	$count=0;
	$modifier=array();
	while ($row=@mysqli_fetch_array($r)) {
		print "<tr class=\"survol\" >\r\n";
		print " <td>";
		printf("%s", htmlentities($row['suffixe'],ENT_COMPAT,'ISO-8859-15'));
		print "</td>\r\n";
		print " <td>";
		if ($row['defaut']) print "d&eacute;faut";
		else print '&nbsp;';
		print "</td>\r\n";
		print " <td class=\"controle\">";
	  	printf ("<a href=\"adm_suffixes.php?Modifier=%s\"><img src=\"images/b_edit.png\" alt=\"Edite\" /></a>",$row['id_suffixe']);
		print "</td>\r\n";
		print " <td class=\"controle\">";
	  	printf ("<input type=\"checkbox\" name=\"supprime[]\" value=\"%s\" />",$row['id_suffixe']);
		//print "<a href=\"\"><img src=\"images/b_supprime.png\" alt=\"supprimer\" /></a>";
		print "</td>\r\n";
		print "</tr>\r\n";
		if ($modifications_possibles && $id_modifier==$row['id_suffixe']) 
			$modifier=$row;
		++$count;
	}
	// Ajoute une nouvelle ligne
	if (count($modifier)==0) 
		if ($count<99) {
			print "<tr>\r\n";
			print " <td>";
		 	print "<input type=\"text\" name=\"suffixe\" size=\"50\" maxlength=\"250\" value=\"$suffixe\" />";
			print "</td>\r\n";
			print " <td class=\"controle\">";
			print  "<input name=\"Valider\" class=\"bouton_ajoute\" type=\"submit\" value=\"Ajouter\"/>";
			print "</td>\r\n";
		}
		else {
			print "<tr>\r\n";
			print " <td>";
			print "<h4>Limite maximale atteinte</h4>";
			print "</td>\r\n";
			print " <td>";
			print "<p>&nbsp;</p>";
			print "</td>\r\n";
		}
	else {
		print "<tr>\r\n";
		print " <td>";
		printf( "<input type=\"text\" name=\"suffixe\" value=\"%s\" size=\"50\" maxlength=\"250\" />",htmlspecialchars($modifier['suffixe'],ENT_COMPAT,'ISO-8859-15'));
		print "</td>\r\n";
		print " <td class=\"controle\">";
		print  "<input name=\"Modifier\" class=\"bouton_editer\" type=\"submit\" value=\"Modifier\"/>";
		print "</td>\r\n";
	}
	print " <td class=\"controle\">";
	if (count($modifier)==0) print "<input name=\"supprimer\" type=\"button\" class=\"bouton_supprimer\" value=\"Supprimer\" onclick=\"confirme()\" />\n";
	else print "<input name=\"undo\" type=\"submit\" class=\"bouton_undo\" value=\"D&eacute;faire\" />\n";
	print "</td>\r\n";
	print "</tr>\r\n";
	 ?>
    </table>
	<input type="hidden" name="id_modifier" value="<?php print htmlentities($id_modifier,ENT_COMPAT,'ISO-8859-15')?>" />
	<input name="commande" type="hidden" id="commande" value="0" />
	<input name="defaut" type="checkbox" id="defaut" value="checkbox" <?php if ($coche) print 'checked="checked"' ?>/>
	Choisir le suffixe en cours d'&eacute;dition comme suffixe acad&eacute;mique par d&eacute;faut (indispensable) 
	</form>
	
	</div>
	<div class="menu_secondaire">
	<ul class="menu2">
	  <li><a href="<?php print $url_ret_adm_suffixes?>">retour</a></li>
	  <li><a href="#haut">haut</a></li>
	</ul>
	</div>
	<a name="bas" id="bas"></a></div>
	<?php if (isset($_POST['Valider'])||$id_modifier>0) { ?>
	<script language="javascript" type="text/javascript" >
		document.location.href="#bas";
		document.formulaire.suffixe.select();
	</script>
	<?php } ?>
	</body>
</html>
