<?php
/*	
	Test de l'intgrit de la base
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	require '_sqlconnect.inc.php';
	require('_requetes.inc.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_test_integrite=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_test_integrite']=$url_ret_adm_test_integrite;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_test_integrite'])) {
		$url_ret_adm_test_integrite=$_SESSION['circonscript7_url_ret_adm_test_integrite'];
	}
	else $url_ret_adm_test_integrite="administration.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	
	$erreur='';
	$page='';
	debugInit();
	// dtruire les logs de plus de 24 h...
	$path = './temp/';
	if ($handle = opendir($path)) {
		while (false !== ($file = readdir($handle))) {
			if ((time()-filemtime($path.$file)) >= 86400) {  
				if (preg_match('/\.log$/i', $file))
					unlink($path.$file); //effacer seulement les fichiers .log
			}
        }
    }
	$file="./temp/test_integrite".session_id().".log";// chaque superadmin a son propre fichier de logs.
	$err=false;
	while (isset($_POST['Submit'])) {
		$h=connect();
		if ($erreur) break;
		$f=fopen($file,"w");
		foreach($req as $t=>$q) effectue($f,$t,$q[0]);
		fclose($f);
		$page.="<form name=\"form2\" method=\"post\" action=\"\">\n";
		$page.="<div align=\"center\">\n";
		$page.="<input name=\"Logs\" type=\"submit\" class=\"bouton_standard\" value=\"Tlcharger la page de logs\" />\n";
		$page.="</div>\n</form>\n";
		$erreur="Test termin. ";
		if ($err) $erreur.="Il y a des erreurs.";
		else $erreur.="Tout va bien !";
		break;
	}
	
	if (isset($_POST['Logs'])) {
		if (file_exists($file)) {
			header('Content-Transfer-Encoding: none');
			header("Content-Type: application/octetstream; name=\"$file\"");
			header("Content-Disposition: attachment; filename=\"test_integrite.log\"");
			header('Content-length: '.filesize($file));
			@readfile($file);
			@unlink($file);
			exit;
		}
		else $erreur="Le fichier de logs n'existe pas/plus.";
	}
function my_field_name($result, $field_offset)
{
    $properties = @mysqli_fetch_field_direct($result, $field_offset);
    return is_object($properties) ? $properties->orgtable.".".$properties->name : '';
}
function effectue($f,$titre,$q)
{
	global $page,$h,$err,$erreur;
	$page.="<h2>$titre : ";
	$r=query($q,$h);	
	$n=intval(@mysqli_num_rows($r));
	fputs($f,"$titre : $n\n");
	if ($n) {
		$page.="$n erreur(s)</h2>\n";
		$err=true;
		$textId=my_field_name($r,0);
		fputs($f,"$textId IN (");
		while ($row=@mysqli_fetch_row($r)) {
			fputs($f,$row[0]);
			if (--$n>0) fputs($f,',');
		}
		fputs($f,")\n");
	}
	else $page.=" OK</h2>\n";

	
	
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_test_integrite?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
				<?php if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?> 
				<h1>Test d'intgrit de la base </h1>
				<p>Ce test ne modifie pas la base de donn&eacute;es. Il indique les erreurs. T&eacute;l&eacute;chargez le fichier de logs pour plus de d&eacute;tails. </p>
				<form name="form1" method="post" action="">
				  <div align="center">
				    <input name="Submit" type="submit" class="bouton_standard" value="Commencer le test" />
			      </div>
				</form>
				<?php print $page ?>
				<p>&nbsp;</p>
			</div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_test_integrite?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
