<?php
/* 
	Edition d'un stagiaire par la circo
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	$erreur='';
	$resultat='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';	
	require '_fonctions_mdp.inc.php';
	
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_utilisateur_edite=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_utilisateur_edite']=$url_ret_adm_utilisateur_edite;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_utilisateur_edite'])) {
		$url_ret_adm_utilisateur_edite=$_SESSION['circonscript7_url_ret_adm_utilisateur_edite'];
	}
	else $url_ret_adm_utilisateur_edite="adm_utilisateurs.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}

	if (isset($_SESSION['circonscript7_adm_utilisateur_edite_compte_uti'])) $compte_uti=$_SESSION['circonscript7_adm_utilisateur_edite_compte_uti'];
	else $compte_uti='';	
	if (isset($_GET['id_uti'])) {
		$id_uti=abs(intval($_GET['id_uti']));
		$_SESSION['circonscript7_adm_utilisateur_edite_id_uti']=$id_uti;
	}
	else if (isset($_SESSION['circonscript7_adm_utilisateur_edite_id_uti'])) {
		$id_uti=$_SESSION['circonscript7_adm_utilisateur_edite_id_uti'];
	}
	else {
		header("Location: erreur.php?erreur=utilisateur");
		exit;
	}
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$r=query("SELECT login, mdp, codage, dt_connexion, case hash WHEN 'bloque' THEN 1 ELSE 0 END, sso_login FROM utilisateurs WHERE id_uti=$id_uti",$h);
	if (@mysqli_num_rows($r)==0) {
		header("Location: erreur.php?erreur=utilisateur");
		exit;
	}
	$row=@mysqli_fetch_row($r);
	$login=$row[0];
	$login_sso=$row[5];
	$mdp=$row[1];	
	$codage=$row[2];
	$dtConnexion=$row[3];
	$blocage=$row[4];
	$mdp_aff='#';
	if ($codage==0) $mdp_aff=$mdp;
	$stagiaires=array();
	$intervenants=array();
	$administrateurs=array();
	$id_uti_nouv=0;
	$compte_uti='';
	$creation='';
	if (isset($_POST['creation'])) $creation='checked="checked"';
	else $creation='';
	if (isset($_POST['Commande']) && $_POST['Commande']=='expedier') while(1){
		publipostage($id_uti,$h);
		if (!$erreur) 
			$erreur="Courriel expdi.";
		break;
	}
	if (isset($_POST['valider'])) while(1){
		if (isset($_POST['login'])) $login_lu=normaliseT($_POST['login'],255);
		else break;
		if (isset($_POST['login_sso'])) $login_sso_lu=normaliseT($_POST['login_sso'],255);
		else break;
		if (isset($_POST['mdp'])) $mdp_lu=normaliseT($_POST['mdp'],16);
		else break;
		$blocage_lu=0;
		if (isset($_POST['chkBlocaqe'])) $blocage_lu=1;
		if ($mdp_lu!='#') {
			if (!motDePasse($mdp_lu)) {
				$erreur="Mot de passe incorrect.";
				break;
			}
		}
		else $mdp_lu='';
		if (!testeEMail($login_lu) && !nomValide($login_lu)) {
			$erreur="Login incorrect.";
			break;
		}
		$login2=myEscapeString($h,$login_lu);
		$nb=queryValue("SELECT COUNT(*) FROM utilisateurs WHERE login='$login2' AND id_uti<>$id_uti",$h);
		if ($nb>0) {
			$erreur="Il existe dj un utilisateur avec ce login. Pour l'utiliser  la place du compte actuel, utilisez les cases  cocher ci-dessous.";
			$compte_uti=$login2;
			$_SESSION['circonscript7_adm_utilisateur_edite_compte_uti']=$compte_uti;			
			break;
		} 
		$login_sso2=myEscapeString($h,$login_sso_lu);
		if ($login_sso2!='') {
			$nb=queryValue("SELECT COUNT(*) FROM utilisateurs WHERE sso_login='$login_sso2' AND id_uti<>$id_uti",$h);
			if ($nb>0) {
				$erreur="Il existe dj un utilisateur avec cet identifiant SSO. Pour l'utiliser  la place du compte actuel, utilisez les cases  cocher ci-dessous.";
				$compte_uti=$login2;
				$_SESSION['circonscript7_adm_utilisateur_edite_compte_uti']=$compte_uti;			
				break;
			} 
		}		
		$login_modifie=false;
		$login_sso_modifie=false;
		$mdp_modifie=false;
		$blocage_modifie=false;
		if ($login_lu!=$login) {
			query("UPDATE utilisateurs SET login='$login2' WHERE id_uti=$id_uti",$h); 
			$login=$login_lu;
			$erreur.="Login modifi. ";
			$login_modifie=true;
			if (isset($_POST['repercuter'])) repercute($id_uti,$login,$h);
		}
		if ($login_sso_lu!=$login_sso) {
			if ($login_sso2!='')
				query("UPDATE utilisateurs SET sso_login='$login_sso2' WHERE id_uti=$id_uti",$h); 
			else
				query("UPDATE utilisateurs SET sso_login=NULL WHERE id_uti=$id_uti",$h); 
			
			$login_sso=$login_sso_lu;
			$erreur.="Identifiant SSO modifi. ";
			$login_sso_modifie=true;
		}
		if ($mdp_lu) {
			query("UPDATE utilisateurs SET mdp='$mdp_lu', codage='0' WHERE id_uti=$id_uti",$h);
			$mdp=$mdp_aff=$mdp_lu;
			$codage=0;
			$erreur.="Mot de pase modifi. ";
			$mdp_modifie=true;
		}
		if ($blocage_lu != $blocage) {
			if ($blocage_lu) query("UPDATE utilisateurs SET hash='bloque' WHERE id_uti=$id_uti",$h);
			else query("UPDATE utilisateurs SET hash=NULL WHERE id_uti=$id_uti",$h);
			$blocage_modifie=true;
			$blocage=$blocage_lu;
		}
		if (!$login_modifie && !$mdp_modifie && !$blocage_modifie && !$login_sso_modifie) $erreur="Aucune modification n'a t faite. ";
		break;
	}
	if (isset($_POST['affecter'])) while(1) {
		if (isset($_POST['login2'])) $compte_uti=trim(normaliseT($_POST['login2'],255));
		if ($compte_uti=='') {
			$erreur="Veuillez indiquer un compte utilisateur";
			break;
		}
		$s=myEscapeString($h,$compte_uti);
		$r=query("SELECT id_uti FROM utilisateurs WHERE login LIKE '$s'",$h);
		$id_uti_nouv=0;
		if (@mysqli_num_rows($r)==0) {
			if ($creation) {	
				$mdp=rand(1000,9999);
				$r=query("INSERT INTO utilisateurs(login,mdp,codage) VALUES('$s','$mdp',0)",$h);
				if ($r) {
					$id_uti_nouv=@mysqli_insert_id($h);
					$resultat.="Le compte utilisateur '$compte_uti', id $id_uti_nouv a t cr, avec le mot de passe '$mdp'. ";
				}
			}
			else {
				$erreur="Le compte utilisateur '$compte_uti' n'existe pas.";
				break;
			}
		}
		else {
			$row=@mysqli_fetch_row($r);
			$id_uti_nouv=$row[0];
		}
		if (!$id_uti_nouv) {				
			$erreur.="Impossible de crer le compte '$s'";
			break;
		}
		$_SESSION['circonscript7_adm_utilisateur_edite_compte_uti']=$compte_uti;				  
		if ($id_uti==$id_uti_nouv) {
			$erreur="Les comptes utilisateurs sont identiques";
			break;
		}
		$nb_stag=0;
		if (isset($_POST['stag'])) foreach($_POST['stag'] as $id_stagiaire) {
			$id_stagiaire=intval($id_stagiaire);
			$n=queryValue("SELECT COUNT(*) FROM stagiaires WHERE id_stagiaire=$id_stagiaire",$h);
			if ($n==0) {
				$erreur="Le stagiaire $id_stagiaire n'existe pas.";
				break;
			}
			query("UPDATE stagiaires SET id_uti=$id_uti_nouv WHERE id_stagiaire=$id_stagiaire",$h);
			++$nb_stag;
		}
		$nb_int=0;
		if (isset($_POST['int'])) foreach($_POST['int'] as $id_int) {
			$id_int=intval($id_int);
			$n=queryValue("SELECT COUNT(*) FROM intervenants WHERE id_intervenant=$id_int",$h);
			if ($n==0) {
				$erreur="L'intervenant $id_int n'existe pas.";
				break;
			}
			query("UPDATE intervenants SET id_uti=$id_uti_nouv WHERE id_intervenant=$id_int",$h);
			++$nb_int;
		}
		$nb_adm=0;
		if (isset($_POST['adm'])) foreach($_POST['adm'] as $id_admin) {
			$id_admin=intval($id_admin);
			$n=queryValue("SELECT COUNT(*) FROM administrateurs WHERE id_admin=$id_admin",$h);
			if ($n==0) {
				$erreur="L'administrateur $id_admin n'existe pas.";
				break;
			}
			// l'administrateur modifi est-il l'admnistrateur courant ? Si oui, changer id_uti 
			$id_uti_admin=queryValue("SELECT id_uti FROM administrateurs WHERE id_admin=$id_admin",$h);
			query("UPDATE administrateurs SET id_uti=$id_uti_nouv WHERE id_admin=$id_admin",$h);
			if ($id_uti_admin==$_SESSION['circonscript7_id_uti'] && $id_uti!=$id_uti_nouv) {
				$_SESSION['circonscript7_id_uti']=$id_uti_nouv;			
				$resultat.="Votre compte utilisateur a t chang. ";
			}
			++$nb_adm;
			
		}
		if ($nb_stag) $resultat.="$nb_stag stagiaire(s) ont t affects. ";
		if ($nb_int) $resultat.="$nb_int intervenant(s) ont t affects. ";
		if ($nb_adm) $resultat.="$nb_adm administrateur(s) ont t affects. ";
		if (!$resultat) $resultat.="Aucune affectation n'a t effectue. ";
		break;
	}
	if (isset($_POST['Commande']) && $_POST['Commande']=='supprimer') while(1) {
		if (!empty($stagiaires) || !empty($intervenants) ||!empty($administrateurs)) {
			$erreur="Le compte utilisateur ne peut pas tre supprim. Supprimez d'abord tous les comptes qui lui sont rattachs.";
			break;
		}
		query("DELETE FROM utilisateurs WHERE id_uti=$id_uti",$h);
		if (!$erreur) {
			header("Location: $url_ret_adm_utilisateur_edite");
			exit;
		}
		break;
	}
	$r=query("SELECT id_stagiaire, concat( stagiaires.nom,' ',stagiaires.prenom) as nom, stagiaires.courriel, ecoles.nom AS info, ecoles.courriel as courriel_ec FROM stagiaires, ecoles WHERE stagiaires.id_uti=$id_uti AND stagiaires.id_ecole=ecoles.id_ecole GROUP BY stagiaires.id_stagiaire",$h);
	while ($row=@mysqli_fetch_array($r)) $stagiaires[]=$row;
	$r=query("SELECT intervenants.id_intervenant, concat( intervenants.nom,' ',intervenants.prenom) as nom, intervenants.courriel, GROUP_CONCAT(DISTINCT circos.libelle_court SEPARATOR ', ') as info FROM intervenants LEFT JOIN interventions ON interventions.id_intervenant =intervenants.id_intervenant LEFT JOIN dates ON interventions.id_date=dates.id_date LEFT JOIN seances ON seances.id_seance=dates.id_seance LEFT JOIN animations ON animations.id_anim=seances.id_anim LEFT JOIN circos ON circos.id_circo=animations.id_circo WHERE intervenants.id_uti=$id_uti GROUP BY intervenants.id_intervenant",$h);
	while ($row=@mysqli_fetch_array($r)) $intervenants[]=$row;
	$r=query("SELECT administrateurs.id_admin, administrateurs.nom, administrateurs.courriel, GROUP_CONCAT(DISTINCT circos.libelle_court SEPARATOR ', ') AS info FROM (administrateurs) LEFT JOIN droits ON droits.id_admin=administrateurs.id_admin LEFT JOIN circos ON circos.id_circo=droits.id_circo WHERE administrateurs.id_uti=$id_uti GROUP BY administrateurs.id_admin",$h);
	while ($row=@mysqli_fetch_array($r)) $administrateurs[]=$row;
	
function afficher($table,$h)
{
	if (empty($table)) {
		print "<p>aucun</p>\n";
		return;
	}

	$cles=array_keys($table[0]); //cles[1] contient 'id_stagiaire,'id_intervenant', 'id_admin'
	$id=0;
	switch($cles[1]) {
		case 'id_stagiaire': $ref='adm_adm_stagiaire_edite.php';$coche='stag[]';break;
		case 'id_intervenant': $ref='adm_intervenant_tout_edite.php'; $coche='int[]';break;
		case 'id_admin': $ref='adm_droits.php'; $coche='adm[]'; break;
		default: return;
	}
	print "<table>\n";
	$i=0;
	foreach($table as $t) {
		printf("<tr class=\"survol\"><td class=\"controle\"><input name=\"editer\" type=\"button\" class=\"bouton_editer\" value=\"Editer\" onclick=\"javascript:jsEditer('%s')\" /></td><td class=\"controle\"><input type=\"checkbox\" name=\"%s\" value=\"%d\" /></td><td><p><a href=\"$ref?%s=%d&amp;url_ret=adm_utilisateur_edite.php\">%s</a> %s %s",htmlentities($t['courriel'],ENT_COMPAT,'ISO-8859-15'),$coche,$t[0],$cles[1],$t[0],htmlentities($t['nom'],ENT_COMPAT,'ISO-8859-15'),isset($t['courriel'])? sprintf("[ <a href=\"mailto:%s\">%s</a> ]",$t['courriel'],htmlentities($t['courriel'],ENT_COMPAT,'ISO-8859-15')):'', isset($t['info'])?'- '.$t['info']:'');
		
		
		
		
		if (isset($t['courriel_ec'])) printf(" [ <a href=\"mailto:%s\">%s</a> ]",$t['courriel_ec'],htmlentities($t['courriel_ec'],ENT_COMPAT,'ISO-8859-15'));
		print "</p></td></tr>\n";
		$i=1;
	}
	if (!$i) print "<tr><td>&nbsp;</tr></td>\n";
	print "</table>\n";
}	
// rpercute l'adresse de courriel sur tous les comptes, si elle est correcte et si c'est autoris.
function repercute($id_uti,$courriel, $h)
{
	global $erreur;
	if (!testeEmail($courriel)) return;
	query("UPDATE intervenants SET courriel='$courriel' WHERE id_uti=$id_uti",$h);
	query("UPDATE administrateurs SET courriel='$courriel' WHERE id_uti=$id_uti",$h);
	// pour les stagiaires c'est diffrent: il faut tester si les circos sont d'accord 
	$est_aca=testeEmailAca($courriel,$h);
	$est_ecole=testeEmailEcole($courriel,$h);
	if ($est_aca && !$est_ecole) { // pas de difficult si le mail est acadmique et diffrent de celui d'une cole
		query("UPDATE stagiaires SET courriel='$courriel' WHERE id_uti=$id_uti",$h);
		return;
	
	}
	$lib_ecoles='';
	$lib_aca='';
	// mail non acadmique ou cole, il faut vrifier si les circos sont d'accord
	$r=query( "SELECT stagiaires.id_stagiaire,circos.libelle_court, circos.saisie_courriel, circos.refuser_courriel_ecole FROM stagiaires,ecoles,circos WHERE stagiaires.id_uti=$id_uti AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=circos.id_circo",$h);
	while ($row=@mysqli_fetch_row($r)) {
		if ($est_ecole && $row[3]==1) {
			if ($lib_ecoles!='') $lib_ecoles.=', ';
			$lib_ecoles.=$row[1]; 	
			continue;
		}
		if (!$est_aca && $row[2]!=2) {
			if ($lib_aca!='') $lib_aca.=', ';
			$lib_aca.=$row[1];
			continue;
		}
		$id_stagiaire=$row[0];	
		query("UPDATE stagiaires SET courriel='$courriel' WHERE id_stagiaire=$id_stagiaire",$h);
	}
	if ($lib_ecoles) $erreur.="Les circos suivantes refusent les courriels des coles dans les comptes des stagiaires: ".$lib_ecoles.'. ';
	if ($lib_aca) $erreur.="Les circos suivantes refusent les adresses non acadmiques: ".$lib_aca.'. ';
	if ($lib_aca || $lib_ecoles) $erreur.="L'adresse de courriel n'a pas t modifie dans les comptes stagiaires lis  ces circos. ";

}
function afficherDtconnexion($dt)
{
	if ($dt) {
		$tableau=explode(' ',$dt);
		if (count($tableau)==2) printf ("<p>%s &agrave; %s</p>\n",dateSQLEnTexte($tableau[0]),horaireSqlEnHeure($tableau[1]));
		else print '&nbsp;';
	}
	else print '-';
} 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function expedier()
			{
				b=window.confirm("Voulez-vous vraiment expdier les paramtres de connexion de cet utilisateur par un courriel automatique ?");
				if (b) {	
					document.form.Commande.value='expedier';
					document.form.submit();
				}
			}
			function jsSupprimer()
			{
				b=window.confirm("Voulez-vous vraiment supprimer ce compte utilisateur ?");
				if (b) {	
					document.form.Commande.value='supprimer';
					document.form.submit();
				}
			}
			function jsEditer(nom)
			{
				var input=document.getElementById("login2");
				input.value=nom;
			}
				
	//-->	
		</script>
		<script type="text/javascript" src="genererMdp.js"></script>
		</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_utilisateur_edite?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
			  <div class="droite"></div>
			  <h1>Edition du compte utilisateur &quot; <?php print htmlentities($login,ENT_COMPAT,'ISO-8859-15')?> &quot; </h1>
			    <form method="post" action="" name="form">
                  <?php 
				  if ($erreur)   printf ("<p class=\"erreur\"  >%s</p>\n",htmlentities($erreur,ENT_COMPAT,'ISO-8859-15')) ;
				  if ($resultat) printf ("<p class=\"remarque\">%s</p>\n",htmlentities($resultat,ENT_COMPAT,'ISO-8859-15'));
					if ($compte_uti && $id_uti_nouv>0) {
						printf("<p>Le compte '%s' a t affect. ",htmlentities($compte_uti,ENT_COMPAT,'ISO-8859-15'));
						print "<a href=\"adm_utilisateur_edite.php?id_uti=$id_uti_nouv&amp;url_ret=$url_ret_adm_utilisateur_edite\">[ S'y rendre ]</a></p>\n";
					}
				  ?>
                  <table>
                    <tr class="table_entete">
                      <td>
					  <?php if (empty($stagiaires) && empty($intervenants) && empty($administrateurs) && $id_uti!=$_SESSION['circonscript7_id_uti']) 
					  	print '<input name="supprimer" type="button" class="bouton_supprimer" id="supprimer" value="Supprimer" onclick="javascript:jsSupprimer()" />'; 
						?>					</td>
                      <td>Param&egrave;tres du compte Utilisateur </td>
                    </tr>
                    <tr class="survol">
                      <td>login</td>
                      <td><input name="login" type="text" id="login" value="<?php print htmlentities($login,ENT_COMPAT,'ISO-8859-15')?>" size="100" maxlength="255" />
                      <input name="Commande" type="hidden" id="Commande" /></td>
                    </tr>
                    <tr class="survol">
                      <td>Mot de passe </td>
                      <td><input name="mdp" type="text" id="mdp" value="<?php print htmlentities($mdp_aff,ENT_COMPAT,'ISO-8859-15') ?>" size="17" maxlength="16" />
                          <?php 
						  switch($codage) {
						  	case 2: print " [crypt&eacute; en aes] \n"; break;
							case 1: print " [crypt&eacute; en md5] \n";break;
							case 0: print " [non crypt&eacute;] \n";break;
							default: print " [cryptage inconnu] \n";break;
						}
						?>
						  <input name="genere" type="button" class="bouton_standard" id="genere" value="R&eacute;initialiser" onclick="javascript:generer('mdp')" /></td>
                    </tr>
                    <tr class="survol">
                      <td>Identifiant SSO </td>
                      <td><input name="login_sso" type="text" id="login_sso" value="<?php print htmlentities($login_sso,ENT_COMPAT,'ISO-8859-15')?>" size="100" maxlength="255" /></td>
                    </tr>
                    <tr class="survol">
                      <td>Dern&egrave;re connexion</td>
                      <td><?php afficherDtconnexion($dtConnexion)?></td>
                    </tr>
                    <tr class="survol">
                      <td colspan="2"><input name="repercuter" type="checkbox" id="repercuter" value="1" checked="checked" />
                        Si vous changez le login et qu'il est une adresse de courriel, alors recopier cette adresse de courriel sur tous les comptes de l'utilisateur. </td>
                    </tr>
                    <tr class="survol">
                      <td colspan="2"><input name="chkBlocaqe" type="checkbox" id="chkBlocaqe" value="checkbox" <?php if ($blocage) print 'checked="checked" '?>/>
Bloquer l'envoi des informations de connexion. Utiliser cette fonctionnalit&eacute; en cas de perte ou de vol de l'ordinateur de l'utilisateur. </td>
                    </tr>
                    <tr class="survol">
                      <td colspan="2"><p>
                        <input name="valider" type="submit" class="bouton_standard" id="valider" value="Valider changement de login / mot de passe  / blocage" />
                      </p>                      </td>
                    </tr>
                    <tr class="survol">
                      <td colspan="2"><p><em><a href="javascript:expedier()">Lui exp&eacute;dier ses param&egrave;tres de connexion par un courriel automatique</a></em><em> (ne fonctionne pas si vous avez bloqu&eacute; l'envoi des informations de connexion) </em></p>
                      <p>&nbsp;</p></td>
                    </tr>
                    <tr class="table_entete">
                      <td colspan="2">Comptes attach&eacute;s </td>
                    </tr>
                    <tr>
                      <td colspan="2"><h4>Comptes stagiaires</h4>
                      <?php afficher($stagiaires,$h) ?></td></tr>
					  <tr><td colspan="2"><h4>Comptes intervenants</h4>                      
					  <?php afficher($intervenants,$h) ?></td></tr>
                      <tr><td  colspan="2"><h4>Comptes admin ou superadmin</h4>                      
					  <?php afficher($administrateurs,$h) ?></td></tr>
				  <tr><td colspan="2"><p>Affecter les comptes coch&eacute;s au compte utilisateur suivant:</p>
				    <p>
				      <input name="login2" type="text" id="login2" value="<?php print htmlentities($compte_uti,ENT_COMPAT,'ISO-8859-15') ?>" size="60" maxlength="255" />
				      <input name="creation" type="checkbox" id="creation" value="1" <?php print $creation ?>/>
			        cr&eacute;er le compte s'il n'existe pas. </p>
	      <p>
				    <input name="affecter" type="submit" class="bouton_standard" id="affecter" value="Affecter" />
				  </p></td>
                    </tr>
                  </table>

		        </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_utilisateur_edite?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
