<?php
/*	
	Liste de tous les stagiaires
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_utilisateurs=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_utilisateurs']=$url_ret_adm_utilisateurs;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_utilisateurs'])) {
		$url_ret_adm_utilisateurs=$_SESSION['circonscript7_url_ret_adm_utilisateurs'];
	}
	else $url_ret_adm_utilisateurs="administration.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	
	$h=connect();
	debugInit();
	//diffrents tris en cours
	$tris=array(
		'login_asc'=> 'login ASC',
		'login_desc' => 'login DESC',
		'login_sso_asc'=> 'sso_login ASC',
		'login_sso_desc' => 'sso_login DESC',
		'codage_asc'=>'codage ASC, login ASC',
		'codage_desc'=>'codage DESC, login ASC',
		'superadmin_asc'=>'superadmin ASC, login ASC',
		'superadmin_desc'=>'superadmin DESC,login ASC',
		'admin_asc'=>'admin ASC, login ASC',
		'admin_desc'=>'admin DESC, login ASC',
		'intervenant_desc'=>'intervenant DESC, login ASC',
		'intervenant_asc'=>'intervenant ASC, login ASC',
		'stagiaire_desc'=>'stagiaire DESC, login ASC',
		'stagiaire_asc'=>'stagiaire ASC, login ASC',
		'orphelin_asc'=>'orphelin ASC, login ASC',
		'orphelin_desc'=>'orphelin DESC, login ASC',
		'blocage_asc'=>'blocage ASC, login ASC',
		'blocage_desc'=>'blocage DESC, login ASC'
	);
	if (isset($_POST['Commande']) && $_POST['Commande']=='supprimer') {
		query("DELETE utilisateurs FROM utilisateurs 
LEFT JOIN stagiaires ON stagiaires.id_uti=utilisateurs.id_uti
LEFT JOIN intervenants ON intervenants.id_uti=utilisateurs.id_uti
LEFT JOIN administrateurs ON administrateurs.id_uti=utilisateurs.id_uti
WHERE stagiaires.id_stagiaire IS NULL AND intervenants.id_intervenant IS NULL and administrateurs.id_admin IS NULL",$h);
		$n=@mysqli_affected_rows($h);	
		$erreur.="$n utilisateur(s) supprim(s). ";
	}
	if (isset($_GET['tri'])) {
		$tri_adm_utilisateurs=$tris[$_GET['tri']];
		if (!isset($tri_adm_utilisateurs)) $tri_adm_utilisateurs=$tris['login_asc'];
		$_SESSION['circonscript7_tri_adm_utilisateurs']=$tri_adm_utilisateurs;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_utilisateurs'])) {
		$tri_adm_utilisateurs=$_SESSION['circonscript7_tri_adm_utilisateurs'];
	}
	else {
		$tri_adm_utilisateurs=$tris['login_asc'];
		$_SESSION['circonscript7_tri_adm_utilisateurs']=$tri_adm_utilisateurs;
	}	
	if (isset($_SESSION['circonscript7_filtre_adm_utilisateurs'])) 
		$filtre_adm_utilisateurs=$_SESSION['circonscript7_filtre_adm_utilisateurs'];
	else $filtre_adm_utilisateurs='';
   
   if (isset($_POST['chercher'])) {
		if (isset($_POST['filtre1'])) {
			$filtre1=normalise($_POST['filtre1']);
		}
		else $filtre1='';
		if (isset($_POST['filtre2'])) {
			$filtre2=normalise($_POST['filtre2']);
		}
		else $filtre2='';
		if( $filtre1!=$filtre_adm_utilisateurs) $filtre_adm_utilisateurs=$filtre1;
		else $filtre_adm_utilisateurs=$filtre2;
		$_SESSION['circonscript7_filtre_adm_utilisateurs']=$filtre_adm_utilisateurs;    		
   }
   else if (isset($_POST['actualise'])) {
		$filtre_adm_utilisateurs='';
		$_SESSION['circonscript7_filtre_adm_utilisateurs']=$filtre_adm_utilisateurs;
   }
	$taille=30;
	// Nombre de pages
	$q="SELECT COUNT(*) FROM utilisateurs";
	$nb_utilisateurs=queryValue($q,$h);
	if ($filtre_adm_utilisateurs) {
		$filtre2=myLikeEscapeString($h,$filtre_adm_utilisateurs);
		$q.= " WHERE (utilisateurs.login LIKE '%$filtre2%') ";
	}
	$nb_elements=queryValue($q,$h);	
   	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	if (isset($_SESSION['circonscript7_adm_utilisateurs_page'])) $page=$_SESSION['circonscript7_adm_utilisateurs_page'];
	else $page=0;
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   	if (--$page<0) $page=0;
   }
	$adm_utilisateurs_page=$page;
	$_SESSION['circonscript7_adm_utilisateurs_page']=$adm_utilisateurs_page;
	
function affichepages()
{
	global $nb_pages, $page,$id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_utilisateurs.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}

function afficheListeUtilisateurs($h)
{
	global $tri_adm_utilisateurs,$filtre_adm_utilisateurs,$page,$taille;
	$impair=0;
	$f=myEscapeString($h,$filtre_adm_utilisateurs);
$q="SELECT utilisateurs.login, utilisateurs.sso_login, CASE utilisateurs.codage WHEN 1 THEN 'md5' WHEN 2 THEN 'aes' ELSE 'non' END AS codage, 
CASE utilisateurs.hash WHEN 'bloque' THEN 'oui' ELSE '-' END AS blocage,
COUNT(DISTINCT stagiaires.id_stagiaire) as stagiaire, 
COUNT(DISTINCT intervenants.id_intervenant) AS intervenant, 
COUNT(DISTINCT superadmin.id_admin) AS superadmin, 
COUNT(DISTINCT admin.id_admin) AS admin, 
utilisateurs.id_uti,
CASE WHEN COUNT( stagiaires.id_stagiaire)+COUNT( intervenants.id_intervenant)+COUNT( superadmin.id_admin)+COUNT( admin.id_admin)=0 THEN 'oui' ELSE 'non' END AS orphelin
FROM (utilisateurs)
LEFT JOIN stagiaires ON utilisateurs.id_uti=stagiaires.id_uti 
LEFT JOIN intervenants ON utilisateurs.id_uti=intervenants.id_uti 
LEFT JOIN administrateurs AS superadmin ON superadmin.type_admin=1 AND utilisateurs.id_uti=superadmin.id_uti 
LEFT JOIN administrateurs AS admin ON admin.type_admin=0 AND admin.id_uti=utilisateurs.id_uti AND admin.type_admin=0 ";

	if ($filtre_adm_utilisateurs) 
		$q.=" WHERE utilisateurs.login LIKE '%$f%'";
	$q.=" GROUP BY utilisateurs.id_uti";
	if ($tri_adm_utilisateurs) $q.=" ORDER BY ".$tri_adm_utilisateurs;
	$lim=$page*$taille;
	$q.=" LIMIT $lim,$taille";
	$r=query($q,$h);
	if (($nb_utilisateurs=@mysqli_num_rows($r))==0) {
		return;
	}
	while ($row=@mysqli_fetch_array($r)) {
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		//print("<td>&nbsp;</td>\n");
		$id_uti=$row['id_uti'];
		printf("<td><a href=\"adm_utilisateur_edite.php?id_uti=$id_uti&amp;url_ret=adm_utilisateurs.php\">%s</a></td>\n",htmlentities($row['login'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td class=\"centre\">%s</td>\n",$row['sso_login']);
		printf("<td class=\"centre\">%s</td>\n",$row['codage']);
		printf("<td class=\"centre\">%s</td>\n",$row['blocage']);
		printf("<td class=\"centre\">%s</td>\n",$row['stagiaire']);
		printf("<td class=\"centre\">%s</td>\n",$row['intervenant']);
		printf("<td class=\"centre\">%s</td>\n",$row['admin']);
		printf("<td class=\"centre\">%s</td>\n",$row['superadmin']);
		printf("<td class=\"centre\">%s</td>\n",$row['orphelin']);
		print "</tr>\n";
	}
}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
function jsSupprimer()
{
	b=window.confirm("Voulez-vous vraiment supprimer tous les comptes utilisateurs orphelins ?");
	if (b) {	
		document.form.Commande.value='supprimer';
		document.form.submit();
	}
}	
//-->
        </script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_utilisateurs?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="adm_utilisateur_nouveau.php?url_ret=adm_utilisateurs.php">nouveau</a></li>
				</ul>
			</div>
		  <div id="corps">
		    <h2>Liste des comptes utilisateurs (
	        <?php print $nb_utilisateurs?>)</h2>
		      <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>
		    <form method="post" action="" name="form">
				  
				  <p>
				    <input type="hidden" name="page" value="<?php print htmlentities($page,ENT_COMPAT,'ISO-8859-15')?>"/>
				    <input name="Commande" type="hidden" id="Commande" />
				    <a href="javascript:jsSupprimer()">Supprimer tous les comptes orphelins</a>
		          </p>
				  <table align="center">
                  <tr align="center" valign="top">
                    <td><div align="right">Chercher sur login : &nbsp;
                      <input name="filtre1" type="text" id="filtre1" value="<?php print htmlentities($filtre_adm_utilisateurs,ENT_COMPAT,'ISO-8859-15')?>" />
                    </div></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><div align="right">
                      <input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" />
                    </div></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                      </b></p></td>
                  </tr>
              </table>

 
			    <table>
                  <tr class="table_entete">
                    <td>login<br />
                    <a href="adm_utilisateurs.php?tri=login_asc"><img src="images/fleche_haut.png" alt="tri par login ascendant" width="11" height="11" border="0" /></a><a href="adm_utilisateurs.php?tri=login_desc"><img src="images/fleche_bas.png" alt="tri par login descendant" width="11" height="11" border="0" /></a></td>
                    <td>login&nbsp;SSO<br />
                    <a href="adm_utilisateurs.php?tri=login_sso_asc"><img src="images/fleche_haut.png" alt="tri par identifiant SSO ascendant" width="11" height="11" border="0" /></a><a href="adm_utilisateurs.php?tri=login_sso_desc"><img src="images/fleche_bas.png" alt="tri par identifiant SSO descendant" width="11" height="11" border="0" /></a></td>
                    <td>codage&nbsp;<br />
                    <a href="adm_utilisateurs.php?tri=codage_asc"><img src="images/fleche_haut.png" alt="tri par codage ascendant" width="11" height="11" border="0" /></a><a href="adm_utilisateurs.php?tri=codage_desc"><img src="images/fleche_bas.png" alt="tri par codage descendant" width="11" height="11" border="0" /></a></td>
                    <td>Blocage&nbsp;<br />
                      <a href="adm_utilisateurs.php?tri=blocage_asc"><img src="images/fleche_haut.png" alt="tri par blocage ascendant" width="11" height="11" border="0" /></a><a href="adm_utilisateurs.php?tri=blocage_desc"><img src="images/fleche_bas.png" alt="tri par blocage descendant" width="11" height="11" border="0" /></a></td>
                    <td>Stagiaire&nbsp;<br />
                    <a href="adm_utilisateurs.php?tri=stagiaire_asc"><img src="images/fleche_haut.png" alt="tri par stagiaire ascendant" width="11" height="11" border="0" /></a><a href="adm_utilisateurs.php?tri=stagiaire_desc"><img src="images/fleche_bas.png" alt="tri par stagiaire descendant" width="11" height="11" border="0" /></a></td>
                    <td>Intervenant<a href="adm_utilisateurs.php?tri=intervenant_asc"><br />
                    <img src="images/fleche_haut.png" alt="tri par intervenant ascendant" width="11" height="11" border="0" /></a><a href="adm_utilisateurs.php?tri=intervenant_desc"><img src="images/fleche_bas.png" alt="tri par intervenant descendant" width="11" height="11" border="0" /></a></td>
                    <td>Admin<br />
                    <a href="adm_utilisateurs.php?tri=admin_asc"><img src="images/fleche_haut.png" alt="tri par admin ascendant" width="11" height="11" border="0" /></a><a href="adm_utilisateurs.php?tri=admin_desc"><img src="images/fleche_bas.png" alt="tri par admin descendant" width="11" height="11" border="0" /></a></td>
                    <td>SuperAdmin<br />
                    <a href="adm_utilisateurs.php?tri=superadmin_asc"><img src="images/fleche_haut.png" alt="tri par superadmin ascendant" width="11" height="11" border="0" /></a><a href="adm_utilisateurs.php?tri=superadmin_desc"><img src="images/fleche_bas.png" alt="tri par superadmin descendant" width="11" height="11" border="0" /></a></td>
                    <td>Orphelin<br />
                    <a href="adm_utilisateurs.php?tri=orphelin_asc"><img src="images/fleche_haut.png" alt="tri par orphelin ascendant" width="11" height="11" border="0" /></a><a href="adm_utilisateurs.php?tri=orphelin_desc"><img src="images/fleche_bas.png" alt="tri par orphelin descendant" width="11" height="11" border="0" /></a></td>
                  </tr>
				<?php  afficheListeUtilisateurs($h) ?>
				</table>
			    <table align="center">
                  <tr align="center" valign="top">
                    <td><div align="right">Chercher sur login : &nbsp;
                      <input name="filtre2" type="text" id="filtre2" value="<?php print htmlentities($filtre_adm_utilisateurs,ENT_COMPAT,'ISO-8859-15')?>" />
                    </div></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" id="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" id="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                     </b></p></td>
                  </tr>
                </table>
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_utilisateurs?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="adm_utilisateur_nouveau.php?url_ret=adm_utilisateurs.php">nouveau</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
