<?php
/* 
	Modifier login
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_mdp.inc.php';


	$erreur='';
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	$login_nouv='';
	if (!isset($_SESSION['circonscript7_id_uti'])) {
		header('Location:erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];
	
	if(isset($_SESSION['circonscript7_sso'])) {
		header('Location:erreur.php?erreur=portailSSO');
		exit;
	}
	
	if (isset($_GET['url_ret'])) {
		$url_ret_compte_login=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_compte_login']=$url_ret_compte_login;
	}
	else if (isset($_SESSION['circonscript7_url_ret_compte_login'])) {
		$url_ret_compte_login=$_SESSION['circonscript7_url_ret_compte_login'];
	}
	else $url_ret_compte_login="compte.php";

	$login=queryValue("SELECT login FROM utilisateurs WHERE id_uti=$id_uti",$h);
	
	if (isset($_POST['login'])) while(1){
		$login_nouv=strtolower(normaliseT($_POST['login'],250));
		if ($login_nouv=='') break;
		if (!testeEMail($login_nouv)) {
			$erreur="Cet identifiant n'est pas une adresse de courriel correcte.";
			break;
		}
		if ($login_nouv!=$login) {
			$b=testeMailValide($id_uti,$login_nouv,$h);
			if ($b==1) {
				$_SESSION['circonscript7_nouveau_login']=$login_nouv;
				$_SESSION['circonscript7_compte_utilisateur_etape']=0;
				header('Location: compte_utilisateur.php?url_ret=compte.php');
				exit;
			}
			else {
				if ($b==-1) $erreur="Vous devez saisir une adresse de courriel acadmique.";
				else $erreur="Vous devez saisir une adresse de courriel personnelle: pas celle d'une cole.";
			}
		}
		else $erreur="Aucune modification n'a t effectue.";
	
		break;
	}	
	
/*
	refuse une adresse non acadmique si l'utilisateur possde un compte stagiaire li  une circo interdisant l'emploi d'une adresse non acadmique. Idem si une circo refuse l'emploi du courriel de l'cole.
	retourne 1 si OK
	retourne -1 s'il faut un mail acadmique
	retourne -2 s'il faut un mail diffrent de l'cole
*/

function testeMailValide($id_uti, $courriel,$h)
{
	$r=query("SELECT circos.saisie_courriel, circos.refuser_courriel_ecole FROM stagiaires,ecoles,circos WHERE stagiaires.id_uti=$id_uti AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=circos.id_circo",$h);
	if (@mysqli_num_rows($r)==0) return 1; 
	$mail_aca=false;
	$refuser_ecole=false;
	while ($row=@mysqli_fetch_row($r)) {
		if(!$mail_aca) $mail_aca=$row[0]==2;
		if (!$refuser_ecole) $refuser_ecole=$row[1]==1;
	}	
	if ($mail_aca && !testeEmailAca($courriel, $h) ) return -1;
	if ($refuser_ecole && testeEmailEcole($courriel,$h)) return -2;
	return 1;
}	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" /></head>
	<body>
		<div id="conteneur">
			<?php 
					include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
			<ul class="menu2">
			  <li><a href="<?php print $url_ret_compte_login ?>">retour</a></li>
			  <li><a href="#bas">bas</a></li>
			</ul>
			</div>  
		  <div id="corps">	 
				<h1>Changement de votre identifiant de connexion (login) </h1>
				<h3>Important</h3>
				<p>L'identifiant est une adresse de courriel. Elle sera r&eacute;percut&eacute;e automatiquement sur tous vos comptes.</p>
				<?php if ($erreur) printf ("<p class=\"erreur\">%s</p>\n",htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));
				if ($use_sso)
					print"<p><b>Attention:</b> l'identifiant choisi ici est valable uniquement dans Circon'script. Il ne modifie pas l'identifiant de connexion au portail $sso_portail.</p>";
				 

				 ?>
				  <form method="post" action="" name="form1">
				  <table>
<tr class="table_entete">
                      <td colspan="2">Votre identifiant actuel: <?php print htmlentities($login,ENT_COMPAT,'ISO-8859-15') ?></td>
                </tr>
                    <tr class="survol">
                      <td>Nouvel identifiant <em>(obligatoirement une adresse de courriel) </em>:</td>
                      <td><p>
                        <input name="login" type="text" id="login" value="<?php print htmlentities($login_nouv,ENT_COMPAT,'ISO-8859-15') ?>" size="50" maxlength="250" />
                      </p></td>
                    </tr>
              </table>
			      <p class="remarque">&nbsp;</p>
		      <div align="center">
		        <input name="valider" type="submit" class="bouton_standard" value="Enregistrer" />
              </div>
	        </form>
			<script type="text/javascript"> montrerMdp() </script>
	      </div>
			<a name="bas" id="bas"></a>	
		<div class="menu_secondaire">
		<ul class="menu2">
		  <li><a href="<?php print $url_ret_compte_login ?>">retour</a></li>
		  <li><a href="#haut">haut</a></li>
		</ul>
		</div>		
	</div>
	</body>
</html>
