<?php
/* 
	Avertissement du stagiaire,  cocher
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_ins_avertissement=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_ins_avertissement']=$url_ret_ins_avertissement;
	}
	else if (isset($_SESSION['circonscript7_url_ret_ins_avertissement'])) {
		$url_ret_ins_avertissement=$_SESSION['circonscript7_url_ret_ins_avertissement'];
	}
	else $url_ret_ins_avertissement="ins_menu.php";
	
	require '_sqlconnect.inc.php';
	$id_stagiaire=0;
	if (!isset($_SESSION['circonscript7_id_stagiaire'])) {
		if (!isset($_SESSION['circonscript7_administration'])) {
			header( 'Location: erreur.php?erreur=expiree');
			exit;
		}
	}
	else $id_stagiaire=$_SESSION['circonscript7_id_stagiaire'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$erreur='';
	$quitter=0;
	if (isset($_POST['valider'])) {
		if ($id_stagiaire) {
			if (isset($_POST['checkbox'])) query("UPDATE stagiaires SET avertissement_lu=1 WHERE id_stagiaire=$id_stagiaire",$h);
			$_SESSION['circonscript7_ins_inscription_un_stagiaire_avertisement_lu']=1;
			header("Location: ins_inscription_un_stagiaire.php");
		}
		else header("Location: adm_general.php");	
		exit;
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_ins_avertissement?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">
			  <?php 
		$erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>";
		else if ($quitter) {
			print "<script language=\"javascript\">\r\n";
			print "var x=window.opener.location.href;\r\n";
			print "var p=x.indexOf(\"?\");\r\n";
			print "if (p>0) x=x.substr(0,p);\r\n";
			print "window.opener.location=x+'?avertissement=lu';\r\n";
			print "self.close();\r\n"; 
			print "</script>"; 
		}
	?>
              <h1>Important - lisez bien ce qui suit.</h1>
              <h2>Convocations </h2>
              <p>Vous allez choisir des animations p&eacute;dagogiques. </p>
			  <p>Ces voeux seront trait&eacute;s par le mod&eacute;rateur de votre circonscription. Vous serez convoqu&eacute;(e) aux animations p&eacute;dagogiques &agrave; la fin de la p&eacute;riode de traitement. </p>
			  <p>Nous essayons au maximum de respecter vos voeux. Toutefois, il se peut que  vos choix ne puissent pas &ecirc;tre toujours satisfaits pour des raisons diverses (modification de dur&eacute;e, de date, r&eacute;partition du nombre d'inscriptions...). </p>
			  <p>En cons&eacute;quence,<strong><em> il peut y avoir des diff&eacute;rences entre vos voeux et les convocations.</em></strong></p>
			  <p>Si vous &ecirc;tes convoqu&eacute;(e) &agrave; une date <em>que vous n'avez pas choisie</em> et que vous n'&ecirc;tes pas disponible ce jour,  veuillez contacter le mod&eacute;rateur de votre circonscription qui peut modifier les convocations &agrave; tout moment. </p>
			  <h3>Seules les convocations sont &agrave; prendre en compte.</h3>
			  <p>Lorsqu'elles seront publi&eacute;es, vous vous rendrez sur ce site, dans la partie &quot;convocations&quot;, pour prendre connaissance des animations p&eacute;dagogiques auxquelles vous devrez effectivement participer.</p>
			  <form name="form1" method="post" action="">
                <div align="center">
			      <p>
			        <input type="checkbox" name="checkbox" value="checkbox" />
		          Ne plus afficher cet avertissement lors de mes prochaines connexions. </p>
			      <p>
			        <input name="valider" type="submit" class="bouton_standard" value="Montrer le plan de formation" />
		            </p>
                </div>
	
		      </form>
          </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_ins_avertissement?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>