<?php
/* 
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_ins_inscription_un_stagiaire=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_ins_inscription_un_stagiaire']=$url_ret_ins_inscription_un_stagiaire;
	}
	else if (isset($_SESSION['circonscript7_url_ret_ins_inscription_un_stagiaire'])) {
		$url_ret_ins_inscription_un_stagiaire=$_SESSION['circonscript7_url_ret_ins_inscription_un_stagiaire'];
	}
	else $url_ret_ins_inscription_un_stagiaire="ins_menu.php";
	$avertissement_lu=false;
	if (isset($_SESSION['circonscript7_ins_inscription_un_stagiaire_avertisement_lu'])) $avertissement_lu=true;
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	if (!isset($_SESSION['circonscript7_id_stagiaire'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_stagiaire=$_SESSION['circonscript7_id_stagiaire'];
	$_SESSION['circonscript7_session_menu_page']=1;
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	$avertissementChoix=queryValue("SELECT avertissementChoix FROM general",$h);
	if (!$avertissement_lu && $avertissementChoix) {
		$avertissement=queryValue("SELECT avertissement_lu FROM stagiaires WHERE id_stagiaire=$id_stagiaire",$h);
		if ($avertissement!=1) {
			header('Location: ins_avertissement.php');
			exit;	
		}
	}		
	$id_circo=queryValue("SELECT id_circo FROM stagiaires,ecoles WHERE stagiaires.id_stagiaire=$id_stagiaire AND ecoles.id_ecole=stagiaires.id_ecole",$h);
	automatisationCirco($id_circo,$h);
	$stag_etat=queryValue("SELECT stag_etat FROM circos,stagiaires,ecoles WHERE circos.id_circo=ecoles.id_circo and stagiaires.id_ecole=ecoles.id_ecole AND stagiaires.id_stagiaire=$id_stagiaire",$h);
	if ($stag_etat==1 && isset($_POST['valider'])) {
		//supprime toutes les inscriptions en cours du stagiaire
		$q="DELETE FROM inscriptions WHERE id_stagiaire=$id_stagiaire";
		query($q,$h);
		$nonfaits=0;
		// crer des inscriptions pour toutes les cases coches
		if (isset($_POST['inscrire'])) 
			foreach($_POST['inscrire'] as $id_seance) {
				$id_seance=intval($id_seance);
				$ok=queryValue("SELECT COUNT(*) FROM partages WHERE id_seance=$id_seance AND id_circo=$id_circo",$h);
				if (!$ok) continue;
				$max=queryValue("SELECT max FROM seances WHERE id_seance=$id_seance",$h);
				$ok=true;
				
				if ($max>0) {
					$nb_conv=queryValue("SELECT COUNT(*) FROM inscriptions WHERE id_seance=$id_seance",$h);
					if ($nb_conv>=$max)  {
						$ok=false;
						++$nonfaits;
					}
				}
				if ($ok==true) {
					$q="INSERT INTO inscriptions(id_stagiaire,id_seance) VALUES('$id_stagiaire','$id_seance')";
					query($q,$h);
				}
			}
		if ($nonfaits>0) $erreur.=htmlentities("$nonfaits inscriptions(s) n'ont pas t tablies car le maximum de stagiaires y est atteint",ENT_COMPAT,'ISO-8859-15');
	}
	else if ($stag_etat==1 && isset($_GET['liberer'])) {
		$q="DELETE FROM inscriptions WHERE id_stagiaire=$id_stagiaire";
		query($q,$h);
		$erreur="Inscriptions supprim&eacute;es";
	}
	else if (!$stag_etat==1 && (isset($_GET['liberer'])|| isset($_POST['valider']))) {
		$erreur=htmlentities("Dsol, la priode d'inscriptions vient de se terminer. Vos choix ne sont pas pris en compte.",ENT_COMPAT,'ISO-8859-15');
	} 
	$nb_inscr=queryValue("SELECT COUNT(*) FROM dates, seances,inscriptions WHERE dates.id_seance =seances.id_seance AND seances.id_seance=inscriptions.id_seance AND inscriptions.id_stagiaire=$id_stagiaire",$h);
	$duree_foad_nombre=queryValue("SELECT SUM(duree) FROM dates, seances, inscriptions WHERE dates.date='9999-12-30' && dates.id_seance =seances.id_seance AND seances.id_seance=inscriptions.id_seance AND inscriptions.id_stagiaire=$id_stagiaire",$h);
	$duree_foad=reelEnHeure($duree_foad_nombre);
	$n=queryValue("SELECT SUM(duree) FROM dates, seances, inscriptions WHERE dates.id_seance =seances.id_seance AND seances.id_seance=inscriptions.id_seance AND inscriptions.id_stagiaire=$id_stagiaire",$h);
	$duree_inscr=reelEnHeure($n);
	
	/*
	$r=query("SELECT quotite,quota FROM stagiaires WHERE id_stagiaire=$id_stagiaire",$h);
	$row=@mysqli_fetch_row($r);
	$quotite=$row[0];
	if ($quotite=='') $quotite=0;
	$quota=$row[1];
	if ($quota=='') $quota=0;
	$total_duree=$quota*$quotite/100.0;
	*/
	if (isset($_SESSION['circonscript7_ins_inscription_un_stagiaire_test_date'])) $test_date=$_SESSION['circonscript7_ins_inscription_un_stagiaire_test_date'];
	else $test_date=0;
	if (isset($_SESSION['circonscript7_ins_inscription_un_stagiaire_date'])) $date=$_SESSION['circonscript7_ins_inscription_un_stagiaire_date'];
	else $date='';
	if (isset($_POST['btDate'])) {
		$test_date=0;
		if (isset($_POST['selDate'])) $test_date=intval($_POST['selDate']);
		if ($test_date<0) $test_date=0;
		else if ($test_date>5) $test_date=0;	
		$date='';
		if ($test_date>0&&$test_date<4) {
			if (isset($_POST['edDate'])) $date=$_POST['edDate'];
			if ($date!='') $date=dateSaisieEnSql($date);			
			if ($date=='') 
				$erreur.="Date incorrecte. ";
			
		}
		if($test_date>=4) $date='';
		else if ($date=='') $test_date=0;
		if (!$erreur) {
			$_SESSION['circonscript7_ins_inscription_un_stagiaire_test_date']=$test_date;
			$_SESSION['circonscript7_ins_inscription_un_stagiaire_date']=$date;
		}
	}
	else if (isset($_POST['valider']) && $erreur=='') {
		header('Location: ins_inscriptions_bilan_date.php?url_ret=ins_menu.php');
		exit;
	}
function afficheChoix($stag_etat)
{
	if ($stag_etat==1) {
		print"<p>Cochez ou d&eacute;cochez les animations que vous choisissez (en accord avec les consignes de votre Inspection). </p>\n";
		print "<p>Lorsque tous vos choix sont faits, <strong>validez en cliquant sur le bouton &quot;valider mes choix &quot; en bas de la page</strong>. </p>\n";
		print"<p>Pour savoir qui d'autre est inscrit, cliquez sur le nombre de stagiaires, pr&egrave;s de la case &agrave; cocher. </p>\n";
	}
	else {
		print"<p>La p&eacute;riode de saisie des v&oelig;ux est termin&eacute;e. En cliquant sur le nombre dans la colonne 'Inscr&deg;', voyez qui a fait les m&ecirc;mes v&oelig;ux que vous. </p> \n";
	}
}	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
		<script type="text/javascript">
		<!--			
			function liberer()
			{
				b=window.confirm("Voulez-vous vraiment effacer tous vos voeux ?");
				if (b) {	
					x=window.location.protocol+"//"+document.location.hostname+document.location.pathname+"?liberer=1";
					location.href=x;
			
				}
			}
			function ouvre(adr)
			{
				win=window.open(adr,'Liste_des_stagiaires','toolbar=no,status=yes,menubar=no,scrollbars=yes,resizable=yes,width=700,height=580');	
				win.focus();
			}
			function ouvreLien(url)
			{
				if (url) window.open(url);
			}	
		//-->	
		</script>
	</head>
	<body>
	<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_ins_inscription_un_stagiaire?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
	  				<?php if ($stag_etat==1) print '<li><a href="#" onclick="javascript:liberer()">effacer tous les v&oelig;ux</a></li>';
					?>
					<li><a href="ins_inscriptions_bilan.php?url_ret=ins_inscription_un_stagiaire.php">bilan par th&egrave;me</a></li>
					<li><a href="ins_inscriptions_bilan_date.php?url_ret=ins_inscription_un_stagiaire.php">bilan par date</a></li>
				</ul>
			</div>
			<div id="corps">
			<?php if ($stag_etat==1) print "<h1>Formulez ou modifiez vos v&oelig;ux.</h1>\n";
				else print "<h1>Consultation de vos v&oelig;ux</h1>\n";
				afficherLienExterne($id_circo,0,$h);
				print "<h3>Vous &ecirc;tes inscrit(e) &agrave; $nb_inscr s&eacute;ance(s) totalisant $duree_inscr";
				if ($duree_foad_nombre>0) print " dont $duree_foad de formation  distance";
				print ".</h3>\n";
				if ($erreur) print "<p class=\"erreur\">$erreur</p>";
			?>
			    <form method="post" action="">
			      <table border="0">
                    <tr>
                      <td><?php afficheChoix($stag_etat) ?></td> 
					  <td>Surligner</td>
                      <td><select name="selDate" size="6" id="selDate">
                          <option value="0" <?php print $test_date==0? 'selected="selected"':''?>>aucune date</option>
                          <option value="1" <?php print $test_date==1? 'selected="selected"':''?>>dates &lt;=</option>
                          <option value="2" <?php print $test_date==2? 'selected="selected"':''?>>dates &gt;=</option>
                          <option value="3" <?php print $test_date==3? 'selected="selected"':''?>>dates = </option>
	                      <option value="5" <?php print $test_date==5? 'selected="selected"':''?>>formation &agrave; distance</option>
						  <option value="4" <?php print $test_date==4? 'selected="selected"':''?>>dates &agrave; d&eacute;finir </option>
                      </select></td>
                      <td>&agrave; date:
                        <input name="edDate" type="text" id="edDate" size="10" maxlength="10" value="<?php print dateSqlEnSaisie($date)?>"/>
                        <br />
                        <em>Tapez une date au format j/m/aaaa </em></td>
                      <td><input name="btDate" type="submit" class="bouton_actualise" id="btDate" value="actualiser" /></td>
                    </tr>
                  </table>
		      </form>
	     <div id="animation">
				<form method="post" action="">
				  <?php 
							if ($stag_etat==1)
								affichePlanFormation($id_circo,$h,4,$id_stagiaire,'',0,$test_date,$date); 
							else
								affichePlanFormation($id_circo,$h,5,$id_stagiaire,'',0,$test_date,$date) ;
						?>
				  <div align="center"></div>
				</form>
			  </div>
			</div>
		  <div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_ins_inscription_un_stagiaire?>">retour</a></li>
		  			<li><a href="#haut">haut</a></li>
	  				<?php if ($stag_etat==1) print '<li><a href="#" onclick="javascript:liberer()">effacer tous les v&oelig;ux</a></li>';
					?>
					<li><a href="ins_inscriptions_bilan.php">bilan par th&egrave;me</a></li>
					<li><a href="ins_inscriptions_bilan_date.php">bilan par date</a></li>
				</ul>

		    </div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
