<?php
/* 
	Popup d'affichage de la liste des stagiaires inscrits 	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	
	if (!isset($_SESSION['circonscript7_id_stagiaire'])) {
		header( 'Location: erreur_popup.php?erreur=expiree');
		exit;
	}		
	$id_stagiaire=$_SESSION['circonscript7_id_stagiaire'];
	if (isset($_GET['id_seance'])) {
		$id_seance=normalise($_GET['id_seance']);
		$_SESSION['circonscript7_id_seance']=$id_seance;
	}
	else if (isset($_SESSION['circonscript7_id_seance'])) {
		$id_seance=$_SESSION['circonscript7_id_seance'];
	}
	else {
		header( 'Location: erreur_popup.php?erreur=seance');
		exit;	
	}	
	
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	// intitul de l'anim
	$q="SELECT animations.intitule FROM  animations, seances WHERE seances.id_seance=$id_seance AND animations.id_anim=seances.id_anim";
	$r=query($q,$h);
	$row=@mysqli_fetch_row($r);
	$intitule=$row[0];
	// dates 
	$q="SELECT date FROM dates WHERE id_seance=$id_seance";
	$r=query($q,$h);
	$date='';
	while ($row=@mysqli_fetch_row($r)) {
		if ($date!='') $date.=', ';
		else {
			$date="Date";
			if (@mysqli_num_rows($r)>1) $date.='s';
			$date.=': ';
		}
		$date.=dateSQLEnTexte($row[0]);
	}
	if ($date!='') $date.='.';
	//diffrents tris en cours
	$tris=array(
		'nom_asc'=> 'nom_stagiaire ASC, nom_ecole ASC',
		'nom_desc' => 'nom_stagiaire DESC, nom_ecole ASC',
		'ecole_asc'=>'nom_ecole ASC, nom_stagiaire ASC',
		'ecole_desc'=>'nom_ecole DESC,nom_stagiaire ASC',
		'circo_asc'=>'nom_circo ASC, nom_stagiaire ASC',
		'circo_desc'=>'nom_circo DESC, nom_stagiaire ASC',
	);
	if (isset($_GET['tri'])) {
		$tri_ins_liste_stagiaires=$tris[$_GET['tri']];
		if (!isset($tri_ins_liste_stagiaires)) $tri_ins_liste_stagiaires=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_ins_liste_stagiaires']=$tri_ins_liste_stagiaires;
	}
	else if (isset($_SESSION['circonscript7_tri_ins_liste_stagiaires'])) {
		$tri=$_SESSION['circonscript7_tri_ins_liste_stagiaires'];
	}
	else {
		$tri_ins_liste_stagiaires=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_ins_liste_stagiaires']=$tri_ins_liste_stagiaires;
	}		
	if (isset($_SESSION['circonscript7_filtre_ins_liste_stagiaires'])) 
		$filtre_ins_liste_stagiaires=$_SESSION['circonscript7_filtre_ins_liste_stagiaires'];
	else $filtre_ins_liste_stagiaires='';
   
   if (isset($_POST['chercher'])) {
		if (isset($_POST['filtre1'])) {
			$filtre1=normalise($_POST['filtre1']);
		}
		else $filtre1='';
		if (isset($_POST['filtre2'])) {
			$filtre2=normalise($_POST['filtre2']);
		}
		else $filtre2='';
		if( $filtre1!=$filtre_ins_liste_stagiaires) $filtre_ins_liste_stagiaires=$filtre1;
		else $filtre_ins_liste_stagiaires=$filtre2;
		$_SESSION['circonscript7_filtre_ins_liste_stagiaires']=$filtre_ins_liste_stagiaires;
   }
   else if (isset($_POST['actualise'])) {
		$filtre_ins_liste_stagiaires='';
		$_SESSION['circonscript7_filtre_ins_liste_stagiaires']=$filtre_ins_liste_stagiaires;
   }
	$taille=20;
	$filtre='';
	if ($filtre_ins_liste_stagiaires) $filtre='%'.myLikeEscapeString($h,normaliseNom($filtre_ins_liste_stagiaires)).'%';
	$total_inscrits=queryValue("SELECT COUNT(*) FROM inscriptions WHERE id_seance=$id_seance",$h);
	$total_inter=queryValue("SELECT COUNT(*) FROM inscriptions,convocations WHERE inscriptions.id_seance=$id_seance AND convocations.id_stagiaire=inscriptions.id_stagiaire AND convocations.id_seance=$id_seance",$h);
	$total_convoc=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=$id_seance",$h);
	$total_inscrits+=$total_convoc-$total_inter;
	
	$nb_anonymes=queryValue("SELECT COUNT(distinct stagiaires.id_stagiaire) FROM inscriptions,stagiaires  WHERE inscriptions.id_seance=$id_seance AND stagiaires.id_stagiaire=inscriptions.id_stagiaire AND stagiaires.anonyme=1",$h);
	// Nombre de pages
	if ( $filtre) {
		$q="SElECT COUNT(DISTINCT stagiaires.id_stagiaire) FROM inscriptions,stagiaires WHERE stagiaires.anonyme=0 AND  inscriptions.id_seance=$id_seance AND inscriptions.id_stagiaire=stagiaires.id_stagiaire AND (nom_f LIKE '$filtre' OR prenom_f LIKE '$filtre' OR CONCAT(nom_f,' ',prenom_f) LIKE '$filtre')";
		$nb_elements=queryValue($q,$h);	
	}
	else $nb_elements= queryValue("SELECT COUNT(distinct stagiaires.id_stagiaire) FROM inscriptions,stagiaires  WHERE inscriptions.id_seance=$id_seance AND stagiaires.id_stagiaire=inscriptions.id_stagiaire AND stagiaires.anonyme=0",$h);

   	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	$page=0;
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   	if (--$page<0) $page=0;
   }

	
function affichepages()
{
	global $nb_pages, $page,$id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"ins_liste_stagiaires.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}

function afficheListeStagiaires($h)
{
	global $tri_ins_liste_stagiaires,$id_seance,$filtre,$page,$taille;
	$lim=$page*$taille;
	$impair=0;
	$q="SELECT CONCAT(stagiaires.nom,' ',prenom) as nom_stagiaire, ecoles.nom as nom_ecole, circos.libelle as nom_circo FROM stagiaires, inscriptions, ecoles, circos WHERE stagiaires.anonyme=0 AND inscriptions.id_seance=$id_seance AND inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=circos.id_circo"; 	
	if ($filtre) 
		$q.=" AND (stagiaires.nom_f LIKE '$filtre' OR stagiaires.prenom_f LIKE '$filtre' OR CONCAT(nom_f,' ',prenom_f) LIKE '$filtre')";
	$q.=" GROUP BY stagiaires.id_stagiaire ";
	if ($tri_ins_liste_stagiaires)
		$q.=" ORDER BY $tri_ins_liste_stagiaires";
	else
		$q.=" ORDER BY nom_stagiaire ASC";
	$q.=" LIMIT $lim , $taille";

	$r=query($q,$h);
	if ((@mysqli_num_rows($r))==0) {
		return;
	}
	while ($row=@mysqli_fetch_array($r)) {
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		printf("<td>%s</td>\n",htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities($row['nom_circo'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		print "</tr>\n";
	}
}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form

  laListe = leForm["convoque[]"]

  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}
//-->
        </script>
	</head>
	<body class="popup" >
		<a name="haut" id="haut"></a>
		<div id="conteneur_popup">
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="javascript:close()">fermer</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">
		    <?php 
				printf("<h2>Liste des participants ayant choisi l'animation : %s</h2>",htmlentities($intitule,ENT_COMPAT,'ISO-8859-15'));
				if ($date) print "<p class=\"remarque\">$date</p>\n";
			     if ($erreur) print "<p class=\"erreur\">$erreur</p>";
			?>
		    <form method="post" action="">
				  <input type="hidden" name="page" value="<?php print htmlentities($page,ENT_COMPAT,'ISO-8859-15')?>" />
				<table align="center">
                  <tr align="center" valign="middle">
                    <td><?php
						printf ("<p>Nombre de participants: %d</p>\n",$total_inscrits);
						$n=$total_convoc-$total_inter;
						if ($n>1) print "<p>$n participants sont convoqus d'office.</p>\n";
						else if ($n==1)print "<p>Un participant est convoqu d'office.</p>\n";
						if ($nb_anonymes>0) {
							
							if ($nb_anonymes>1) print"<p>$nb_anonymes participants souhaitent rester anonymes</p>\n";
							else print "<p>Un participant souhaite rester anonyme.</p>\n";
						}		
						?>
					</td>
                    <td><div align="right">Chercher sur nom/pr&eacute;nom: &nbsp;
                      <input name="filtre1" type="text" id="filtre1" value="<?php print htmlentities($filtre_ins_liste_stagiaires,ENT_COMPAT,'ISO-8859-15')?>" />
                    </div></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                      </b></p></td>
                  </tr>
                </table>

 
			    <table>
                  <tr class="table_entete">
                    <td>Nom stagiaire&nbsp; <a href="ins_liste_stagiaires.php?tri=nom_asc"><img src="images/fleche_haut.png" alt="tri par nom ascendant" width="11" height="11" border="0" /></a><a href="ins_liste_stagiaires.php?tri=nom_desc"><img src="images/fleche_bas.png" alt="tri par nom descendant" width="11" height="11" border="0" /></a></td>
                    <td>circo&nbsp;<a href="ins_liste_stagiaires.php?tri=circo_asc"><img src="images/fleche_haut.png" alt="tri par circo ascendant" width="11" height="11" border="0" /></a><a href="ins_liste_stagiaires.php?tri=circo_desc"><img src="images/fleche_bas.png" alt="tri par circo descendant" width="11" height="11" border="0" /></a></td>
                    <td>Ecole&nbsp;<a href="ins_liste_stagiaires.php?tri=ecole_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="ins_liste_stagiaires.php?tri=ecole_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a></td>
                  </tr>
				<?php  afficheListeStagiaires($h) ?>
				</table>
			    <table align="center">
                  <tr align="center" valign="middle">
                    <td><div align="right">Chercher sur nom/pr&eacute;nom: &nbsp;
                      <input name="filtre2" type="text" id="filtre2" value="<?php print htmlentities($filtre_ins_liste_stagiaires,ENT_COMPAT,'ISO-8859-15')?>" />
                    </div></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><div align="right">
                      <input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" />
                    </div></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                     </b></p></td>
                  </tr>
                </table>
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="javascript:close()">fermer</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>		</div>
	</body>
</html>
