<?php
/* 
	Menu stagiaire	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['avertissement'])) {
		header('Location: ins_inscription_un_stagiaire.php?url_ret=ins_menu.php');
		exit;
	}

	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';	
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	if (!isset($_SESSION['circonscript7_id_stagiaire'])||$_SESSION['circonscript7_id_stagiaire']==0) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_stagiaire=$_SESSION['circonscript7_id_stagiaire'];
	$_SESSION['circonscript7_session_menu_page']=-1;	
	// vrifie si tout va bien avec le stagiaire...
	if (!isset($_SESSION['circonscript7_stagiaire_verifie']) || $_SESSION['circonscript7_stagiaire_verifie']!=$id_stagiaire) {
		$r=query("SELECT nom, prenom, nom_f,prenom_f,id_ecole, mdp, quotite,niveau, codage,courriel FROM stagiaires,utilisateurs WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_uti=utilisateurs.id_uti",$h);
		$row=@mysqli_fetch_array($r);
		if (!isset($row) || !is_array($row)) {
			header('Location: erreur.php?erreur=stagiaire_inexistant');
			exit;
		}
		if (!isset($_SESSION['circonscript7_sso'])&& ($row['codage']==0 || $row['mdp']=='')) {
			header('Location: compte_mdp.php?url_ret=ins_menu.php');
			exit;
		}
		
		$verif=0;
		foreach ($row as $k=>$v) if ($v=='') {
			$verif=1;
			break;
		}
		if ($row['quotite']<=0 || $row['quotite'] >100)	$verif=1;
		if ($row['id_ecole']<=0) $verif=1;
		if (!$verif && $row['courriel']=='') {
			$saisie_courriel=queryValue("SELECT saisie_courriel FROM stagiaires, ecoles, circos WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=circos.id_circo",$h);
			if ($saisie_courriel==1 || $saisie_courriel==2) $verif=1;
		} 	

		if ($verif) {

			header('Location: ins_parametres_modifier.php?verifier=1&url_ret=ins_menu.php');
			exit;
		}
	 	$stagiaire_verifie=$id_stagiaire;
		$_SESSION['circonscript7_stagiaire_verifie']=$stagiaire_verifie;
	}
	// Vrifie le timing d'ouverture et de fermeture des inscriptions
	$id_circo=queryValue("SELECT ecoles.id_circo FROM stagiaires, ecoles WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole",$h);
	automatisationCirco($id_circo,$h);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
					include('menu_principal.inc.php');
			?>
			<div id="corps" class="fond">	 
				<?php
					switch($etat) {
						case 1: 
							include ('ins_menu_inscriptions.inc.php');break;
						case 2:
							include ('ins_menu_consultations.inc.php');break;
						case 3:
							include ('ins_menu_convocations.inc.php');break;
						default:
							include ('ins_menu_defaut.inc.php');
					}
								
				?>
		  </div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>