<?php
/* 
	Voir paramtres stagiaire
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_ins_parametres=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_ins_parametres']=$url_ret_ins_parametres;
	}
	else if (isset($_SESSION['circonscript7_url_ret_ins_parametres'])) {
		$url_ret_ins_parametres=$_SESSION['circonscript7_url_ret_ins_parametres'];
	}
	else $url_ret_ins_parametres="ins_menu.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	$h=connect();
	ejecteSiFerme($h);
	if (!isset($_SESSION['circonscript7_id_stagiaire'])||$_SESSION['circonscript7_id_stagiaire']==0) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_stagiaire=$_SESSION['circonscript7_id_stagiaire'];
	$_SESSION['circonscript7_session_menu_page']=4;
	$q="Select nom, prenom, courriel, niveau, id_ecole, quotite, quota_reel, anonyme FROM stagiaires WHERE id_stagiaire=$id_stagiaire";
	$r=query($q,$h);
	$row=@mysqli_fetch_array($r);
	$nom=htmlentities($row['nom'],ENT_COMPAT,'ISO-8859-15');
	$prenom=htmlentities($row['prenom'],ENT_COMPAT,'ISO-8859-15');
	$courriel=htmlentities($row['courriel'],ENT_COMPAT,'ISO-8859-15');
	$niveau=htmlentities($row['niveau'],ENT_COMPAT,'ISO-8859-15');
	$id_ecole=$row['id_ecole'];
	$quotite=htmlentities($row['quotite'],ENT_COMPAT,'ISO-8859-15');
	$quota_reel=reelEnHeure($row['quota_reel']);
	$anonyme=$row['anonyme'];
	$q="SELECT nom, id_circo FROM ecoles WHERE id_ecole=$id_ecole";
	$r=query($q,$h);
	$row=@mysqli_fetch_row($r);
	$ecole=htmlentities($row[0],ENT_COMPAT,'ISO-8859-15');
	$id_circo=$row[1];
	$q="SELECT libelle FROM circos WHERE id_circo=$id_circo";
	$r=query($q,$h);
	$row=@mysqli_fetch_row($r);
	$circo=htmlentities($row[0],ENT_COMPAT,'ISO-8859-15');
	

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" /></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
			<ul class="menu2">
			  <li><a href="<?php print $url_ret_ins_parametres?>">retour</a></li>
			  <li><a href="#bas">bas</a></li>
		<li><a href="ins_parametres_modifier.php?url_ret=ins_parametres.php">modifier paramtres</a></li>
			</ul>
			</div>  
		  <div id="corps">	 
				<h1>
				Mes param&egrave;tres - voir </h1>
			    <h4>&nbsp;</h4>
				<table>
                  <tr class="survol">
                    <td><h4>Nom, pr&eacute;nom: </h4></td>
                    <td><p><?php print "$nom $prenom"; ?></p></td>
                  </tr>
                  <tr class="survol">
                    <td><h4>Ecole: </h4></td>
                    <td><p><?php print "$ecole ($circo)";?></p></td>
                  </tr>
                  <tr class="survol">
                    <td><h4>Courriel: </h4></td>
                    <td><p>
                      <?php print $courriel?>
                    </p></td>
                  </tr>
                  <tr class="survol">
                    <td><h4>Niveau de classe: </h4></td>
                    <td><p>
                      <?php print substr($niveau,1,strlen($niveau)-2)?>
                    </p></td>
                  </tr>
                  <tr class="survol">
                    <td><h4>Quotit&eacute; de service :</h4></td>
                    <td><p><?php print sprintf("%.2f",$quotite)?></p></td>
                  </tr>
                  <tr class="survol">
                    <td><h4>Anonymat: </h4></td>
                    <td><p><?php print $anonyme ?'oui':'non' ?></p></td>
                  </tr>
                  <tr class="survol">
                    <td colspan="2">Dur&eacute;e minimale et indicative de votre participation aux animations p&eacute;dagogiques <br />
                      <em>(calcul&eacute;e &agrave; partir de la quotit&eacute; de service et du nombre d'heures que vous devez faire)</em>&nbsp;: 
                      <?php print $quota_reel ?>                      </td>
                  </tr>
                </table>

		        <p><a href="ins_parametres_modifier.php?url_ret=ins_parametres.php">Modifier ces parametres</a>.</p>
          </div>
			<a name="bas" id="bas"></a>	
		<div class="menu_secondaire">
		<ul class="menu2">
		  <li><a href="<?php print $url_ret_ins_parametres?>">retour</a></li>
		  <li><a href="#haut">haut</a></li>
		<li><a href="ins_parametres_modifier.php?url_ret=ins_parametres.php">modifier paramtres</a></li>
		</ul>
		</div>		
	</div>
	</body>
</html>