<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<title>Circon'script - installation</title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="../styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
		<div id="conteneur">
		<a name="haut" id="haut"></a>
			  <div id="menu_principal">
						<ul class="menu1">
							<li>Installation</li>
					</ul>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
				<?php if ($erreur && $erreur!='*') printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur, ENT_COMPAT , 'ISO-8859-15'));?> 
				<h1>INSTALLATION DE CIRCON'SCRIPT</h1>
				<h2 class="attention">Avertissements</h2>
			  <p>Le programme d'installation a rencontr&eacute; les probl&egrave;mes ci-dessous, qui pourraient affecter le fonctionnement et/ou l'installation. </p>
			  <ul>
			    <?php if (isset($_SESSION['circonscript7_err_time_limit']) && $_SESSION['circonscript7_err_time_limit']==1) :
 ?>
				<li><span class="attention"><strong>set_time_limit a &eacute;t&eacute; d&eacute;sactiv&eacute;e: </strong></span>cela signifie que les traitements longs risquent d'&ecirc;tre interrompus par le serveur avec le message &quot;internal server error&quot;. Ces traitements longs se produisent :
			      <ul>
			        <li>lors de l'installation, &agrave; la g&eacute;n&eacute;ration d'un jeu d'essai</li>
		            <li>lors des sauvegardes des tables</li>
			        <li>lors de la restauration des tables</li>
	              </ul>
			    </li>
                <?php endif; 
if (isset($_SESSION['circonscript7_err_lock_table']) && $_SESSION['circonscript7_err_lock_table']==1) : ?>
				<li><span class="attention"><strong>impossible de verrouiller les tables</strong></span> (l'instruction SQL &quot;LOCK TABLES&quot; est interdite). Cela rend impossible les sauvegardes et les restaurations des tables. Le logiciel verrouille les tables lorsqu'il effectue une sauvegarde ou une restauration, afin d'&eacute;viter que des processus concurrents &eacute;crivent dans les tables &agrave; ces moments critiques. Vous devriez demander &agrave; votre adminitrateur l'autorisation d'effectuer LOCK TABLES sur votre base de donn&eacute;es. </li>
		        <?php endif; 
if (isset($_SESSION['circonscript7_err_magic_quotes']) && $_SESSION['circonscript7_err_magic_quotes']==1) : ?>
				<li><span class="attention"><strong>Certaines &quot;magic_quotes&quot; sont actives: </strong></span>d&eacute;sactivez TOUTES les &quot;magic_quotes_xxx&quot;. Ceci n'am&eacute;liore pas la s&eacute;curit&eacute;.  Circon'script n'a pas &eacute;t&eacute; compl&egrave;tement test&eacute; avec les magic_quotes actives. Notez aussi que sous PHP6, les magic_quotes ne seront plus utilis&eacute;es. 
				<ul>
				<?php 
					if (ini_get('magic_quotes_gpc')) print "<li>Les <em>magic_quotes_gpc</em> sont actives. Elles ajoutent automatiquement des slashes (\"\\\"), notamment devant les apostrophes, lors de la r&eacute;cup&eacute;ration des donn&eacute;es &agrave; partir des formulaires. Cela ne devrait pas affecter le fonctionnement.</li>\n";
					if (ini_get('magic_quotes_runtime')) print "<li>Les <em>magic_quotes_runtime</em> sont actives. Les requ&ecirc;tes dans la base de donn&eacute;es sont &eacute;chapp&eacute;es avec des slashes (\"\\\") devant les guillemets ou les apostrophes notamment. Cela ne devrait pas affecter l'affichage, car Circon'script formate toutes les sorties, mais <strong>l'installation ne peut se poursuivre,</strong> vous obtiendrez un message d'erreur &agrave; la cr&eacute;ation des tables.</li>\n";
					if (ini_get('magic_quotes_sybase')) print "<li>Les <em>magic_quotes_sybase</em> sont actives. Les simple quotes sont doubl&eacute;es dans les requ&ecirc;tes. <strong>L'installation ne peut se poursuivre,</strong> vous obtiendrez un message d'erreur &agrave; la cr&eacute;ation des tables.</li>\n";
				endif; 
				?>
				</ul>
				</li>
			</ul>
		      <form id="form1" name="form1" method="post" action="">
		        <div align="center">
		          <input name="btOk" type="submit" class="bouton_standard" id="btOk" value="OK" />
		        </div>
	        </form>
	      </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>