<?php
/* 
	Accueil intervenants
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_int_accueil=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_int_accueil']=$url_ret_int_accueil;
	}
	else if (isset($_SESSION['circonscript7_url_ret_int_accueil'])) {
		$url_ret_int_accueil=$_SESSION['circonscript7_url_ret_int_accueil'];
	}
	else $url_ret_int_accueil="index.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	if (!isset($_SESSION['circonscript7_id_intervenant'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_intervenant=$_SESSION['circonscript7_id_intervenant'];
	$h=connect();
	ejecteSiFerme($h);
	$r=query("SELECT nom, prenom FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
	if (!$r) {
		header('Location: erreur.php?erreur=id_intervenant');
		exit;
	}
	$row=@mysqli_fetch_row($r);
	$nom=htmlentities($row[0],ENT_COMPAT,'ISO-8859-15');
	$prenom=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
	$intervenants_ical=queryValue("SELECT intervenants_ical FROM general",$h);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div id="corps" class="fond">	 
				<?php if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?> 
				<h1>Bienvenue, <?php print "$prenom $nom"?></h1>
				<div class="alaffiche">
				<h2><a href="int_interventions.php?url_ret=int_accueil.php">Liste de toutes mes interventions class&eacute;es par date</a> ou <a href="int_lieux_voir.php?url_ret=int_accueil.php">class&eacute;es par lieux</a> </h2>
				<p>Avec possibilit&eacute; de suivre les inscriptions au jour le jour, et d'obtenir les feuilles de pr&eacute;sence.</p>
				</div>
				<h2><a href="int_export.php?url_ret=int_accueil.php">Exportation de toutes mes interventions au format csv pour tableur </a></h2>
				<?php if ($intervenants_ical>0) :?>
				<h2><a href="int_calendrier.php?url_ret=int_accueil.php">Synchroniser ou exporter mon agenda &eacute;lectronique personnel avec Circon'script </a></h2>
				<?php endif?>
				<p> Synchronisez votre agenda personnel avec le planning de vos interventions directement sur le site de Circon'script, ou r&eacute;cup&eacute;rez un fichier ind&eacute;pendant pour renseigner une fois pour toutes votre agenda personnel. </p>
				<h2><a href="int_edite.php?url_ret=int_accueil.php">Mes param&egrave;tres personnels</a></h2>
				<p>Modifier mon nom, pr&eacute;nom, courriel.</p>
				<h2><a href="compte.php">Mon compte</a></h2>
				<p>Pour modifier mon identifiant de connexion ou mon mot de passe, ou pour acc&eacute;der &agrave; d'autres comptes (intervenants, administrateurs).</p>
				<h2><a href="adm_documentation.php?url_ret=int_accueil.php">Aide: documentation </a></h2>
				<h2><a href="credits.php?url_ret=int_accueil.php">Cr&eacute;dits</a></h2>
				<p>Les auteurs et les licences. </p>
				<h2><a href="javascript:deconnexion()">Me d&eacute;connecter</a></h2>
				<p> Quitter l'application et retour &agrave; la page d'accueil.	   </p>
				<p>&nbsp;	   </p>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>