<?php
/* 
	Interventions vues par l'intervenant
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_int_interventions=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_int_interventions']=$url_ret_int_interventions;
	}
	else if (isset($_SESSION['circonscript7_url_ret_int_interventions'])) {
		$url_ret_int_interventions=$_SESSION['circonscript7_url_ret_int_interventions'];
	}
	else $url_ret_int_interventions="int_accueil.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_intervenants.inc.php';
	$erreur='';
	$_SESSION['circonscript7_session_menu_page']=1;
	$h=connect();
	debugInit();
	ejecteSiFerme($h);
	if (!isset($_SESSION['circonscript7_id_intervenant'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_intervenant=$_SESSION['circonscript7_id_intervenant'];
	$r=query("SELECT civilite, nom, prenom FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
	$row=@mysqli_fetch_row($r);
	$civ=$row[0];
	switch ($civ) {
		case 2: $civilite='';break;
		case 0: $civilite='M.';break;
		case 1: $civilite='Mme';break;
		default: $civilite='';
	}
	$nom=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
	$prenom=htmlentities($row[2],ENT_COMPAT,'ISO-8859-15');
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function ouvre(adr)
			{
				win=window.open(adr,'Liste_des_stagiaires','toolbar=no,status=yes,menubar=no,scrollbars=yes,resizable=yes,width=700,height=580');	
				win.focus();
			}
			function ouvreLien(url)
			{
				if (url) window.open(url);
			}	
		
		//-->	
		</script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_int_interventions?>">retour</a></li>
	  				<li><a href="int_lieux_voir.php?url_ret=int_interventions.php">lieux</a></li>
					<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
				<?php if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?> 
				<h1>Planning des interventions</h1>
				<p>La date de votre prochaine intervention appara&icirc;t en surbrillance. </p>
				<h2><?php print "$civilite $nom $prenom"?></h2>
				<form id="form1" name="form1" method="post" action="">
				  <input name="commande" type="hidden" id="commande" value="0" />
				  <?php afficherInterventions($h,$id_intervenant,1) ?>
            </form>
		    
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_int_interventions?>">retour</a></li>
	  				<li><a href="int_lieux_voir.php?url_ret=int_interventions.php">lieux</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>